#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4398
#define LARGE_STATE_COUNT 757
#define SYMBOL_COUNT 218
#define ALIAS_COUNT 2
#define TOKEN_COUNT 123
#define EXTERNAL_TOKEN_COUNT 49
#define FIELD_COUNT 10
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 34

enum ts_symbol_identifiers {
  sym__identifier = 1,
  sym_parbreak = 2,
  aux_sym_escape_token1 = 3,
  aux_sym_url_token1 = 4,
  sym__lb = 5,
  sym_linebreak = 6,
  sym_quote = 7,
  aux_sym_text_token1 = 8,
  anon_sym_COLON = 9,
  anon_sym_BQUOTE = 10,
  sym_shorthand = 11,
  anon_sym_DOLLAR = 12,
  anon_sym_AMP = 13,
  anon_sym_RPAREN = 14,
  anon_sym_LPAREN = 15,
  sym__math_token_ldlm = 16,
  sym__math_token_orph = 17,
  sym__math_number = 18,
  aux_sym__math_root_token1 = 19,
  anon_sym_BANG = 20,
  anon_sym_CARET = 21,
  anon_sym__ = 22,
  anon_sym_COMMA = 23,
  anon_sym_SEMI = 24,
  aux_sym__math_shorthand_token1 = 25,
  aux_sym__math_symbol_token1 = 26,
  anon_sym_POUND = 27,
  anon_sym_true = 28,
  anon_sym_false = 29,
  aux_sym_number_token1 = 30,
  anon_sym_DQUOTE = 31,
  anon_sym_context = 32,
  anon_sym_DOT_DOT = 33,
  aux_sym_assign_token1 = 34,
  anon_sym_EQ_GT = 35,
  anon_sym_or = 36,
  anon_sym_not = 37,
  anon_sym_and = 38,
  anon_sym_LT = 39,
  anon_sym_GT = 40,
  anon_sym_LT_EQ = 41,
  anon_sym_GT_EQ = 42,
  anon_sym_EQ_EQ = 43,
  anon_sym_BANG_EQ = 44,
  anon_sym_in = 45,
  anon_sym_PLUS = 46,
  anon_sym_DASH = 47,
  anon_sym_STAR = 48,
  anon_sym_SLASH = 49,
  anon_sym_DOT = 50,
  anon_sym_AT = 51,
  anon_sym_LPAREN2 = 52,
  anon_sym_RPAREN2 = 53,
  anon_sym_LBRACE = 54,
  anon_sym_RBRACE = 55,
  anon_sym_if = 56,
  anon_sym_let = 57,
  anon_sym_EQ = 58,
  anon_sym_set = 59,
  anon_sym_as = 60,
  anon_sym_import = 61,
  anon_sym_COLON2 = 62,
  anon_sym_COMMA2 = 63,
  anon_sym_DOT2 = 64,
  anon_sym_include = 65,
  anon_sym_for = 66,
  anon_sym_while = 67,
  anon_sym_show = 68,
  anon_sym_return = 69,
  anon_sym_break = 70,
  anon_sym_continue = 71,
  sym_auto = 72,
  sym_none = 73,
  sym__indent = 74,
  sym__dedent = 75,
  sym__redent = 76,
  sym__line_start_check = 77,
  sym__token_content = 78,
  sym__token_strong = 79,
  sym__token_emph = 80,
  sym__barrier = 81,
  sym__token_bracket = 82,
  sym__token_section = 83,
  sym__termination = 84,
  sym__token_inlined_item_end = 85,
  sym__token_inlined_stmt_end = 86,
  sym__token_blocked_expr_end = 87,
  sym__token_math_letter = 88,
  sym__token_math_ident = 89,
  sym__token_math_frac = 90,
  sym__token_math_group_end = 91,
  sym__token_else = 92,
  sym__token_unit = 93,
  sym__token_url = 94,
  sym__token_item = 95,
  sym__token_term = 96,
  sym__token_head_1 = 97,
  sym__token_head_2 = 98,
  sym__token_head_3 = 99,
  sym__token_head_4 = 100,
  sym__token_head_5 = 101,
  sym__token_head_p = 102,
  sym__token_string_blob = 103,
  sym__token_raw_span_blob = 104,
  sym__token_raw_blck_ldlm = 105,
  sym__token_raw_blck_rdlm = 106,
  sym__token_raw_blck_blob = 107,
  sym__token_raw_lang = 108,
  sym__token_identifier = 109,
  sym__token_label = 110,
  sym__token_anti_markup = 111,
  sym_comment = 112,
  sym__sp = 113,
  sym__immediate = 114,
  sym__immediate_paren = 115,
  sym__immediate_brack = 116,
  sym__immediate_ident = 117,
  sym__immediate_math_call = 118,
  sym__immediate_math_apply = 119,
  sym__immediate_math_field = 120,
  sym__immediate_math_prime = 121,
  sym__recovery = 122,
  sym_source_file = 123,
  sym__line_content = 124,
  sym_escape = 125,
  sym_url = 126,
  sym__content_lb = 127,
  sym__brackets = 128,
  sym__markup = 129,
  sym_text = 130,
  sym__indented = 131,
  sym_item = 132,
  sym_term = 133,
  sym__section = 134,
  sym_section = 135,
  sym_heading = 136,
  sym_strong = 137,
  sym_emph = 138,
  sym_raw_blck = 139,
  sym_raw_span = 140,
  sym_math = 141,
  sym_formula = 142,
  sym__math_expr = 143,
  sym__math_token_align = 144,
  sym__math_token_colon = 145,
  sym__math_token_rpar = 146,
  sym__math_token_lpar = 147,
  sym__math_group = 148,
  sym__math_item = 149,
  sym__math_div = 150,
  sym__math_root = 151,
  sym__math_fac = 152,
  sym__math_prime = 153,
  sym__math_attach_sup = 154,
  sym__math_attach_sub = 155,
  sym__math_field = 156,
  sym__math_call = 157,
  sym__math_tag = 158,
  sym__math_tagged = 159,
  sym__math_apply = 160,
  sym__math_shorthand = 161,
  sym__math_symbol = 162,
  sym_code = 163,
  sym__item = 164,
  sym__stmt = 165,
  sym__expr = 166,
  sym_ident = 167,
  sym_unit = 168,
  sym_bool = 169,
  sym_number = 170,
  sym_string = 171,
  sym_tagged = 172,
  sym_context = 173,
  sym_elude = 174,
  sym_assign = 175,
  sym_lambda = 176,
  sym_or = 177,
  sym_not = 178,
  sym_and = 179,
  sym_cmp = 180,
  sym_in = 181,
  sym_add = 182,
  sym_sub = 183,
  sym_mul = 184,
  sym_div = 185,
  sym_sign = 186,
  sym_call = 187,
  sym_field = 188,
  sym_label = 189,
  sym_ref = 190,
  sym_content = 191,
  sym_group = 192,
  sym_block = 193,
  sym_branch = 194,
  sym_let = 195,
  sym_set = 196,
  sym_as = 197,
  sym_import = 198,
  sym__bindings = 199,
  sym_binding = 200,
  sym_include = 201,
  sym_for = 202,
  sym_while = 203,
  sym_show = 204,
  sym_return = 205,
  sym_flow = 206,
  aux_sym_source_file_repeat1 = 207,
  aux_sym__line_content_repeat1 = 208,
  aux_sym_text_repeat1 = 209,
  aux_sym_formula_repeat1 = 210,
  aux_sym__math_call_repeat1 = 211,
  aux_sym_string_repeat1 = 212,
  aux_sym_group_repeat1 = 213,
  aux_sym_block_repeat1 = 214,
  aux_sym_branch_repeat1 = 215,
  aux_sym__bindings_repeat1 = 216,
  aux_sym_binding_repeat1 = 217,
  anon_alias_sym_RBRACK = 218,
  alias_sym_wildcard = 219,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_parbreak] = "parbreak",
  [aux_sym_escape_token1] = "escape_token1",
  [aux_sym_url_token1] = "url_token1",
  [sym__lb] = "_lb",
  [sym_linebreak] = "linebreak",
  [sym_quote] = "quote",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_COLON] = ":",
  [anon_sym_BQUOTE] = "`",
  [sym_shorthand] = "shorthand",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_AMP] = "&",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN] = "(",
  [sym__math_token_ldlm] = "(",
  [sym__math_token_orph] = "_math_token_orph",
  [sym__math_number] = "number",
  [aux_sym__math_root_token1] = "_math_root_token1",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym__] = "_",
  [anon_sym_COMMA] = ",",
  [anon_sym_SEMI] = ";",
  [aux_sym__math_shorthand_token1] = "_math_shorthand_token1",
  [aux_sym__math_symbol_token1] = "_math_symbol_token1",
  [anon_sym_POUND] = "#",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [aux_sym_number_token1] = "number_token1",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_context] = "context",
  [anon_sym_DOT_DOT] = "..",
  [aux_sym_assign_token1] = "assign",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_or] = "or",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_in] = "in",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_DOT] = ".",
  [anon_sym_AT] = "@",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_if] = "if",
  [anon_sym_let] = "let",
  [anon_sym_EQ] = "=",
  [anon_sym_set] = "set",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_COLON2] = ":",
  [anon_sym_COMMA2] = ",",
  [anon_sym_DOT2] = ".",
  [anon_sym_include] = "include",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [anon_sym_show] = "show",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [sym_auto] = "auto",
  [sym_none] = "none",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__redent] = "_redent",
  [sym__line_start_check] = "_line_start_check",
  [sym__token_content] = "[",
  [sym__token_strong] = "*",
  [sym__token_emph] = "_",
  [sym__barrier] = "_barrier",
  [sym__token_bracket] = "text",
  [sym__token_section] = "_token_section",
  [sym__termination] = "_termination",
  [sym__token_inlined_item_end] = "end",
  [sym__token_inlined_stmt_end] = "end",
  [sym__token_blocked_expr_end] = "sep",
  [sym__token_math_letter] = "letter",
  [sym__token_math_ident] = "ident",
  [sym__token_math_frac] = "/",
  [sym__token_math_group_end] = ")",
  [sym__token_else] = "else",
  [sym__token_unit] = "_token_unit",
  [sym__token_url] = "_token_url",
  [sym__token_item] = "-",
  [sym__token_term] = "/",
  [sym__token_head_1] = "=",
  [sym__token_head_2] = "==",
  [sym__token_head_3] = "===",
  [sym__token_head_4] = "====",
  [sym__token_head_5] = "=====",
  [sym__token_head_p] = "======",
  [sym__token_string_blob] = "_token_string_blob",
  [sym__token_raw_span_blob] = "blob",
  [sym__token_raw_blck_ldlm] = "```",
  [sym__token_raw_blck_rdlm] = "```",
  [sym__token_raw_blck_blob] = "blob",
  [sym__token_raw_lang] = "ident",
  [sym__token_identifier] = "_token_identifier",
  [sym__token_label] = "_token_label",
  [sym__token_anti_markup] = "_token_anti_markup",
  [sym_comment] = "comment",
  [sym__sp] = "_sp",
  [sym__immediate] = "_immediate",
  [sym__immediate_paren] = "_immediate_paren",
  [sym__immediate_brack] = "_immediate_brack",
  [sym__immediate_ident] = "_immediate_ident",
  [sym__immediate_math_call] = "_immediate_math_call",
  [sym__immediate_math_apply] = "_immediate_math_apply",
  [sym__immediate_math_field] = "_immediate_math_field",
  [sym__immediate_math_prime] = "_immediate_math_prime",
  [sym__recovery] = "_recovery",
  [sym_source_file] = "source_file",
  [sym__line_content] = "_line_content",
  [sym_escape] = "escape",
  [sym_url] = "url",
  [sym__content_lb] = "_content_lb",
  [sym__brackets] = "_brackets",
  [sym__markup] = "_markup",
  [sym_text] = "text",
  [sym__indented] = "_indented",
  [sym_item] = "item",
  [sym_term] = "term",
  [sym__section] = "content",
  [sym_section] = "section",
  [sym_heading] = "heading",
  [sym_strong] = "strong",
  [sym_emph] = "emph",
  [sym_raw_blck] = "raw_blck",
  [sym_raw_span] = "raw_span",
  [sym_math] = "math",
  [sym_formula] = "formula",
  [sym__math_expr] = "_math_expr",
  [sym__math_token_align] = "align",
  [sym__math_token_colon] = "_math_token_colon",
  [sym__math_token_rpar] = ")",
  [sym__math_token_lpar] = "(",
  [sym__math_group] = "_math_group",
  [sym__math_item] = "_math_item",
  [sym__math_div] = "fraction",
  [sym__math_root] = "root",
  [sym__math_fac] = "fac",
  [sym__math_prime] = "prime",
  [sym__math_attach_sup] = "attach",
  [sym__math_attach_sub] = "attach",
  [sym__math_field] = "field",
  [sym__math_call] = "call",
  [sym__math_tag] = "_math_tag",
  [sym__math_tagged] = "tagged",
  [sym__math_apply] = "apply",
  [sym__math_shorthand] = "shorthand",
  [sym__math_symbol] = "symbol",
  [sym_code] = "code",
  [sym__item] = "_item",
  [sym__stmt] = "_stmt",
  [sym__expr] = "_expr",
  [sym_ident] = "ident",
  [sym_unit] = "unit",
  [sym_bool] = "bool",
  [sym_number] = "number",
  [sym_string] = "string",
  [sym_tagged] = "tagged",
  [sym_context] = "context",
  [sym_elude] = "elude",
  [sym_assign] = "assign",
  [sym_lambda] = "lambda",
  [sym_or] = "or",
  [sym_not] = "not",
  [sym_and] = "and",
  [sym_cmp] = "cmp",
  [sym_in] = "in",
  [sym_add] = "add",
  [sym_sub] = "sub",
  [sym_mul] = "mul",
  [sym_div] = "div",
  [sym_sign] = "sign",
  [sym_call] = "call",
  [sym_field] = "field",
  [sym_label] = "label",
  [sym_ref] = "ref",
  [sym_content] = "content",
  [sym_group] = "group",
  [sym_block] = "block",
  [sym_branch] = "branch",
  [sym_let] = "let",
  [sym_set] = "set",
  [sym_as] = "as",
  [sym_import] = "import",
  [sym__bindings] = "_bindings",
  [sym_binding] = "binding",
  [sym_include] = "include",
  [sym_for] = "for",
  [sym_while] = "while",
  [sym_show] = "show",
  [sym_return] = "return",
  [sym_flow] = "flow",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym__line_content_repeat1] = "_line_content_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_formula_repeat1] = "formula_repeat1",
  [aux_sym__math_call_repeat1] = "_math_call_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_group_repeat1] = "group_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_branch_repeat1] = "branch_repeat1",
  [aux_sym__bindings_repeat1] = "_bindings_repeat1",
  [aux_sym_binding_repeat1] = "binding_repeat1",
  [anon_alias_sym_RBRACK] = "]",
  [alias_sym_wildcard] = "wildcard",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_parbreak] = sym_parbreak,
  [aux_sym_escape_token1] = aux_sym_escape_token1,
  [aux_sym_url_token1] = aux_sym_url_token1,
  [sym__lb] = sym__lb,
  [sym_linebreak] = sym_linebreak,
  [sym_quote] = sym_quote,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_shorthand] = sym_shorthand,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [sym__math_token_ldlm] = anon_sym_LPAREN,
  [sym__math_token_orph] = sym__math_token_orph,
  [sym__math_number] = sym_number,
  [aux_sym__math_root_token1] = aux_sym__math_root_token1,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym__] = anon_sym__,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym__math_shorthand_token1] = aux_sym__math_shorthand_token1,
  [aux_sym__math_symbol_token1] = aux_sym__math_symbol_token1,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_context] = anon_sym_context,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [aux_sym_assign_token1] = aux_sym_assign_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_COMMA2] = anon_sym_COMMA,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_show] = anon_sym_show,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [sym_auto] = sym_auto,
  [sym_none] = sym_none,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__redent] = sym__redent,
  [sym__line_start_check] = sym__line_start_check,
  [sym__token_content] = sym__token_content,
  [sym__token_strong] = anon_sym_STAR,
  [sym__token_emph] = anon_sym__,
  [sym__barrier] = sym__barrier,
  [sym__token_bracket] = sym_text,
  [sym__token_section] = sym__token_section,
  [sym__termination] = sym__termination,
  [sym__token_inlined_item_end] = sym__token_inlined_item_end,
  [sym__token_inlined_stmt_end] = sym__token_inlined_item_end,
  [sym__token_blocked_expr_end] = sym__token_blocked_expr_end,
  [sym__token_math_letter] = sym__token_math_letter,
  [sym__token_math_ident] = sym_ident,
  [sym__token_math_frac] = anon_sym_SLASH,
  [sym__token_math_group_end] = anon_sym_RPAREN,
  [sym__token_else] = sym__token_else,
  [sym__token_unit] = sym__token_unit,
  [sym__token_url] = sym__token_url,
  [sym__token_item] = anon_sym_DASH,
  [sym__token_term] = anon_sym_SLASH,
  [sym__token_head_1] = anon_sym_EQ,
  [sym__token_head_2] = anon_sym_EQ_EQ,
  [sym__token_head_3] = sym__token_head_3,
  [sym__token_head_4] = sym__token_head_4,
  [sym__token_head_5] = sym__token_head_5,
  [sym__token_head_p] = sym__token_head_p,
  [sym__token_string_blob] = sym__token_string_blob,
  [sym__token_raw_span_blob] = sym__token_raw_span_blob,
  [sym__token_raw_blck_ldlm] = sym__token_raw_blck_ldlm,
  [sym__token_raw_blck_rdlm] = sym__token_raw_blck_ldlm,
  [sym__token_raw_blck_blob] = sym__token_raw_span_blob,
  [sym__token_raw_lang] = sym_ident,
  [sym__token_identifier] = sym__token_identifier,
  [sym__token_label] = sym__token_label,
  [sym__token_anti_markup] = sym__token_anti_markup,
  [sym_comment] = sym_comment,
  [sym__sp] = sym__sp,
  [sym__immediate] = sym__immediate,
  [sym__immediate_paren] = sym__immediate_paren,
  [sym__immediate_brack] = sym__immediate_brack,
  [sym__immediate_ident] = sym__immediate_ident,
  [sym__immediate_math_call] = sym__immediate_math_call,
  [sym__immediate_math_apply] = sym__immediate_math_apply,
  [sym__immediate_math_field] = sym__immediate_math_field,
  [sym__immediate_math_prime] = sym__immediate_math_prime,
  [sym__recovery] = sym__recovery,
  [sym_source_file] = sym_source_file,
  [sym__line_content] = sym__line_content,
  [sym_escape] = sym_escape,
  [sym_url] = sym_url,
  [sym__content_lb] = sym__content_lb,
  [sym__brackets] = sym__brackets,
  [sym__markup] = sym__markup,
  [sym_text] = sym_text,
  [sym__indented] = sym__indented,
  [sym_item] = sym_item,
  [sym_term] = sym_term,
  [sym__section] = sym_content,
  [sym_section] = sym_section,
  [sym_heading] = sym_heading,
  [sym_strong] = sym_strong,
  [sym_emph] = sym_emph,
  [sym_raw_blck] = sym_raw_blck,
  [sym_raw_span] = sym_raw_span,
  [sym_math] = sym_math,
  [sym_formula] = sym_formula,
  [sym__math_expr] = sym__math_expr,
  [sym__math_token_align] = sym__math_token_align,
  [sym__math_token_colon] = sym__math_token_colon,
  [sym__math_token_rpar] = anon_sym_RPAREN,
  [sym__math_token_lpar] = anon_sym_LPAREN,
  [sym__math_group] = sym__math_group,
  [sym__math_item] = sym__math_item,
  [sym__math_div] = sym__math_div,
  [sym__math_root] = sym__math_root,
  [sym__math_fac] = sym__math_fac,
  [sym__math_prime] = sym__math_prime,
  [sym__math_attach_sup] = sym__math_attach_sup,
  [sym__math_attach_sub] = sym__math_attach_sup,
  [sym__math_field] = sym_field,
  [sym__math_call] = sym_call,
  [sym__math_tag] = sym__math_tag,
  [sym__math_tagged] = sym_tagged,
  [sym__math_apply] = sym__math_apply,
  [sym__math_shorthand] = sym_shorthand,
  [sym__math_symbol] = sym__math_symbol,
  [sym_code] = sym_code,
  [sym__item] = sym__item,
  [sym__stmt] = sym__stmt,
  [sym__expr] = sym__expr,
  [sym_ident] = sym_ident,
  [sym_unit] = sym_unit,
  [sym_bool] = sym_bool,
  [sym_number] = sym_number,
  [sym_string] = sym_string,
  [sym_tagged] = sym_tagged,
  [sym_context] = sym_context,
  [sym_elude] = sym_elude,
  [sym_assign] = sym_assign,
  [sym_lambda] = sym_lambda,
  [sym_or] = sym_or,
  [sym_not] = sym_not,
  [sym_and] = sym_and,
  [sym_cmp] = sym_cmp,
  [sym_in] = sym_in,
  [sym_add] = sym_add,
  [sym_sub] = sym_sub,
  [sym_mul] = sym_mul,
  [sym_div] = sym_div,
  [sym_sign] = sym_sign,
  [sym_call] = sym_call,
  [sym_field] = sym_field,
  [sym_label] = sym_label,
  [sym_ref] = sym_ref,
  [sym_content] = sym_content,
  [sym_group] = sym_group,
  [sym_block] = sym_block,
  [sym_branch] = sym_branch,
  [sym_let] = sym_let,
  [sym_set] = sym_set,
  [sym_as] = sym_as,
  [sym_import] = sym_import,
  [sym__bindings] = sym__bindings,
  [sym_binding] = sym_binding,
  [sym_include] = sym_include,
  [sym_for] = sym_for,
  [sym_while] = sym_while,
  [sym_show] = sym_show,
  [sym_return] = sym_return,
  [sym_flow] = sym_flow,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym__line_content_repeat1] = aux_sym__line_content_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_formula_repeat1] = aux_sym_formula_repeat1,
  [aux_sym__math_call_repeat1] = aux_sym__math_call_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_group_repeat1] = aux_sym_group_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_branch_repeat1] = aux_sym_branch_repeat1,
  [aux_sym__bindings_repeat1] = aux_sym__bindings_repeat1,
  [aux_sym_binding_repeat1] = aux_sym_binding_repeat1,
  [anon_alias_sym_RBRACK] = anon_alias_sym_RBRACK,
  [alias_sym_wildcard] = alias_sym_wildcard,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_parbreak] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_url_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__lb] = {
    .visible = false,
    .named = true,
  },
  [sym_linebreak] = {
    .visible = true,
    .named = true,
  },
  [sym_quote] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_shorthand] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_ldlm] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_orph] = {
    .visible = false,
    .named = true,
  },
  [sym__math_number] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__math_root_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__math_shorthand_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__math_symbol_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assign_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_show] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__redent] = {
    .visible = false,
    .named = true,
  },
  [sym__line_start_check] = {
    .visible = false,
    .named = true,
  },
  [sym__token_content] = {
    .visible = true,
    .named = false,
  },
  [sym__token_strong] = {
    .visible = true,
    .named = false,
  },
  [sym__token_emph] = {
    .visible = true,
    .named = false,
  },
  [sym__barrier] = {
    .visible = false,
    .named = true,
  },
  [sym__token_bracket] = {
    .visible = true,
    .named = true,
  },
  [sym__token_section] = {
    .visible = false,
    .named = true,
  },
  [sym__termination] = {
    .visible = false,
    .named = true,
  },
  [sym__token_inlined_item_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_inlined_stmt_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_blocked_expr_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_math_letter] = {
    .visible = true,
    .named = true,
  },
  [sym__token_math_ident] = {
    .visible = true,
    .named = true,
  },
  [sym__token_math_frac] = {
    .visible = true,
    .named = false,
  },
  [sym__token_math_group_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_else] = {
    .visible = true,
    .named = false,
  },
  [sym__token_unit] = {
    .visible = false,
    .named = true,
  },
  [sym__token_url] = {
    .visible = false,
    .named = true,
  },
  [sym__token_item] = {
    .visible = true,
    .named = false,
  },
  [sym__token_term] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_1] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_2] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_3] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_4] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_5] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_p] = {
    .visible = true,
    .named = false,
  },
  [sym__token_string_blob] = {
    .visible = false,
    .named = true,
  },
  [sym__token_raw_span_blob] = {
    .visible = true,
    .named = true,
  },
  [sym__token_raw_blck_ldlm] = {
    .visible = true,
    .named = false,
  },
  [sym__token_raw_blck_rdlm] = {
    .visible = true,
    .named = false,
  },
  [sym__token_raw_blck_blob] = {
    .visible = true,
    .named = true,
  },
  [sym__token_raw_lang] = {
    .visible = true,
    .named = true,
  },
  [sym__token_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__token_label] = {
    .visible = false,
    .named = true,
  },
  [sym__token_anti_markup] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__sp] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_paren] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_brack] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_ident] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_call] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_apply] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_field] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_prime] = {
    .visible = false,
    .named = true,
  },
  [sym__recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__line_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_url] = {
    .visible = true,
    .named = true,
  },
  [sym__content_lb] = {
    .visible = false,
    .named = true,
  },
  [sym__brackets] = {
    .visible = false,
    .named = true,
  },
  [sym__markup] = {
    .visible = false,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym__indented] = {
    .visible = false,
    .named = true,
  },
  [sym_item] = {
    .visible = true,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym__section] = {
    .visible = true,
    .named = true,
  },
  [sym_section] = {
    .visible = true,
    .named = true,
  },
  [sym_heading] = {
    .visible = true,
    .named = true,
  },
  [sym_strong] = {
    .visible = true,
    .named = true,
  },
  [sym_emph] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_blck] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_span] = {
    .visible = true,
    .named = true,
  },
  [sym_math] = {
    .visible = true,
    .named = true,
  },
  [sym_formula] = {
    .visible = true,
    .named = true,
  },
  [sym__math_expr] = {
    .visible = false,
    .named = true,
  },
  [sym__math_token_align] = {
    .visible = true,
    .named = true,
  },
  [sym__math_token_colon] = {
    .visible = false,
    .named = true,
  },
  [sym__math_token_rpar] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_lpar] = {
    .visible = true,
    .named = false,
  },
  [sym__math_group] = {
    .visible = false,
    .named = true,
  },
  [sym__math_item] = {
    .visible = false,
    .named = true,
  },
  [sym__math_div] = {
    .visible = true,
    .named = true,
  },
  [sym__math_root] = {
    .visible = true,
    .named = true,
  },
  [sym__math_fac] = {
    .visible = true,
    .named = true,
  },
  [sym__math_prime] = {
    .visible = true,
    .named = true,
  },
  [sym__math_attach_sup] = {
    .visible = true,
    .named = true,
  },
  [sym__math_attach_sub] = {
    .visible = true,
    .named = true,
  },
  [sym__math_field] = {
    .visible = true,
    .named = true,
  },
  [sym__math_call] = {
    .visible = true,
    .named = true,
  },
  [sym__math_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__math_tagged] = {
    .visible = true,
    .named = true,
  },
  [sym__math_apply] = {
    .visible = true,
    .named = true,
  },
  [sym__math_shorthand] = {
    .visible = true,
    .named = true,
  },
  [sym__math_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym_code] = {
    .visible = true,
    .named = true,
  },
  [sym__item] = {
    .visible = false,
    .named = true,
  },
  [sym__stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym_ident] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged] = {
    .visible = true,
    .named = true,
  },
  [sym_context] = {
    .visible = true,
    .named = true,
  },
  [sym_elude] = {
    .visible = true,
    .named = true,
  },
  [sym_assign] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_or] = {
    .visible = true,
    .named = true,
  },
  [sym_not] = {
    .visible = true,
    .named = true,
  },
  [sym_and] = {
    .visible = true,
    .named = true,
  },
  [sym_cmp] = {
    .visible = true,
    .named = true,
  },
  [sym_in] = {
    .visible = true,
    .named = true,
  },
  [sym_add] = {
    .visible = true,
    .named = true,
  },
  [sym_sub] = {
    .visible = true,
    .named = true,
  },
  [sym_mul] = {
    .visible = true,
    .named = true,
  },
  [sym_div] = {
    .visible = true,
    .named = true,
  },
  [sym_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_content] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_branch] = {
    .visible = true,
    .named = true,
  },
  [sym_let] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_as] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym__bindings] = {
    .visible = false,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym_for] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_show] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_flow] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__line_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formula_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__math_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_branch_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bindings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_wildcard] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_condition = 1,
  field_field = 2,
  field_import = 3,
  field_item = 4,
  field_lang = 5,
  field_pattern = 6,
  field_sub = 7,
  field_sup = 8,
  field_term = 9,
  field_value = 10,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_condition] = "condition",
  [field_field] = "field",
  [field_import] = "import",
  [field_item] = "item",
  [field_lang] = "lang",
  [field_pattern] = "pattern",
  [field_sub] = "sub",
  [field_sup] = "sup",
  [field_term] = "term",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [4] = {.index = 0, .length = 2},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [10] = {.index = 4, .length = 1},
  [11] = {.index = 5, .length = 1},
  [13] = {.index = 6, .length = 1},
  [14] = {.index = 7, .length = 1},
  [15] = {.index = 8, .length = 1},
  [16] = {.index = 9, .length = 1},
  [17] = {.index = 10, .length = 1},
  [18] = {.index = 11, .length = 1},
  [19] = {.index = 12, .length = 1},
  [20] = {.index = 13, .length = 2},
  [21] = {.index = 15, .length = 1},
  [22] = {.index = 16, .length = 1},
  [25] = {.index = 17, .length = 2},
  [26] = {.index = 19, .length = 1},
  [27] = {.index = 5, .length = 1},
  [28] = {.index = 20, .length = 2},
  [29] = {.index = 22, .length = 2},
  [30] = {.index = 24, .length = 2},
  [32] = {.index = 5, .length = 1},
  [33] = {.index = 26, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_sub, 0, .inherited = true},
    {field_sup, 0, .inherited = true},
  [2] =
    {field_field, 0, .inherited = true},
  [3] =
    {field_item, 0, .inherited = true},
  [4] =
    {field_pattern, 1},
  [5] =
    {field_import, 1},
  [6] =
    {field_item, 0},
  [7] =
    {field_sup, 2},
  [8] =
    {field_sub, 2},
  [9] =
    {field_field, 2},
  [10] =
    {field_condition, 1},
  [11] =
    {field_value, 2},
  [12] =
    {field_field, 0},
  [13] =
    {field_pattern, 0},
    {field_value, 2},
  [15] =
    {field_term, 1},
  [16] =
    {field_lang, 1},
  [17] =
    {field_pattern, 1},
    {field_value, 3},
  [19] =
    {field_condition, 3},
  [20] =
    {field_sub, 4},
    {field_sup, 2},
  [22] =
    {field_sub, 2},
    {field_sup, 4},
  [24] =
    {field_field, 3, .inherited = true},
    {field_item, 0},
  [26] =
    {field_field, 4, .inherited = true},
    {field_item, 0},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [1] = anon_sym_STAR,
  },
  [2] = {
    [1] = anon_sym__,
  },
  [3] = {
    [0] = sym_group,
  },
  [7] = {
    [2] = anon_sym_STAR,
  },
  [8] = {
    [2] = anon_sym__,
  },
  [9] = {
    [2] = sym_text,
  },
  [12] = {
    [3] = sym_text,
  },
  [23] = {
    [0] = sym_ident,
  },
  [24] = {
    [2] = anon_alias_sym_RBRACK,
  },
  [27] = {
    [3] = alias_sym_wildcard,
  },
  [31] = {
    [3] = anon_alias_sym_RBRACK,
  },
  [32] = {
    [4] = alias_sym_wildcard,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__math_group, 2,
    sym__math_group,
    sym_group,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 2,
  [6] = 2,
  [7] = 3,
  [8] = 3,
  [9] = 2,
  [10] = 3,
  [11] = 2,
  [12] = 3,
  [13] = 2,
  [14] = 3,
  [15] = 2,
  [16] = 3,
  [17] = 2,
  [18] = 3,
  [19] = 2,
  [20] = 3,
  [21] = 2,
  [22] = 3,
  [23] = 2,
  [24] = 2,
  [25] = 3,
  [26] = 2,
  [27] = 3,
  [28] = 3,
  [29] = 2,
  [30] = 2,
  [31] = 3,
  [32] = 3,
  [33] = 2,
  [34] = 2,
  [35] = 3,
  [36] = 2,
  [37] = 3,
  [38] = 3,
  [39] = 2,
  [40] = 2,
  [41] = 3,
  [42] = 42,
  [43] = 42,
  [44] = 42,
  [45] = 42,
  [46] = 42,
  [47] = 42,
  [48] = 42,
  [49] = 42,
  [50] = 42,
  [51] = 42,
  [52] = 42,
  [53] = 42,
  [54] = 42,
  [55] = 42,
  [56] = 42,
  [57] = 42,
  [58] = 42,
  [59] = 42,
  [60] = 42,
  [61] = 42,
  [62] = 42,
  [63] = 63,
  [64] = 63,
  [65] = 65,
  [66] = 66,
  [67] = 63,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 65,
  [73] = 73,
  [74] = 63,
  [75] = 68,
  [76] = 69,
  [77] = 70,
  [78] = 71,
  [79] = 65,
  [80] = 63,
  [81] = 68,
  [82] = 69,
  [83] = 70,
  [84] = 71,
  [85] = 65,
  [86] = 63,
  [87] = 63,
  [88] = 68,
  [89] = 69,
  [90] = 70,
  [91] = 71,
  [92] = 65,
  [93] = 68,
  [94] = 63,
  [95] = 68,
  [96] = 69,
  [97] = 70,
  [98] = 71,
  [99] = 65,
  [100] = 69,
  [101] = 63,
  [102] = 68,
  [103] = 69,
  [104] = 70,
  [105] = 71,
  [106] = 65,
  [107] = 70,
  [108] = 63,
  [109] = 68,
  [110] = 69,
  [111] = 70,
  [112] = 71,
  [113] = 65,
  [114] = 71,
  [115] = 63,
  [116] = 68,
  [117] = 69,
  [118] = 70,
  [119] = 70,
  [120] = 71,
  [121] = 63,
  [122] = 68,
  [123] = 69,
  [124] = 70,
  [125] = 71,
  [126] = 63,
  [127] = 68,
  [128] = 69,
  [129] = 70,
  [130] = 71,
  [131] = 63,
  [132] = 68,
  [133] = 69,
  [134] = 70,
  [135] = 71,
  [136] = 63,
  [137] = 68,
  [138] = 69,
  [139] = 70,
  [140] = 71,
  [141] = 63,
  [142] = 68,
  [143] = 69,
  [144] = 70,
  [145] = 63,
  [146] = 68,
  [147] = 69,
  [148] = 70,
  [149] = 71,
  [150] = 63,
  [151] = 68,
  [152] = 69,
  [153] = 70,
  [154] = 71,
  [155] = 63,
  [156] = 68,
  [157] = 69,
  [158] = 70,
  [159] = 71,
  [160] = 63,
  [161] = 68,
  [162] = 69,
  [163] = 70,
  [164] = 71,
  [165] = 63,
  [166] = 68,
  [167] = 69,
  [168] = 70,
  [169] = 71,
  [170] = 63,
  [171] = 68,
  [172] = 69,
  [173] = 70,
  [174] = 71,
  [175] = 63,
  [176] = 68,
  [177] = 69,
  [178] = 70,
  [179] = 71,
  [180] = 63,
  [181] = 70,
  [182] = 63,
  [183] = 70,
  [184] = 63,
  [185] = 70,
  [186] = 63,
  [187] = 70,
  [188] = 63,
  [189] = 70,
  [190] = 63,
  [191] = 70,
  [192] = 63,
  [193] = 70,
  [194] = 63,
  [195] = 70,
  [196] = 65,
  [197] = 70,
  [198] = 63,
  [199] = 70,
  [200] = 63,
  [201] = 70,
  [202] = 63,
  [203] = 70,
  [204] = 63,
  [205] = 70,
  [206] = 63,
  [207] = 70,
  [208] = 63,
  [209] = 70,
  [210] = 63,
  [211] = 70,
  [212] = 63,
  [213] = 70,
  [214] = 63,
  [215] = 70,
  [216] = 71,
  [217] = 217,
  [218] = 217,
  [219] = 217,
  [220] = 217,
  [221] = 217,
  [222] = 217,
  [223] = 217,
  [224] = 217,
  [225] = 217,
  [226] = 217,
  [227] = 217,
  [228] = 217,
  [229] = 217,
  [230] = 217,
  [231] = 217,
  [232] = 217,
  [233] = 217,
  [234] = 217,
  [235] = 217,
  [236] = 217,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 246,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 237,
  [259] = 238,
  [260] = 239,
  [261] = 240,
  [262] = 241,
  [263] = 242,
  [264] = 243,
  [265] = 244,
  [266] = 245,
  [267] = 246,
  [268] = 247,
  [269] = 248,
  [270] = 249,
  [271] = 250,
  [272] = 247,
  [273] = 252,
  [274] = 253,
  [275] = 275,
  [276] = 255,
  [277] = 256,
  [278] = 257,
  [279] = 237,
  [280] = 238,
  [281] = 239,
  [282] = 240,
  [283] = 241,
  [284] = 242,
  [285] = 243,
  [286] = 244,
  [287] = 245,
  [288] = 246,
  [289] = 247,
  [290] = 248,
  [291] = 249,
  [292] = 250,
  [293] = 248,
  [294] = 252,
  [295] = 253,
  [296] = 249,
  [297] = 255,
  [298] = 256,
  [299] = 257,
  [300] = 237,
  [301] = 238,
  [302] = 239,
  [303] = 240,
  [304] = 241,
  [305] = 242,
  [306] = 243,
  [307] = 244,
  [308] = 245,
  [309] = 246,
  [310] = 247,
  [311] = 248,
  [312] = 249,
  [313] = 250,
  [314] = 250,
  [315] = 252,
  [316] = 253,
  [317] = 317,
  [318] = 255,
  [319] = 256,
  [320] = 257,
  [321] = 237,
  [322] = 238,
  [323] = 239,
  [324] = 240,
  [325] = 241,
  [326] = 242,
  [327] = 243,
  [328] = 244,
  [329] = 245,
  [330] = 246,
  [331] = 247,
  [332] = 248,
  [333] = 249,
  [334] = 250,
  [335] = 252,
  [336] = 252,
  [337] = 253,
  [338] = 253,
  [339] = 255,
  [340] = 256,
  [341] = 257,
  [342] = 237,
  [343] = 238,
  [344] = 239,
  [345] = 240,
  [346] = 241,
  [347] = 242,
  [348] = 243,
  [349] = 244,
  [350] = 245,
  [351] = 246,
  [352] = 247,
  [353] = 248,
  [354] = 249,
  [355] = 250,
  [356] = 251,
  [357] = 252,
  [358] = 253,
  [359] = 253,
  [360] = 255,
  [361] = 256,
  [362] = 257,
  [363] = 237,
  [364] = 238,
  [365] = 239,
  [366] = 240,
  [367] = 241,
  [368] = 242,
  [369] = 243,
  [370] = 244,
  [371] = 245,
  [372] = 246,
  [373] = 247,
  [374] = 248,
  [375] = 249,
  [376] = 250,
  [377] = 255,
  [378] = 252,
  [379] = 253,
  [380] = 256,
  [381] = 255,
  [382] = 256,
  [383] = 257,
  [384] = 237,
  [385] = 238,
  [386] = 239,
  [387] = 240,
  [388] = 241,
  [389] = 242,
  [390] = 243,
  [391] = 244,
  [392] = 245,
  [393] = 246,
  [394] = 247,
  [395] = 248,
  [396] = 249,
  [397] = 250,
  [398] = 257,
  [399] = 252,
  [400] = 253,
  [401] = 237,
  [402] = 255,
  [403] = 256,
  [404] = 257,
  [405] = 237,
  [406] = 238,
  [407] = 239,
  [408] = 240,
  [409] = 241,
  [410] = 242,
  [411] = 243,
  [412] = 244,
  [413] = 245,
  [414] = 246,
  [415] = 247,
  [416] = 248,
  [417] = 249,
  [418] = 250,
  [419] = 238,
  [420] = 252,
  [421] = 253,
  [422] = 239,
  [423] = 255,
  [424] = 256,
  [425] = 257,
  [426] = 240,
  [427] = 238,
  [428] = 239,
  [429] = 240,
  [430] = 241,
  [431] = 242,
  [432] = 243,
  [433] = 244,
  [434] = 245,
  [435] = 246,
  [436] = 247,
  [437] = 248,
  [438] = 249,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 251,
  [443] = 241,
  [444] = 439,
  [445] = 440,
  [446] = 441,
  [447] = 251,
  [448] = 242,
  [449] = 439,
  [450] = 440,
  [451] = 441,
  [452] = 251,
  [453] = 243,
  [454] = 439,
  [455] = 440,
  [456] = 441,
  [457] = 251,
  [458] = 244,
  [459] = 439,
  [460] = 440,
  [461] = 441,
  [462] = 251,
  [463] = 245,
  [464] = 439,
  [465] = 440,
  [466] = 441,
  [467] = 251,
  [468] = 246,
  [469] = 439,
  [470] = 440,
  [471] = 441,
  [472] = 251,
  [473] = 247,
  [474] = 439,
  [475] = 440,
  [476] = 441,
  [477] = 251,
  [478] = 248,
  [479] = 439,
  [480] = 440,
  [481] = 441,
  [482] = 251,
  [483] = 249,
  [484] = 439,
  [485] = 440,
  [486] = 441,
  [487] = 251,
  [488] = 250,
  [489] = 439,
  [490] = 440,
  [491] = 441,
  [492] = 251,
  [493] = 250,
  [494] = 439,
  [495] = 440,
  [496] = 441,
  [497] = 251,
  [498] = 252,
  [499] = 439,
  [500] = 440,
  [501] = 441,
  [502] = 251,
  [503] = 253,
  [504] = 439,
  [505] = 440,
  [506] = 441,
  [507] = 251,
  [508] = 251,
  [509] = 439,
  [510] = 440,
  [511] = 441,
  [512] = 251,
  [513] = 252,
  [514] = 439,
  [515] = 440,
  [516] = 441,
  [517] = 251,
  [518] = 255,
  [519] = 439,
  [520] = 440,
  [521] = 441,
  [522] = 251,
  [523] = 256,
  [524] = 439,
  [525] = 440,
  [526] = 441,
  [527] = 257,
  [528] = 440,
  [529] = 237,
  [530] = 238,
  [531] = 239,
  [532] = 240,
  [533] = 533,
  [534] = 439,
  [535] = 441,
  [536] = 317,
  [537] = 241,
  [538] = 242,
  [539] = 243,
  [540] = 244,
  [541] = 275,
  [542] = 245,
  [543] = 246,
  [544] = 247,
  [545] = 533,
  [546] = 317,
  [547] = 248,
  [548] = 249,
  [549] = 250,
  [550] = 533,
  [551] = 275,
  [552] = 252,
  [553] = 253,
  [554] = 439,
  [555] = 533,
  [556] = 317,
  [557] = 255,
  [558] = 256,
  [559] = 257,
  [560] = 237,
  [561] = 275,
  [562] = 238,
  [563] = 239,
  [564] = 240,
  [565] = 533,
  [566] = 317,
  [567] = 241,
  [568] = 242,
  [569] = 243,
  [570] = 244,
  [571] = 275,
  [572] = 245,
  [573] = 246,
  [574] = 247,
  [575] = 533,
  [576] = 317,
  [577] = 248,
  [578] = 249,
  [579] = 250,
  [580] = 255,
  [581] = 275,
  [582] = 252,
  [583] = 253,
  [584] = 256,
  [585] = 533,
  [586] = 317,
  [587] = 255,
  [588] = 256,
  [589] = 257,
  [590] = 237,
  [591] = 275,
  [592] = 238,
  [593] = 239,
  [594] = 240,
  [595] = 533,
  [596] = 317,
  [597] = 241,
  [598] = 242,
  [599] = 243,
  [600] = 244,
  [601] = 275,
  [602] = 245,
  [603] = 246,
  [604] = 247,
  [605] = 533,
  [606] = 317,
  [607] = 248,
  [608] = 249,
  [609] = 250,
  [610] = 257,
  [611] = 252,
  [612] = 275,
  [613] = 253,
  [614] = 237,
  [615] = 533,
  [616] = 317,
  [617] = 255,
  [618] = 256,
  [619] = 257,
  [620] = 237,
  [621] = 275,
  [622] = 238,
  [623] = 239,
  [624] = 533,
  [625] = 317,
  [626] = 240,
  [627] = 241,
  [628] = 242,
  [629] = 243,
  [630] = 275,
  [631] = 244,
  [632] = 245,
  [633] = 533,
  [634] = 317,
  [635] = 246,
  [636] = 247,
  [637] = 248,
  [638] = 249,
  [639] = 275,
  [640] = 250,
  [641] = 238,
  [642] = 533,
  [643] = 317,
  [644] = 252,
  [645] = 253,
  [646] = 239,
  [647] = 255,
  [648] = 275,
  [649] = 256,
  [650] = 257,
  [651] = 533,
  [652] = 317,
  [653] = 237,
  [654] = 238,
  [655] = 239,
  [656] = 240,
  [657] = 275,
  [658] = 241,
  [659] = 242,
  [660] = 533,
  [661] = 317,
  [662] = 243,
  [663] = 244,
  [664] = 245,
  [665] = 246,
  [666] = 275,
  [667] = 247,
  [668] = 248,
  [669] = 533,
  [670] = 317,
  [671] = 249,
  [672] = 250,
  [673] = 240,
  [674] = 252,
  [675] = 275,
  [676] = 253,
  [677] = 241,
  [678] = 533,
  [679] = 317,
  [680] = 255,
  [681] = 256,
  [682] = 257,
  [683] = 237,
  [684] = 275,
  [685] = 238,
  [686] = 239,
  [687] = 533,
  [688] = 317,
  [689] = 240,
  [690] = 241,
  [691] = 242,
  [692] = 243,
  [693] = 275,
  [694] = 244,
  [695] = 245,
  [696] = 533,
  [697] = 317,
  [698] = 246,
  [699] = 247,
  [700] = 248,
  [701] = 249,
  [702] = 275,
  [703] = 250,
  [704] = 242,
  [705] = 533,
  [706] = 317,
  [707] = 252,
  [708] = 253,
  [709] = 243,
  [710] = 255,
  [711] = 275,
  [712] = 256,
  [713] = 257,
  [714] = 237,
  [715] = 238,
  [716] = 239,
  [717] = 240,
  [718] = 241,
  [719] = 242,
  [720] = 243,
  [721] = 244,
  [722] = 245,
  [723] = 246,
  [724] = 247,
  [725] = 248,
  [726] = 249,
  [727] = 250,
  [728] = 244,
  [729] = 252,
  [730] = 253,
  [731] = 245,
  [732] = 255,
  [733] = 256,
  [734] = 257,
  [735] = 237,
  [736] = 238,
  [737] = 239,
  [738] = 240,
  [739] = 241,
  [740] = 242,
  [741] = 243,
  [742] = 244,
  [743] = 245,
  [744] = 246,
  [745] = 247,
  [746] = 248,
  [747] = 249,
  [748] = 250,
  [749] = 440,
  [750] = 252,
  [751] = 253,
  [752] = 441,
  [753] = 255,
  [754] = 256,
  [755] = 257,
  [756] = 237,
  [757] = 757,
  [758] = 757,
  [759] = 757,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 762,
  [773] = 761,
  [774] = 767,
  [775] = 768,
  [776] = 769,
  [777] = 777,
  [778] = 778,
  [779] = 763,
  [780] = 764,
  [781] = 770,
  [782] = 762,
  [783] = 761,
  [784] = 767,
  [785] = 768,
  [786] = 769,
  [787] = 777,
  [788] = 778,
  [789] = 763,
  [790] = 764,
  [791] = 770,
  [792] = 762,
  [793] = 761,
  [794] = 767,
  [795] = 768,
  [796] = 769,
  [797] = 778,
  [798] = 762,
  [799] = 761,
  [800] = 767,
  [801] = 768,
  [802] = 769,
  [803] = 778,
  [804] = 757,
  [805] = 765,
  [806] = 757,
  [807] = 765,
  [808] = 777,
  [809] = 760,
  [810] = 757,
  [811] = 765,
  [812] = 757,
  [813] = 765,
  [814] = 765,
  [815] = 765,
  [816] = 757,
  [817] = 765,
  [818] = 760,
  [819] = 757,
  [820] = 765,
  [821] = 757,
  [822] = 765,
  [823] = 757,
  [824] = 765,
  [825] = 757,
  [826] = 765,
  [827] = 757,
  [828] = 765,
  [829] = 757,
  [830] = 765,
  [831] = 757,
  [832] = 765,
  [833] = 757,
  [834] = 765,
  [835] = 778,
  [836] = 757,
  [837] = 765,
  [838] = 757,
  [839] = 765,
  [840] = 757,
  [841] = 765,
  [842] = 757,
  [843] = 765,
  [844] = 757,
  [845] = 765,
  [846] = 757,
  [847] = 765,
  [848] = 757,
  [849] = 765,
  [850] = 757,
  [851] = 765,
  [852] = 757,
  [853] = 765,
  [854] = 757,
  [855] = 765,
  [856] = 757,
  [857] = 765,
  [858] = 757,
  [859] = 765,
  [860] = 757,
  [861] = 765,
  [862] = 757,
  [863] = 765,
  [864] = 757,
  [865] = 765,
  [866] = 757,
  [867] = 765,
  [868] = 757,
  [869] = 765,
  [870] = 757,
  [871] = 765,
  [872] = 757,
  [873] = 765,
  [874] = 757,
  [875] = 765,
  [876] = 757,
  [877] = 765,
  [878] = 765,
  [879] = 757,
  [880] = 765,
  [881] = 757,
  [882] = 765,
  [883] = 757,
  [884] = 765,
  [885] = 757,
  [886] = 765,
  [887] = 757,
  [888] = 765,
  [889] = 757,
  [890] = 765,
  [891] = 757,
  [892] = 765,
  [893] = 757,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 894,
  [898] = 898,
  [899] = 899,
  [900] = 899,
  [901] = 895,
  [902] = 902,
  [903] = 898,
  [904] = 902,
  [905] = 894,
  [906] = 902,
  [907] = 896,
  [908] = 898,
  [909] = 898,
  [910] = 894,
  [911] = 896,
  [912] = 895,
  [913] = 899,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 918,
  [920] = 918,
  [921] = 918,
  [922] = 917,
  [923] = 918,
  [924] = 917,
  [925] = 918,
  [926] = 917,
  [927] = 918,
  [928] = 918,
  [929] = 915,
  [930] = 918,
  [931] = 918,
  [932] = 918,
  [933] = 918,
  [934] = 918,
  [935] = 916,
  [936] = 918,
  [937] = 918,
  [938] = 918,
  [939] = 918,
  [940] = 918,
  [941] = 918,
  [942] = 918,
  [943] = 918,
  [944] = 918,
  [945] = 918,
  [946] = 918,
  [947] = 918,
  [948] = 916,
  [949] = 915,
  [950] = 915,
  [951] = 951,
  [952] = 916,
  [953] = 951,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 955,
  [959] = 959,
  [960] = 956,
  [961] = 959,
  [962] = 954,
  [963] = 963,
  [964] = 955,
  [965] = 957,
  [966] = 954,
  [967] = 956,
  [968] = 957,
  [969] = 963,
  [970] = 954,
  [971] = 963,
  [972] = 957,
  [973] = 963,
  [974] = 959,
  [975] = 956,
  [976] = 959,
  [977] = 955,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 983,
  [986] = 986,
  [987] = 979,
  [988] = 980,
  [989] = 981,
  [990] = 982,
  [991] = 978,
  [992] = 896,
  [993] = 896,
  [994] = 984,
  [995] = 981,
  [996] = 982,
  [997] = 979,
  [998] = 980,
  [999] = 999,
  [1000] = 978,
  [1001] = 1001,
  [1002] = 1001,
  [1003] = 1001,
  [1004] = 983,
  [1005] = 984,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1008,
  [1011] = 1009,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1012,
  [1017] = 1014,
  [1018] = 1018,
  [1019] = 1008,
  [1020] = 1014,
  [1021] = 1008,
  [1022] = 1009,
  [1023] = 1023,
  [1024] = 1009,
  [1025] = 1025,
  [1026] = 1015,
  [1027] = 1027,
  [1028] = 1018,
  [1029] = 1013,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1018,
  [1033] = 1008,
  [1034] = 1012,
  [1035] = 1027,
  [1036] = 1009,
  [1037] = 1030,
  [1038] = 1031,
  [1039] = 1008,
  [1040] = 1009,
  [1041] = 1008,
  [1042] = 1027,
  [1043] = 1023,
  [1044] = 1025,
  [1045] = 1030,
  [1046] = 1031,
  [1047] = 1009,
  [1048] = 1013,
  [1049] = 1015,
  [1050] = 1008,
  [1051] = 1008,
  [1052] = 1052,
  [1053] = 1008,
  [1054] = 1009,
  [1055] = 1052,
  [1056] = 1008,
  [1057] = 1023,
  [1058] = 1009,
  [1059] = 1009,
  [1060] = 1025,
  [1061] = 1008,
  [1062] = 1023,
  [1063] = 1025,
  [1064] = 1009,
  [1065] = 1023,
  [1066] = 1025,
  [1067] = 1023,
  [1068] = 1025,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1052,
  [1073] = 1023,
  [1074] = 1025,
  [1075] = 1023,
  [1076] = 1025,
  [1077] = 1009,
  [1078] = 1023,
  [1079] = 1025,
  [1080] = 1069,
  [1081] = 1070,
  [1082] = 1071,
  [1083] = 1008,
  [1084] = 1025,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1009,
  [1088] = 1088,
  [1089] = 1008,
  [1090] = 1090,
  [1091] = 1070,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1023,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1069,
  [1105] = 1025,
  [1106] = 1070,
  [1107] = 1085,
  [1108] = 1108,
  [1109] = 1071,
  [1110] = 1086,
  [1111] = 1097,
  [1112] = 1112,
  [1113] = 1090,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1112,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1114,
  [1120] = 1120,
  [1121] = 1120,
  [1122] = 1122,
  [1123] = 1025,
  [1124] = 1023,
  [1125] = 1023,
  [1126] = 1092,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1088,
  [1130] = 1093,
  [1131] = 1097,
  [1132] = 1023,
  [1133] = 1133,
  [1134] = 1088,
  [1135] = 1135,
  [1136] = 1094,
  [1137] = 1133,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1103,
  [1141] = 1141,
  [1142] = 1070,
  [1143] = 1138,
  [1144] = 1120,
  [1145] = 1145,
  [1146] = 1095,
  [1147] = 1115,
  [1148] = 1102,
  [1149] = 1108,
  [1150] = 1023,
  [1151] = 1086,
  [1152] = 1090,
  [1153] = 1092,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1156,
  [1158] = 1009,
  [1159] = 1159,
  [1160] = 1023,
  [1161] = 1025,
  [1162] = 1069,
  [1163] = 1100,
  [1164] = 1118,
  [1165] = 1070,
  [1166] = 1008,
  [1167] = 1093,
  [1168] = 1023,
  [1169] = 1009,
  [1170] = 1170,
  [1171] = 1069,
  [1172] = 1025,
  [1173] = 1173,
  [1174] = 1070,
  [1175] = 1069,
  [1176] = 1070,
  [1177] = 1071,
  [1178] = 1155,
  [1179] = 1071,
  [1180] = 1008,
  [1181] = 1181,
  [1182] = 1025,
  [1183] = 1139,
  [1184] = 1184,
  [1185] = 1139,
  [1186] = 1008,
  [1187] = 1138,
  [1188] = 1155,
  [1189] = 1096,
  [1190] = 1023,
  [1191] = 1025,
  [1192] = 1009,
  [1193] = 1156,
  [1194] = 1170,
  [1195] = 1098,
  [1196] = 1159,
  [1197] = 1145,
  [1198] = 1100,
  [1199] = 1025,
  [1200] = 1118,
  [1201] = 1173,
  [1202] = 1112,
  [1203] = 1101,
  [1204] = 1114,
  [1205] = 1117,
  [1206] = 1181,
  [1207] = 1069,
  [1208] = 1070,
  [1209] = 1071,
  [1210] = 1141,
  [1211] = 1122,
  [1212] = 1154,
  [1213] = 1108,
  [1214] = 1127,
  [1215] = 1128,
  [1216] = 1159,
  [1217] = 1184,
  [1218] = 1135,
  [1219] = 1094,
  [1220] = 1133,
  [1221] = 1145,
  [1222] = 1095,
  [1223] = 1102,
  [1224] = 1181,
  [1225] = 1225,
  [1226] = 1225,
  [1227] = 1170,
  [1228] = 1173,
  [1229] = 1141,
  [1230] = 1009,
  [1231] = 1154,
  [1232] = 1103,
  [1233] = 1117,
  [1234] = 1085,
  [1235] = 1115,
  [1236] = 1071,
  [1237] = 1135,
  [1238] = 1184,
  [1239] = 1096,
  [1240] = 1098,
  [1241] = 1122,
  [1242] = 1101,
  [1243] = 1127,
  [1244] = 1128,
  [1245] = 1135,
  [1246] = 1246,
  [1247] = 1008,
  [1248] = 1248,
  [1249] = 1023,
  [1250] = 1122,
  [1251] = 1127,
  [1252] = 1128,
  [1253] = 1069,
  [1254] = 1135,
  [1255] = 1009,
  [1256] = 1184,
  [1257] = 1025,
  [1258] = 1258,
  [1259] = 1096,
  [1260] = 1008,
  [1261] = 1070,
  [1262] = 1170,
  [1263] = 1263,
  [1264] = 1098,
  [1265] = 1071,
  [1266] = 1173,
  [1267] = 1267,
  [1268] = 1101,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1184,
  [1274] = 1096,
  [1275] = 1098,
  [1276] = 1122,
  [1277] = 1101,
  [1278] = 1127,
  [1279] = 1128,
  [1280] = 1280,
  [1281] = 1246,
  [1282] = 1248,
  [1283] = 1069,
  [1284] = 1122,
  [1285] = 1128,
  [1286] = 1127,
  [1287] = 1128,
  [1288] = 1071,
  [1289] = 1135,
  [1290] = 1225,
  [1291] = 1258,
  [1292] = 1263,
  [1293] = 1267,
  [1294] = 1269,
  [1295] = 1270,
  [1296] = 1271,
  [1297] = 1023,
  [1298] = 1280,
  [1299] = 1170,
  [1300] = 1173,
  [1301] = 1225,
  [1302] = 1225,
  [1303] = 1225,
  [1304] = 1225,
  [1305] = 1225,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1225,
  [1309] = 1225,
  [1310] = 1306,
  [1311] = 1307,
  [1312] = 1170,
  [1313] = 1173,
  [1314] = 1170,
  [1315] = 1173,
  [1316] = 1225,
  [1317] = 1317,
  [1318] = 1317,
  [1319] = 1070,
  [1320] = 1023,
  [1321] = 1009,
  [1322] = 1070,
  [1323] = 1025,
  [1324] = 1070,
  [1325] = 1070,
  [1326] = 1009,
  [1327] = 1069,
  [1328] = 1070,
  [1329] = 1071,
  [1330] = 1184,
  [1331] = 1317,
  [1332] = 1096,
  [1333] = 1098,
  [1334] = 1101,
  [1335] = 1069,
  [1336] = 1070,
  [1337] = 1071,
  [1338] = 1184,
  [1339] = 1025,
  [1340] = 1122,
  [1341] = 1127,
  [1342] = 1070,
  [1343] = 1128,
  [1344] = 1135,
  [1345] = 1008,
  [1346] = 1096,
  [1347] = 1317,
  [1348] = 1098,
  [1349] = 1101,
  [1350] = 1069,
  [1351] = 1128,
  [1352] = 1071,
  [1353] = 1272,
  [1354] = 1069,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1267,
  [1358] = 1269,
  [1359] = 1269,
  [1360] = 1360,
  [1361] = 1270,
  [1362] = 1362,
  [1363] = 1271,
  [1364] = 1364,
  [1365] = 1272,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1225,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1122,
  [1378] = 1258,
  [1379] = 1280,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1355,
  [1386] = 1356,
  [1387] = 1360,
  [1388] = 1362,
  [1389] = 1364,
  [1390] = 1373,
  [1391] = 1382,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1263,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1392,
  [1401] = 1401,
  [1402] = 1393,
  [1403] = 1127,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1267,
  [1407] = 1407,
  [1408] = 1394,
  [1409] = 1409,
  [1410] = 1269,
  [1411] = 1170,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1270,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1395,
  [1418] = 1271,
  [1419] = 1272,
  [1420] = 1263,
  [1421] = 1397,
  [1422] = 1422,
  [1423] = 1094,
  [1424] = 1398,
  [1425] = 1133,
  [1426] = 1145,
  [1427] = 1095,
  [1428] = 1102,
  [1429] = 1399,
  [1430] = 1181,
  [1431] = 1401,
  [1432] = 1135,
  [1433] = 1248,
  [1434] = 1101,
  [1435] = 1404,
  [1436] = 1405,
  [1437] = 1317,
  [1438] = 1173,
  [1439] = 1184,
  [1440] = 1170,
  [1441] = 1280,
  [1442] = 1173,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1267,
  [1446] = 1225,
  [1447] = 1306,
  [1448] = 1307,
  [1449] = 1094,
  [1450] = 1133,
  [1451] = 1145,
  [1452] = 1095,
  [1453] = 1102,
  [1454] = 1181,
  [1455] = 1170,
  [1456] = 1173,
  [1457] = 1225,
  [1458] = 1225,
  [1459] = 1407,
  [1460] = 1409,
  [1461] = 1225,
  [1462] = 1306,
  [1463] = 1307,
  [1464] = 1269,
  [1465] = 1225,
  [1466] = 1225,
  [1467] = 1170,
  [1468] = 1173,
  [1469] = 1270,
  [1470] = 1225,
  [1471] = 1225,
  [1472] = 1412,
  [1473] = 1306,
  [1474] = 1307,
  [1475] = 1413,
  [1476] = 1306,
  [1477] = 1307,
  [1478] = 1270,
  [1479] = 1415,
  [1480] = 1416,
  [1481] = 1306,
  [1482] = 1307,
  [1483] = 1263,
  [1484] = 1306,
  [1485] = 1170,
  [1486] = 1307,
  [1487] = 1173,
  [1488] = 1271,
  [1489] = 1271,
  [1490] = 1170,
  [1491] = 1272,
  [1492] = 1173,
  [1493] = 1127,
  [1494] = 1272,
  [1495] = 1170,
  [1496] = 1173,
  [1497] = 1225,
  [1498] = 1263,
  [1499] = 1173,
  [1500] = 1422,
  [1501] = 1246,
  [1502] = 1225,
  [1503] = 1101,
  [1504] = 1069,
  [1505] = 1096,
  [1506] = 1317,
  [1507] = 1317,
  [1508] = 1317,
  [1509] = 1509,
  [1510] = 1317,
  [1511] = 1366,
  [1512] = 1512,
  [1513] = 1317,
  [1514] = 1509,
  [1515] = 1246,
  [1516] = 1512,
  [1517] = 1069,
  [1518] = 1128,
  [1519] = 1098,
  [1520] = 1098,
  [1521] = 1071,
  [1522] = 1128,
  [1523] = 1070,
  [1524] = 1367,
  [1525] = 1184,
  [1526] = 1317,
  [1527] = 1101,
  [1528] = 1306,
  [1529] = 1069,
  [1530] = 1225,
  [1531] = 1096,
  [1532] = 1070,
  [1533] = 1098,
  [1534] = 1280,
  [1535] = 1101,
  [1536] = 1069,
  [1537] = 1128,
  [1538] = 1128,
  [1539] = 1071,
  [1540] = 1128,
  [1541] = 1369,
  [1542] = 1071,
  [1543] = 1509,
  [1544] = 1317,
  [1545] = 1545,
  [1546] = 1071,
  [1547] = 1184,
  [1548] = 1248,
  [1549] = 1280,
  [1550] = 1122,
  [1551] = 1184,
  [1552] = 1370,
  [1553] = 1127,
  [1554] = 1128,
  [1555] = 1371,
  [1556] = 1372,
  [1557] = 1135,
  [1558] = 1096,
  [1559] = 1307,
  [1560] = 1246,
  [1561] = 1258,
  [1562] = 1374,
  [1563] = 1098,
  [1564] = 1248,
  [1565] = 1122,
  [1566] = 1170,
  [1567] = 1135,
  [1568] = 1280,
  [1569] = 1101,
  [1570] = 1173,
  [1571] = 1375,
  [1572] = 1267,
  [1573] = 1127,
  [1574] = 1128,
  [1575] = 1122,
  [1576] = 1317,
  [1577] = 1258,
  [1578] = 1135,
  [1579] = 1380,
  [1580] = 1258,
  [1581] = 1246,
  [1582] = 1263,
  [1583] = 1280,
  [1584] = 1584,
  [1585] = 1381,
  [1586] = 1096,
  [1587] = 1267,
  [1588] = 1269,
  [1589] = 1128,
  [1590] = 1590,
  [1591] = 1225,
  [1592] = 1270,
  [1593] = 1225,
  [1594] = 1271,
  [1595] = 1071,
  [1596] = 1272,
  [1597] = 1383,
  [1598] = 1246,
  [1599] = 1317,
  [1600] = 1248,
  [1601] = 1184,
  [1602] = 1509,
  [1603] = 1443,
  [1604] = 1170,
  [1605] = 1258,
  [1606] = 1122,
  [1607] = 1070,
  [1608] = 1173,
  [1609] = 1384,
  [1610] = 1098,
  [1611] = 1127,
  [1612] = 1096,
  [1613] = 1248,
  [1614] = 1444,
  [1615] = 1135,
  [1616] = 1170,
  [1617] = 1362,
  [1618] = 1096,
  [1619] = 1263,
  [1620] = 1098,
  [1621] = 1444,
  [1622] = 1122,
  [1623] = 1367,
  [1624] = 1098,
  [1625] = 1133,
  [1626] = 1145,
  [1627] = 1095,
  [1628] = 1102,
  [1629] = 1397,
  [1630] = 1398,
  [1631] = 1267,
  [1632] = 1307,
  [1633] = 1267,
  [1634] = 1122,
  [1635] = 1399,
  [1636] = 1401,
  [1637] = 1101,
  [1638] = 1374,
  [1639] = 1404,
  [1640] = 1405,
  [1641] = 1407,
  [1642] = 1375,
  [1643] = 1181,
  [1644] = 1269,
  [1645] = 1409,
  [1646] = 1269,
  [1647] = 1170,
  [1648] = 1412,
  [1649] = 1413,
  [1650] = 1248,
  [1651] = 1415,
  [1652] = 1270,
  [1653] = 1416,
  [1654] = 1184,
  [1655] = 1271,
  [1656] = 1263,
  [1657] = 1366,
  [1658] = 1317,
  [1659] = 1101,
  [1660] = 1367,
  [1661] = 1272,
  [1662] = 1422,
  [1663] = 1369,
  [1664] = 1370,
  [1665] = 1371,
  [1666] = 1372,
  [1667] = 1374,
  [1668] = 1443,
  [1669] = 1375,
  [1670] = 1069,
  [1671] = 1444,
  [1672] = 1280,
  [1673] = 1128,
  [1674] = 1173,
  [1675] = 1071,
  [1676] = 1270,
  [1677] = 1225,
  [1678] = 1443,
  [1679] = 1306,
  [1680] = 1246,
  [1681] = 1444,
  [1682] = 1307,
  [1683] = 1094,
  [1684] = 1225,
  [1685] = 1133,
  [1686] = 1145,
  [1687] = 1095,
  [1688] = 1102,
  [1689] = 1181,
  [1690] = 1443,
  [1691] = 1094,
  [1692] = 1133,
  [1693] = 1145,
  [1694] = 1095,
  [1695] = 1102,
  [1696] = 1545,
  [1697] = 1181,
  [1698] = 1225,
  [1699] = 1271,
  [1700] = 1380,
  [1701] = 1381,
  [1702] = 1383,
  [1703] = 1384,
  [1704] = 1306,
  [1705] = 1307,
  [1706] = 1355,
  [1707] = 1356,
  [1708] = 1360,
  [1709] = 1362,
  [1710] = 1364,
  [1711] = 1373,
  [1712] = 1170,
  [1713] = 1173,
  [1714] = 1382,
  [1715] = 1306,
  [1716] = 1307,
  [1717] = 1392,
  [1718] = 1306,
  [1719] = 1393,
  [1720] = 1307,
  [1721] = 1394,
  [1722] = 1444,
  [1723] = 1306,
  [1724] = 1307,
  [1725] = 1369,
  [1726] = 1306,
  [1727] = 1170,
  [1728] = 1307,
  [1729] = 1173,
  [1730] = 1395,
  [1731] = 1370,
  [1732] = 1170,
  [1733] = 1173,
  [1734] = 1397,
  [1735] = 1398,
  [1736] = 1399,
  [1737] = 1170,
  [1738] = 1272,
  [1739] = 1173,
  [1740] = 1401,
  [1741] = 1170,
  [1742] = 1173,
  [1743] = 1404,
  [1744] = 1405,
  [1745] = 1380,
  [1746] = 1096,
  [1747] = 1407,
  [1748] = 1409,
  [1749] = 1317,
  [1750] = 1412,
  [1751] = 1413,
  [1752] = 1381,
  [1753] = 1415,
  [1754] = 1416,
  [1755] = 1225,
  [1756] = 1756,
  [1757] = 1101,
  [1758] = 1127,
  [1759] = 1759,
  [1760] = 1317,
  [1761] = 1756,
  [1762] = 1094,
  [1763] = 1763,
  [1764] = 1317,
  [1765] = 1422,
  [1766] = 1512,
  [1767] = 1317,
  [1768] = 1366,
  [1769] = 1512,
  [1770] = 1509,
  [1771] = 1512,
  [1772] = 1184,
  [1773] = 1512,
  [1774] = 1509,
  [1775] = 1509,
  [1776] = 1367,
  [1777] = 1512,
  [1778] = 1094,
  [1779] = 1248,
  [1780] = 1369,
  [1781] = 1127,
  [1782] = 1370,
  [1783] = 1759,
  [1784] = 1756,
  [1785] = 1170,
  [1786] = 1763,
  [1787] = 1371,
  [1788] = 1372,
  [1789] = 1135,
  [1790] = 1374,
  [1791] = 1759,
  [1792] = 1756,
  [1793] = 1763,
  [1794] = 1122,
  [1795] = 1173,
  [1796] = 1280,
  [1797] = 1375,
  [1798] = 1759,
  [1799] = 1756,
  [1800] = 1763,
  [1801] = 1225,
  [1802] = 1444,
  [1803] = 1759,
  [1804] = 1756,
  [1805] = 1763,
  [1806] = 1509,
  [1807] = 1759,
  [1808] = 1756,
  [1809] = 1763,
  [1810] = 1763,
  [1811] = 1184,
  [1812] = 1759,
  [1813] = 1756,
  [1814] = 1763,
  [1815] = 1069,
  [1816] = 1759,
  [1817] = 1756,
  [1818] = 1763,
  [1819] = 1127,
  [1820] = 1258,
  [1821] = 1170,
  [1822] = 1759,
  [1823] = 1756,
  [1824] = 1763,
  [1825] = 1128,
  [1826] = 1759,
  [1827] = 1071,
  [1828] = 1759,
  [1829] = 1756,
  [1830] = 1763,
  [1831] = 1759,
  [1832] = 1756,
  [1833] = 1763,
  [1834] = 1759,
  [1835] = 1756,
  [1836] = 1763,
  [1837] = 1170,
  [1838] = 1759,
  [1839] = 1756,
  [1840] = 1763,
  [1841] = 1263,
  [1842] = 1759,
  [1843] = 1756,
  [1844] = 1763,
  [1845] = 1122,
  [1846] = 1173,
  [1847] = 1267,
  [1848] = 1759,
  [1849] = 1756,
  [1850] = 1763,
  [1851] = 1133,
  [1852] = 1759,
  [1853] = 1756,
  [1854] = 1763,
  [1855] = 1127,
  [1856] = 1270,
  [1857] = 1145,
  [1858] = 1759,
  [1859] = 1756,
  [1860] = 1763,
  [1861] = 1372,
  [1862] = 1135,
  [1863] = 1759,
  [1864] = 1756,
  [1865] = 1763,
  [1866] = 1102,
  [1867] = 1759,
  [1868] = 1756,
  [1869] = 1763,
  [1870] = 1306,
  [1871] = 1443,
  [1872] = 1246,
  [1873] = 1135,
  [1874] = 1135,
  [1875] = 1225,
  [1876] = 1380,
  [1877] = 1246,
  [1878] = 1248,
  [1879] = 1381,
  [1880] = 1280,
  [1881] = 1133,
  [1882] = 1248,
  [1883] = 1371,
  [1884] = 1225,
  [1885] = 1383,
  [1886] = 1269,
  [1887] = 1384,
  [1888] = 1355,
  [1889] = 1356,
  [1890] = 1271,
  [1891] = 1145,
  [1892] = 1272,
  [1893] = 1360,
  [1894] = 1362,
  [1895] = 1258,
  [1896] = 1366,
  [1897] = 1364,
  [1898] = 1280,
  [1899] = 1367,
  [1900] = 1373,
  [1901] = 1369,
  [1902] = 1370,
  [1903] = 1371,
  [1904] = 1248,
  [1905] = 1372,
  [1906] = 1509,
  [1907] = 1382,
  [1908] = 1392,
  [1909] = 1374,
  [1910] = 1375,
  [1911] = 1122,
  [1912] = 1184,
  [1913] = 1317,
  [1914] = 1170,
  [1915] = 1306,
  [1916] = 1393,
  [1917] = 1263,
  [1918] = 1394,
  [1919] = 1512,
  [1920] = 1380,
  [1921] = 1381,
  [1922] = 1181,
  [1923] = 1383,
  [1924] = 1384,
  [1925] = 1355,
  [1926] = 1356,
  [1927] = 1306,
  [1928] = 1360,
  [1929] = 1246,
  [1930] = 1362,
  [1931] = 1364,
  [1932] = 1373,
  [1933] = 1382,
  [1934] = 1392,
  [1935] = 1393,
  [1936] = 1394,
  [1937] = 1095,
  [1938] = 1173,
  [1939] = 1395,
  [1940] = 1307,
  [1941] = 1395,
  [1942] = 1267,
  [1943] = 1397,
  [1944] = 1398,
  [1945] = 1399,
  [1946] = 1401,
  [1947] = 1307,
  [1948] = 1404,
  [1949] = 1405,
  [1950] = 1269,
  [1951] = 1407,
  [1952] = 1397,
  [1953] = 1409,
  [1954] = 1412,
  [1955] = 1413,
  [1956] = 1415,
  [1957] = 1398,
  [1958] = 1416,
  [1959] = 1422,
  [1960] = 1280,
  [1961] = 1270,
  [1962] = 1399,
  [1963] = 1225,
  [1964] = 1271,
  [1965] = 1184,
  [1966] = 1509,
  [1967] = 1401,
  [1968] = 1272,
  [1969] = 1098,
  [1970] = 1102,
  [1971] = 1366,
  [1972] = 1101,
  [1973] = 1367,
  [1974] = 1225,
  [1975] = 1404,
  [1976] = 1369,
  [1977] = 1405,
  [1978] = 1096,
  [1979] = 1370,
  [1980] = 1096,
  [1981] = 1371,
  [1982] = 1372,
  [1983] = 1258,
  [1984] = 1374,
  [1985] = 1173,
  [1986] = 1375,
  [1987] = 1098,
  [1988] = 1407,
  [1989] = 1383,
  [1990] = 1409,
  [1991] = 1384,
  [1992] = 1127,
  [1993] = 1096,
  [1994] = 1101,
  [1995] = 1069,
  [1996] = 1280,
  [1997] = 1412,
  [1998] = 1413,
  [1999] = 1355,
  [2000] = 1415,
  [2001] = 1416,
  [2002] = 1356,
  [2003] = 1135,
  [2004] = 1360,
  [2005] = 1362,
  [2006] = 1258,
  [2007] = 1306,
  [2008] = 1584,
  [2009] = 1380,
  [2010] = 1381,
  [2011] = 1590,
  [2012] = 1512,
  [2013] = 1383,
  [2014] = 1384,
  [2015] = 1422,
  [2016] = 1355,
  [2017] = 1356,
  [2018] = 1360,
  [2019] = 1098,
  [2020] = 1364,
  [2021] = 1364,
  [2022] = 1246,
  [2023] = 1373,
  [2024] = 1382,
  [2025] = 1392,
  [2026] = 1393,
  [2027] = 1394,
  [2028] = 1395,
  [2029] = 1263,
  [2030] = 1307,
  [2031] = 1181,
  [2032] = 1397,
  [2033] = 1398,
  [2034] = 1399,
  [2035] = 1128,
  [2036] = 1401,
  [2037] = 1404,
  [2038] = 1405,
  [2039] = 1376,
  [2040] = 1373,
  [2041] = 1267,
  [2042] = 1407,
  [2043] = 1094,
  [2044] = 1409,
  [2045] = 1443,
  [2046] = 1269,
  [2047] = 1071,
  [2048] = 1382,
  [2049] = 1392,
  [2050] = 1412,
  [2051] = 1413,
  [2052] = 1270,
  [2053] = 1415,
  [2054] = 1416,
  [2055] = 1393,
  [2056] = 1271,
  [2057] = 1258,
  [2058] = 1272,
  [2059] = 1394,
  [2060] = 1422,
  [2061] = 1366,
  [2062] = 1395,
  [2063] = 1095,
  [2064] = 1371,
  [2065] = 1373,
  [2066] = 1271,
  [2067] = 1409,
  [2068] = 1269,
  [2069] = 1584,
  [2070] = 1590,
  [2071] = 1272,
  [2072] = 1145,
  [2073] = 1173,
  [2074] = 1267,
  [2075] = 1381,
  [2076] = 1269,
  [2077] = 1416,
  [2078] = 1381,
  [2079] = 1393,
  [2080] = 1307,
  [2081] = 1443,
  [2082] = 1271,
  [2083] = 1095,
  [2084] = 1272,
  [2085] = 1258,
  [2086] = 1184,
  [2087] = 1356,
  [2088] = 1416,
  [2089] = 1102,
  [2090] = 1404,
  [2091] = 1374,
  [2092] = 1422,
  [2093] = 1375,
  [2094] = 1366,
  [2095] = 1397,
  [2096] = 1096,
  [2097] = 1272,
  [2098] = 1398,
  [2099] = 1306,
  [2100] = 1584,
  [2101] = 1590,
  [2102] = 1367,
  [2103] = 1094,
  [2104] = 1094,
  [2105] = 1412,
  [2106] = 1369,
  [2107] = 1370,
  [2108] = 1356,
  [2109] = 1372,
  [2110] = 1413,
  [2111] = 1096,
  [2112] = 1374,
  [2113] = 1512,
  [2114] = 1375,
  [2115] = 1512,
  [2116] = 1422,
  [2117] = 1380,
  [2118] = 1381,
  [2119] = 1366,
  [2120] = 1122,
  [2121] = 1270,
  [2122] = 1512,
  [2123] = 1380,
  [2124] = 1098,
  [2125] = 1397,
  [2126] = 1398,
  [2127] = 1381,
  [2128] = 1399,
  [2129] = 1170,
  [2130] = 1383,
  [2131] = 1401,
  [2132] = 1415,
  [2133] = 1367,
  [2134] = 1545,
  [2135] = 1404,
  [2136] = 1512,
  [2137] = 1101,
  [2138] = 1409,
  [2139] = 1509,
  [2140] = 1369,
  [2141] = 1382,
  [2142] = 1133,
  [2143] = 1306,
  [2144] = 1412,
  [2145] = 1413,
  [2146] = 1145,
  [2147] = 1416,
  [2148] = 1362,
  [2149] = 1095,
  [2150] = 1512,
  [2151] = 1509,
  [2152] = 1398,
  [2153] = 1307,
  [2154] = 1280,
  [2155] = 1102,
  [2156] = 1422,
  [2157] = 1225,
  [2158] = 1307,
  [2159] = 1306,
  [2160] = 1394,
  [2161] = 1098,
  [2162] = 1246,
  [2163] = 1370,
  [2164] = 1380,
  [2165] = 1381,
  [2166] = 1170,
  [2167] = 1392,
  [2168] = 1371,
  [2169] = 1394,
  [2170] = 1184,
  [2171] = 1173,
  [2172] = 1360,
  [2173] = 1127,
  [2174] = 1443,
  [2175] = 1383,
  [2176] = 1373,
  [2177] = 1404,
  [2178] = 1407,
  [2179] = 1384,
  [2180] = 1383,
  [2181] = 1355,
  [2182] = 1356,
  [2183] = 1384,
  [2184] = 1360,
  [2185] = 1362,
  [2186] = 1364,
  [2187] = 1373,
  [2188] = 1382,
  [2189] = 1392,
  [2190] = 1393,
  [2191] = 1355,
  [2192] = 1356,
  [2193] = 1394,
  [2194] = 1181,
  [2195] = 1416,
  [2196] = 1443,
  [2197] = 1360,
  [2198] = 1395,
  [2199] = 1270,
  [2200] = 1170,
  [2201] = 1307,
  [2202] = 1270,
  [2203] = 1397,
  [2204] = 1366,
  [2205] = 1271,
  [2206] = 1398,
  [2207] = 1362,
  [2208] = 1399,
  [2209] = 1364,
  [2210] = 1372,
  [2211] = 1373,
  [2212] = 1382,
  [2213] = 1401,
  [2214] = 1173,
  [2215] = 1263,
  [2216] = 1392,
  [2217] = 1393,
  [2218] = 1394,
  [2219] = 1444,
  [2220] = 1306,
  [2221] = 1395,
  [2222] = 1404,
  [2223] = 1263,
  [2224] = 1355,
  [2225] = 1405,
  [2226] = 1307,
  [2227] = 1307,
  [2228] = 1444,
  [2229] = 1397,
  [2230] = 1398,
  [2231] = 1280,
  [2232] = 1399,
  [2233] = 1306,
  [2234] = 1272,
  [2235] = 1170,
  [2236] = 1184,
  [2237] = 1407,
  [2238] = 1405,
  [2239] = 1366,
  [2240] = 1509,
  [2241] = 1380,
  [2242] = 1409,
  [2243] = 1246,
  [2244] = 1401,
  [2245] = 1263,
  [2246] = 1135,
  [2247] = 1412,
  [2248] = 1271,
  [2249] = 1374,
  [2250] = 1404,
  [2251] = 1405,
  [2252] = 1413,
  [2253] = 1098,
  [2254] = 1367,
  [2255] = 1181,
  [2256] = 1122,
  [2257] = 1117,
  [2258] = 1181,
  [2259] = 1412,
  [2260] = 1413,
  [2261] = 1267,
  [2262] = 1415,
  [2263] = 1416,
  [2264] = 1415,
  [2265] = 1307,
  [2266] = 1225,
  [2267] = 1367,
  [2268] = 1393,
  [2269] = 1246,
  [2270] = 1443,
  [2271] = 1170,
  [2272] = 1369,
  [2273] = 1370,
  [2274] = 2274,
  [2275] = 1422,
  [2276] = 1173,
  [2277] = 1384,
  [2278] = 1375,
  [2279] = 1173,
  [2280] = 1267,
  [2281] = 1369,
  [2282] = 1371,
  [2283] = 1094,
  [2284] = 1372,
  [2285] = 1370,
  [2286] = 1246,
  [2287] = 1545,
  [2288] = 1225,
  [2289] = 1371,
  [2290] = 1383,
  [2291] = 1258,
  [2292] = 1372,
  [2293] = 1225,
  [2294] = 1407,
  [2295] = 1512,
  [2296] = 1395,
  [2297] = 1409,
  [2298] = 1248,
  [2299] = 1101,
  [2300] = 1170,
  [2301] = 1269,
  [2302] = 1173,
  [2303] = 1360,
  [2304] = 1415,
  [2305] = 1269,
  [2306] = 1509,
  [2307] = 1246,
  [2308] = 1101,
  [2309] = 1133,
  [2310] = 1173,
  [2311] = 1362,
  [2312] = 1380,
  [2313] = 2313,
  [2314] = 1170,
  [2315] = 1133,
  [2316] = 1271,
  [2317] = 1127,
  [2318] = 1173,
  [2319] = 1280,
  [2320] = 1306,
  [2321] = 1272,
  [2322] = 1145,
  [2323] = 1405,
  [2324] = 1248,
  [2325] = 1382,
  [2326] = 1133,
  [2327] = 1181,
  [2328] = 1145,
  [2329] = 1366,
  [2330] = 1095,
  [2331] = 1374,
  [2332] = 1443,
  [2333] = 1102,
  [2334] = 1122,
  [2335] = 1412,
  [2336] = 1248,
  [2337] = 1399,
  [2338] = 1127,
  [2339] = 1512,
  [2340] = 1355,
  [2341] = 1409,
  [2342] = 1364,
  [2343] = 1367,
  [2344] = 1095,
  [2345] = 1258,
  [2346] = 1094,
  [2347] = 1383,
  [2348] = 1225,
  [2349] = 1384,
  [2350] = 1355,
  [2351] = 1356,
  [2352] = 1369,
  [2353] = 1135,
  [2354] = 1370,
  [2355] = 1270,
  [2356] = 1371,
  [2357] = 1173,
  [2358] = 1372,
  [2359] = 1306,
  [2360] = 1267,
  [2361] = 1360,
  [2362] = 1362,
  [2363] = 1364,
  [2364] = 1248,
  [2365] = 1373,
  [2366] = 1374,
  [2367] = 1382,
  [2368] = 1512,
  [2369] = 1170,
  [2370] = 1375,
  [2371] = 1181,
  [2372] = 1444,
  [2373] = 1401,
  [2374] = 1399,
  [2375] = 1392,
  [2376] = 1393,
  [2377] = 1394,
  [2378] = 1307,
  [2379] = 1395,
  [2380] = 1280,
  [2381] = 1364,
  [2382] = 1422,
  [2383] = 1102,
  [2384] = 1444,
  [2385] = 1258,
  [2386] = 2386,
  [2387] = 1307,
  [2388] = 1395,
  [2389] = 1263,
  [2390] = 1413,
  [2391] = 1392,
  [2392] = 1170,
  [2393] = 1225,
  [2394] = 1133,
  [2395] = 1145,
  [2396] = 1095,
  [2397] = 1173,
  [2398] = 1444,
  [2399] = 1270,
  [2400] = 1102,
  [2401] = 1405,
  [2402] = 1258,
  [2403] = 1397,
  [2404] = 1306,
  [2405] = 1170,
  [2406] = 1443,
  [2407] = 1094,
  [2408] = 1263,
  [2409] = 1280,
  [2410] = 1401,
  [2411] = 1407,
  [2412] = 1307,
  [2413] = 1269,
  [2414] = 1415,
  [2415] = 1248,
  [2416] = 1096,
  [2417] = 1375,
  [2418] = 1444,
  [2419] = 1384,
  [2420] = 1267,
  [2421] = 1306,
  [2422] = 1407,
  [2423] = 1135,
  [2424] = 1306,
  [2425] = 2425,
  [2426] = 1372,
  [2427] = 1225,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 1405,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 1225,
  [2435] = 1443,
  [2436] = 1444,
  [2437] = 1170,
  [2438] = 1173,
  [2439] = 1443,
  [2440] = 1443,
  [2441] = 1258,
  [2442] = 1374,
  [2443] = 1375,
  [2444] = 1306,
  [2445] = 1307,
  [2446] = 1444,
  [2447] = 1170,
  [2448] = 1444,
  [2449] = 1173,
  [2450] = 1170,
  [2451] = 1280,
  [2452] = 1263,
  [2453] = 1509,
  [2454] = 1173,
  [2455] = 1267,
  [2456] = 1173,
  [2457] = 1267,
  [2458] = 1246,
  [2459] = 1270,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 1269,
  [2466] = 1258,
  [2467] = 1380,
  [2468] = 1094,
  [2469] = 1381,
  [2470] = 1248,
  [2471] = 1103,
  [2472] = 1133,
  [2473] = 1145,
  [2474] = 1095,
  [2475] = 1270,
  [2476] = 1102,
  [2477] = 1509,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 1170,
  [2481] = 1263,
  [2482] = 1271,
  [2483] = 1397,
  [2484] = 1398,
  [2485] = 1509,
  [2486] = 1399,
  [2487] = 1272,
  [2488] = 1401,
  [2489] = 1509,
  [2490] = 1404,
  [2491] = 1181,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 1173,
  [2497] = 1267,
  [2498] = 1409,
  [2499] = 1412,
  [2500] = 1094,
  [2501] = 1413,
  [2502] = 1366,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 1270,
  [2506] = 1416,
  [2507] = 1367,
  [2508] = 1094,
  [2509] = 1369,
  [2510] = 1370,
  [2511] = 1371,
  [2512] = 1372,
  [2513] = 1133,
  [2514] = 1145,
  [2515] = 1095,
  [2516] = 1102,
  [2517] = 1374,
  [2518] = 1306,
  [2519] = 1375,
  [2520] = 1422,
  [2521] = 2386,
  [2522] = 1133,
  [2523] = 1145,
  [2524] = 1095,
  [2525] = 1102,
  [2526] = 1306,
  [2527] = 1181,
  [2528] = 1170,
  [2529] = 1307,
  [2530] = 1380,
  [2531] = 1381,
  [2532] = 1383,
  [2533] = 1384,
  [2534] = 1355,
  [2535] = 1356,
  [2536] = 1366,
  [2537] = 1173,
  [2538] = 1360,
  [2539] = 1362,
  [2540] = 1364,
  [2541] = 1373,
  [2542] = 1382,
  [2543] = 1392,
  [2544] = 1393,
  [2545] = 1394,
  [2546] = 1181,
  [2547] = 1395,
  [2548] = 1307,
  [2549] = 1397,
  [2550] = 1398,
  [2551] = 1399,
  [2552] = 1366,
  [2553] = 1401,
  [2554] = 1367,
  [2555] = 1404,
  [2556] = 1405,
  [2557] = 1407,
  [2558] = 1409,
  [2559] = 1412,
  [2560] = 1413,
  [2561] = 1415,
  [2562] = 1416,
  [2563] = 2313,
  [2564] = 1422,
  [2565] = 1117,
  [2566] = 1367,
  [2567] = 1369,
  [2568] = 1370,
  [2569] = 1371,
  [2570] = 1372,
  [2571] = 1509,
  [2572] = 1246,
  [2573] = 1443,
  [2574] = 1306,
  [2575] = 1512,
  [2576] = 1383,
  [2577] = 1384,
  [2578] = 2428,
  [2579] = 1355,
  [2580] = 1356,
  [2581] = 1225,
  [2582] = 2425,
  [2583] = 1360,
  [2584] = 1362,
  [2585] = 2585,
  [2586] = 1364,
  [2587] = 1373,
  [2588] = 1382,
  [2589] = 1392,
  [2590] = 1393,
  [2591] = 1394,
  [2592] = 2428,
  [2593] = 1444,
  [2594] = 1369,
  [2595] = 2425,
  [2596] = 2585,
  [2597] = 1395,
  [2598] = 1307,
  [2599] = 1509,
  [2600] = 2428,
  [2601] = 1246,
  [2602] = 2425,
  [2603] = 2585,
  [2604] = 1405,
  [2605] = 2428,
  [2606] = 2425,
  [2607] = 2585,
  [2608] = 1407,
  [2609] = 1269,
  [2610] = 2428,
  [2611] = 2425,
  [2612] = 2585,
  [2613] = 1415,
  [2614] = 1271,
  [2615] = 1272,
  [2616] = 2428,
  [2617] = 2425,
  [2618] = 2425,
  [2619] = 1258,
  [2620] = 2585,
  [2621] = 1366,
  [2622] = 2428,
  [2623] = 1443,
  [2624] = 2425,
  [2625] = 1367,
  [2626] = 2585,
  [2627] = 2428,
  [2628] = 1369,
  [2629] = 1370,
  [2630] = 1371,
  [2631] = 1372,
  [2632] = 2585,
  [2633] = 1306,
  [2634] = 1374,
  [2635] = 1375,
  [2636] = 1512,
  [2637] = 2428,
  [2638] = 1444,
  [2639] = 2425,
  [2640] = 1512,
  [2641] = 1422,
  [2642] = 1280,
  [2643] = 2428,
  [2644] = 2425,
  [2645] = 2585,
  [2646] = 1248,
  [2647] = 1306,
  [2648] = 2428,
  [2649] = 1380,
  [2650] = 2425,
  [2651] = 1381,
  [2652] = 2585,
  [2653] = 1383,
  [2654] = 1384,
  [2655] = 1355,
  [2656] = 1356,
  [2657] = 1394,
  [2658] = 1360,
  [2659] = 2428,
  [2660] = 1362,
  [2661] = 1364,
  [2662] = 1373,
  [2663] = 2425,
  [2664] = 1366,
  [2665] = 1382,
  [2666] = 2585,
  [2667] = 1392,
  [2668] = 1393,
  [2669] = 1394,
  [2670] = 1383,
  [2671] = 1367,
  [2672] = 2428,
  [2673] = 1384,
  [2674] = 1369,
  [2675] = 1370,
  [2676] = 2425,
  [2677] = 1371,
  [2678] = 1372,
  [2679] = 2585,
  [2680] = 1395,
  [2681] = 1374,
  [2682] = 1355,
  [2683] = 1375,
  [2684] = 1307,
  [2685] = 1356,
  [2686] = 1397,
  [2687] = 2428,
  [2688] = 1398,
  [2689] = 1399,
  [2690] = 2425,
  [2691] = 1360,
  [2692] = 1401,
  [2693] = 2585,
  [2694] = 1362,
  [2695] = 1364,
  [2696] = 1404,
  [2697] = 1405,
  [2698] = 1373,
  [2699] = 1407,
  [2700] = 2428,
  [2701] = 1382,
  [2702] = 1409,
  [2703] = 1306,
  [2704] = 2425,
  [2705] = 2274,
  [2706] = 1392,
  [2707] = 2585,
  [2708] = 1380,
  [2709] = 1381,
  [2710] = 1412,
  [2711] = 1413,
  [2712] = 1383,
  [2713] = 2428,
  [2714] = 1384,
  [2715] = 1355,
  [2716] = 1356,
  [2717] = 2425,
  [2718] = 1360,
  [2719] = 2585,
  [2720] = 1362,
  [2721] = 1364,
  [2722] = 1373,
  [2723] = 1382,
  [2724] = 1392,
  [2725] = 1393,
  [2726] = 1394,
  [2727] = 2428,
  [2728] = 1415,
  [2729] = 1416,
  [2730] = 2425,
  [2731] = 1395,
  [2732] = 1393,
  [2733] = 2585,
  [2734] = 1307,
  [2735] = 1397,
  [2736] = 1398,
  [2737] = 1280,
  [2738] = 1399,
  [2739] = 1395,
  [2740] = 2428,
  [2741] = 1401,
  [2742] = 1307,
  [2743] = 2425,
  [2744] = 1404,
  [2745] = 1405,
  [2746] = 2585,
  [2747] = 1422,
  [2748] = 1407,
  [2749] = 1409,
  [2750] = 2428,
  [2751] = 1412,
  [2752] = 2425,
  [2753] = 1413,
  [2754] = 2585,
  [2755] = 1415,
  [2756] = 1416,
  [2757] = 1094,
  [2758] = 2428,
  [2759] = 2425,
  [2760] = 1422,
  [2761] = 2585,
  [2762] = 1374,
  [2763] = 1094,
  [2764] = 1375,
  [2765] = 1407,
  [2766] = 1269,
  [2767] = 1225,
  [2768] = 1133,
  [2769] = 1145,
  [2770] = 1095,
  [2771] = 1443,
  [2772] = 1102,
  [2773] = 1133,
  [2774] = 1145,
  [2775] = 1095,
  [2776] = 1102,
  [2777] = 1380,
  [2778] = 1381,
  [2779] = 1248,
  [2780] = 1415,
  [2781] = 1271,
  [2782] = 1272,
  [2783] = 1170,
  [2784] = 1181,
  [2785] = 1444,
  [2786] = 1181,
  [2787] = 1263,
  [2788] = 1397,
  [2789] = 1398,
  [2790] = 2790,
  [2791] = 1399,
  [2792] = 2792,
  [2793] = 1401,
  [2794] = 2585,
  [2795] = 2795,
  [2796] = 1404,
  [2797] = 2797,
  [2798] = 1306,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 1307,
  [2802] = 1409,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 1412,
  [2806] = 1413,
  [2807] = 1370,
  [2808] = 1416,
  [2809] = 1371,
  [2810] = 2585,
  [2811] = 1393,
  [2812] = 1392,
  [2813] = 1393,
  [2814] = 1394,
  [2815] = 2815,
  [2816] = 1094,
  [2817] = 2429,
  [2818] = 2815,
  [2819] = 2430,
  [2820] = 2820,
  [2821] = 2432,
  [2822] = 2433,
  [2823] = 2815,
  [2824] = 1383,
  [2825] = 1401,
  [2826] = 1384,
  [2827] = 2815,
  [2828] = 1444,
  [2829] = 1415,
  [2830] = 1416,
  [2831] = 1374,
  [2832] = 2815,
  [2833] = 1375,
  [2834] = 2815,
  [2835] = 1133,
  [2836] = 1145,
  [2837] = 2815,
  [2838] = 1095,
  [2839] = 2460,
  [2840] = 2461,
  [2841] = 1355,
  [2842] = 1102,
  [2843] = 2462,
  [2844] = 2463,
  [2845] = 2815,
  [2846] = 2464,
  [2847] = 2313,
  [2848] = 2815,
  [2849] = 2815,
  [2850] = 1380,
  [2851] = 1381,
  [2852] = 1443,
  [2853] = 1356,
  [2854] = 1395,
  [2855] = 1360,
  [2856] = 1307,
  [2857] = 1362,
  [2858] = 1364,
  [2859] = 1373,
  [2860] = 1181,
  [2861] = 2478,
  [2862] = 1382,
  [2863] = 2479,
  [2864] = 1370,
  [2865] = 1371,
  [2866] = 2815,
  [2867] = 1372,
  [2868] = 1367,
  [2869] = 1392,
  [2870] = 1397,
  [2871] = 1398,
  [2872] = 1375,
  [2873] = 1394,
  [2874] = 1399,
  [2875] = 1181,
  [2876] = 1401,
  [2877] = 1374,
  [2878] = 1404,
  [2879] = 1094,
  [2880] = 2492,
  [2881] = 2493,
  [2882] = 2494,
  [2883] = 1405,
  [2884] = 2495,
  [2885] = 1375,
  [2886] = 1422,
  [2887] = 1409,
  [2888] = 1366,
  [2889] = 1412,
  [2890] = 2890,
  [2891] = 1413,
  [2892] = 2503,
  [2893] = 2504,
  [2894] = 1094,
  [2895] = 1395,
  [2896] = 1416,
  [2897] = 1422,
  [2898] = 1369,
  [2899] = 1407,
  [2900] = 1306,
  [2901] = 1133,
  [2902] = 1307,
  [2903] = 1145,
  [2904] = 1095,
  [2905] = 1102,
  [2906] = 1443,
  [2907] = 2815,
  [2908] = 1181,
  [2909] = 1380,
  [2910] = 1380,
  [2911] = 2815,
  [2912] = 1381,
  [2913] = 1381,
  [2914] = 1383,
  [2915] = 1384,
  [2916] = 1355,
  [2917] = 1356,
  [2918] = 1443,
  [2919] = 1399,
  [2920] = 1362,
  [2921] = 1364,
  [2922] = 1373,
  [2923] = 1382,
  [2924] = 1369,
  [2925] = 1392,
  [2926] = 1393,
  [2927] = 1415,
  [2928] = 1370,
  [2929] = 1370,
  [2930] = 1407,
  [2931] = 2386,
  [2932] = 2386,
  [2933] = 1405,
  [2934] = 1371,
  [2935] = 1133,
  [2936] = 1407,
  [2937] = 2815,
  [2938] = 1444,
  [2939] = 1372,
  [2940] = 1367,
  [2941] = 1409,
  [2942] = 2313,
  [2943] = 1103,
  [2944] = 1117,
  [2945] = 2815,
  [2946] = 1444,
  [2947] = 2790,
  [2948] = 2792,
  [2949] = 2795,
  [2950] = 1415,
  [2951] = 1145,
  [2952] = 1095,
  [2953] = 1443,
  [2954] = 2815,
  [2955] = 1443,
  [2956] = 2797,
  [2957] = 2957,
  [2958] = 1102,
  [2959] = 2799,
  [2960] = 1394,
  [2961] = 2800,
  [2962] = 2815,
  [2963] = 1117,
  [2964] = 2803,
  [2965] = 1397,
  [2966] = 1398,
  [2967] = 1306,
  [2968] = 1399,
  [2969] = 1371,
  [2970] = 2804,
  [2971] = 1306,
  [2972] = 2815,
  [2973] = 1401,
  [2974] = 1404,
  [2975] = 1405,
  [2976] = 1366,
  [2977] = 1374,
  [2978] = 1444,
  [2979] = 1409,
  [2980] = 1412,
  [2981] = 1372,
  [2982] = 1412,
  [2983] = 1413,
  [2984] = 2815,
  [2985] = 1413,
  [2986] = 1416,
  [2987] = 1369,
  [2988] = 1422,
  [2989] = 1395,
  [2990] = 1367,
  [2991] = 1383,
  [2992] = 1384,
  [2993] = 1355,
  [2994] = 1356,
  [2995] = 1360,
  [2996] = 1444,
  [2997] = 2815,
  [2998] = 2998,
  [2999] = 1362,
  [3000] = 1307,
  [3001] = 1366,
  [3002] = 1364,
  [3003] = 1404,
  [3004] = 1397,
  [3005] = 1373,
  [3006] = 1398,
  [3007] = 1382,
  [3008] = 1360,
  [3009] = 2478,
  [3010] = 3010,
  [3011] = 2432,
  [3012] = 2433,
  [3013] = 3010,
  [3014] = 2462,
  [3015] = 2803,
  [3016] = 3010,
  [3017] = 3010,
  [3018] = 2799,
  [3019] = 2461,
  [3020] = 3010,
  [3021] = 2795,
  [3022] = 2492,
  [3023] = 2790,
  [3024] = 2804,
  [3025] = 3010,
  [3026] = 3010,
  [3027] = 2800,
  [3028] = 3010,
  [3029] = 2797,
  [3030] = 2429,
  [3031] = 3010,
  [3032] = 2432,
  [3033] = 2433,
  [3034] = 3010,
  [3035] = 3010,
  [3036] = 2503,
  [3037] = 2492,
  [3038] = 2460,
  [3039] = 2493,
  [3040] = 1103,
  [3041] = 2494,
  [3042] = 2495,
  [3043] = 2790,
  [3044] = 2792,
  [3045] = 2461,
  [3046] = 2463,
  [3047] = 2493,
  [3048] = 3010,
  [3049] = 2799,
  [3050] = 2462,
  [3051] = 3010,
  [3052] = 2463,
  [3053] = 2503,
  [3054] = 2504,
  [3055] = 2479,
  [3056] = 3010,
  [3057] = 2494,
  [3058] = 2464,
  [3059] = 2795,
  [3060] = 2495,
  [3061] = 2429,
  [3062] = 3010,
  [3063] = 2504,
  [3064] = 2464,
  [3065] = 3010,
  [3066] = 3010,
  [3067] = 2478,
  [3068] = 2430,
  [3069] = 3010,
  [3070] = 2797,
  [3071] = 2800,
  [3072] = 2803,
  [3073] = 3010,
  [3074] = 1103,
  [3075] = 2804,
  [3076] = 2430,
  [3077] = 2792,
  [3078] = 3010,
  [3079] = 2479,
  [3080] = 2460,
  [3081] = 3010,
  [3082] = 1014,
  [3083] = 1018,
  [3084] = 1018,
  [3085] = 1014,
  [3086] = 1052,
  [3087] = 1052,
  [3088] = 1115,
  [3089] = 1139,
  [3090] = 3090,
  [3091] = 1181,
  [3092] = 1094,
  [3093] = 1133,
  [3094] = 3094,
  [3095] = 1181,
  [3096] = 1155,
  [3097] = 1139,
  [3098] = 1103,
  [3099] = 3099,
  [3100] = 1145,
  [3101] = 3101,
  [3102] = 1095,
  [3103] = 1112,
  [3104] = 1092,
  [3105] = 1094,
  [3106] = 1086,
  [3107] = 1103,
  [3108] = 1086,
  [3109] = 1112,
  [3110] = 1114,
  [3111] = 1155,
  [3112] = 1170,
  [3113] = 1117,
  [3114] = 1115,
  [3115] = 1133,
  [3116] = 1145,
  [3117] = 1095,
  [3118] = 1092,
  [3119] = 1102,
  [3120] = 1170,
  [3121] = 1173,
  [3122] = 1173,
  [3123] = 1090,
  [3124] = 1117,
  [3125] = 1102,
  [3126] = 1090,
  [3127] = 1114,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 3128,
  [3131] = 1025,
  [3132] = 3129,
  [3133] = 3129,
  [3134] = 3129,
  [3135] = 3128,
  [3136] = 3129,
  [3137] = 3128,
  [3138] = 3128,
  [3139] = 3129,
  [3140] = 3128,
  [3141] = 3128,
  [3142] = 3129,
  [3143] = 3128,
  [3144] = 3128,
  [3145] = 3128,
  [3146] = 1023,
  [3147] = 3128,
  [3148] = 3128,
  [3149] = 3129,
  [3150] = 3128,
  [3151] = 3129,
  [3152] = 3129,
  [3153] = 3129,
  [3154] = 3128,
  [3155] = 3128,
  [3156] = 3129,
  [3157] = 3129,
  [3158] = 3129,
  [3159] = 3129,
  [3160] = 3129,
  [3161] = 3128,
  [3162] = 3129,
  [3163] = 3128,
  [3164] = 3128,
  [3165] = 3128,
  [3166] = 3129,
  [3167] = 3129,
  [3168] = 3129,
  [3169] = 3128,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 3170,
  [3173] = 3173,
  [3174] = 3173,
  [3175] = 3173,
  [3176] = 3171,
  [3177] = 3177,
  [3178] = 3177,
  [3179] = 3171,
  [3180] = 3180,
  [3181] = 3177,
  [3182] = 3177,
  [3183] = 3170,
  [3184] = 3170,
  [3185] = 3170,
  [3186] = 3173,
  [3187] = 3171,
  [3188] = 3171,
  [3189] = 3173,
  [3190] = 3170,
  [3191] = 3177,
  [3192] = 3173,
  [3193] = 3173,
  [3194] = 3171,
  [3195] = 3177,
  [3196] = 3177,
  [3197] = 3170,
  [3198] = 3170,
  [3199] = 3171,
  [3200] = 3171,
  [3201] = 3173,
  [3202] = 3170,
  [3203] = 3177,
  [3204] = 3173,
  [3205] = 3171,
  [3206] = 3173,
  [3207] = 3170,
  [3208] = 3177,
  [3209] = 3170,
  [3210] = 3173,
  [3211] = 3177,
  [3212] = 3171,
  [3213] = 3171,
  [3214] = 3177,
  [3215] = 3170,
  [3216] = 3177,
  [3217] = 3170,
  [3218] = 3171,
  [3219] = 3173,
  [3220] = 3173,
  [3221] = 3177,
  [3222] = 3170,
  [3223] = 3171,
  [3224] = 3171,
  [3225] = 3171,
  [3226] = 3177,
  [3227] = 3170,
  [3228] = 3170,
  [3229] = 3171,
  [3230] = 3171,
  [3231] = 3173,
  [3232] = 3170,
  [3233] = 3171,
  [3234] = 3170,
  [3235] = 3171,
  [3236] = 3173,
  [3237] = 3170,
  [3238] = 3170,
  [3239] = 3173,
  [3240] = 3171,
  [3241] = 3177,
  [3242] = 3177,
  [3243] = 3177,
  [3244] = 3171,
  [3245] = 1225,
  [3246] = 1070,
  [3247] = 3170,
  [3248] = 3173,
  [3249] = 3171,
  [3250] = 3170,
  [3251] = 3177,
  [3252] = 3177,
  [3253] = 3173,
  [3254] = 3171,
  [3255] = 3171,
  [3256] = 3177,
  [3257] = 3173,
  [3258] = 3170,
  [3259] = 3173,
  [3260] = 3170,
  [3261] = 3261,
  [3262] = 1069,
  [3263] = 3261,
  [3264] = 3264,
  [3265] = 3265,
  [3266] = 3261,
  [3267] = 3264,
  [3268] = 3265,
  [3269] = 3269,
  [3270] = 1128,
  [3271] = 3264,
  [3272] = 3272,
  [3273] = 3272,
  [3274] = 3261,
  [3275] = 1071,
  [3276] = 3269,
  [3277] = 3272,
  [3278] = 3272,
  [3279] = 3265,
  [3280] = 3265,
  [3281] = 3269,
  [3282] = 3269,
  [3283] = 3269,
  [3284] = 3269,
  [3285] = 3269,
  [3286] = 3269,
  [3287] = 3269,
  [3288] = 3269,
  [3289] = 3269,
  [3290] = 3269,
  [3291] = 3269,
  [3292] = 3269,
  [3293] = 3269,
  [3294] = 3269,
  [3295] = 3269,
  [3296] = 3269,
  [3297] = 3269,
  [3298] = 3269,
  [3299] = 3264,
  [3300] = 3300,
  [3301] = 3300,
  [3302] = 1127,
  [3303] = 1117,
  [3304] = 3300,
  [3305] = 3300,
  [3306] = 3300,
  [3307] = 3307,
  [3308] = 3300,
  [3309] = 3300,
  [3310] = 3300,
  [3311] = 3300,
  [3312] = 3300,
  [3313] = 3300,
  [3314] = 1122,
  [3315] = 3300,
  [3316] = 3300,
  [3317] = 3300,
  [3318] = 3300,
  [3319] = 3300,
  [3320] = 3300,
  [3321] = 3300,
  [3322] = 3300,
  [3323] = 1135,
  [3324] = 3300,
  [3325] = 3300,
  [3326] = 3326,
  [3327] = 3327,
  [3328] = 3328,
  [3329] = 1280,
  [3330] = 3328,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3333,
  [3335] = 3328,
  [3336] = 3332,
  [3337] = 3333,
  [3338] = 3331,
  [3339] = 3339,
  [3340] = 3332,
  [3341] = 3328,
  [3342] = 1269,
  [3343] = 3333,
  [3344] = 3344,
  [3345] = 3331,
  [3346] = 3331,
  [3347] = 3331,
  [3348] = 3332,
  [3349] = 3349,
  [3350] = 3333,
  [3351] = 3349,
  [3352] = 3328,
  [3353] = 3332,
  [3354] = 3349,
  [3355] = 3349,
  [3356] = 3349,
  [3357] = 3357,
  [3358] = 3331,
  [3359] = 3359,
  [3360] = 3328,
  [3361] = 3349,
  [3362] = 3332,
  [3363] = 3333,
  [3364] = 3359,
  [3365] = 3331,
  [3366] = 3349,
  [3367] = 3344,
  [3368] = 3331,
  [3369] = 3349,
  [3370] = 3349,
  [3371] = 3349,
  [3372] = 3349,
  [3373] = 3328,
  [3374] = 3326,
  [3375] = 3332,
  [3376] = 3349,
  [3377] = 1271,
  [3378] = 3349,
  [3379] = 3333,
  [3380] = 3331,
  [3381] = 3331,
  [3382] = 3331,
  [3383] = 3339,
  [3384] = 3359,
  [3385] = 3385,
  [3386] = 3331,
  [3387] = 3328,
  [3388] = 3331,
  [3389] = 1272,
  [3390] = 3349,
  [3391] = 3328,
  [3392] = 3349,
  [3393] = 3332,
  [3394] = 3327,
  [3395] = 3328,
  [3396] = 3349,
  [3397] = 3328,
  [3398] = 3349,
  [3399] = 3332,
  [3400] = 3333,
  [3401] = 3332,
  [3402] = 3327,
  [3403] = 3328,
  [3404] = 3333,
  [3405] = 3333,
  [3406] = 3359,
  [3407] = 3328,
  [3408] = 3332,
  [3409] = 3333,
  [3410] = 3349,
  [3411] = 3331,
  [3412] = 3331,
  [3413] = 3332,
  [3414] = 3344,
  [3415] = 3328,
  [3416] = 3328,
  [3417] = 3349,
  [3418] = 3333,
  [3419] = 3332,
  [3420] = 3332,
  [3421] = 3332,
  [3422] = 3333,
  [3423] = 3327,
  [3424] = 3333,
  [3425] = 3333,
  [3426] = 3331,
  [3427] = 3331,
  [3428] = 3428,
  [3429] = 3331,
  [3430] = 3331,
  [3431] = 3326,
  [3432] = 3328,
  [3433] = 3385,
  [3434] = 3326,
  [3435] = 3333,
  [3436] = 3326,
  [3437] = 3326,
  [3438] = 3326,
  [3439] = 3326,
  [3440] = 3326,
  [3441] = 3326,
  [3442] = 3326,
  [3443] = 3326,
  [3444] = 3326,
  [3445] = 3326,
  [3446] = 3326,
  [3447] = 3326,
  [3448] = 3326,
  [3449] = 3326,
  [3450] = 3326,
  [3451] = 3326,
  [3452] = 3328,
  [3453] = 3326,
  [3454] = 3326,
  [3455] = 3326,
  [3456] = 3326,
  [3457] = 3326,
  [3458] = 3331,
  [3459] = 3332,
  [3460] = 3349,
  [3461] = 3333,
  [3462] = 3344,
  [3463] = 3328,
  [3464] = 3332,
  [3465] = 3333,
  [3466] = 3327,
  [3467] = 3331,
  [3468] = 3328,
  [3469] = 3331,
  [3470] = 3349,
  [3471] = 3332,
  [3472] = 3333,
  [3473] = 3328,
  [3474] = 3332,
  [3475] = 3339,
  [3476] = 3333,
  [3477] = 3332,
  [3478] = 3331,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 3487,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3492,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3483,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3480,
  [3501] = 3481,
  [3502] = 3482,
  [3503] = 3483,
  [3504] = 3484,
  [3505] = 3486,
  [3506] = 3487,
  [3507] = 3488,
  [3508] = 3489,
  [3509] = 3491,
  [3510] = 3510,
  [3511] = 3493,
  [3512] = 3498,
  [3513] = 3499,
  [3514] = 3480,
  [3515] = 3481,
  [3516] = 3482,
  [3517] = 3483,
  [3518] = 3484,
  [3519] = 3486,
  [3520] = 3487,
  [3521] = 3488,
  [3522] = 3489,
  [3523] = 3491,
  [3524] = 3498,
  [3525] = 3493,
  [3526] = 3498,
  [3527] = 3499,
  [3528] = 3480,
  [3529] = 3481,
  [3530] = 3482,
  [3531] = 3483,
  [3532] = 3484,
  [3533] = 3486,
  [3534] = 3487,
  [3535] = 3488,
  [3536] = 3489,
  [3537] = 3491,
  [3538] = 3493,
  [3539] = 3498,
  [3540] = 3499,
  [3541] = 3480,
  [3542] = 3481,
  [3543] = 3482,
  [3544] = 3484,
  [3545] = 3486,
  [3546] = 3487,
  [3547] = 3489,
  [3548] = 3491,
  [3549] = 3493,
  [3550] = 3499,
  [3551] = 3486,
  [3552] = 3489,
  [3553] = 3491,
  [3554] = 3493,
  [3555] = 3499,
  [3556] = 3486,
  [3557] = 3489,
  [3558] = 3491,
  [3559] = 3493,
  [3560] = 3499,
  [3561] = 3486,
  [3562] = 3489,
  [3563] = 3491,
  [3564] = 3493,
  [3565] = 3499,
  [3566] = 3486,
  [3567] = 3489,
  [3568] = 3491,
  [3569] = 3493,
  [3570] = 3499,
  [3571] = 3486,
  [3572] = 3489,
  [3573] = 3491,
  [3574] = 3493,
  [3575] = 3499,
  [3576] = 3486,
  [3577] = 3489,
  [3578] = 3491,
  [3579] = 3493,
  [3580] = 3499,
  [3581] = 3486,
  [3582] = 3489,
  [3583] = 3491,
  [3584] = 3493,
  [3585] = 3499,
  [3586] = 3486,
  [3587] = 3489,
  [3588] = 3491,
  [3589] = 3493,
  [3590] = 3499,
  [3591] = 3486,
  [3592] = 3489,
  [3593] = 3491,
  [3594] = 3493,
  [3595] = 3499,
  [3596] = 3486,
  [3597] = 3489,
  [3598] = 3491,
  [3599] = 3493,
  [3600] = 3499,
  [3601] = 3486,
  [3602] = 3489,
  [3603] = 3491,
  [3604] = 3493,
  [3605] = 3499,
  [3606] = 3486,
  [3607] = 3489,
  [3608] = 3491,
  [3609] = 3493,
  [3610] = 3499,
  [3611] = 3486,
  [3612] = 3489,
  [3613] = 3491,
  [3614] = 3493,
  [3615] = 3499,
  [3616] = 3486,
  [3617] = 3489,
  [3618] = 3491,
  [3619] = 3493,
  [3620] = 3499,
  [3621] = 3486,
  [3622] = 3489,
  [3623] = 3491,
  [3624] = 3493,
  [3625] = 3499,
  [3626] = 3489,
  [3627] = 3493,
  [3628] = 3499,
  [3629] = 3489,
  [3630] = 3493,
  [3631] = 3499,
  [3632] = 3489,
  [3633] = 3493,
  [3634] = 3499,
  [3635] = 3489,
  [3636] = 3493,
  [3637] = 3499,
  [3638] = 3489,
  [3639] = 3493,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3499,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3484,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3485,
  [3653] = 3486,
  [3654] = 1267,
  [3655] = 3655,
  [3656] = 3488,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3480,
  [3661] = 3481,
  [3662] = 3482,
  [3663] = 3483,
  [3664] = 3484,
  [3665] = 3485,
  [3666] = 3486,
  [3667] = 3489,
  [3668] = 3668,
  [3669] = 3510,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3671,
  [3673] = 3640,
  [3674] = 3641,
  [3675] = 3642,
  [3676] = 3676,
  [3677] = 3487,
  [3678] = 3645,
  [3679] = 3646,
  [3680] = 3647,
  [3681] = 3648,
  [3682] = 3488,
  [3683] = 3650,
  [3684] = 3489,
  [3685] = 3685,
  [3686] = 3490,
  [3687] = 3491,
  [3688] = 3685,
  [3689] = 3658,
  [3690] = 3659,
  [3691] = 3493,
  [3692] = 3494,
  [3693] = 3487,
  [3694] = 3488,
  [3695] = 3695,
  [3696] = 3495,
  [3697] = 3489,
  [3698] = 3698,
  [3699] = 3685,
  [3700] = 3490,
  [3701] = 3496,
  [3702] = 3491,
  [3703] = 3641,
  [3704] = 3510,
  [3705] = 3498,
  [3706] = 3645,
  [3707] = 3647,
  [3708] = 3648,
  [3709] = 3499,
  [3710] = 3650,
  [3711] = 3644,
  [3712] = 3490,
  [3713] = 3493,
  [3714] = 3494,
  [3715] = 3491,
  [3716] = 3659,
  [3717] = 3717,
  [3718] = 3480,
  [3719] = 3481,
  [3720] = 3482,
  [3721] = 3483,
  [3722] = 3484,
  [3723] = 3485,
  [3724] = 3486,
  [3725] = 3485,
  [3726] = 3655,
  [3727] = 3495,
  [3728] = 3498,
  [3729] = 3641,
  [3730] = 3698,
  [3731] = 3671,
  [3732] = 3645,
  [3733] = 3647,
  [3734] = 3648,
  [3735] = 3640,
  [3736] = 3650,
  [3737] = 3487,
  [3738] = 3488,
  [3739] = 3489,
  [3740] = 3685,
  [3741] = 3490,
  [3742] = 3659,
  [3743] = 3491,
  [3744] = 3744,
  [3745] = 3493,
  [3746] = 3494,
  [3747] = 3496,
  [3748] = 3499,
  [3749] = 3644,
  [3750] = 3495,
  [3751] = 3655,
  [3752] = 3698,
  [3753] = 3510,
  [3754] = 3670,
  [3755] = 3496,
  [3756] = 3645,
  [3757] = 3647,
  [3758] = 3648,
  [3759] = 3676,
  [3760] = 3650,
  [3761] = 3498,
  [3762] = 3499,
  [3763] = 3644,
  [3764] = 3493,
  [3765] = 3765,
  [3766] = 3659,
  [3767] = 1270,
  [3768] = 3668,
  [3769] = 3498,
  [3770] = 3499,
  [3771] = 3480,
  [3772] = 3481,
  [3773] = 3482,
  [3774] = 3483,
  [3775] = 3484,
  [3776] = 3489,
  [3777] = 3485,
  [3778] = 3486,
  [3779] = 3657,
  [3780] = 3645,
  [3781] = 3647,
  [3782] = 3648,
  [3783] = 3644,
  [3784] = 3650,
  [3785] = 3648,
  [3786] = 3655,
  [3787] = 3787,
  [3788] = 3657,
  [3789] = 3671,
  [3790] = 3659,
  [3791] = 3480,
  [3792] = 3685,
  [3793] = 3490,
  [3794] = 3487,
  [3795] = 3488,
  [3796] = 3489,
  [3797] = 3658,
  [3798] = 3685,
  [3799] = 3490,
  [3800] = 3491,
  [3801] = 3494,
  [3802] = 3802,
  [3803] = 3493,
  [3804] = 3645,
  [3805] = 3647,
  [3806] = 3648,
  [3807] = 3494,
  [3808] = 3650,
  [3809] = 3655,
  [3810] = 3657,
  [3811] = 3481,
  [3812] = 3491,
  [3813] = 3480,
  [3814] = 3659,
  [3815] = 3495,
  [3816] = 3659,
  [3817] = 3657,
  [3818] = 3698,
  [3819] = 3481,
  [3820] = 3482,
  [3821] = 3496,
  [3822] = 3483,
  [3823] = 3498,
  [3824] = 3499,
  [3825] = 3644,
  [3826] = 3482,
  [3827] = 3484,
  [3828] = 3645,
  [3829] = 3647,
  [3830] = 3648,
  [3831] = 3485,
  [3832] = 3650,
  [3833] = 3486,
  [3834] = 3480,
  [3835] = 1258,
  [3836] = 3480,
  [3837] = 3481,
  [3838] = 3659,
  [3839] = 3482,
  [3840] = 3483,
  [3841] = 3484,
  [3842] = 3485,
  [3843] = 3486,
  [3844] = 3481,
  [3845] = 3482,
  [3846] = 3668,
  [3847] = 3671,
  [3848] = 3510,
  [3849] = 3492,
  [3850] = 3671,
  [3851] = 3645,
  [3852] = 3647,
  [3853] = 3648,
  [3854] = 3483,
  [3855] = 3650,
  [3856] = 3487,
  [3857] = 3488,
  [3858] = 3489,
  [3859] = 3685,
  [3860] = 3490,
  [3861] = 3659,
  [3862] = 3491,
  [3863] = 3487,
  [3864] = 3493,
  [3865] = 3494,
  [3866] = 3492,
  [3867] = 3488,
  [3868] = 3489,
  [3869] = 3685,
  [3870] = 3495,
  [3871] = 3490,
  [3872] = 3698,
  [3873] = 3491,
  [3874] = 3645,
  [3875] = 3647,
  [3876] = 3648,
  [3877] = 3484,
  [3878] = 3650,
  [3879] = 3496,
  [3880] = 3493,
  [3881] = 3498,
  [3882] = 3499,
  [3883] = 3644,
  [3884] = 3659,
  [3885] = 3494,
  [3886] = 3651,
  [3887] = 3485,
  [3888] = 3486,
  [3889] = 3495,
  [3890] = 3480,
  [3891] = 3481,
  [3892] = 3482,
  [3893] = 3483,
  [3894] = 3484,
  [3895] = 3485,
  [3896] = 3486,
  [3897] = 3645,
  [3898] = 3647,
  [3899] = 3648,
  [3900] = 3495,
  [3901] = 3650,
  [3902] = 3698,
  [3903] = 3510,
  [3904] = 3698,
  [3905] = 3496,
  [3906] = 3671,
  [3907] = 3659,
  [3908] = 3670,
  [3909] = 3487,
  [3910] = 3488,
  [3911] = 3489,
  [3912] = 3685,
  [3913] = 3490,
  [3914] = 3491,
  [3915] = 3510,
  [3916] = 3493,
  [3917] = 3494,
  [3918] = 3498,
  [3919] = 3499,
  [3920] = 3645,
  [3921] = 3647,
  [3922] = 3648,
  [3923] = 3644,
  [3924] = 3650,
  [3925] = 3495,
  [3926] = 3481,
  [3927] = 3698,
  [3928] = 3671,
  [3929] = 3496,
  [3930] = 3659,
  [3931] = 3496,
  [3932] = 3482,
  [3933] = 3498,
  [3934] = 3499,
  [3935] = 3644,
  [3936] = 3676,
  [3937] = 3655,
  [3938] = 3657,
  [3939] = 3480,
  [3940] = 3481,
  [3941] = 3480,
  [3942] = 3481,
  [3943] = 3645,
  [3944] = 3647,
  [3945] = 3648,
  [3946] = 3482,
  [3947] = 3650,
  [3948] = 3483,
  [3949] = 3484,
  [3950] = 3485,
  [3951] = 3486,
  [3952] = 3482,
  [3953] = 3659,
  [3954] = 3483,
  [3955] = 3484,
  [3956] = 3485,
  [3957] = 3486,
  [3958] = 3671,
  [3959] = 3492,
  [3960] = 3487,
  [3961] = 3488,
  [3962] = 3489,
  [3963] = 3685,
  [3964] = 3490,
  [3965] = 3491,
  [3966] = 3645,
  [3967] = 3647,
  [3968] = 3648,
  [3969] = 3483,
  [3970] = 3650,
  [3971] = 3493,
  [3972] = 3494,
  [3973] = 3671,
  [3974] = 3487,
  [3975] = 3488,
  [3976] = 3659,
  [3977] = 3495,
  [3978] = 3671,
  [3979] = 3698,
  [3980] = 3484,
  [3981] = 3487,
  [3982] = 3496,
  [3983] = 3488,
  [3984] = 3498,
  [3985] = 3499,
  [3986] = 3644,
  [3987] = 3480,
  [3988] = 3489,
  [3989] = 3645,
  [3990] = 3647,
  [3991] = 3648,
  [3992] = 3685,
  [3993] = 3650,
  [3994] = 3490,
  [3995] = 3499,
  [3996] = 3480,
  [3997] = 3481,
  [3998] = 3482,
  [3999] = 3659,
  [4000] = 3483,
  [4001] = 3484,
  [4002] = 3485,
  [4003] = 3486,
  [4004] = 3491,
  [4005] = 3489,
  [4006] = 3493,
  [4007] = 3494,
  [4008] = 3685,
  [4009] = 3671,
  [4010] = 3490,
  [4011] = 3487,
  [4012] = 3645,
  [4013] = 3647,
  [4014] = 3648,
  [4015] = 3488,
  [4016] = 3650,
  [4017] = 3489,
  [4018] = 3685,
  [4019] = 3490,
  [4020] = 3491,
  [4021] = 3491,
  [4022] = 3659,
  [4023] = 3493,
  [4024] = 3494,
  [4025] = 3495,
  [4026] = 3651,
  [4027] = 3698,
  [4028] = 3495,
  [4029] = 3485,
  [4030] = 3698,
  [4031] = 3486,
  [4032] = 3496,
  [4033] = 3496,
  [4034] = 3493,
  [4035] = 3645,
  [4036] = 3647,
  [4037] = 3648,
  [4038] = 3498,
  [4039] = 3650,
  [4040] = 3499,
  [4041] = 3644,
  [4042] = 3510,
  [4043] = 3498,
  [4044] = 3499,
  [4045] = 3659,
  [4046] = 3644,
  [4047] = 3494,
  [4048] = 3480,
  [4049] = 3481,
  [4050] = 3482,
  [4051] = 3483,
  [4052] = 3484,
  [4053] = 3485,
  [4054] = 3486,
  [4055] = 3642,
  [4056] = 4056,
  [4057] = 3647,
  [4058] = 3645,
  [4059] = 3647,
  [4060] = 3648,
  [4061] = 3695,
  [4062] = 3650,
  [4063] = 3495,
  [4064] = 3671,
  [4065] = 3655,
  [4066] = 3487,
  [4067] = 3488,
  [4068] = 3659,
  [4069] = 3489,
  [4070] = 3685,
  [4071] = 3490,
  [4072] = 3491,
  [4073] = 3657,
  [4074] = 3483,
  [4075] = 3493,
  [4076] = 3494,
  [4077] = 3480,
  [4078] = 3481,
  [4079] = 3482,
  [4080] = 3495,
  [4081] = 3645,
  [4082] = 3647,
  [4083] = 3648,
  [4084] = 3483,
  [4085] = 3650,
  [4086] = 3698,
  [4087] = 3484,
  [4088] = 3485,
  [4089] = 3496,
  [4090] = 3486,
  [4091] = 3659,
  [4092] = 3498,
  [4093] = 3499,
  [4094] = 3644,
  [4095] = 3645,
  [4096] = 3484,
  [4097] = 3698,
  [4098] = 3496,
  [4099] = 3744,
  [4100] = 3495,
  [4101] = 3479,
  [4102] = 3480,
  [4103] = 3481,
  [4104] = 3645,
  [4105] = 3647,
  [4106] = 3648,
  [4107] = 3482,
  [4108] = 3650,
  [4109] = 3483,
  [4110] = 3484,
  [4111] = 3485,
  [4112] = 3659,
  [4113] = 3486,
  [4114] = 3650,
  [4115] = 3496,
  [4116] = 3671,
  [4117] = 1263,
  [4118] = 3487,
  [4119] = 3671,
  [4120] = 3488,
  [4121] = 3487,
  [4122] = 3488,
  [4123] = 3499,
  [4124] = 3645,
  [4125] = 3647,
  [4126] = 3648,
  [4127] = 3489,
  [4128] = 3650,
  [4129] = 3685,
  [4130] = 3659,
  [4131] = 3490,
  [4132] = 3491,
  [4133] = 3651,
  [4134] = 3489,
  [4135] = 3493,
  [4136] = 3645,
  [4137] = 3647,
  [4138] = 3648,
  [4139] = 3494,
  [4140] = 3650,
  [4141] = 3685,
  [4142] = 3659,
  [4143] = 3490,
  [4144] = 4144,
  [4145] = 3495,
  [4146] = 3491,
  [4147] = 3698,
  [4148] = 3645,
  [4149] = 3647,
  [4150] = 3648,
  [4151] = 3486,
  [4152] = 3650,
  [4153] = 3493,
  [4154] = 3659,
  [4155] = 3496,
  [4156] = 3494,
  [4157] = 3498,
  [4158] = 3499,
  [4159] = 3644,
  [4160] = 3645,
  [4161] = 3647,
  [4162] = 3648,
  [4163] = 3650,
  [4164] = 3644,
  [4165] = 3659,
  [4166] = 3670,
  [4167] = 3641,
  [4168] = 3487,
  [4169] = 3695,
  [4170] = 3510,
  [4171] = 3670,
  [4172] = 3480,
  [4173] = 3481,
  [4174] = 3482,
  [4175] = 4175,
  [4176] = 3483,
  [4177] = 3484,
  [4178] = 3485,
  [4179] = 3486,
  [4180] = 3495,
  [4181] = 3676,
  [4182] = 3698,
  [4183] = 3498,
  [4184] = 3671,
  [4185] = 3671,
  [4186] = 3496,
  [4187] = 3487,
  [4188] = 3488,
  [4189] = 3489,
  [4190] = 3685,
  [4191] = 3490,
  [4192] = 3491,
  [4193] = 3646,
  [4194] = 3493,
  [4195] = 3494,
  [4196] = 3510,
  [4197] = 3498,
  [4198] = 3499,
  [4199] = 3493,
  [4200] = 3495,
  [4201] = 3644,
  [4202] = 3698,
  [4203] = 3498,
  [4204] = 3744,
  [4205] = 3496,
  [4206] = 3744,
  [4207] = 3498,
  [4208] = 3499,
  [4209] = 3644,
  [4210] = 3494,
  [4211] = 3499,
  [4212] = 3644,
  [4213] = 3655,
  [4214] = 3657,
  [4215] = 3480,
  [4216] = 3481,
  [4217] = 3482,
  [4218] = 3483,
  [4219] = 3484,
  [4220] = 3485,
  [4221] = 3486,
  [4222] = 3480,
  [4223] = 3481,
  [4224] = 3482,
  [4225] = 3483,
  [4226] = 3484,
  [4227] = 3671,
  [4228] = 3485,
  [4229] = 3487,
  [4230] = 3488,
  [4231] = 3489,
  [4232] = 3685,
  [4233] = 3490,
  [4234] = 3491,
  [4235] = 3486,
  [4236] = 3493,
  [4237] = 3494,
  [4238] = 3499,
  [4239] = 3644,
  [4240] = 4240,
  [4241] = 4175,
  [4242] = 3495,
  [4243] = 4240,
  [4244] = 3479,
  [4245] = 3717,
  [4246] = 3676,
  [4247] = 3698,
  [4248] = 4175,
  [4249] = 3487,
  [4250] = 4240,
  [4251] = 3479,
  [4252] = 3717,
  [4253] = 3671,
  [4254] = 4175,
  [4255] = 4240,
  [4256] = 3479,
  [4257] = 3717,
  [4258] = 3496,
  [4259] = 4175,
  [4260] = 4240,
  [4261] = 3479,
  [4262] = 3717,
  [4263] = 3655,
  [4264] = 4175,
  [4265] = 4240,
  [4266] = 3479,
  [4267] = 3717,
  [4268] = 3498,
  [4269] = 4175,
  [4270] = 4240,
  [4271] = 3479,
  [4272] = 3717,
  [4273] = 3499,
  [4274] = 4175,
  [4275] = 4240,
  [4276] = 3479,
  [4277] = 3717,
  [4278] = 3644,
  [4279] = 4175,
  [4280] = 4240,
  [4281] = 3479,
  [4282] = 3717,
  [4283] = 3487,
  [4284] = 4175,
  [4285] = 4240,
  [4286] = 3479,
  [4287] = 3717,
  [4288] = 3488,
  [4289] = 4175,
  [4290] = 4240,
  [4291] = 3479,
  [4292] = 3717,
  [4293] = 3480,
  [4294] = 4175,
  [4295] = 4240,
  [4296] = 3479,
  [4297] = 3717,
  [4298] = 3481,
  [4299] = 4175,
  [4300] = 4240,
  [4301] = 3479,
  [4302] = 3717,
  [4303] = 3482,
  [4304] = 4175,
  [4305] = 4240,
  [4306] = 3479,
  [4307] = 3717,
  [4308] = 3483,
  [4309] = 4175,
  [4310] = 4240,
  [4311] = 3479,
  [4312] = 3717,
  [4313] = 3484,
  [4314] = 4175,
  [4315] = 4240,
  [4316] = 3479,
  [4317] = 3717,
  [4318] = 3485,
  [4319] = 4175,
  [4320] = 4240,
  [4321] = 3479,
  [4322] = 3717,
  [4323] = 3486,
  [4324] = 4175,
  [4325] = 4240,
  [4326] = 3479,
  [4327] = 3717,
  [4328] = 3489,
  [4329] = 4175,
  [4330] = 4240,
  [4331] = 3479,
  [4332] = 3717,
  [4333] = 3685,
  [4334] = 4175,
  [4335] = 4240,
  [4336] = 3479,
  [4337] = 3717,
  [4338] = 3490,
  [4339] = 4175,
  [4340] = 4240,
  [4341] = 3479,
  [4342] = 3491,
  [4343] = 4175,
  [4344] = 4240,
  [4345] = 3479,
  [4346] = 3657,
  [4347] = 4175,
  [4348] = 4240,
  [4349] = 3479,
  [4350] = 3671,
  [4351] = 4175,
  [4352] = 4240,
  [4353] = 3479,
  [4354] = 3493,
  [4355] = 4175,
  [4356] = 4240,
  [4357] = 3479,
  [4358] = 3479,
  [4359] = 3479,
  [4360] = 3479,
  [4361] = 3479,
  [4362] = 3479,
  [4363] = 3479,
  [4364] = 3479,
  [4365] = 3479,
  [4366] = 3479,
  [4367] = 3479,
  [4368] = 3479,
  [4369] = 3487,
  [4370] = 3479,
  [4371] = 3479,
  [4372] = 3479,
  [4373] = 3479,
  [4374] = 3479,
  [4375] = 3479,
  [4376] = 3479,
  [4377] = 3479,
  [4378] = 3488,
  [4379] = 3489,
  [4380] = 3685,
  [4381] = 3490,
  [4382] = 3491,
  [4383] = 3494,
  [4384] = 3493,
  [4385] = 3494,
  [4386] = 3480,
  [4387] = 3488,
  [4388] = 3481,
  [4389] = 3495,
  [4390] = 3495,
  [4391] = 3698,
  [4392] = 3482,
  [4393] = 3698,
  [4394] = 3496,
  [4395] = 3698,
  [4396] = 3498,
  [4397] = 3498,
};

static TSCharacterRange sym_parbreak_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0x85, 0x85}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200a}, {0x2028, 0x2029}, {0x202f, 0x202f},
  {0x205f, 0x205f}, {0x3000, 0x3000},
};

static TSCharacterRange aux_sym_escape_token1_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', 0x84}, {0x86, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff}, {0x200b, 0x2027}, {0x202a, 0x202e},
  {0x2030, 0x205e}, {0x2060, 0x2fff}, {0x3001, 0x10ffff},
};

static TSCharacterRange sym__identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym__identifier_character_set_2[] = {
  {'-', '-'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(45);
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 77,
        '"', 107,
        '#', 97,
        '$', 66,
        '&', 67,
        '\'', 55,
        '(', 69,
        ')', 68,
        '*', 124,
        '+', 120,
        ',', 137,
        '-', 122,
        '.', 138,
        '/', 126,
        ':', 136,
        ';', 83,
        '<', 112,
        '=', 135,
        '>', 114,
        '@', 130,
        '\\', 54,
        '^', 79,
        '_', 81,
        '`', 63,
        '{', 133,
        '}', 134,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(56);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(60);
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 93,
        '"', 107,
        '#', 97,
        '$', 66,
        '&', 67,
        '-', 90,
        '.', 92,
        ':', 62,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ')', 72,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 93,
        '"', 107,
        '#', 97,
        '&', 67,
        ')', 68,
        ',', 82,
        '-', 90,
        '.', 92,
        ':', 62,
        ';', 83,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 93,
        '"', 107,
        '#', 97,
        '&', 67,
        ',', 82,
        '-', 90,
        '.', 92,
        ':', 62,
        ';', 83,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ')', 72,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 93,
        '"', 107,
        '#', 97,
        '&', 67,
        '-', 90,
        '.', 92,
        ':', 62,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ')', 72,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 78,
        '"', 107,
        '#', 97,
        '$', 66,
        '&', 67,
        '-', 90,
        '.', 92,
        ':', 62,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '^', 79,
        '_', 80,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ')', 72,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 78,
        '"', 107,
        '#', 97,
        '&', 67,
        ')', 68,
        ',', 82,
        '-', 90,
        '.', 92,
        ':', 62,
        ';', 83,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '^', 79,
        '_', 80,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 78,
        '"', 107,
        '#', 97,
        '&', 67,
        ',', 82,
        '-', 90,
        '.', 92,
        ':', 62,
        ';', 83,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '^', 79,
        '_', 80,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ')', 72,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '!', 78,
        '"', 107,
        '#', 97,
        '&', 67,
        '-', 90,
        '.', 92,
        ':', 62,
        '<', 91,
        '=', 95,
        '>', 94,
        '[', 71,
        '\\', 54,
        '^', 79,
        '_', 80,
        '|', 73,
        '~', 96,
        '(', 70,
        '{', 70,
        ')', 72,
        ']', 72,
        '}', 72,
      );
      if ((0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(76);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '#', 97,
        '$', 66,
        '-', 57,
        '.', 58,
        ':', 61,
        '<', 112,
        '@', 130,
        '\\', 54,
        '`', 63,
        'h', 59,
        '~', 64,
        '"', 55,
        '\'', 55,
        0x0b, 50,
        '\f', 50,
        0x85, 50,
        0x2028, 50,
        0x2029, 50,
      );
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\n', 50,
        '\r', 51,
        '#', 97,
        '$', 66,
        '-', 57,
        '.', 58,
        '<', 112,
        '@', 130,
        '\\', 54,
        '`', 63,
        'h', 59,
        '~', 64,
        '"', 55,
        '\'', 55,
        0x0b, 50,
        '\f', 50,
        0x85, 50,
        0x2028, 50,
        0x2029, 50,
      );
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        '"', 107,
        '$', 66,
        '(', 131,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 82,
        '-', 123,
        '.', 129,
        '/', 127,
        '0', 99,
        ':', 136,
        ';', 83,
        '<', 113,
        '=', 135,
        '>', 115,
        '\\', 36,
        '`', 63,
        '{', 133,
        '}', 134,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        '"', 107,
        '$', 66,
        '(', 131,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 82,
        '-', 123,
        '.', 129,
        '/', 127,
        '0', 99,
        ':', 136,
        '<', 113,
        '=', 110,
        '>', 115,
        '`', 63,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        '"', 107,
        '$', 66,
        '(', 131,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 82,
        '-', 123,
        '.', 129,
        '/', 127,
        '0', 99,
        ':', 61,
        '<', 113,
        '=', 135,
        '>', 115,
        '`', 63,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        '"', 107,
        '$', 66,
        '(', 131,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 82,
        '-', 123,
        '.', 129,
        '/', 127,
        '0', 99,
        ':', 61,
        '<', 113,
        '=', 110,
        '>', 115,
        '`', 63,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        '(', 69,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 138,
        '/', 127,
        ':', 136,
        '<', 113,
        '=', 135,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 138,
        '/', 127,
        ':', 136,
        '<', 113,
        '=', 110,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 138,
        '/', 127,
        ':', 61,
        '<', 113,
        '=', 135,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 138,
        '/', 127,
        ':', 61,
        '<', 113,
        '=', 110,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 128,
        '/', 127,
        ':', 136,
        '<', 113,
        '=', 135,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 128,
        '/', 127,
        ':', 136,
        '<', 113,
        '=', 110,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 128,
        '/', 127,
        ':', 61,
        '<', 113,
        '=', 135,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '\r', 51,
        '!', 31,
        ')', 132,
        '*', 125,
        '+', 121,
        ',', 137,
        '-', 123,
        '.', 128,
        '/', 127,
        ':', 61,
        '<', 113,
        '=', 110,
        '>', 115,
        '{', 133,
      );
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(98);
      END_STATE();
    case 23:
      if (lookahead == '\r') ADVANCE(51);
      if (lookahead == '>') ADVANCE(114);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(50);
      END_STATE();
    case 24:
      if (lookahead == '\r') ADVANCE(46);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(46);
      if (set_contains(sym_parbreak_character_set_1, 10, lookahead)) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(64);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == '/') ADVANCE(49);
      END_STATE();
    case 28:
      if (lookahead == '/') ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == ':') ADVANCE(28);
      END_STATE();
    case 30:
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == 's') ADVANCE(29);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 32:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 34:
      if (lookahead == 'p') ADVANCE(30);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(48);
      if ((!eof && set_contains(aux_sym_escape_token1_character_set_1, 11, lookahead))) ADVANCE(47);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 39:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 44:
      if (eof) ADVANCE(45);
      ADVANCE_MAP(
        '\n', 53,
        '\r', 52,
        '#', 97,
        '$', 66,
        '-', 57,
        '.', 58,
        '<', 112,
        '@', 130,
        '\\', 54,
        '`', 63,
        'h', 59,
        '~', 64,
        '"', 55,
        '\'', 55,
        0x0b, 53,
        '\f', 53,
        0x85, 53,
        0x2028, 53,
        0x2029, 53,
      );
      if (lookahead != 0) ADVANCE(56);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_parbreak);
      if (lookahead == '\r') ADVANCE(46);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(46);
      if (set_contains(sym_parbreak_character_set_1, 10, lookahead)) ADVANCE(24);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(aux_sym_escape_token1);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(aux_sym_escape_token1);
      if (lookahead == '{') ADVANCE(37);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_url_token1);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym__lb);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym__lb);
      if (lookahead == '\n') ADVANCE(50);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym__lb);
      if (lookahead == '\n') ADVANCE(46);
      if (lookahead == '\r') ADVANCE(46);
      if (lookahead == 0x0b ||
          lookahead == '\f' ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(46);
      if (set_contains(sym_parbreak_character_set_1, 10, lookahead)) ADVANCE(24);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym__lb);
      if (lookahead == '\r') ADVANCE(46);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 0x85 ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(46);
      if (set_contains(sym_parbreak_character_set_1, 10, lookahead)) ADVANCE(24);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_linebreak);
      if (lookahead == 'u') ADVANCE(48);
      if ((!eof && set_contains(aux_sym_escape_token1_character_set_1, 11, lookahead))) ADVANCE(47);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_quote);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(aux_sym_text_token1);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '?') ADVANCE(64);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (set_contains(sym__identifier_character_set_2, 777, lookahead)) ADVANCE(98);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(32);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_shorthand);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_shorthand);
      if (lookahead == '-') ADVANCE(64);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym__math_token_ldlm);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym__math_token_ldlm);
      if (lookahead == '|') ADVANCE(70);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym__math_token_orph);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym__math_token_orph);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == ']' ||
          lookahead == '|') ADVANCE(72);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym__math_number);
      if (lookahead == '.') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym__math_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__math_root_token1);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym__);
      if (set_contains(sym__identifier_character_set_2, 777, lookahead)) ADVANCE(98);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '-' ||
          lookahead == '<') ADVANCE(84);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(87);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '<') ADVANCE(88);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '.') ADVANCE(26);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '=') ADVANCE(84);
      if (lookahead == '>') ADVANCE(87);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '=') ADVANCE(33);
      if (lookahead == ':' ||
          lookahead == '>') ADVANCE(84);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '>') ADVANCE(84);
      if (lookahead == '~') ADVANCE(33);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym__identifier_character_set_2, 777, lookahead)) ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == 'b') ADVANCE(39);
      if (lookahead == 'e') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(40);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_assign_token1);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_assign_token1);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_COMMA2);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'f', 4,
        'i', 5,
        'l', 6,
        'n', 7,
        'o', 8,
        'r', 9,
        's', 10,
        't', 11,
        'w', 12,
      );
      END_STATE();
    case 1:
      if (lookahead == 'n') ADVANCE(13);
      if (lookahead == 's') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(20);
      if (lookahead == 'm') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(26);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'h') ADVANCE(28);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 12:
      if (lookahead == 'h') ADVANCE(30);
      END_STATE();
    case 13:
      if (lookahead == 'd') ADVANCE(31);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 15:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'p') ADVANCE(37);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(38);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(39);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 't') ADVANCE(41);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(46);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 35:
      if (lookahead == 's') ADVANCE(50);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 42:
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 44:
      if (lookahead == 'w') ADVANCE(55);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 48:
      if (lookahead == 'k') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 52:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_show);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 59:
      if (lookahead == 'x') ADVANCE(66);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 63:
      if (lookahead == 'd') ADVANCE(69);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 11, .external_lex_state = 3},
  [3] = {.lex_state = 11, .external_lex_state = 3},
  [4] = {.lex_state = 12, .external_lex_state = 3},
  [5] = {.lex_state = 12, .external_lex_state = 3},
  [6] = {.lex_state = 11, .external_lex_state = 4},
  [7] = {.lex_state = 11, .external_lex_state = 4},
  [8] = {.lex_state = 11, .external_lex_state = 5},
  [9] = {.lex_state = 11, .external_lex_state = 5},
  [10] = {.lex_state = 11, .external_lex_state = 6},
  [11] = {.lex_state = 11, .external_lex_state = 6},
  [12] = {.lex_state = 12, .external_lex_state = 4},
  [13] = {.lex_state = 12, .external_lex_state = 4},
  [14] = {.lex_state = 12, .external_lex_state = 5},
  [15] = {.lex_state = 12, .external_lex_state = 5},
  [16] = {.lex_state = 13, .external_lex_state = 3},
  [17] = {.lex_state = 13, .external_lex_state = 3},
  [18] = {.lex_state = 12, .external_lex_state = 6},
  [19] = {.lex_state = 12, .external_lex_state = 6},
  [20] = {.lex_state = 11, .external_lex_state = 3},
  [21] = {.lex_state = 11, .external_lex_state = 3},
  [22] = {.lex_state = 14, .external_lex_state = 3},
  [23] = {.lex_state = 13, .external_lex_state = 6},
  [24] = {.lex_state = 13, .external_lex_state = 4},
  [25] = {.lex_state = 12, .external_lex_state = 3},
  [26] = {.lex_state = 12, .external_lex_state = 3},
  [27] = {.lex_state = 13, .external_lex_state = 5},
  [28] = {.lex_state = 13, .external_lex_state = 4},
  [29] = {.lex_state = 14, .external_lex_state = 3},
  [30] = {.lex_state = 13, .external_lex_state = 5},
  [31] = {.lex_state = 13, .external_lex_state = 6},
  [32] = {.lex_state = 13, .external_lex_state = 3},
  [33] = {.lex_state = 13, .external_lex_state = 3},
  [34] = {.lex_state = 14, .external_lex_state = 4},
  [35] = {.lex_state = 14, .external_lex_state = 4},
  [36] = {.lex_state = 14, .external_lex_state = 5},
  [37] = {.lex_state = 14, .external_lex_state = 6},
  [38] = {.lex_state = 14, .external_lex_state = 5},
  [39] = {.lex_state = 14, .external_lex_state = 6},
  [40] = {.lex_state = 14, .external_lex_state = 3},
  [41] = {.lex_state = 14, .external_lex_state = 3},
  [42] = {.lex_state = 13, .external_lex_state = 7},
  [43] = {.lex_state = 13, .external_lex_state = 7},
  [44] = {.lex_state = 13, .external_lex_state = 7},
  [45] = {.lex_state = 13, .external_lex_state = 7},
  [46] = {.lex_state = 13, .external_lex_state = 7},
  [47] = {.lex_state = 13, .external_lex_state = 7},
  [48] = {.lex_state = 13, .external_lex_state = 7},
  [49] = {.lex_state = 13, .external_lex_state = 7},
  [50] = {.lex_state = 13, .external_lex_state = 7},
  [51] = {.lex_state = 13, .external_lex_state = 7},
  [52] = {.lex_state = 13, .external_lex_state = 7},
  [53] = {.lex_state = 13, .external_lex_state = 7},
  [54] = {.lex_state = 13, .external_lex_state = 7},
  [55] = {.lex_state = 13, .external_lex_state = 7},
  [56] = {.lex_state = 13, .external_lex_state = 7},
  [57] = {.lex_state = 13, .external_lex_state = 7},
  [58] = {.lex_state = 13, .external_lex_state = 7},
  [59] = {.lex_state = 13, .external_lex_state = 7},
  [60] = {.lex_state = 13, .external_lex_state = 7},
  [61] = {.lex_state = 13, .external_lex_state = 7},
  [62] = {.lex_state = 13, .external_lex_state = 7},
  [63] = {.lex_state = 11, .external_lex_state = 7},
  [64] = {.lex_state = 11, .external_lex_state = 7},
  [65] = {.lex_state = 11, .external_lex_state = 7},
  [66] = {.lex_state = 11, .external_lex_state = 7},
  [67] = {.lex_state = 11, .external_lex_state = 7},
  [68] = {.lex_state = 11, .external_lex_state = 7},
  [69] = {.lex_state = 11, .external_lex_state = 7},
  [70] = {.lex_state = 11, .external_lex_state = 7},
  [71] = {.lex_state = 11, .external_lex_state = 7},
  [72] = {.lex_state = 11, .external_lex_state = 7},
  [73] = {.lex_state = 11, .external_lex_state = 7},
  [74] = {.lex_state = 11, .external_lex_state = 7},
  [75] = {.lex_state = 11, .external_lex_state = 7},
  [76] = {.lex_state = 11, .external_lex_state = 7},
  [77] = {.lex_state = 11, .external_lex_state = 7},
  [78] = {.lex_state = 11, .external_lex_state = 7},
  [79] = {.lex_state = 11, .external_lex_state = 7},
  [80] = {.lex_state = 11, .external_lex_state = 7},
  [81] = {.lex_state = 11, .external_lex_state = 7},
  [82] = {.lex_state = 11, .external_lex_state = 7},
  [83] = {.lex_state = 11, .external_lex_state = 7},
  [84] = {.lex_state = 11, .external_lex_state = 7},
  [85] = {.lex_state = 11, .external_lex_state = 7},
  [86] = {.lex_state = 11, .external_lex_state = 7},
  [87] = {.lex_state = 11, .external_lex_state = 7},
  [88] = {.lex_state = 11, .external_lex_state = 7},
  [89] = {.lex_state = 11, .external_lex_state = 7},
  [90] = {.lex_state = 11, .external_lex_state = 7},
  [91] = {.lex_state = 11, .external_lex_state = 7},
  [92] = {.lex_state = 11, .external_lex_state = 7},
  [93] = {.lex_state = 11, .external_lex_state = 7},
  [94] = {.lex_state = 11, .external_lex_state = 7},
  [95] = {.lex_state = 11, .external_lex_state = 7},
  [96] = {.lex_state = 11, .external_lex_state = 7},
  [97] = {.lex_state = 11, .external_lex_state = 7},
  [98] = {.lex_state = 11, .external_lex_state = 7},
  [99] = {.lex_state = 11, .external_lex_state = 7},
  [100] = {.lex_state = 11, .external_lex_state = 7},
  [101] = {.lex_state = 11, .external_lex_state = 7},
  [102] = {.lex_state = 11, .external_lex_state = 7},
  [103] = {.lex_state = 11, .external_lex_state = 7},
  [104] = {.lex_state = 11, .external_lex_state = 7},
  [105] = {.lex_state = 11, .external_lex_state = 7},
  [106] = {.lex_state = 11, .external_lex_state = 7},
  [107] = {.lex_state = 11, .external_lex_state = 7},
  [108] = {.lex_state = 11, .external_lex_state = 7},
  [109] = {.lex_state = 11, .external_lex_state = 7},
  [110] = {.lex_state = 11, .external_lex_state = 7},
  [111] = {.lex_state = 11, .external_lex_state = 7},
  [112] = {.lex_state = 11, .external_lex_state = 7},
  [113] = {.lex_state = 11, .external_lex_state = 7},
  [114] = {.lex_state = 11, .external_lex_state = 7},
  [115] = {.lex_state = 11, .external_lex_state = 7},
  [116] = {.lex_state = 11, .external_lex_state = 7},
  [117] = {.lex_state = 11, .external_lex_state = 7},
  [118] = {.lex_state = 11, .external_lex_state = 7},
  [119] = {.lex_state = 11, .external_lex_state = 7},
  [120] = {.lex_state = 11, .external_lex_state = 7},
  [121] = {.lex_state = 11, .external_lex_state = 7},
  [122] = {.lex_state = 11, .external_lex_state = 7},
  [123] = {.lex_state = 11, .external_lex_state = 7},
  [124] = {.lex_state = 11, .external_lex_state = 7},
  [125] = {.lex_state = 11, .external_lex_state = 7},
  [126] = {.lex_state = 11, .external_lex_state = 7},
  [127] = {.lex_state = 11, .external_lex_state = 7},
  [128] = {.lex_state = 11, .external_lex_state = 7},
  [129] = {.lex_state = 11, .external_lex_state = 7},
  [130] = {.lex_state = 11, .external_lex_state = 7},
  [131] = {.lex_state = 11, .external_lex_state = 7},
  [132] = {.lex_state = 11, .external_lex_state = 7},
  [133] = {.lex_state = 11, .external_lex_state = 7},
  [134] = {.lex_state = 11, .external_lex_state = 7},
  [135] = {.lex_state = 11, .external_lex_state = 7},
  [136] = {.lex_state = 11, .external_lex_state = 7},
  [137] = {.lex_state = 11, .external_lex_state = 7},
  [138] = {.lex_state = 11, .external_lex_state = 7},
  [139] = {.lex_state = 11, .external_lex_state = 7},
  [140] = {.lex_state = 11, .external_lex_state = 7},
  [141] = {.lex_state = 11, .external_lex_state = 7},
  [142] = {.lex_state = 11, .external_lex_state = 7},
  [143] = {.lex_state = 11, .external_lex_state = 7},
  [144] = {.lex_state = 11, .external_lex_state = 7},
  [145] = {.lex_state = 11, .external_lex_state = 7},
  [146] = {.lex_state = 11, .external_lex_state = 7},
  [147] = {.lex_state = 11, .external_lex_state = 7},
  [148] = {.lex_state = 11, .external_lex_state = 7},
  [149] = {.lex_state = 11, .external_lex_state = 7},
  [150] = {.lex_state = 11, .external_lex_state = 7},
  [151] = {.lex_state = 11, .external_lex_state = 7},
  [152] = {.lex_state = 11, .external_lex_state = 7},
  [153] = {.lex_state = 11, .external_lex_state = 7},
  [154] = {.lex_state = 11, .external_lex_state = 7},
  [155] = {.lex_state = 11, .external_lex_state = 7},
  [156] = {.lex_state = 11, .external_lex_state = 7},
  [157] = {.lex_state = 11, .external_lex_state = 7},
  [158] = {.lex_state = 11, .external_lex_state = 7},
  [159] = {.lex_state = 11, .external_lex_state = 7},
  [160] = {.lex_state = 11, .external_lex_state = 7},
  [161] = {.lex_state = 11, .external_lex_state = 7},
  [162] = {.lex_state = 11, .external_lex_state = 7},
  [163] = {.lex_state = 11, .external_lex_state = 7},
  [164] = {.lex_state = 11, .external_lex_state = 7},
  [165] = {.lex_state = 11, .external_lex_state = 7},
  [166] = {.lex_state = 11, .external_lex_state = 7},
  [167] = {.lex_state = 11, .external_lex_state = 7},
  [168] = {.lex_state = 11, .external_lex_state = 7},
  [169] = {.lex_state = 11, .external_lex_state = 7},
  [170] = {.lex_state = 11, .external_lex_state = 7},
  [171] = {.lex_state = 11, .external_lex_state = 7},
  [172] = {.lex_state = 11, .external_lex_state = 7},
  [173] = {.lex_state = 11, .external_lex_state = 7},
  [174] = {.lex_state = 11, .external_lex_state = 7},
  [175] = {.lex_state = 11, .external_lex_state = 7},
  [176] = {.lex_state = 11, .external_lex_state = 7},
  [177] = {.lex_state = 11, .external_lex_state = 7},
  [178] = {.lex_state = 11, .external_lex_state = 7},
  [179] = {.lex_state = 11, .external_lex_state = 7},
  [180] = {.lex_state = 11, .external_lex_state = 7},
  [181] = {.lex_state = 11, .external_lex_state = 7},
  [182] = {.lex_state = 11, .external_lex_state = 7},
  [183] = {.lex_state = 11, .external_lex_state = 7},
  [184] = {.lex_state = 11, .external_lex_state = 7},
  [185] = {.lex_state = 11, .external_lex_state = 7},
  [186] = {.lex_state = 11, .external_lex_state = 7},
  [187] = {.lex_state = 11, .external_lex_state = 7},
  [188] = {.lex_state = 11, .external_lex_state = 7},
  [189] = {.lex_state = 11, .external_lex_state = 7},
  [190] = {.lex_state = 11, .external_lex_state = 7},
  [191] = {.lex_state = 11, .external_lex_state = 7},
  [192] = {.lex_state = 11, .external_lex_state = 7},
  [193] = {.lex_state = 11, .external_lex_state = 7},
  [194] = {.lex_state = 11, .external_lex_state = 7},
  [195] = {.lex_state = 11, .external_lex_state = 7},
  [196] = {.lex_state = 11, .external_lex_state = 7},
  [197] = {.lex_state = 11, .external_lex_state = 7},
  [198] = {.lex_state = 11, .external_lex_state = 7},
  [199] = {.lex_state = 11, .external_lex_state = 7},
  [200] = {.lex_state = 11, .external_lex_state = 7},
  [201] = {.lex_state = 11, .external_lex_state = 7},
  [202] = {.lex_state = 11, .external_lex_state = 7},
  [203] = {.lex_state = 11, .external_lex_state = 7},
  [204] = {.lex_state = 11, .external_lex_state = 7},
  [205] = {.lex_state = 11, .external_lex_state = 7},
  [206] = {.lex_state = 11, .external_lex_state = 7},
  [207] = {.lex_state = 11, .external_lex_state = 7},
  [208] = {.lex_state = 11, .external_lex_state = 7},
  [209] = {.lex_state = 11, .external_lex_state = 7},
  [210] = {.lex_state = 11, .external_lex_state = 7},
  [211] = {.lex_state = 11, .external_lex_state = 7},
  [212] = {.lex_state = 11, .external_lex_state = 7},
  [213] = {.lex_state = 11, .external_lex_state = 7},
  [214] = {.lex_state = 11, .external_lex_state = 7},
  [215] = {.lex_state = 11, .external_lex_state = 7},
  [216] = {.lex_state = 11, .external_lex_state = 7},
  [217] = {.lex_state = 11, .external_lex_state = 7},
  [218] = {.lex_state = 11, .external_lex_state = 7},
  [219] = {.lex_state = 11, .external_lex_state = 7},
  [220] = {.lex_state = 11, .external_lex_state = 7},
  [221] = {.lex_state = 11, .external_lex_state = 7},
  [222] = {.lex_state = 11, .external_lex_state = 7},
  [223] = {.lex_state = 11, .external_lex_state = 7},
  [224] = {.lex_state = 11, .external_lex_state = 7},
  [225] = {.lex_state = 11, .external_lex_state = 7},
  [226] = {.lex_state = 11, .external_lex_state = 7},
  [227] = {.lex_state = 11, .external_lex_state = 7},
  [228] = {.lex_state = 11, .external_lex_state = 7},
  [229] = {.lex_state = 11, .external_lex_state = 7},
  [230] = {.lex_state = 11, .external_lex_state = 7},
  [231] = {.lex_state = 11, .external_lex_state = 7},
  [232] = {.lex_state = 11, .external_lex_state = 7},
  [233] = {.lex_state = 11, .external_lex_state = 7},
  [234] = {.lex_state = 11, .external_lex_state = 7},
  [235] = {.lex_state = 11, .external_lex_state = 7},
  [236] = {.lex_state = 11, .external_lex_state = 7},
  [237] = {.lex_state = 11, .external_lex_state = 7},
  [238] = {.lex_state = 11, .external_lex_state = 7},
  [239] = {.lex_state = 11, .external_lex_state = 7},
  [240] = {.lex_state = 11, .external_lex_state = 7},
  [241] = {.lex_state = 11, .external_lex_state = 7},
  [242] = {.lex_state = 11, .external_lex_state = 7},
  [243] = {.lex_state = 11, .external_lex_state = 7},
  [244] = {.lex_state = 11, .external_lex_state = 7},
  [245] = {.lex_state = 11, .external_lex_state = 7},
  [246] = {.lex_state = 11, .external_lex_state = 7},
  [247] = {.lex_state = 11, .external_lex_state = 7},
  [248] = {.lex_state = 11, .external_lex_state = 7},
  [249] = {.lex_state = 11, .external_lex_state = 7},
  [250] = {.lex_state = 11, .external_lex_state = 7},
  [251] = {.lex_state = 11, .external_lex_state = 7},
  [252] = {.lex_state = 11, .external_lex_state = 7},
  [253] = {.lex_state = 11, .external_lex_state = 7},
  [254] = {.lex_state = 11, .external_lex_state = 7},
  [255] = {.lex_state = 11, .external_lex_state = 7},
  [256] = {.lex_state = 11, .external_lex_state = 7},
  [257] = {.lex_state = 11, .external_lex_state = 7},
  [258] = {.lex_state = 11, .external_lex_state = 7},
  [259] = {.lex_state = 11, .external_lex_state = 7},
  [260] = {.lex_state = 11, .external_lex_state = 7},
  [261] = {.lex_state = 11, .external_lex_state = 7},
  [262] = {.lex_state = 11, .external_lex_state = 7},
  [263] = {.lex_state = 11, .external_lex_state = 7},
  [264] = {.lex_state = 11, .external_lex_state = 7},
  [265] = {.lex_state = 11, .external_lex_state = 7},
  [266] = {.lex_state = 11, .external_lex_state = 7},
  [267] = {.lex_state = 11, .external_lex_state = 7},
  [268] = {.lex_state = 11, .external_lex_state = 7},
  [269] = {.lex_state = 11, .external_lex_state = 7},
  [270] = {.lex_state = 11, .external_lex_state = 7},
  [271] = {.lex_state = 11, .external_lex_state = 7},
  [272] = {.lex_state = 11, .external_lex_state = 7},
  [273] = {.lex_state = 11, .external_lex_state = 7},
  [274] = {.lex_state = 11, .external_lex_state = 7},
  [275] = {.lex_state = 11, .external_lex_state = 7},
  [276] = {.lex_state = 11, .external_lex_state = 7},
  [277] = {.lex_state = 11, .external_lex_state = 7},
  [278] = {.lex_state = 11, .external_lex_state = 7},
  [279] = {.lex_state = 11, .external_lex_state = 7},
  [280] = {.lex_state = 11, .external_lex_state = 7},
  [281] = {.lex_state = 11, .external_lex_state = 7},
  [282] = {.lex_state = 11, .external_lex_state = 7},
  [283] = {.lex_state = 11, .external_lex_state = 7},
  [284] = {.lex_state = 11, .external_lex_state = 7},
  [285] = {.lex_state = 11, .external_lex_state = 7},
  [286] = {.lex_state = 11, .external_lex_state = 7},
  [287] = {.lex_state = 11, .external_lex_state = 7},
  [288] = {.lex_state = 11, .external_lex_state = 7},
  [289] = {.lex_state = 11, .external_lex_state = 7},
  [290] = {.lex_state = 11, .external_lex_state = 7},
  [291] = {.lex_state = 11, .external_lex_state = 7},
  [292] = {.lex_state = 11, .external_lex_state = 7},
  [293] = {.lex_state = 11, .external_lex_state = 7},
  [294] = {.lex_state = 11, .external_lex_state = 7},
  [295] = {.lex_state = 11, .external_lex_state = 7},
  [296] = {.lex_state = 11, .external_lex_state = 7},
  [297] = {.lex_state = 11, .external_lex_state = 7},
  [298] = {.lex_state = 11, .external_lex_state = 7},
  [299] = {.lex_state = 11, .external_lex_state = 7},
  [300] = {.lex_state = 11, .external_lex_state = 7},
  [301] = {.lex_state = 11, .external_lex_state = 7},
  [302] = {.lex_state = 11, .external_lex_state = 7},
  [303] = {.lex_state = 11, .external_lex_state = 7},
  [304] = {.lex_state = 11, .external_lex_state = 7},
  [305] = {.lex_state = 11, .external_lex_state = 7},
  [306] = {.lex_state = 11, .external_lex_state = 7},
  [307] = {.lex_state = 11, .external_lex_state = 7},
  [308] = {.lex_state = 11, .external_lex_state = 7},
  [309] = {.lex_state = 11, .external_lex_state = 7},
  [310] = {.lex_state = 11, .external_lex_state = 7},
  [311] = {.lex_state = 11, .external_lex_state = 7},
  [312] = {.lex_state = 11, .external_lex_state = 7},
  [313] = {.lex_state = 11, .external_lex_state = 7},
  [314] = {.lex_state = 11, .external_lex_state = 7},
  [315] = {.lex_state = 11, .external_lex_state = 7},
  [316] = {.lex_state = 11, .external_lex_state = 7},
  [317] = {.lex_state = 11, .external_lex_state = 7},
  [318] = {.lex_state = 11, .external_lex_state = 7},
  [319] = {.lex_state = 11, .external_lex_state = 7},
  [320] = {.lex_state = 11, .external_lex_state = 7},
  [321] = {.lex_state = 11, .external_lex_state = 7},
  [322] = {.lex_state = 11, .external_lex_state = 7},
  [323] = {.lex_state = 11, .external_lex_state = 7},
  [324] = {.lex_state = 11, .external_lex_state = 7},
  [325] = {.lex_state = 11, .external_lex_state = 7},
  [326] = {.lex_state = 11, .external_lex_state = 7},
  [327] = {.lex_state = 11, .external_lex_state = 7},
  [328] = {.lex_state = 11, .external_lex_state = 7},
  [329] = {.lex_state = 11, .external_lex_state = 7},
  [330] = {.lex_state = 11, .external_lex_state = 7},
  [331] = {.lex_state = 11, .external_lex_state = 7},
  [332] = {.lex_state = 11, .external_lex_state = 7},
  [333] = {.lex_state = 11, .external_lex_state = 7},
  [334] = {.lex_state = 11, .external_lex_state = 7},
  [335] = {.lex_state = 11, .external_lex_state = 7},
  [336] = {.lex_state = 11, .external_lex_state = 7},
  [337] = {.lex_state = 11, .external_lex_state = 7},
  [338] = {.lex_state = 11, .external_lex_state = 7},
  [339] = {.lex_state = 11, .external_lex_state = 7},
  [340] = {.lex_state = 11, .external_lex_state = 7},
  [341] = {.lex_state = 11, .external_lex_state = 7},
  [342] = {.lex_state = 11, .external_lex_state = 7},
  [343] = {.lex_state = 11, .external_lex_state = 7},
  [344] = {.lex_state = 11, .external_lex_state = 7},
  [345] = {.lex_state = 11, .external_lex_state = 7},
  [346] = {.lex_state = 11, .external_lex_state = 7},
  [347] = {.lex_state = 11, .external_lex_state = 7},
  [348] = {.lex_state = 11, .external_lex_state = 7},
  [349] = {.lex_state = 11, .external_lex_state = 7},
  [350] = {.lex_state = 11, .external_lex_state = 7},
  [351] = {.lex_state = 11, .external_lex_state = 7},
  [352] = {.lex_state = 11, .external_lex_state = 7},
  [353] = {.lex_state = 11, .external_lex_state = 7},
  [354] = {.lex_state = 11, .external_lex_state = 7},
  [355] = {.lex_state = 11, .external_lex_state = 7},
  [356] = {.lex_state = 11, .external_lex_state = 7},
  [357] = {.lex_state = 11, .external_lex_state = 7},
  [358] = {.lex_state = 11, .external_lex_state = 7},
  [359] = {.lex_state = 11, .external_lex_state = 7},
  [360] = {.lex_state = 11, .external_lex_state = 7},
  [361] = {.lex_state = 11, .external_lex_state = 7},
  [362] = {.lex_state = 11, .external_lex_state = 7},
  [363] = {.lex_state = 11, .external_lex_state = 7},
  [364] = {.lex_state = 11, .external_lex_state = 7},
  [365] = {.lex_state = 11, .external_lex_state = 7},
  [366] = {.lex_state = 11, .external_lex_state = 7},
  [367] = {.lex_state = 11, .external_lex_state = 7},
  [368] = {.lex_state = 11, .external_lex_state = 7},
  [369] = {.lex_state = 11, .external_lex_state = 7},
  [370] = {.lex_state = 11, .external_lex_state = 7},
  [371] = {.lex_state = 11, .external_lex_state = 7},
  [372] = {.lex_state = 11, .external_lex_state = 7},
  [373] = {.lex_state = 11, .external_lex_state = 7},
  [374] = {.lex_state = 11, .external_lex_state = 7},
  [375] = {.lex_state = 11, .external_lex_state = 7},
  [376] = {.lex_state = 11, .external_lex_state = 7},
  [377] = {.lex_state = 11, .external_lex_state = 7},
  [378] = {.lex_state = 11, .external_lex_state = 7},
  [379] = {.lex_state = 11, .external_lex_state = 7},
  [380] = {.lex_state = 11, .external_lex_state = 7},
  [381] = {.lex_state = 11, .external_lex_state = 7},
  [382] = {.lex_state = 11, .external_lex_state = 7},
  [383] = {.lex_state = 11, .external_lex_state = 7},
  [384] = {.lex_state = 11, .external_lex_state = 7},
  [385] = {.lex_state = 11, .external_lex_state = 7},
  [386] = {.lex_state = 11, .external_lex_state = 7},
  [387] = {.lex_state = 11, .external_lex_state = 7},
  [388] = {.lex_state = 11, .external_lex_state = 7},
  [389] = {.lex_state = 11, .external_lex_state = 7},
  [390] = {.lex_state = 11, .external_lex_state = 7},
  [391] = {.lex_state = 11, .external_lex_state = 7},
  [392] = {.lex_state = 11, .external_lex_state = 7},
  [393] = {.lex_state = 11, .external_lex_state = 7},
  [394] = {.lex_state = 11, .external_lex_state = 7},
  [395] = {.lex_state = 11, .external_lex_state = 7},
  [396] = {.lex_state = 11, .external_lex_state = 7},
  [397] = {.lex_state = 11, .external_lex_state = 7},
  [398] = {.lex_state = 11, .external_lex_state = 7},
  [399] = {.lex_state = 11, .external_lex_state = 7},
  [400] = {.lex_state = 11, .external_lex_state = 7},
  [401] = {.lex_state = 11, .external_lex_state = 7},
  [402] = {.lex_state = 11, .external_lex_state = 7},
  [403] = {.lex_state = 11, .external_lex_state = 7},
  [404] = {.lex_state = 11, .external_lex_state = 7},
  [405] = {.lex_state = 11, .external_lex_state = 7},
  [406] = {.lex_state = 11, .external_lex_state = 7},
  [407] = {.lex_state = 11, .external_lex_state = 7},
  [408] = {.lex_state = 11, .external_lex_state = 7},
  [409] = {.lex_state = 11, .external_lex_state = 7},
  [410] = {.lex_state = 11, .external_lex_state = 7},
  [411] = {.lex_state = 11, .external_lex_state = 7},
  [412] = {.lex_state = 11, .external_lex_state = 7},
  [413] = {.lex_state = 11, .external_lex_state = 7},
  [414] = {.lex_state = 11, .external_lex_state = 7},
  [415] = {.lex_state = 11, .external_lex_state = 7},
  [416] = {.lex_state = 11, .external_lex_state = 7},
  [417] = {.lex_state = 11, .external_lex_state = 7},
  [418] = {.lex_state = 11, .external_lex_state = 7},
  [419] = {.lex_state = 11, .external_lex_state = 7},
  [420] = {.lex_state = 11, .external_lex_state = 7},
  [421] = {.lex_state = 11, .external_lex_state = 7},
  [422] = {.lex_state = 11, .external_lex_state = 7},
  [423] = {.lex_state = 11, .external_lex_state = 7},
  [424] = {.lex_state = 11, .external_lex_state = 7},
  [425] = {.lex_state = 11, .external_lex_state = 7},
  [426] = {.lex_state = 11, .external_lex_state = 7},
  [427] = {.lex_state = 11, .external_lex_state = 7},
  [428] = {.lex_state = 11, .external_lex_state = 7},
  [429] = {.lex_state = 11, .external_lex_state = 7},
  [430] = {.lex_state = 11, .external_lex_state = 7},
  [431] = {.lex_state = 11, .external_lex_state = 7},
  [432] = {.lex_state = 11, .external_lex_state = 7},
  [433] = {.lex_state = 11, .external_lex_state = 7},
  [434] = {.lex_state = 11, .external_lex_state = 7},
  [435] = {.lex_state = 11, .external_lex_state = 7},
  [436] = {.lex_state = 11, .external_lex_state = 7},
  [437] = {.lex_state = 11, .external_lex_state = 7},
  [438] = {.lex_state = 11, .external_lex_state = 7},
  [439] = {.lex_state = 11, .external_lex_state = 7},
  [440] = {.lex_state = 11, .external_lex_state = 7},
  [441] = {.lex_state = 11, .external_lex_state = 7},
  [442] = {.lex_state = 11, .external_lex_state = 7},
  [443] = {.lex_state = 11, .external_lex_state = 7},
  [444] = {.lex_state = 11, .external_lex_state = 7},
  [445] = {.lex_state = 11, .external_lex_state = 7},
  [446] = {.lex_state = 11, .external_lex_state = 7},
  [447] = {.lex_state = 11, .external_lex_state = 7},
  [448] = {.lex_state = 11, .external_lex_state = 7},
  [449] = {.lex_state = 11, .external_lex_state = 7},
  [450] = {.lex_state = 11, .external_lex_state = 7},
  [451] = {.lex_state = 11, .external_lex_state = 7},
  [452] = {.lex_state = 11, .external_lex_state = 7},
  [453] = {.lex_state = 11, .external_lex_state = 7},
  [454] = {.lex_state = 11, .external_lex_state = 7},
  [455] = {.lex_state = 11, .external_lex_state = 7},
  [456] = {.lex_state = 11, .external_lex_state = 7},
  [457] = {.lex_state = 11, .external_lex_state = 7},
  [458] = {.lex_state = 11, .external_lex_state = 7},
  [459] = {.lex_state = 11, .external_lex_state = 7},
  [460] = {.lex_state = 11, .external_lex_state = 7},
  [461] = {.lex_state = 11, .external_lex_state = 7},
  [462] = {.lex_state = 11, .external_lex_state = 7},
  [463] = {.lex_state = 11, .external_lex_state = 7},
  [464] = {.lex_state = 11, .external_lex_state = 7},
  [465] = {.lex_state = 11, .external_lex_state = 7},
  [466] = {.lex_state = 11, .external_lex_state = 7},
  [467] = {.lex_state = 11, .external_lex_state = 7},
  [468] = {.lex_state = 11, .external_lex_state = 7},
  [469] = {.lex_state = 11, .external_lex_state = 7},
  [470] = {.lex_state = 11, .external_lex_state = 7},
  [471] = {.lex_state = 11, .external_lex_state = 7},
  [472] = {.lex_state = 11, .external_lex_state = 7},
  [473] = {.lex_state = 11, .external_lex_state = 7},
  [474] = {.lex_state = 11, .external_lex_state = 7},
  [475] = {.lex_state = 11, .external_lex_state = 7},
  [476] = {.lex_state = 11, .external_lex_state = 7},
  [477] = {.lex_state = 11, .external_lex_state = 7},
  [478] = {.lex_state = 11, .external_lex_state = 7},
  [479] = {.lex_state = 11, .external_lex_state = 7},
  [480] = {.lex_state = 11, .external_lex_state = 7},
  [481] = {.lex_state = 11, .external_lex_state = 7},
  [482] = {.lex_state = 11, .external_lex_state = 7},
  [483] = {.lex_state = 11, .external_lex_state = 7},
  [484] = {.lex_state = 11, .external_lex_state = 7},
  [485] = {.lex_state = 11, .external_lex_state = 7},
  [486] = {.lex_state = 11, .external_lex_state = 7},
  [487] = {.lex_state = 11, .external_lex_state = 7},
  [488] = {.lex_state = 11, .external_lex_state = 7},
  [489] = {.lex_state = 11, .external_lex_state = 7},
  [490] = {.lex_state = 11, .external_lex_state = 7},
  [491] = {.lex_state = 11, .external_lex_state = 7},
  [492] = {.lex_state = 11, .external_lex_state = 7},
  [493] = {.lex_state = 11, .external_lex_state = 7},
  [494] = {.lex_state = 11, .external_lex_state = 7},
  [495] = {.lex_state = 11, .external_lex_state = 7},
  [496] = {.lex_state = 11, .external_lex_state = 7},
  [497] = {.lex_state = 11, .external_lex_state = 7},
  [498] = {.lex_state = 11, .external_lex_state = 7},
  [499] = {.lex_state = 11, .external_lex_state = 7},
  [500] = {.lex_state = 11, .external_lex_state = 7},
  [501] = {.lex_state = 11, .external_lex_state = 7},
  [502] = {.lex_state = 11, .external_lex_state = 7},
  [503] = {.lex_state = 11, .external_lex_state = 7},
  [504] = {.lex_state = 11, .external_lex_state = 7},
  [505] = {.lex_state = 11, .external_lex_state = 7},
  [506] = {.lex_state = 11, .external_lex_state = 7},
  [507] = {.lex_state = 11, .external_lex_state = 7},
  [508] = {.lex_state = 11, .external_lex_state = 7},
  [509] = {.lex_state = 11, .external_lex_state = 7},
  [510] = {.lex_state = 11, .external_lex_state = 7},
  [511] = {.lex_state = 11, .external_lex_state = 7},
  [512] = {.lex_state = 11, .external_lex_state = 7},
  [513] = {.lex_state = 11, .external_lex_state = 7},
  [514] = {.lex_state = 11, .external_lex_state = 7},
  [515] = {.lex_state = 11, .external_lex_state = 7},
  [516] = {.lex_state = 11, .external_lex_state = 7},
  [517] = {.lex_state = 11, .external_lex_state = 7},
  [518] = {.lex_state = 11, .external_lex_state = 7},
  [519] = {.lex_state = 11, .external_lex_state = 7},
  [520] = {.lex_state = 11, .external_lex_state = 7},
  [521] = {.lex_state = 11, .external_lex_state = 7},
  [522] = {.lex_state = 11, .external_lex_state = 7},
  [523] = {.lex_state = 11, .external_lex_state = 7},
  [524] = {.lex_state = 11, .external_lex_state = 7},
  [525] = {.lex_state = 11, .external_lex_state = 7},
  [526] = {.lex_state = 11, .external_lex_state = 7},
  [527] = {.lex_state = 11, .external_lex_state = 7},
  [528] = {.lex_state = 11, .external_lex_state = 7},
  [529] = {.lex_state = 11, .external_lex_state = 7},
  [530] = {.lex_state = 11, .external_lex_state = 7},
  [531] = {.lex_state = 11, .external_lex_state = 7},
  [532] = {.lex_state = 11, .external_lex_state = 7},
  [533] = {.lex_state = 11, .external_lex_state = 7},
  [534] = {.lex_state = 11, .external_lex_state = 7},
  [535] = {.lex_state = 11, .external_lex_state = 7},
  [536] = {.lex_state = 11, .external_lex_state = 7},
  [537] = {.lex_state = 11, .external_lex_state = 7},
  [538] = {.lex_state = 11, .external_lex_state = 7},
  [539] = {.lex_state = 11, .external_lex_state = 7},
  [540] = {.lex_state = 11, .external_lex_state = 7},
  [541] = {.lex_state = 11, .external_lex_state = 7},
  [542] = {.lex_state = 11, .external_lex_state = 7},
  [543] = {.lex_state = 11, .external_lex_state = 7},
  [544] = {.lex_state = 11, .external_lex_state = 7},
  [545] = {.lex_state = 11, .external_lex_state = 7},
  [546] = {.lex_state = 11, .external_lex_state = 7},
  [547] = {.lex_state = 11, .external_lex_state = 7},
  [548] = {.lex_state = 11, .external_lex_state = 7},
  [549] = {.lex_state = 11, .external_lex_state = 7},
  [550] = {.lex_state = 11, .external_lex_state = 7},
  [551] = {.lex_state = 11, .external_lex_state = 7},
  [552] = {.lex_state = 11, .external_lex_state = 7},
  [553] = {.lex_state = 11, .external_lex_state = 7},
  [554] = {.lex_state = 11, .external_lex_state = 7},
  [555] = {.lex_state = 11, .external_lex_state = 7},
  [556] = {.lex_state = 11, .external_lex_state = 7},
  [557] = {.lex_state = 11, .external_lex_state = 7},
  [558] = {.lex_state = 11, .external_lex_state = 7},
  [559] = {.lex_state = 11, .external_lex_state = 7},
  [560] = {.lex_state = 11, .external_lex_state = 7},
  [561] = {.lex_state = 11, .external_lex_state = 7},
  [562] = {.lex_state = 11, .external_lex_state = 7},
  [563] = {.lex_state = 11, .external_lex_state = 7},
  [564] = {.lex_state = 11, .external_lex_state = 7},
  [565] = {.lex_state = 11, .external_lex_state = 7},
  [566] = {.lex_state = 11, .external_lex_state = 7},
  [567] = {.lex_state = 11, .external_lex_state = 7},
  [568] = {.lex_state = 11, .external_lex_state = 7},
  [569] = {.lex_state = 11, .external_lex_state = 7},
  [570] = {.lex_state = 11, .external_lex_state = 7},
  [571] = {.lex_state = 11, .external_lex_state = 7},
  [572] = {.lex_state = 11, .external_lex_state = 7},
  [573] = {.lex_state = 11, .external_lex_state = 7},
  [574] = {.lex_state = 11, .external_lex_state = 7},
  [575] = {.lex_state = 11, .external_lex_state = 7},
  [576] = {.lex_state = 11, .external_lex_state = 7},
  [577] = {.lex_state = 11, .external_lex_state = 7},
  [578] = {.lex_state = 11, .external_lex_state = 7},
  [579] = {.lex_state = 11, .external_lex_state = 7},
  [580] = {.lex_state = 11, .external_lex_state = 7},
  [581] = {.lex_state = 11, .external_lex_state = 7},
  [582] = {.lex_state = 11, .external_lex_state = 7},
  [583] = {.lex_state = 11, .external_lex_state = 7},
  [584] = {.lex_state = 11, .external_lex_state = 7},
  [585] = {.lex_state = 11, .external_lex_state = 7},
  [586] = {.lex_state = 11, .external_lex_state = 7},
  [587] = {.lex_state = 11, .external_lex_state = 7},
  [588] = {.lex_state = 11, .external_lex_state = 7},
  [589] = {.lex_state = 11, .external_lex_state = 7},
  [590] = {.lex_state = 11, .external_lex_state = 7},
  [591] = {.lex_state = 11, .external_lex_state = 7},
  [592] = {.lex_state = 11, .external_lex_state = 7},
  [593] = {.lex_state = 11, .external_lex_state = 7},
  [594] = {.lex_state = 11, .external_lex_state = 7},
  [595] = {.lex_state = 11, .external_lex_state = 7},
  [596] = {.lex_state = 11, .external_lex_state = 7},
  [597] = {.lex_state = 11, .external_lex_state = 7},
  [598] = {.lex_state = 11, .external_lex_state = 7},
  [599] = {.lex_state = 11, .external_lex_state = 7},
  [600] = {.lex_state = 11, .external_lex_state = 7},
  [601] = {.lex_state = 11, .external_lex_state = 7},
  [602] = {.lex_state = 11, .external_lex_state = 7},
  [603] = {.lex_state = 11, .external_lex_state = 7},
  [604] = {.lex_state = 11, .external_lex_state = 7},
  [605] = {.lex_state = 11, .external_lex_state = 7},
  [606] = {.lex_state = 11, .external_lex_state = 7},
  [607] = {.lex_state = 11, .external_lex_state = 7},
  [608] = {.lex_state = 11, .external_lex_state = 7},
  [609] = {.lex_state = 11, .external_lex_state = 7},
  [610] = {.lex_state = 11, .external_lex_state = 7},
  [611] = {.lex_state = 11, .external_lex_state = 7},
  [612] = {.lex_state = 11, .external_lex_state = 7},
  [613] = {.lex_state = 11, .external_lex_state = 7},
  [614] = {.lex_state = 11, .external_lex_state = 7},
  [615] = {.lex_state = 11, .external_lex_state = 7},
  [616] = {.lex_state = 11, .external_lex_state = 7},
  [617] = {.lex_state = 11, .external_lex_state = 7},
  [618] = {.lex_state = 11, .external_lex_state = 7},
  [619] = {.lex_state = 11, .external_lex_state = 7},
  [620] = {.lex_state = 11, .external_lex_state = 7},
  [621] = {.lex_state = 11, .external_lex_state = 7},
  [622] = {.lex_state = 11, .external_lex_state = 7},
  [623] = {.lex_state = 11, .external_lex_state = 7},
  [624] = {.lex_state = 11, .external_lex_state = 7},
  [625] = {.lex_state = 11, .external_lex_state = 7},
  [626] = {.lex_state = 11, .external_lex_state = 7},
  [627] = {.lex_state = 11, .external_lex_state = 7},
  [628] = {.lex_state = 11, .external_lex_state = 7},
  [629] = {.lex_state = 11, .external_lex_state = 7},
  [630] = {.lex_state = 11, .external_lex_state = 7},
  [631] = {.lex_state = 11, .external_lex_state = 7},
  [632] = {.lex_state = 11, .external_lex_state = 7},
  [633] = {.lex_state = 11, .external_lex_state = 7},
  [634] = {.lex_state = 11, .external_lex_state = 7},
  [635] = {.lex_state = 11, .external_lex_state = 7},
  [636] = {.lex_state = 11, .external_lex_state = 7},
  [637] = {.lex_state = 11, .external_lex_state = 7},
  [638] = {.lex_state = 11, .external_lex_state = 7},
  [639] = {.lex_state = 11, .external_lex_state = 7},
  [640] = {.lex_state = 11, .external_lex_state = 7},
  [641] = {.lex_state = 11, .external_lex_state = 7},
  [642] = {.lex_state = 11, .external_lex_state = 7},
  [643] = {.lex_state = 11, .external_lex_state = 7},
  [644] = {.lex_state = 11, .external_lex_state = 7},
  [645] = {.lex_state = 11, .external_lex_state = 7},
  [646] = {.lex_state = 11, .external_lex_state = 7},
  [647] = {.lex_state = 11, .external_lex_state = 7},
  [648] = {.lex_state = 11, .external_lex_state = 7},
  [649] = {.lex_state = 11, .external_lex_state = 7},
  [650] = {.lex_state = 11, .external_lex_state = 7},
  [651] = {.lex_state = 11, .external_lex_state = 7},
  [652] = {.lex_state = 11, .external_lex_state = 7},
  [653] = {.lex_state = 11, .external_lex_state = 7},
  [654] = {.lex_state = 11, .external_lex_state = 7},
  [655] = {.lex_state = 11, .external_lex_state = 7},
  [656] = {.lex_state = 11, .external_lex_state = 7},
  [657] = {.lex_state = 11, .external_lex_state = 7},
  [658] = {.lex_state = 11, .external_lex_state = 7},
  [659] = {.lex_state = 11, .external_lex_state = 7},
  [660] = {.lex_state = 11, .external_lex_state = 7},
  [661] = {.lex_state = 11, .external_lex_state = 7},
  [662] = {.lex_state = 11, .external_lex_state = 7},
  [663] = {.lex_state = 11, .external_lex_state = 7},
  [664] = {.lex_state = 11, .external_lex_state = 7},
  [665] = {.lex_state = 11, .external_lex_state = 7},
  [666] = {.lex_state = 11, .external_lex_state = 7},
  [667] = {.lex_state = 11, .external_lex_state = 7},
  [668] = {.lex_state = 11, .external_lex_state = 7},
  [669] = {.lex_state = 11, .external_lex_state = 7},
  [670] = {.lex_state = 11, .external_lex_state = 7},
  [671] = {.lex_state = 11, .external_lex_state = 7},
  [672] = {.lex_state = 11, .external_lex_state = 7},
  [673] = {.lex_state = 11, .external_lex_state = 7},
  [674] = {.lex_state = 11, .external_lex_state = 7},
  [675] = {.lex_state = 11, .external_lex_state = 7},
  [676] = {.lex_state = 11, .external_lex_state = 7},
  [677] = {.lex_state = 11, .external_lex_state = 7},
  [678] = {.lex_state = 11, .external_lex_state = 7},
  [679] = {.lex_state = 11, .external_lex_state = 7},
  [680] = {.lex_state = 11, .external_lex_state = 7},
  [681] = {.lex_state = 11, .external_lex_state = 7},
  [682] = {.lex_state = 11, .external_lex_state = 7},
  [683] = {.lex_state = 11, .external_lex_state = 7},
  [684] = {.lex_state = 11, .external_lex_state = 7},
  [685] = {.lex_state = 11, .external_lex_state = 7},
  [686] = {.lex_state = 11, .external_lex_state = 7},
  [687] = {.lex_state = 11, .external_lex_state = 7},
  [688] = {.lex_state = 11, .external_lex_state = 7},
  [689] = {.lex_state = 11, .external_lex_state = 7},
  [690] = {.lex_state = 11, .external_lex_state = 7},
  [691] = {.lex_state = 11, .external_lex_state = 7},
  [692] = {.lex_state = 11, .external_lex_state = 7},
  [693] = {.lex_state = 11, .external_lex_state = 7},
  [694] = {.lex_state = 11, .external_lex_state = 7},
  [695] = {.lex_state = 11, .external_lex_state = 7},
  [696] = {.lex_state = 11, .external_lex_state = 7},
  [697] = {.lex_state = 11, .external_lex_state = 7},
  [698] = {.lex_state = 11, .external_lex_state = 7},
  [699] = {.lex_state = 11, .external_lex_state = 7},
  [700] = {.lex_state = 11, .external_lex_state = 7},
  [701] = {.lex_state = 11, .external_lex_state = 7},
  [702] = {.lex_state = 11, .external_lex_state = 7},
  [703] = {.lex_state = 11, .external_lex_state = 7},
  [704] = {.lex_state = 11, .external_lex_state = 7},
  [705] = {.lex_state = 11, .external_lex_state = 7},
  [706] = {.lex_state = 11, .external_lex_state = 7},
  [707] = {.lex_state = 11, .external_lex_state = 7},
  [708] = {.lex_state = 11, .external_lex_state = 7},
  [709] = {.lex_state = 11, .external_lex_state = 7},
  [710] = {.lex_state = 11, .external_lex_state = 7},
  [711] = {.lex_state = 11, .external_lex_state = 7},
  [712] = {.lex_state = 11, .external_lex_state = 7},
  [713] = {.lex_state = 11, .external_lex_state = 7},
  [714] = {.lex_state = 11, .external_lex_state = 7},
  [715] = {.lex_state = 11, .external_lex_state = 7},
  [716] = {.lex_state = 11, .external_lex_state = 7},
  [717] = {.lex_state = 11, .external_lex_state = 7},
  [718] = {.lex_state = 11, .external_lex_state = 7},
  [719] = {.lex_state = 11, .external_lex_state = 7},
  [720] = {.lex_state = 11, .external_lex_state = 7},
  [721] = {.lex_state = 11, .external_lex_state = 7},
  [722] = {.lex_state = 11, .external_lex_state = 7},
  [723] = {.lex_state = 11, .external_lex_state = 7},
  [724] = {.lex_state = 11, .external_lex_state = 7},
  [725] = {.lex_state = 11, .external_lex_state = 7},
  [726] = {.lex_state = 11, .external_lex_state = 7},
  [727] = {.lex_state = 11, .external_lex_state = 7},
  [728] = {.lex_state = 11, .external_lex_state = 7},
  [729] = {.lex_state = 11, .external_lex_state = 7},
  [730] = {.lex_state = 11, .external_lex_state = 7},
  [731] = {.lex_state = 11, .external_lex_state = 7},
  [732] = {.lex_state = 11, .external_lex_state = 7},
  [733] = {.lex_state = 11, .external_lex_state = 7},
  [734] = {.lex_state = 11, .external_lex_state = 7},
  [735] = {.lex_state = 11, .external_lex_state = 7},
  [736] = {.lex_state = 11, .external_lex_state = 7},
  [737] = {.lex_state = 11, .external_lex_state = 7},
  [738] = {.lex_state = 11, .external_lex_state = 7},
  [739] = {.lex_state = 11, .external_lex_state = 7},
  [740] = {.lex_state = 11, .external_lex_state = 7},
  [741] = {.lex_state = 11, .external_lex_state = 7},
  [742] = {.lex_state = 11, .external_lex_state = 7},
  [743] = {.lex_state = 11, .external_lex_state = 7},
  [744] = {.lex_state = 11, .external_lex_state = 7},
  [745] = {.lex_state = 11, .external_lex_state = 7},
  [746] = {.lex_state = 11, .external_lex_state = 7},
  [747] = {.lex_state = 11, .external_lex_state = 7},
  [748] = {.lex_state = 11, .external_lex_state = 7},
  [749] = {.lex_state = 11, .external_lex_state = 7},
  [750] = {.lex_state = 11, .external_lex_state = 7},
  [751] = {.lex_state = 11, .external_lex_state = 7},
  [752] = {.lex_state = 11, .external_lex_state = 7},
  [753] = {.lex_state = 11, .external_lex_state = 7},
  [754] = {.lex_state = 11, .external_lex_state = 7},
  [755] = {.lex_state = 11, .external_lex_state = 7},
  [756] = {.lex_state = 11, .external_lex_state = 7},
  [757] = {.lex_state = 44, .external_lex_state = 8},
  [758] = {.lex_state = 44, .external_lex_state = 8},
  [759] = {.lex_state = 44, .external_lex_state = 8},
  [760] = {.lex_state = 44, .external_lex_state = 9},
  [761] = {.lex_state = 44, .external_lex_state = 8},
  [762] = {.lex_state = 44, .external_lex_state = 8},
  [763] = {.lex_state = 44, .external_lex_state = 8},
  [764] = {.lex_state = 44, .external_lex_state = 9},
  [765] = {.lex_state = 44, .external_lex_state = 8},
  [766] = {.lex_state = 44, .external_lex_state = 10},
  [767] = {.lex_state = 44, .external_lex_state = 8},
  [768] = {.lex_state = 44, .external_lex_state = 8},
  [769] = {.lex_state = 44, .external_lex_state = 8},
  [770] = {.lex_state = 44, .external_lex_state = 9},
  [771] = {.lex_state = 44, .external_lex_state = 10},
  [772] = {.lex_state = 44, .external_lex_state = 8},
  [773] = {.lex_state = 44, .external_lex_state = 8},
  [774] = {.lex_state = 44, .external_lex_state = 8},
  [775] = {.lex_state = 44, .external_lex_state = 8},
  [776] = {.lex_state = 44, .external_lex_state = 8},
  [777] = {.lex_state = 44, .external_lex_state = 8},
  [778] = {.lex_state = 44, .external_lex_state = 8},
  [779] = {.lex_state = 44, .external_lex_state = 8},
  [780] = {.lex_state = 44, .external_lex_state = 9},
  [781] = {.lex_state = 44, .external_lex_state = 9},
  [782] = {.lex_state = 44, .external_lex_state = 8},
  [783] = {.lex_state = 44, .external_lex_state = 8},
  [784] = {.lex_state = 44, .external_lex_state = 8},
  [785] = {.lex_state = 44, .external_lex_state = 8},
  [786] = {.lex_state = 44, .external_lex_state = 8},
  [787] = {.lex_state = 44, .external_lex_state = 8},
  [788] = {.lex_state = 44, .external_lex_state = 8},
  [789] = {.lex_state = 44, .external_lex_state = 8},
  [790] = {.lex_state = 44, .external_lex_state = 9},
  [791] = {.lex_state = 44, .external_lex_state = 9},
  [792] = {.lex_state = 44, .external_lex_state = 8},
  [793] = {.lex_state = 44, .external_lex_state = 8},
  [794] = {.lex_state = 44, .external_lex_state = 8},
  [795] = {.lex_state = 44, .external_lex_state = 8},
  [796] = {.lex_state = 44, .external_lex_state = 8},
  [797] = {.lex_state = 44, .external_lex_state = 8},
  [798] = {.lex_state = 44, .external_lex_state = 8},
  [799] = {.lex_state = 44, .external_lex_state = 8},
  [800] = {.lex_state = 44, .external_lex_state = 8},
  [801] = {.lex_state = 44, .external_lex_state = 8},
  [802] = {.lex_state = 44, .external_lex_state = 8},
  [803] = {.lex_state = 44, .external_lex_state = 8},
  [804] = {.lex_state = 44, .external_lex_state = 8},
  [805] = {.lex_state = 44, .external_lex_state = 8},
  [806] = {.lex_state = 44, .external_lex_state = 8},
  [807] = {.lex_state = 44, .external_lex_state = 8},
  [808] = {.lex_state = 44, .external_lex_state = 8},
  [809] = {.lex_state = 44, .external_lex_state = 10},
  [810] = {.lex_state = 44, .external_lex_state = 8},
  [811] = {.lex_state = 44, .external_lex_state = 8},
  [812] = {.lex_state = 44, .external_lex_state = 8},
  [813] = {.lex_state = 44, .external_lex_state = 8},
  [814] = {.lex_state = 44, .external_lex_state = 8},
  [815] = {.lex_state = 44, .external_lex_state = 8},
  [816] = {.lex_state = 44, .external_lex_state = 8},
  [817] = {.lex_state = 44, .external_lex_state = 8},
  [818] = {.lex_state = 44, .external_lex_state = 8},
  [819] = {.lex_state = 44, .external_lex_state = 8},
  [820] = {.lex_state = 44, .external_lex_state = 8},
  [821] = {.lex_state = 44, .external_lex_state = 8},
  [822] = {.lex_state = 44, .external_lex_state = 8},
  [823] = {.lex_state = 44, .external_lex_state = 8},
  [824] = {.lex_state = 44, .external_lex_state = 8},
  [825] = {.lex_state = 44, .external_lex_state = 8},
  [826] = {.lex_state = 44, .external_lex_state = 8},
  [827] = {.lex_state = 44, .external_lex_state = 8},
  [828] = {.lex_state = 44, .external_lex_state = 8},
  [829] = {.lex_state = 44, .external_lex_state = 8},
  [830] = {.lex_state = 44, .external_lex_state = 8},
  [831] = {.lex_state = 44, .external_lex_state = 8},
  [832] = {.lex_state = 44, .external_lex_state = 8},
  [833] = {.lex_state = 44, .external_lex_state = 8},
  [834] = {.lex_state = 44, .external_lex_state = 8},
  [835] = {.lex_state = 44, .external_lex_state = 8},
  [836] = {.lex_state = 44, .external_lex_state = 8},
  [837] = {.lex_state = 44, .external_lex_state = 8},
  [838] = {.lex_state = 44, .external_lex_state = 8},
  [839] = {.lex_state = 44, .external_lex_state = 8},
  [840] = {.lex_state = 44, .external_lex_state = 8},
  [841] = {.lex_state = 44, .external_lex_state = 8},
  [842] = {.lex_state = 44, .external_lex_state = 8},
  [843] = {.lex_state = 44, .external_lex_state = 8},
  [844] = {.lex_state = 44, .external_lex_state = 8},
  [845] = {.lex_state = 44, .external_lex_state = 8},
  [846] = {.lex_state = 44, .external_lex_state = 8},
  [847] = {.lex_state = 44, .external_lex_state = 8},
  [848] = {.lex_state = 44, .external_lex_state = 8},
  [849] = {.lex_state = 44, .external_lex_state = 8},
  [850] = {.lex_state = 44, .external_lex_state = 8},
  [851] = {.lex_state = 44, .external_lex_state = 8},
  [852] = {.lex_state = 44, .external_lex_state = 8},
  [853] = {.lex_state = 44, .external_lex_state = 8},
  [854] = {.lex_state = 44, .external_lex_state = 8},
  [855] = {.lex_state = 44, .external_lex_state = 8},
  [856] = {.lex_state = 44, .external_lex_state = 8},
  [857] = {.lex_state = 44, .external_lex_state = 8},
  [858] = {.lex_state = 44, .external_lex_state = 8},
  [859] = {.lex_state = 44, .external_lex_state = 8},
  [860] = {.lex_state = 44, .external_lex_state = 8},
  [861] = {.lex_state = 44, .external_lex_state = 8},
  [862] = {.lex_state = 44, .external_lex_state = 8},
  [863] = {.lex_state = 44, .external_lex_state = 8},
  [864] = {.lex_state = 44, .external_lex_state = 8},
  [865] = {.lex_state = 44, .external_lex_state = 8},
  [866] = {.lex_state = 44, .external_lex_state = 8},
  [867] = {.lex_state = 44, .external_lex_state = 8},
  [868] = {.lex_state = 44, .external_lex_state = 8},
  [869] = {.lex_state = 44, .external_lex_state = 8},
  [870] = {.lex_state = 44, .external_lex_state = 8},
  [871] = {.lex_state = 44, .external_lex_state = 8},
  [872] = {.lex_state = 44, .external_lex_state = 8},
  [873] = {.lex_state = 44, .external_lex_state = 8},
  [874] = {.lex_state = 44, .external_lex_state = 8},
  [875] = {.lex_state = 44, .external_lex_state = 8},
  [876] = {.lex_state = 44, .external_lex_state = 8},
  [877] = {.lex_state = 44, .external_lex_state = 8},
  [878] = {.lex_state = 44, .external_lex_state = 8},
  [879] = {.lex_state = 44, .external_lex_state = 8},
  [880] = {.lex_state = 44, .external_lex_state = 8},
  [881] = {.lex_state = 44, .external_lex_state = 8},
  [882] = {.lex_state = 44, .external_lex_state = 8},
  [883] = {.lex_state = 44, .external_lex_state = 8},
  [884] = {.lex_state = 44, .external_lex_state = 8},
  [885] = {.lex_state = 44, .external_lex_state = 8},
  [886] = {.lex_state = 44, .external_lex_state = 8},
  [887] = {.lex_state = 44, .external_lex_state = 8},
  [888] = {.lex_state = 44, .external_lex_state = 8},
  [889] = {.lex_state = 44, .external_lex_state = 8},
  [890] = {.lex_state = 44, .external_lex_state = 8},
  [891] = {.lex_state = 44, .external_lex_state = 8},
  [892] = {.lex_state = 44, .external_lex_state = 8},
  [893] = {.lex_state = 44, .external_lex_state = 8},
  [894] = {.lex_state = 2, .external_lex_state = 11},
  [895] = {.lex_state = 44, .external_lex_state = 8},
  [896] = {.lex_state = 44, .external_lex_state = 9},
  [897] = {.lex_state = 2, .external_lex_state = 11},
  [898] = {.lex_state = 2, .external_lex_state = 11},
  [899] = {.lex_state = 44, .external_lex_state = 8},
  [900] = {.lex_state = 44, .external_lex_state = 9},
  [901] = {.lex_state = 44, .external_lex_state = 10},
  [902] = {.lex_state = 44, .external_lex_state = 10},
  [903] = {.lex_state = 2, .external_lex_state = 11},
  [904] = {.lex_state = 44, .external_lex_state = 8},
  [905] = {.lex_state = 2, .external_lex_state = 11},
  [906] = {.lex_state = 44, .external_lex_state = 9},
  [907] = {.lex_state = 44, .external_lex_state = 8},
  [908] = {.lex_state = 2, .external_lex_state = 11},
  [909] = {.lex_state = 2, .external_lex_state = 11},
  [910] = {.lex_state = 2, .external_lex_state = 11},
  [911] = {.lex_state = 44, .external_lex_state = 10},
  [912] = {.lex_state = 44, .external_lex_state = 9},
  [913] = {.lex_state = 44, .external_lex_state = 10},
  [914] = {.lex_state = 2, .external_lex_state = 11},
  [915] = {.lex_state = 2, .external_lex_state = 11},
  [916] = {.lex_state = 2, .external_lex_state = 11},
  [917] = {.lex_state = 4, .external_lex_state = 12},
  [918] = {.lex_state = 1, .external_lex_state = 11},
  [919] = {.lex_state = 1, .external_lex_state = 11},
  [920] = {.lex_state = 1, .external_lex_state = 11},
  [921] = {.lex_state = 1, .external_lex_state = 11},
  [922] = {.lex_state = 4, .external_lex_state = 12},
  [923] = {.lex_state = 1, .external_lex_state = 11},
  [924] = {.lex_state = 4, .external_lex_state = 12},
  [925] = {.lex_state = 1, .external_lex_state = 11},
  [926] = {.lex_state = 4, .external_lex_state = 12},
  [927] = {.lex_state = 1, .external_lex_state = 11},
  [928] = {.lex_state = 1, .external_lex_state = 11},
  [929] = {.lex_state = 3, .external_lex_state = 11},
  [930] = {.lex_state = 1, .external_lex_state = 11},
  [931] = {.lex_state = 1, .external_lex_state = 11},
  [932] = {.lex_state = 1, .external_lex_state = 11},
  [933] = {.lex_state = 1, .external_lex_state = 11},
  [934] = {.lex_state = 1, .external_lex_state = 11},
  [935] = {.lex_state = 3, .external_lex_state = 11},
  [936] = {.lex_state = 1, .external_lex_state = 11},
  [937] = {.lex_state = 1, .external_lex_state = 11},
  [938] = {.lex_state = 1, .external_lex_state = 11},
  [939] = {.lex_state = 1, .external_lex_state = 11},
  [940] = {.lex_state = 1, .external_lex_state = 11},
  [941] = {.lex_state = 1, .external_lex_state = 11},
  [942] = {.lex_state = 1, .external_lex_state = 11},
  [943] = {.lex_state = 1, .external_lex_state = 11},
  [944] = {.lex_state = 1, .external_lex_state = 11},
  [945] = {.lex_state = 1, .external_lex_state = 11},
  [946] = {.lex_state = 1, .external_lex_state = 11},
  [947] = {.lex_state = 1, .external_lex_state = 11},
  [948] = {.lex_state = 1, .external_lex_state = 11},
  [949] = {.lex_state = 1, .external_lex_state = 11},
  [950] = {.lex_state = 4, .external_lex_state = 12},
  [951] = {.lex_state = 4, .external_lex_state = 11},
  [952] = {.lex_state = 4, .external_lex_state = 12},
  [953] = {.lex_state = 4, .external_lex_state = 11},
  [954] = {.lex_state = 4, .external_lex_state = 11},
  [955] = {.lex_state = 4, .external_lex_state = 11},
  [956] = {.lex_state = 4, .external_lex_state = 11},
  [957] = {.lex_state = 4, .external_lex_state = 11},
  [958] = {.lex_state = 4, .external_lex_state = 11},
  [959] = {.lex_state = 4, .external_lex_state = 11},
  [960] = {.lex_state = 4, .external_lex_state = 11},
  [961] = {.lex_state = 4, .external_lex_state = 11},
  [962] = {.lex_state = 4, .external_lex_state = 11},
  [963] = {.lex_state = 4, .external_lex_state = 11},
  [964] = {.lex_state = 4, .external_lex_state = 11},
  [965] = {.lex_state = 4, .external_lex_state = 11},
  [966] = {.lex_state = 4, .external_lex_state = 11},
  [967] = {.lex_state = 4, .external_lex_state = 11},
  [968] = {.lex_state = 4, .external_lex_state = 11},
  [969] = {.lex_state = 4, .external_lex_state = 11},
  [970] = {.lex_state = 4, .external_lex_state = 11},
  [971] = {.lex_state = 4, .external_lex_state = 11},
  [972] = {.lex_state = 4, .external_lex_state = 11},
  [973] = {.lex_state = 4, .external_lex_state = 11},
  [974] = {.lex_state = 4, .external_lex_state = 11},
  [975] = {.lex_state = 4, .external_lex_state = 11},
  [976] = {.lex_state = 4, .external_lex_state = 11},
  [977] = {.lex_state = 4, .external_lex_state = 11},
  [978] = {.lex_state = 10, .external_lex_state = 13},
  [979] = {.lex_state = 10, .external_lex_state = 13},
  [980] = {.lex_state = 10, .external_lex_state = 13},
  [981] = {.lex_state = 10, .external_lex_state = 13},
  [982] = {.lex_state = 10, .external_lex_state = 13},
  [983] = {.lex_state = 9, .external_lex_state = 14},
  [984] = {.lex_state = 10, .external_lex_state = 13},
  [985] = {.lex_state = 9, .external_lex_state = 14},
  [986] = {.lex_state = 10, .external_lex_state = 13},
  [987] = {.lex_state = 10, .external_lex_state = 13},
  [988] = {.lex_state = 10, .external_lex_state = 13},
  [989] = {.lex_state = 10, .external_lex_state = 13},
  [990] = {.lex_state = 10, .external_lex_state = 13},
  [991] = {.lex_state = 10, .external_lex_state = 13},
  [992] = {.lex_state = 9, .external_lex_state = 14},
  [993] = {.lex_state = 10, .external_lex_state = 13},
  [994] = {.lex_state = 10, .external_lex_state = 13},
  [995] = {.lex_state = 10, .external_lex_state = 13},
  [996] = {.lex_state = 10, .external_lex_state = 13},
  [997] = {.lex_state = 10, .external_lex_state = 13},
  [998] = {.lex_state = 10, .external_lex_state = 13},
  [999] = {.lex_state = 10, .external_lex_state = 13},
  [1000] = {.lex_state = 10, .external_lex_state = 13},
  [1001] = {.lex_state = 9, .external_lex_state = 14},
  [1002] = {.lex_state = 9, .external_lex_state = 14},
  [1003] = {.lex_state = 9, .external_lex_state = 14},
  [1004] = {.lex_state = 9, .external_lex_state = 14},
  [1005] = {.lex_state = 10, .external_lex_state = 13},
  [1006] = {.lex_state = 11, .external_lex_state = 7},
  [1007] = {.lex_state = 11, .external_lex_state = 7},
  [1008] = {.lex_state = 11, .external_lex_state = 15},
  [1009] = {.lex_state = 11, .external_lex_state = 15},
  [1010] = {.lex_state = 11, .external_lex_state = 16},
  [1011] = {.lex_state = 11, .external_lex_state = 16},
  [1012] = {.lex_state = 44, .external_lex_state = 17},
  [1013] = {.lex_state = 44, .external_lex_state = 17},
  [1014] = {.lex_state = 44, .external_lex_state = 10},
  [1015] = {.lex_state = 44, .external_lex_state = 17},
  [1016] = {.lex_state = 44, .external_lex_state = 18},
  [1017] = {.lex_state = 44, .external_lex_state = 8},
  [1018] = {.lex_state = 44, .external_lex_state = 10},
  [1019] = {.lex_state = 12, .external_lex_state = 16},
  [1020] = {.lex_state = 44, .external_lex_state = 9},
  [1021] = {.lex_state = 11, .external_lex_state = 19},
  [1022] = {.lex_state = 12, .external_lex_state = 16},
  [1023] = {.lex_state = 15, .external_lex_state = 16},
  [1024] = {.lex_state = 11, .external_lex_state = 19},
  [1025] = {.lex_state = 15, .external_lex_state = 16},
  [1026] = {.lex_state = 44, .external_lex_state = 20},
  [1027] = {.lex_state = 44, .external_lex_state = 18},
  [1028] = {.lex_state = 44, .external_lex_state = 8},
  [1029] = {.lex_state = 44, .external_lex_state = 18},
  [1030] = {.lex_state = 44, .external_lex_state = 17},
  [1031] = {.lex_state = 44, .external_lex_state = 17},
  [1032] = {.lex_state = 44, .external_lex_state = 9},
  [1033] = {.lex_state = 11, .external_lex_state = 21},
  [1034] = {.lex_state = 44, .external_lex_state = 20},
  [1035] = {.lex_state = 44, .external_lex_state = 20},
  [1036] = {.lex_state = 11, .external_lex_state = 21},
  [1037] = {.lex_state = 44, .external_lex_state = 20},
  [1038] = {.lex_state = 44, .external_lex_state = 20},
  [1039] = {.lex_state = 12, .external_lex_state = 15},
  [1040] = {.lex_state = 12, .external_lex_state = 15},
  [1041] = {.lex_state = 11, .external_lex_state = 22},
  [1042] = {.lex_state = 44, .external_lex_state = 17},
  [1043] = {.lex_state = 15, .external_lex_state = 15},
  [1044] = {.lex_state = 15, .external_lex_state = 15},
  [1045] = {.lex_state = 44, .external_lex_state = 18},
  [1046] = {.lex_state = 44, .external_lex_state = 18},
  [1047] = {.lex_state = 11, .external_lex_state = 22},
  [1048] = {.lex_state = 44, .external_lex_state = 20},
  [1049] = {.lex_state = 44, .external_lex_state = 18},
  [1050] = {.lex_state = 12, .external_lex_state = 19},
  [1051] = {.lex_state = 12, .external_lex_state = 21},
  [1052] = {.lex_state = 44, .external_lex_state = 23},
  [1053] = {.lex_state = 13, .external_lex_state = 15},
  [1054] = {.lex_state = 12, .external_lex_state = 21},
  [1055] = {.lex_state = 44, .external_lex_state = 24},
  [1056] = {.lex_state = 12, .external_lex_state = 22},
  [1057] = {.lex_state = 16, .external_lex_state = 15},
  [1058] = {.lex_state = 13, .external_lex_state = 15},
  [1059] = {.lex_state = 12, .external_lex_state = 22},
  [1060] = {.lex_state = 16, .external_lex_state = 15},
  [1061] = {.lex_state = 13, .external_lex_state = 16},
  [1062] = {.lex_state = 17, .external_lex_state = 16},
  [1063] = {.lex_state = 17, .external_lex_state = 16},
  [1064] = {.lex_state = 12, .external_lex_state = 19},
  [1065] = {.lex_state = 15, .external_lex_state = 22},
  [1066] = {.lex_state = 15, .external_lex_state = 22},
  [1067] = {.lex_state = 17, .external_lex_state = 15},
  [1068] = {.lex_state = 17, .external_lex_state = 15},
  [1069] = {.lex_state = 11, .external_lex_state = 16},
  [1070] = {.lex_state = 15, .external_lex_state = 16},
  [1071] = {.lex_state = 11, .external_lex_state = 16},
  [1072] = {.lex_state = 44, .external_lex_state = 25},
  [1073] = {.lex_state = 16, .external_lex_state = 16},
  [1074] = {.lex_state = 16, .external_lex_state = 16},
  [1075] = {.lex_state = 15, .external_lex_state = 19},
  [1076] = {.lex_state = 15, .external_lex_state = 19},
  [1077] = {.lex_state = 13, .external_lex_state = 16},
  [1078] = {.lex_state = 15, .external_lex_state = 21},
  [1079] = {.lex_state = 15, .external_lex_state = 21},
  [1080] = {.lex_state = 11, .external_lex_state = 15},
  [1081] = {.lex_state = 15, .external_lex_state = 15},
  [1082] = {.lex_state = 11, .external_lex_state = 15},
  [1083] = {.lex_state = 13, .external_lex_state = 19},
  [1084] = {.lex_state = 16, .external_lex_state = 21},
  [1085] = {.lex_state = 44, .external_lex_state = 8},
  [1086] = {.lex_state = 44, .external_lex_state = 8},
  [1087] = {.lex_state = 14, .external_lex_state = 16},
  [1088] = {.lex_state = 44, .external_lex_state = 9},
  [1089] = {.lex_state = 13, .external_lex_state = 21},
  [1090] = {.lex_state = 44, .external_lex_state = 8},
  [1091] = {.lex_state = 17, .external_lex_state = 16},
  [1092] = {.lex_state = 44, .external_lex_state = 8},
  [1093] = {.lex_state = 44, .external_lex_state = 9},
  [1094] = {.lex_state = 44, .external_lex_state = 8},
  [1095] = {.lex_state = 44, .external_lex_state = 10},
  [1096] = {.lex_state = 11, .external_lex_state = 26},
  [1097] = {.lex_state = 44, .external_lex_state = 9},
  [1098] = {.lex_state = 11, .external_lex_state = 26},
  [1099] = {.lex_state = 16, .external_lex_state = 21},
  [1100] = {.lex_state = 44, .external_lex_state = 9},
  [1101] = {.lex_state = 11, .external_lex_state = 26},
  [1102] = {.lex_state = 44, .external_lex_state = 10},
  [1103] = {.lex_state = 44, .external_lex_state = 8},
  [1104] = {.lex_state = 11, .external_lex_state = 22},
  [1105] = {.lex_state = 18, .external_lex_state = 16},
  [1106] = {.lex_state = 15, .external_lex_state = 22},
  [1107] = {.lex_state = 44, .external_lex_state = 10},
  [1108] = {.lex_state = 44, .external_lex_state = 9},
  [1109] = {.lex_state = 11, .external_lex_state = 22},
  [1110] = {.lex_state = 44, .external_lex_state = 10},
  [1111] = {.lex_state = 44, .external_lex_state = 8},
  [1112] = {.lex_state = 44, .external_lex_state = 9},
  [1113] = {.lex_state = 44, .external_lex_state = 10},
  [1114] = {.lex_state = 44, .external_lex_state = 9},
  [1115] = {.lex_state = 44, .external_lex_state = 9},
  [1116] = {.lex_state = 44, .external_lex_state = 10},
  [1117] = {.lex_state = 44, .external_lex_state = 10},
  [1118] = {.lex_state = 44, .external_lex_state = 9},
  [1119] = {.lex_state = 44, .external_lex_state = 10},
  [1120] = {.lex_state = 44, .external_lex_state = 9},
  [1121] = {.lex_state = 44, .external_lex_state = 8},
  [1122] = {.lex_state = 19, .external_lex_state = 16},
  [1123] = {.lex_state = 18, .external_lex_state = 15},
  [1124] = {.lex_state = 17, .external_lex_state = 19},
  [1125] = {.lex_state = 18, .external_lex_state = 16},
  [1126] = {.lex_state = 44, .external_lex_state = 10},
  [1127] = {.lex_state = 19, .external_lex_state = 16},
  [1128] = {.lex_state = 15, .external_lex_state = 16},
  [1129] = {.lex_state = 44, .external_lex_state = 10},
  [1130] = {.lex_state = 44, .external_lex_state = 10},
  [1131] = {.lex_state = 44, .external_lex_state = 10},
  [1132] = {.lex_state = 16, .external_lex_state = 22},
  [1133] = {.lex_state = 44, .external_lex_state = 10},
  [1134] = {.lex_state = 44, .external_lex_state = 8},
  [1135] = {.lex_state = 19, .external_lex_state = 16},
  [1136] = {.lex_state = 44, .external_lex_state = 10},
  [1137] = {.lex_state = 44, .external_lex_state = 8},
  [1138] = {.lex_state = 44, .external_lex_state = 8},
  [1139] = {.lex_state = 44, .external_lex_state = 8},
  [1140] = {.lex_state = 44, .external_lex_state = 10},
  [1141] = {.lex_state = 44, .external_lex_state = 8},
  [1142] = {.lex_state = 17, .external_lex_state = 15},
  [1143] = {.lex_state = 44, .external_lex_state = 10},
  [1144] = {.lex_state = 44, .external_lex_state = 10},
  [1145] = {.lex_state = 44, .external_lex_state = 8},
  [1146] = {.lex_state = 44, .external_lex_state = 8},
  [1147] = {.lex_state = 44, .external_lex_state = 10},
  [1148] = {.lex_state = 44, .external_lex_state = 8},
  [1149] = {.lex_state = 44, .external_lex_state = 10},
  [1150] = {.lex_state = 17, .external_lex_state = 21},
  [1151] = {.lex_state = 44, .external_lex_state = 9},
  [1152] = {.lex_state = 44, .external_lex_state = 9},
  [1153] = {.lex_state = 44, .external_lex_state = 9},
  [1154] = {.lex_state = 44, .external_lex_state = 9},
  [1155] = {.lex_state = 44, .external_lex_state = 10},
  [1156] = {.lex_state = 44, .external_lex_state = 9},
  [1157] = {.lex_state = 44, .external_lex_state = 10},
  [1158] = {.lex_state = 13, .external_lex_state = 19},
  [1159] = {.lex_state = 44, .external_lex_state = 10},
  [1160] = {.lex_state = 16, .external_lex_state = 19},
  [1161] = {.lex_state = 16, .external_lex_state = 22},
  [1162] = {.lex_state = 12, .external_lex_state = 16},
  [1163] = {.lex_state = 44, .external_lex_state = 10},
  [1164] = {.lex_state = 44, .external_lex_state = 10},
  [1165] = {.lex_state = 16, .external_lex_state = 16},
  [1166] = {.lex_state = 13, .external_lex_state = 22},
  [1167] = {.lex_state = 44, .external_lex_state = 8},
  [1168] = {.lex_state = 17, .external_lex_state = 22},
  [1169] = {.lex_state = 13, .external_lex_state = 22},
  [1170] = {.lex_state = 44, .external_lex_state = 10},
  [1171] = {.lex_state = 12, .external_lex_state = 15},
  [1172] = {.lex_state = 17, .external_lex_state = 22},
  [1173] = {.lex_state = 44, .external_lex_state = 10},
  [1174] = {.lex_state = 16, .external_lex_state = 15},
  [1175] = {.lex_state = 11, .external_lex_state = 19},
  [1176] = {.lex_state = 15, .external_lex_state = 19},
  [1177] = {.lex_state = 11, .external_lex_state = 19},
  [1178] = {.lex_state = 44, .external_lex_state = 8},
  [1179] = {.lex_state = 12, .external_lex_state = 15},
  [1180] = {.lex_state = 14, .external_lex_state = 16},
  [1181] = {.lex_state = 44, .external_lex_state = 10},
  [1182] = {.lex_state = 16, .external_lex_state = 19},
  [1183] = {.lex_state = 44, .external_lex_state = 9},
  [1184] = {.lex_state = 11, .external_lex_state = 27},
  [1185] = {.lex_state = 44, .external_lex_state = 10},
  [1186] = {.lex_state = 14, .external_lex_state = 15},
  [1187] = {.lex_state = 44, .external_lex_state = 9},
  [1188] = {.lex_state = 44, .external_lex_state = 9},
  [1189] = {.lex_state = 11, .external_lex_state = 28},
  [1190] = {.lex_state = 18, .external_lex_state = 15},
  [1191] = {.lex_state = 17, .external_lex_state = 21},
  [1192] = {.lex_state = 14, .external_lex_state = 15},
  [1193] = {.lex_state = 44, .external_lex_state = 8},
  [1194] = {.lex_state = 44, .external_lex_state = 8},
  [1195] = {.lex_state = 11, .external_lex_state = 28},
  [1196] = {.lex_state = 44, .external_lex_state = 8},
  [1197] = {.lex_state = 44, .external_lex_state = 10},
  [1198] = {.lex_state = 44, .external_lex_state = 8},
  [1199] = {.lex_state = 17, .external_lex_state = 19},
  [1200] = {.lex_state = 44, .external_lex_state = 8},
  [1201] = {.lex_state = 44, .external_lex_state = 8},
  [1202] = {.lex_state = 44, .external_lex_state = 8},
  [1203] = {.lex_state = 11, .external_lex_state = 28},
  [1204] = {.lex_state = 44, .external_lex_state = 8},
  [1205] = {.lex_state = 44, .external_lex_state = 9},
  [1206] = {.lex_state = 44, .external_lex_state = 8},
  [1207] = {.lex_state = 11, .external_lex_state = 21},
  [1208] = {.lex_state = 15, .external_lex_state = 21},
  [1209] = {.lex_state = 11, .external_lex_state = 21},
  [1210] = {.lex_state = 44, .external_lex_state = 10},
  [1211] = {.lex_state = 19, .external_lex_state = 15},
  [1212] = {.lex_state = 44, .external_lex_state = 8},
  [1213] = {.lex_state = 44, .external_lex_state = 8},
  [1214] = {.lex_state = 19, .external_lex_state = 15},
  [1215] = {.lex_state = 15, .external_lex_state = 15},
  [1216] = {.lex_state = 44, .external_lex_state = 9},
  [1217] = {.lex_state = 11, .external_lex_state = 29},
  [1218] = {.lex_state = 19, .external_lex_state = 15},
  [1219] = {.lex_state = 44, .external_lex_state = 9},
  [1220] = {.lex_state = 44, .external_lex_state = 9},
  [1221] = {.lex_state = 44, .external_lex_state = 9},
  [1222] = {.lex_state = 44, .external_lex_state = 9},
  [1223] = {.lex_state = 44, .external_lex_state = 9},
  [1224] = {.lex_state = 44, .external_lex_state = 9},
  [1225] = {.lex_state = 15, .external_lex_state = 16},
  [1226] = {.lex_state = 15, .external_lex_state = 15},
  [1227] = {.lex_state = 44, .external_lex_state = 9},
  [1228] = {.lex_state = 44, .external_lex_state = 9},
  [1229] = {.lex_state = 44, .external_lex_state = 9},
  [1230] = {.lex_state = 13, .external_lex_state = 21},
  [1231] = {.lex_state = 44, .external_lex_state = 10},
  [1232] = {.lex_state = 44, .external_lex_state = 9},
  [1233] = {.lex_state = 44, .external_lex_state = 8},
  [1234] = {.lex_state = 44, .external_lex_state = 9},
  [1235] = {.lex_state = 44, .external_lex_state = 8},
  [1236] = {.lex_state = 12, .external_lex_state = 16},
  [1237] = {.lex_state = 19, .external_lex_state = 19},
  [1238] = {.lex_state = 11, .external_lex_state = 30},
  [1239] = {.lex_state = 11, .external_lex_state = 31},
  [1240] = {.lex_state = 11, .external_lex_state = 31},
  [1241] = {.lex_state = 20, .external_lex_state = 15},
  [1242] = {.lex_state = 11, .external_lex_state = 31},
  [1243] = {.lex_state = 20, .external_lex_state = 15},
  [1244] = {.lex_state = 16, .external_lex_state = 15},
  [1245] = {.lex_state = 20, .external_lex_state = 15},
  [1246] = {.lex_state = 11, .external_lex_state = 16},
  [1247] = {.lex_state = 14, .external_lex_state = 21},
  [1248] = {.lex_state = 11, .external_lex_state = 16},
  [1249] = {.lex_state = 18, .external_lex_state = 21},
  [1250] = {.lex_state = 19, .external_lex_state = 22},
  [1251] = {.lex_state = 19, .external_lex_state = 22},
  [1252] = {.lex_state = 15, .external_lex_state = 22},
  [1253] = {.lex_state = 12, .external_lex_state = 19},
  [1254] = {.lex_state = 19, .external_lex_state = 22},
  [1255] = {.lex_state = 14, .external_lex_state = 21},
  [1256] = {.lex_state = 11, .external_lex_state = 32},
  [1257] = {.lex_state = 18, .external_lex_state = 21},
  [1258] = {.lex_state = 11, .external_lex_state = 16},
  [1259] = {.lex_state = 11, .external_lex_state = 33},
  [1260] = {.lex_state = 14, .external_lex_state = 22},
  [1261] = {.lex_state = 16, .external_lex_state = 19},
  [1262] = {.lex_state = 11, .external_lex_state = 16},
  [1263] = {.lex_state = 11, .external_lex_state = 16},
  [1264] = {.lex_state = 11, .external_lex_state = 33},
  [1265] = {.lex_state = 12, .external_lex_state = 19},
  [1266] = {.lex_state = 11, .external_lex_state = 16},
  [1267] = {.lex_state = 11, .external_lex_state = 16},
  [1268] = {.lex_state = 11, .external_lex_state = 33},
  [1269] = {.lex_state = 19, .external_lex_state = 16},
  [1270] = {.lex_state = 11, .external_lex_state = 16},
  [1271] = {.lex_state = 19, .external_lex_state = 16},
  [1272] = {.lex_state = 19, .external_lex_state = 16},
  [1273] = {.lex_state = 11, .external_lex_state = 34},
  [1274] = {.lex_state = 11, .external_lex_state = 35},
  [1275] = {.lex_state = 11, .external_lex_state = 35},
  [1276] = {.lex_state = 19, .external_lex_state = 19},
  [1277] = {.lex_state = 11, .external_lex_state = 35},
  [1278] = {.lex_state = 19, .external_lex_state = 19},
  [1279] = {.lex_state = 15, .external_lex_state = 19},
  [1280] = {.lex_state = 19, .external_lex_state = 15},
  [1281] = {.lex_state = 11, .external_lex_state = 15},
  [1282] = {.lex_state = 11, .external_lex_state = 15},
  [1283] = {.lex_state = 13, .external_lex_state = 16},
  [1284] = {.lex_state = 19, .external_lex_state = 21},
  [1285] = {.lex_state = 17, .external_lex_state = 16},
  [1286] = {.lex_state = 19, .external_lex_state = 21},
  [1287] = {.lex_state = 15, .external_lex_state = 21},
  [1288] = {.lex_state = 13, .external_lex_state = 16},
  [1289] = {.lex_state = 19, .external_lex_state = 21},
  [1290] = {.lex_state = 19, .external_lex_state = 15},
  [1291] = {.lex_state = 11, .external_lex_state = 15},
  [1292] = {.lex_state = 11, .external_lex_state = 15},
  [1293] = {.lex_state = 11, .external_lex_state = 15},
  [1294] = {.lex_state = 19, .external_lex_state = 15},
  [1295] = {.lex_state = 11, .external_lex_state = 15},
  [1296] = {.lex_state = 19, .external_lex_state = 15},
  [1297] = {.lex_state = 18, .external_lex_state = 19},
  [1298] = {.lex_state = 19, .external_lex_state = 16},
  [1299] = {.lex_state = 11, .external_lex_state = 15},
  [1300] = {.lex_state = 11, .external_lex_state = 15},
  [1301] = {.lex_state = 16, .external_lex_state = 16},
  [1302] = {.lex_state = 17, .external_lex_state = 16},
  [1303] = {.lex_state = 17, .external_lex_state = 15},
  [1304] = {.lex_state = 16, .external_lex_state = 15},
  [1305] = {.lex_state = 15, .external_lex_state = 22},
  [1306] = {.lex_state = 11, .external_lex_state = 26},
  [1307] = {.lex_state = 11, .external_lex_state = 26},
  [1308] = {.lex_state = 15, .external_lex_state = 19},
  [1309] = {.lex_state = 15, .external_lex_state = 21},
  [1310] = {.lex_state = 11, .external_lex_state = 28},
  [1311] = {.lex_state = 11, .external_lex_state = 28},
  [1312] = {.lex_state = 11, .external_lex_state = 26},
  [1313] = {.lex_state = 11, .external_lex_state = 26},
  [1314] = {.lex_state = 11, .external_lex_state = 28},
  [1315] = {.lex_state = 11, .external_lex_state = 28},
  [1316] = {.lex_state = 19, .external_lex_state = 16},
  [1317] = {.lex_state = 11, .external_lex_state = 16},
  [1318] = {.lex_state = 11, .external_lex_state = 15},
  [1319] = {.lex_state = 18, .external_lex_state = 15},
  [1320] = {.lex_state = 18, .external_lex_state = 22},
  [1321] = {.lex_state = 14, .external_lex_state = 22},
  [1322] = {.lex_state = 17, .external_lex_state = 19},
  [1323] = {.lex_state = 18, .external_lex_state = 22},
  [1324] = {.lex_state = 17, .external_lex_state = 22},
  [1325] = {.lex_state = 17, .external_lex_state = 21},
  [1326] = {.lex_state = 14, .external_lex_state = 19},
  [1327] = {.lex_state = 12, .external_lex_state = 22},
  [1328] = {.lex_state = 16, .external_lex_state = 22},
  [1329] = {.lex_state = 12, .external_lex_state = 22},
  [1330] = {.lex_state = 12, .external_lex_state = 29},
  [1331] = {.lex_state = 11, .external_lex_state = 16},
  [1332] = {.lex_state = 12, .external_lex_state = 26},
  [1333] = {.lex_state = 12, .external_lex_state = 26},
  [1334] = {.lex_state = 12, .external_lex_state = 26},
  [1335] = {.lex_state = 12, .external_lex_state = 21},
  [1336] = {.lex_state = 16, .external_lex_state = 21},
  [1337] = {.lex_state = 12, .external_lex_state = 21},
  [1338] = {.lex_state = 12, .external_lex_state = 27},
  [1339] = {.lex_state = 18, .external_lex_state = 19},
  [1340] = {.lex_state = 20, .external_lex_state = 16},
  [1341] = {.lex_state = 20, .external_lex_state = 16},
  [1342] = {.lex_state = 18, .external_lex_state = 16},
  [1343] = {.lex_state = 16, .external_lex_state = 16},
  [1344] = {.lex_state = 20, .external_lex_state = 16},
  [1345] = {.lex_state = 14, .external_lex_state = 19},
  [1346] = {.lex_state = 12, .external_lex_state = 28},
  [1347] = {.lex_state = 11, .external_lex_state = 15},
  [1348] = {.lex_state = 12, .external_lex_state = 28},
  [1349] = {.lex_state = 12, .external_lex_state = 28},
  [1350] = {.lex_state = 13, .external_lex_state = 15},
  [1351] = {.lex_state = 17, .external_lex_state = 15},
  [1352] = {.lex_state = 13, .external_lex_state = 15},
  [1353] = {.lex_state = 19, .external_lex_state = 15},
  [1354] = {.lex_state = 14, .external_lex_state = 16},
  [1355] = {.lex_state = 11, .external_lex_state = 16},
  [1356] = {.lex_state = 11, .external_lex_state = 16},
  [1357] = {.lex_state = 11, .external_lex_state = 19},
  [1358] = {.lex_state = 20, .external_lex_state = 15},
  [1359] = {.lex_state = 19, .external_lex_state = 19},
  [1360] = {.lex_state = 11, .external_lex_state = 16},
  [1361] = {.lex_state = 11, .external_lex_state = 19},
  [1362] = {.lex_state = 11, .external_lex_state = 16},
  [1363] = {.lex_state = 19, .external_lex_state = 19},
  [1364] = {.lex_state = 11, .external_lex_state = 16},
  [1365] = {.lex_state = 19, .external_lex_state = 19},
  [1366] = {.lex_state = 11, .external_lex_state = 15},
  [1367] = {.lex_state = 11, .external_lex_state = 15},
  [1368] = {.lex_state = 19, .external_lex_state = 21},
  [1369] = {.lex_state = 11, .external_lex_state = 15},
  [1370] = {.lex_state = 11, .external_lex_state = 15},
  [1371] = {.lex_state = 11, .external_lex_state = 15},
  [1372] = {.lex_state = 11, .external_lex_state = 15},
  [1373] = {.lex_state = 11, .external_lex_state = 16},
  [1374] = {.lex_state = 11, .external_lex_state = 15},
  [1375] = {.lex_state = 11, .external_lex_state = 15},
  [1376] = {.lex_state = 6, .external_lex_state = 36},
  [1377] = {.lex_state = 21, .external_lex_state = 16},
  [1378] = {.lex_state = 11, .external_lex_state = 21},
  [1379] = {.lex_state = 20, .external_lex_state = 15},
  [1380] = {.lex_state = 11, .external_lex_state = 15},
  [1381] = {.lex_state = 11, .external_lex_state = 15},
  [1382] = {.lex_state = 11, .external_lex_state = 16},
  [1383] = {.lex_state = 11, .external_lex_state = 15},
  [1384] = {.lex_state = 11, .external_lex_state = 15},
  [1385] = {.lex_state = 11, .external_lex_state = 15},
  [1386] = {.lex_state = 11, .external_lex_state = 15},
  [1387] = {.lex_state = 11, .external_lex_state = 15},
  [1388] = {.lex_state = 11, .external_lex_state = 15},
  [1389] = {.lex_state = 11, .external_lex_state = 15},
  [1390] = {.lex_state = 11, .external_lex_state = 15},
  [1391] = {.lex_state = 11, .external_lex_state = 15},
  [1392] = {.lex_state = 11, .external_lex_state = 15},
  [1393] = {.lex_state = 11, .external_lex_state = 15},
  [1394] = {.lex_state = 11, .external_lex_state = 15},
  [1395] = {.lex_state = 11, .external_lex_state = 15},
  [1396] = {.lex_state = 11, .external_lex_state = 21},
  [1397] = {.lex_state = 11, .external_lex_state = 15},
  [1398] = {.lex_state = 11, .external_lex_state = 15},
  [1399] = {.lex_state = 11, .external_lex_state = 15},
  [1400] = {.lex_state = 11, .external_lex_state = 16},
  [1401] = {.lex_state = 11, .external_lex_state = 15},
  [1402] = {.lex_state = 11, .external_lex_state = 16},
  [1403] = {.lex_state = 21, .external_lex_state = 16},
  [1404] = {.lex_state = 11, .external_lex_state = 15},
  [1405] = {.lex_state = 11, .external_lex_state = 15},
  [1406] = {.lex_state = 11, .external_lex_state = 21},
  [1407] = {.lex_state = 11, .external_lex_state = 15},
  [1408] = {.lex_state = 11, .external_lex_state = 16},
  [1409] = {.lex_state = 11, .external_lex_state = 15},
  [1410] = {.lex_state = 19, .external_lex_state = 21},
  [1411] = {.lex_state = 11, .external_lex_state = 22},
  [1412] = {.lex_state = 11, .external_lex_state = 15},
  [1413] = {.lex_state = 11, .external_lex_state = 15},
  [1414] = {.lex_state = 11, .external_lex_state = 21},
  [1415] = {.lex_state = 11, .external_lex_state = 15},
  [1416] = {.lex_state = 11, .external_lex_state = 15},
  [1417] = {.lex_state = 11, .external_lex_state = 16},
  [1418] = {.lex_state = 19, .external_lex_state = 21},
  [1419] = {.lex_state = 19, .external_lex_state = 21},
  [1420] = {.lex_state = 11, .external_lex_state = 22},
  [1421] = {.lex_state = 11, .external_lex_state = 16},
  [1422] = {.lex_state = 11, .external_lex_state = 15},
  [1423] = {.lex_state = 11, .external_lex_state = 16},
  [1424] = {.lex_state = 11, .external_lex_state = 16},
  [1425] = {.lex_state = 11, .external_lex_state = 16},
  [1426] = {.lex_state = 11, .external_lex_state = 16},
  [1427] = {.lex_state = 11, .external_lex_state = 16},
  [1428] = {.lex_state = 11, .external_lex_state = 16},
  [1429] = {.lex_state = 11, .external_lex_state = 16},
  [1430] = {.lex_state = 11, .external_lex_state = 16},
  [1431] = {.lex_state = 11, .external_lex_state = 16},
  [1432] = {.lex_state = 21, .external_lex_state = 16},
  [1433] = {.lex_state = 11, .external_lex_state = 22},
  [1434] = {.lex_state = 13, .external_lex_state = 26},
  [1435] = {.lex_state = 11, .external_lex_state = 16},
  [1436] = {.lex_state = 11, .external_lex_state = 16},
  [1437] = {.lex_state = 12, .external_lex_state = 16},
  [1438] = {.lex_state = 11, .external_lex_state = 22},
  [1439] = {.lex_state = 12, .external_lex_state = 34},
  [1440] = {.lex_state = 11, .external_lex_state = 19},
  [1441] = {.lex_state = 20, .external_lex_state = 16},
  [1442] = {.lex_state = 11, .external_lex_state = 19},
  [1443] = {.lex_state = 11, .external_lex_state = 15},
  [1444] = {.lex_state = 11, .external_lex_state = 15},
  [1445] = {.lex_state = 11, .external_lex_state = 22},
  [1446] = {.lex_state = 18, .external_lex_state = 16},
  [1447] = {.lex_state = 11, .external_lex_state = 15},
  [1448] = {.lex_state = 11, .external_lex_state = 15},
  [1449] = {.lex_state = 11, .external_lex_state = 15},
  [1450] = {.lex_state = 11, .external_lex_state = 15},
  [1451] = {.lex_state = 11, .external_lex_state = 15},
  [1452] = {.lex_state = 11, .external_lex_state = 15},
  [1453] = {.lex_state = 11, .external_lex_state = 15},
  [1454] = {.lex_state = 11, .external_lex_state = 15},
  [1455] = {.lex_state = 11, .external_lex_state = 21},
  [1456] = {.lex_state = 11, .external_lex_state = 21},
  [1457] = {.lex_state = 18, .external_lex_state = 15},
  [1458] = {.lex_state = 17, .external_lex_state = 22},
  [1459] = {.lex_state = 11, .external_lex_state = 16},
  [1460] = {.lex_state = 11, .external_lex_state = 16},
  [1461] = {.lex_state = 16, .external_lex_state = 22},
  [1462] = {.lex_state = 12, .external_lex_state = 26},
  [1463] = {.lex_state = 12, .external_lex_state = 26},
  [1464] = {.lex_state = 19, .external_lex_state = 22},
  [1465] = {.lex_state = 17, .external_lex_state = 19},
  [1466] = {.lex_state = 16, .external_lex_state = 19},
  [1467] = {.lex_state = 12, .external_lex_state = 26},
  [1468] = {.lex_state = 12, .external_lex_state = 26},
  [1469] = {.lex_state = 12, .external_lex_state = 15},
  [1470] = {.lex_state = 17, .external_lex_state = 21},
  [1471] = {.lex_state = 16, .external_lex_state = 21},
  [1472] = {.lex_state = 11, .external_lex_state = 16},
  [1473] = {.lex_state = 12, .external_lex_state = 28},
  [1474] = {.lex_state = 12, .external_lex_state = 28},
  [1475] = {.lex_state = 11, .external_lex_state = 16},
  [1476] = {.lex_state = 11, .external_lex_state = 31},
  [1477] = {.lex_state = 11, .external_lex_state = 31},
  [1478] = {.lex_state = 11, .external_lex_state = 22},
  [1479] = {.lex_state = 11, .external_lex_state = 16},
  [1480] = {.lex_state = 11, .external_lex_state = 16},
  [1481] = {.lex_state = 11, .external_lex_state = 33},
  [1482] = {.lex_state = 11, .external_lex_state = 33},
  [1483] = {.lex_state = 12, .external_lex_state = 15},
  [1484] = {.lex_state = 11, .external_lex_state = 35},
  [1485] = {.lex_state = 12, .external_lex_state = 28},
  [1486] = {.lex_state = 11, .external_lex_state = 35},
  [1487] = {.lex_state = 12, .external_lex_state = 28},
  [1488] = {.lex_state = 19, .external_lex_state = 22},
  [1489] = {.lex_state = 20, .external_lex_state = 15},
  [1490] = {.lex_state = 11, .external_lex_state = 31},
  [1491] = {.lex_state = 19, .external_lex_state = 22},
  [1492] = {.lex_state = 11, .external_lex_state = 31},
  [1493] = {.lex_state = 20, .external_lex_state = 19},
  [1494] = {.lex_state = 20, .external_lex_state = 15},
  [1495] = {.lex_state = 11, .external_lex_state = 33},
  [1496] = {.lex_state = 11, .external_lex_state = 33},
  [1497] = {.lex_state = 20, .external_lex_state = 16},
  [1498] = {.lex_state = 11, .external_lex_state = 19},
  [1499] = {.lex_state = 11, .external_lex_state = 35},
  [1500] = {.lex_state = 11, .external_lex_state = 16},
  [1501] = {.lex_state = 11, .external_lex_state = 22},
  [1502] = {.lex_state = 11, .external_lex_state = 16},
  [1503] = {.lex_state = 12, .external_lex_state = 33},
  [1504] = {.lex_state = 13, .external_lex_state = 19},
  [1505] = {.lex_state = 12, .external_lex_state = 35},
  [1506] = {.lex_state = 12, .external_lex_state = 16},
  [1507] = {.lex_state = 12, .external_lex_state = 15},
  [1508] = {.lex_state = 11, .external_lex_state = 22},
  [1509] = {.lex_state = 11, .external_lex_state = 16},
  [1510] = {.lex_state = 11, .external_lex_state = 19},
  [1511] = {.lex_state = 11, .external_lex_state = 16},
  [1512] = {.lex_state = 11, .external_lex_state = 16},
  [1513] = {.lex_state = 11, .external_lex_state = 21},
  [1514] = {.lex_state = 11, .external_lex_state = 15},
  [1515] = {.lex_state = 11, .external_lex_state = 19},
  [1516] = {.lex_state = 11, .external_lex_state = 15},
  [1517] = {.lex_state = 14, .external_lex_state = 15},
  [1518] = {.lex_state = 18, .external_lex_state = 15},
  [1519] = {.lex_state = 12, .external_lex_state = 35},
  [1520] = {.lex_state = 13, .external_lex_state = 26},
  [1521] = {.lex_state = 14, .external_lex_state = 15},
  [1522] = {.lex_state = 17, .external_lex_state = 19},
  [1523] = {.lex_state = 18, .external_lex_state = 21},
  [1524] = {.lex_state = 11, .external_lex_state = 16},
  [1525] = {.lex_state = 12, .external_lex_state = 30},
  [1526] = {.lex_state = 11, .external_lex_state = 22},
  [1527] = {.lex_state = 12, .external_lex_state = 35},
  [1528] = {.lex_state = 11, .external_lex_state = 16},
  [1529] = {.lex_state = 13, .external_lex_state = 21},
  [1530] = {.lex_state = 19, .external_lex_state = 22},
  [1531] = {.lex_state = 12, .external_lex_state = 31},
  [1532] = {.lex_state = 18, .external_lex_state = 22},
  [1533] = {.lex_state = 12, .external_lex_state = 31},
  [1534] = {.lex_state = 19, .external_lex_state = 22},
  [1535] = {.lex_state = 12, .external_lex_state = 31},
  [1536] = {.lex_state = 13, .external_lex_state = 22},
  [1537] = {.lex_state = 17, .external_lex_state = 22},
  [1538] = {.lex_state = 16, .external_lex_state = 19},
  [1539] = {.lex_state = 13, .external_lex_state = 22},
  [1540] = {.lex_state = 17, .external_lex_state = 21},
  [1541] = {.lex_state = 11, .external_lex_state = 16},
  [1542] = {.lex_state = 13, .external_lex_state = 21},
  [1543] = {.lex_state = 11, .external_lex_state = 16},
  [1544] = {.lex_state = 11, .external_lex_state = 19},
  [1545] = {.lex_state = 6, .external_lex_state = 36},
  [1546] = {.lex_state = 13, .external_lex_state = 19},
  [1547] = {.lex_state = 13, .external_lex_state = 27},
  [1548] = {.lex_state = 11, .external_lex_state = 19},
  [1549] = {.lex_state = 19, .external_lex_state = 19},
  [1550] = {.lex_state = 20, .external_lex_state = 22},
  [1551] = {.lex_state = 13, .external_lex_state = 29},
  [1552] = {.lex_state = 11, .external_lex_state = 16},
  [1553] = {.lex_state = 20, .external_lex_state = 22},
  [1554] = {.lex_state = 16, .external_lex_state = 22},
  [1555] = {.lex_state = 11, .external_lex_state = 16},
  [1556] = {.lex_state = 11, .external_lex_state = 16},
  [1557] = {.lex_state = 20, .external_lex_state = 22},
  [1558] = {.lex_state = 13, .external_lex_state = 28},
  [1559] = {.lex_state = 11, .external_lex_state = 16},
  [1560] = {.lex_state = 12, .external_lex_state = 16},
  [1561] = {.lex_state = 12, .external_lex_state = 15},
  [1562] = {.lex_state = 11, .external_lex_state = 16},
  [1563] = {.lex_state = 13, .external_lex_state = 28},
  [1564] = {.lex_state = 12, .external_lex_state = 16},
  [1565] = {.lex_state = 20, .external_lex_state = 21},
  [1566] = {.lex_state = 12, .external_lex_state = 16},
  [1567] = {.lex_state = 20, .external_lex_state = 19},
  [1568] = {.lex_state = 11, .external_lex_state = 16},
  [1569] = {.lex_state = 13, .external_lex_state = 28},
  [1570] = {.lex_state = 12, .external_lex_state = 16},
  [1571] = {.lex_state = 11, .external_lex_state = 16},
  [1572] = {.lex_state = 12, .external_lex_state = 15},
  [1573] = {.lex_state = 20, .external_lex_state = 21},
  [1574] = {.lex_state = 16, .external_lex_state = 21},
  [1575] = {.lex_state = 20, .external_lex_state = 19},
  [1576] = {.lex_state = 11, .external_lex_state = 21},
  [1577] = {.lex_state = 11, .external_lex_state = 22},
  [1578] = {.lex_state = 20, .external_lex_state = 21},
  [1579] = {.lex_state = 11, .external_lex_state = 16},
  [1580] = {.lex_state = 12, .external_lex_state = 16},
  [1581] = {.lex_state = 12, .external_lex_state = 15},
  [1582] = {.lex_state = 12, .external_lex_state = 16},
  [1583] = {.lex_state = 19, .external_lex_state = 21},
  [1584] = {.lex_state = 6, .external_lex_state = 36},
  [1585] = {.lex_state = 11, .external_lex_state = 16},
  [1586] = {.lex_state = 13, .external_lex_state = 26},
  [1587] = {.lex_state = 12, .external_lex_state = 16},
  [1588] = {.lex_state = 20, .external_lex_state = 16},
  [1589] = {.lex_state = 18, .external_lex_state = 16},
  [1590] = {.lex_state = 6, .external_lex_state = 36},
  [1591] = {.lex_state = 20, .external_lex_state = 15},
  [1592] = {.lex_state = 12, .external_lex_state = 16},
  [1593] = {.lex_state = 19, .external_lex_state = 19},
  [1594] = {.lex_state = 20, .external_lex_state = 16},
  [1595] = {.lex_state = 14, .external_lex_state = 16},
  [1596] = {.lex_state = 20, .external_lex_state = 16},
  [1597] = {.lex_state = 11, .external_lex_state = 16},
  [1598] = {.lex_state = 11, .external_lex_state = 21},
  [1599] = {.lex_state = 12, .external_lex_state = 15},
  [1600] = {.lex_state = 12, .external_lex_state = 15},
  [1601] = {.lex_state = 12, .external_lex_state = 32},
  [1602] = {.lex_state = 11, .external_lex_state = 15},
  [1603] = {.lex_state = 11, .external_lex_state = 16},
  [1604] = {.lex_state = 12, .external_lex_state = 15},
  [1605] = {.lex_state = 11, .external_lex_state = 19},
  [1606] = {.lex_state = 21, .external_lex_state = 15},
  [1607] = {.lex_state = 18, .external_lex_state = 19},
  [1608] = {.lex_state = 12, .external_lex_state = 15},
  [1609] = {.lex_state = 11, .external_lex_state = 16},
  [1610] = {.lex_state = 12, .external_lex_state = 33},
  [1611] = {.lex_state = 21, .external_lex_state = 15},
  [1612] = {.lex_state = 12, .external_lex_state = 33},
  [1613] = {.lex_state = 11, .external_lex_state = 21},
  [1614] = {.lex_state = 11, .external_lex_state = 16},
  [1615] = {.lex_state = 21, .external_lex_state = 15},
  [1616] = {.lex_state = 11, .external_lex_state = 35},
  [1617] = {.lex_state = 12, .external_lex_state = 15},
  [1618] = {.lex_state = 13, .external_lex_state = 31},
  [1619] = {.lex_state = 13, .external_lex_state = 16},
  [1620] = {.lex_state = 13, .external_lex_state = 35},
  [1621] = {.lex_state = 12, .external_lex_state = 15},
  [1622] = {.lex_state = 21, .external_lex_state = 19},
  [1623] = {.lex_state = 11, .external_lex_state = 22},
  [1624] = {.lex_state = 13, .external_lex_state = 31},
  [1625] = {.lex_state = 11, .external_lex_state = 22},
  [1626] = {.lex_state = 11, .external_lex_state = 22},
  [1627] = {.lex_state = 11, .external_lex_state = 22},
  [1628] = {.lex_state = 11, .external_lex_state = 22},
  [1629] = {.lex_state = 11, .external_lex_state = 22},
  [1630] = {.lex_state = 11, .external_lex_state = 22},
  [1631] = {.lex_state = 13, .external_lex_state = 16},
  [1632] = {.lex_state = 11, .external_lex_state = 22},
  [1633] = {.lex_state = 12, .external_lex_state = 19},
  [1634] = {.lex_state = 22, .external_lex_state = 15},
  [1635] = {.lex_state = 11, .external_lex_state = 22},
  [1636] = {.lex_state = 11, .external_lex_state = 22},
  [1637] = {.lex_state = 13, .external_lex_state = 35},
  [1638] = {.lex_state = 11, .external_lex_state = 22},
  [1639] = {.lex_state = 11, .external_lex_state = 22},
  [1640] = {.lex_state = 11, .external_lex_state = 22},
  [1641] = {.lex_state = 11, .external_lex_state = 22},
  [1642] = {.lex_state = 11, .external_lex_state = 22},
  [1643] = {.lex_state = 11, .external_lex_state = 22},
  [1644] = {.lex_state = 21, .external_lex_state = 16},
  [1645] = {.lex_state = 11, .external_lex_state = 22},
  [1646] = {.lex_state = 20, .external_lex_state = 19},
  [1647] = {.lex_state = 13, .external_lex_state = 16},
  [1648] = {.lex_state = 11, .external_lex_state = 22},
  [1649] = {.lex_state = 11, .external_lex_state = 22},
  [1650] = {.lex_state = 13, .external_lex_state = 16},
  [1651] = {.lex_state = 11, .external_lex_state = 22},
  [1652] = {.lex_state = 13, .external_lex_state = 16},
  [1653] = {.lex_state = 11, .external_lex_state = 22},
  [1654] = {.lex_state = 14, .external_lex_state = 27},
  [1655] = {.lex_state = 21, .external_lex_state = 16},
  [1656] = {.lex_state = 12, .external_lex_state = 19},
  [1657] = {.lex_state = 11, .external_lex_state = 19},
  [1658] = {.lex_state = 12, .external_lex_state = 21},
  [1659] = {.lex_state = 14, .external_lex_state = 28},
  [1660] = {.lex_state = 11, .external_lex_state = 19},
  [1661] = {.lex_state = 21, .external_lex_state = 16},
  [1662] = {.lex_state = 11, .external_lex_state = 22},
  [1663] = {.lex_state = 11, .external_lex_state = 19},
  [1664] = {.lex_state = 11, .external_lex_state = 19},
  [1665] = {.lex_state = 11, .external_lex_state = 19},
  [1666] = {.lex_state = 11, .external_lex_state = 19},
  [1667] = {.lex_state = 11, .external_lex_state = 19},
  [1668] = {.lex_state = 11, .external_lex_state = 19},
  [1669] = {.lex_state = 11, .external_lex_state = 19},
  [1670] = {.lex_state = 14, .external_lex_state = 21},
  [1671] = {.lex_state = 11, .external_lex_state = 19},
  [1672] = {.lex_state = 21, .external_lex_state = 15},
  [1673] = {.lex_state = 18, .external_lex_state = 21},
  [1674] = {.lex_state = 12, .external_lex_state = 19},
  [1675] = {.lex_state = 14, .external_lex_state = 21},
  [1676] = {.lex_state = 12, .external_lex_state = 19},
  [1677] = {.lex_state = 18, .external_lex_state = 22},
  [1678] = {.lex_state = 11, .external_lex_state = 21},
  [1679] = {.lex_state = 11, .external_lex_state = 21},
  [1680] = {.lex_state = 12, .external_lex_state = 21},
  [1681] = {.lex_state = 11, .external_lex_state = 21},
  [1682] = {.lex_state = 11, .external_lex_state = 21},
  [1683] = {.lex_state = 11, .external_lex_state = 19},
  [1684] = {.lex_state = 18, .external_lex_state = 19},
  [1685] = {.lex_state = 11, .external_lex_state = 19},
  [1686] = {.lex_state = 11, .external_lex_state = 19},
  [1687] = {.lex_state = 11, .external_lex_state = 19},
  [1688] = {.lex_state = 11, .external_lex_state = 19},
  [1689] = {.lex_state = 11, .external_lex_state = 19},
  [1690] = {.lex_state = 11, .external_lex_state = 22},
  [1691] = {.lex_state = 11, .external_lex_state = 21},
  [1692] = {.lex_state = 11, .external_lex_state = 21},
  [1693] = {.lex_state = 11, .external_lex_state = 21},
  [1694] = {.lex_state = 11, .external_lex_state = 21},
  [1695] = {.lex_state = 11, .external_lex_state = 21},
  [1696] = {.lex_state = 7, .external_lex_state = 36},
  [1697] = {.lex_state = 11, .external_lex_state = 21},
  [1698] = {.lex_state = 18, .external_lex_state = 21},
  [1699] = {.lex_state = 20, .external_lex_state = 19},
  [1700] = {.lex_state = 11, .external_lex_state = 19},
  [1701] = {.lex_state = 11, .external_lex_state = 19},
  [1702] = {.lex_state = 11, .external_lex_state = 19},
  [1703] = {.lex_state = 11, .external_lex_state = 19},
  [1704] = {.lex_state = 12, .external_lex_state = 31},
  [1705] = {.lex_state = 12, .external_lex_state = 31},
  [1706] = {.lex_state = 11, .external_lex_state = 19},
  [1707] = {.lex_state = 11, .external_lex_state = 19},
  [1708] = {.lex_state = 11, .external_lex_state = 19},
  [1709] = {.lex_state = 11, .external_lex_state = 19},
  [1710] = {.lex_state = 11, .external_lex_state = 19},
  [1711] = {.lex_state = 11, .external_lex_state = 19},
  [1712] = {.lex_state = 12, .external_lex_state = 31},
  [1713] = {.lex_state = 12, .external_lex_state = 31},
  [1714] = {.lex_state = 11, .external_lex_state = 19},
  [1715] = {.lex_state = 12, .external_lex_state = 33},
  [1716] = {.lex_state = 12, .external_lex_state = 33},
  [1717] = {.lex_state = 11, .external_lex_state = 19},
  [1718] = {.lex_state = 13, .external_lex_state = 26},
  [1719] = {.lex_state = 11, .external_lex_state = 19},
  [1720] = {.lex_state = 13, .external_lex_state = 26},
  [1721] = {.lex_state = 11, .external_lex_state = 19},
  [1722] = {.lex_state = 11, .external_lex_state = 22},
  [1723] = {.lex_state = 12, .external_lex_state = 35},
  [1724] = {.lex_state = 12, .external_lex_state = 35},
  [1725] = {.lex_state = 11, .external_lex_state = 22},
  [1726] = {.lex_state = 13, .external_lex_state = 28},
  [1727] = {.lex_state = 12, .external_lex_state = 33},
  [1728] = {.lex_state = 13, .external_lex_state = 28},
  [1729] = {.lex_state = 12, .external_lex_state = 33},
  [1730] = {.lex_state = 11, .external_lex_state = 19},
  [1731] = {.lex_state = 11, .external_lex_state = 22},
  [1732] = {.lex_state = 13, .external_lex_state = 26},
  [1733] = {.lex_state = 13, .external_lex_state = 26},
  [1734] = {.lex_state = 11, .external_lex_state = 19},
  [1735] = {.lex_state = 11, .external_lex_state = 19},
  [1736] = {.lex_state = 11, .external_lex_state = 19},
  [1737] = {.lex_state = 12, .external_lex_state = 35},
  [1738] = {.lex_state = 20, .external_lex_state = 19},
  [1739] = {.lex_state = 12, .external_lex_state = 35},
  [1740] = {.lex_state = 11, .external_lex_state = 19},
  [1741] = {.lex_state = 13, .external_lex_state = 28},
  [1742] = {.lex_state = 13, .external_lex_state = 28},
  [1743] = {.lex_state = 11, .external_lex_state = 19},
  [1744] = {.lex_state = 11, .external_lex_state = 19},
  [1745] = {.lex_state = 11, .external_lex_state = 22},
  [1746] = {.lex_state = 14, .external_lex_state = 28},
  [1747] = {.lex_state = 11, .external_lex_state = 19},
  [1748] = {.lex_state = 11, .external_lex_state = 19},
  [1749] = {.lex_state = 12, .external_lex_state = 22},
  [1750] = {.lex_state = 11, .external_lex_state = 19},
  [1751] = {.lex_state = 11, .external_lex_state = 19},
  [1752] = {.lex_state = 11, .external_lex_state = 22},
  [1753] = {.lex_state = 11, .external_lex_state = 19},
  [1754] = {.lex_state = 11, .external_lex_state = 19},
  [1755] = {.lex_state = 21, .external_lex_state = 16},
  [1756] = {.lex_state = 14, .external_lex_state = 15},
  [1757] = {.lex_state = 13, .external_lex_state = 31},
  [1758] = {.lex_state = 21, .external_lex_state = 19},
  [1759] = {.lex_state = 14, .external_lex_state = 15},
  [1760] = {.lex_state = 12, .external_lex_state = 22},
  [1761] = {.lex_state = 14, .external_lex_state = 15},
  [1762] = {.lex_state = 12, .external_lex_state = 16},
  [1763] = {.lex_state = 14, .external_lex_state = 15},
  [1764] = {.lex_state = 12, .external_lex_state = 19},
  [1765] = {.lex_state = 11, .external_lex_state = 19},
  [1766] = {.lex_state = 12, .external_lex_state = 16},
  [1767] = {.lex_state = 12, .external_lex_state = 21},
  [1768] = {.lex_state = 11, .external_lex_state = 21},
  [1769] = {.lex_state = 12, .external_lex_state = 15},
  [1770] = {.lex_state = 11, .external_lex_state = 22},
  [1771] = {.lex_state = 11, .external_lex_state = 22},
  [1772] = {.lex_state = 13, .external_lex_state = 34},
  [1773] = {.lex_state = 11, .external_lex_state = 19},
  [1774] = {.lex_state = 11, .external_lex_state = 19},
  [1775] = {.lex_state = 11, .external_lex_state = 21},
  [1776] = {.lex_state = 11, .external_lex_state = 21},
  [1777] = {.lex_state = 11, .external_lex_state = 21},
  [1778] = {.lex_state = 12, .external_lex_state = 15},
  [1779] = {.lex_state = 12, .external_lex_state = 21},
  [1780] = {.lex_state = 11, .external_lex_state = 21},
  [1781] = {.lex_state = 22, .external_lex_state = 15},
  [1782] = {.lex_state = 11, .external_lex_state = 21},
  [1783] = {.lex_state = 14, .external_lex_state = 15},
  [1784] = {.lex_state = 14, .external_lex_state = 15},
  [1785] = {.lex_state = 12, .external_lex_state = 21},
  [1786] = {.lex_state = 14, .external_lex_state = 15},
  [1787] = {.lex_state = 11, .external_lex_state = 21},
  [1788] = {.lex_state = 11, .external_lex_state = 21},
  [1789] = {.lex_state = 22, .external_lex_state = 15},
  [1790] = {.lex_state = 11, .external_lex_state = 21},
  [1791] = {.lex_state = 14, .external_lex_state = 15},
  [1792] = {.lex_state = 14, .external_lex_state = 15},
  [1793] = {.lex_state = 14, .external_lex_state = 15},
  [1794] = {.lex_state = 21, .external_lex_state = 21},
  [1795] = {.lex_state = 12, .external_lex_state = 21},
  [1796] = {.lex_state = 20, .external_lex_state = 22},
  [1797] = {.lex_state = 11, .external_lex_state = 21},
  [1798] = {.lex_state = 14, .external_lex_state = 15},
  [1799] = {.lex_state = 14, .external_lex_state = 15},
  [1800] = {.lex_state = 14, .external_lex_state = 15},
  [1801] = {.lex_state = 20, .external_lex_state = 22},
  [1802] = {.lex_state = 12, .external_lex_state = 16},
  [1803] = {.lex_state = 14, .external_lex_state = 15},
  [1804] = {.lex_state = 14, .external_lex_state = 15},
  [1805] = {.lex_state = 14, .external_lex_state = 15},
  [1806] = {.lex_state = 11, .external_lex_state = 22},
  [1807] = {.lex_state = 14, .external_lex_state = 15},
  [1808] = {.lex_state = 14, .external_lex_state = 15},
  [1809] = {.lex_state = 14, .external_lex_state = 15},
  [1810] = {.lex_state = 14, .external_lex_state = 15},
  [1811] = {.lex_state = 13, .external_lex_state = 30},
  [1812] = {.lex_state = 14, .external_lex_state = 15},
  [1813] = {.lex_state = 14, .external_lex_state = 15},
  [1814] = {.lex_state = 14, .external_lex_state = 15},
  [1815] = {.lex_state = 14, .external_lex_state = 22},
  [1816] = {.lex_state = 14, .external_lex_state = 15},
  [1817] = {.lex_state = 14, .external_lex_state = 15},
  [1818] = {.lex_state = 14, .external_lex_state = 15},
  [1819] = {.lex_state = 21, .external_lex_state = 21},
  [1820] = {.lex_state = 12, .external_lex_state = 22},
  [1821] = {.lex_state = 12, .external_lex_state = 19},
  [1822] = {.lex_state = 14, .external_lex_state = 15},
  [1823] = {.lex_state = 14, .external_lex_state = 15},
  [1824] = {.lex_state = 14, .external_lex_state = 15},
  [1825] = {.lex_state = 18, .external_lex_state = 22},
  [1826] = {.lex_state = 14, .external_lex_state = 15},
  [1827] = {.lex_state = 14, .external_lex_state = 22},
  [1828] = {.lex_state = 14, .external_lex_state = 15},
  [1829] = {.lex_state = 14, .external_lex_state = 15},
  [1830] = {.lex_state = 14, .external_lex_state = 15},
  [1831] = {.lex_state = 14, .external_lex_state = 15},
  [1832] = {.lex_state = 14, .external_lex_state = 15},
  [1833] = {.lex_state = 14, .external_lex_state = 15},
  [1834] = {.lex_state = 14, .external_lex_state = 15},
  [1835] = {.lex_state = 14, .external_lex_state = 15},
  [1836] = {.lex_state = 14, .external_lex_state = 15},
  [1837] = {.lex_state = 12, .external_lex_state = 22},
  [1838] = {.lex_state = 14, .external_lex_state = 15},
  [1839] = {.lex_state = 14, .external_lex_state = 15},
  [1840] = {.lex_state = 14, .external_lex_state = 15},
  [1841] = {.lex_state = 12, .external_lex_state = 22},
  [1842] = {.lex_state = 14, .external_lex_state = 15},
  [1843] = {.lex_state = 14, .external_lex_state = 15},
  [1844] = {.lex_state = 14, .external_lex_state = 15},
  [1845] = {.lex_state = 21, .external_lex_state = 22},
  [1846] = {.lex_state = 12, .external_lex_state = 22},
  [1847] = {.lex_state = 12, .external_lex_state = 22},
  [1848] = {.lex_state = 14, .external_lex_state = 15},
  [1849] = {.lex_state = 14, .external_lex_state = 15},
  [1850] = {.lex_state = 14, .external_lex_state = 15},
  [1851] = {.lex_state = 12, .external_lex_state = 15},
  [1852] = {.lex_state = 14, .external_lex_state = 15},
  [1853] = {.lex_state = 14, .external_lex_state = 15},
  [1854] = {.lex_state = 14, .external_lex_state = 15},
  [1855] = {.lex_state = 21, .external_lex_state = 22},
  [1856] = {.lex_state = 12, .external_lex_state = 22},
  [1857] = {.lex_state = 12, .external_lex_state = 15},
  [1858] = {.lex_state = 14, .external_lex_state = 15},
  [1859] = {.lex_state = 14, .external_lex_state = 15},
  [1860] = {.lex_state = 14, .external_lex_state = 15},
  [1861] = {.lex_state = 11, .external_lex_state = 22},
  [1862] = {.lex_state = 21, .external_lex_state = 22},
  [1863] = {.lex_state = 14, .external_lex_state = 15},
  [1864] = {.lex_state = 14, .external_lex_state = 15},
  [1865] = {.lex_state = 14, .external_lex_state = 15},
  [1866] = {.lex_state = 12, .external_lex_state = 15},
  [1867] = {.lex_state = 14, .external_lex_state = 15},
  [1868] = {.lex_state = 14, .external_lex_state = 15},
  [1869] = {.lex_state = 14, .external_lex_state = 15},
  [1870] = {.lex_state = 11, .external_lex_state = 19},
  [1871] = {.lex_state = 12, .external_lex_state = 15},
  [1872] = {.lex_state = 12, .external_lex_state = 22},
  [1873] = {.lex_state = 21, .external_lex_state = 21},
  [1874] = {.lex_state = 21, .external_lex_state = 19},
  [1875] = {.lex_state = 20, .external_lex_state = 21},
  [1876] = {.lex_state = 11, .external_lex_state = 21},
  [1877] = {.lex_state = 13, .external_lex_state = 15},
  [1878] = {.lex_state = 12, .external_lex_state = 22},
  [1879] = {.lex_state = 11, .external_lex_state = 21},
  [1880] = {.lex_state = 20, .external_lex_state = 19},
  [1881] = {.lex_state = 12, .external_lex_state = 16},
  [1882] = {.lex_state = 12, .external_lex_state = 19},
  [1883] = {.lex_state = 11, .external_lex_state = 22},
  [1884] = {.lex_state = 20, .external_lex_state = 19},
  [1885] = {.lex_state = 11, .external_lex_state = 21},
  [1886] = {.lex_state = 20, .external_lex_state = 22},
  [1887] = {.lex_state = 11, .external_lex_state = 21},
  [1888] = {.lex_state = 11, .external_lex_state = 21},
  [1889] = {.lex_state = 11, .external_lex_state = 21},
  [1890] = {.lex_state = 20, .external_lex_state = 22},
  [1891] = {.lex_state = 12, .external_lex_state = 16},
  [1892] = {.lex_state = 20, .external_lex_state = 22},
  [1893] = {.lex_state = 11, .external_lex_state = 21},
  [1894] = {.lex_state = 11, .external_lex_state = 21},
  [1895] = {.lex_state = 12, .external_lex_state = 21},
  [1896] = {.lex_state = 12, .external_lex_state = 16},
  [1897] = {.lex_state = 11, .external_lex_state = 21},
  [1898] = {.lex_state = 12, .external_lex_state = 16},
  [1899] = {.lex_state = 12, .external_lex_state = 16},
  [1900] = {.lex_state = 11, .external_lex_state = 21},
  [1901] = {.lex_state = 12, .external_lex_state = 16},
  [1902] = {.lex_state = 12, .external_lex_state = 16},
  [1903] = {.lex_state = 12, .external_lex_state = 16},
  [1904] = {.lex_state = 13, .external_lex_state = 15},
  [1905] = {.lex_state = 12, .external_lex_state = 16},
  [1906] = {.lex_state = 11, .external_lex_state = 19},
  [1907] = {.lex_state = 11, .external_lex_state = 21},
  [1908] = {.lex_state = 11, .external_lex_state = 21},
  [1909] = {.lex_state = 12, .external_lex_state = 16},
  [1910] = {.lex_state = 12, .external_lex_state = 16},
  [1911] = {.lex_state = 22, .external_lex_state = 16},
  [1912] = {.lex_state = 14, .external_lex_state = 29},
  [1913] = {.lex_state = 12, .external_lex_state = 19},
  [1914] = {.lex_state = 13, .external_lex_state = 15},
  [1915] = {.lex_state = 12, .external_lex_state = 16},
  [1916] = {.lex_state = 11, .external_lex_state = 21},
  [1917] = {.lex_state = 12, .external_lex_state = 21},
  [1918] = {.lex_state = 11, .external_lex_state = 21},
  [1919] = {.lex_state = 11, .external_lex_state = 16},
  [1920] = {.lex_state = 12, .external_lex_state = 16},
  [1921] = {.lex_state = 12, .external_lex_state = 16},
  [1922] = {.lex_state = 12, .external_lex_state = 15},
  [1923] = {.lex_state = 12, .external_lex_state = 16},
  [1924] = {.lex_state = 12, .external_lex_state = 16},
  [1925] = {.lex_state = 12, .external_lex_state = 16},
  [1926] = {.lex_state = 12, .external_lex_state = 16},
  [1927] = {.lex_state = 11, .external_lex_state = 22},
  [1928] = {.lex_state = 12, .external_lex_state = 16},
  [1929] = {.lex_state = 13, .external_lex_state = 16},
  [1930] = {.lex_state = 12, .external_lex_state = 16},
  [1931] = {.lex_state = 12, .external_lex_state = 16},
  [1932] = {.lex_state = 12, .external_lex_state = 16},
  [1933] = {.lex_state = 12, .external_lex_state = 16},
  [1934] = {.lex_state = 12, .external_lex_state = 16},
  [1935] = {.lex_state = 12, .external_lex_state = 16},
  [1936] = {.lex_state = 12, .external_lex_state = 16},
  [1937] = {.lex_state = 12, .external_lex_state = 16},
  [1938] = {.lex_state = 13, .external_lex_state = 15},
  [1939] = {.lex_state = 12, .external_lex_state = 16},
  [1940] = {.lex_state = 12, .external_lex_state = 16},
  [1941] = {.lex_state = 11, .external_lex_state = 21},
  [1942] = {.lex_state = 12, .external_lex_state = 21},
  [1943] = {.lex_state = 12, .external_lex_state = 16},
  [1944] = {.lex_state = 12, .external_lex_state = 16},
  [1945] = {.lex_state = 12, .external_lex_state = 16},
  [1946] = {.lex_state = 12, .external_lex_state = 16},
  [1947] = {.lex_state = 11, .external_lex_state = 19},
  [1948] = {.lex_state = 12, .external_lex_state = 16},
  [1949] = {.lex_state = 12, .external_lex_state = 16},
  [1950] = {.lex_state = 20, .external_lex_state = 21},
  [1951] = {.lex_state = 12, .external_lex_state = 16},
  [1952] = {.lex_state = 11, .external_lex_state = 21},
  [1953] = {.lex_state = 12, .external_lex_state = 16},
  [1954] = {.lex_state = 12, .external_lex_state = 16},
  [1955] = {.lex_state = 12, .external_lex_state = 16},
  [1956] = {.lex_state = 12, .external_lex_state = 16},
  [1957] = {.lex_state = 11, .external_lex_state = 21},
  [1958] = {.lex_state = 12, .external_lex_state = 16},
  [1959] = {.lex_state = 12, .external_lex_state = 16},
  [1960] = {.lex_state = 21, .external_lex_state = 16},
  [1961] = {.lex_state = 12, .external_lex_state = 21},
  [1962] = {.lex_state = 11, .external_lex_state = 21},
  [1963] = {.lex_state = 12, .external_lex_state = 16},
  [1964] = {.lex_state = 20, .external_lex_state = 21},
  [1965] = {.lex_state = 13, .external_lex_state = 32},
  [1966] = {.lex_state = 11, .external_lex_state = 21},
  [1967] = {.lex_state = 11, .external_lex_state = 21},
  [1968] = {.lex_state = 20, .external_lex_state = 21},
  [1969] = {.lex_state = 14, .external_lex_state = 28},
  [1970] = {.lex_state = 12, .external_lex_state = 16},
  [1971] = {.lex_state = 12, .external_lex_state = 15},
  [1972] = {.lex_state = 14, .external_lex_state = 26},
  [1973] = {.lex_state = 12, .external_lex_state = 15},
  [1974] = {.lex_state = 21, .external_lex_state = 15},
  [1975] = {.lex_state = 11, .external_lex_state = 21},
  [1976] = {.lex_state = 12, .external_lex_state = 15},
  [1977] = {.lex_state = 11, .external_lex_state = 21},
  [1978] = {.lex_state = 13, .external_lex_state = 33},
  [1979] = {.lex_state = 12, .external_lex_state = 15},
  [1980] = {.lex_state = 14, .external_lex_state = 26},
  [1981] = {.lex_state = 12, .external_lex_state = 15},
  [1982] = {.lex_state = 12, .external_lex_state = 15},
  [1983] = {.lex_state = 13, .external_lex_state = 16},
  [1984] = {.lex_state = 12, .external_lex_state = 15},
  [1985] = {.lex_state = 13, .external_lex_state = 16},
  [1986] = {.lex_state = 12, .external_lex_state = 15},
  [1987] = {.lex_state = 13, .external_lex_state = 33},
  [1988] = {.lex_state = 11, .external_lex_state = 21},
  [1989] = {.lex_state = 11, .external_lex_state = 22},
  [1990] = {.lex_state = 11, .external_lex_state = 21},
  [1991] = {.lex_state = 11, .external_lex_state = 22},
  [1992] = {.lex_state = 22, .external_lex_state = 16},
  [1993] = {.lex_state = 13, .external_lex_state = 35},
  [1994] = {.lex_state = 13, .external_lex_state = 33},
  [1995] = {.lex_state = 14, .external_lex_state = 19},
  [1996] = {.lex_state = 20, .external_lex_state = 21},
  [1997] = {.lex_state = 11, .external_lex_state = 21},
  [1998] = {.lex_state = 11, .external_lex_state = 21},
  [1999] = {.lex_state = 11, .external_lex_state = 22},
  [2000] = {.lex_state = 11, .external_lex_state = 21},
  [2001] = {.lex_state = 11, .external_lex_state = 21},
  [2002] = {.lex_state = 11, .external_lex_state = 22},
  [2003] = {.lex_state = 22, .external_lex_state = 16},
  [2004] = {.lex_state = 11, .external_lex_state = 22},
  [2005] = {.lex_state = 11, .external_lex_state = 22},
  [2006] = {.lex_state = 13, .external_lex_state = 15},
  [2007] = {.lex_state = 12, .external_lex_state = 15},
  [2008] = {.lex_state = 7, .external_lex_state = 36},
  [2009] = {.lex_state = 12, .external_lex_state = 15},
  [2010] = {.lex_state = 12, .external_lex_state = 15},
  [2011] = {.lex_state = 7, .external_lex_state = 36},
  [2012] = {.lex_state = 11, .external_lex_state = 15},
  [2013] = {.lex_state = 12, .external_lex_state = 15},
  [2014] = {.lex_state = 12, .external_lex_state = 15},
  [2015] = {.lex_state = 11, .external_lex_state = 21},
  [2016] = {.lex_state = 12, .external_lex_state = 15},
  [2017] = {.lex_state = 12, .external_lex_state = 15},
  [2018] = {.lex_state = 12, .external_lex_state = 15},
  [2019] = {.lex_state = 14, .external_lex_state = 26},
  [2020] = {.lex_state = 11, .external_lex_state = 22},
  [2021] = {.lex_state = 12, .external_lex_state = 15},
  [2022] = {.lex_state = 12, .external_lex_state = 19},
  [2023] = {.lex_state = 12, .external_lex_state = 15},
  [2024] = {.lex_state = 12, .external_lex_state = 15},
  [2025] = {.lex_state = 12, .external_lex_state = 15},
  [2026] = {.lex_state = 12, .external_lex_state = 15},
  [2027] = {.lex_state = 12, .external_lex_state = 15},
  [2028] = {.lex_state = 12, .external_lex_state = 15},
  [2029] = {.lex_state = 13, .external_lex_state = 15},
  [2030] = {.lex_state = 12, .external_lex_state = 15},
  [2031] = {.lex_state = 12, .external_lex_state = 16},
  [2032] = {.lex_state = 12, .external_lex_state = 15},
  [2033] = {.lex_state = 12, .external_lex_state = 15},
  [2034] = {.lex_state = 12, .external_lex_state = 15},
  [2035] = {.lex_state = 18, .external_lex_state = 19},
  [2036] = {.lex_state = 12, .external_lex_state = 15},
  [2037] = {.lex_state = 12, .external_lex_state = 15},
  [2038] = {.lex_state = 12, .external_lex_state = 15},
  [2039] = {.lex_state = 7, .external_lex_state = 36},
  [2040] = {.lex_state = 11, .external_lex_state = 22},
  [2041] = {.lex_state = 13, .external_lex_state = 15},
  [2042] = {.lex_state = 12, .external_lex_state = 15},
  [2043] = {.lex_state = 11, .external_lex_state = 22},
  [2044] = {.lex_state = 12, .external_lex_state = 15},
  [2045] = {.lex_state = 12, .external_lex_state = 16},
  [2046] = {.lex_state = 21, .external_lex_state = 15},
  [2047] = {.lex_state = 14, .external_lex_state = 19},
  [2048] = {.lex_state = 11, .external_lex_state = 22},
  [2049] = {.lex_state = 11, .external_lex_state = 22},
  [2050] = {.lex_state = 12, .external_lex_state = 15},
  [2051] = {.lex_state = 12, .external_lex_state = 15},
  [2052] = {.lex_state = 13, .external_lex_state = 15},
  [2053] = {.lex_state = 12, .external_lex_state = 15},
  [2054] = {.lex_state = 12, .external_lex_state = 15},
  [2055] = {.lex_state = 11, .external_lex_state = 22},
  [2056] = {.lex_state = 21, .external_lex_state = 15},
  [2057] = {.lex_state = 12, .external_lex_state = 19},
  [2058] = {.lex_state = 21, .external_lex_state = 15},
  [2059] = {.lex_state = 11, .external_lex_state = 22},
  [2060] = {.lex_state = 12, .external_lex_state = 15},
  [2061] = {.lex_state = 11, .external_lex_state = 22},
  [2062] = {.lex_state = 11, .external_lex_state = 22},
  [2063] = {.lex_state = 12, .external_lex_state = 15},
  [2064] = {.lex_state = 13, .external_lex_state = 15},
  [2065] = {.lex_state = 13, .external_lex_state = 16},
  [2066] = {.lex_state = 21, .external_lex_state = 22},
  [2067] = {.lex_state = 12, .external_lex_state = 19},
  [2068] = {.lex_state = 21, .external_lex_state = 19},
  [2069] = {.lex_state = 5, .external_lex_state = 36},
  [2070] = {.lex_state = 5, .external_lex_state = 36},
  [2071] = {.lex_state = 21, .external_lex_state = 22},
  [2072] = {.lex_state = 12, .external_lex_state = 21},
  [2073] = {.lex_state = 13, .external_lex_state = 22},
  [2074] = {.lex_state = 13, .external_lex_state = 22},
  [2075] = {.lex_state = 13, .external_lex_state = 16},
  [2076] = {.lex_state = 22, .external_lex_state = 15},
  [2077] = {.lex_state = 12, .external_lex_state = 21},
  [2078] = {.lex_state = 12, .external_lex_state = 19},
  [2079] = {.lex_state = 12, .external_lex_state = 19},
  [2080] = {.lex_state = 14, .external_lex_state = 26},
  [2081] = {.lex_state = 13, .external_lex_state = 16},
  [2082] = {.lex_state = 21, .external_lex_state = 21},
  [2083] = {.lex_state = 12, .external_lex_state = 21},
  [2084] = {.lex_state = 21, .external_lex_state = 21},
  [2085] = {.lex_state = 13, .external_lex_state = 21},
  [2086] = {.lex_state = 14, .external_lex_state = 30},
  [2087] = {.lex_state = 13, .external_lex_state = 16},
  [2088] = {.lex_state = 13, .external_lex_state = 16},
  [2089] = {.lex_state = 12, .external_lex_state = 21},
  [2090] = {.lex_state = 12, .external_lex_state = 19},
  [2091] = {.lex_state = 12, .external_lex_state = 22},
  [2092] = {.lex_state = 12, .external_lex_state = 21},
  [2093] = {.lex_state = 12, .external_lex_state = 22},
  [2094] = {.lex_state = 13, .external_lex_state = 15},
  [2095] = {.lex_state = 12, .external_lex_state = 19},
  [2096] = {.lex_state = 14, .external_lex_state = 35},
  [2097] = {.lex_state = 21, .external_lex_state = 19},
  [2098] = {.lex_state = 12, .external_lex_state = 19},
  [2099] = {.lex_state = 12, .external_lex_state = 21},
  [2100] = {.lex_state = 8, .external_lex_state = 37},
  [2101] = {.lex_state = 8, .external_lex_state = 37},
  [2102] = {.lex_state = 13, .external_lex_state = 15},
  [2103] = {.lex_state = 12, .external_lex_state = 19},
  [2104] = {.lex_state = 12, .external_lex_state = 21},
  [2105] = {.lex_state = 12, .external_lex_state = 19},
  [2106] = {.lex_state = 13, .external_lex_state = 15},
  [2107] = {.lex_state = 13, .external_lex_state = 15},
  [2108] = {.lex_state = 12, .external_lex_state = 19},
  [2109] = {.lex_state = 13, .external_lex_state = 15},
  [2110] = {.lex_state = 12, .external_lex_state = 19},
  [2111] = {.lex_state = 14, .external_lex_state = 31},
  [2112] = {.lex_state = 13, .external_lex_state = 15},
  [2113] = {.lex_state = 12, .external_lex_state = 16},
  [2114] = {.lex_state = 13, .external_lex_state = 15},
  [2115] = {.lex_state = 11, .external_lex_state = 19},
  [2116] = {.lex_state = 12, .external_lex_state = 19},
  [2117] = {.lex_state = 12, .external_lex_state = 22},
  [2118] = {.lex_state = 12, .external_lex_state = 22},
  [2119] = {.lex_state = 13, .external_lex_state = 16},
  [2120] = {.lex_state = 22, .external_lex_state = 19},
  [2121] = {.lex_state = 13, .external_lex_state = 19},
  [2122] = {.lex_state = 12, .external_lex_state = 22},
  [2123] = {.lex_state = 12, .external_lex_state = 21},
  [2124] = {.lex_state = 14, .external_lex_state = 31},
  [2125] = {.lex_state = 12, .external_lex_state = 22},
  [2126] = {.lex_state = 12, .external_lex_state = 22},
  [2127] = {.lex_state = 12, .external_lex_state = 21},
  [2128] = {.lex_state = 12, .external_lex_state = 22},
  [2129] = {.lex_state = 13, .external_lex_state = 22},
  [2130] = {.lex_state = 12, .external_lex_state = 19},
  [2131] = {.lex_state = 12, .external_lex_state = 22},
  [2132] = {.lex_state = 12, .external_lex_state = 19},
  [2133] = {.lex_state = 13, .external_lex_state = 16},
  [2134] = {.lex_state = 5, .external_lex_state = 36},
  [2135] = {.lex_state = 12, .external_lex_state = 22},
  [2136] = {.lex_state = 12, .external_lex_state = 19},
  [2137] = {.lex_state = 14, .external_lex_state = 31},
  [2138] = {.lex_state = 12, .external_lex_state = 22},
  [2139] = {.lex_state = 13, .external_lex_state = 16},
  [2140] = {.lex_state = 13, .external_lex_state = 16},
  [2141] = {.lex_state = 12, .external_lex_state = 19},
  [2142] = {.lex_state = 12, .external_lex_state = 19},
  [2143] = {.lex_state = 13, .external_lex_state = 31},
  [2144] = {.lex_state = 12, .external_lex_state = 22},
  [2145] = {.lex_state = 12, .external_lex_state = 22},
  [2146] = {.lex_state = 12, .external_lex_state = 19},
  [2147] = {.lex_state = 12, .external_lex_state = 22},
  [2148] = {.lex_state = 12, .external_lex_state = 19},
  [2149] = {.lex_state = 12, .external_lex_state = 19},
  [2150] = {.lex_state = 12, .external_lex_state = 21},
  [2151] = {.lex_state = 13, .external_lex_state = 15},
  [2152] = {.lex_state = 13, .external_lex_state = 16},
  [2153] = {.lex_state = 13, .external_lex_state = 31},
  [2154] = {.lex_state = 21, .external_lex_state = 21},
  [2155] = {.lex_state = 12, .external_lex_state = 19},
  [2156] = {.lex_state = 12, .external_lex_state = 22},
  [2157] = {.lex_state = 13, .external_lex_state = 16},
  [2158] = {.lex_state = 13, .external_lex_state = 16},
  [2159] = {.lex_state = 13, .external_lex_state = 15},
  [2160] = {.lex_state = 13, .external_lex_state = 16},
  [2161] = {.lex_state = 14, .external_lex_state = 35},
  [2162] = {.lex_state = 13, .external_lex_state = 21},
  [2163] = {.lex_state = 13, .external_lex_state = 16},
  [2164] = {.lex_state = 13, .external_lex_state = 15},
  [2165] = {.lex_state = 13, .external_lex_state = 15},
  [2166] = {.lex_state = 14, .external_lex_state = 28},
  [2167] = {.lex_state = 13, .external_lex_state = 16},
  [2168] = {.lex_state = 13, .external_lex_state = 16},
  [2169] = {.lex_state = 12, .external_lex_state = 19},
  [2170] = {.lex_state = 14, .external_lex_state = 32},
  [2171] = {.lex_state = 14, .external_lex_state = 28},
  [2172] = {.lex_state = 12, .external_lex_state = 19},
  [2173] = {.lex_state = 22, .external_lex_state = 21},
  [2174] = {.lex_state = 13, .external_lex_state = 15},
  [2175] = {.lex_state = 13, .external_lex_state = 15},
  [2176] = {.lex_state = 12, .external_lex_state = 19},
  [2177] = {.lex_state = 13, .external_lex_state = 16},
  [2178] = {.lex_state = 13, .external_lex_state = 16},
  [2179] = {.lex_state = 13, .external_lex_state = 15},
  [2180] = {.lex_state = 12, .external_lex_state = 21},
  [2181] = {.lex_state = 13, .external_lex_state = 15},
  [2182] = {.lex_state = 13, .external_lex_state = 15},
  [2183] = {.lex_state = 12, .external_lex_state = 21},
  [2184] = {.lex_state = 13, .external_lex_state = 15},
  [2185] = {.lex_state = 13, .external_lex_state = 15},
  [2186] = {.lex_state = 13, .external_lex_state = 15},
  [2187] = {.lex_state = 13, .external_lex_state = 15},
  [2188] = {.lex_state = 13, .external_lex_state = 15},
  [2189] = {.lex_state = 13, .external_lex_state = 15},
  [2190] = {.lex_state = 13, .external_lex_state = 15},
  [2191] = {.lex_state = 12, .external_lex_state = 21},
  [2192] = {.lex_state = 12, .external_lex_state = 21},
  [2193] = {.lex_state = 13, .external_lex_state = 15},
  [2194] = {.lex_state = 12, .external_lex_state = 19},
  [2195] = {.lex_state = 12, .external_lex_state = 19},
  [2196] = {.lex_state = 12, .external_lex_state = 22},
  [2197] = {.lex_state = 12, .external_lex_state = 21},
  [2198] = {.lex_state = 13, .external_lex_state = 15},
  [2199] = {.lex_state = 14, .external_lex_state = 15},
  [2200] = {.lex_state = 13, .external_lex_state = 31},
  [2201] = {.lex_state = 13, .external_lex_state = 15},
  [2202] = {.lex_state = 13, .external_lex_state = 22},
  [2203] = {.lex_state = 13, .external_lex_state = 15},
  [2204] = {.lex_state = 12, .external_lex_state = 21},
  [2205] = {.lex_state = 22, .external_lex_state = 15},
  [2206] = {.lex_state = 13, .external_lex_state = 15},
  [2207] = {.lex_state = 12, .external_lex_state = 21},
  [2208] = {.lex_state = 13, .external_lex_state = 15},
  [2209] = {.lex_state = 12, .external_lex_state = 21},
  [2210] = {.lex_state = 13, .external_lex_state = 16},
  [2211] = {.lex_state = 12, .external_lex_state = 21},
  [2212] = {.lex_state = 12, .external_lex_state = 21},
  [2213] = {.lex_state = 13, .external_lex_state = 15},
  [2214] = {.lex_state = 13, .external_lex_state = 31},
  [2215] = {.lex_state = 13, .external_lex_state = 22},
  [2216] = {.lex_state = 12, .external_lex_state = 21},
  [2217] = {.lex_state = 12, .external_lex_state = 21},
  [2218] = {.lex_state = 12, .external_lex_state = 21},
  [2219] = {.lex_state = 13, .external_lex_state = 16},
  [2220] = {.lex_state = 13, .external_lex_state = 33},
  [2221] = {.lex_state = 12, .external_lex_state = 21},
  [2222] = {.lex_state = 13, .external_lex_state = 15},
  [2223] = {.lex_state = 13, .external_lex_state = 21},
  [2224] = {.lex_state = 13, .external_lex_state = 16},
  [2225] = {.lex_state = 13, .external_lex_state = 15},
  [2226] = {.lex_state = 12, .external_lex_state = 21},
  [2227] = {.lex_state = 13, .external_lex_state = 33},
  [2228] = {.lex_state = 12, .external_lex_state = 22},
  [2229] = {.lex_state = 12, .external_lex_state = 21},
  [2230] = {.lex_state = 12, .external_lex_state = 21},
  [2231] = {.lex_state = 22, .external_lex_state = 16},
  [2232] = {.lex_state = 12, .external_lex_state = 21},
  [2233] = {.lex_state = 14, .external_lex_state = 26},
  [2234] = {.lex_state = 22, .external_lex_state = 15},
  [2235] = {.lex_state = 14, .external_lex_state = 15},
  [2236] = {.lex_state = 14, .external_lex_state = 34},
  [2237] = {.lex_state = 13, .external_lex_state = 15},
  [2238] = {.lex_state = 13, .external_lex_state = 16},
  [2239] = {.lex_state = 12, .external_lex_state = 22},
  [2240] = {.lex_state = 13, .external_lex_state = 16},
  [2241] = {.lex_state = 12, .external_lex_state = 19},
  [2242] = {.lex_state = 13, .external_lex_state = 15},
  [2243] = {.lex_state = 14, .external_lex_state = 16},
  [2244] = {.lex_state = 12, .external_lex_state = 21},
  [2245] = {.lex_state = 14, .external_lex_state = 15},
  [2246] = {.lex_state = 22, .external_lex_state = 21},
  [2247] = {.lex_state = 13, .external_lex_state = 16},
  [2248] = {.lex_state = 21, .external_lex_state = 19},
  [2249] = {.lex_state = 13, .external_lex_state = 16},
  [2250] = {.lex_state = 12, .external_lex_state = 21},
  [2251] = {.lex_state = 12, .external_lex_state = 21},
  [2252] = {.lex_state = 13, .external_lex_state = 16},
  [2253] = {.lex_state = 14, .external_lex_state = 33},
  [2254] = {.lex_state = 12, .external_lex_state = 21},
  [2255] = {.lex_state = 12, .external_lex_state = 22},
  [2256] = {.lex_state = 22, .external_lex_state = 22},
  [2257] = {.lex_state = 6, .external_lex_state = 38},
  [2258] = {.lex_state = 13, .external_lex_state = 15},
  [2259] = {.lex_state = 13, .external_lex_state = 15},
  [2260] = {.lex_state = 13, .external_lex_state = 15},
  [2261] = {.lex_state = 13, .external_lex_state = 21},
  [2262] = {.lex_state = 13, .external_lex_state = 15},
  [2263] = {.lex_state = 13, .external_lex_state = 15},
  [2264] = {.lex_state = 12, .external_lex_state = 22},
  [2265] = {.lex_state = 13, .external_lex_state = 35},
  [2266] = {.lex_state = 21, .external_lex_state = 21},
  [2267] = {.lex_state = 12, .external_lex_state = 22},
  [2268] = {.lex_state = 13, .external_lex_state = 16},
  [2269] = {.lex_state = 13, .external_lex_state = 19},
  [2270] = {.lex_state = 12, .external_lex_state = 19},
  [2271] = {.lex_state = 13, .external_lex_state = 33},
  [2272] = {.lex_state = 12, .external_lex_state = 22},
  [2273] = {.lex_state = 12, .external_lex_state = 22},
  [2274] = {.lex_state = 6, .external_lex_state = 38},
  [2275] = {.lex_state = 13, .external_lex_state = 15},
  [2276] = {.lex_state = 13, .external_lex_state = 33},
  [2277] = {.lex_state = 12, .external_lex_state = 19},
  [2278] = {.lex_state = 13, .external_lex_state = 16},
  [2279] = {.lex_state = 14, .external_lex_state = 16},
  [2280] = {.lex_state = 14, .external_lex_state = 16},
  [2281] = {.lex_state = 12, .external_lex_state = 21},
  [2282] = {.lex_state = 12, .external_lex_state = 22},
  [2283] = {.lex_state = 13, .external_lex_state = 16},
  [2284] = {.lex_state = 12, .external_lex_state = 22},
  [2285] = {.lex_state = 12, .external_lex_state = 21},
  [2286] = {.lex_state = 13, .external_lex_state = 22},
  [2287] = {.lex_state = 8, .external_lex_state = 37},
  [2288] = {.lex_state = 21, .external_lex_state = 22},
  [2289] = {.lex_state = 12, .external_lex_state = 21},
  [2290] = {.lex_state = 13, .external_lex_state = 16},
  [2291] = {.lex_state = 14, .external_lex_state = 16},
  [2292] = {.lex_state = 12, .external_lex_state = 21},
  [2293] = {.lex_state = 22, .external_lex_state = 15},
  [2294] = {.lex_state = 12, .external_lex_state = 21},
  [2295] = {.lex_state = 11, .external_lex_state = 21},
  [2296] = {.lex_state = 13, .external_lex_state = 16},
  [2297] = {.lex_state = 12, .external_lex_state = 21},
  [2298] = {.lex_state = 13, .external_lex_state = 19},
  [2299] = {.lex_state = 14, .external_lex_state = 35},
  [2300] = {.lex_state = 13, .external_lex_state = 19},
  [2301] = {.lex_state = 21, .external_lex_state = 21},
  [2302] = {.lex_state = 13, .external_lex_state = 21},
  [2303] = {.lex_state = 13, .external_lex_state = 16},
  [2304] = {.lex_state = 13, .external_lex_state = 16},
  [2305] = {.lex_state = 22, .external_lex_state = 16},
  [2306] = {.lex_state = 13, .external_lex_state = 15},
  [2307] = {.lex_state = 14, .external_lex_state = 15},
  [2308] = {.lex_state = 14, .external_lex_state = 33},
  [2309] = {.lex_state = 12, .external_lex_state = 21},
  [2310] = {.lex_state = 13, .external_lex_state = 19},
  [2311] = {.lex_state = 13, .external_lex_state = 16},
  [2312] = {.lex_state = 13, .external_lex_state = 16},
  [2313] = {.lex_state = 6, .external_lex_state = 38},
  [2314] = {.lex_state = 13, .external_lex_state = 35},
  [2315] = {.lex_state = 13, .external_lex_state = 15},
  [2316] = {.lex_state = 22, .external_lex_state = 16},
  [2317] = {.lex_state = 22, .external_lex_state = 22},
  [2318] = {.lex_state = 13, .external_lex_state = 35},
  [2319] = {.lex_state = 21, .external_lex_state = 19},
  [2320] = {.lex_state = 12, .external_lex_state = 22},
  [2321] = {.lex_state = 22, .external_lex_state = 16},
  [2322] = {.lex_state = 13, .external_lex_state = 15},
  [2323] = {.lex_state = 12, .external_lex_state = 19},
  [2324] = {.lex_state = 13, .external_lex_state = 22},
  [2325] = {.lex_state = 13, .external_lex_state = 16},
  [2326] = {.lex_state = 13, .external_lex_state = 16},
  [2327] = {.lex_state = 12, .external_lex_state = 21},
  [2328] = {.lex_state = 13, .external_lex_state = 16},
  [2329] = {.lex_state = 12, .external_lex_state = 19},
  [2330] = {.lex_state = 13, .external_lex_state = 16},
  [2331] = {.lex_state = 12, .external_lex_state = 21},
  [2332] = {.lex_state = 12, .external_lex_state = 21},
  [2333] = {.lex_state = 13, .external_lex_state = 16},
  [2334] = {.lex_state = 22, .external_lex_state = 21},
  [2335] = {.lex_state = 12, .external_lex_state = 21},
  [2336] = {.lex_state = 14, .external_lex_state = 16},
  [2337] = {.lex_state = 12, .external_lex_state = 19},
  [2338] = {.lex_state = 22, .external_lex_state = 19},
  [2339] = {.lex_state = 11, .external_lex_state = 22},
  [2340] = {.lex_state = 12, .external_lex_state = 19},
  [2341] = {.lex_state = 13, .external_lex_state = 16},
  [2342] = {.lex_state = 13, .external_lex_state = 16},
  [2343] = {.lex_state = 12, .external_lex_state = 19},
  [2344] = {.lex_state = 13, .external_lex_state = 15},
  [2345] = {.lex_state = 14, .external_lex_state = 15},
  [2346] = {.lex_state = 12, .external_lex_state = 22},
  [2347] = {.lex_state = 12, .external_lex_state = 22},
  [2348] = {.lex_state = 21, .external_lex_state = 19},
  [2349] = {.lex_state = 12, .external_lex_state = 22},
  [2350] = {.lex_state = 12, .external_lex_state = 22},
  [2351] = {.lex_state = 12, .external_lex_state = 22},
  [2352] = {.lex_state = 12, .external_lex_state = 19},
  [2353] = {.lex_state = 22, .external_lex_state = 22},
  [2354] = {.lex_state = 12, .external_lex_state = 19},
  [2355] = {.lex_state = 14, .external_lex_state = 16},
  [2356] = {.lex_state = 12, .external_lex_state = 19},
  [2357] = {.lex_state = 14, .external_lex_state = 15},
  [2358] = {.lex_state = 12, .external_lex_state = 19},
  [2359] = {.lex_state = 14, .external_lex_state = 28},
  [2360] = {.lex_state = 14, .external_lex_state = 15},
  [2361] = {.lex_state = 12, .external_lex_state = 22},
  [2362] = {.lex_state = 12, .external_lex_state = 22},
  [2363] = {.lex_state = 12, .external_lex_state = 22},
  [2364] = {.lex_state = 13, .external_lex_state = 21},
  [2365] = {.lex_state = 12, .external_lex_state = 22},
  [2366] = {.lex_state = 12, .external_lex_state = 19},
  [2367] = {.lex_state = 12, .external_lex_state = 22},
  [2368] = {.lex_state = 12, .external_lex_state = 15},
  [2369] = {.lex_state = 14, .external_lex_state = 26},
  [2370] = {.lex_state = 12, .external_lex_state = 19},
  [2371] = {.lex_state = 13, .external_lex_state = 16},
  [2372] = {.lex_state = 12, .external_lex_state = 21},
  [2373] = {.lex_state = 12, .external_lex_state = 19},
  [2374] = {.lex_state = 13, .external_lex_state = 16},
  [2375] = {.lex_state = 12, .external_lex_state = 22},
  [2376] = {.lex_state = 12, .external_lex_state = 22},
  [2377] = {.lex_state = 12, .external_lex_state = 22},
  [2378] = {.lex_state = 14, .external_lex_state = 28},
  [2379] = {.lex_state = 12, .external_lex_state = 22},
  [2380] = {.lex_state = 22, .external_lex_state = 15},
  [2381] = {.lex_state = 12, .external_lex_state = 19},
  [2382] = {.lex_state = 13, .external_lex_state = 16},
  [2383] = {.lex_state = 13, .external_lex_state = 15},
  [2384] = {.lex_state = 12, .external_lex_state = 19},
  [2385] = {.lex_state = 13, .external_lex_state = 22},
  [2386] = {.lex_state = 6, .external_lex_state = 38},
  [2387] = {.lex_state = 12, .external_lex_state = 22},
  [2388] = {.lex_state = 12, .external_lex_state = 19},
  [2389] = {.lex_state = 13, .external_lex_state = 19},
  [2390] = {.lex_state = 12, .external_lex_state = 21},
  [2391] = {.lex_state = 12, .external_lex_state = 19},
  [2392] = {.lex_state = 14, .external_lex_state = 16},
  [2393] = {.lex_state = 22, .external_lex_state = 16},
  [2394] = {.lex_state = 12, .external_lex_state = 22},
  [2395] = {.lex_state = 12, .external_lex_state = 22},
  [2396] = {.lex_state = 12, .external_lex_state = 22},
  [2397] = {.lex_state = 14, .external_lex_state = 26},
  [2398] = {.lex_state = 6, .external_lex_state = 38},
  [2399] = {.lex_state = 13, .external_lex_state = 21},
  [2400] = {.lex_state = 12, .external_lex_state = 22},
  [2401] = {.lex_state = 12, .external_lex_state = 22},
  [2402] = {.lex_state = 13, .external_lex_state = 19},
  [2403] = {.lex_state = 13, .external_lex_state = 16},
  [2404] = {.lex_state = 12, .external_lex_state = 19},
  [2405] = {.lex_state = 13, .external_lex_state = 21},
  [2406] = {.lex_state = 6, .external_lex_state = 38},
  [2407] = {.lex_state = 13, .external_lex_state = 15},
  [2408] = {.lex_state = 14, .external_lex_state = 16},
  [2409] = {.lex_state = 21, .external_lex_state = 22},
  [2410] = {.lex_state = 13, .external_lex_state = 16},
  [2411] = {.lex_state = 12, .external_lex_state = 22},
  [2412] = {.lex_state = 12, .external_lex_state = 19},
  [2413] = {.lex_state = 21, .external_lex_state = 22},
  [2414] = {.lex_state = 12, .external_lex_state = 21},
  [2415] = {.lex_state = 14, .external_lex_state = 15},
  [2416] = {.lex_state = 14, .external_lex_state = 33},
  [2417] = {.lex_state = 12, .external_lex_state = 21},
  [2418] = {.lex_state = 13, .external_lex_state = 15},
  [2419] = {.lex_state = 13, .external_lex_state = 16},
  [2420] = {.lex_state = 13, .external_lex_state = 19},
  [2421] = {.lex_state = 13, .external_lex_state = 16},
  [2422] = {.lex_state = 12, .external_lex_state = 19},
  [2423] = {.lex_state = 22, .external_lex_state = 19},
  [2424] = {.lex_state = 13, .external_lex_state = 35},
  [2425] = {.lex_state = 14, .external_lex_state = 16},
  [2426] = {.lex_state = 14, .external_lex_state = 16},
  [2427] = {.lex_state = 22, .external_lex_state = 22},
  [2428] = {.lex_state = 14, .external_lex_state = 16},
  [2429] = {.lex_state = 6, .external_lex_state = 39},
  [2430] = {.lex_state = 6, .external_lex_state = 39},
  [2431] = {.lex_state = 14, .external_lex_state = 16},
  [2432] = {.lex_state = 6, .external_lex_state = 39},
  [2433] = {.lex_state = 6, .external_lex_state = 39},
  [2434] = {.lex_state = 22, .external_lex_state = 21},
  [2435] = {.lex_state = 7, .external_lex_state = 38},
  [2436] = {.lex_state = 7, .external_lex_state = 38},
  [2437] = {.lex_state = 14, .external_lex_state = 35},
  [2438] = {.lex_state = 14, .external_lex_state = 35},
  [2439] = {.lex_state = 13, .external_lex_state = 21},
  [2440] = {.lex_state = 13, .external_lex_state = 22},
  [2441] = {.lex_state = 14, .external_lex_state = 22},
  [2442] = {.lex_state = 14, .external_lex_state = 16},
  [2443] = {.lex_state = 14, .external_lex_state = 16},
  [2444] = {.lex_state = 14, .external_lex_state = 31},
  [2445] = {.lex_state = 14, .external_lex_state = 31},
  [2446] = {.lex_state = 13, .external_lex_state = 21},
  [2447] = {.lex_state = 14, .external_lex_state = 31},
  [2448] = {.lex_state = 13, .external_lex_state = 22},
  [2449] = {.lex_state = 14, .external_lex_state = 31},
  [2450] = {.lex_state = 14, .external_lex_state = 22},
  [2451] = {.lex_state = 22, .external_lex_state = 21},
  [2452] = {.lex_state = 14, .external_lex_state = 22},
  [2453] = {.lex_state = 13, .external_lex_state = 22},
  [2454] = {.lex_state = 14, .external_lex_state = 19},
  [2455] = {.lex_state = 14, .external_lex_state = 19},
  [2456] = {.lex_state = 14, .external_lex_state = 22},
  [2457] = {.lex_state = 14, .external_lex_state = 22},
  [2458] = {.lex_state = 14, .external_lex_state = 22},
  [2459] = {.lex_state = 14, .external_lex_state = 22},
  [2460] = {.lex_state = 6, .external_lex_state = 39},
  [2461] = {.lex_state = 6, .external_lex_state = 39},
  [2462] = {.lex_state = 6, .external_lex_state = 39},
  [2463] = {.lex_state = 6, .external_lex_state = 39},
  [2464] = {.lex_state = 6, .external_lex_state = 39},
  [2465] = {.lex_state = 22, .external_lex_state = 22},
  [2466] = {.lex_state = 14, .external_lex_state = 21},
  [2467] = {.lex_state = 14, .external_lex_state = 16},
  [2468] = {.lex_state = 14, .external_lex_state = 15},
  [2469] = {.lex_state = 14, .external_lex_state = 16},
  [2470] = {.lex_state = 14, .external_lex_state = 21},
  [2471] = {.lex_state = 6, .external_lex_state = 39},
  [2472] = {.lex_state = 14, .external_lex_state = 15},
  [2473] = {.lex_state = 14, .external_lex_state = 15},
  [2474] = {.lex_state = 14, .external_lex_state = 15},
  [2475] = {.lex_state = 14, .external_lex_state = 19},
  [2476] = {.lex_state = 14, .external_lex_state = 15},
  [2477] = {.lex_state = 13, .external_lex_state = 22},
  [2478] = {.lex_state = 6, .external_lex_state = 39},
  [2479] = {.lex_state = 6, .external_lex_state = 39},
  [2480] = {.lex_state = 14, .external_lex_state = 21},
  [2481] = {.lex_state = 14, .external_lex_state = 21},
  [2482] = {.lex_state = 22, .external_lex_state = 22},
  [2483] = {.lex_state = 14, .external_lex_state = 16},
  [2484] = {.lex_state = 14, .external_lex_state = 16},
  [2485] = {.lex_state = 13, .external_lex_state = 19},
  [2486] = {.lex_state = 14, .external_lex_state = 16},
  [2487] = {.lex_state = 22, .external_lex_state = 22},
  [2488] = {.lex_state = 14, .external_lex_state = 16},
  [2489] = {.lex_state = 13, .external_lex_state = 21},
  [2490] = {.lex_state = 14, .external_lex_state = 16},
  [2491] = {.lex_state = 14, .external_lex_state = 15},
  [2492] = {.lex_state = 6, .external_lex_state = 39},
  [2493] = {.lex_state = 6, .external_lex_state = 39},
  [2494] = {.lex_state = 6, .external_lex_state = 39},
  [2495] = {.lex_state = 6, .external_lex_state = 39},
  [2496] = {.lex_state = 14, .external_lex_state = 21},
  [2497] = {.lex_state = 14, .external_lex_state = 21},
  [2498] = {.lex_state = 14, .external_lex_state = 16},
  [2499] = {.lex_state = 14, .external_lex_state = 16},
  [2500] = {.lex_state = 13, .external_lex_state = 21},
  [2501] = {.lex_state = 14, .external_lex_state = 16},
  [2502] = {.lex_state = 13, .external_lex_state = 19},
  [2503] = {.lex_state = 6, .external_lex_state = 39},
  [2504] = {.lex_state = 6, .external_lex_state = 39},
  [2505] = {.lex_state = 14, .external_lex_state = 21},
  [2506] = {.lex_state = 14, .external_lex_state = 16},
  [2507] = {.lex_state = 13, .external_lex_state = 19},
  [2508] = {.lex_state = 13, .external_lex_state = 22},
  [2509] = {.lex_state = 13, .external_lex_state = 19},
  [2510] = {.lex_state = 13, .external_lex_state = 19},
  [2511] = {.lex_state = 13, .external_lex_state = 19},
  [2512] = {.lex_state = 13, .external_lex_state = 19},
  [2513] = {.lex_state = 13, .external_lex_state = 21},
  [2514] = {.lex_state = 13, .external_lex_state = 21},
  [2515] = {.lex_state = 13, .external_lex_state = 21},
  [2516] = {.lex_state = 13, .external_lex_state = 21},
  [2517] = {.lex_state = 13, .external_lex_state = 19},
  [2518] = {.lex_state = 14, .external_lex_state = 33},
  [2519] = {.lex_state = 13, .external_lex_state = 19},
  [2520] = {.lex_state = 14, .external_lex_state = 16},
  [2521] = {.lex_state = 7, .external_lex_state = 38},
  [2522] = {.lex_state = 13, .external_lex_state = 22},
  [2523] = {.lex_state = 13, .external_lex_state = 22},
  [2524] = {.lex_state = 13, .external_lex_state = 22},
  [2525] = {.lex_state = 13, .external_lex_state = 22},
  [2526] = {.lex_state = 13, .external_lex_state = 19},
  [2527] = {.lex_state = 13, .external_lex_state = 21},
  [2528] = {.lex_state = 14, .external_lex_state = 33},
  [2529] = {.lex_state = 14, .external_lex_state = 33},
  [2530] = {.lex_state = 13, .external_lex_state = 19},
  [2531] = {.lex_state = 13, .external_lex_state = 19},
  [2532] = {.lex_state = 13, .external_lex_state = 19},
  [2533] = {.lex_state = 13, .external_lex_state = 19},
  [2534] = {.lex_state = 13, .external_lex_state = 19},
  [2535] = {.lex_state = 13, .external_lex_state = 19},
  [2536] = {.lex_state = 14, .external_lex_state = 15},
  [2537] = {.lex_state = 14, .external_lex_state = 33},
  [2538] = {.lex_state = 13, .external_lex_state = 19},
  [2539] = {.lex_state = 13, .external_lex_state = 19},
  [2540] = {.lex_state = 13, .external_lex_state = 19},
  [2541] = {.lex_state = 13, .external_lex_state = 19},
  [2542] = {.lex_state = 13, .external_lex_state = 19},
  [2543] = {.lex_state = 13, .external_lex_state = 19},
  [2544] = {.lex_state = 13, .external_lex_state = 19},
  [2545] = {.lex_state = 13, .external_lex_state = 19},
  [2546] = {.lex_state = 13, .external_lex_state = 22},
  [2547] = {.lex_state = 13, .external_lex_state = 19},
  [2548] = {.lex_state = 13, .external_lex_state = 19},
  [2549] = {.lex_state = 13, .external_lex_state = 19},
  [2550] = {.lex_state = 13, .external_lex_state = 19},
  [2551] = {.lex_state = 13, .external_lex_state = 19},
  [2552] = {.lex_state = 14, .external_lex_state = 16},
  [2553] = {.lex_state = 13, .external_lex_state = 19},
  [2554] = {.lex_state = 14, .external_lex_state = 15},
  [2555] = {.lex_state = 13, .external_lex_state = 19},
  [2556] = {.lex_state = 13, .external_lex_state = 19},
  [2557] = {.lex_state = 13, .external_lex_state = 19},
  [2558] = {.lex_state = 13, .external_lex_state = 19},
  [2559] = {.lex_state = 13, .external_lex_state = 19},
  [2560] = {.lex_state = 13, .external_lex_state = 19},
  [2561] = {.lex_state = 13, .external_lex_state = 19},
  [2562] = {.lex_state = 13, .external_lex_state = 19},
  [2563] = {.lex_state = 7, .external_lex_state = 38},
  [2564] = {.lex_state = 13, .external_lex_state = 19},
  [2565] = {.lex_state = 7, .external_lex_state = 38},
  [2566] = {.lex_state = 14, .external_lex_state = 16},
  [2567] = {.lex_state = 14, .external_lex_state = 15},
  [2568] = {.lex_state = 14, .external_lex_state = 15},
  [2569] = {.lex_state = 14, .external_lex_state = 15},
  [2570] = {.lex_state = 14, .external_lex_state = 15},
  [2571] = {.lex_state = 13, .external_lex_state = 21},
  [2572] = {.lex_state = 14, .external_lex_state = 21},
  [2573] = {.lex_state = 14, .external_lex_state = 16},
  [2574] = {.lex_state = 14, .external_lex_state = 15},
  [2575] = {.lex_state = 12, .external_lex_state = 21},
  [2576] = {.lex_state = 14, .external_lex_state = 15},
  [2577] = {.lex_state = 14, .external_lex_state = 15},
  [2578] = {.lex_state = 14, .external_lex_state = 16},
  [2579] = {.lex_state = 14, .external_lex_state = 15},
  [2580] = {.lex_state = 14, .external_lex_state = 15},
  [2581] = {.lex_state = 14, .external_lex_state = 16},
  [2582] = {.lex_state = 14, .external_lex_state = 16},
  [2583] = {.lex_state = 14, .external_lex_state = 15},
  [2584] = {.lex_state = 14, .external_lex_state = 15},
  [2585] = {.lex_state = 14, .external_lex_state = 16},
  [2586] = {.lex_state = 14, .external_lex_state = 15},
  [2587] = {.lex_state = 14, .external_lex_state = 15},
  [2588] = {.lex_state = 14, .external_lex_state = 15},
  [2589] = {.lex_state = 14, .external_lex_state = 15},
  [2590] = {.lex_state = 14, .external_lex_state = 15},
  [2591] = {.lex_state = 14, .external_lex_state = 15},
  [2592] = {.lex_state = 14, .external_lex_state = 16},
  [2593] = {.lex_state = 14, .external_lex_state = 16},
  [2594] = {.lex_state = 14, .external_lex_state = 16},
  [2595] = {.lex_state = 14, .external_lex_state = 16},
  [2596] = {.lex_state = 14, .external_lex_state = 16},
  [2597] = {.lex_state = 14, .external_lex_state = 15},
  [2598] = {.lex_state = 14, .external_lex_state = 15},
  [2599] = {.lex_state = 13, .external_lex_state = 19},
  [2600] = {.lex_state = 14, .external_lex_state = 16},
  [2601] = {.lex_state = 14, .external_lex_state = 19},
  [2602] = {.lex_state = 14, .external_lex_state = 16},
  [2603] = {.lex_state = 14, .external_lex_state = 16},
  [2604] = {.lex_state = 14, .external_lex_state = 15},
  [2605] = {.lex_state = 14, .external_lex_state = 16},
  [2606] = {.lex_state = 14, .external_lex_state = 16},
  [2607] = {.lex_state = 14, .external_lex_state = 16},
  [2608] = {.lex_state = 14, .external_lex_state = 15},
  [2609] = {.lex_state = 22, .external_lex_state = 21},
  [2610] = {.lex_state = 14, .external_lex_state = 16},
  [2611] = {.lex_state = 14, .external_lex_state = 16},
  [2612] = {.lex_state = 14, .external_lex_state = 16},
  [2613] = {.lex_state = 14, .external_lex_state = 15},
  [2614] = {.lex_state = 22, .external_lex_state = 21},
  [2615] = {.lex_state = 22, .external_lex_state = 21},
  [2616] = {.lex_state = 14, .external_lex_state = 16},
  [2617] = {.lex_state = 14, .external_lex_state = 16},
  [2618] = {.lex_state = 14, .external_lex_state = 16},
  [2619] = {.lex_state = 14, .external_lex_state = 19},
  [2620] = {.lex_state = 14, .external_lex_state = 16},
  [2621] = {.lex_state = 13, .external_lex_state = 22},
  [2622] = {.lex_state = 14, .external_lex_state = 16},
  [2623] = {.lex_state = 13, .external_lex_state = 19},
  [2624] = {.lex_state = 14, .external_lex_state = 16},
  [2625] = {.lex_state = 13, .external_lex_state = 22},
  [2626] = {.lex_state = 14, .external_lex_state = 16},
  [2627] = {.lex_state = 14, .external_lex_state = 16},
  [2628] = {.lex_state = 13, .external_lex_state = 22},
  [2629] = {.lex_state = 13, .external_lex_state = 22},
  [2630] = {.lex_state = 13, .external_lex_state = 22},
  [2631] = {.lex_state = 13, .external_lex_state = 22},
  [2632] = {.lex_state = 14, .external_lex_state = 16},
  [2633] = {.lex_state = 14, .external_lex_state = 16},
  [2634] = {.lex_state = 14, .external_lex_state = 15},
  [2635] = {.lex_state = 14, .external_lex_state = 15},
  [2636] = {.lex_state = 12, .external_lex_state = 22},
  [2637] = {.lex_state = 14, .external_lex_state = 16},
  [2638] = {.lex_state = 13, .external_lex_state = 19},
  [2639] = {.lex_state = 14, .external_lex_state = 16},
  [2640] = {.lex_state = 12, .external_lex_state = 19},
  [2641] = {.lex_state = 13, .external_lex_state = 22},
  [2642] = {.lex_state = 22, .external_lex_state = 22},
  [2643] = {.lex_state = 14, .external_lex_state = 16},
  [2644] = {.lex_state = 14, .external_lex_state = 16},
  [2645] = {.lex_state = 14, .external_lex_state = 16},
  [2646] = {.lex_state = 14, .external_lex_state = 19},
  [2647] = {.lex_state = 13, .external_lex_state = 22},
  [2648] = {.lex_state = 14, .external_lex_state = 16},
  [2649] = {.lex_state = 14, .external_lex_state = 15},
  [2650] = {.lex_state = 14, .external_lex_state = 16},
  [2651] = {.lex_state = 14, .external_lex_state = 15},
  [2652] = {.lex_state = 14, .external_lex_state = 16},
  [2653] = {.lex_state = 13, .external_lex_state = 22},
  [2654] = {.lex_state = 13, .external_lex_state = 22},
  [2655] = {.lex_state = 13, .external_lex_state = 22},
  [2656] = {.lex_state = 13, .external_lex_state = 22},
  [2657] = {.lex_state = 14, .external_lex_state = 16},
  [2658] = {.lex_state = 13, .external_lex_state = 22},
  [2659] = {.lex_state = 14, .external_lex_state = 16},
  [2660] = {.lex_state = 13, .external_lex_state = 22},
  [2661] = {.lex_state = 13, .external_lex_state = 22},
  [2662] = {.lex_state = 13, .external_lex_state = 22},
  [2663] = {.lex_state = 14, .external_lex_state = 16},
  [2664] = {.lex_state = 13, .external_lex_state = 21},
  [2665] = {.lex_state = 13, .external_lex_state = 22},
  [2666] = {.lex_state = 14, .external_lex_state = 16},
  [2667] = {.lex_state = 13, .external_lex_state = 22},
  [2668] = {.lex_state = 13, .external_lex_state = 22},
  [2669] = {.lex_state = 13, .external_lex_state = 22},
  [2670] = {.lex_state = 14, .external_lex_state = 16},
  [2671] = {.lex_state = 13, .external_lex_state = 21},
  [2672] = {.lex_state = 14, .external_lex_state = 16},
  [2673] = {.lex_state = 14, .external_lex_state = 16},
  [2674] = {.lex_state = 13, .external_lex_state = 21},
  [2675] = {.lex_state = 13, .external_lex_state = 21},
  [2676] = {.lex_state = 14, .external_lex_state = 16},
  [2677] = {.lex_state = 13, .external_lex_state = 21},
  [2678] = {.lex_state = 13, .external_lex_state = 21},
  [2679] = {.lex_state = 14, .external_lex_state = 16},
  [2680] = {.lex_state = 13, .external_lex_state = 22},
  [2681] = {.lex_state = 13, .external_lex_state = 21},
  [2682] = {.lex_state = 14, .external_lex_state = 16},
  [2683] = {.lex_state = 13, .external_lex_state = 21},
  [2684] = {.lex_state = 13, .external_lex_state = 22},
  [2685] = {.lex_state = 14, .external_lex_state = 16},
  [2686] = {.lex_state = 14, .external_lex_state = 15},
  [2687] = {.lex_state = 14, .external_lex_state = 16},
  [2688] = {.lex_state = 14, .external_lex_state = 15},
  [2689] = {.lex_state = 14, .external_lex_state = 15},
  [2690] = {.lex_state = 14, .external_lex_state = 16},
  [2691] = {.lex_state = 14, .external_lex_state = 16},
  [2692] = {.lex_state = 14, .external_lex_state = 15},
  [2693] = {.lex_state = 14, .external_lex_state = 16},
  [2694] = {.lex_state = 14, .external_lex_state = 16},
  [2695] = {.lex_state = 14, .external_lex_state = 16},
  [2696] = {.lex_state = 14, .external_lex_state = 15},
  [2697] = {.lex_state = 13, .external_lex_state = 22},
  [2698] = {.lex_state = 14, .external_lex_state = 16},
  [2699] = {.lex_state = 13, .external_lex_state = 22},
  [2700] = {.lex_state = 14, .external_lex_state = 16},
  [2701] = {.lex_state = 14, .external_lex_state = 16},
  [2702] = {.lex_state = 14, .external_lex_state = 15},
  [2703] = {.lex_state = 13, .external_lex_state = 21},
  [2704] = {.lex_state = 14, .external_lex_state = 16},
  [2705] = {.lex_state = 7, .external_lex_state = 38},
  [2706] = {.lex_state = 14, .external_lex_state = 16},
  [2707] = {.lex_state = 14, .external_lex_state = 16},
  [2708] = {.lex_state = 13, .external_lex_state = 21},
  [2709] = {.lex_state = 13, .external_lex_state = 21},
  [2710] = {.lex_state = 14, .external_lex_state = 15},
  [2711] = {.lex_state = 14, .external_lex_state = 15},
  [2712] = {.lex_state = 13, .external_lex_state = 21},
  [2713] = {.lex_state = 14, .external_lex_state = 16},
  [2714] = {.lex_state = 13, .external_lex_state = 21},
  [2715] = {.lex_state = 13, .external_lex_state = 21},
  [2716] = {.lex_state = 13, .external_lex_state = 21},
  [2717] = {.lex_state = 14, .external_lex_state = 16},
  [2718] = {.lex_state = 13, .external_lex_state = 21},
  [2719] = {.lex_state = 14, .external_lex_state = 16},
  [2720] = {.lex_state = 13, .external_lex_state = 21},
  [2721] = {.lex_state = 13, .external_lex_state = 21},
  [2722] = {.lex_state = 13, .external_lex_state = 21},
  [2723] = {.lex_state = 13, .external_lex_state = 21},
  [2724] = {.lex_state = 13, .external_lex_state = 21},
  [2725] = {.lex_state = 13, .external_lex_state = 21},
  [2726] = {.lex_state = 13, .external_lex_state = 21},
  [2727] = {.lex_state = 14, .external_lex_state = 16},
  [2728] = {.lex_state = 13, .external_lex_state = 22},
  [2729] = {.lex_state = 14, .external_lex_state = 15},
  [2730] = {.lex_state = 14, .external_lex_state = 16},
  [2731] = {.lex_state = 13, .external_lex_state = 21},
  [2732] = {.lex_state = 14, .external_lex_state = 16},
  [2733] = {.lex_state = 14, .external_lex_state = 16},
  [2734] = {.lex_state = 13, .external_lex_state = 21},
  [2735] = {.lex_state = 13, .external_lex_state = 21},
  [2736] = {.lex_state = 13, .external_lex_state = 21},
  [2737] = {.lex_state = 22, .external_lex_state = 19},
  [2738] = {.lex_state = 13, .external_lex_state = 21},
  [2739] = {.lex_state = 14, .external_lex_state = 16},
  [2740] = {.lex_state = 14, .external_lex_state = 16},
  [2741] = {.lex_state = 13, .external_lex_state = 21},
  [2742] = {.lex_state = 14, .external_lex_state = 16},
  [2743] = {.lex_state = 14, .external_lex_state = 16},
  [2744] = {.lex_state = 13, .external_lex_state = 21},
  [2745] = {.lex_state = 13, .external_lex_state = 21},
  [2746] = {.lex_state = 14, .external_lex_state = 16},
  [2747] = {.lex_state = 14, .external_lex_state = 15},
  [2748] = {.lex_state = 13, .external_lex_state = 21},
  [2749] = {.lex_state = 13, .external_lex_state = 21},
  [2750] = {.lex_state = 14, .external_lex_state = 16},
  [2751] = {.lex_state = 13, .external_lex_state = 21},
  [2752] = {.lex_state = 14, .external_lex_state = 16},
  [2753] = {.lex_state = 13, .external_lex_state = 21},
  [2754] = {.lex_state = 14, .external_lex_state = 16},
  [2755] = {.lex_state = 13, .external_lex_state = 21},
  [2756] = {.lex_state = 13, .external_lex_state = 21},
  [2757] = {.lex_state = 14, .external_lex_state = 16},
  [2758] = {.lex_state = 14, .external_lex_state = 16},
  [2759] = {.lex_state = 14, .external_lex_state = 16},
  [2760] = {.lex_state = 13, .external_lex_state = 21},
  [2761] = {.lex_state = 14, .external_lex_state = 16},
  [2762] = {.lex_state = 13, .external_lex_state = 22},
  [2763] = {.lex_state = 13, .external_lex_state = 19},
  [2764] = {.lex_state = 13, .external_lex_state = 22},
  [2765] = {.lex_state = 14, .external_lex_state = 16},
  [2766] = {.lex_state = 22, .external_lex_state = 19},
  [2767] = {.lex_state = 22, .external_lex_state = 19},
  [2768] = {.lex_state = 14, .external_lex_state = 16},
  [2769] = {.lex_state = 14, .external_lex_state = 16},
  [2770] = {.lex_state = 14, .external_lex_state = 16},
  [2771] = {.lex_state = 14, .external_lex_state = 15},
  [2772] = {.lex_state = 14, .external_lex_state = 16},
  [2773] = {.lex_state = 13, .external_lex_state = 19},
  [2774] = {.lex_state = 13, .external_lex_state = 19},
  [2775] = {.lex_state = 13, .external_lex_state = 19},
  [2776] = {.lex_state = 13, .external_lex_state = 19},
  [2777] = {.lex_state = 13, .external_lex_state = 22},
  [2778] = {.lex_state = 13, .external_lex_state = 22},
  [2779] = {.lex_state = 14, .external_lex_state = 22},
  [2780] = {.lex_state = 14, .external_lex_state = 16},
  [2781] = {.lex_state = 22, .external_lex_state = 19},
  [2782] = {.lex_state = 22, .external_lex_state = 19},
  [2783] = {.lex_state = 14, .external_lex_state = 19},
  [2784] = {.lex_state = 14, .external_lex_state = 16},
  [2785] = {.lex_state = 14, .external_lex_state = 15},
  [2786] = {.lex_state = 13, .external_lex_state = 19},
  [2787] = {.lex_state = 14, .external_lex_state = 19},
  [2788] = {.lex_state = 13, .external_lex_state = 22},
  [2789] = {.lex_state = 13, .external_lex_state = 22},
  [2790] = {.lex_state = 6, .external_lex_state = 39},
  [2791] = {.lex_state = 13, .external_lex_state = 22},
  [2792] = {.lex_state = 6, .external_lex_state = 39},
  [2793] = {.lex_state = 13, .external_lex_state = 22},
  [2794] = {.lex_state = 14, .external_lex_state = 16},
  [2795] = {.lex_state = 6, .external_lex_state = 39},
  [2796] = {.lex_state = 13, .external_lex_state = 22},
  [2797] = {.lex_state = 6, .external_lex_state = 39},
  [2798] = {.lex_state = 14, .external_lex_state = 35},
  [2799] = {.lex_state = 6, .external_lex_state = 39},
  [2800] = {.lex_state = 6, .external_lex_state = 39},
  [2801] = {.lex_state = 14, .external_lex_state = 35},
  [2802] = {.lex_state = 13, .external_lex_state = 22},
  [2803] = {.lex_state = 6, .external_lex_state = 39},
  [2804] = {.lex_state = 6, .external_lex_state = 39},
  [2805] = {.lex_state = 13, .external_lex_state = 22},
  [2806] = {.lex_state = 13, .external_lex_state = 22},
  [2807] = {.lex_state = 14, .external_lex_state = 16},
  [2808] = {.lex_state = 13, .external_lex_state = 22},
  [2809] = {.lex_state = 14, .external_lex_state = 16},
  [2810] = {.lex_state = 14, .external_lex_state = 16},
  [2811] = {.lex_state = 14, .external_lex_state = 22},
  [2812] = {.lex_state = 14, .external_lex_state = 21},
  [2813] = {.lex_state = 14, .external_lex_state = 21},
  [2814] = {.lex_state = 14, .external_lex_state = 21},
  [2815] = {.lex_state = 12, .external_lex_state = 16},
  [2816] = {.lex_state = 14, .external_lex_state = 19},
  [2817] = {.lex_state = 7, .external_lex_state = 39},
  [2818] = {.lex_state = 12, .external_lex_state = 16},
  [2819] = {.lex_state = 7, .external_lex_state = 39},
  [2820] = {.lex_state = 14, .external_lex_state = 22},
  [2821] = {.lex_state = 7, .external_lex_state = 39},
  [2822] = {.lex_state = 7, .external_lex_state = 39},
  [2823] = {.lex_state = 12, .external_lex_state = 16},
  [2824] = {.lex_state = 14, .external_lex_state = 22},
  [2825] = {.lex_state = 14, .external_lex_state = 22},
  [2826] = {.lex_state = 14, .external_lex_state = 22},
  [2827] = {.lex_state = 12, .external_lex_state = 16},
  [2828] = {.lex_state = 8, .external_lex_state = 40},
  [2829] = {.lex_state = 14, .external_lex_state = 19},
  [2830] = {.lex_state = 14, .external_lex_state = 22},
  [2831] = {.lex_state = 14, .external_lex_state = 21},
  [2832] = {.lex_state = 12, .external_lex_state = 16},
  [2833] = {.lex_state = 14, .external_lex_state = 21},
  [2834] = {.lex_state = 12, .external_lex_state = 16},
  [2835] = {.lex_state = 14, .external_lex_state = 19},
  [2836] = {.lex_state = 14, .external_lex_state = 19},
  [2837] = {.lex_state = 12, .external_lex_state = 16},
  [2838] = {.lex_state = 14, .external_lex_state = 19},
  [2839] = {.lex_state = 7, .external_lex_state = 39},
  [2840] = {.lex_state = 7, .external_lex_state = 39},
  [2841] = {.lex_state = 14, .external_lex_state = 22},
  [2842] = {.lex_state = 14, .external_lex_state = 19},
  [2843] = {.lex_state = 7, .external_lex_state = 39},
  [2844] = {.lex_state = 7, .external_lex_state = 39},
  [2845] = {.lex_state = 12, .external_lex_state = 16},
  [2846] = {.lex_state = 7, .external_lex_state = 39},
  [2847] = {.lex_state = 8, .external_lex_state = 40},
  [2848] = {.lex_state = 12, .external_lex_state = 16},
  [2849] = {.lex_state = 12, .external_lex_state = 16},
  [2850] = {.lex_state = 14, .external_lex_state = 21},
  [2851] = {.lex_state = 14, .external_lex_state = 21},
  [2852] = {.lex_state = 5, .external_lex_state = 38},
  [2853] = {.lex_state = 14, .external_lex_state = 22},
  [2854] = {.lex_state = 14, .external_lex_state = 21},
  [2855] = {.lex_state = 14, .external_lex_state = 22},
  [2856] = {.lex_state = 14, .external_lex_state = 21},
  [2857] = {.lex_state = 14, .external_lex_state = 22},
  [2858] = {.lex_state = 14, .external_lex_state = 22},
  [2859] = {.lex_state = 14, .external_lex_state = 22},
  [2860] = {.lex_state = 14, .external_lex_state = 19},
  [2861] = {.lex_state = 7, .external_lex_state = 39},
  [2862] = {.lex_state = 14, .external_lex_state = 22},
  [2863] = {.lex_state = 7, .external_lex_state = 39},
  [2864] = {.lex_state = 14, .external_lex_state = 19},
  [2865] = {.lex_state = 14, .external_lex_state = 19},
  [2866] = {.lex_state = 12, .external_lex_state = 16},
  [2867] = {.lex_state = 14, .external_lex_state = 19},
  [2868] = {.lex_state = 14, .external_lex_state = 22},
  [2869] = {.lex_state = 14, .external_lex_state = 22},
  [2870] = {.lex_state = 14, .external_lex_state = 21},
  [2871] = {.lex_state = 14, .external_lex_state = 21},
  [2872] = {.lex_state = 14, .external_lex_state = 22},
  [2873] = {.lex_state = 14, .external_lex_state = 22},
  [2874] = {.lex_state = 14, .external_lex_state = 21},
  [2875] = {.lex_state = 14, .external_lex_state = 21},
  [2876] = {.lex_state = 14, .external_lex_state = 21},
  [2877] = {.lex_state = 14, .external_lex_state = 19},
  [2878] = {.lex_state = 14, .external_lex_state = 21},
  [2879] = {.lex_state = 14, .external_lex_state = 21},
  [2880] = {.lex_state = 7, .external_lex_state = 39},
  [2881] = {.lex_state = 7, .external_lex_state = 39},
  [2882] = {.lex_state = 7, .external_lex_state = 39},
  [2883] = {.lex_state = 14, .external_lex_state = 21},
  [2884] = {.lex_state = 7, .external_lex_state = 39},
  [2885] = {.lex_state = 14, .external_lex_state = 19},
  [2886] = {.lex_state = 14, .external_lex_state = 22},
  [2887] = {.lex_state = 14, .external_lex_state = 21},
  [2888] = {.lex_state = 14, .external_lex_state = 22},
  [2889] = {.lex_state = 14, .external_lex_state = 21},
  [2890] = {.lex_state = 14, .external_lex_state = 21},
  [2891] = {.lex_state = 14, .external_lex_state = 21},
  [2892] = {.lex_state = 7, .external_lex_state = 39},
  [2893] = {.lex_state = 7, .external_lex_state = 39},
  [2894] = {.lex_state = 14, .external_lex_state = 22},
  [2895] = {.lex_state = 14, .external_lex_state = 22},
  [2896] = {.lex_state = 14, .external_lex_state = 21},
  [2897] = {.lex_state = 14, .external_lex_state = 21},
  [2898] = {.lex_state = 14, .external_lex_state = 22},
  [2899] = {.lex_state = 14, .external_lex_state = 21},
  [2900] = {.lex_state = 14, .external_lex_state = 19},
  [2901] = {.lex_state = 14, .external_lex_state = 22},
  [2902] = {.lex_state = 14, .external_lex_state = 22},
  [2903] = {.lex_state = 14, .external_lex_state = 22},
  [2904] = {.lex_state = 14, .external_lex_state = 22},
  [2905] = {.lex_state = 14, .external_lex_state = 22},
  [2906] = {.lex_state = 14, .external_lex_state = 19},
  [2907] = {.lex_state = 12, .external_lex_state = 16},
  [2908] = {.lex_state = 14, .external_lex_state = 22},
  [2909] = {.lex_state = 14, .external_lex_state = 22},
  [2910] = {.lex_state = 14, .external_lex_state = 19},
  [2911] = {.lex_state = 12, .external_lex_state = 16},
  [2912] = {.lex_state = 14, .external_lex_state = 19},
  [2913] = {.lex_state = 14, .external_lex_state = 22},
  [2914] = {.lex_state = 14, .external_lex_state = 19},
  [2915] = {.lex_state = 14, .external_lex_state = 19},
  [2916] = {.lex_state = 14, .external_lex_state = 19},
  [2917] = {.lex_state = 14, .external_lex_state = 19},
  [2918] = {.lex_state = 14, .external_lex_state = 21},
  [2919] = {.lex_state = 14, .external_lex_state = 22},
  [2920] = {.lex_state = 14, .external_lex_state = 19},
  [2921] = {.lex_state = 14, .external_lex_state = 19},
  [2922] = {.lex_state = 14, .external_lex_state = 19},
  [2923] = {.lex_state = 14, .external_lex_state = 19},
  [2924] = {.lex_state = 14, .external_lex_state = 21},
  [2925] = {.lex_state = 14, .external_lex_state = 19},
  [2926] = {.lex_state = 14, .external_lex_state = 19},
  [2927] = {.lex_state = 14, .external_lex_state = 21},
  [2928] = {.lex_state = 14, .external_lex_state = 21},
  [2929] = {.lex_state = 14, .external_lex_state = 22},
  [2930] = {.lex_state = 14, .external_lex_state = 19},
  [2931] = {.lex_state = 5, .external_lex_state = 38},
  [2932] = {.lex_state = 8, .external_lex_state = 40},
  [2933] = {.lex_state = 14, .external_lex_state = 22},
  [2934] = {.lex_state = 14, .external_lex_state = 22},
  [2935] = {.lex_state = 14, .external_lex_state = 21},
  [2936] = {.lex_state = 14, .external_lex_state = 22},
  [2937] = {.lex_state = 12, .external_lex_state = 16},
  [2938] = {.lex_state = 14, .external_lex_state = 21},
  [2939] = {.lex_state = 14, .external_lex_state = 22},
  [2940] = {.lex_state = 14, .external_lex_state = 19},
  [2941] = {.lex_state = 14, .external_lex_state = 22},
  [2942] = {.lex_state = 5, .external_lex_state = 38},
  [2943] = {.lex_state = 7, .external_lex_state = 39},
  [2944] = {.lex_state = 5, .external_lex_state = 38},
  [2945] = {.lex_state = 12, .external_lex_state = 16},
  [2946] = {.lex_state = 14, .external_lex_state = 19},
  [2947] = {.lex_state = 7, .external_lex_state = 39},
  [2948] = {.lex_state = 7, .external_lex_state = 39},
  [2949] = {.lex_state = 7, .external_lex_state = 39},
  [2950] = {.lex_state = 14, .external_lex_state = 22},
  [2951] = {.lex_state = 14, .external_lex_state = 21},
  [2952] = {.lex_state = 14, .external_lex_state = 21},
  [2953] = {.lex_state = 14, .external_lex_state = 22},
  [2954] = {.lex_state = 12, .external_lex_state = 16},
  [2955] = {.lex_state = 8, .external_lex_state = 40},
  [2956] = {.lex_state = 7, .external_lex_state = 39},
  [2957] = {.lex_state = 14, .external_lex_state = 19},
  [2958] = {.lex_state = 14, .external_lex_state = 21},
  [2959] = {.lex_state = 7, .external_lex_state = 39},
  [2960] = {.lex_state = 14, .external_lex_state = 19},
  [2961] = {.lex_state = 7, .external_lex_state = 39},
  [2962] = {.lex_state = 12, .external_lex_state = 16},
  [2963] = {.lex_state = 8, .external_lex_state = 40},
  [2964] = {.lex_state = 7, .external_lex_state = 39},
  [2965] = {.lex_state = 14, .external_lex_state = 19},
  [2966] = {.lex_state = 14, .external_lex_state = 19},
  [2967] = {.lex_state = 14, .external_lex_state = 22},
  [2968] = {.lex_state = 14, .external_lex_state = 19},
  [2969] = {.lex_state = 14, .external_lex_state = 21},
  [2970] = {.lex_state = 7, .external_lex_state = 39},
  [2971] = {.lex_state = 14, .external_lex_state = 21},
  [2972] = {.lex_state = 12, .external_lex_state = 16},
  [2973] = {.lex_state = 14, .external_lex_state = 19},
  [2974] = {.lex_state = 14, .external_lex_state = 19},
  [2975] = {.lex_state = 14, .external_lex_state = 19},
  [2976] = {.lex_state = 14, .external_lex_state = 19},
  [2977] = {.lex_state = 14, .external_lex_state = 22},
  [2978] = {.lex_state = 5, .external_lex_state = 38},
  [2979] = {.lex_state = 14, .external_lex_state = 19},
  [2980] = {.lex_state = 14, .external_lex_state = 22},
  [2981] = {.lex_state = 14, .external_lex_state = 21},
  [2982] = {.lex_state = 14, .external_lex_state = 19},
  [2983] = {.lex_state = 14, .external_lex_state = 22},
  [2984] = {.lex_state = 12, .external_lex_state = 16},
  [2985] = {.lex_state = 14, .external_lex_state = 19},
  [2986] = {.lex_state = 14, .external_lex_state = 19},
  [2987] = {.lex_state = 14, .external_lex_state = 19},
  [2988] = {.lex_state = 14, .external_lex_state = 19},
  [2989] = {.lex_state = 14, .external_lex_state = 19},
  [2990] = {.lex_state = 14, .external_lex_state = 21},
  [2991] = {.lex_state = 14, .external_lex_state = 21},
  [2992] = {.lex_state = 14, .external_lex_state = 21},
  [2993] = {.lex_state = 14, .external_lex_state = 21},
  [2994] = {.lex_state = 14, .external_lex_state = 21},
  [2995] = {.lex_state = 14, .external_lex_state = 21},
  [2996] = {.lex_state = 14, .external_lex_state = 22},
  [2997] = {.lex_state = 12, .external_lex_state = 16},
  [2998] = {.lex_state = 14, .external_lex_state = 16},
  [2999] = {.lex_state = 14, .external_lex_state = 21},
  [3000] = {.lex_state = 14, .external_lex_state = 19},
  [3001] = {.lex_state = 14, .external_lex_state = 21},
  [3002] = {.lex_state = 14, .external_lex_state = 21},
  [3003] = {.lex_state = 14, .external_lex_state = 22},
  [3004] = {.lex_state = 14, .external_lex_state = 22},
  [3005] = {.lex_state = 14, .external_lex_state = 21},
  [3006] = {.lex_state = 14, .external_lex_state = 22},
  [3007] = {.lex_state = 14, .external_lex_state = 21},
  [3008] = {.lex_state = 14, .external_lex_state = 19},
  [3009] = {.lex_state = 5, .external_lex_state = 39},
  [3010] = {.lex_state = 14, .external_lex_state = 16},
  [3011] = {.lex_state = 8, .external_lex_state = 41},
  [3012] = {.lex_state = 8, .external_lex_state = 41},
  [3013] = {.lex_state = 14, .external_lex_state = 16},
  [3014] = {.lex_state = 5, .external_lex_state = 39},
  [3015] = {.lex_state = 5, .external_lex_state = 39},
  [3016] = {.lex_state = 14, .external_lex_state = 16},
  [3017] = {.lex_state = 14, .external_lex_state = 16},
  [3018] = {.lex_state = 8, .external_lex_state = 41},
  [3019] = {.lex_state = 5, .external_lex_state = 39},
  [3020] = {.lex_state = 14, .external_lex_state = 16},
  [3021] = {.lex_state = 5, .external_lex_state = 39},
  [3022] = {.lex_state = 5, .external_lex_state = 39},
  [3023] = {.lex_state = 5, .external_lex_state = 39},
  [3024] = {.lex_state = 5, .external_lex_state = 39},
  [3025] = {.lex_state = 14, .external_lex_state = 16},
  [3026] = {.lex_state = 14, .external_lex_state = 16},
  [3027] = {.lex_state = 8, .external_lex_state = 41},
  [3028] = {.lex_state = 14, .external_lex_state = 16},
  [3029] = {.lex_state = 5, .external_lex_state = 39},
  [3030] = {.lex_state = 8, .external_lex_state = 41},
  [3031] = {.lex_state = 14, .external_lex_state = 16},
  [3032] = {.lex_state = 5, .external_lex_state = 39},
  [3033] = {.lex_state = 5, .external_lex_state = 39},
  [3034] = {.lex_state = 14, .external_lex_state = 16},
  [3035] = {.lex_state = 14, .external_lex_state = 16},
  [3036] = {.lex_state = 5, .external_lex_state = 39},
  [3037] = {.lex_state = 8, .external_lex_state = 41},
  [3038] = {.lex_state = 8, .external_lex_state = 41},
  [3039] = {.lex_state = 8, .external_lex_state = 41},
  [3040] = {.lex_state = 8, .external_lex_state = 41},
  [3041] = {.lex_state = 8, .external_lex_state = 41},
  [3042] = {.lex_state = 8, .external_lex_state = 41},
  [3043] = {.lex_state = 8, .external_lex_state = 41},
  [3044] = {.lex_state = 8, .external_lex_state = 41},
  [3045] = {.lex_state = 8, .external_lex_state = 41},
  [3046] = {.lex_state = 5, .external_lex_state = 39},
  [3047] = {.lex_state = 5, .external_lex_state = 39},
  [3048] = {.lex_state = 14, .external_lex_state = 16},
  [3049] = {.lex_state = 5, .external_lex_state = 39},
  [3050] = {.lex_state = 8, .external_lex_state = 41},
  [3051] = {.lex_state = 14, .external_lex_state = 16},
  [3052] = {.lex_state = 8, .external_lex_state = 41},
  [3053] = {.lex_state = 8, .external_lex_state = 41},
  [3054] = {.lex_state = 8, .external_lex_state = 41},
  [3055] = {.lex_state = 5, .external_lex_state = 39},
  [3056] = {.lex_state = 14, .external_lex_state = 16},
  [3057] = {.lex_state = 5, .external_lex_state = 39},
  [3058] = {.lex_state = 8, .external_lex_state = 41},
  [3059] = {.lex_state = 8, .external_lex_state = 41},
  [3060] = {.lex_state = 5, .external_lex_state = 39},
  [3061] = {.lex_state = 5, .external_lex_state = 39},
  [3062] = {.lex_state = 14, .external_lex_state = 16},
  [3063] = {.lex_state = 5, .external_lex_state = 39},
  [3064] = {.lex_state = 5, .external_lex_state = 39},
  [3065] = {.lex_state = 14, .external_lex_state = 16},
  [3066] = {.lex_state = 14, .external_lex_state = 16},
  [3067] = {.lex_state = 8, .external_lex_state = 41},
  [3068] = {.lex_state = 8, .external_lex_state = 41},
  [3069] = {.lex_state = 14, .external_lex_state = 16},
  [3070] = {.lex_state = 8, .external_lex_state = 41},
  [3071] = {.lex_state = 5, .external_lex_state = 39},
  [3072] = {.lex_state = 8, .external_lex_state = 41},
  [3073] = {.lex_state = 14, .external_lex_state = 16},
  [3074] = {.lex_state = 5, .external_lex_state = 39},
  [3075] = {.lex_state = 8, .external_lex_state = 41},
  [3076] = {.lex_state = 5, .external_lex_state = 39},
  [3077] = {.lex_state = 5, .external_lex_state = 39},
  [3078] = {.lex_state = 14, .external_lex_state = 16},
  [3079] = {.lex_state = 8, .external_lex_state = 41},
  [3080] = {.lex_state = 5, .external_lex_state = 39},
  [3081] = {.lex_state = 14, .external_lex_state = 16},
  [3082] = {.lex_state = 9, .external_lex_state = 14},
  [3083] = {.lex_state = 10, .external_lex_state = 13},
  [3084] = {.lex_state = 9, .external_lex_state = 14},
  [3085] = {.lex_state = 10, .external_lex_state = 13},
  [3086] = {.lex_state = 9, .external_lex_state = 42},
  [3087] = {.lex_state = 10, .external_lex_state = 43},
  [3088] = {.lex_state = 10, .external_lex_state = 13},
  [3089] = {.lex_state = 10, .external_lex_state = 13},
  [3090] = {.lex_state = 2, .external_lex_state = 11},
  [3091] = {.lex_state = 9, .external_lex_state = 14},
  [3092] = {.lex_state = 10, .external_lex_state = 13},
  [3093] = {.lex_state = 9, .external_lex_state = 14},
  [3094] = {.lex_state = 2, .external_lex_state = 11},
  [3095] = {.lex_state = 10, .external_lex_state = 13},
  [3096] = {.lex_state = 10, .external_lex_state = 13},
  [3097] = {.lex_state = 9, .external_lex_state = 14},
  [3098] = {.lex_state = 10, .external_lex_state = 13},
  [3099] = {.lex_state = 2, .external_lex_state = 11},
  [3100] = {.lex_state = 9, .external_lex_state = 14},
  [3101] = {.lex_state = 2, .external_lex_state = 11},
  [3102] = {.lex_state = 9, .external_lex_state = 14},
  [3103] = {.lex_state = 10, .external_lex_state = 13},
  [3104] = {.lex_state = 10, .external_lex_state = 13},
  [3105] = {.lex_state = 9, .external_lex_state = 14},
  [3106] = {.lex_state = 9, .external_lex_state = 14},
  [3107] = {.lex_state = 9, .external_lex_state = 14},
  [3108] = {.lex_state = 10, .external_lex_state = 13},
  [3109] = {.lex_state = 9, .external_lex_state = 14},
  [3110] = {.lex_state = 9, .external_lex_state = 14},
  [3111] = {.lex_state = 9, .external_lex_state = 14},
  [3112] = {.lex_state = 10, .external_lex_state = 13},
  [3113] = {.lex_state = 9, .external_lex_state = 14},
  [3114] = {.lex_state = 9, .external_lex_state = 14},
  [3115] = {.lex_state = 10, .external_lex_state = 13},
  [3116] = {.lex_state = 10, .external_lex_state = 13},
  [3117] = {.lex_state = 10, .external_lex_state = 13},
  [3118] = {.lex_state = 9, .external_lex_state = 14},
  [3119] = {.lex_state = 10, .external_lex_state = 13},
  [3120] = {.lex_state = 9, .external_lex_state = 14},
  [3121] = {.lex_state = 10, .external_lex_state = 13},
  [3122] = {.lex_state = 9, .external_lex_state = 14},
  [3123] = {.lex_state = 10, .external_lex_state = 13},
  [3124] = {.lex_state = 10, .external_lex_state = 13},
  [3125] = {.lex_state = 9, .external_lex_state = 14},
  [3126] = {.lex_state = 9, .external_lex_state = 14},
  [3127] = {.lex_state = 10, .external_lex_state = 13},
  [3128] = {.lex_state = 11, .external_lex_state = 44},
  [3129] = {.lex_state = 11, .external_lex_state = 44},
  [3130] = {.lex_state = 11, .external_lex_state = 44},
  [3131] = {.lex_state = 15, .external_lex_state = 45},
  [3132] = {.lex_state = 11, .external_lex_state = 44},
  [3133] = {.lex_state = 11, .external_lex_state = 44},
  [3134] = {.lex_state = 11, .external_lex_state = 44},
  [3135] = {.lex_state = 11, .external_lex_state = 44},
  [3136] = {.lex_state = 11, .external_lex_state = 44},
  [3137] = {.lex_state = 11, .external_lex_state = 44},
  [3138] = {.lex_state = 11, .external_lex_state = 44},
  [3139] = {.lex_state = 11, .external_lex_state = 44},
  [3140] = {.lex_state = 11, .external_lex_state = 44},
  [3141] = {.lex_state = 11, .external_lex_state = 44},
  [3142] = {.lex_state = 11, .external_lex_state = 44},
  [3143] = {.lex_state = 11, .external_lex_state = 44},
  [3144] = {.lex_state = 11, .external_lex_state = 44},
  [3145] = {.lex_state = 11, .external_lex_state = 44},
  [3146] = {.lex_state = 15, .external_lex_state = 45},
  [3147] = {.lex_state = 11, .external_lex_state = 44},
  [3148] = {.lex_state = 11, .external_lex_state = 44},
  [3149] = {.lex_state = 11, .external_lex_state = 44},
  [3150] = {.lex_state = 11, .external_lex_state = 44},
  [3151] = {.lex_state = 11, .external_lex_state = 44},
  [3152] = {.lex_state = 11, .external_lex_state = 44},
  [3153] = {.lex_state = 11, .external_lex_state = 44},
  [3154] = {.lex_state = 11, .external_lex_state = 44},
  [3155] = {.lex_state = 11, .external_lex_state = 44},
  [3156] = {.lex_state = 11, .external_lex_state = 44},
  [3157] = {.lex_state = 11, .external_lex_state = 44},
  [3158] = {.lex_state = 11, .external_lex_state = 44},
  [3159] = {.lex_state = 11, .external_lex_state = 44},
  [3160] = {.lex_state = 11, .external_lex_state = 44},
  [3161] = {.lex_state = 11, .external_lex_state = 44},
  [3162] = {.lex_state = 11, .external_lex_state = 44},
  [3163] = {.lex_state = 11, .external_lex_state = 44},
  [3164] = {.lex_state = 11, .external_lex_state = 44},
  [3165] = {.lex_state = 11, .external_lex_state = 44},
  [3166] = {.lex_state = 11, .external_lex_state = 44},
  [3167] = {.lex_state = 11, .external_lex_state = 44},
  [3168] = {.lex_state = 11, .external_lex_state = 44},
  [3169] = {.lex_state = 11, .external_lex_state = 44},
  [3170] = {.lex_state = 11, .external_lex_state = 46},
  [3171] = {.lex_state = 11, .external_lex_state = 46},
  [3172] = {.lex_state = 11, .external_lex_state = 46},
  [3173] = {.lex_state = 11, .external_lex_state = 45},
  [3174] = {.lex_state = 11, .external_lex_state = 45},
  [3175] = {.lex_state = 11, .external_lex_state = 45},
  [3176] = {.lex_state = 11, .external_lex_state = 46},
  [3177] = {.lex_state = 11, .external_lex_state = 45},
  [3178] = {.lex_state = 11, .external_lex_state = 45},
  [3179] = {.lex_state = 11, .external_lex_state = 46},
  [3180] = {.lex_state = 11, .external_lex_state = 46},
  [3181] = {.lex_state = 11, .external_lex_state = 45},
  [3182] = {.lex_state = 11, .external_lex_state = 45},
  [3183] = {.lex_state = 11, .external_lex_state = 46},
  [3184] = {.lex_state = 11, .external_lex_state = 46},
  [3185] = {.lex_state = 11, .external_lex_state = 46},
  [3186] = {.lex_state = 11, .external_lex_state = 45},
  [3187] = {.lex_state = 11, .external_lex_state = 46},
  [3188] = {.lex_state = 11, .external_lex_state = 46},
  [3189] = {.lex_state = 11, .external_lex_state = 45},
  [3190] = {.lex_state = 11, .external_lex_state = 46},
  [3191] = {.lex_state = 11, .external_lex_state = 45},
  [3192] = {.lex_state = 11, .external_lex_state = 45},
  [3193] = {.lex_state = 11, .external_lex_state = 45},
  [3194] = {.lex_state = 11, .external_lex_state = 46},
  [3195] = {.lex_state = 11, .external_lex_state = 45},
  [3196] = {.lex_state = 11, .external_lex_state = 45},
  [3197] = {.lex_state = 11, .external_lex_state = 46},
  [3198] = {.lex_state = 11, .external_lex_state = 46},
  [3199] = {.lex_state = 11, .external_lex_state = 46},
  [3200] = {.lex_state = 11, .external_lex_state = 46},
  [3201] = {.lex_state = 11, .external_lex_state = 45},
  [3202] = {.lex_state = 11, .external_lex_state = 46},
  [3203] = {.lex_state = 11, .external_lex_state = 45},
  [3204] = {.lex_state = 11, .external_lex_state = 45},
  [3205] = {.lex_state = 11, .external_lex_state = 46},
  [3206] = {.lex_state = 11, .external_lex_state = 45},
  [3207] = {.lex_state = 11, .external_lex_state = 46},
  [3208] = {.lex_state = 11, .external_lex_state = 45},
  [3209] = {.lex_state = 11, .external_lex_state = 46},
  [3210] = {.lex_state = 11, .external_lex_state = 45},
  [3211] = {.lex_state = 11, .external_lex_state = 45},
  [3212] = {.lex_state = 11, .external_lex_state = 46},
  [3213] = {.lex_state = 11, .external_lex_state = 46},
  [3214] = {.lex_state = 11, .external_lex_state = 45},
  [3215] = {.lex_state = 11, .external_lex_state = 46},
  [3216] = {.lex_state = 11, .external_lex_state = 45},
  [3217] = {.lex_state = 11, .external_lex_state = 46},
  [3218] = {.lex_state = 11, .external_lex_state = 46},
  [3219] = {.lex_state = 11, .external_lex_state = 45},
  [3220] = {.lex_state = 11, .external_lex_state = 45},
  [3221] = {.lex_state = 11, .external_lex_state = 45},
  [3222] = {.lex_state = 11, .external_lex_state = 46},
  [3223] = {.lex_state = 11, .external_lex_state = 46},
  [3224] = {.lex_state = 11, .external_lex_state = 46},
  [3225] = {.lex_state = 11, .external_lex_state = 46},
  [3226] = {.lex_state = 11, .external_lex_state = 45},
  [3227] = {.lex_state = 11, .external_lex_state = 46},
  [3228] = {.lex_state = 11, .external_lex_state = 46},
  [3229] = {.lex_state = 11, .external_lex_state = 46},
  [3230] = {.lex_state = 11, .external_lex_state = 46},
  [3231] = {.lex_state = 11, .external_lex_state = 45},
  [3232] = {.lex_state = 11, .external_lex_state = 46},
  [3233] = {.lex_state = 11, .external_lex_state = 46},
  [3234] = {.lex_state = 11, .external_lex_state = 46},
  [3235] = {.lex_state = 11, .external_lex_state = 46},
  [3236] = {.lex_state = 11, .external_lex_state = 45},
  [3237] = {.lex_state = 11, .external_lex_state = 46},
  [3238] = {.lex_state = 11, .external_lex_state = 46},
  [3239] = {.lex_state = 11, .external_lex_state = 45},
  [3240] = {.lex_state = 11, .external_lex_state = 46},
  [3241] = {.lex_state = 11, .external_lex_state = 45},
  [3242] = {.lex_state = 11, .external_lex_state = 45},
  [3243] = {.lex_state = 11, .external_lex_state = 45},
  [3244] = {.lex_state = 11, .external_lex_state = 46},
  [3245] = {.lex_state = 15, .external_lex_state = 45},
  [3246] = {.lex_state = 15, .external_lex_state = 45},
  [3247] = {.lex_state = 11, .external_lex_state = 46},
  [3248] = {.lex_state = 11, .external_lex_state = 45},
  [3249] = {.lex_state = 11, .external_lex_state = 46},
  [3250] = {.lex_state = 11, .external_lex_state = 46},
  [3251] = {.lex_state = 11, .external_lex_state = 45},
  [3252] = {.lex_state = 11, .external_lex_state = 45},
  [3253] = {.lex_state = 11, .external_lex_state = 45},
  [3254] = {.lex_state = 11, .external_lex_state = 46},
  [3255] = {.lex_state = 11, .external_lex_state = 46},
  [3256] = {.lex_state = 11, .external_lex_state = 45},
  [3257] = {.lex_state = 11, .external_lex_state = 45},
  [3258] = {.lex_state = 11, .external_lex_state = 46},
  [3259] = {.lex_state = 11, .external_lex_state = 45},
  [3260] = {.lex_state = 11, .external_lex_state = 46},
  [3261] = {.lex_state = 2, .external_lex_state = 45},
  [3262] = {.lex_state = 11, .external_lex_state = 45},
  [3263] = {.lex_state = 2, .external_lex_state = 45},
  [3264] = {.lex_state = 2, .external_lex_state = 45},
  [3265] = {.lex_state = 2, .external_lex_state = 45},
  [3266] = {.lex_state = 2, .external_lex_state = 45},
  [3267] = {.lex_state = 2, .external_lex_state = 45},
  [3268] = {.lex_state = 2, .external_lex_state = 45},
  [3269] = {.lex_state = 11, .external_lex_state = 45},
  [3270] = {.lex_state = 15, .external_lex_state = 45},
  [3271] = {.lex_state = 2, .external_lex_state = 45},
  [3272] = {.lex_state = 2, .external_lex_state = 45},
  [3273] = {.lex_state = 2, .external_lex_state = 45},
  [3274] = {.lex_state = 2, .external_lex_state = 45},
  [3275] = {.lex_state = 11, .external_lex_state = 45},
  [3276] = {.lex_state = 11, .external_lex_state = 45},
  [3277] = {.lex_state = 2, .external_lex_state = 45},
  [3278] = {.lex_state = 2, .external_lex_state = 45},
  [3279] = {.lex_state = 2, .external_lex_state = 45},
  [3280] = {.lex_state = 2, .external_lex_state = 45},
  [3281] = {.lex_state = 11, .external_lex_state = 45},
  [3282] = {.lex_state = 11, .external_lex_state = 45},
  [3283] = {.lex_state = 11, .external_lex_state = 45},
  [3284] = {.lex_state = 11, .external_lex_state = 45},
  [3285] = {.lex_state = 11, .external_lex_state = 45},
  [3286] = {.lex_state = 11, .external_lex_state = 45},
  [3287] = {.lex_state = 11, .external_lex_state = 45},
  [3288] = {.lex_state = 11, .external_lex_state = 45},
  [3289] = {.lex_state = 11, .external_lex_state = 45},
  [3290] = {.lex_state = 11, .external_lex_state = 45},
  [3291] = {.lex_state = 11, .external_lex_state = 45},
  [3292] = {.lex_state = 11, .external_lex_state = 45},
  [3293] = {.lex_state = 11, .external_lex_state = 45},
  [3294] = {.lex_state = 11, .external_lex_state = 45},
  [3295] = {.lex_state = 11, .external_lex_state = 45},
  [3296] = {.lex_state = 11, .external_lex_state = 45},
  [3297] = {.lex_state = 11, .external_lex_state = 45},
  [3298] = {.lex_state = 11, .external_lex_state = 45},
  [3299] = {.lex_state = 2, .external_lex_state = 45},
  [3300] = {.lex_state = 11, .external_lex_state = 45},
  [3301] = {.lex_state = 11, .external_lex_state = 45},
  [3302] = {.lex_state = 15, .external_lex_state = 45},
  [3303] = {.lex_state = 11, .external_lex_state = 46},
  [3304] = {.lex_state = 11, .external_lex_state = 45},
  [3305] = {.lex_state = 11, .external_lex_state = 45},
  [3306] = {.lex_state = 11, .external_lex_state = 45},
  [3307] = {.lex_state = 2, .external_lex_state = 45},
  [3308] = {.lex_state = 11, .external_lex_state = 45},
  [3309] = {.lex_state = 11, .external_lex_state = 45},
  [3310] = {.lex_state = 11, .external_lex_state = 45},
  [3311] = {.lex_state = 11, .external_lex_state = 45},
  [3312] = {.lex_state = 11, .external_lex_state = 45},
  [3313] = {.lex_state = 11, .external_lex_state = 45},
  [3314] = {.lex_state = 15, .external_lex_state = 45},
  [3315] = {.lex_state = 11, .external_lex_state = 45},
  [3316] = {.lex_state = 11, .external_lex_state = 45},
  [3317] = {.lex_state = 11, .external_lex_state = 45},
  [3318] = {.lex_state = 11, .external_lex_state = 45},
  [3319] = {.lex_state = 11, .external_lex_state = 45},
  [3320] = {.lex_state = 11, .external_lex_state = 45},
  [3321] = {.lex_state = 11, .external_lex_state = 45},
  [3322] = {.lex_state = 11, .external_lex_state = 45},
  [3323] = {.lex_state = 15, .external_lex_state = 45},
  [3324] = {.lex_state = 11, .external_lex_state = 45},
  [3325] = {.lex_state = 11, .external_lex_state = 45},
  [3326] = {.lex_state = 0, .external_lex_state = 47},
  [3327] = {.lex_state = 0, .external_lex_state = 44},
  [3328] = {.lex_state = 11, .external_lex_state = 45},
  [3329] = {.lex_state = 15, .external_lex_state = 45},
  [3330] = {.lex_state = 11, .external_lex_state = 45},
  [3331] = {.lex_state = 11, .external_lex_state = 45},
  [3332] = {.lex_state = 0, .external_lex_state = 44},
  [3333] = {.lex_state = 11, .external_lex_state = 45},
  [3334] = {.lex_state = 11, .external_lex_state = 45},
  [3335] = {.lex_state = 11, .external_lex_state = 45},
  [3336] = {.lex_state = 0, .external_lex_state = 44},
  [3337] = {.lex_state = 11, .external_lex_state = 45},
  [3338] = {.lex_state = 11, .external_lex_state = 45},
  [3339] = {.lex_state = 0, .external_lex_state = 48},
  [3340] = {.lex_state = 0, .external_lex_state = 44},
  [3341] = {.lex_state = 11, .external_lex_state = 45},
  [3342] = {.lex_state = 15, .external_lex_state = 45},
  [3343] = {.lex_state = 11, .external_lex_state = 45},
  [3344] = {.lex_state = 15, .external_lex_state = 45},
  [3345] = {.lex_state = 11, .external_lex_state = 45},
  [3346] = {.lex_state = 11, .external_lex_state = 45},
  [3347] = {.lex_state = 11, .external_lex_state = 45},
  [3348] = {.lex_state = 0, .external_lex_state = 44},
  [3349] = {.lex_state = 11, .external_lex_state = 45},
  [3350] = {.lex_state = 11, .external_lex_state = 45},
  [3351] = {.lex_state = 11, .external_lex_state = 45},
  [3352] = {.lex_state = 11, .external_lex_state = 45},
  [3353] = {.lex_state = 0, .external_lex_state = 44},
  [3354] = {.lex_state = 11, .external_lex_state = 45},
  [3355] = {.lex_state = 11, .external_lex_state = 45},
  [3356] = {.lex_state = 11, .external_lex_state = 45},
  [3357] = {.lex_state = 11, .external_lex_state = 45},
  [3358] = {.lex_state = 11, .external_lex_state = 45},
  [3359] = {.lex_state = 2, .external_lex_state = 45},
  [3360] = {.lex_state = 11, .external_lex_state = 45},
  [3361] = {.lex_state = 11, .external_lex_state = 45},
  [3362] = {.lex_state = 0, .external_lex_state = 44},
  [3363] = {.lex_state = 11, .external_lex_state = 45},
  [3364] = {.lex_state = 2, .external_lex_state = 45},
  [3365] = {.lex_state = 11, .external_lex_state = 45},
  [3366] = {.lex_state = 11, .external_lex_state = 45},
  [3367] = {.lex_state = 15, .external_lex_state = 45},
  [3368] = {.lex_state = 11, .external_lex_state = 45},
  [3369] = {.lex_state = 11, .external_lex_state = 45},
  [3370] = {.lex_state = 11, .external_lex_state = 45},
  [3371] = {.lex_state = 11, .external_lex_state = 45},
  [3372] = {.lex_state = 11, .external_lex_state = 45},
  [3373] = {.lex_state = 11, .external_lex_state = 45},
  [3374] = {.lex_state = 0, .external_lex_state = 47},
  [3375] = {.lex_state = 0, .external_lex_state = 44},
  [3376] = {.lex_state = 11, .external_lex_state = 45},
  [3377] = {.lex_state = 15, .external_lex_state = 45},
  [3378] = {.lex_state = 11, .external_lex_state = 45},
  [3379] = {.lex_state = 11, .external_lex_state = 45},
  [3380] = {.lex_state = 11, .external_lex_state = 45},
  [3381] = {.lex_state = 11, .external_lex_state = 45},
  [3382] = {.lex_state = 11, .external_lex_state = 45},
  [3383] = {.lex_state = 0, .external_lex_state = 48},
  [3384] = {.lex_state = 2, .external_lex_state = 45},
  [3385] = {.lex_state = 13, .external_lex_state = 45},
  [3386] = {.lex_state = 11, .external_lex_state = 45},
  [3387] = {.lex_state = 11, .external_lex_state = 45},
  [3388] = {.lex_state = 11, .external_lex_state = 45},
  [3389] = {.lex_state = 15, .external_lex_state = 45},
  [3390] = {.lex_state = 11, .external_lex_state = 45},
  [3391] = {.lex_state = 11, .external_lex_state = 45},
  [3392] = {.lex_state = 11, .external_lex_state = 45},
  [3393] = {.lex_state = 0, .external_lex_state = 44},
  [3394] = {.lex_state = 0, .external_lex_state = 44},
  [3395] = {.lex_state = 11, .external_lex_state = 45},
  [3396] = {.lex_state = 11, .external_lex_state = 45},
  [3397] = {.lex_state = 11, .external_lex_state = 45},
  [3398] = {.lex_state = 11, .external_lex_state = 45},
  [3399] = {.lex_state = 0, .external_lex_state = 44},
  [3400] = {.lex_state = 11, .external_lex_state = 45},
  [3401] = {.lex_state = 0, .external_lex_state = 44},
  [3402] = {.lex_state = 0, .external_lex_state = 44},
  [3403] = {.lex_state = 11, .external_lex_state = 45},
  [3404] = {.lex_state = 11, .external_lex_state = 45},
  [3405] = {.lex_state = 11, .external_lex_state = 45},
  [3406] = {.lex_state = 2, .external_lex_state = 45},
  [3407] = {.lex_state = 11, .external_lex_state = 45},
  [3408] = {.lex_state = 0, .external_lex_state = 44},
  [3409] = {.lex_state = 11, .external_lex_state = 45},
  [3410] = {.lex_state = 11, .external_lex_state = 45},
  [3411] = {.lex_state = 11, .external_lex_state = 45},
  [3412] = {.lex_state = 11, .external_lex_state = 45},
  [3413] = {.lex_state = 0, .external_lex_state = 44},
  [3414] = {.lex_state = 15, .external_lex_state = 45},
  [3415] = {.lex_state = 11, .external_lex_state = 45},
  [3416] = {.lex_state = 11, .external_lex_state = 45},
  [3417] = {.lex_state = 11, .external_lex_state = 45},
  [3418] = {.lex_state = 11, .external_lex_state = 45},
  [3419] = {.lex_state = 0, .external_lex_state = 44},
  [3420] = {.lex_state = 0, .external_lex_state = 44},
  [3421] = {.lex_state = 0, .external_lex_state = 44},
  [3422] = {.lex_state = 11, .external_lex_state = 45},
  [3423] = {.lex_state = 0, .external_lex_state = 44},
  [3424] = {.lex_state = 11, .external_lex_state = 45},
  [3425] = {.lex_state = 11, .external_lex_state = 45},
  [3426] = {.lex_state = 11, .external_lex_state = 45},
  [3427] = {.lex_state = 11, .external_lex_state = 45},
  [3428] = {.lex_state = 11, .external_lex_state = 45},
  [3429] = {.lex_state = 11, .external_lex_state = 45},
  [3430] = {.lex_state = 11, .external_lex_state = 45},
  [3431] = {.lex_state = 0, .external_lex_state = 47},
  [3432] = {.lex_state = 11, .external_lex_state = 45},
  [3433] = {.lex_state = 13, .external_lex_state = 45},
  [3434] = {.lex_state = 0, .external_lex_state = 47},
  [3435] = {.lex_state = 11, .external_lex_state = 45},
  [3436] = {.lex_state = 0, .external_lex_state = 47},
  [3437] = {.lex_state = 0, .external_lex_state = 47},
  [3438] = {.lex_state = 0, .external_lex_state = 47},
  [3439] = {.lex_state = 0, .external_lex_state = 47},
  [3440] = {.lex_state = 0, .external_lex_state = 47},
  [3441] = {.lex_state = 0, .external_lex_state = 47},
  [3442] = {.lex_state = 0, .external_lex_state = 47},
  [3443] = {.lex_state = 0, .external_lex_state = 47},
  [3444] = {.lex_state = 0, .external_lex_state = 47},
  [3445] = {.lex_state = 0, .external_lex_state = 47},
  [3446] = {.lex_state = 0, .external_lex_state = 47},
  [3447] = {.lex_state = 0, .external_lex_state = 47},
  [3448] = {.lex_state = 0, .external_lex_state = 47},
  [3449] = {.lex_state = 0, .external_lex_state = 47},
  [3450] = {.lex_state = 0, .external_lex_state = 47},
  [3451] = {.lex_state = 0, .external_lex_state = 47},
  [3452] = {.lex_state = 11, .external_lex_state = 45},
  [3453] = {.lex_state = 0, .external_lex_state = 47},
  [3454] = {.lex_state = 0, .external_lex_state = 47},
  [3455] = {.lex_state = 0, .external_lex_state = 47},
  [3456] = {.lex_state = 0, .external_lex_state = 47},
  [3457] = {.lex_state = 0, .external_lex_state = 47},
  [3458] = {.lex_state = 11, .external_lex_state = 45},
  [3459] = {.lex_state = 0, .external_lex_state = 44},
  [3460] = {.lex_state = 11, .external_lex_state = 45},
  [3461] = {.lex_state = 11, .external_lex_state = 45},
  [3462] = {.lex_state = 15, .external_lex_state = 45},
  [3463] = {.lex_state = 11, .external_lex_state = 45},
  [3464] = {.lex_state = 0, .external_lex_state = 44},
  [3465] = {.lex_state = 11, .external_lex_state = 45},
  [3466] = {.lex_state = 0, .external_lex_state = 44},
  [3467] = {.lex_state = 11, .external_lex_state = 45},
  [3468] = {.lex_state = 11, .external_lex_state = 45},
  [3469] = {.lex_state = 11, .external_lex_state = 45},
  [3470] = {.lex_state = 11, .external_lex_state = 45},
  [3471] = {.lex_state = 0, .external_lex_state = 44},
  [3472] = {.lex_state = 11, .external_lex_state = 45},
  [3473] = {.lex_state = 11, .external_lex_state = 45},
  [3474] = {.lex_state = 0, .external_lex_state = 44},
  [3475] = {.lex_state = 0, .external_lex_state = 48},
  [3476] = {.lex_state = 11, .external_lex_state = 45},
  [3477] = {.lex_state = 0, .external_lex_state = 44},
  [3478] = {.lex_state = 11, .external_lex_state = 45},
  [3479] = {.lex_state = 0, .external_lex_state = 2},
  [3480] = {.lex_state = 23, .external_lex_state = 45},
  [3481] = {.lex_state = 0, .external_lex_state = 49},
  [3482] = {.lex_state = 0, .external_lex_state = 49},
  [3483] = {.lex_state = 0, .external_lex_state = 49},
  [3484] = {.lex_state = 0, .external_lex_state = 49},
  [3485] = {.lex_state = 0, .external_lex_state = 49},
  [3486] = {.lex_state = 0, .external_lex_state = 49},
  [3487] = {.lex_state = 0, .external_lex_state = 49},
  [3488] = {.lex_state = 0, .external_lex_state = 49},
  [3489] = {.lex_state = 0, .external_lex_state = 49},
  [3490] = {.lex_state = 0, .external_lex_state = 49},
  [3491] = {.lex_state = 0, .external_lex_state = 49},
  [3492] = {.lex_state = 0, .external_lex_state = 50},
  [3493] = {.lex_state = 0, .external_lex_state = 49},
  [3494] = {.lex_state = 0, .external_lex_state = 49},
  [3495] = {.lex_state = 0, .external_lex_state = 49},
  [3496] = {.lex_state = 11, .external_lex_state = 45},
  [3497] = {.lex_state = 0, .external_lex_state = 49},
  [3498] = {.lex_state = 0, .external_lex_state = 49},
  [3499] = {.lex_state = 0, .external_lex_state = 49},
  [3500] = {.lex_state = 23, .external_lex_state = 45},
  [3501] = {.lex_state = 0, .external_lex_state = 49},
  [3502] = {.lex_state = 0, .external_lex_state = 49},
  [3503] = {.lex_state = 0, .external_lex_state = 49},
  [3504] = {.lex_state = 0, .external_lex_state = 49},
  [3505] = {.lex_state = 0, .external_lex_state = 49},
  [3506] = {.lex_state = 0, .external_lex_state = 49},
  [3507] = {.lex_state = 0, .external_lex_state = 49},
  [3508] = {.lex_state = 0, .external_lex_state = 49},
  [3509] = {.lex_state = 0, .external_lex_state = 49},
  [3510] = {.lex_state = 0, .external_lex_state = 49},
  [3511] = {.lex_state = 0, .external_lex_state = 49},
  [3512] = {.lex_state = 0, .external_lex_state = 49},
  [3513] = {.lex_state = 0, .external_lex_state = 49},
  [3514] = {.lex_state = 23, .external_lex_state = 45},
  [3515] = {.lex_state = 0, .external_lex_state = 49},
  [3516] = {.lex_state = 0, .external_lex_state = 49},
  [3517] = {.lex_state = 0, .external_lex_state = 49},
  [3518] = {.lex_state = 0, .external_lex_state = 49},
  [3519] = {.lex_state = 0, .external_lex_state = 49},
  [3520] = {.lex_state = 0, .external_lex_state = 49},
  [3521] = {.lex_state = 0, .external_lex_state = 49},
  [3522] = {.lex_state = 0, .external_lex_state = 49},
  [3523] = {.lex_state = 0, .external_lex_state = 49},
  [3524] = {.lex_state = 0, .external_lex_state = 49},
  [3525] = {.lex_state = 0, .external_lex_state = 49},
  [3526] = {.lex_state = 0, .external_lex_state = 49},
  [3527] = {.lex_state = 0, .external_lex_state = 49},
  [3528] = {.lex_state = 23, .external_lex_state = 45},
  [3529] = {.lex_state = 0, .external_lex_state = 49},
  [3530] = {.lex_state = 0, .external_lex_state = 49},
  [3531] = {.lex_state = 0, .external_lex_state = 49},
  [3532] = {.lex_state = 0, .external_lex_state = 49},
  [3533] = {.lex_state = 0, .external_lex_state = 49},
  [3534] = {.lex_state = 0, .external_lex_state = 49},
  [3535] = {.lex_state = 0, .external_lex_state = 49},
  [3536] = {.lex_state = 0, .external_lex_state = 49},
  [3537] = {.lex_state = 0, .external_lex_state = 49},
  [3538] = {.lex_state = 0, .external_lex_state = 49},
  [3539] = {.lex_state = 0, .external_lex_state = 49},
  [3540] = {.lex_state = 0, .external_lex_state = 49},
  [3541] = {.lex_state = 23, .external_lex_state = 45},
  [3542] = {.lex_state = 0, .external_lex_state = 49},
  [3543] = {.lex_state = 0, .external_lex_state = 49},
  [3544] = {.lex_state = 0, .external_lex_state = 49},
  [3545] = {.lex_state = 0, .external_lex_state = 49},
  [3546] = {.lex_state = 0, .external_lex_state = 49},
  [3547] = {.lex_state = 0, .external_lex_state = 49},
  [3548] = {.lex_state = 0, .external_lex_state = 49},
  [3549] = {.lex_state = 0, .external_lex_state = 49},
  [3550] = {.lex_state = 0, .external_lex_state = 49},
  [3551] = {.lex_state = 0, .external_lex_state = 49},
  [3552] = {.lex_state = 0, .external_lex_state = 49},
  [3553] = {.lex_state = 0, .external_lex_state = 49},
  [3554] = {.lex_state = 0, .external_lex_state = 49},
  [3555] = {.lex_state = 0, .external_lex_state = 49},
  [3556] = {.lex_state = 0, .external_lex_state = 49},
  [3557] = {.lex_state = 0, .external_lex_state = 49},
  [3558] = {.lex_state = 0, .external_lex_state = 49},
  [3559] = {.lex_state = 0, .external_lex_state = 49},
  [3560] = {.lex_state = 0, .external_lex_state = 49},
  [3561] = {.lex_state = 0, .external_lex_state = 49},
  [3562] = {.lex_state = 0, .external_lex_state = 49},
  [3563] = {.lex_state = 0, .external_lex_state = 49},
  [3564] = {.lex_state = 0, .external_lex_state = 49},
  [3565] = {.lex_state = 0, .external_lex_state = 49},
  [3566] = {.lex_state = 0, .external_lex_state = 49},
  [3567] = {.lex_state = 0, .external_lex_state = 49},
  [3568] = {.lex_state = 0, .external_lex_state = 49},
  [3569] = {.lex_state = 0, .external_lex_state = 49},
  [3570] = {.lex_state = 0, .external_lex_state = 49},
  [3571] = {.lex_state = 0, .external_lex_state = 49},
  [3572] = {.lex_state = 0, .external_lex_state = 49},
  [3573] = {.lex_state = 0, .external_lex_state = 49},
  [3574] = {.lex_state = 0, .external_lex_state = 49},
  [3575] = {.lex_state = 0, .external_lex_state = 49},
  [3576] = {.lex_state = 0, .external_lex_state = 49},
  [3577] = {.lex_state = 0, .external_lex_state = 49},
  [3578] = {.lex_state = 0, .external_lex_state = 49},
  [3579] = {.lex_state = 0, .external_lex_state = 49},
  [3580] = {.lex_state = 0, .external_lex_state = 49},
  [3581] = {.lex_state = 0, .external_lex_state = 49},
  [3582] = {.lex_state = 0, .external_lex_state = 49},
  [3583] = {.lex_state = 0, .external_lex_state = 49},
  [3584] = {.lex_state = 0, .external_lex_state = 49},
  [3585] = {.lex_state = 0, .external_lex_state = 49},
  [3586] = {.lex_state = 0, .external_lex_state = 49},
  [3587] = {.lex_state = 0, .external_lex_state = 49},
  [3588] = {.lex_state = 0, .external_lex_state = 49},
  [3589] = {.lex_state = 0, .external_lex_state = 49},
  [3590] = {.lex_state = 0, .external_lex_state = 49},
  [3591] = {.lex_state = 0, .external_lex_state = 49},
  [3592] = {.lex_state = 0, .external_lex_state = 49},
  [3593] = {.lex_state = 0, .external_lex_state = 49},
  [3594] = {.lex_state = 0, .external_lex_state = 49},
  [3595] = {.lex_state = 0, .external_lex_state = 49},
  [3596] = {.lex_state = 0, .external_lex_state = 49},
  [3597] = {.lex_state = 0, .external_lex_state = 49},
  [3598] = {.lex_state = 0, .external_lex_state = 49},
  [3599] = {.lex_state = 0, .external_lex_state = 49},
  [3600] = {.lex_state = 0, .external_lex_state = 49},
  [3601] = {.lex_state = 0, .external_lex_state = 49},
  [3602] = {.lex_state = 0, .external_lex_state = 49},
  [3603] = {.lex_state = 0, .external_lex_state = 49},
  [3604] = {.lex_state = 0, .external_lex_state = 49},
  [3605] = {.lex_state = 0, .external_lex_state = 49},
  [3606] = {.lex_state = 0, .external_lex_state = 49},
  [3607] = {.lex_state = 0, .external_lex_state = 49},
  [3608] = {.lex_state = 0, .external_lex_state = 49},
  [3609] = {.lex_state = 0, .external_lex_state = 49},
  [3610] = {.lex_state = 0, .external_lex_state = 49},
  [3611] = {.lex_state = 0, .external_lex_state = 49},
  [3612] = {.lex_state = 0, .external_lex_state = 49},
  [3613] = {.lex_state = 0, .external_lex_state = 49},
  [3614] = {.lex_state = 0, .external_lex_state = 49},
  [3615] = {.lex_state = 0, .external_lex_state = 49},
  [3616] = {.lex_state = 0, .external_lex_state = 49},
  [3617] = {.lex_state = 0, .external_lex_state = 49},
  [3618] = {.lex_state = 0, .external_lex_state = 49},
  [3619] = {.lex_state = 0, .external_lex_state = 49},
  [3620] = {.lex_state = 0, .external_lex_state = 49},
  [3621] = {.lex_state = 0, .external_lex_state = 49},
  [3622] = {.lex_state = 0, .external_lex_state = 49},
  [3623] = {.lex_state = 0, .external_lex_state = 49},
  [3624] = {.lex_state = 0, .external_lex_state = 49},
  [3625] = {.lex_state = 0, .external_lex_state = 49},
  [3626] = {.lex_state = 0, .external_lex_state = 49},
  [3627] = {.lex_state = 0, .external_lex_state = 49},
  [3628] = {.lex_state = 0, .external_lex_state = 49},
  [3629] = {.lex_state = 0, .external_lex_state = 49},
  [3630] = {.lex_state = 0, .external_lex_state = 49},
  [3631] = {.lex_state = 0, .external_lex_state = 49},
  [3632] = {.lex_state = 0, .external_lex_state = 49},
  [3633] = {.lex_state = 0, .external_lex_state = 49},
  [3634] = {.lex_state = 0, .external_lex_state = 49},
  [3635] = {.lex_state = 0, .external_lex_state = 49},
  [3636] = {.lex_state = 0, .external_lex_state = 49},
  [3637] = {.lex_state = 0, .external_lex_state = 49},
  [3638] = {.lex_state = 0, .external_lex_state = 49},
  [3639] = {.lex_state = 0, .external_lex_state = 49},
  [3640] = {.lex_state = 44, .external_lex_state = 45},
  [3641] = {.lex_state = 0, .external_lex_state = 2},
  [3642] = {.lex_state = 0, .external_lex_state = 51},
  [3643] = {.lex_state = 0, .external_lex_state = 49},
  [3644] = {.lex_state = 0, .external_lex_state = 49},
  [3645] = {.lex_state = 0, .external_lex_state = 52},
  [3646] = {.lex_state = 0, .external_lex_state = 51},
  [3647] = {.lex_state = 0, .external_lex_state = 53},
  [3648] = {.lex_state = 11, .external_lex_state = 45},
  [3649] = {.lex_state = 0, .external_lex_state = 49},
  [3650] = {.lex_state = 0, .external_lex_state = 45},
  [3651] = {.lex_state = 0, .external_lex_state = 54},
  [3652] = {.lex_state = 0, .external_lex_state = 49},
  [3653] = {.lex_state = 0, .external_lex_state = 49},
  [3654] = {.lex_state = 11, .external_lex_state = 45},
  [3655] = {.lex_state = 0, .external_lex_state = 55},
  [3656] = {.lex_state = 0, .external_lex_state = 49},
  [3657] = {.lex_state = 0, .external_lex_state = 56},
  [3658] = {.lex_state = 0, .external_lex_state = 51},
  [3659] = {.lex_state = 0, .external_lex_state = 53},
  [3660] = {.lex_state = 23, .external_lex_state = 45},
  [3661] = {.lex_state = 0, .external_lex_state = 49},
  [3662] = {.lex_state = 0, .external_lex_state = 49},
  [3663] = {.lex_state = 0, .external_lex_state = 49},
  [3664] = {.lex_state = 0, .external_lex_state = 49},
  [3665] = {.lex_state = 0, .external_lex_state = 49},
  [3666] = {.lex_state = 0, .external_lex_state = 49},
  [3667] = {.lex_state = 0, .external_lex_state = 49},
  [3668] = {.lex_state = 0, .external_lex_state = 2},
  [3669] = {.lex_state = 0, .external_lex_state = 49},
  [3670] = {.lex_state = 0, .external_lex_state = 57},
  [3671] = {.lex_state = 11, .external_lex_state = 45},
  [3672] = {.lex_state = 11, .external_lex_state = 45},
  [3673] = {.lex_state = 44, .external_lex_state = 45},
  [3674] = {.lex_state = 0, .external_lex_state = 2},
  [3675] = {.lex_state = 0, .external_lex_state = 51},
  [3676] = {.lex_state = 0, .external_lex_state = 52},
  [3677] = {.lex_state = 0, .external_lex_state = 49},
  [3678] = {.lex_state = 0, .external_lex_state = 52},
  [3679] = {.lex_state = 0, .external_lex_state = 51},
  [3680] = {.lex_state = 0, .external_lex_state = 53},
  [3681] = {.lex_state = 11, .external_lex_state = 45},
  [3682] = {.lex_state = 0, .external_lex_state = 49},
  [3683] = {.lex_state = 0, .external_lex_state = 45},
  [3684] = {.lex_state = 0, .external_lex_state = 49},
  [3685] = {.lex_state = 0, .external_lex_state = 49},
  [3686] = {.lex_state = 0, .external_lex_state = 49},
  [3687] = {.lex_state = 0, .external_lex_state = 49},
  [3688] = {.lex_state = 0, .external_lex_state = 49},
  [3689] = {.lex_state = 0, .external_lex_state = 51},
  [3690] = {.lex_state = 0, .external_lex_state = 53},
  [3691] = {.lex_state = 0, .external_lex_state = 49},
  [3692] = {.lex_state = 0, .external_lex_state = 49},
  [3693] = {.lex_state = 0, .external_lex_state = 49},
  [3694] = {.lex_state = 0, .external_lex_state = 49},
  [3695] = {.lex_state = 0, .external_lex_state = 2},
  [3696] = {.lex_state = 0, .external_lex_state = 49},
  [3697] = {.lex_state = 0, .external_lex_state = 49},
  [3698] = {.lex_state = 11, .external_lex_state = 45},
  [3699] = {.lex_state = 0, .external_lex_state = 49},
  [3700] = {.lex_state = 0, .external_lex_state = 49},
  [3701] = {.lex_state = 11, .external_lex_state = 45},
  [3702] = {.lex_state = 0, .external_lex_state = 49},
  [3703] = {.lex_state = 0, .external_lex_state = 2},
  [3704] = {.lex_state = 0, .external_lex_state = 49},
  [3705] = {.lex_state = 0, .external_lex_state = 49},
  [3706] = {.lex_state = 0, .external_lex_state = 52},
  [3707] = {.lex_state = 0, .external_lex_state = 53},
  [3708] = {.lex_state = 11, .external_lex_state = 45},
  [3709] = {.lex_state = 0, .external_lex_state = 49},
  [3710] = {.lex_state = 0, .external_lex_state = 45},
  [3711] = {.lex_state = 0, .external_lex_state = 49},
  [3712] = {.lex_state = 0, .external_lex_state = 49},
  [3713] = {.lex_state = 0, .external_lex_state = 49},
  [3714] = {.lex_state = 0, .external_lex_state = 49},
  [3715] = {.lex_state = 0, .external_lex_state = 49},
  [3716] = {.lex_state = 0, .external_lex_state = 53},
  [3717] = {.lex_state = 11, .external_lex_state = 45},
  [3718] = {.lex_state = 23, .external_lex_state = 45},
  [3719] = {.lex_state = 0, .external_lex_state = 49},
  [3720] = {.lex_state = 0, .external_lex_state = 49},
  [3721] = {.lex_state = 0, .external_lex_state = 49},
  [3722] = {.lex_state = 0, .external_lex_state = 49},
  [3723] = {.lex_state = 0, .external_lex_state = 49},
  [3724] = {.lex_state = 0, .external_lex_state = 49},
  [3725] = {.lex_state = 0, .external_lex_state = 49},
  [3726] = {.lex_state = 0, .external_lex_state = 55},
  [3727] = {.lex_state = 0, .external_lex_state = 49},
  [3728] = {.lex_state = 0, .external_lex_state = 49},
  [3729] = {.lex_state = 0, .external_lex_state = 2},
  [3730] = {.lex_state = 11, .external_lex_state = 45},
  [3731] = {.lex_state = 11, .external_lex_state = 45},
  [3732] = {.lex_state = 0, .external_lex_state = 52},
  [3733] = {.lex_state = 0, .external_lex_state = 53},
  [3734] = {.lex_state = 11, .external_lex_state = 45},
  [3735] = {.lex_state = 44, .external_lex_state = 45},
  [3736] = {.lex_state = 0, .external_lex_state = 45},
  [3737] = {.lex_state = 0, .external_lex_state = 49},
  [3738] = {.lex_state = 0, .external_lex_state = 49},
  [3739] = {.lex_state = 0, .external_lex_state = 49},
  [3740] = {.lex_state = 0, .external_lex_state = 49},
  [3741] = {.lex_state = 0, .external_lex_state = 49},
  [3742] = {.lex_state = 0, .external_lex_state = 53},
  [3743] = {.lex_state = 0, .external_lex_state = 49},
  [3744] = {.lex_state = 0, .external_lex_state = 49},
  [3745] = {.lex_state = 0, .external_lex_state = 49},
  [3746] = {.lex_state = 0, .external_lex_state = 49},
  [3747] = {.lex_state = 11, .external_lex_state = 45},
  [3748] = {.lex_state = 0, .external_lex_state = 49},
  [3749] = {.lex_state = 0, .external_lex_state = 49},
  [3750] = {.lex_state = 0, .external_lex_state = 49},
  [3751] = {.lex_state = 0, .external_lex_state = 55},
  [3752] = {.lex_state = 11, .external_lex_state = 45},
  [3753] = {.lex_state = 0, .external_lex_state = 49},
  [3754] = {.lex_state = 0, .external_lex_state = 57},
  [3755] = {.lex_state = 11, .external_lex_state = 45},
  [3756] = {.lex_state = 0, .external_lex_state = 52},
  [3757] = {.lex_state = 0, .external_lex_state = 53},
  [3758] = {.lex_state = 11, .external_lex_state = 45},
  [3759] = {.lex_state = 0, .external_lex_state = 52},
  [3760] = {.lex_state = 0, .external_lex_state = 45},
  [3761] = {.lex_state = 0, .external_lex_state = 49},
  [3762] = {.lex_state = 0, .external_lex_state = 49},
  [3763] = {.lex_state = 0, .external_lex_state = 49},
  [3764] = {.lex_state = 0, .external_lex_state = 49},
  [3765] = {.lex_state = 0, .external_lex_state = 45},
  [3766] = {.lex_state = 0, .external_lex_state = 53},
  [3767] = {.lex_state = 11, .external_lex_state = 45},
  [3768] = {.lex_state = 0, .external_lex_state = 2},
  [3769] = {.lex_state = 0, .external_lex_state = 49},
  [3770] = {.lex_state = 0, .external_lex_state = 49},
  [3771] = {.lex_state = 23, .external_lex_state = 45},
  [3772] = {.lex_state = 0, .external_lex_state = 49},
  [3773] = {.lex_state = 0, .external_lex_state = 49},
  [3774] = {.lex_state = 0, .external_lex_state = 49},
  [3775] = {.lex_state = 0, .external_lex_state = 49},
  [3776] = {.lex_state = 0, .external_lex_state = 49},
  [3777] = {.lex_state = 0, .external_lex_state = 49},
  [3778] = {.lex_state = 0, .external_lex_state = 49},
  [3779] = {.lex_state = 0, .external_lex_state = 56},
  [3780] = {.lex_state = 0, .external_lex_state = 52},
  [3781] = {.lex_state = 0, .external_lex_state = 53},
  [3782] = {.lex_state = 11, .external_lex_state = 45},
  [3783] = {.lex_state = 0, .external_lex_state = 49},
  [3784] = {.lex_state = 0, .external_lex_state = 45},
  [3785] = {.lex_state = 11, .external_lex_state = 45},
  [3786] = {.lex_state = 0, .external_lex_state = 55},
  [3787] = {.lex_state = 0, .external_lex_state = 49},
  [3788] = {.lex_state = 0, .external_lex_state = 56},
  [3789] = {.lex_state = 11, .external_lex_state = 45},
  [3790] = {.lex_state = 0, .external_lex_state = 53},
  [3791] = {.lex_state = 23, .external_lex_state = 45},
  [3792] = {.lex_state = 0, .external_lex_state = 49},
  [3793] = {.lex_state = 0, .external_lex_state = 49},
  [3794] = {.lex_state = 0, .external_lex_state = 49},
  [3795] = {.lex_state = 0, .external_lex_state = 49},
  [3796] = {.lex_state = 0, .external_lex_state = 49},
  [3797] = {.lex_state = 0, .external_lex_state = 51},
  [3798] = {.lex_state = 0, .external_lex_state = 49},
  [3799] = {.lex_state = 0, .external_lex_state = 49},
  [3800] = {.lex_state = 0, .external_lex_state = 49},
  [3801] = {.lex_state = 0, .external_lex_state = 49},
  [3802] = {.lex_state = 0, .external_lex_state = 48},
  [3803] = {.lex_state = 0, .external_lex_state = 49},
  [3804] = {.lex_state = 0, .external_lex_state = 52},
  [3805] = {.lex_state = 0, .external_lex_state = 53},
  [3806] = {.lex_state = 11, .external_lex_state = 45},
  [3807] = {.lex_state = 0, .external_lex_state = 49},
  [3808] = {.lex_state = 0, .external_lex_state = 45},
  [3809] = {.lex_state = 0, .external_lex_state = 55},
  [3810] = {.lex_state = 0, .external_lex_state = 56},
  [3811] = {.lex_state = 0, .external_lex_state = 49},
  [3812] = {.lex_state = 0, .external_lex_state = 49},
  [3813] = {.lex_state = 23, .external_lex_state = 45},
  [3814] = {.lex_state = 0, .external_lex_state = 53},
  [3815] = {.lex_state = 0, .external_lex_state = 49},
  [3816] = {.lex_state = 0, .external_lex_state = 53},
  [3817] = {.lex_state = 0, .external_lex_state = 56},
  [3818] = {.lex_state = 11, .external_lex_state = 45},
  [3819] = {.lex_state = 0, .external_lex_state = 49},
  [3820] = {.lex_state = 0, .external_lex_state = 49},
  [3821] = {.lex_state = 11, .external_lex_state = 45},
  [3822] = {.lex_state = 0, .external_lex_state = 49},
  [3823] = {.lex_state = 0, .external_lex_state = 49},
  [3824] = {.lex_state = 0, .external_lex_state = 49},
  [3825] = {.lex_state = 0, .external_lex_state = 49},
  [3826] = {.lex_state = 0, .external_lex_state = 49},
  [3827] = {.lex_state = 0, .external_lex_state = 49},
  [3828] = {.lex_state = 0, .external_lex_state = 52},
  [3829] = {.lex_state = 0, .external_lex_state = 53},
  [3830] = {.lex_state = 11, .external_lex_state = 45},
  [3831] = {.lex_state = 0, .external_lex_state = 49},
  [3832] = {.lex_state = 0, .external_lex_state = 45},
  [3833] = {.lex_state = 0, .external_lex_state = 49},
  [3834] = {.lex_state = 23, .external_lex_state = 45},
  [3835] = {.lex_state = 11, .external_lex_state = 45},
  [3836] = {.lex_state = 23, .external_lex_state = 45},
  [3837] = {.lex_state = 0, .external_lex_state = 49},
  [3838] = {.lex_state = 0, .external_lex_state = 53},
  [3839] = {.lex_state = 0, .external_lex_state = 49},
  [3840] = {.lex_state = 0, .external_lex_state = 49},
  [3841] = {.lex_state = 0, .external_lex_state = 49},
  [3842] = {.lex_state = 0, .external_lex_state = 49},
  [3843] = {.lex_state = 0, .external_lex_state = 49},
  [3844] = {.lex_state = 0, .external_lex_state = 49},
  [3845] = {.lex_state = 0, .external_lex_state = 49},
  [3846] = {.lex_state = 0, .external_lex_state = 2},
  [3847] = {.lex_state = 11, .external_lex_state = 45},
  [3848] = {.lex_state = 0, .external_lex_state = 49},
  [3849] = {.lex_state = 0, .external_lex_state = 50},
  [3850] = {.lex_state = 11, .external_lex_state = 45},
  [3851] = {.lex_state = 0, .external_lex_state = 52},
  [3852] = {.lex_state = 0, .external_lex_state = 53},
  [3853] = {.lex_state = 11, .external_lex_state = 45},
  [3854] = {.lex_state = 0, .external_lex_state = 49},
  [3855] = {.lex_state = 0, .external_lex_state = 45},
  [3856] = {.lex_state = 0, .external_lex_state = 49},
  [3857] = {.lex_state = 0, .external_lex_state = 49},
  [3858] = {.lex_state = 0, .external_lex_state = 49},
  [3859] = {.lex_state = 0, .external_lex_state = 49},
  [3860] = {.lex_state = 0, .external_lex_state = 49},
  [3861] = {.lex_state = 0, .external_lex_state = 53},
  [3862] = {.lex_state = 0, .external_lex_state = 49},
  [3863] = {.lex_state = 0, .external_lex_state = 49},
  [3864] = {.lex_state = 0, .external_lex_state = 49},
  [3865] = {.lex_state = 0, .external_lex_state = 49},
  [3866] = {.lex_state = 0, .external_lex_state = 50},
  [3867] = {.lex_state = 0, .external_lex_state = 49},
  [3868] = {.lex_state = 0, .external_lex_state = 49},
  [3869] = {.lex_state = 0, .external_lex_state = 49},
  [3870] = {.lex_state = 0, .external_lex_state = 49},
  [3871] = {.lex_state = 0, .external_lex_state = 49},
  [3872] = {.lex_state = 11, .external_lex_state = 45},
  [3873] = {.lex_state = 0, .external_lex_state = 49},
  [3874] = {.lex_state = 0, .external_lex_state = 52},
  [3875] = {.lex_state = 0, .external_lex_state = 53},
  [3876] = {.lex_state = 11, .external_lex_state = 45},
  [3877] = {.lex_state = 0, .external_lex_state = 49},
  [3878] = {.lex_state = 0, .external_lex_state = 45},
  [3879] = {.lex_state = 11, .external_lex_state = 45},
  [3880] = {.lex_state = 0, .external_lex_state = 49},
  [3881] = {.lex_state = 0, .external_lex_state = 49},
  [3882] = {.lex_state = 0, .external_lex_state = 49},
  [3883] = {.lex_state = 0, .external_lex_state = 49},
  [3884] = {.lex_state = 0, .external_lex_state = 53},
  [3885] = {.lex_state = 0, .external_lex_state = 49},
  [3886] = {.lex_state = 0, .external_lex_state = 54},
  [3887] = {.lex_state = 0, .external_lex_state = 49},
  [3888] = {.lex_state = 0, .external_lex_state = 49},
  [3889] = {.lex_state = 0, .external_lex_state = 49},
  [3890] = {.lex_state = 23, .external_lex_state = 45},
  [3891] = {.lex_state = 0, .external_lex_state = 49},
  [3892] = {.lex_state = 0, .external_lex_state = 49},
  [3893] = {.lex_state = 0, .external_lex_state = 49},
  [3894] = {.lex_state = 0, .external_lex_state = 49},
  [3895] = {.lex_state = 0, .external_lex_state = 49},
  [3896] = {.lex_state = 0, .external_lex_state = 49},
  [3897] = {.lex_state = 0, .external_lex_state = 52},
  [3898] = {.lex_state = 0, .external_lex_state = 53},
  [3899] = {.lex_state = 11, .external_lex_state = 45},
  [3900] = {.lex_state = 0, .external_lex_state = 49},
  [3901] = {.lex_state = 0, .external_lex_state = 45},
  [3902] = {.lex_state = 11, .external_lex_state = 45},
  [3903] = {.lex_state = 0, .external_lex_state = 49},
  [3904] = {.lex_state = 11, .external_lex_state = 45},
  [3905] = {.lex_state = 11, .external_lex_state = 45},
  [3906] = {.lex_state = 11, .external_lex_state = 45},
  [3907] = {.lex_state = 0, .external_lex_state = 53},
  [3908] = {.lex_state = 0, .external_lex_state = 57},
  [3909] = {.lex_state = 0, .external_lex_state = 49},
  [3910] = {.lex_state = 0, .external_lex_state = 49},
  [3911] = {.lex_state = 0, .external_lex_state = 49},
  [3912] = {.lex_state = 0, .external_lex_state = 49},
  [3913] = {.lex_state = 0, .external_lex_state = 49},
  [3914] = {.lex_state = 0, .external_lex_state = 49},
  [3915] = {.lex_state = 0, .external_lex_state = 49},
  [3916] = {.lex_state = 0, .external_lex_state = 49},
  [3917] = {.lex_state = 0, .external_lex_state = 49},
  [3918] = {.lex_state = 0, .external_lex_state = 49},
  [3919] = {.lex_state = 0, .external_lex_state = 49},
  [3920] = {.lex_state = 0, .external_lex_state = 52},
  [3921] = {.lex_state = 0, .external_lex_state = 53},
  [3922] = {.lex_state = 11, .external_lex_state = 45},
  [3923] = {.lex_state = 0, .external_lex_state = 49},
  [3924] = {.lex_state = 0, .external_lex_state = 45},
  [3925] = {.lex_state = 0, .external_lex_state = 49},
  [3926] = {.lex_state = 0, .external_lex_state = 49},
  [3927] = {.lex_state = 11, .external_lex_state = 45},
  [3928] = {.lex_state = 11, .external_lex_state = 45},
  [3929] = {.lex_state = 11, .external_lex_state = 45},
  [3930] = {.lex_state = 0, .external_lex_state = 53},
  [3931] = {.lex_state = 11, .external_lex_state = 45},
  [3932] = {.lex_state = 0, .external_lex_state = 49},
  [3933] = {.lex_state = 0, .external_lex_state = 49},
  [3934] = {.lex_state = 0, .external_lex_state = 49},
  [3935] = {.lex_state = 0, .external_lex_state = 49},
  [3936] = {.lex_state = 0, .external_lex_state = 52},
  [3937] = {.lex_state = 0, .external_lex_state = 55},
  [3938] = {.lex_state = 0, .external_lex_state = 56},
  [3939] = {.lex_state = 23, .external_lex_state = 45},
  [3940] = {.lex_state = 0, .external_lex_state = 49},
  [3941] = {.lex_state = 23, .external_lex_state = 45},
  [3942] = {.lex_state = 0, .external_lex_state = 49},
  [3943] = {.lex_state = 0, .external_lex_state = 52},
  [3944] = {.lex_state = 0, .external_lex_state = 53},
  [3945] = {.lex_state = 11, .external_lex_state = 45},
  [3946] = {.lex_state = 0, .external_lex_state = 49},
  [3947] = {.lex_state = 0, .external_lex_state = 45},
  [3948] = {.lex_state = 0, .external_lex_state = 49},
  [3949] = {.lex_state = 0, .external_lex_state = 49},
  [3950] = {.lex_state = 0, .external_lex_state = 49},
  [3951] = {.lex_state = 0, .external_lex_state = 49},
  [3952] = {.lex_state = 0, .external_lex_state = 49},
  [3953] = {.lex_state = 0, .external_lex_state = 53},
  [3954] = {.lex_state = 0, .external_lex_state = 49},
  [3955] = {.lex_state = 0, .external_lex_state = 49},
  [3956] = {.lex_state = 0, .external_lex_state = 49},
  [3957] = {.lex_state = 0, .external_lex_state = 49},
  [3958] = {.lex_state = 11, .external_lex_state = 45},
  [3959] = {.lex_state = 0, .external_lex_state = 50},
  [3960] = {.lex_state = 0, .external_lex_state = 49},
  [3961] = {.lex_state = 0, .external_lex_state = 49},
  [3962] = {.lex_state = 0, .external_lex_state = 49},
  [3963] = {.lex_state = 0, .external_lex_state = 49},
  [3964] = {.lex_state = 0, .external_lex_state = 49},
  [3965] = {.lex_state = 0, .external_lex_state = 49},
  [3966] = {.lex_state = 0, .external_lex_state = 52},
  [3967] = {.lex_state = 0, .external_lex_state = 53},
  [3968] = {.lex_state = 11, .external_lex_state = 45},
  [3969] = {.lex_state = 0, .external_lex_state = 49},
  [3970] = {.lex_state = 0, .external_lex_state = 45},
  [3971] = {.lex_state = 0, .external_lex_state = 49},
  [3972] = {.lex_state = 0, .external_lex_state = 49},
  [3973] = {.lex_state = 11, .external_lex_state = 45},
  [3974] = {.lex_state = 0, .external_lex_state = 49},
  [3975] = {.lex_state = 0, .external_lex_state = 49},
  [3976] = {.lex_state = 0, .external_lex_state = 53},
  [3977] = {.lex_state = 0, .external_lex_state = 49},
  [3978] = {.lex_state = 11, .external_lex_state = 45},
  [3979] = {.lex_state = 11, .external_lex_state = 45},
  [3980] = {.lex_state = 0, .external_lex_state = 49},
  [3981] = {.lex_state = 0, .external_lex_state = 49},
  [3982] = {.lex_state = 11, .external_lex_state = 45},
  [3983] = {.lex_state = 0, .external_lex_state = 49},
  [3984] = {.lex_state = 0, .external_lex_state = 49},
  [3985] = {.lex_state = 0, .external_lex_state = 49},
  [3986] = {.lex_state = 0, .external_lex_state = 49},
  [3987] = {.lex_state = 23, .external_lex_state = 45},
  [3988] = {.lex_state = 0, .external_lex_state = 49},
  [3989] = {.lex_state = 0, .external_lex_state = 52},
  [3990] = {.lex_state = 0, .external_lex_state = 53},
  [3991] = {.lex_state = 11, .external_lex_state = 45},
  [3992] = {.lex_state = 0, .external_lex_state = 49},
  [3993] = {.lex_state = 0, .external_lex_state = 45},
  [3994] = {.lex_state = 0, .external_lex_state = 49},
  [3995] = {.lex_state = 0, .external_lex_state = 49},
  [3996] = {.lex_state = 23, .external_lex_state = 45},
  [3997] = {.lex_state = 0, .external_lex_state = 49},
  [3998] = {.lex_state = 0, .external_lex_state = 49},
  [3999] = {.lex_state = 0, .external_lex_state = 53},
  [4000] = {.lex_state = 0, .external_lex_state = 49},
  [4001] = {.lex_state = 0, .external_lex_state = 49},
  [4002] = {.lex_state = 0, .external_lex_state = 49},
  [4003] = {.lex_state = 0, .external_lex_state = 49},
  [4004] = {.lex_state = 0, .external_lex_state = 49},
  [4005] = {.lex_state = 0, .external_lex_state = 49},
  [4006] = {.lex_state = 0, .external_lex_state = 49},
  [4007] = {.lex_state = 0, .external_lex_state = 49},
  [4008] = {.lex_state = 0, .external_lex_state = 49},
  [4009] = {.lex_state = 11, .external_lex_state = 45},
  [4010] = {.lex_state = 0, .external_lex_state = 49},
  [4011] = {.lex_state = 0, .external_lex_state = 49},
  [4012] = {.lex_state = 0, .external_lex_state = 52},
  [4013] = {.lex_state = 0, .external_lex_state = 53},
  [4014] = {.lex_state = 11, .external_lex_state = 45},
  [4015] = {.lex_state = 0, .external_lex_state = 49},
  [4016] = {.lex_state = 0, .external_lex_state = 45},
  [4017] = {.lex_state = 0, .external_lex_state = 49},
  [4018] = {.lex_state = 0, .external_lex_state = 49},
  [4019] = {.lex_state = 0, .external_lex_state = 49},
  [4020] = {.lex_state = 0, .external_lex_state = 49},
  [4021] = {.lex_state = 0, .external_lex_state = 49},
  [4022] = {.lex_state = 0, .external_lex_state = 53},
  [4023] = {.lex_state = 0, .external_lex_state = 49},
  [4024] = {.lex_state = 0, .external_lex_state = 49},
  [4025] = {.lex_state = 0, .external_lex_state = 49},
  [4026] = {.lex_state = 0, .external_lex_state = 54},
  [4027] = {.lex_state = 11, .external_lex_state = 45},
  [4028] = {.lex_state = 0, .external_lex_state = 49},
  [4029] = {.lex_state = 0, .external_lex_state = 49},
  [4030] = {.lex_state = 11, .external_lex_state = 45},
  [4031] = {.lex_state = 0, .external_lex_state = 49},
  [4032] = {.lex_state = 11, .external_lex_state = 45},
  [4033] = {.lex_state = 11, .external_lex_state = 45},
  [4034] = {.lex_state = 0, .external_lex_state = 49},
  [4035] = {.lex_state = 0, .external_lex_state = 52},
  [4036] = {.lex_state = 0, .external_lex_state = 53},
  [4037] = {.lex_state = 11, .external_lex_state = 45},
  [4038] = {.lex_state = 0, .external_lex_state = 49},
  [4039] = {.lex_state = 0, .external_lex_state = 45},
  [4040] = {.lex_state = 0, .external_lex_state = 49},
  [4041] = {.lex_state = 0, .external_lex_state = 49},
  [4042] = {.lex_state = 0, .external_lex_state = 49},
  [4043] = {.lex_state = 0, .external_lex_state = 49},
  [4044] = {.lex_state = 0, .external_lex_state = 49},
  [4045] = {.lex_state = 0, .external_lex_state = 53},
  [4046] = {.lex_state = 0, .external_lex_state = 49},
  [4047] = {.lex_state = 0, .external_lex_state = 49},
  [4048] = {.lex_state = 23, .external_lex_state = 45},
  [4049] = {.lex_state = 0, .external_lex_state = 49},
  [4050] = {.lex_state = 0, .external_lex_state = 49},
  [4051] = {.lex_state = 0, .external_lex_state = 49},
  [4052] = {.lex_state = 0, .external_lex_state = 49},
  [4053] = {.lex_state = 0, .external_lex_state = 49},
  [4054] = {.lex_state = 0, .external_lex_state = 49},
  [4055] = {.lex_state = 0, .external_lex_state = 51},
  [4056] = {.lex_state = 0, .external_lex_state = 51},
  [4057] = {.lex_state = 0, .external_lex_state = 53},
  [4058] = {.lex_state = 0, .external_lex_state = 52},
  [4059] = {.lex_state = 0, .external_lex_state = 53},
  [4060] = {.lex_state = 11, .external_lex_state = 45},
  [4061] = {.lex_state = 0, .external_lex_state = 2},
  [4062] = {.lex_state = 0, .external_lex_state = 45},
  [4063] = {.lex_state = 0, .external_lex_state = 49},
  [4064] = {.lex_state = 11, .external_lex_state = 45},
  [4065] = {.lex_state = 0, .external_lex_state = 55},
  [4066] = {.lex_state = 0, .external_lex_state = 49},
  [4067] = {.lex_state = 0, .external_lex_state = 49},
  [4068] = {.lex_state = 0, .external_lex_state = 53},
  [4069] = {.lex_state = 0, .external_lex_state = 49},
  [4070] = {.lex_state = 0, .external_lex_state = 49},
  [4071] = {.lex_state = 0, .external_lex_state = 49},
  [4072] = {.lex_state = 0, .external_lex_state = 49},
  [4073] = {.lex_state = 0, .external_lex_state = 56},
  [4074] = {.lex_state = 0, .external_lex_state = 49},
  [4075] = {.lex_state = 0, .external_lex_state = 49},
  [4076] = {.lex_state = 0, .external_lex_state = 49},
  [4077] = {.lex_state = 23, .external_lex_state = 45},
  [4078] = {.lex_state = 0, .external_lex_state = 49},
  [4079] = {.lex_state = 0, .external_lex_state = 49},
  [4080] = {.lex_state = 0, .external_lex_state = 49},
  [4081] = {.lex_state = 0, .external_lex_state = 52},
  [4082] = {.lex_state = 0, .external_lex_state = 53},
  [4083] = {.lex_state = 11, .external_lex_state = 45},
  [4084] = {.lex_state = 0, .external_lex_state = 49},
  [4085] = {.lex_state = 0, .external_lex_state = 45},
  [4086] = {.lex_state = 11, .external_lex_state = 45},
  [4087] = {.lex_state = 0, .external_lex_state = 49},
  [4088] = {.lex_state = 0, .external_lex_state = 49},
  [4089] = {.lex_state = 11, .external_lex_state = 45},
  [4090] = {.lex_state = 0, .external_lex_state = 49},
  [4091] = {.lex_state = 0, .external_lex_state = 53},
  [4092] = {.lex_state = 0, .external_lex_state = 49},
  [4093] = {.lex_state = 0, .external_lex_state = 49},
  [4094] = {.lex_state = 0, .external_lex_state = 49},
  [4095] = {.lex_state = 0, .external_lex_state = 52},
  [4096] = {.lex_state = 0, .external_lex_state = 49},
  [4097] = {.lex_state = 11, .external_lex_state = 45},
  [4098] = {.lex_state = 11, .external_lex_state = 45},
  [4099] = {.lex_state = 0, .external_lex_state = 49},
  [4100] = {.lex_state = 0, .external_lex_state = 49},
  [4101] = {.lex_state = 0, .external_lex_state = 2},
  [4102] = {.lex_state = 23, .external_lex_state = 45},
  [4103] = {.lex_state = 0, .external_lex_state = 49},
  [4104] = {.lex_state = 0, .external_lex_state = 52},
  [4105] = {.lex_state = 0, .external_lex_state = 53},
  [4106] = {.lex_state = 11, .external_lex_state = 45},
  [4107] = {.lex_state = 0, .external_lex_state = 49},
  [4108] = {.lex_state = 0, .external_lex_state = 45},
  [4109] = {.lex_state = 0, .external_lex_state = 49},
  [4110] = {.lex_state = 0, .external_lex_state = 49},
  [4111] = {.lex_state = 0, .external_lex_state = 49},
  [4112] = {.lex_state = 0, .external_lex_state = 53},
  [4113] = {.lex_state = 0, .external_lex_state = 49},
  [4114] = {.lex_state = 0, .external_lex_state = 45},
  [4115] = {.lex_state = 11, .external_lex_state = 45},
  [4116] = {.lex_state = 11, .external_lex_state = 45},
  [4117] = {.lex_state = 11, .external_lex_state = 45},
  [4118] = {.lex_state = 0, .external_lex_state = 49},
  [4119] = {.lex_state = 11, .external_lex_state = 45},
  [4120] = {.lex_state = 0, .external_lex_state = 49},
  [4121] = {.lex_state = 0, .external_lex_state = 49},
  [4122] = {.lex_state = 0, .external_lex_state = 49},
  [4123] = {.lex_state = 0, .external_lex_state = 49},
  [4124] = {.lex_state = 0, .external_lex_state = 52},
  [4125] = {.lex_state = 0, .external_lex_state = 53},
  [4126] = {.lex_state = 11, .external_lex_state = 45},
  [4127] = {.lex_state = 0, .external_lex_state = 49},
  [4128] = {.lex_state = 0, .external_lex_state = 45},
  [4129] = {.lex_state = 0, .external_lex_state = 49},
  [4130] = {.lex_state = 0, .external_lex_state = 53},
  [4131] = {.lex_state = 0, .external_lex_state = 49},
  [4132] = {.lex_state = 0, .external_lex_state = 49},
  [4133] = {.lex_state = 0, .external_lex_state = 54},
  [4134] = {.lex_state = 0, .external_lex_state = 49},
  [4135] = {.lex_state = 0, .external_lex_state = 49},
  [4136] = {.lex_state = 0, .external_lex_state = 52},
  [4137] = {.lex_state = 0, .external_lex_state = 53},
  [4138] = {.lex_state = 11, .external_lex_state = 45},
  [4139] = {.lex_state = 0, .external_lex_state = 49},
  [4140] = {.lex_state = 0, .external_lex_state = 45},
  [4141] = {.lex_state = 0, .external_lex_state = 49},
  [4142] = {.lex_state = 0, .external_lex_state = 53},
  [4143] = {.lex_state = 0, .external_lex_state = 49},
  [4144] = {.lex_state = 0, .external_lex_state = 48},
  [4145] = {.lex_state = 0, .external_lex_state = 49},
  [4146] = {.lex_state = 0, .external_lex_state = 49},
  [4147] = {.lex_state = 11, .external_lex_state = 45},
  [4148] = {.lex_state = 0, .external_lex_state = 52},
  [4149] = {.lex_state = 0, .external_lex_state = 53},
  [4150] = {.lex_state = 11, .external_lex_state = 45},
  [4151] = {.lex_state = 0, .external_lex_state = 49},
  [4152] = {.lex_state = 0, .external_lex_state = 45},
  [4153] = {.lex_state = 0, .external_lex_state = 49},
  [4154] = {.lex_state = 0, .external_lex_state = 53},
  [4155] = {.lex_state = 11, .external_lex_state = 45},
  [4156] = {.lex_state = 0, .external_lex_state = 49},
  [4157] = {.lex_state = 0, .external_lex_state = 49},
  [4158] = {.lex_state = 0, .external_lex_state = 49},
  [4159] = {.lex_state = 0, .external_lex_state = 49},
  [4160] = {.lex_state = 0, .external_lex_state = 52},
  [4161] = {.lex_state = 0, .external_lex_state = 53},
  [4162] = {.lex_state = 11, .external_lex_state = 45},
  [4163] = {.lex_state = 0, .external_lex_state = 45},
  [4164] = {.lex_state = 0, .external_lex_state = 49},
  [4165] = {.lex_state = 0, .external_lex_state = 53},
  [4166] = {.lex_state = 0, .external_lex_state = 57},
  [4167] = {.lex_state = 0, .external_lex_state = 2},
  [4168] = {.lex_state = 0, .external_lex_state = 49},
  [4169] = {.lex_state = 0, .external_lex_state = 2},
  [4170] = {.lex_state = 0, .external_lex_state = 49},
  [4171] = {.lex_state = 0, .external_lex_state = 57},
  [4172] = {.lex_state = 23, .external_lex_state = 45},
  [4173] = {.lex_state = 0, .external_lex_state = 49},
  [4174] = {.lex_state = 0, .external_lex_state = 49},
  [4175] = {.lex_state = 0, .external_lex_state = 58},
  [4176] = {.lex_state = 0, .external_lex_state = 49},
  [4177] = {.lex_state = 0, .external_lex_state = 49},
  [4178] = {.lex_state = 0, .external_lex_state = 49},
  [4179] = {.lex_state = 0, .external_lex_state = 49},
  [4180] = {.lex_state = 0, .external_lex_state = 49},
  [4181] = {.lex_state = 0, .external_lex_state = 52},
  [4182] = {.lex_state = 11, .external_lex_state = 45},
  [4183] = {.lex_state = 0, .external_lex_state = 49},
  [4184] = {.lex_state = 11, .external_lex_state = 45},
  [4185] = {.lex_state = 11, .external_lex_state = 45},
  [4186] = {.lex_state = 11, .external_lex_state = 45},
  [4187] = {.lex_state = 0, .external_lex_state = 49},
  [4188] = {.lex_state = 0, .external_lex_state = 49},
  [4189] = {.lex_state = 0, .external_lex_state = 49},
  [4190] = {.lex_state = 0, .external_lex_state = 49},
  [4191] = {.lex_state = 0, .external_lex_state = 49},
  [4192] = {.lex_state = 0, .external_lex_state = 49},
  [4193] = {.lex_state = 0, .external_lex_state = 51},
  [4194] = {.lex_state = 0, .external_lex_state = 49},
  [4195] = {.lex_state = 0, .external_lex_state = 49},
  [4196] = {.lex_state = 0, .external_lex_state = 49},
  [4197] = {.lex_state = 0, .external_lex_state = 49},
  [4198] = {.lex_state = 0, .external_lex_state = 49},
  [4199] = {.lex_state = 0, .external_lex_state = 49},
  [4200] = {.lex_state = 0, .external_lex_state = 49},
  [4201] = {.lex_state = 0, .external_lex_state = 49},
  [4202] = {.lex_state = 11, .external_lex_state = 45},
  [4203] = {.lex_state = 0, .external_lex_state = 49},
  [4204] = {.lex_state = 0, .external_lex_state = 49},
  [4205] = {.lex_state = 11, .external_lex_state = 45},
  [4206] = {.lex_state = 0, .external_lex_state = 49},
  [4207] = {.lex_state = 0, .external_lex_state = 49},
  [4208] = {.lex_state = 0, .external_lex_state = 49},
  [4209] = {.lex_state = 0, .external_lex_state = 49},
  [4210] = {.lex_state = 0, .external_lex_state = 49},
  [4211] = {.lex_state = 0, .external_lex_state = 49},
  [4212] = {.lex_state = 0, .external_lex_state = 49},
  [4213] = {.lex_state = 0, .external_lex_state = 55},
  [4214] = {.lex_state = 0, .external_lex_state = 56},
  [4215] = {.lex_state = 23, .external_lex_state = 45},
  [4216] = {.lex_state = 0, .external_lex_state = 49},
  [4217] = {.lex_state = 0, .external_lex_state = 49},
  [4218] = {.lex_state = 0, .external_lex_state = 49},
  [4219] = {.lex_state = 0, .external_lex_state = 49},
  [4220] = {.lex_state = 0, .external_lex_state = 49},
  [4221] = {.lex_state = 0, .external_lex_state = 49},
  [4222] = {.lex_state = 23, .external_lex_state = 45},
  [4223] = {.lex_state = 0, .external_lex_state = 49},
  [4224] = {.lex_state = 0, .external_lex_state = 49},
  [4225] = {.lex_state = 0, .external_lex_state = 49},
  [4226] = {.lex_state = 0, .external_lex_state = 49},
  [4227] = {.lex_state = 11, .external_lex_state = 45},
  [4228] = {.lex_state = 0, .external_lex_state = 49},
  [4229] = {.lex_state = 0, .external_lex_state = 49},
  [4230] = {.lex_state = 0, .external_lex_state = 49},
  [4231] = {.lex_state = 0, .external_lex_state = 49},
  [4232] = {.lex_state = 0, .external_lex_state = 49},
  [4233] = {.lex_state = 0, .external_lex_state = 49},
  [4234] = {.lex_state = 0, .external_lex_state = 49},
  [4235] = {.lex_state = 0, .external_lex_state = 49},
  [4236] = {.lex_state = 0, .external_lex_state = 49},
  [4237] = {.lex_state = 0, .external_lex_state = 49},
  [4238] = {.lex_state = 0, .external_lex_state = 49},
  [4239] = {.lex_state = 0, .external_lex_state = 49},
  [4240] = {.lex_state = 0, .external_lex_state = 59},
  [4241] = {.lex_state = 0, .external_lex_state = 58},
  [4242] = {.lex_state = 0, .external_lex_state = 49},
  [4243] = {.lex_state = 0, .external_lex_state = 59},
  [4244] = {.lex_state = 0, .external_lex_state = 2},
  [4245] = {.lex_state = 11, .external_lex_state = 45},
  [4246] = {.lex_state = 0, .external_lex_state = 52},
  [4247] = {.lex_state = 11, .external_lex_state = 45},
  [4248] = {.lex_state = 0, .external_lex_state = 58},
  [4249] = {.lex_state = 0, .external_lex_state = 49},
  [4250] = {.lex_state = 0, .external_lex_state = 59},
  [4251] = {.lex_state = 0, .external_lex_state = 2},
  [4252] = {.lex_state = 11, .external_lex_state = 45},
  [4253] = {.lex_state = 11, .external_lex_state = 45},
  [4254] = {.lex_state = 0, .external_lex_state = 58},
  [4255] = {.lex_state = 0, .external_lex_state = 59},
  [4256] = {.lex_state = 0, .external_lex_state = 2},
  [4257] = {.lex_state = 11, .external_lex_state = 45},
  [4258] = {.lex_state = 11, .external_lex_state = 45},
  [4259] = {.lex_state = 0, .external_lex_state = 58},
  [4260] = {.lex_state = 0, .external_lex_state = 59},
  [4261] = {.lex_state = 0, .external_lex_state = 2},
  [4262] = {.lex_state = 11, .external_lex_state = 45},
  [4263] = {.lex_state = 0, .external_lex_state = 55},
  [4264] = {.lex_state = 0, .external_lex_state = 58},
  [4265] = {.lex_state = 0, .external_lex_state = 59},
  [4266] = {.lex_state = 0, .external_lex_state = 2},
  [4267] = {.lex_state = 11, .external_lex_state = 45},
  [4268] = {.lex_state = 0, .external_lex_state = 49},
  [4269] = {.lex_state = 0, .external_lex_state = 58},
  [4270] = {.lex_state = 0, .external_lex_state = 59},
  [4271] = {.lex_state = 0, .external_lex_state = 2},
  [4272] = {.lex_state = 11, .external_lex_state = 45},
  [4273] = {.lex_state = 0, .external_lex_state = 49},
  [4274] = {.lex_state = 0, .external_lex_state = 58},
  [4275] = {.lex_state = 0, .external_lex_state = 59},
  [4276] = {.lex_state = 0, .external_lex_state = 2},
  [4277] = {.lex_state = 11, .external_lex_state = 45},
  [4278] = {.lex_state = 0, .external_lex_state = 49},
  [4279] = {.lex_state = 0, .external_lex_state = 58},
  [4280] = {.lex_state = 0, .external_lex_state = 59},
  [4281] = {.lex_state = 0, .external_lex_state = 2},
  [4282] = {.lex_state = 11, .external_lex_state = 45},
  [4283] = {.lex_state = 0, .external_lex_state = 49},
  [4284] = {.lex_state = 0, .external_lex_state = 58},
  [4285] = {.lex_state = 0, .external_lex_state = 59},
  [4286] = {.lex_state = 0, .external_lex_state = 2},
  [4287] = {.lex_state = 11, .external_lex_state = 45},
  [4288] = {.lex_state = 0, .external_lex_state = 49},
  [4289] = {.lex_state = 0, .external_lex_state = 58},
  [4290] = {.lex_state = 0, .external_lex_state = 59},
  [4291] = {.lex_state = 0, .external_lex_state = 2},
  [4292] = {.lex_state = 11, .external_lex_state = 45},
  [4293] = {.lex_state = 23, .external_lex_state = 45},
  [4294] = {.lex_state = 0, .external_lex_state = 58},
  [4295] = {.lex_state = 0, .external_lex_state = 59},
  [4296] = {.lex_state = 0, .external_lex_state = 2},
  [4297] = {.lex_state = 11, .external_lex_state = 45},
  [4298] = {.lex_state = 0, .external_lex_state = 49},
  [4299] = {.lex_state = 0, .external_lex_state = 58},
  [4300] = {.lex_state = 0, .external_lex_state = 59},
  [4301] = {.lex_state = 0, .external_lex_state = 2},
  [4302] = {.lex_state = 11, .external_lex_state = 45},
  [4303] = {.lex_state = 0, .external_lex_state = 49},
  [4304] = {.lex_state = 0, .external_lex_state = 58},
  [4305] = {.lex_state = 0, .external_lex_state = 59},
  [4306] = {.lex_state = 0, .external_lex_state = 2},
  [4307] = {.lex_state = 11, .external_lex_state = 45},
  [4308] = {.lex_state = 0, .external_lex_state = 49},
  [4309] = {.lex_state = 0, .external_lex_state = 58},
  [4310] = {.lex_state = 0, .external_lex_state = 59},
  [4311] = {.lex_state = 0, .external_lex_state = 2},
  [4312] = {.lex_state = 11, .external_lex_state = 45},
  [4313] = {.lex_state = 0, .external_lex_state = 49},
  [4314] = {.lex_state = 0, .external_lex_state = 58},
  [4315] = {.lex_state = 0, .external_lex_state = 59},
  [4316] = {.lex_state = 0, .external_lex_state = 2},
  [4317] = {.lex_state = 11, .external_lex_state = 45},
  [4318] = {.lex_state = 0, .external_lex_state = 49},
  [4319] = {.lex_state = 0, .external_lex_state = 58},
  [4320] = {.lex_state = 0, .external_lex_state = 59},
  [4321] = {.lex_state = 0, .external_lex_state = 2},
  [4322] = {.lex_state = 11, .external_lex_state = 45},
  [4323] = {.lex_state = 0, .external_lex_state = 49},
  [4324] = {.lex_state = 0, .external_lex_state = 58},
  [4325] = {.lex_state = 0, .external_lex_state = 59},
  [4326] = {.lex_state = 0, .external_lex_state = 2},
  [4327] = {.lex_state = 11, .external_lex_state = 45},
  [4328] = {.lex_state = 0, .external_lex_state = 49},
  [4329] = {.lex_state = 0, .external_lex_state = 58},
  [4330] = {.lex_state = 0, .external_lex_state = 59},
  [4331] = {.lex_state = 0, .external_lex_state = 2},
  [4332] = {.lex_state = 11, .external_lex_state = 45},
  [4333] = {.lex_state = 0, .external_lex_state = 49},
  [4334] = {.lex_state = 0, .external_lex_state = 58},
  [4335] = {.lex_state = 0, .external_lex_state = 59},
  [4336] = {.lex_state = 0, .external_lex_state = 2},
  [4337] = {.lex_state = 11, .external_lex_state = 45},
  [4338] = {.lex_state = 0, .external_lex_state = 49},
  [4339] = {.lex_state = 0, .external_lex_state = 58},
  [4340] = {.lex_state = 0, .external_lex_state = 59},
  [4341] = {.lex_state = 0, .external_lex_state = 2},
  [4342] = {.lex_state = 0, .external_lex_state = 49},
  [4343] = {.lex_state = 0, .external_lex_state = 58},
  [4344] = {.lex_state = 0, .external_lex_state = 59},
  [4345] = {.lex_state = 0, .external_lex_state = 2},
  [4346] = {.lex_state = 0, .external_lex_state = 56},
  [4347] = {.lex_state = 0, .external_lex_state = 58},
  [4348] = {.lex_state = 0, .external_lex_state = 59},
  [4349] = {.lex_state = 0, .external_lex_state = 2},
  [4350] = {.lex_state = 11, .external_lex_state = 45},
  [4351] = {.lex_state = 0, .external_lex_state = 58},
  [4352] = {.lex_state = 0, .external_lex_state = 59},
  [4353] = {.lex_state = 0, .external_lex_state = 2},
  [4354] = {.lex_state = 0, .external_lex_state = 49},
  [4355] = {.lex_state = 0, .external_lex_state = 58},
  [4356] = {.lex_state = 0, .external_lex_state = 59},
  [4357] = {.lex_state = 0, .external_lex_state = 2},
  [4358] = {.lex_state = 0, .external_lex_state = 2},
  [4359] = {.lex_state = 0, .external_lex_state = 2},
  [4360] = {.lex_state = 0, .external_lex_state = 2},
  [4361] = {.lex_state = 0, .external_lex_state = 2},
  [4362] = {.lex_state = 0, .external_lex_state = 2},
  [4363] = {.lex_state = 0, .external_lex_state = 2},
  [4364] = {.lex_state = 0, .external_lex_state = 2},
  [4365] = {.lex_state = 0, .external_lex_state = 2},
  [4366] = {.lex_state = 0, .external_lex_state = 2},
  [4367] = {.lex_state = 0, .external_lex_state = 2},
  [4368] = {.lex_state = 0, .external_lex_state = 2},
  [4369] = {.lex_state = 0, .external_lex_state = 49},
  [4370] = {.lex_state = 0, .external_lex_state = 2},
  [4371] = {.lex_state = 0, .external_lex_state = 2},
  [4372] = {.lex_state = 0, .external_lex_state = 2},
  [4373] = {.lex_state = 0, .external_lex_state = 2},
  [4374] = {.lex_state = 0, .external_lex_state = 2},
  [4375] = {.lex_state = 0, .external_lex_state = 2},
  [4376] = {.lex_state = 0, .external_lex_state = 2},
  [4377] = {.lex_state = 0, .external_lex_state = 2},
  [4378] = {.lex_state = 0, .external_lex_state = 49},
  [4379] = {.lex_state = 0, .external_lex_state = 49},
  [4380] = {.lex_state = 0, .external_lex_state = 49},
  [4381] = {.lex_state = 0, .external_lex_state = 49},
  [4382] = {.lex_state = 0, .external_lex_state = 49},
  [4383] = {.lex_state = 0, .external_lex_state = 49},
  [4384] = {.lex_state = 0, .external_lex_state = 49},
  [4385] = {.lex_state = 0, .external_lex_state = 49},
  [4386] = {.lex_state = 23, .external_lex_state = 45},
  [4387] = {.lex_state = 0, .external_lex_state = 49},
  [4388] = {.lex_state = 0, .external_lex_state = 49},
  [4389] = {.lex_state = 0, .external_lex_state = 49},
  [4390] = {.lex_state = 0, .external_lex_state = 49},
  [4391] = {.lex_state = 11, .external_lex_state = 45},
  [4392] = {.lex_state = 0, .external_lex_state = 49},
  [4393] = {.lex_state = 11, .external_lex_state = 45},
  [4394] = {.lex_state = 11, .external_lex_state = 45},
  [4395] = {.lex_state = 11, .external_lex_state = 45},
  [4396] = {.lex_state = 0, .external_lex_state = 49},
  [4397] = {.lex_state = 0, .external_lex_state = 49},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [aux_sym_escape_token1] = ACTIONS(1),
    [sym__lb] = ACTIONS(3),
    [sym_linebreak] = ACTIONS(1),
    [sym_quote] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [aux_sym__math_root_token1] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym__math_symbol_token1] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_COMMA2] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_show] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_auto] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__redent] = ACTIONS(1),
    [sym__line_start_check] = ACTIONS(1),
    [sym__token_content] = ACTIONS(1),
    [sym__token_strong] = ACTIONS(1),
    [sym__token_emph] = ACTIONS(1),
    [sym__barrier] = ACTIONS(1),
    [sym__token_bracket] = ACTIONS(1),
    [sym__token_section] = ACTIONS(1),
    [sym__termination] = ACTIONS(1),
    [sym__token_inlined_item_end] = ACTIONS(1),
    [sym__token_inlined_stmt_end] = ACTIONS(1),
    [sym__token_blocked_expr_end] = ACTIONS(1),
    [sym__token_math_letter] = ACTIONS(1),
    [sym__token_math_ident] = ACTIONS(1),
    [sym__token_math_frac] = ACTIONS(1),
    [sym__token_math_group_end] = ACTIONS(1),
    [sym__token_else] = ACTIONS(1),
    [sym__token_unit] = ACTIONS(1),
    [sym__token_url] = ACTIONS(1),
    [sym__token_item] = ACTIONS(1),
    [sym__token_term] = ACTIONS(1),
    [sym__token_head_1] = ACTIONS(1),
    [sym__token_head_2] = ACTIONS(1),
    [sym__token_head_3] = ACTIONS(1),
    [sym__token_head_4] = ACTIONS(1),
    [sym__token_head_5] = ACTIONS(1),
    [sym__token_head_p] = ACTIONS(1),
    [sym__token_string_blob] = ACTIONS(1),
    [sym__token_raw_span_blob] = ACTIONS(1),
    [sym__token_raw_blck_ldlm] = ACTIONS(1),
    [sym__token_raw_blck_rdlm] = ACTIONS(1),
    [sym__token_raw_blck_blob] = ACTIONS(1),
    [sym__token_raw_lang] = ACTIONS(1),
    [sym__token_identifier] = ACTIONS(1),
    [sym__token_label] = ACTIONS(1),
    [sym__token_anti_markup] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate] = ACTIONS(1),
    [sym__immediate_paren] = ACTIONS(1),
    [sym__immediate_brack] = ACTIONS(1),
    [sym__immediate_ident] = ACTIONS(1),
    [sym__immediate_math_call] = ACTIONS(1),
    [sym__immediate_math_apply] = ACTIONS(1),
    [sym__immediate_math_field] = ACTIONS(1),
    [sym__immediate_math_prime] = ACTIONS(1),
    [sym__recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(3765),
    [sym__lb] = ACTIONS(3),
    [sym__line_start_check] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [2] = {
    [sym_raw_blck] = STATE(1571),
    [sym_raw_span] = STATE(1571),
    [sym_math] = STATE(1571),
    [sym__expr] = STATE(1571),
    [sym_ident] = STATE(1571),
    [sym_bool] = STATE(1571),
    [sym_number] = STATE(1571),
    [sym_string] = STATE(1571),
    [sym_tagged] = STATE(1571),
    [sym_context] = STATE(1571),
    [sym_elude] = STATE(1571),
    [sym_assign] = STATE(1571),
    [sym_lambda] = STATE(1571),
    [sym_or] = STATE(1571),
    [sym_not] = STATE(1571),
    [sym_and] = STATE(1571),
    [sym_cmp] = STATE(1571),
    [sym_in] = STATE(1571),
    [sym_add] = STATE(1571),
    [sym_sub] = STATE(1571),
    [sym_mul] = STATE(1571),
    [sym_div] = STATE(1571),
    [sym_sign] = STATE(1571),
    [sym_call] = STATE(1571),
    [sym_field] = STATE(1571),
    [sym_label] = STATE(1571),
    [sym_content] = STATE(1571),
    [sym_group] = STATE(1571),
    [sym_block] = STATE(1571),
    [sym_branch] = STATE(1571),
    [sym_let] = STATE(1571),
    [sym_set] = STATE(1571),
    [sym_import] = STATE(1571),
    [sym_include] = STATE(1571),
    [sym_for] = STATE(1571),
    [sym_while] = STATE(1571),
    [sym_show] = STATE(1571),
    [sym_return] = STATE(1571),
    [sym_flow] = STATE(1571),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_RPAREN2] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(57),
    [sym_none] = ACTIONS(57),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [3] = {
    [sym_raw_blck] = STATE(1552),
    [sym_raw_span] = STATE(1552),
    [sym_math] = STATE(1552),
    [sym__expr] = STATE(1552),
    [sym_ident] = STATE(1552),
    [sym_bool] = STATE(1552),
    [sym_number] = STATE(1552),
    [sym_string] = STATE(1552),
    [sym_tagged] = STATE(1552),
    [sym_context] = STATE(1552),
    [sym_elude] = STATE(1552),
    [sym_assign] = STATE(1552),
    [sym_lambda] = STATE(1552),
    [sym_or] = STATE(1552),
    [sym_not] = STATE(1552),
    [sym_and] = STATE(1552),
    [sym_cmp] = STATE(1552),
    [sym_in] = STATE(1552),
    [sym_add] = STATE(1552),
    [sym_sub] = STATE(1552),
    [sym_mul] = STATE(1552),
    [sym_div] = STATE(1552),
    [sym_sign] = STATE(1552),
    [sym_call] = STATE(1552),
    [sym_field] = STATE(1552),
    [sym_label] = STATE(1552),
    [sym_content] = STATE(1552),
    [sym_group] = STATE(1552),
    [sym_block] = STATE(1552),
    [sym_branch] = STATE(1552),
    [sym_let] = STATE(1552),
    [sym_set] = STATE(1552),
    [sym_import] = STATE(1552),
    [sym_include] = STATE(1552),
    [sym_for] = STATE(1552),
    [sym_while] = STATE(1552),
    [sym_show] = STATE(1552),
    [sym_return] = STATE(1552),
    [sym_flow] = STATE(1552),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_RPAREN2] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(67),
    [sym_none] = ACTIONS(67),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [4] = {
    [sym_raw_blck] = STATE(1902),
    [sym_raw_span] = STATE(1902),
    [sym_math] = STATE(1902),
    [sym__expr] = STATE(1902),
    [sym_ident] = STATE(1902),
    [sym_bool] = STATE(1902),
    [sym_number] = STATE(1902),
    [sym_string] = STATE(1902),
    [sym_tagged] = STATE(1902),
    [sym_context] = STATE(1902),
    [sym_elude] = STATE(1902),
    [sym_assign] = STATE(1902),
    [sym_lambda] = STATE(1902),
    [sym_or] = STATE(1902),
    [sym_not] = STATE(1902),
    [sym_and] = STATE(1902),
    [sym_cmp] = STATE(1902),
    [sym_in] = STATE(1902),
    [sym_add] = STATE(1902),
    [sym_sub] = STATE(1902),
    [sym_mul] = STATE(1902),
    [sym_div] = STATE(1902),
    [sym_sign] = STATE(1902),
    [sym_call] = STATE(1902),
    [sym_field] = STATE(1902),
    [sym_label] = STATE(1902),
    [sym_content] = STATE(1902),
    [sym_group] = STATE(1902),
    [sym_block] = STATE(1902),
    [sym_branch] = STATE(1902),
    [sym_let] = STATE(1902),
    [sym_set] = STATE(1902),
    [sym_import] = STATE(1902),
    [sym_include] = STATE(1902),
    [sym_for] = STATE(1902),
    [sym_while] = STATE(1902),
    [sym_show] = STATE(1902),
    [sym_return] = STATE(1902),
    [sym_flow] = STATE(1902),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_RPAREN2] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(109),
    [sym_none] = ACTIONS(109),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [5] = {
    [sym_raw_blck] = STATE(1910),
    [sym_raw_span] = STATE(1910),
    [sym_math] = STATE(1910),
    [sym__expr] = STATE(1910),
    [sym_ident] = STATE(1910),
    [sym_bool] = STATE(1910),
    [sym_number] = STATE(1910),
    [sym_string] = STATE(1910),
    [sym_tagged] = STATE(1910),
    [sym_context] = STATE(1910),
    [sym_elude] = STATE(1910),
    [sym_assign] = STATE(1910),
    [sym_lambda] = STATE(1910),
    [sym_or] = STATE(1910),
    [sym_not] = STATE(1910),
    [sym_and] = STATE(1910),
    [sym_cmp] = STATE(1910),
    [sym_in] = STATE(1910),
    [sym_add] = STATE(1910),
    [sym_sub] = STATE(1910),
    [sym_mul] = STATE(1910),
    [sym_div] = STATE(1910),
    [sym_sign] = STATE(1910),
    [sym_call] = STATE(1910),
    [sym_field] = STATE(1910),
    [sym_label] = STATE(1910),
    [sym_content] = STATE(1910),
    [sym_group] = STATE(1910),
    [sym_block] = STATE(1910),
    [sym_branch] = STATE(1910),
    [sym_let] = STATE(1910),
    [sym_set] = STATE(1910),
    [sym_import] = STATE(1910),
    [sym_include] = STATE(1910),
    [sym_for] = STATE(1910),
    [sym_while] = STATE(1910),
    [sym_show] = STATE(1910),
    [sym_return] = STATE(1910),
    [sym_flow] = STATE(1910),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_COMMA] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(117),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(119),
    [anon_sym_DASH] = ACTIONS(119),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_RPAREN2] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(121),
    [sym_none] = ACTIONS(121),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [6] = {
    [sym_raw_blck] = STATE(1642),
    [sym_raw_span] = STATE(1642),
    [sym_math] = STATE(1642),
    [sym__expr] = STATE(1642),
    [sym_ident] = STATE(1642),
    [sym_bool] = STATE(1642),
    [sym_number] = STATE(1642),
    [sym_string] = STATE(1642),
    [sym_tagged] = STATE(1642),
    [sym_context] = STATE(1642),
    [sym_elude] = STATE(1642),
    [sym_assign] = STATE(1642),
    [sym_lambda] = STATE(1642),
    [sym_or] = STATE(1642),
    [sym_not] = STATE(1642),
    [sym_and] = STATE(1642),
    [sym_cmp] = STATE(1642),
    [sym_in] = STATE(1642),
    [sym_add] = STATE(1642),
    [sym_sub] = STATE(1642),
    [sym_mul] = STATE(1642),
    [sym_div] = STATE(1642),
    [sym_sign] = STATE(1642),
    [sym_call] = STATE(1642),
    [sym_field] = STATE(1642),
    [sym_label] = STATE(1642),
    [sym_content] = STATE(1642),
    [sym_group] = STATE(1642),
    [sym_block] = STATE(1642),
    [sym_branch] = STATE(1642),
    [sym_let] = STATE(1642),
    [sym_set] = STATE(1642),
    [sym_import] = STATE(1642),
    [sym_include] = STATE(1642),
    [sym_for] = STATE(1642),
    [sym_while] = STATE(1642),
    [sym_show] = STATE(1642),
    [sym_return] = STATE(1642),
    [sym_flow] = STATE(1642),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(141),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(169),
    [sym_none] = ACTIONS(169),
    [sym__token_content] = ACTIONS(171),
    [sym__token_inlined_stmt_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [7] = {
    [sym_raw_blck] = STATE(1731),
    [sym_raw_span] = STATE(1731),
    [sym_math] = STATE(1731),
    [sym__expr] = STATE(1731),
    [sym_ident] = STATE(1731),
    [sym_bool] = STATE(1731),
    [sym_number] = STATE(1731),
    [sym_string] = STATE(1731),
    [sym_tagged] = STATE(1731),
    [sym_context] = STATE(1731),
    [sym_elude] = STATE(1731),
    [sym_assign] = STATE(1731),
    [sym_lambda] = STATE(1731),
    [sym_or] = STATE(1731),
    [sym_not] = STATE(1731),
    [sym_and] = STATE(1731),
    [sym_cmp] = STATE(1731),
    [sym_in] = STATE(1731),
    [sym_add] = STATE(1731),
    [sym_sub] = STATE(1731),
    [sym_mul] = STATE(1731),
    [sym_div] = STATE(1731),
    [sym_sign] = STATE(1731),
    [sym_call] = STATE(1731),
    [sym_field] = STATE(1731),
    [sym_label] = STATE(1731),
    [sym_content] = STATE(1731),
    [sym_group] = STATE(1731),
    [sym_block] = STATE(1731),
    [sym_branch] = STATE(1731),
    [sym_let] = STATE(1731),
    [sym_set] = STATE(1731),
    [sym_import] = STATE(1731),
    [sym_include] = STATE(1731),
    [sym_for] = STATE(1731),
    [sym_while] = STATE(1731),
    [sym_show] = STATE(1731),
    [sym_return] = STATE(1731),
    [sym_flow] = STATE(1731),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(175),
    [sym_none] = ACTIONS(175),
    [sym__token_content] = ACTIONS(171),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [8] = {
    [sym_raw_blck] = STATE(1664),
    [sym_raw_span] = STATE(1664),
    [sym_math] = STATE(1664),
    [sym__expr] = STATE(1664),
    [sym_ident] = STATE(1664),
    [sym_bool] = STATE(1664),
    [sym_number] = STATE(1664),
    [sym_string] = STATE(1664),
    [sym_tagged] = STATE(1664),
    [sym_context] = STATE(1664),
    [sym_elude] = STATE(1664),
    [sym_assign] = STATE(1664),
    [sym_lambda] = STATE(1664),
    [sym_or] = STATE(1664),
    [sym_not] = STATE(1664),
    [sym_and] = STATE(1664),
    [sym_cmp] = STATE(1664),
    [sym_in] = STATE(1664),
    [sym_add] = STATE(1664),
    [sym_sub] = STATE(1664),
    [sym_mul] = STATE(1664),
    [sym_div] = STATE(1664),
    [sym_sign] = STATE(1664),
    [sym_call] = STATE(1664),
    [sym_field] = STATE(1664),
    [sym_label] = STATE(1664),
    [sym_content] = STATE(1664),
    [sym_group] = STATE(1664),
    [sym_block] = STATE(1664),
    [sym_branch] = STATE(1664),
    [sym_let] = STATE(1664),
    [sym_set] = STATE(1664),
    [sym_import] = STATE(1664),
    [sym_include] = STATE(1664),
    [sym_for] = STATE(1664),
    [sym_while] = STATE(1664),
    [sym_show] = STATE(1664),
    [sym_return] = STATE(1664),
    [sym_flow] = STATE(1664),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(217),
    [sym_none] = ACTIONS(217),
    [sym__token_content] = ACTIONS(219),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [9] = {
    [sym_raw_blck] = STATE(1669),
    [sym_raw_span] = STATE(1669),
    [sym_math] = STATE(1669),
    [sym__expr] = STATE(1669),
    [sym_ident] = STATE(1669),
    [sym_bool] = STATE(1669),
    [sym_number] = STATE(1669),
    [sym_string] = STATE(1669),
    [sym_tagged] = STATE(1669),
    [sym_context] = STATE(1669),
    [sym_elude] = STATE(1669),
    [sym_assign] = STATE(1669),
    [sym_lambda] = STATE(1669),
    [sym_or] = STATE(1669),
    [sym_not] = STATE(1669),
    [sym_and] = STATE(1669),
    [sym_cmp] = STATE(1669),
    [sym_in] = STATE(1669),
    [sym_add] = STATE(1669),
    [sym_sub] = STATE(1669),
    [sym_mul] = STATE(1669),
    [sym_div] = STATE(1669),
    [sym_sign] = STATE(1669),
    [sym_call] = STATE(1669),
    [sym_field] = STATE(1669),
    [sym_label] = STATE(1669),
    [sym_content] = STATE(1669),
    [sym_group] = STATE(1669),
    [sym_block] = STATE(1669),
    [sym_branch] = STATE(1669),
    [sym_let] = STATE(1669),
    [sym_set] = STATE(1669),
    [sym_import] = STATE(1669),
    [sym_include] = STATE(1669),
    [sym_for] = STATE(1669),
    [sym_while] = STATE(1669),
    [sym_show] = STATE(1669),
    [sym_return] = STATE(1669),
    [sym_flow] = STATE(1669),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(225),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(229),
    [sym_none] = ACTIONS(229),
    [sym__token_content] = ACTIONS(219),
    [sym__token_inlined_item_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [10] = {
    [sym_raw_blck] = STATE(1782),
    [sym_raw_span] = STATE(1782),
    [sym_math] = STATE(1782),
    [sym__expr] = STATE(1782),
    [sym_ident] = STATE(1782),
    [sym_bool] = STATE(1782),
    [sym_number] = STATE(1782),
    [sym_string] = STATE(1782),
    [sym_tagged] = STATE(1782),
    [sym_context] = STATE(1782),
    [sym_elude] = STATE(1782),
    [sym_assign] = STATE(1782),
    [sym_lambda] = STATE(1782),
    [sym_or] = STATE(1782),
    [sym_not] = STATE(1782),
    [sym_and] = STATE(1782),
    [sym_cmp] = STATE(1782),
    [sym_in] = STATE(1782),
    [sym_add] = STATE(1782),
    [sym_sub] = STATE(1782),
    [sym_mul] = STATE(1782),
    [sym_div] = STATE(1782),
    [sym_sign] = STATE(1782),
    [sym_call] = STATE(1782),
    [sym_field] = STATE(1782),
    [sym_label] = STATE(1782),
    [sym_content] = STATE(1782),
    [sym_group] = STATE(1782),
    [sym_block] = STATE(1782),
    [sym_branch] = STATE(1782),
    [sym_let] = STATE(1782),
    [sym_set] = STATE(1782),
    [sym_import] = STATE(1782),
    [sym_include] = STATE(1782),
    [sym_for] = STATE(1782),
    [sym_while] = STATE(1782),
    [sym_show] = STATE(1782),
    [sym_return] = STATE(1782),
    [sym_flow] = STATE(1782),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(271),
    [sym_none] = ACTIONS(271),
    [sym__token_content] = ACTIONS(273),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [11] = {
    [sym_raw_blck] = STATE(1797),
    [sym_raw_span] = STATE(1797),
    [sym_math] = STATE(1797),
    [sym__expr] = STATE(1797),
    [sym_ident] = STATE(1797),
    [sym_bool] = STATE(1797),
    [sym_number] = STATE(1797),
    [sym_string] = STATE(1797),
    [sym_tagged] = STATE(1797),
    [sym_context] = STATE(1797),
    [sym_elude] = STATE(1797),
    [sym_assign] = STATE(1797),
    [sym_lambda] = STATE(1797),
    [sym_or] = STATE(1797),
    [sym_not] = STATE(1797),
    [sym_and] = STATE(1797),
    [sym_cmp] = STATE(1797),
    [sym_in] = STATE(1797),
    [sym_add] = STATE(1797),
    [sym_sub] = STATE(1797),
    [sym_mul] = STATE(1797),
    [sym_div] = STATE(1797),
    [sym_sign] = STATE(1797),
    [sym_call] = STATE(1797),
    [sym_field] = STATE(1797),
    [sym_label] = STATE(1797),
    [sym_content] = STATE(1797),
    [sym_group] = STATE(1797),
    [sym_block] = STATE(1797),
    [sym_branch] = STATE(1797),
    [sym_let] = STATE(1797),
    [sym_set] = STATE(1797),
    [sym_import] = STATE(1797),
    [sym_include] = STATE(1797),
    [sym_for] = STATE(1797),
    [sym_while] = STATE(1797),
    [sym_show] = STATE(1797),
    [sym_return] = STATE(1797),
    [sym_flow] = STATE(1797),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(283),
    [sym_none] = ACTIONS(283),
    [sym__token_content] = ACTIONS(273),
    [sym__token_blocked_expr_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [12] = {
    [sym_raw_blck] = STATE(2273),
    [sym_raw_span] = STATE(2273),
    [sym_math] = STATE(2273),
    [sym__expr] = STATE(2273),
    [sym_ident] = STATE(2273),
    [sym_bool] = STATE(2273),
    [sym_number] = STATE(2273),
    [sym_string] = STATE(2273),
    [sym_tagged] = STATE(2273),
    [sym_context] = STATE(2273),
    [sym_elude] = STATE(2273),
    [sym_assign] = STATE(2273),
    [sym_lambda] = STATE(2273),
    [sym_or] = STATE(2273),
    [sym_not] = STATE(2273),
    [sym_and] = STATE(2273),
    [sym_cmp] = STATE(2273),
    [sym_in] = STATE(2273),
    [sym_add] = STATE(2273),
    [sym_sub] = STATE(2273),
    [sym_mul] = STATE(2273),
    [sym_div] = STATE(2273),
    [sym_sign] = STATE(2273),
    [sym_call] = STATE(2273),
    [sym_field] = STATE(2273),
    [sym_label] = STATE(2273),
    [sym_content] = STATE(2273),
    [sym_group] = STATE(2273),
    [sym_block] = STATE(2273),
    [sym_branch] = STATE(2273),
    [sym_let] = STATE(2273),
    [sym_set] = STATE(2273),
    [sym_import] = STATE(2273),
    [sym_include] = STATE(2273),
    [sym_for] = STATE(2273),
    [sym_while] = STATE(2273),
    [sym_show] = STATE(2273),
    [sym_return] = STATE(2273),
    [sym_flow] = STATE(2273),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(325),
    [sym_none] = ACTIONS(325),
    [sym__token_content] = ACTIONS(327),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [13] = {
    [sym_raw_blck] = STATE(2093),
    [sym_raw_span] = STATE(2093),
    [sym_math] = STATE(2093),
    [sym__expr] = STATE(2093),
    [sym_ident] = STATE(2093),
    [sym_bool] = STATE(2093),
    [sym_number] = STATE(2093),
    [sym_string] = STATE(2093),
    [sym_tagged] = STATE(2093),
    [sym_context] = STATE(2093),
    [sym_elude] = STATE(2093),
    [sym_assign] = STATE(2093),
    [sym_lambda] = STATE(2093),
    [sym_or] = STATE(2093),
    [sym_not] = STATE(2093),
    [sym_and] = STATE(2093),
    [sym_cmp] = STATE(2093),
    [sym_in] = STATE(2093),
    [sym_add] = STATE(2093),
    [sym_sub] = STATE(2093),
    [sym_mul] = STATE(2093),
    [sym_div] = STATE(2093),
    [sym_sign] = STATE(2093),
    [sym_call] = STATE(2093),
    [sym_field] = STATE(2093),
    [sym_label] = STATE(2093),
    [sym_content] = STATE(2093),
    [sym_group] = STATE(2093),
    [sym_block] = STATE(2093),
    [sym_branch] = STATE(2093),
    [sym_let] = STATE(2093),
    [sym_set] = STATE(2093),
    [sym_import] = STATE(2093),
    [sym_include] = STATE(2093),
    [sym_for] = STATE(2093),
    [sym_while] = STATE(2093),
    [sym_show] = STATE(2093),
    [sym_return] = STATE(2093),
    [sym_flow] = STATE(2093),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(333),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(335),
    [anon_sym_DASH] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(337),
    [sym_none] = ACTIONS(337),
    [sym__token_content] = ACTIONS(327),
    [sym__token_inlined_stmt_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [14] = {
    [sym_raw_blck] = STATE(2354),
    [sym_raw_span] = STATE(2354),
    [sym_math] = STATE(2354),
    [sym__expr] = STATE(2354),
    [sym_ident] = STATE(2354),
    [sym_bool] = STATE(2354),
    [sym_number] = STATE(2354),
    [sym_string] = STATE(2354),
    [sym_tagged] = STATE(2354),
    [sym_context] = STATE(2354),
    [sym_elude] = STATE(2354),
    [sym_assign] = STATE(2354),
    [sym_lambda] = STATE(2354),
    [sym_or] = STATE(2354),
    [sym_not] = STATE(2354),
    [sym_and] = STATE(2354),
    [sym_cmp] = STATE(2354),
    [sym_in] = STATE(2354),
    [sym_add] = STATE(2354),
    [sym_sub] = STATE(2354),
    [sym_mul] = STATE(2354),
    [sym_div] = STATE(2354),
    [sym_sign] = STATE(2354),
    [sym_call] = STATE(2354),
    [sym_field] = STATE(2354),
    [sym_label] = STATE(2354),
    [sym_content] = STATE(2354),
    [sym_group] = STATE(2354),
    [sym_block] = STATE(2354),
    [sym_branch] = STATE(2354),
    [sym_let] = STATE(2354),
    [sym_set] = STATE(2354),
    [sym_import] = STATE(2354),
    [sym_include] = STATE(2354),
    [sym_for] = STATE(2354),
    [sym_while] = STATE(2354),
    [sym_show] = STATE(2354),
    [sym_return] = STATE(2354),
    [sym_flow] = STATE(2354),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(379),
    [sym_none] = ACTIONS(379),
    [sym__token_content] = ACTIONS(381),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [15] = {
    [sym_raw_blck] = STATE(2370),
    [sym_raw_span] = STATE(2370),
    [sym_math] = STATE(2370),
    [sym__expr] = STATE(2370),
    [sym_ident] = STATE(2370),
    [sym_bool] = STATE(2370),
    [sym_number] = STATE(2370),
    [sym_string] = STATE(2370),
    [sym_tagged] = STATE(2370),
    [sym_context] = STATE(2370),
    [sym_elude] = STATE(2370),
    [sym_assign] = STATE(2370),
    [sym_lambda] = STATE(2370),
    [sym_or] = STATE(2370),
    [sym_not] = STATE(2370),
    [sym_and] = STATE(2370),
    [sym_cmp] = STATE(2370),
    [sym_in] = STATE(2370),
    [sym_add] = STATE(2370),
    [sym_sub] = STATE(2370),
    [sym_mul] = STATE(2370),
    [sym_div] = STATE(2370),
    [sym_sign] = STATE(2370),
    [sym_call] = STATE(2370),
    [sym_field] = STATE(2370),
    [sym_label] = STATE(2370),
    [sym_content] = STATE(2370),
    [sym_group] = STATE(2370),
    [sym_block] = STATE(2370),
    [sym_branch] = STATE(2370),
    [sym_let] = STATE(2370),
    [sym_set] = STATE(2370),
    [sym_import] = STATE(2370),
    [sym_include] = STATE(2370),
    [sym_for] = STATE(2370),
    [sym_while] = STATE(2370),
    [sym_show] = STATE(2370),
    [sym_return] = STATE(2370),
    [sym_flow] = STATE(2370),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(387),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(389),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(391),
    [sym_none] = ACTIONS(391),
    [sym__token_content] = ACTIONS(381),
    [sym__token_inlined_item_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [16] = {
    [sym_raw_blck] = STATE(2163),
    [sym_raw_span] = STATE(2163),
    [sym_math] = STATE(2163),
    [sym__expr] = STATE(2163),
    [sym_ident] = STATE(2163),
    [sym_bool] = STATE(2163),
    [sym_number] = STATE(2163),
    [sym_string] = STATE(2163),
    [sym_tagged] = STATE(2163),
    [sym_context] = STATE(2163),
    [sym_elude] = STATE(2163),
    [sym_assign] = STATE(2163),
    [sym_lambda] = STATE(2163),
    [sym_or] = STATE(2163),
    [sym_not] = STATE(2163),
    [sym_and] = STATE(2163),
    [sym_cmp] = STATE(2163),
    [sym_in] = STATE(2163),
    [sym_add] = STATE(2163),
    [sym_sub] = STATE(2163),
    [sym_mul] = STATE(2163),
    [sym_div] = STATE(2163),
    [sym_sign] = STATE(2163),
    [sym_call] = STATE(2163),
    [sym_field] = STATE(2163),
    [sym_label] = STATE(2163),
    [sym_content] = STATE(2163),
    [sym_group] = STATE(2163),
    [sym_block] = STATE(2163),
    [sym_branch] = STATE(2163),
    [sym_let] = STATE(2163),
    [sym_set] = STATE(2163),
    [sym_import] = STATE(2163),
    [sym_include] = STATE(2163),
    [sym_for] = STATE(2163),
    [sym_while] = STATE(2163),
    [sym_show] = STATE(2163),
    [sym_return] = STATE(2163),
    [sym_flow] = STATE(2163),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_RPAREN2] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(433),
    [sym_none] = ACTIONS(433),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [17] = {
    [sym_raw_blck] = STATE(2278),
    [sym_raw_span] = STATE(2278),
    [sym_math] = STATE(2278),
    [sym__expr] = STATE(2278),
    [sym_ident] = STATE(2278),
    [sym_bool] = STATE(2278),
    [sym_number] = STATE(2278),
    [sym_string] = STATE(2278),
    [sym_tagged] = STATE(2278),
    [sym_context] = STATE(2278),
    [sym_elude] = STATE(2278),
    [sym_assign] = STATE(2278),
    [sym_lambda] = STATE(2278),
    [sym_or] = STATE(2278),
    [sym_not] = STATE(2278),
    [sym_and] = STATE(2278),
    [sym_cmp] = STATE(2278),
    [sym_in] = STATE(2278),
    [sym_add] = STATE(2278),
    [sym_sub] = STATE(2278),
    [sym_mul] = STATE(2278),
    [sym_div] = STATE(2278),
    [sym_sign] = STATE(2278),
    [sym_call] = STATE(2278),
    [sym_field] = STATE(2278),
    [sym_label] = STATE(2278),
    [sym_content] = STATE(2278),
    [sym_group] = STATE(2278),
    [sym_block] = STATE(2278),
    [sym_branch] = STATE(2278),
    [sym_let] = STATE(2278),
    [sym_set] = STATE(2278),
    [sym_import] = STATE(2278),
    [sym_include] = STATE(2278),
    [sym_for] = STATE(2278),
    [sym_while] = STATE(2278),
    [sym_show] = STATE(2278),
    [sym_return] = STATE(2278),
    [sym_flow] = STATE(2278),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(441),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(443),
    [anon_sym_DASH] = ACTIONS(443),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_RPAREN2] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(445),
    [sym_none] = ACTIONS(445),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [18] = {
    [sym_raw_blck] = STATE(2285),
    [sym_raw_span] = STATE(2285),
    [sym_math] = STATE(2285),
    [sym__expr] = STATE(2285),
    [sym_ident] = STATE(2285),
    [sym_bool] = STATE(2285),
    [sym_number] = STATE(2285),
    [sym_string] = STATE(2285),
    [sym_tagged] = STATE(2285),
    [sym_context] = STATE(2285),
    [sym_elude] = STATE(2285),
    [sym_assign] = STATE(2285),
    [sym_lambda] = STATE(2285),
    [sym_or] = STATE(2285),
    [sym_not] = STATE(2285),
    [sym_and] = STATE(2285),
    [sym_cmp] = STATE(2285),
    [sym_in] = STATE(2285),
    [sym_add] = STATE(2285),
    [sym_sub] = STATE(2285),
    [sym_mul] = STATE(2285),
    [sym_div] = STATE(2285),
    [sym_sign] = STATE(2285),
    [sym_call] = STATE(2285),
    [sym_field] = STATE(2285),
    [sym_label] = STATE(2285),
    [sym_content] = STATE(2285),
    [sym_group] = STATE(2285),
    [sym_block] = STATE(2285),
    [sym_branch] = STATE(2285),
    [sym_let] = STATE(2285),
    [sym_set] = STATE(2285),
    [sym_import] = STATE(2285),
    [sym_include] = STATE(2285),
    [sym_for] = STATE(2285),
    [sym_while] = STATE(2285),
    [sym_show] = STATE(2285),
    [sym_return] = STATE(2285),
    [sym_flow] = STATE(2285),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(487),
    [sym_none] = ACTIONS(487),
    [sym__token_content] = ACTIONS(489),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [19] = {
    [sym_raw_blck] = STATE(2417),
    [sym_raw_span] = STATE(2417),
    [sym_math] = STATE(2417),
    [sym__expr] = STATE(2417),
    [sym_ident] = STATE(2417),
    [sym_bool] = STATE(2417),
    [sym_number] = STATE(2417),
    [sym_string] = STATE(2417),
    [sym_tagged] = STATE(2417),
    [sym_context] = STATE(2417),
    [sym_elude] = STATE(2417),
    [sym_assign] = STATE(2417),
    [sym_lambda] = STATE(2417),
    [sym_or] = STATE(2417),
    [sym_not] = STATE(2417),
    [sym_and] = STATE(2417),
    [sym_cmp] = STATE(2417),
    [sym_in] = STATE(2417),
    [sym_add] = STATE(2417),
    [sym_sub] = STATE(2417),
    [sym_mul] = STATE(2417),
    [sym_div] = STATE(2417),
    [sym_sign] = STATE(2417),
    [sym_call] = STATE(2417),
    [sym_field] = STATE(2417),
    [sym_label] = STATE(2417),
    [sym_content] = STATE(2417),
    [sym_group] = STATE(2417),
    [sym_block] = STATE(2417),
    [sym_branch] = STATE(2417),
    [sym_let] = STATE(2417),
    [sym_set] = STATE(2417),
    [sym_import] = STATE(2417),
    [sym_include] = STATE(2417),
    [sym_for] = STATE(2417),
    [sym_while] = STATE(2417),
    [sym_show] = STATE(2417),
    [sym_return] = STATE(2417),
    [sym_flow] = STATE(2417),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(499),
    [sym_none] = ACTIONS(499),
    [sym__token_content] = ACTIONS(489),
    [sym__token_blocked_expr_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [20] = {
    [sym_raw_blck] = STATE(1370),
    [sym_raw_span] = STATE(1370),
    [sym_math] = STATE(1370),
    [sym__expr] = STATE(1370),
    [sym_ident] = STATE(1370),
    [sym_bool] = STATE(1370),
    [sym_number] = STATE(1370),
    [sym_string] = STATE(1370),
    [sym_tagged] = STATE(1370),
    [sym_context] = STATE(1370),
    [sym_elude] = STATE(1370),
    [sym_assign] = STATE(1370),
    [sym_lambda] = STATE(1370),
    [sym_or] = STATE(1370),
    [sym_not] = STATE(1370),
    [sym_and] = STATE(1370),
    [sym_cmp] = STATE(1370),
    [sym_in] = STATE(1370),
    [sym_add] = STATE(1370),
    [sym_sub] = STATE(1370),
    [sym_mul] = STATE(1370),
    [sym_div] = STATE(1370),
    [sym_sign] = STATE(1370),
    [sym_call] = STATE(1370),
    [sym_field] = STATE(1370),
    [sym_label] = STATE(1370),
    [sym_content] = STATE(1370),
    [sym_group] = STATE(1370),
    [sym_block] = STATE(1370),
    [sym_branch] = STATE(1370),
    [sym_let] = STATE(1370),
    [sym_set] = STATE(1370),
    [sym_import] = STATE(1370),
    [sym_include] = STATE(1370),
    [sym_for] = STATE(1370),
    [sym_while] = STATE(1370),
    [sym_show] = STATE(1370),
    [sym_return] = STATE(1370),
    [sym_flow] = STATE(1370),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(539),
    [sym_none] = ACTIONS(539),
    [sym__token_content] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [21] = {
    [sym_raw_blck] = STATE(1375),
    [sym_raw_span] = STATE(1375),
    [sym_math] = STATE(1375),
    [sym__expr] = STATE(1375),
    [sym_ident] = STATE(1375),
    [sym_bool] = STATE(1375),
    [sym_number] = STATE(1375),
    [sym_string] = STATE(1375),
    [sym_tagged] = STATE(1375),
    [sym_context] = STATE(1375),
    [sym_elude] = STATE(1375),
    [sym_assign] = STATE(1375),
    [sym_lambda] = STATE(1375),
    [sym_or] = STATE(1375),
    [sym_not] = STATE(1375),
    [sym_and] = STATE(1375),
    [sym_cmp] = STATE(1375),
    [sym_in] = STATE(1375),
    [sym_add] = STATE(1375),
    [sym_sub] = STATE(1375),
    [sym_mul] = STATE(1375),
    [sym_div] = STATE(1375),
    [sym_sign] = STATE(1375),
    [sym_call] = STATE(1375),
    [sym_field] = STATE(1375),
    [sym_label] = STATE(1375),
    [sym_content] = STATE(1375),
    [sym_group] = STATE(1375),
    [sym_block] = STATE(1375),
    [sym_branch] = STATE(1375),
    [sym_let] = STATE(1375),
    [sym_set] = STATE(1375),
    [sym_import] = STATE(1375),
    [sym_include] = STATE(1375),
    [sym_for] = STATE(1375),
    [sym_while] = STATE(1375),
    [sym_show] = STATE(1375),
    [sym_return] = STATE(1375),
    [sym_flow] = STATE(1375),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(545),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(547),
    [anon_sym_DASH] = ACTIONS(547),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(551),
    [sym_none] = ACTIONS(551),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [22] = {
    [sym_raw_blck] = STATE(2807),
    [sym_raw_span] = STATE(2807),
    [sym_math] = STATE(2807),
    [sym__expr] = STATE(2807),
    [sym_ident] = STATE(2807),
    [sym_bool] = STATE(2807),
    [sym_number] = STATE(2807),
    [sym_string] = STATE(2807),
    [sym_tagged] = STATE(2807),
    [sym_context] = STATE(2807),
    [sym_elude] = STATE(2807),
    [sym_assign] = STATE(2807),
    [sym_lambda] = STATE(2807),
    [sym_or] = STATE(2807),
    [sym_not] = STATE(2807),
    [sym_and] = STATE(2807),
    [sym_cmp] = STATE(2807),
    [sym_in] = STATE(2807),
    [sym_add] = STATE(2807),
    [sym_sub] = STATE(2807),
    [sym_mul] = STATE(2807),
    [sym_div] = STATE(2807),
    [sym_sign] = STATE(2807),
    [sym_call] = STATE(2807),
    [sym_field] = STATE(2807),
    [sym_label] = STATE(2807),
    [sym_content] = STATE(2807),
    [sym_group] = STATE(2807),
    [sym_block] = STATE(2807),
    [sym_branch] = STATE(2807),
    [sym_let] = STATE(2807),
    [sym_set] = STATE(2807),
    [sym_import] = STATE(2807),
    [sym_include] = STATE(2807),
    [sym_for] = STATE(2807),
    [sym_while] = STATE(2807),
    [sym_show] = STATE(2807),
    [sym_return] = STATE(2807),
    [sym_flow] = STATE(2807),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(595),
    [sym_none] = ACTIONS(595),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [23] = {
    [sym_raw_blck] = STATE(2683),
    [sym_raw_span] = STATE(2683),
    [sym_math] = STATE(2683),
    [sym__expr] = STATE(2683),
    [sym_ident] = STATE(2683),
    [sym_bool] = STATE(2683),
    [sym_number] = STATE(2683),
    [sym_string] = STATE(2683),
    [sym_tagged] = STATE(2683),
    [sym_context] = STATE(2683),
    [sym_elude] = STATE(2683),
    [sym_assign] = STATE(2683),
    [sym_lambda] = STATE(2683),
    [sym_or] = STATE(2683),
    [sym_not] = STATE(2683),
    [sym_and] = STATE(2683),
    [sym_cmp] = STATE(2683),
    [sym_in] = STATE(2683),
    [sym_add] = STATE(2683),
    [sym_sub] = STATE(2683),
    [sym_mul] = STATE(2683),
    [sym_div] = STATE(2683),
    [sym_sign] = STATE(2683),
    [sym_call] = STATE(2683),
    [sym_field] = STATE(2683),
    [sym_label] = STATE(2683),
    [sym_content] = STATE(2683),
    [sym_group] = STATE(2683),
    [sym_block] = STATE(2683),
    [sym_branch] = STATE(2683),
    [sym_let] = STATE(2683),
    [sym_set] = STATE(2683),
    [sym_import] = STATE(2683),
    [sym_include] = STATE(2683),
    [sym_for] = STATE(2683),
    [sym_while] = STATE(2683),
    [sym_show] = STATE(2683),
    [sym_return] = STATE(2683),
    [sym_flow] = STATE(2683),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(647),
    [sym_none] = ACTIONS(647),
    [sym__token_content] = ACTIONS(649),
    [sym__token_blocked_expr_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [24] = {
    [sym_raw_blck] = STATE(2764),
    [sym_raw_span] = STATE(2764),
    [sym_math] = STATE(2764),
    [sym__expr] = STATE(2764),
    [sym_ident] = STATE(2764),
    [sym_bool] = STATE(2764),
    [sym_number] = STATE(2764),
    [sym_string] = STATE(2764),
    [sym_tagged] = STATE(2764),
    [sym_context] = STATE(2764),
    [sym_elude] = STATE(2764),
    [sym_assign] = STATE(2764),
    [sym_lambda] = STATE(2764),
    [sym_or] = STATE(2764),
    [sym_not] = STATE(2764),
    [sym_and] = STATE(2764),
    [sym_cmp] = STATE(2764),
    [sym_in] = STATE(2764),
    [sym_add] = STATE(2764),
    [sym_sub] = STATE(2764),
    [sym_mul] = STATE(2764),
    [sym_div] = STATE(2764),
    [sym_sign] = STATE(2764),
    [sym_call] = STATE(2764),
    [sym_field] = STATE(2764),
    [sym_label] = STATE(2764),
    [sym_content] = STATE(2764),
    [sym_group] = STATE(2764),
    [sym_block] = STATE(2764),
    [sym_branch] = STATE(2764),
    [sym_let] = STATE(2764),
    [sym_set] = STATE(2764),
    [sym_import] = STATE(2764),
    [sym_include] = STATE(2764),
    [sym_for] = STATE(2764),
    [sym_while] = STATE(2764),
    [sym_show] = STATE(2764),
    [sym_return] = STATE(2764),
    [sym_flow] = STATE(2764),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(699),
    [sym_none] = ACTIONS(699),
    [sym__token_content] = ACTIONS(701),
    [sym__token_inlined_stmt_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [25] = {
    [sym_raw_blck] = STATE(1979),
    [sym_raw_span] = STATE(1979),
    [sym_math] = STATE(1979),
    [sym__expr] = STATE(1979),
    [sym_ident] = STATE(1979),
    [sym_bool] = STATE(1979),
    [sym_number] = STATE(1979),
    [sym_string] = STATE(1979),
    [sym_tagged] = STATE(1979),
    [sym_context] = STATE(1979),
    [sym_elude] = STATE(1979),
    [sym_assign] = STATE(1979),
    [sym_lambda] = STATE(1979),
    [sym_or] = STATE(1979),
    [sym_not] = STATE(1979),
    [sym_and] = STATE(1979),
    [sym_cmp] = STATE(1979),
    [sym_in] = STATE(1979),
    [sym_add] = STATE(1979),
    [sym_sub] = STATE(1979),
    [sym_mul] = STATE(1979),
    [sym_div] = STATE(1979),
    [sym_sign] = STATE(1979),
    [sym_call] = STATE(1979),
    [sym_field] = STATE(1979),
    [sym_label] = STATE(1979),
    [sym_content] = STATE(1979),
    [sym_group] = STATE(1979),
    [sym_block] = STATE(1979),
    [sym_branch] = STATE(1979),
    [sym_let] = STATE(1979),
    [sym_set] = STATE(1979),
    [sym_import] = STATE(1979),
    [sym_include] = STATE(1979),
    [sym_for] = STATE(1979),
    [sym_while] = STATE(1979),
    [sym_show] = STATE(1979),
    [sym_return] = STATE(1979),
    [sym_flow] = STATE(1979),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(743),
    [sym_none] = ACTIONS(743),
    [sym__token_content] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [26] = {
    [sym_raw_blck] = STATE(1986),
    [sym_raw_span] = STATE(1986),
    [sym_math] = STATE(1986),
    [sym__expr] = STATE(1986),
    [sym_ident] = STATE(1986),
    [sym_bool] = STATE(1986),
    [sym_number] = STATE(1986),
    [sym_string] = STATE(1986),
    [sym_tagged] = STATE(1986),
    [sym_context] = STATE(1986),
    [sym_elude] = STATE(1986),
    [sym_assign] = STATE(1986),
    [sym_lambda] = STATE(1986),
    [sym_or] = STATE(1986),
    [sym_not] = STATE(1986),
    [sym_and] = STATE(1986),
    [sym_cmp] = STATE(1986),
    [sym_in] = STATE(1986),
    [sym_add] = STATE(1986),
    [sym_sub] = STATE(1986),
    [sym_mul] = STATE(1986),
    [sym_div] = STATE(1986),
    [sym_sign] = STATE(1986),
    [sym_call] = STATE(1986),
    [sym_field] = STATE(1986),
    [sym_label] = STATE(1986),
    [sym_content] = STATE(1986),
    [sym_group] = STATE(1986),
    [sym_block] = STATE(1986),
    [sym_branch] = STATE(1986),
    [sym_let] = STATE(1986),
    [sym_set] = STATE(1986),
    [sym_import] = STATE(1986),
    [sym_include] = STATE(1986),
    [sym_for] = STATE(1986),
    [sym_while] = STATE(1986),
    [sym_show] = STATE(1986),
    [sym_return] = STATE(1986),
    [sym_flow] = STATE(1986),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(749),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_COLON2] = ACTIONS(15),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(755),
    [sym_none] = ACTIONS(755),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [27] = {
    [sym_raw_blck] = STATE(2510),
    [sym_raw_span] = STATE(2510),
    [sym_math] = STATE(2510),
    [sym__expr] = STATE(2510),
    [sym_ident] = STATE(2510),
    [sym_bool] = STATE(2510),
    [sym_number] = STATE(2510),
    [sym_string] = STATE(2510),
    [sym_tagged] = STATE(2510),
    [sym_context] = STATE(2510),
    [sym_elude] = STATE(2510),
    [sym_assign] = STATE(2510),
    [sym_lambda] = STATE(2510),
    [sym_or] = STATE(2510),
    [sym_not] = STATE(2510),
    [sym_and] = STATE(2510),
    [sym_cmp] = STATE(2510),
    [sym_in] = STATE(2510),
    [sym_add] = STATE(2510),
    [sym_sub] = STATE(2510),
    [sym_mul] = STATE(2510),
    [sym_div] = STATE(2510),
    [sym_sign] = STATE(2510),
    [sym_call] = STATE(2510),
    [sym_field] = STATE(2510),
    [sym_label] = STATE(2510),
    [sym_content] = STATE(2510),
    [sym_group] = STATE(2510),
    [sym_block] = STATE(2510),
    [sym_branch] = STATE(2510),
    [sym_let] = STATE(2510),
    [sym_set] = STATE(2510),
    [sym_import] = STATE(2510),
    [sym_include] = STATE(2510),
    [sym_for] = STATE(2510),
    [sym_while] = STATE(2510),
    [sym_show] = STATE(2510),
    [sym_return] = STATE(2510),
    [sym_flow] = STATE(2510),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym__token_content] = ACTIONS(801),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [28] = {
    [sym_raw_blck] = STATE(2629),
    [sym_raw_span] = STATE(2629),
    [sym_math] = STATE(2629),
    [sym__expr] = STATE(2629),
    [sym_ident] = STATE(2629),
    [sym_bool] = STATE(2629),
    [sym_number] = STATE(2629),
    [sym_string] = STATE(2629),
    [sym_tagged] = STATE(2629),
    [sym_context] = STATE(2629),
    [sym_elude] = STATE(2629),
    [sym_assign] = STATE(2629),
    [sym_lambda] = STATE(2629),
    [sym_or] = STATE(2629),
    [sym_not] = STATE(2629),
    [sym_and] = STATE(2629),
    [sym_cmp] = STATE(2629),
    [sym_in] = STATE(2629),
    [sym_add] = STATE(2629),
    [sym_sub] = STATE(2629),
    [sym_mul] = STATE(2629),
    [sym_div] = STATE(2629),
    [sym_sign] = STATE(2629),
    [sym_call] = STATE(2629),
    [sym_field] = STATE(2629),
    [sym_label] = STATE(2629),
    [sym_content] = STATE(2629),
    [sym_group] = STATE(2629),
    [sym_block] = STATE(2629),
    [sym_branch] = STATE(2629),
    [sym_let] = STATE(2629),
    [sym_set] = STATE(2629),
    [sym_import] = STATE(2629),
    [sym_include] = STATE(2629),
    [sym_for] = STATE(2629),
    [sym_while] = STATE(2629),
    [sym_show] = STATE(2629),
    [sym_return] = STATE(2629),
    [sym_flow] = STATE(2629),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(805),
    [sym_none] = ACTIONS(805),
    [sym__token_content] = ACTIONS(701),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [29] = {
    [sym_raw_blck] = STATE(2443),
    [sym_raw_span] = STATE(2443),
    [sym_math] = STATE(2443),
    [sym__expr] = STATE(2443),
    [sym_ident] = STATE(2443),
    [sym_bool] = STATE(2443),
    [sym_number] = STATE(2443),
    [sym_string] = STATE(2443),
    [sym_tagged] = STATE(2443),
    [sym_context] = STATE(2443),
    [sym_elude] = STATE(2443),
    [sym_assign] = STATE(2443),
    [sym_lambda] = STATE(2443),
    [sym_or] = STATE(2443),
    [sym_not] = STATE(2443),
    [sym_and] = STATE(2443),
    [sym_cmp] = STATE(2443),
    [sym_in] = STATE(2443),
    [sym_add] = STATE(2443),
    [sym_sub] = STATE(2443),
    [sym_mul] = STATE(2443),
    [sym_div] = STATE(2443),
    [sym_sign] = STATE(2443),
    [sym_call] = STATE(2443),
    [sym_field] = STATE(2443),
    [sym_label] = STATE(2443),
    [sym_content] = STATE(2443),
    [sym_group] = STATE(2443),
    [sym_block] = STATE(2443),
    [sym_branch] = STATE(2443),
    [sym_let] = STATE(2443),
    [sym_set] = STATE(2443),
    [sym_import] = STATE(2443),
    [sym_include] = STATE(2443),
    [sym_for] = STATE(2443),
    [sym_while] = STATE(2443),
    [sym_show] = STATE(2443),
    [sym_return] = STATE(2443),
    [sym_flow] = STATE(2443),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_COMMA] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(809),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(813),
    [sym_none] = ACTIONS(813),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [30] = {
    [sym_raw_blck] = STATE(2519),
    [sym_raw_span] = STATE(2519),
    [sym_math] = STATE(2519),
    [sym__expr] = STATE(2519),
    [sym_ident] = STATE(2519),
    [sym_bool] = STATE(2519),
    [sym_number] = STATE(2519),
    [sym_string] = STATE(2519),
    [sym_tagged] = STATE(2519),
    [sym_context] = STATE(2519),
    [sym_elude] = STATE(2519),
    [sym_assign] = STATE(2519),
    [sym_lambda] = STATE(2519),
    [sym_or] = STATE(2519),
    [sym_not] = STATE(2519),
    [sym_and] = STATE(2519),
    [sym_cmp] = STATE(2519),
    [sym_in] = STATE(2519),
    [sym_add] = STATE(2519),
    [sym_sub] = STATE(2519),
    [sym_mul] = STATE(2519),
    [sym_div] = STATE(2519),
    [sym_sign] = STATE(2519),
    [sym_call] = STATE(2519),
    [sym_field] = STATE(2519),
    [sym_label] = STATE(2519),
    [sym_content] = STATE(2519),
    [sym_group] = STATE(2519),
    [sym_block] = STATE(2519),
    [sym_branch] = STATE(2519),
    [sym_let] = STATE(2519),
    [sym_set] = STATE(2519),
    [sym_import] = STATE(2519),
    [sym_include] = STATE(2519),
    [sym_for] = STATE(2519),
    [sym_while] = STATE(2519),
    [sym_show] = STATE(2519),
    [sym_return] = STATE(2519),
    [sym_flow] = STATE(2519),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(821),
    [sym_none] = ACTIONS(821),
    [sym__token_content] = ACTIONS(801),
    [sym__token_inlined_item_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [31] = {
    [sym_raw_blck] = STATE(2675),
    [sym_raw_span] = STATE(2675),
    [sym_math] = STATE(2675),
    [sym__expr] = STATE(2675),
    [sym_ident] = STATE(2675),
    [sym_bool] = STATE(2675),
    [sym_number] = STATE(2675),
    [sym_string] = STATE(2675),
    [sym_tagged] = STATE(2675),
    [sym_context] = STATE(2675),
    [sym_elude] = STATE(2675),
    [sym_assign] = STATE(2675),
    [sym_lambda] = STATE(2675),
    [sym_or] = STATE(2675),
    [sym_not] = STATE(2675),
    [sym_and] = STATE(2675),
    [sym_cmp] = STATE(2675),
    [sym_in] = STATE(2675),
    [sym_add] = STATE(2675),
    [sym_sub] = STATE(2675),
    [sym_mul] = STATE(2675),
    [sym_div] = STATE(2675),
    [sym_sign] = STATE(2675),
    [sym_call] = STATE(2675),
    [sym_field] = STATE(2675),
    [sym_label] = STATE(2675),
    [sym_content] = STATE(2675),
    [sym_group] = STATE(2675),
    [sym_block] = STATE(2675),
    [sym_branch] = STATE(2675),
    [sym_let] = STATE(2675),
    [sym_set] = STATE(2675),
    [sym_import] = STATE(2675),
    [sym_include] = STATE(2675),
    [sym_for] = STATE(2675),
    [sym_while] = STATE(2675),
    [sym_show] = STATE(2675),
    [sym_return] = STATE(2675),
    [sym_flow] = STATE(2675),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(823),
    [sym_none] = ACTIONS(823),
    [sym__token_content] = ACTIONS(649),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [32] = {
    [sym_raw_blck] = STATE(2107),
    [sym_raw_span] = STATE(2107),
    [sym_math] = STATE(2107),
    [sym__expr] = STATE(2107),
    [sym_ident] = STATE(2107),
    [sym_bool] = STATE(2107),
    [sym_number] = STATE(2107),
    [sym_string] = STATE(2107),
    [sym_tagged] = STATE(2107),
    [sym_context] = STATE(2107),
    [sym_elude] = STATE(2107),
    [sym_assign] = STATE(2107),
    [sym_lambda] = STATE(2107),
    [sym_or] = STATE(2107),
    [sym_not] = STATE(2107),
    [sym_and] = STATE(2107),
    [sym_cmp] = STATE(2107),
    [sym_in] = STATE(2107),
    [sym_add] = STATE(2107),
    [sym_sub] = STATE(2107),
    [sym_mul] = STATE(2107),
    [sym_div] = STATE(2107),
    [sym_sign] = STATE(2107),
    [sym_call] = STATE(2107),
    [sym_field] = STATE(2107),
    [sym_label] = STATE(2107),
    [sym_content] = STATE(2107),
    [sym_group] = STATE(2107),
    [sym_block] = STATE(2107),
    [sym_branch] = STATE(2107),
    [sym_let] = STATE(2107),
    [sym_set] = STATE(2107),
    [sym_import] = STATE(2107),
    [sym_include] = STATE(2107),
    [sym_for] = STATE(2107),
    [sym_while] = STATE(2107),
    [sym_show] = STATE(2107),
    [sym_return] = STATE(2107),
    [sym_flow] = STATE(2107),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(863),
    [sym_none] = ACTIONS(863),
    [sym__token_content] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [33] = {
    [sym_raw_blck] = STATE(2114),
    [sym_raw_span] = STATE(2114),
    [sym_math] = STATE(2114),
    [sym__expr] = STATE(2114),
    [sym_ident] = STATE(2114),
    [sym_bool] = STATE(2114),
    [sym_number] = STATE(2114),
    [sym_string] = STATE(2114),
    [sym_tagged] = STATE(2114),
    [sym_context] = STATE(2114),
    [sym_elude] = STATE(2114),
    [sym_assign] = STATE(2114),
    [sym_lambda] = STATE(2114),
    [sym_or] = STATE(2114),
    [sym_not] = STATE(2114),
    [sym_and] = STATE(2114),
    [sym_cmp] = STATE(2114),
    [sym_in] = STATE(2114),
    [sym_add] = STATE(2114),
    [sym_sub] = STATE(2114),
    [sym_mul] = STATE(2114),
    [sym_div] = STATE(2114),
    [sym_sign] = STATE(2114),
    [sym_call] = STATE(2114),
    [sym_field] = STATE(2114),
    [sym_label] = STATE(2114),
    [sym_content] = STATE(2114),
    [sym_group] = STATE(2114),
    [sym_block] = STATE(2114),
    [sym_branch] = STATE(2114),
    [sym_let] = STATE(2114),
    [sym_set] = STATE(2114),
    [sym_import] = STATE(2114),
    [sym_include] = STATE(2114),
    [sym_for] = STATE(2114),
    [sym_while] = STATE(2114),
    [sym_show] = STATE(2114),
    [sym_return] = STATE(2114),
    [sym_flow] = STATE(2114),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_EQ] = ACTIONS(15),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(875),
    [sym_none] = ACTIONS(875),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [34] = {
    [sym_raw_blck] = STATE(2872),
    [sym_raw_span] = STATE(2872),
    [sym_math] = STATE(2872),
    [sym__expr] = STATE(2872),
    [sym_ident] = STATE(2872),
    [sym_bool] = STATE(2872),
    [sym_number] = STATE(2872),
    [sym_string] = STATE(2872),
    [sym_tagged] = STATE(2872),
    [sym_context] = STATE(2872),
    [sym_elude] = STATE(2872),
    [sym_assign] = STATE(2872),
    [sym_lambda] = STATE(2872),
    [sym_or] = STATE(2872),
    [sym_not] = STATE(2872),
    [sym_and] = STATE(2872),
    [sym_cmp] = STATE(2872),
    [sym_in] = STATE(2872),
    [sym_add] = STATE(2872),
    [sym_sub] = STATE(2872),
    [sym_mul] = STATE(2872),
    [sym_div] = STATE(2872),
    [sym_sign] = STATE(2872),
    [sym_call] = STATE(2872),
    [sym_field] = STATE(2872),
    [sym_label] = STATE(2872),
    [sym_content] = STATE(2872),
    [sym_group] = STATE(2872),
    [sym_block] = STATE(2872),
    [sym_branch] = STATE(2872),
    [sym_let] = STATE(2872),
    [sym_set] = STATE(2872),
    [sym_import] = STATE(2872),
    [sym_include] = STATE(2872),
    [sym_for] = STATE(2872),
    [sym_while] = STATE(2872),
    [sym_show] = STATE(2872),
    [sym_return] = STATE(2872),
    [sym_flow] = STATE(2872),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(899),
    [anon_sym_DASH] = ACTIONS(899),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(925),
    [sym_none] = ACTIONS(925),
    [sym__token_content] = ACTIONS(927),
    [sym__token_inlined_stmt_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [35] = {
    [sym_raw_blck] = STATE(2929),
    [sym_raw_span] = STATE(2929),
    [sym_math] = STATE(2929),
    [sym__expr] = STATE(2929),
    [sym_ident] = STATE(2929),
    [sym_bool] = STATE(2929),
    [sym_number] = STATE(2929),
    [sym_string] = STATE(2929),
    [sym_tagged] = STATE(2929),
    [sym_context] = STATE(2929),
    [sym_elude] = STATE(2929),
    [sym_assign] = STATE(2929),
    [sym_lambda] = STATE(2929),
    [sym_or] = STATE(2929),
    [sym_not] = STATE(2929),
    [sym_and] = STATE(2929),
    [sym_cmp] = STATE(2929),
    [sym_in] = STATE(2929),
    [sym_add] = STATE(2929),
    [sym_sub] = STATE(2929),
    [sym_mul] = STATE(2929),
    [sym_div] = STATE(2929),
    [sym_sign] = STATE(2929),
    [sym_call] = STATE(2929),
    [sym_field] = STATE(2929),
    [sym_label] = STATE(2929),
    [sym_content] = STATE(2929),
    [sym_group] = STATE(2929),
    [sym_block] = STATE(2929),
    [sym_branch] = STATE(2929),
    [sym_let] = STATE(2929),
    [sym_set] = STATE(2929),
    [sym_import] = STATE(2929),
    [sym_include] = STATE(2929),
    [sym_for] = STATE(2929),
    [sym_while] = STATE(2929),
    [sym_show] = STATE(2929),
    [sym_return] = STATE(2929),
    [sym_flow] = STATE(2929),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(931),
    [sym_none] = ACTIONS(931),
    [sym__token_content] = ACTIONS(927),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [36] = {
    [sym_raw_blck] = STATE(2885),
    [sym_raw_span] = STATE(2885),
    [sym_math] = STATE(2885),
    [sym__expr] = STATE(2885),
    [sym_ident] = STATE(2885),
    [sym_bool] = STATE(2885),
    [sym_number] = STATE(2885),
    [sym_string] = STATE(2885),
    [sym_tagged] = STATE(2885),
    [sym_context] = STATE(2885),
    [sym_elude] = STATE(2885),
    [sym_assign] = STATE(2885),
    [sym_lambda] = STATE(2885),
    [sym_or] = STATE(2885),
    [sym_not] = STATE(2885),
    [sym_and] = STATE(2885),
    [sym_cmp] = STATE(2885),
    [sym_in] = STATE(2885),
    [sym_add] = STATE(2885),
    [sym_sub] = STATE(2885),
    [sym_mul] = STATE(2885),
    [sym_div] = STATE(2885),
    [sym_sign] = STATE(2885),
    [sym_call] = STATE(2885),
    [sym_field] = STATE(2885),
    [sym_label] = STATE(2885),
    [sym_content] = STATE(2885),
    [sym_group] = STATE(2885),
    [sym_block] = STATE(2885),
    [sym_branch] = STATE(2885),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2885),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(979),
    [sym_none] = ACTIONS(979),
    [sym__token_content] = ACTIONS(981),
    [sym__token_inlined_item_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [37] = {
    [sym_raw_blck] = STATE(2928),
    [sym_raw_span] = STATE(2928),
    [sym_math] = STATE(2928),
    [sym__expr] = STATE(2928),
    [sym_ident] = STATE(2928),
    [sym_bool] = STATE(2928),
    [sym_number] = STATE(2928),
    [sym_string] = STATE(2928),
    [sym_tagged] = STATE(2928),
    [sym_context] = STATE(2928),
    [sym_elude] = STATE(2928),
    [sym_assign] = STATE(2928),
    [sym_lambda] = STATE(2928),
    [sym_or] = STATE(2928),
    [sym_not] = STATE(2928),
    [sym_and] = STATE(2928),
    [sym_cmp] = STATE(2928),
    [sym_in] = STATE(2928),
    [sym_add] = STATE(2928),
    [sym_sub] = STATE(2928),
    [sym_mul] = STATE(2928),
    [sym_div] = STATE(2928),
    [sym_sign] = STATE(2928),
    [sym_call] = STATE(2928),
    [sym_field] = STATE(2928),
    [sym_label] = STATE(2928),
    [sym_content] = STATE(2928),
    [sym_group] = STATE(2928),
    [sym_block] = STATE(2928),
    [sym_branch] = STATE(2928),
    [sym_let] = STATE(2928),
    [sym_set] = STATE(2928),
    [sym_import] = STATE(2928),
    [sym_include] = STATE(2928),
    [sym_for] = STATE(2928),
    [sym_while] = STATE(2928),
    [sym_show] = STATE(2928),
    [sym_return] = STATE(2928),
    [sym_flow] = STATE(2928),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1025),
    [sym_none] = ACTIONS(1025),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [38] = {
    [sym_raw_blck] = STATE(2864),
    [sym_raw_span] = STATE(2864),
    [sym_math] = STATE(2864),
    [sym__expr] = STATE(2864),
    [sym_ident] = STATE(2864),
    [sym_bool] = STATE(2864),
    [sym_number] = STATE(2864),
    [sym_string] = STATE(2864),
    [sym_tagged] = STATE(2864),
    [sym_context] = STATE(2864),
    [sym_elude] = STATE(2864),
    [sym_assign] = STATE(2864),
    [sym_lambda] = STATE(2864),
    [sym_or] = STATE(2864),
    [sym_not] = STATE(2864),
    [sym_and] = STATE(2864),
    [sym_cmp] = STATE(2864),
    [sym_in] = STATE(2864),
    [sym_add] = STATE(2864),
    [sym_sub] = STATE(2864),
    [sym_mul] = STATE(2864),
    [sym_div] = STATE(2864),
    [sym_sign] = STATE(2864),
    [sym_call] = STATE(2864),
    [sym_field] = STATE(2864),
    [sym_label] = STATE(2864),
    [sym_content] = STATE(2864),
    [sym_group] = STATE(2864),
    [sym_block] = STATE(2864),
    [sym_branch] = STATE(2864),
    [sym_let] = STATE(2864),
    [sym_set] = STATE(2864),
    [sym_import] = STATE(2864),
    [sym_include] = STATE(2864),
    [sym_for] = STATE(2864),
    [sym_while] = STATE(2864),
    [sym_show] = STATE(2864),
    [sym_return] = STATE(2864),
    [sym_flow] = STATE(2864),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1031),
    [sym_none] = ACTIONS(1031),
    [sym__token_content] = ACTIONS(981),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [39] = {
    [sym_raw_blck] = STATE(2833),
    [sym_raw_span] = STATE(2833),
    [sym_math] = STATE(2833),
    [sym__expr] = STATE(2833),
    [sym_ident] = STATE(2833),
    [sym_bool] = STATE(2833),
    [sym_number] = STATE(2833),
    [sym_string] = STATE(2833),
    [sym_tagged] = STATE(2833),
    [sym_context] = STATE(2833),
    [sym_elude] = STATE(2833),
    [sym_assign] = STATE(2833),
    [sym_lambda] = STATE(2833),
    [sym_or] = STATE(2833),
    [sym_not] = STATE(2833),
    [sym_and] = STATE(2833),
    [sym_cmp] = STATE(2833),
    [sym_in] = STATE(2833),
    [sym_add] = STATE(2833),
    [sym_sub] = STATE(2833),
    [sym_mul] = STATE(2833),
    [sym_div] = STATE(2833),
    [sym_sign] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_field] = STATE(2833),
    [sym_label] = STATE(2833),
    [sym_content] = STATE(2833),
    [sym_group] = STATE(2833),
    [sym_block] = STATE(2833),
    [sym_branch] = STATE(2833),
    [sym_let] = STATE(2833),
    [sym_set] = STATE(2833),
    [sym_import] = STATE(2833),
    [sym_include] = STATE(2833),
    [sym_for] = STATE(2833),
    [sym_while] = STATE(2833),
    [sym_show] = STATE(2833),
    [sym_return] = STATE(2833),
    [sym_flow] = STATE(2833),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1039),
    [sym_none] = ACTIONS(1039),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_blocked_expr_end] = ACTIONS(15),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [40] = {
    [sym_raw_blck] = STATE(2635),
    [sym_raw_span] = STATE(2635),
    [sym_math] = STATE(2635),
    [sym__expr] = STATE(2635),
    [sym_ident] = STATE(2635),
    [sym_bool] = STATE(2635),
    [sym_number] = STATE(2635),
    [sym_string] = STATE(2635),
    [sym_tagged] = STATE(2635),
    [sym_context] = STATE(2635),
    [sym_elude] = STATE(2635),
    [sym_assign] = STATE(2635),
    [sym_lambda] = STATE(2635),
    [sym_or] = STATE(2635),
    [sym_not] = STATE(2635),
    [sym_and] = STATE(2635),
    [sym_cmp] = STATE(2635),
    [sym_in] = STATE(2635),
    [sym_add] = STATE(2635),
    [sym_sub] = STATE(2635),
    [sym_mul] = STATE(2635),
    [sym_div] = STATE(2635),
    [sym_sign] = STATE(2635),
    [sym_call] = STATE(2635),
    [sym_field] = STATE(2635),
    [sym_label] = STATE(2635),
    [sym_content] = STATE(2635),
    [sym_group] = STATE(2635),
    [sym_block] = STATE(2635),
    [sym_branch] = STATE(2635),
    [sym_let] = STATE(2635),
    [sym_set] = STATE(2635),
    [sym_import] = STATE(2635),
    [sym_include] = STATE(2635),
    [sym_for] = STATE(2635),
    [sym_while] = STATE(2635),
    [sym_show] = STATE(2635),
    [sym_return] = STATE(2635),
    [sym_flow] = STATE(2635),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(15),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(15),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(15),
    [anon_sym_GT_EQ] = ACTIONS(15),
    [anon_sym_EQ_EQ] = ACTIONS(15),
    [anon_sym_BANG_EQ] = ACTIONS(15),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(1087),
    [sym_none] = ACTIONS(1087),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15),
    [sym__immediate_brack] = ACTIONS(15),
  },
  [41] = {
    [sym_raw_blck] = STATE(2568),
    [sym_raw_span] = STATE(2568),
    [sym_math] = STATE(2568),
    [sym__expr] = STATE(2568),
    [sym_ident] = STATE(2568),
    [sym_bool] = STATE(2568),
    [sym_number] = STATE(2568),
    [sym_string] = STATE(2568),
    [sym_tagged] = STATE(2568),
    [sym_context] = STATE(2568),
    [sym_elude] = STATE(2568),
    [sym_assign] = STATE(2568),
    [sym_lambda] = STATE(2568),
    [sym_or] = STATE(2568),
    [sym_not] = STATE(2568),
    [sym_and] = STATE(2568),
    [sym_cmp] = STATE(2568),
    [sym_in] = STATE(2568),
    [sym_add] = STATE(2568),
    [sym_sub] = STATE(2568),
    [sym_mul] = STATE(2568),
    [sym_div] = STATE(2568),
    [sym_sign] = STATE(2568),
    [sym_call] = STATE(2568),
    [sym_field] = STATE(2568),
    [sym_label] = STATE(2568),
    [sym_content] = STATE(2568),
    [sym_group] = STATE(2568),
    [sym_block] = STATE(2568),
    [sym_branch] = STATE(2568),
    [sym_let] = STATE(2568),
    [sym_set] = STATE(2568),
    [sym_import] = STATE(2568),
    [sym_include] = STATE(2568),
    [sym_for] = STATE(2568),
    [sym_while] = STATE(2568),
    [sym_show] = STATE(2568),
    [sym_return] = STATE(2568),
    [sym_flow] = STATE(2568),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(1093),
    [sym_none] = ACTIONS(1093),
    [sym__token_content] = ACTIONS(65),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [42] = {
    [sym_raw_blck] = STATE(2600),
    [sym_raw_span] = STATE(2600),
    [sym_math] = STATE(2600),
    [sym__expr] = STATE(2600),
    [sym_ident] = STATE(2600),
    [sym_bool] = STATE(2600),
    [sym_number] = STATE(2600),
    [sym_string] = STATE(2600),
    [sym_tagged] = STATE(2600),
    [sym_context] = STATE(2600),
    [sym_elude] = STATE(2600),
    [sym_assign] = STATE(2600),
    [sym_lambda] = STATE(2600),
    [sym_or] = STATE(2600),
    [sym_not] = STATE(2600),
    [sym_and] = STATE(2600),
    [sym_cmp] = STATE(2600),
    [sym_in] = STATE(2600),
    [sym_add] = STATE(2600),
    [sym_sub] = STATE(2600),
    [sym_mul] = STATE(2600),
    [sym_div] = STATE(2600),
    [sym_sign] = STATE(2600),
    [sym_call] = STATE(2600),
    [sym_field] = STATE(2600),
    [sym_label] = STATE(2600),
    [sym_content] = STATE(2600),
    [sym_group] = STATE(2600),
    [sym_block] = STATE(2600),
    [sym_branch] = STATE(2600),
    [sym_let] = STATE(2600),
    [sym_set] = STATE(2600),
    [sym_import] = STATE(2600),
    [sym_include] = STATE(2600),
    [sym_for] = STATE(2600),
    [sym_while] = STATE(2600),
    [sym_show] = STATE(2600),
    [sym_return] = STATE(2600),
    [sym_flow] = STATE(2600),
    [aux_sym_group_repeat1] = STATE(82),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1095),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1103),
    [sym_none] = ACTIONS(1103),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [43] = {
    [sym_raw_blck] = STATE(2428),
    [sym_raw_span] = STATE(2428),
    [sym_math] = STATE(2428),
    [sym__expr] = STATE(2428),
    [sym_ident] = STATE(2428),
    [sym_bool] = STATE(2428),
    [sym_number] = STATE(2428),
    [sym_string] = STATE(2428),
    [sym_tagged] = STATE(2428),
    [sym_context] = STATE(2428),
    [sym_elude] = STATE(2428),
    [sym_assign] = STATE(2428),
    [sym_lambda] = STATE(2428),
    [sym_or] = STATE(2428),
    [sym_not] = STATE(2428),
    [sym_and] = STATE(2428),
    [sym_cmp] = STATE(2428),
    [sym_in] = STATE(2428),
    [sym_add] = STATE(2428),
    [sym_sub] = STATE(2428),
    [sym_mul] = STATE(2428),
    [sym_div] = STATE(2428),
    [sym_sign] = STATE(2428),
    [sym_call] = STATE(2428),
    [sym_field] = STATE(2428),
    [sym_label] = STATE(2428),
    [sym_content] = STATE(2428),
    [sym_group] = STATE(2428),
    [sym_block] = STATE(2428),
    [sym_branch] = STATE(2428),
    [sym_let] = STATE(2428),
    [sym_set] = STATE(2428),
    [sym_import] = STATE(2428),
    [sym_include] = STATE(2428),
    [sym_for] = STATE(2428),
    [sym_while] = STATE(2428),
    [sym_show] = STATE(2428),
    [sym_return] = STATE(2428),
    [sym_flow] = STATE(2428),
    [aux_sym_group_repeat1] = STATE(100),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1105),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1109),
    [sym_none] = ACTIONS(1109),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [44] = {
    [sym_raw_blck] = STATE(2605),
    [sym_raw_span] = STATE(2605),
    [sym_math] = STATE(2605),
    [sym__expr] = STATE(2605),
    [sym_ident] = STATE(2605),
    [sym_bool] = STATE(2605),
    [sym_number] = STATE(2605),
    [sym_string] = STATE(2605),
    [sym_tagged] = STATE(2605),
    [sym_context] = STATE(2605),
    [sym_elude] = STATE(2605),
    [sym_assign] = STATE(2605),
    [sym_lambda] = STATE(2605),
    [sym_or] = STATE(2605),
    [sym_not] = STATE(2605),
    [sym_and] = STATE(2605),
    [sym_cmp] = STATE(2605),
    [sym_in] = STATE(2605),
    [sym_add] = STATE(2605),
    [sym_sub] = STATE(2605),
    [sym_mul] = STATE(2605),
    [sym_div] = STATE(2605),
    [sym_sign] = STATE(2605),
    [sym_call] = STATE(2605),
    [sym_field] = STATE(2605),
    [sym_label] = STATE(2605),
    [sym_content] = STATE(2605),
    [sym_group] = STATE(2605),
    [sym_block] = STATE(2605),
    [sym_branch] = STATE(2605),
    [sym_let] = STATE(2605),
    [sym_set] = STATE(2605),
    [sym_import] = STATE(2605),
    [sym_include] = STATE(2605),
    [sym_for] = STATE(2605),
    [sym_while] = STATE(2605),
    [sym_show] = STATE(2605),
    [sym_return] = STATE(2605),
    [sym_flow] = STATE(2605),
    [aux_sym_group_repeat1] = STATE(89),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1111),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1115),
    [sym_none] = ACTIONS(1115),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [45] = {
    [sym_raw_blck] = STATE(2610),
    [sym_raw_span] = STATE(2610),
    [sym_math] = STATE(2610),
    [sym__expr] = STATE(2610),
    [sym_ident] = STATE(2610),
    [sym_bool] = STATE(2610),
    [sym_number] = STATE(2610),
    [sym_string] = STATE(2610),
    [sym_tagged] = STATE(2610),
    [sym_context] = STATE(2610),
    [sym_elude] = STATE(2610),
    [sym_assign] = STATE(2610),
    [sym_lambda] = STATE(2610),
    [sym_or] = STATE(2610),
    [sym_not] = STATE(2610),
    [sym_and] = STATE(2610),
    [sym_cmp] = STATE(2610),
    [sym_in] = STATE(2610),
    [sym_add] = STATE(2610),
    [sym_sub] = STATE(2610),
    [sym_mul] = STATE(2610),
    [sym_div] = STATE(2610),
    [sym_sign] = STATE(2610),
    [sym_call] = STATE(2610),
    [sym_field] = STATE(2610),
    [sym_label] = STATE(2610),
    [sym_content] = STATE(2610),
    [sym_group] = STATE(2610),
    [sym_block] = STATE(2610),
    [sym_branch] = STATE(2610),
    [sym_let] = STATE(2610),
    [sym_set] = STATE(2610),
    [sym_import] = STATE(2610),
    [sym_include] = STATE(2610),
    [sym_for] = STATE(2610),
    [sym_while] = STATE(2610),
    [sym_show] = STATE(2610),
    [sym_return] = STATE(2610),
    [sym_flow] = STATE(2610),
    [aux_sym_group_repeat1] = STATE(96),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1117),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1121),
    [sym_none] = ACTIONS(1121),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [46] = {
    [sym_raw_blck] = STATE(2616),
    [sym_raw_span] = STATE(2616),
    [sym_math] = STATE(2616),
    [sym__expr] = STATE(2616),
    [sym_ident] = STATE(2616),
    [sym_bool] = STATE(2616),
    [sym_number] = STATE(2616),
    [sym_string] = STATE(2616),
    [sym_tagged] = STATE(2616),
    [sym_context] = STATE(2616),
    [sym_elude] = STATE(2616),
    [sym_assign] = STATE(2616),
    [sym_lambda] = STATE(2616),
    [sym_or] = STATE(2616),
    [sym_not] = STATE(2616),
    [sym_and] = STATE(2616),
    [sym_cmp] = STATE(2616),
    [sym_in] = STATE(2616),
    [sym_add] = STATE(2616),
    [sym_sub] = STATE(2616),
    [sym_mul] = STATE(2616),
    [sym_div] = STATE(2616),
    [sym_sign] = STATE(2616),
    [sym_call] = STATE(2616),
    [sym_field] = STATE(2616),
    [sym_label] = STATE(2616),
    [sym_content] = STATE(2616),
    [sym_group] = STATE(2616),
    [sym_block] = STATE(2616),
    [sym_branch] = STATE(2616),
    [sym_let] = STATE(2616),
    [sym_set] = STATE(2616),
    [sym_import] = STATE(2616),
    [sym_include] = STATE(2616),
    [sym_for] = STATE(2616),
    [sym_while] = STATE(2616),
    [sym_show] = STATE(2616),
    [sym_return] = STATE(2616),
    [sym_flow] = STATE(2616),
    [aux_sym_group_repeat1] = STATE(103),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1123),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1127),
    [sym_none] = ACTIONS(1127),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [47] = {
    [sym_raw_blck] = STATE(2622),
    [sym_raw_span] = STATE(2622),
    [sym_math] = STATE(2622),
    [sym__expr] = STATE(2622),
    [sym_ident] = STATE(2622),
    [sym_bool] = STATE(2622),
    [sym_number] = STATE(2622),
    [sym_string] = STATE(2622),
    [sym_tagged] = STATE(2622),
    [sym_context] = STATE(2622),
    [sym_elude] = STATE(2622),
    [sym_assign] = STATE(2622),
    [sym_lambda] = STATE(2622),
    [sym_or] = STATE(2622),
    [sym_not] = STATE(2622),
    [sym_and] = STATE(2622),
    [sym_cmp] = STATE(2622),
    [sym_in] = STATE(2622),
    [sym_add] = STATE(2622),
    [sym_sub] = STATE(2622),
    [sym_mul] = STATE(2622),
    [sym_div] = STATE(2622),
    [sym_sign] = STATE(2622),
    [sym_call] = STATE(2622),
    [sym_field] = STATE(2622),
    [sym_label] = STATE(2622),
    [sym_content] = STATE(2622),
    [sym_group] = STATE(2622),
    [sym_block] = STATE(2622),
    [sym_branch] = STATE(2622),
    [sym_let] = STATE(2622),
    [sym_set] = STATE(2622),
    [sym_import] = STATE(2622),
    [sym_include] = STATE(2622),
    [sym_for] = STATE(2622),
    [sym_while] = STATE(2622),
    [sym_show] = STATE(2622),
    [sym_return] = STATE(2622),
    [sym_flow] = STATE(2622),
    [aux_sym_group_repeat1] = STATE(110),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1129),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1133),
    [sym_none] = ACTIONS(1133),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [48] = {
    [sym_raw_blck] = STATE(2627),
    [sym_raw_span] = STATE(2627),
    [sym_math] = STATE(2627),
    [sym__expr] = STATE(2627),
    [sym_ident] = STATE(2627),
    [sym_bool] = STATE(2627),
    [sym_number] = STATE(2627),
    [sym_string] = STATE(2627),
    [sym_tagged] = STATE(2627),
    [sym_context] = STATE(2627),
    [sym_elude] = STATE(2627),
    [sym_assign] = STATE(2627),
    [sym_lambda] = STATE(2627),
    [sym_or] = STATE(2627),
    [sym_not] = STATE(2627),
    [sym_and] = STATE(2627),
    [sym_cmp] = STATE(2627),
    [sym_in] = STATE(2627),
    [sym_add] = STATE(2627),
    [sym_sub] = STATE(2627),
    [sym_mul] = STATE(2627),
    [sym_div] = STATE(2627),
    [sym_sign] = STATE(2627),
    [sym_call] = STATE(2627),
    [sym_field] = STATE(2627),
    [sym_label] = STATE(2627),
    [sym_content] = STATE(2627),
    [sym_group] = STATE(2627),
    [sym_block] = STATE(2627),
    [sym_branch] = STATE(2627),
    [sym_let] = STATE(2627),
    [sym_set] = STATE(2627),
    [sym_import] = STATE(2627),
    [sym_include] = STATE(2627),
    [sym_for] = STATE(2627),
    [sym_while] = STATE(2627),
    [sym_show] = STATE(2627),
    [sym_return] = STATE(2627),
    [sym_flow] = STATE(2627),
    [aux_sym_group_repeat1] = STATE(117),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1135),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1139),
    [sym_none] = ACTIONS(1139),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [49] = {
    [sym_raw_blck] = STATE(2578),
    [sym_raw_span] = STATE(2578),
    [sym_math] = STATE(2578),
    [sym__expr] = STATE(2578),
    [sym_ident] = STATE(2578),
    [sym_bool] = STATE(2578),
    [sym_number] = STATE(2578),
    [sym_string] = STATE(2578),
    [sym_tagged] = STATE(2578),
    [sym_context] = STATE(2578),
    [sym_elude] = STATE(2578),
    [sym_assign] = STATE(2578),
    [sym_lambda] = STATE(2578),
    [sym_or] = STATE(2578),
    [sym_not] = STATE(2578),
    [sym_and] = STATE(2578),
    [sym_cmp] = STATE(2578),
    [sym_in] = STATE(2578),
    [sym_add] = STATE(2578),
    [sym_sub] = STATE(2578),
    [sym_mul] = STATE(2578),
    [sym_div] = STATE(2578),
    [sym_sign] = STATE(2578),
    [sym_call] = STATE(2578),
    [sym_field] = STATE(2578),
    [sym_label] = STATE(2578),
    [sym_content] = STATE(2578),
    [sym_group] = STATE(2578),
    [sym_block] = STATE(2578),
    [sym_branch] = STATE(2578),
    [sym_let] = STATE(2578),
    [sym_set] = STATE(2578),
    [sym_import] = STATE(2578),
    [sym_include] = STATE(2578),
    [sym_for] = STATE(2578),
    [sym_while] = STATE(2578),
    [sym_show] = STATE(2578),
    [sym_return] = STATE(2578),
    [sym_flow] = STATE(2578),
    [aux_sym_group_repeat1] = STATE(69),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1141),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1145),
    [sym_none] = ACTIONS(1145),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [50] = {
    [sym_raw_blck] = STATE(2637),
    [sym_raw_span] = STATE(2637),
    [sym_math] = STATE(2637),
    [sym__expr] = STATE(2637),
    [sym_ident] = STATE(2637),
    [sym_bool] = STATE(2637),
    [sym_number] = STATE(2637),
    [sym_string] = STATE(2637),
    [sym_tagged] = STATE(2637),
    [sym_context] = STATE(2637),
    [sym_elude] = STATE(2637),
    [sym_assign] = STATE(2637),
    [sym_lambda] = STATE(2637),
    [sym_or] = STATE(2637),
    [sym_not] = STATE(2637),
    [sym_and] = STATE(2637),
    [sym_cmp] = STATE(2637),
    [sym_in] = STATE(2637),
    [sym_add] = STATE(2637),
    [sym_sub] = STATE(2637),
    [sym_mul] = STATE(2637),
    [sym_div] = STATE(2637),
    [sym_sign] = STATE(2637),
    [sym_call] = STATE(2637),
    [sym_field] = STATE(2637),
    [sym_label] = STATE(2637),
    [sym_content] = STATE(2637),
    [sym_group] = STATE(2637),
    [sym_block] = STATE(2637),
    [sym_branch] = STATE(2637),
    [sym_let] = STATE(2637),
    [sym_set] = STATE(2637),
    [sym_import] = STATE(2637),
    [sym_include] = STATE(2637),
    [sym_for] = STATE(2637),
    [sym_while] = STATE(2637),
    [sym_show] = STATE(2637),
    [sym_return] = STATE(2637),
    [sym_flow] = STATE(2637),
    [aux_sym_group_repeat1] = STATE(123),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1147),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1151),
    [sym_none] = ACTIONS(1151),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [51] = {
    [sym_raw_blck] = STATE(2643),
    [sym_raw_span] = STATE(2643),
    [sym_math] = STATE(2643),
    [sym__expr] = STATE(2643),
    [sym_ident] = STATE(2643),
    [sym_bool] = STATE(2643),
    [sym_number] = STATE(2643),
    [sym_string] = STATE(2643),
    [sym_tagged] = STATE(2643),
    [sym_context] = STATE(2643),
    [sym_elude] = STATE(2643),
    [sym_assign] = STATE(2643),
    [sym_lambda] = STATE(2643),
    [sym_or] = STATE(2643),
    [sym_not] = STATE(2643),
    [sym_and] = STATE(2643),
    [sym_cmp] = STATE(2643),
    [sym_in] = STATE(2643),
    [sym_add] = STATE(2643),
    [sym_sub] = STATE(2643),
    [sym_mul] = STATE(2643),
    [sym_div] = STATE(2643),
    [sym_sign] = STATE(2643),
    [sym_call] = STATE(2643),
    [sym_field] = STATE(2643),
    [sym_label] = STATE(2643),
    [sym_content] = STATE(2643),
    [sym_group] = STATE(2643),
    [sym_block] = STATE(2643),
    [sym_branch] = STATE(2643),
    [sym_let] = STATE(2643),
    [sym_set] = STATE(2643),
    [sym_import] = STATE(2643),
    [sym_include] = STATE(2643),
    [sym_for] = STATE(2643),
    [sym_while] = STATE(2643),
    [sym_show] = STATE(2643),
    [sym_return] = STATE(2643),
    [sym_flow] = STATE(2643),
    [aux_sym_group_repeat1] = STATE(128),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1153),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1157),
    [sym_none] = ACTIONS(1157),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [52] = {
    [sym_raw_blck] = STATE(2648),
    [sym_raw_span] = STATE(2648),
    [sym_math] = STATE(2648),
    [sym__expr] = STATE(2648),
    [sym_ident] = STATE(2648),
    [sym_bool] = STATE(2648),
    [sym_number] = STATE(2648),
    [sym_string] = STATE(2648),
    [sym_tagged] = STATE(2648),
    [sym_context] = STATE(2648),
    [sym_elude] = STATE(2648),
    [sym_assign] = STATE(2648),
    [sym_lambda] = STATE(2648),
    [sym_or] = STATE(2648),
    [sym_not] = STATE(2648),
    [sym_and] = STATE(2648),
    [sym_cmp] = STATE(2648),
    [sym_in] = STATE(2648),
    [sym_add] = STATE(2648),
    [sym_sub] = STATE(2648),
    [sym_mul] = STATE(2648),
    [sym_div] = STATE(2648),
    [sym_sign] = STATE(2648),
    [sym_call] = STATE(2648),
    [sym_field] = STATE(2648),
    [sym_label] = STATE(2648),
    [sym_content] = STATE(2648),
    [sym_group] = STATE(2648),
    [sym_block] = STATE(2648),
    [sym_branch] = STATE(2648),
    [sym_let] = STATE(2648),
    [sym_set] = STATE(2648),
    [sym_import] = STATE(2648),
    [sym_include] = STATE(2648),
    [sym_for] = STATE(2648),
    [sym_while] = STATE(2648),
    [sym_show] = STATE(2648),
    [sym_return] = STATE(2648),
    [sym_flow] = STATE(2648),
    [aux_sym_group_repeat1] = STATE(133),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1159),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1163),
    [sym_none] = ACTIONS(1163),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [53] = {
    [sym_raw_blck] = STATE(2659),
    [sym_raw_span] = STATE(2659),
    [sym_math] = STATE(2659),
    [sym__expr] = STATE(2659),
    [sym_ident] = STATE(2659),
    [sym_bool] = STATE(2659),
    [sym_number] = STATE(2659),
    [sym_string] = STATE(2659),
    [sym_tagged] = STATE(2659),
    [sym_context] = STATE(2659),
    [sym_elude] = STATE(2659),
    [sym_assign] = STATE(2659),
    [sym_lambda] = STATE(2659),
    [sym_or] = STATE(2659),
    [sym_not] = STATE(2659),
    [sym_and] = STATE(2659),
    [sym_cmp] = STATE(2659),
    [sym_in] = STATE(2659),
    [sym_add] = STATE(2659),
    [sym_sub] = STATE(2659),
    [sym_mul] = STATE(2659),
    [sym_div] = STATE(2659),
    [sym_sign] = STATE(2659),
    [sym_call] = STATE(2659),
    [sym_field] = STATE(2659),
    [sym_label] = STATE(2659),
    [sym_content] = STATE(2659),
    [sym_group] = STATE(2659),
    [sym_block] = STATE(2659),
    [sym_branch] = STATE(2659),
    [sym_let] = STATE(2659),
    [sym_set] = STATE(2659),
    [sym_import] = STATE(2659),
    [sym_include] = STATE(2659),
    [sym_for] = STATE(2659),
    [sym_while] = STATE(2659),
    [sym_show] = STATE(2659),
    [sym_return] = STATE(2659),
    [sym_flow] = STATE(2659),
    [aux_sym_group_repeat1] = STATE(138),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1169),
    [sym_none] = ACTIONS(1169),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [54] = {
    [sym_raw_blck] = STATE(2672),
    [sym_raw_span] = STATE(2672),
    [sym_math] = STATE(2672),
    [sym__expr] = STATE(2672),
    [sym_ident] = STATE(2672),
    [sym_bool] = STATE(2672),
    [sym_number] = STATE(2672),
    [sym_string] = STATE(2672),
    [sym_tagged] = STATE(2672),
    [sym_context] = STATE(2672),
    [sym_elude] = STATE(2672),
    [sym_assign] = STATE(2672),
    [sym_lambda] = STATE(2672),
    [sym_or] = STATE(2672),
    [sym_not] = STATE(2672),
    [sym_and] = STATE(2672),
    [sym_cmp] = STATE(2672),
    [sym_in] = STATE(2672),
    [sym_add] = STATE(2672),
    [sym_sub] = STATE(2672),
    [sym_mul] = STATE(2672),
    [sym_div] = STATE(2672),
    [sym_sign] = STATE(2672),
    [sym_call] = STATE(2672),
    [sym_field] = STATE(2672),
    [sym_label] = STATE(2672),
    [sym_content] = STATE(2672),
    [sym_group] = STATE(2672),
    [sym_block] = STATE(2672),
    [sym_branch] = STATE(2672),
    [sym_let] = STATE(2672),
    [sym_set] = STATE(2672),
    [sym_import] = STATE(2672),
    [sym_include] = STATE(2672),
    [sym_for] = STATE(2672),
    [sym_while] = STATE(2672),
    [sym_show] = STATE(2672),
    [sym_return] = STATE(2672),
    [sym_flow] = STATE(2672),
    [aux_sym_group_repeat1] = STATE(143),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1171),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1175),
    [sym_none] = ACTIONS(1175),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [55] = {
    [sym_raw_blck] = STATE(2687),
    [sym_raw_span] = STATE(2687),
    [sym_math] = STATE(2687),
    [sym__expr] = STATE(2687),
    [sym_ident] = STATE(2687),
    [sym_bool] = STATE(2687),
    [sym_number] = STATE(2687),
    [sym_string] = STATE(2687),
    [sym_tagged] = STATE(2687),
    [sym_context] = STATE(2687),
    [sym_elude] = STATE(2687),
    [sym_assign] = STATE(2687),
    [sym_lambda] = STATE(2687),
    [sym_or] = STATE(2687),
    [sym_not] = STATE(2687),
    [sym_and] = STATE(2687),
    [sym_cmp] = STATE(2687),
    [sym_in] = STATE(2687),
    [sym_add] = STATE(2687),
    [sym_sub] = STATE(2687),
    [sym_mul] = STATE(2687),
    [sym_div] = STATE(2687),
    [sym_sign] = STATE(2687),
    [sym_call] = STATE(2687),
    [sym_field] = STATE(2687),
    [sym_label] = STATE(2687),
    [sym_content] = STATE(2687),
    [sym_group] = STATE(2687),
    [sym_block] = STATE(2687),
    [sym_branch] = STATE(2687),
    [sym_let] = STATE(2687),
    [sym_set] = STATE(2687),
    [sym_import] = STATE(2687),
    [sym_include] = STATE(2687),
    [sym_for] = STATE(2687),
    [sym_while] = STATE(2687),
    [sym_show] = STATE(2687),
    [sym_return] = STATE(2687),
    [sym_flow] = STATE(2687),
    [aux_sym_group_repeat1] = STATE(147),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1181),
    [sym_none] = ACTIONS(1181),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [56] = {
    [sym_raw_blck] = STATE(2700),
    [sym_raw_span] = STATE(2700),
    [sym_math] = STATE(2700),
    [sym__expr] = STATE(2700),
    [sym_ident] = STATE(2700),
    [sym_bool] = STATE(2700),
    [sym_number] = STATE(2700),
    [sym_string] = STATE(2700),
    [sym_tagged] = STATE(2700),
    [sym_context] = STATE(2700),
    [sym_elude] = STATE(2700),
    [sym_assign] = STATE(2700),
    [sym_lambda] = STATE(2700),
    [sym_or] = STATE(2700),
    [sym_not] = STATE(2700),
    [sym_and] = STATE(2700),
    [sym_cmp] = STATE(2700),
    [sym_in] = STATE(2700),
    [sym_add] = STATE(2700),
    [sym_sub] = STATE(2700),
    [sym_mul] = STATE(2700),
    [sym_div] = STATE(2700),
    [sym_sign] = STATE(2700),
    [sym_call] = STATE(2700),
    [sym_field] = STATE(2700),
    [sym_label] = STATE(2700),
    [sym_content] = STATE(2700),
    [sym_group] = STATE(2700),
    [sym_block] = STATE(2700),
    [sym_branch] = STATE(2700),
    [sym_let] = STATE(2700),
    [sym_set] = STATE(2700),
    [sym_import] = STATE(2700),
    [sym_include] = STATE(2700),
    [sym_for] = STATE(2700),
    [sym_while] = STATE(2700),
    [sym_show] = STATE(2700),
    [sym_return] = STATE(2700),
    [sym_flow] = STATE(2700),
    [aux_sym_group_repeat1] = STATE(152),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1187),
    [sym_none] = ACTIONS(1187),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [57] = {
    [sym_raw_blck] = STATE(2713),
    [sym_raw_span] = STATE(2713),
    [sym_math] = STATE(2713),
    [sym__expr] = STATE(2713),
    [sym_ident] = STATE(2713),
    [sym_bool] = STATE(2713),
    [sym_number] = STATE(2713),
    [sym_string] = STATE(2713),
    [sym_tagged] = STATE(2713),
    [sym_context] = STATE(2713),
    [sym_elude] = STATE(2713),
    [sym_assign] = STATE(2713),
    [sym_lambda] = STATE(2713),
    [sym_or] = STATE(2713),
    [sym_not] = STATE(2713),
    [sym_and] = STATE(2713),
    [sym_cmp] = STATE(2713),
    [sym_in] = STATE(2713),
    [sym_add] = STATE(2713),
    [sym_sub] = STATE(2713),
    [sym_mul] = STATE(2713),
    [sym_div] = STATE(2713),
    [sym_sign] = STATE(2713),
    [sym_call] = STATE(2713),
    [sym_field] = STATE(2713),
    [sym_label] = STATE(2713),
    [sym_content] = STATE(2713),
    [sym_group] = STATE(2713),
    [sym_block] = STATE(2713),
    [sym_branch] = STATE(2713),
    [sym_let] = STATE(2713),
    [sym_set] = STATE(2713),
    [sym_import] = STATE(2713),
    [sym_include] = STATE(2713),
    [sym_for] = STATE(2713),
    [sym_while] = STATE(2713),
    [sym_show] = STATE(2713),
    [sym_return] = STATE(2713),
    [sym_flow] = STATE(2713),
    [aux_sym_group_repeat1] = STATE(157),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1189),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1193),
    [sym_none] = ACTIONS(1193),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [58] = {
    [sym_raw_blck] = STATE(2727),
    [sym_raw_span] = STATE(2727),
    [sym_math] = STATE(2727),
    [sym__expr] = STATE(2727),
    [sym_ident] = STATE(2727),
    [sym_bool] = STATE(2727),
    [sym_number] = STATE(2727),
    [sym_string] = STATE(2727),
    [sym_tagged] = STATE(2727),
    [sym_context] = STATE(2727),
    [sym_elude] = STATE(2727),
    [sym_assign] = STATE(2727),
    [sym_lambda] = STATE(2727),
    [sym_or] = STATE(2727),
    [sym_not] = STATE(2727),
    [sym_and] = STATE(2727),
    [sym_cmp] = STATE(2727),
    [sym_in] = STATE(2727),
    [sym_add] = STATE(2727),
    [sym_sub] = STATE(2727),
    [sym_mul] = STATE(2727),
    [sym_div] = STATE(2727),
    [sym_sign] = STATE(2727),
    [sym_call] = STATE(2727),
    [sym_field] = STATE(2727),
    [sym_label] = STATE(2727),
    [sym_content] = STATE(2727),
    [sym_group] = STATE(2727),
    [sym_block] = STATE(2727),
    [sym_branch] = STATE(2727),
    [sym_let] = STATE(2727),
    [sym_set] = STATE(2727),
    [sym_import] = STATE(2727),
    [sym_include] = STATE(2727),
    [sym_for] = STATE(2727),
    [sym_while] = STATE(2727),
    [sym_show] = STATE(2727),
    [sym_return] = STATE(2727),
    [sym_flow] = STATE(2727),
    [aux_sym_group_repeat1] = STATE(162),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1199),
    [sym_none] = ACTIONS(1199),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [59] = {
    [sym_raw_blck] = STATE(2740),
    [sym_raw_span] = STATE(2740),
    [sym_math] = STATE(2740),
    [sym__expr] = STATE(2740),
    [sym_ident] = STATE(2740),
    [sym_bool] = STATE(2740),
    [sym_number] = STATE(2740),
    [sym_string] = STATE(2740),
    [sym_tagged] = STATE(2740),
    [sym_context] = STATE(2740),
    [sym_elude] = STATE(2740),
    [sym_assign] = STATE(2740),
    [sym_lambda] = STATE(2740),
    [sym_or] = STATE(2740),
    [sym_not] = STATE(2740),
    [sym_and] = STATE(2740),
    [sym_cmp] = STATE(2740),
    [sym_in] = STATE(2740),
    [sym_add] = STATE(2740),
    [sym_sub] = STATE(2740),
    [sym_mul] = STATE(2740),
    [sym_div] = STATE(2740),
    [sym_sign] = STATE(2740),
    [sym_call] = STATE(2740),
    [sym_field] = STATE(2740),
    [sym_label] = STATE(2740),
    [sym_content] = STATE(2740),
    [sym_group] = STATE(2740),
    [sym_block] = STATE(2740),
    [sym_branch] = STATE(2740),
    [sym_let] = STATE(2740),
    [sym_set] = STATE(2740),
    [sym_import] = STATE(2740),
    [sym_include] = STATE(2740),
    [sym_for] = STATE(2740),
    [sym_while] = STATE(2740),
    [sym_show] = STATE(2740),
    [sym_return] = STATE(2740),
    [sym_flow] = STATE(2740),
    [aux_sym_group_repeat1] = STATE(167),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1205),
    [sym_none] = ACTIONS(1205),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [60] = {
    [sym_raw_blck] = STATE(2750),
    [sym_raw_span] = STATE(2750),
    [sym_math] = STATE(2750),
    [sym__expr] = STATE(2750),
    [sym_ident] = STATE(2750),
    [sym_bool] = STATE(2750),
    [sym_number] = STATE(2750),
    [sym_string] = STATE(2750),
    [sym_tagged] = STATE(2750),
    [sym_context] = STATE(2750),
    [sym_elude] = STATE(2750),
    [sym_assign] = STATE(2750),
    [sym_lambda] = STATE(2750),
    [sym_or] = STATE(2750),
    [sym_not] = STATE(2750),
    [sym_and] = STATE(2750),
    [sym_cmp] = STATE(2750),
    [sym_in] = STATE(2750),
    [sym_add] = STATE(2750),
    [sym_sub] = STATE(2750),
    [sym_mul] = STATE(2750),
    [sym_div] = STATE(2750),
    [sym_sign] = STATE(2750),
    [sym_call] = STATE(2750),
    [sym_field] = STATE(2750),
    [sym_label] = STATE(2750),
    [sym_content] = STATE(2750),
    [sym_group] = STATE(2750),
    [sym_block] = STATE(2750),
    [sym_branch] = STATE(2750),
    [sym_let] = STATE(2750),
    [sym_set] = STATE(2750),
    [sym_import] = STATE(2750),
    [sym_include] = STATE(2750),
    [sym_for] = STATE(2750),
    [sym_while] = STATE(2750),
    [sym_show] = STATE(2750),
    [sym_return] = STATE(2750),
    [sym_flow] = STATE(2750),
    [aux_sym_group_repeat1] = STATE(172),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1207),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1211),
    [sym_none] = ACTIONS(1211),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [61] = {
    [sym_raw_blck] = STATE(2758),
    [sym_raw_span] = STATE(2758),
    [sym_math] = STATE(2758),
    [sym__expr] = STATE(2758),
    [sym_ident] = STATE(2758),
    [sym_bool] = STATE(2758),
    [sym_number] = STATE(2758),
    [sym_string] = STATE(2758),
    [sym_tagged] = STATE(2758),
    [sym_context] = STATE(2758),
    [sym_elude] = STATE(2758),
    [sym_assign] = STATE(2758),
    [sym_lambda] = STATE(2758),
    [sym_or] = STATE(2758),
    [sym_not] = STATE(2758),
    [sym_and] = STATE(2758),
    [sym_cmp] = STATE(2758),
    [sym_in] = STATE(2758),
    [sym_add] = STATE(2758),
    [sym_sub] = STATE(2758),
    [sym_mul] = STATE(2758),
    [sym_div] = STATE(2758),
    [sym_sign] = STATE(2758),
    [sym_call] = STATE(2758),
    [sym_field] = STATE(2758),
    [sym_label] = STATE(2758),
    [sym_content] = STATE(2758),
    [sym_group] = STATE(2758),
    [sym_block] = STATE(2758),
    [sym_branch] = STATE(2758),
    [sym_let] = STATE(2758),
    [sym_set] = STATE(2758),
    [sym_import] = STATE(2758),
    [sym_include] = STATE(2758),
    [sym_for] = STATE(2758),
    [sym_while] = STATE(2758),
    [sym_show] = STATE(2758),
    [sym_return] = STATE(2758),
    [sym_flow] = STATE(2758),
    [aux_sym_group_repeat1] = STATE(177),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1217),
    [sym_none] = ACTIONS(1217),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [62] = {
    [sym_raw_blck] = STATE(2592),
    [sym_raw_span] = STATE(2592),
    [sym_math] = STATE(2592),
    [sym__expr] = STATE(2592),
    [sym_ident] = STATE(2592),
    [sym_bool] = STATE(2592),
    [sym_number] = STATE(2592),
    [sym_string] = STATE(2592),
    [sym_tagged] = STATE(2592),
    [sym_context] = STATE(2592),
    [sym_elude] = STATE(2592),
    [sym_assign] = STATE(2592),
    [sym_lambda] = STATE(2592),
    [sym_or] = STATE(2592),
    [sym_not] = STATE(2592),
    [sym_and] = STATE(2592),
    [sym_cmp] = STATE(2592),
    [sym_in] = STATE(2592),
    [sym_add] = STATE(2592),
    [sym_sub] = STATE(2592),
    [sym_mul] = STATE(2592),
    [sym_div] = STATE(2592),
    [sym_sign] = STATE(2592),
    [sym_call] = STATE(2592),
    [sym_field] = STATE(2592),
    [sym_label] = STATE(2592),
    [sym_content] = STATE(2592),
    [sym_group] = STATE(2592),
    [sym_block] = STATE(2592),
    [sym_branch] = STATE(2592),
    [sym_let] = STATE(2592),
    [sym_set] = STATE(2592),
    [sym_import] = STATE(2592),
    [sym_include] = STATE(2592),
    [sym_for] = STATE(2592),
    [sym_while] = STATE(2592),
    [sym_show] = STATE(2592),
    [sym_return] = STATE(2592),
    [sym_flow] = STATE(2592),
    [aux_sym_group_repeat1] = STATE(76),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1219),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1223),
    [sym_none] = ACTIONS(1223),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [63] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [64] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(119),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [65] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(3751),
    [sym__stmt] = STATE(3817),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [66] = {
    [sym_raw_blck] = STATE(2998),
    [sym_raw_span] = STATE(2998),
    [sym_math] = STATE(2998),
    [sym__expr] = STATE(2998),
    [sym_ident] = STATE(2998),
    [sym_bool] = STATE(2998),
    [sym_number] = STATE(2998),
    [sym_string] = STATE(2998),
    [sym_tagged] = STATE(2998),
    [sym_context] = STATE(2998),
    [sym_elude] = STATE(2998),
    [sym_assign] = STATE(2998),
    [sym_lambda] = STATE(2998),
    [sym_or] = STATE(2998),
    [sym_not] = STATE(2998),
    [sym_and] = STATE(2998),
    [sym_cmp] = STATE(2998),
    [sym_in] = STATE(2998),
    [sym_add] = STATE(2998),
    [sym_sub] = STATE(2998),
    [sym_mul] = STATE(2998),
    [sym_div] = STATE(2998),
    [sym_sign] = STATE(2998),
    [sym_call] = STATE(2998),
    [sym_field] = STATE(2998),
    [sym_label] = STATE(2998),
    [sym_content] = STATE(2998),
    [sym_group] = STATE(2998),
    [sym_block] = STATE(2998),
    [sym_branch] = STATE(2998),
    [sym_let] = STATE(2998),
    [sym_set] = STATE(2998),
    [sym_import] = STATE(2998),
    [sym_include] = STATE(2998),
    [sym_for] = STATE(2998),
    [sym_while] = STATE(2998),
    [sym_show] = STATE(2998),
    [sym_return] = STATE(2998),
    [sym_flow] = STATE(2998),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(1239),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1248),
    [anon_sym_false] = ACTIONS(1248),
    [aux_sym_number_token1] = ACTIONS(1251),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [anon_sym_context] = ACTIONS(1257),
    [anon_sym_DOT_DOT] = ACTIONS(1260),
    [anon_sym_not] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [anon_sym_RPAREN2] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_let] = ACTIONS(1283),
    [anon_sym_set] = ACTIONS(1286),
    [anon_sym_import] = ACTIONS(1289),
    [anon_sym_include] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_show] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [sym_auto] = ACTIONS(1310),
    [sym_none] = ACTIONS(1310),
    [sym__token_content] = ACTIONS(1313),
    [sym__token_raw_blck_ldlm] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [67] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(70),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [68] = {
    [sym_raw_blck] = STATE(2582),
    [sym_raw_span] = STATE(2582),
    [sym_math] = STATE(2582),
    [sym__expr] = STATE(2582),
    [sym_ident] = STATE(2582),
    [sym_bool] = STATE(2582),
    [sym_number] = STATE(2582),
    [sym_string] = STATE(2582),
    [sym_tagged] = STATE(2582),
    [sym_context] = STATE(2582),
    [sym_elude] = STATE(2582),
    [sym_assign] = STATE(2582),
    [sym_lambda] = STATE(2582),
    [sym_or] = STATE(2582),
    [sym_not] = STATE(2582),
    [sym_and] = STATE(2582),
    [sym_cmp] = STATE(2582),
    [sym_in] = STATE(2582),
    [sym_add] = STATE(2582),
    [sym_sub] = STATE(2582),
    [sym_mul] = STATE(2582),
    [sym_div] = STATE(2582),
    [sym_sign] = STATE(2582),
    [sym_call] = STATE(2582),
    [sym_field] = STATE(2582),
    [sym_label] = STATE(2582),
    [sym_content] = STATE(2582),
    [sym_group] = STATE(2582),
    [sym_block] = STATE(2582),
    [sym_branch] = STATE(2582),
    [sym_let] = STATE(2582),
    [sym_set] = STATE(2582),
    [sym_import] = STATE(2582),
    [sym_include] = STATE(2582),
    [sym_for] = STATE(2582),
    [sym_while] = STATE(2582),
    [sym_show] = STATE(2582),
    [sym_return] = STATE(2582),
    [sym_flow] = STATE(2582),
    [aux_sym_group_repeat1] = STATE(71),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [69] = {
    [sym_raw_blck] = STATE(2582),
    [sym_raw_span] = STATE(2582),
    [sym_math] = STATE(2582),
    [sym__expr] = STATE(2582),
    [sym_ident] = STATE(2582),
    [sym_bool] = STATE(2582),
    [sym_number] = STATE(2582),
    [sym_string] = STATE(2582),
    [sym_tagged] = STATE(2582),
    [sym_context] = STATE(2582),
    [sym_elude] = STATE(2582),
    [sym_assign] = STATE(2582),
    [sym_lambda] = STATE(2582),
    [sym_or] = STATE(2582),
    [sym_not] = STATE(2582),
    [sym_and] = STATE(2582),
    [sym_cmp] = STATE(2582),
    [sym_in] = STATE(2582),
    [sym_add] = STATE(2582),
    [sym_sub] = STATE(2582),
    [sym_mul] = STATE(2582),
    [sym_div] = STATE(2582),
    [sym_sign] = STATE(2582),
    [sym_call] = STATE(2582),
    [sym_field] = STATE(2582),
    [sym_label] = STATE(2582),
    [sym_content] = STATE(2582),
    [sym_group] = STATE(2582),
    [sym_block] = STATE(2582),
    [sym_branch] = STATE(2582),
    [sym_let] = STATE(2582),
    [sym_set] = STATE(2582),
    [sym_import] = STATE(2582),
    [sym_include] = STATE(2582),
    [sym_for] = STATE(2582),
    [sym_while] = STATE(2582),
    [sym_show] = STATE(2582),
    [sym_return] = STATE(2582),
    [sym_flow] = STATE(2582),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1323),
    [sym_none] = ACTIONS(1323),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [70] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [71] = {
    [sym_raw_blck] = STATE(2585),
    [sym_raw_span] = STATE(2585),
    [sym_math] = STATE(2585),
    [sym__expr] = STATE(2585),
    [sym_ident] = STATE(2585),
    [sym_bool] = STATE(2585),
    [sym_number] = STATE(2585),
    [sym_string] = STATE(2585),
    [sym_tagged] = STATE(2585),
    [sym_context] = STATE(2585),
    [sym_elude] = STATE(2585),
    [sym_assign] = STATE(2585),
    [sym_lambda] = STATE(2585),
    [sym_or] = STATE(2585),
    [sym_not] = STATE(2585),
    [sym_and] = STATE(2585),
    [sym_cmp] = STATE(2585),
    [sym_in] = STATE(2585),
    [sym_add] = STATE(2585),
    [sym_sub] = STATE(2585),
    [sym_mul] = STATE(2585),
    [sym_div] = STATE(2585),
    [sym_sign] = STATE(2585),
    [sym_call] = STATE(2585),
    [sym_field] = STATE(2585),
    [sym_label] = STATE(2585),
    [sym_content] = STATE(2585),
    [sym_group] = STATE(2585),
    [sym_block] = STATE(2585),
    [sym_branch] = STATE(2585),
    [sym_let] = STATE(2585),
    [sym_set] = STATE(2585),
    [sym_import] = STATE(2585),
    [sym_include] = STATE(2585),
    [sym_for] = STATE(2585),
    [sym_while] = STATE(2585),
    [sym_show] = STATE(2585),
    [sym_return] = STATE(2585),
    [sym_flow] = STATE(2585),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1329),
    [sym_none] = ACTIONS(1329),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [72] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(3786),
    [sym__stmt] = STATE(3788),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [73] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(1331),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1337),
    [anon_sym_true] = ACTIONS(1340),
    [anon_sym_false] = ACTIONS(1340),
    [aux_sym_number_token1] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [anon_sym_context] = ACTIONS(1349),
    [anon_sym_DOT_DOT] = ACTIONS(1352),
    [anon_sym_not] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_set] = ACTIONS(1378),
    [anon_sym_import] = ACTIONS(1381),
    [anon_sym_include] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_show] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1399),
    [anon_sym_continue] = ACTIONS(1399),
    [sym_auto] = ACTIONS(1402),
    [sym_none] = ACTIONS(1402),
    [sym__token_content] = ACTIONS(1405),
    [sym__token_raw_blck_ldlm] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [74] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(77),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [75] = {
    [sym_raw_blck] = STATE(2595),
    [sym_raw_span] = STATE(2595),
    [sym_math] = STATE(2595),
    [sym__expr] = STATE(2595),
    [sym_ident] = STATE(2595),
    [sym_bool] = STATE(2595),
    [sym_number] = STATE(2595),
    [sym_string] = STATE(2595),
    [sym_tagged] = STATE(2595),
    [sym_context] = STATE(2595),
    [sym_elude] = STATE(2595),
    [sym_assign] = STATE(2595),
    [sym_lambda] = STATE(2595),
    [sym_or] = STATE(2595),
    [sym_not] = STATE(2595),
    [sym_and] = STATE(2595),
    [sym_cmp] = STATE(2595),
    [sym_in] = STATE(2595),
    [sym_add] = STATE(2595),
    [sym_sub] = STATE(2595),
    [sym_mul] = STATE(2595),
    [sym_div] = STATE(2595),
    [sym_sign] = STATE(2595),
    [sym_call] = STATE(2595),
    [sym_field] = STATE(2595),
    [sym_label] = STATE(2595),
    [sym_content] = STATE(2595),
    [sym_group] = STATE(2595),
    [sym_block] = STATE(2595),
    [sym_branch] = STATE(2595),
    [sym_let] = STATE(2595),
    [sym_set] = STATE(2595),
    [sym_import] = STATE(2595),
    [sym_include] = STATE(2595),
    [sym_for] = STATE(2595),
    [sym_while] = STATE(2595),
    [sym_show] = STATE(2595),
    [sym_return] = STATE(2595),
    [sym_flow] = STATE(2595),
    [aux_sym_group_repeat1] = STATE(78),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1415),
    [sym_none] = ACTIONS(1415),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [76] = {
    [sym_raw_blck] = STATE(2595),
    [sym_raw_span] = STATE(2595),
    [sym_math] = STATE(2595),
    [sym__expr] = STATE(2595),
    [sym_ident] = STATE(2595),
    [sym_bool] = STATE(2595),
    [sym_number] = STATE(2595),
    [sym_string] = STATE(2595),
    [sym_tagged] = STATE(2595),
    [sym_context] = STATE(2595),
    [sym_elude] = STATE(2595),
    [sym_assign] = STATE(2595),
    [sym_lambda] = STATE(2595),
    [sym_or] = STATE(2595),
    [sym_not] = STATE(2595),
    [sym_and] = STATE(2595),
    [sym_cmp] = STATE(2595),
    [sym_in] = STATE(2595),
    [sym_add] = STATE(2595),
    [sym_sub] = STATE(2595),
    [sym_mul] = STATE(2595),
    [sym_div] = STATE(2595),
    [sym_sign] = STATE(2595),
    [sym_call] = STATE(2595),
    [sym_field] = STATE(2595),
    [sym_label] = STATE(2595),
    [sym_content] = STATE(2595),
    [sym_group] = STATE(2595),
    [sym_block] = STATE(2595),
    [sym_branch] = STATE(2595),
    [sym_let] = STATE(2595),
    [sym_set] = STATE(2595),
    [sym_import] = STATE(2595),
    [sym_include] = STATE(2595),
    [sym_for] = STATE(2595),
    [sym_while] = STATE(2595),
    [sym_show] = STATE(2595),
    [sym_return] = STATE(2595),
    [sym_flow] = STATE(2595),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1415),
    [sym_none] = ACTIONS(1415),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [77] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [78] = {
    [sym_raw_blck] = STATE(2596),
    [sym_raw_span] = STATE(2596),
    [sym_math] = STATE(2596),
    [sym__expr] = STATE(2596),
    [sym_ident] = STATE(2596),
    [sym_bool] = STATE(2596),
    [sym_number] = STATE(2596),
    [sym_string] = STATE(2596),
    [sym_tagged] = STATE(2596),
    [sym_context] = STATE(2596),
    [sym_elude] = STATE(2596),
    [sym_assign] = STATE(2596),
    [sym_lambda] = STATE(2596),
    [sym_or] = STATE(2596),
    [sym_not] = STATE(2596),
    [sym_and] = STATE(2596),
    [sym_cmp] = STATE(2596),
    [sym_in] = STATE(2596),
    [sym_add] = STATE(2596),
    [sym_sub] = STATE(2596),
    [sym_mul] = STATE(2596),
    [sym_div] = STATE(2596),
    [sym_sign] = STATE(2596),
    [sym_call] = STATE(2596),
    [sym_field] = STATE(2596),
    [sym_label] = STATE(2596),
    [sym_content] = STATE(2596),
    [sym_group] = STATE(2596),
    [sym_block] = STATE(2596),
    [sym_branch] = STATE(2596),
    [sym_let] = STATE(2596),
    [sym_set] = STATE(2596),
    [sym_import] = STATE(2596),
    [sym_include] = STATE(2596),
    [sym_for] = STATE(2596),
    [sym_while] = STATE(2596),
    [sym_show] = STATE(2596),
    [sym_return] = STATE(2596),
    [sym_flow] = STATE(2596),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1421),
    [sym_none] = ACTIONS(1421),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [79] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(4263),
    [sym__stmt] = STATE(4346),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [80] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(83),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [81] = {
    [sym_raw_blck] = STATE(2602),
    [sym_raw_span] = STATE(2602),
    [sym_math] = STATE(2602),
    [sym__expr] = STATE(2602),
    [sym_ident] = STATE(2602),
    [sym_bool] = STATE(2602),
    [sym_number] = STATE(2602),
    [sym_string] = STATE(2602),
    [sym_tagged] = STATE(2602),
    [sym_context] = STATE(2602),
    [sym_elude] = STATE(2602),
    [sym_assign] = STATE(2602),
    [sym_lambda] = STATE(2602),
    [sym_or] = STATE(2602),
    [sym_not] = STATE(2602),
    [sym_and] = STATE(2602),
    [sym_cmp] = STATE(2602),
    [sym_in] = STATE(2602),
    [sym_add] = STATE(2602),
    [sym_sub] = STATE(2602),
    [sym_mul] = STATE(2602),
    [sym_div] = STATE(2602),
    [sym_sign] = STATE(2602),
    [sym_call] = STATE(2602),
    [sym_field] = STATE(2602),
    [sym_label] = STATE(2602),
    [sym_content] = STATE(2602),
    [sym_group] = STATE(2602),
    [sym_block] = STATE(2602),
    [sym_branch] = STATE(2602),
    [sym_let] = STATE(2602),
    [sym_set] = STATE(2602),
    [sym_import] = STATE(2602),
    [sym_include] = STATE(2602),
    [sym_for] = STATE(2602),
    [sym_while] = STATE(2602),
    [sym_show] = STATE(2602),
    [sym_return] = STATE(2602),
    [sym_flow] = STATE(2602),
    [aux_sym_group_repeat1] = STATE(84),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1427),
    [sym_none] = ACTIONS(1427),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [82] = {
    [sym_raw_blck] = STATE(2602),
    [sym_raw_span] = STATE(2602),
    [sym_math] = STATE(2602),
    [sym__expr] = STATE(2602),
    [sym_ident] = STATE(2602),
    [sym_bool] = STATE(2602),
    [sym_number] = STATE(2602),
    [sym_string] = STATE(2602),
    [sym_tagged] = STATE(2602),
    [sym_context] = STATE(2602),
    [sym_elude] = STATE(2602),
    [sym_assign] = STATE(2602),
    [sym_lambda] = STATE(2602),
    [sym_or] = STATE(2602),
    [sym_not] = STATE(2602),
    [sym_and] = STATE(2602),
    [sym_cmp] = STATE(2602),
    [sym_in] = STATE(2602),
    [sym_add] = STATE(2602),
    [sym_sub] = STATE(2602),
    [sym_mul] = STATE(2602),
    [sym_div] = STATE(2602),
    [sym_sign] = STATE(2602),
    [sym_call] = STATE(2602),
    [sym_field] = STATE(2602),
    [sym_label] = STATE(2602),
    [sym_content] = STATE(2602),
    [sym_group] = STATE(2602),
    [sym_block] = STATE(2602),
    [sym_branch] = STATE(2602),
    [sym_let] = STATE(2602),
    [sym_set] = STATE(2602),
    [sym_import] = STATE(2602),
    [sym_include] = STATE(2602),
    [sym_for] = STATE(2602),
    [sym_while] = STATE(2602),
    [sym_show] = STATE(2602),
    [sym_return] = STATE(2602),
    [sym_flow] = STATE(2602),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1427),
    [sym_none] = ACTIONS(1427),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [83] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [84] = {
    [sym_raw_blck] = STATE(2603),
    [sym_raw_span] = STATE(2603),
    [sym_math] = STATE(2603),
    [sym__expr] = STATE(2603),
    [sym_ident] = STATE(2603),
    [sym_bool] = STATE(2603),
    [sym_number] = STATE(2603),
    [sym_string] = STATE(2603),
    [sym_tagged] = STATE(2603),
    [sym_context] = STATE(2603),
    [sym_elude] = STATE(2603),
    [sym_assign] = STATE(2603),
    [sym_lambda] = STATE(2603),
    [sym_or] = STATE(2603),
    [sym_not] = STATE(2603),
    [sym_and] = STATE(2603),
    [sym_cmp] = STATE(2603),
    [sym_in] = STATE(2603),
    [sym_add] = STATE(2603),
    [sym_sub] = STATE(2603),
    [sym_mul] = STATE(2603),
    [sym_div] = STATE(2603),
    [sym_sign] = STATE(2603),
    [sym_call] = STATE(2603),
    [sym_field] = STATE(2603),
    [sym_label] = STATE(2603),
    [sym_content] = STATE(2603),
    [sym_group] = STATE(2603),
    [sym_block] = STATE(2603),
    [sym_branch] = STATE(2603),
    [sym_let] = STATE(2603),
    [sym_set] = STATE(2603),
    [sym_import] = STATE(2603),
    [sym_include] = STATE(2603),
    [sym_for] = STATE(2603),
    [sym_while] = STATE(2603),
    [sym_show] = STATE(2603),
    [sym_return] = STATE(2603),
    [sym_flow] = STATE(2603),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1433),
    [sym_none] = ACTIONS(1433),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [85] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(3809),
    [sym__stmt] = STATE(3810),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [86] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(107),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [87] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(90),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [88] = {
    [sym_raw_blck] = STATE(2606),
    [sym_raw_span] = STATE(2606),
    [sym_math] = STATE(2606),
    [sym__expr] = STATE(2606),
    [sym_ident] = STATE(2606),
    [sym_bool] = STATE(2606),
    [sym_number] = STATE(2606),
    [sym_string] = STATE(2606),
    [sym_tagged] = STATE(2606),
    [sym_context] = STATE(2606),
    [sym_elude] = STATE(2606),
    [sym_assign] = STATE(2606),
    [sym_lambda] = STATE(2606),
    [sym_or] = STATE(2606),
    [sym_not] = STATE(2606),
    [sym_and] = STATE(2606),
    [sym_cmp] = STATE(2606),
    [sym_in] = STATE(2606),
    [sym_add] = STATE(2606),
    [sym_sub] = STATE(2606),
    [sym_mul] = STATE(2606),
    [sym_div] = STATE(2606),
    [sym_sign] = STATE(2606),
    [sym_call] = STATE(2606),
    [sym_field] = STATE(2606),
    [sym_label] = STATE(2606),
    [sym_content] = STATE(2606),
    [sym_group] = STATE(2606),
    [sym_block] = STATE(2606),
    [sym_branch] = STATE(2606),
    [sym_let] = STATE(2606),
    [sym_set] = STATE(2606),
    [sym_import] = STATE(2606),
    [sym_include] = STATE(2606),
    [sym_for] = STATE(2606),
    [sym_while] = STATE(2606),
    [sym_show] = STATE(2606),
    [sym_return] = STATE(2606),
    [sym_flow] = STATE(2606),
    [aux_sym_group_repeat1] = STATE(91),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1441),
    [sym_none] = ACTIONS(1441),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [89] = {
    [sym_raw_blck] = STATE(2606),
    [sym_raw_span] = STATE(2606),
    [sym_math] = STATE(2606),
    [sym__expr] = STATE(2606),
    [sym_ident] = STATE(2606),
    [sym_bool] = STATE(2606),
    [sym_number] = STATE(2606),
    [sym_string] = STATE(2606),
    [sym_tagged] = STATE(2606),
    [sym_context] = STATE(2606),
    [sym_elude] = STATE(2606),
    [sym_assign] = STATE(2606),
    [sym_lambda] = STATE(2606),
    [sym_or] = STATE(2606),
    [sym_not] = STATE(2606),
    [sym_and] = STATE(2606),
    [sym_cmp] = STATE(2606),
    [sym_in] = STATE(2606),
    [sym_add] = STATE(2606),
    [sym_sub] = STATE(2606),
    [sym_mul] = STATE(2606),
    [sym_div] = STATE(2606),
    [sym_sign] = STATE(2606),
    [sym_call] = STATE(2606),
    [sym_field] = STATE(2606),
    [sym_label] = STATE(2606),
    [sym_content] = STATE(2606),
    [sym_group] = STATE(2606),
    [sym_block] = STATE(2606),
    [sym_branch] = STATE(2606),
    [sym_let] = STATE(2606),
    [sym_set] = STATE(2606),
    [sym_import] = STATE(2606),
    [sym_include] = STATE(2606),
    [sym_for] = STATE(2606),
    [sym_while] = STATE(2606),
    [sym_show] = STATE(2606),
    [sym_return] = STATE(2606),
    [sym_flow] = STATE(2606),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1441),
    [sym_none] = ACTIONS(1441),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [90] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [91] = {
    [sym_raw_blck] = STATE(2607),
    [sym_raw_span] = STATE(2607),
    [sym_math] = STATE(2607),
    [sym__expr] = STATE(2607),
    [sym_ident] = STATE(2607),
    [sym_bool] = STATE(2607),
    [sym_number] = STATE(2607),
    [sym_string] = STATE(2607),
    [sym_tagged] = STATE(2607),
    [sym_context] = STATE(2607),
    [sym_elude] = STATE(2607),
    [sym_assign] = STATE(2607),
    [sym_lambda] = STATE(2607),
    [sym_or] = STATE(2607),
    [sym_not] = STATE(2607),
    [sym_and] = STATE(2607),
    [sym_cmp] = STATE(2607),
    [sym_in] = STATE(2607),
    [sym_add] = STATE(2607),
    [sym_sub] = STATE(2607),
    [sym_mul] = STATE(2607),
    [sym_div] = STATE(2607),
    [sym_sign] = STATE(2607),
    [sym_call] = STATE(2607),
    [sym_field] = STATE(2607),
    [sym_label] = STATE(2607),
    [sym_content] = STATE(2607),
    [sym_group] = STATE(2607),
    [sym_block] = STATE(2607),
    [sym_branch] = STATE(2607),
    [sym_let] = STATE(2607),
    [sym_set] = STATE(2607),
    [sym_import] = STATE(2607),
    [sym_include] = STATE(2607),
    [sym_for] = STATE(2607),
    [sym_while] = STATE(2607),
    [sym_show] = STATE(2607),
    [sym_return] = STATE(2607),
    [sym_flow] = STATE(2607),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1447),
    [sym_none] = ACTIONS(1447),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [92] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(3937),
    [sym__stmt] = STATE(3938),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [93] = {
    [sym_raw_blck] = STATE(2617),
    [sym_raw_span] = STATE(2617),
    [sym_math] = STATE(2617),
    [sym__expr] = STATE(2617),
    [sym_ident] = STATE(2617),
    [sym_bool] = STATE(2617),
    [sym_number] = STATE(2617),
    [sym_string] = STATE(2617),
    [sym_tagged] = STATE(2617),
    [sym_context] = STATE(2617),
    [sym_elude] = STATE(2617),
    [sym_assign] = STATE(2617),
    [sym_lambda] = STATE(2617),
    [sym_or] = STATE(2617),
    [sym_not] = STATE(2617),
    [sym_and] = STATE(2617),
    [sym_cmp] = STATE(2617),
    [sym_in] = STATE(2617),
    [sym_add] = STATE(2617),
    [sym_sub] = STATE(2617),
    [sym_mul] = STATE(2617),
    [sym_div] = STATE(2617),
    [sym_sign] = STATE(2617),
    [sym_call] = STATE(2617),
    [sym_field] = STATE(2617),
    [sym_label] = STATE(2617),
    [sym_content] = STATE(2617),
    [sym_group] = STATE(2617),
    [sym_block] = STATE(2617),
    [sym_branch] = STATE(2617),
    [sym_let] = STATE(2617),
    [sym_set] = STATE(2617),
    [sym_import] = STATE(2617),
    [sym_include] = STATE(2617),
    [sym_for] = STATE(2617),
    [sym_while] = STATE(2617),
    [sym_show] = STATE(2617),
    [sym_return] = STATE(2617),
    [sym_flow] = STATE(2617),
    [aux_sym_group_repeat1] = STATE(114),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1451),
    [sym_none] = ACTIONS(1451),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [94] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(97),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [95] = {
    [sym_raw_blck] = STATE(2611),
    [sym_raw_span] = STATE(2611),
    [sym_math] = STATE(2611),
    [sym__expr] = STATE(2611),
    [sym_ident] = STATE(2611),
    [sym_bool] = STATE(2611),
    [sym_number] = STATE(2611),
    [sym_string] = STATE(2611),
    [sym_tagged] = STATE(2611),
    [sym_context] = STATE(2611),
    [sym_elude] = STATE(2611),
    [sym_assign] = STATE(2611),
    [sym_lambda] = STATE(2611),
    [sym_or] = STATE(2611),
    [sym_not] = STATE(2611),
    [sym_and] = STATE(2611),
    [sym_cmp] = STATE(2611),
    [sym_in] = STATE(2611),
    [sym_add] = STATE(2611),
    [sym_sub] = STATE(2611),
    [sym_mul] = STATE(2611),
    [sym_div] = STATE(2611),
    [sym_sign] = STATE(2611),
    [sym_call] = STATE(2611),
    [sym_field] = STATE(2611),
    [sym_label] = STATE(2611),
    [sym_content] = STATE(2611),
    [sym_group] = STATE(2611),
    [sym_block] = STATE(2611),
    [sym_branch] = STATE(2611),
    [sym_let] = STATE(2611),
    [sym_set] = STATE(2611),
    [sym_import] = STATE(2611),
    [sym_include] = STATE(2611),
    [sym_for] = STATE(2611),
    [sym_while] = STATE(2611),
    [sym_show] = STATE(2611),
    [sym_return] = STATE(2611),
    [sym_flow] = STATE(2611),
    [aux_sym_group_repeat1] = STATE(98),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1457),
    [sym_none] = ACTIONS(1457),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [96] = {
    [sym_raw_blck] = STATE(2611),
    [sym_raw_span] = STATE(2611),
    [sym_math] = STATE(2611),
    [sym__expr] = STATE(2611),
    [sym_ident] = STATE(2611),
    [sym_bool] = STATE(2611),
    [sym_number] = STATE(2611),
    [sym_string] = STATE(2611),
    [sym_tagged] = STATE(2611),
    [sym_context] = STATE(2611),
    [sym_elude] = STATE(2611),
    [sym_assign] = STATE(2611),
    [sym_lambda] = STATE(2611),
    [sym_or] = STATE(2611),
    [sym_not] = STATE(2611),
    [sym_and] = STATE(2611),
    [sym_cmp] = STATE(2611),
    [sym_in] = STATE(2611),
    [sym_add] = STATE(2611),
    [sym_sub] = STATE(2611),
    [sym_mul] = STATE(2611),
    [sym_div] = STATE(2611),
    [sym_sign] = STATE(2611),
    [sym_call] = STATE(2611),
    [sym_field] = STATE(2611),
    [sym_label] = STATE(2611),
    [sym_content] = STATE(2611),
    [sym_group] = STATE(2611),
    [sym_block] = STATE(2611),
    [sym_branch] = STATE(2611),
    [sym_let] = STATE(2611),
    [sym_set] = STATE(2611),
    [sym_import] = STATE(2611),
    [sym_include] = STATE(2611),
    [sym_for] = STATE(2611),
    [sym_while] = STATE(2611),
    [sym_show] = STATE(2611),
    [sym_return] = STATE(2611),
    [sym_flow] = STATE(2611),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1457),
    [sym_none] = ACTIONS(1457),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [97] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [98] = {
    [sym_raw_blck] = STATE(2612),
    [sym_raw_span] = STATE(2612),
    [sym_math] = STATE(2612),
    [sym__expr] = STATE(2612),
    [sym_ident] = STATE(2612),
    [sym_bool] = STATE(2612),
    [sym_number] = STATE(2612),
    [sym_string] = STATE(2612),
    [sym_tagged] = STATE(2612),
    [sym_context] = STATE(2612),
    [sym_elude] = STATE(2612),
    [sym_assign] = STATE(2612),
    [sym_lambda] = STATE(2612),
    [sym_or] = STATE(2612),
    [sym_not] = STATE(2612),
    [sym_and] = STATE(2612),
    [sym_cmp] = STATE(2612),
    [sym_in] = STATE(2612),
    [sym_add] = STATE(2612),
    [sym_sub] = STATE(2612),
    [sym_mul] = STATE(2612),
    [sym_div] = STATE(2612),
    [sym_sign] = STATE(2612),
    [sym_call] = STATE(2612),
    [sym_field] = STATE(2612),
    [sym_label] = STATE(2612),
    [sym_content] = STATE(2612),
    [sym_group] = STATE(2612),
    [sym_block] = STATE(2612),
    [sym_branch] = STATE(2612),
    [sym_let] = STATE(2612),
    [sym_set] = STATE(2612),
    [sym_import] = STATE(2612),
    [sym_include] = STATE(2612),
    [sym_for] = STATE(2612),
    [sym_while] = STATE(2612),
    [sym_show] = STATE(2612),
    [sym_return] = STATE(2612),
    [sym_flow] = STATE(2612),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1463),
    [sym_none] = ACTIONS(1463),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [99] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(4065),
    [sym__stmt] = STATE(4073),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [100] = {
    [sym_raw_blck] = STATE(2617),
    [sym_raw_span] = STATE(2617),
    [sym_math] = STATE(2617),
    [sym__expr] = STATE(2617),
    [sym_ident] = STATE(2617),
    [sym_bool] = STATE(2617),
    [sym_number] = STATE(2617),
    [sym_string] = STATE(2617),
    [sym_tagged] = STATE(2617),
    [sym_context] = STATE(2617),
    [sym_elude] = STATE(2617),
    [sym_assign] = STATE(2617),
    [sym_lambda] = STATE(2617),
    [sym_or] = STATE(2617),
    [sym_not] = STATE(2617),
    [sym_and] = STATE(2617),
    [sym_cmp] = STATE(2617),
    [sym_in] = STATE(2617),
    [sym_add] = STATE(2617),
    [sym_sub] = STATE(2617),
    [sym_mul] = STATE(2617),
    [sym_div] = STATE(2617),
    [sym_sign] = STATE(2617),
    [sym_call] = STATE(2617),
    [sym_field] = STATE(2617),
    [sym_label] = STATE(2617),
    [sym_content] = STATE(2617),
    [sym_group] = STATE(2617),
    [sym_block] = STATE(2617),
    [sym_branch] = STATE(2617),
    [sym_let] = STATE(2617),
    [sym_set] = STATE(2617),
    [sym_import] = STATE(2617),
    [sym_include] = STATE(2617),
    [sym_for] = STATE(2617),
    [sym_while] = STATE(2617),
    [sym_show] = STATE(2617),
    [sym_return] = STATE(2617),
    [sym_flow] = STATE(2617),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1451),
    [sym_none] = ACTIONS(1451),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [101] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(104),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [102] = {
    [sym_raw_blck] = STATE(2618),
    [sym_raw_span] = STATE(2618),
    [sym_math] = STATE(2618),
    [sym__expr] = STATE(2618),
    [sym_ident] = STATE(2618),
    [sym_bool] = STATE(2618),
    [sym_number] = STATE(2618),
    [sym_string] = STATE(2618),
    [sym_tagged] = STATE(2618),
    [sym_context] = STATE(2618),
    [sym_elude] = STATE(2618),
    [sym_assign] = STATE(2618),
    [sym_lambda] = STATE(2618),
    [sym_or] = STATE(2618),
    [sym_not] = STATE(2618),
    [sym_and] = STATE(2618),
    [sym_cmp] = STATE(2618),
    [sym_in] = STATE(2618),
    [sym_add] = STATE(2618),
    [sym_sub] = STATE(2618),
    [sym_mul] = STATE(2618),
    [sym_div] = STATE(2618),
    [sym_sign] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym_field] = STATE(2618),
    [sym_label] = STATE(2618),
    [sym_content] = STATE(2618),
    [sym_group] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_branch] = STATE(2618),
    [sym_let] = STATE(2618),
    [sym_set] = STATE(2618),
    [sym_import] = STATE(2618),
    [sym_include] = STATE(2618),
    [sym_for] = STATE(2618),
    [sym_while] = STATE(2618),
    [sym_show] = STATE(2618),
    [sym_return] = STATE(2618),
    [sym_flow] = STATE(2618),
    [aux_sym_group_repeat1] = STATE(105),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1469),
    [sym_none] = ACTIONS(1469),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [103] = {
    [sym_raw_blck] = STATE(2618),
    [sym_raw_span] = STATE(2618),
    [sym_math] = STATE(2618),
    [sym__expr] = STATE(2618),
    [sym_ident] = STATE(2618),
    [sym_bool] = STATE(2618),
    [sym_number] = STATE(2618),
    [sym_string] = STATE(2618),
    [sym_tagged] = STATE(2618),
    [sym_context] = STATE(2618),
    [sym_elude] = STATE(2618),
    [sym_assign] = STATE(2618),
    [sym_lambda] = STATE(2618),
    [sym_or] = STATE(2618),
    [sym_not] = STATE(2618),
    [sym_and] = STATE(2618),
    [sym_cmp] = STATE(2618),
    [sym_in] = STATE(2618),
    [sym_add] = STATE(2618),
    [sym_sub] = STATE(2618),
    [sym_mul] = STATE(2618),
    [sym_div] = STATE(2618),
    [sym_sign] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym_field] = STATE(2618),
    [sym_label] = STATE(2618),
    [sym_content] = STATE(2618),
    [sym_group] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_branch] = STATE(2618),
    [sym_let] = STATE(2618),
    [sym_set] = STATE(2618),
    [sym_import] = STATE(2618),
    [sym_include] = STATE(2618),
    [sym_for] = STATE(2618),
    [sym_while] = STATE(2618),
    [sym_show] = STATE(2618),
    [sym_return] = STATE(2618),
    [sym_flow] = STATE(2618),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1469),
    [sym_none] = ACTIONS(1469),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [104] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [105] = {
    [sym_raw_blck] = STATE(2620),
    [sym_raw_span] = STATE(2620),
    [sym_math] = STATE(2620),
    [sym__expr] = STATE(2620),
    [sym_ident] = STATE(2620),
    [sym_bool] = STATE(2620),
    [sym_number] = STATE(2620),
    [sym_string] = STATE(2620),
    [sym_tagged] = STATE(2620),
    [sym_context] = STATE(2620),
    [sym_elude] = STATE(2620),
    [sym_assign] = STATE(2620),
    [sym_lambda] = STATE(2620),
    [sym_or] = STATE(2620),
    [sym_not] = STATE(2620),
    [sym_and] = STATE(2620),
    [sym_cmp] = STATE(2620),
    [sym_in] = STATE(2620),
    [sym_add] = STATE(2620),
    [sym_sub] = STATE(2620),
    [sym_mul] = STATE(2620),
    [sym_div] = STATE(2620),
    [sym_sign] = STATE(2620),
    [sym_call] = STATE(2620),
    [sym_field] = STATE(2620),
    [sym_label] = STATE(2620),
    [sym_content] = STATE(2620),
    [sym_group] = STATE(2620),
    [sym_block] = STATE(2620),
    [sym_branch] = STATE(2620),
    [sym_let] = STATE(2620),
    [sym_set] = STATE(2620),
    [sym_import] = STATE(2620),
    [sym_include] = STATE(2620),
    [sym_for] = STATE(2620),
    [sym_while] = STATE(2620),
    [sym_show] = STATE(2620),
    [sym_return] = STATE(2620),
    [sym_flow] = STATE(2620),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1473),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1475),
    [sym_none] = ACTIONS(1475),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [106] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(4213),
    [sym__stmt] = STATE(4214),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [107] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [108] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(111),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [109] = {
    [sym_raw_blck] = STATE(2624),
    [sym_raw_span] = STATE(2624),
    [sym_math] = STATE(2624),
    [sym__expr] = STATE(2624),
    [sym_ident] = STATE(2624),
    [sym_bool] = STATE(2624),
    [sym_number] = STATE(2624),
    [sym_string] = STATE(2624),
    [sym_tagged] = STATE(2624),
    [sym_context] = STATE(2624),
    [sym_elude] = STATE(2624),
    [sym_assign] = STATE(2624),
    [sym_lambda] = STATE(2624),
    [sym_or] = STATE(2624),
    [sym_not] = STATE(2624),
    [sym_and] = STATE(2624),
    [sym_cmp] = STATE(2624),
    [sym_in] = STATE(2624),
    [sym_add] = STATE(2624),
    [sym_sub] = STATE(2624),
    [sym_mul] = STATE(2624),
    [sym_div] = STATE(2624),
    [sym_sign] = STATE(2624),
    [sym_call] = STATE(2624),
    [sym_field] = STATE(2624),
    [sym_label] = STATE(2624),
    [sym_content] = STATE(2624),
    [sym_group] = STATE(2624),
    [sym_block] = STATE(2624),
    [sym_branch] = STATE(2624),
    [sym_let] = STATE(2624),
    [sym_set] = STATE(2624),
    [sym_import] = STATE(2624),
    [sym_include] = STATE(2624),
    [sym_for] = STATE(2624),
    [sym_while] = STATE(2624),
    [sym_show] = STATE(2624),
    [sym_return] = STATE(2624),
    [sym_flow] = STATE(2624),
    [aux_sym_group_repeat1] = STATE(112),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1483),
    [sym_none] = ACTIONS(1483),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [110] = {
    [sym_raw_blck] = STATE(2624),
    [sym_raw_span] = STATE(2624),
    [sym_math] = STATE(2624),
    [sym__expr] = STATE(2624),
    [sym_ident] = STATE(2624),
    [sym_bool] = STATE(2624),
    [sym_number] = STATE(2624),
    [sym_string] = STATE(2624),
    [sym_tagged] = STATE(2624),
    [sym_context] = STATE(2624),
    [sym_elude] = STATE(2624),
    [sym_assign] = STATE(2624),
    [sym_lambda] = STATE(2624),
    [sym_or] = STATE(2624),
    [sym_not] = STATE(2624),
    [sym_and] = STATE(2624),
    [sym_cmp] = STATE(2624),
    [sym_in] = STATE(2624),
    [sym_add] = STATE(2624),
    [sym_sub] = STATE(2624),
    [sym_mul] = STATE(2624),
    [sym_div] = STATE(2624),
    [sym_sign] = STATE(2624),
    [sym_call] = STATE(2624),
    [sym_field] = STATE(2624),
    [sym_label] = STATE(2624),
    [sym_content] = STATE(2624),
    [sym_group] = STATE(2624),
    [sym_block] = STATE(2624),
    [sym_branch] = STATE(2624),
    [sym_let] = STATE(2624),
    [sym_set] = STATE(2624),
    [sym_import] = STATE(2624),
    [sym_include] = STATE(2624),
    [sym_for] = STATE(2624),
    [sym_while] = STATE(2624),
    [sym_show] = STATE(2624),
    [sym_return] = STATE(2624),
    [sym_flow] = STATE(2624),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1483),
    [sym_none] = ACTIONS(1483),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [111] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [112] = {
    [sym_raw_blck] = STATE(2626),
    [sym_raw_span] = STATE(2626),
    [sym_math] = STATE(2626),
    [sym__expr] = STATE(2626),
    [sym_ident] = STATE(2626),
    [sym_bool] = STATE(2626),
    [sym_number] = STATE(2626),
    [sym_string] = STATE(2626),
    [sym_tagged] = STATE(2626),
    [sym_context] = STATE(2626),
    [sym_elude] = STATE(2626),
    [sym_assign] = STATE(2626),
    [sym_lambda] = STATE(2626),
    [sym_or] = STATE(2626),
    [sym_not] = STATE(2626),
    [sym_and] = STATE(2626),
    [sym_cmp] = STATE(2626),
    [sym_in] = STATE(2626),
    [sym_add] = STATE(2626),
    [sym_sub] = STATE(2626),
    [sym_mul] = STATE(2626),
    [sym_div] = STATE(2626),
    [sym_sign] = STATE(2626),
    [sym_call] = STATE(2626),
    [sym_field] = STATE(2626),
    [sym_label] = STATE(2626),
    [sym_content] = STATE(2626),
    [sym_group] = STATE(2626),
    [sym_block] = STATE(2626),
    [sym_branch] = STATE(2626),
    [sym_let] = STATE(2626),
    [sym_set] = STATE(2626),
    [sym_import] = STATE(2626),
    [sym_include] = STATE(2626),
    [sym_for] = STATE(2626),
    [sym_while] = STATE(2626),
    [sym_show] = STATE(2626),
    [sym_return] = STATE(2626),
    [sym_flow] = STATE(2626),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1487),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1489),
    [sym_none] = ACTIONS(1489),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [113] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(3655),
    [sym__stmt] = STATE(3657),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [114] = {
    [sym_raw_blck] = STATE(2794),
    [sym_raw_span] = STATE(2794),
    [sym_math] = STATE(2794),
    [sym__expr] = STATE(2794),
    [sym_ident] = STATE(2794),
    [sym_bool] = STATE(2794),
    [sym_number] = STATE(2794),
    [sym_string] = STATE(2794),
    [sym_tagged] = STATE(2794),
    [sym_context] = STATE(2794),
    [sym_elude] = STATE(2794),
    [sym_assign] = STATE(2794),
    [sym_lambda] = STATE(2794),
    [sym_or] = STATE(2794),
    [sym_not] = STATE(2794),
    [sym_and] = STATE(2794),
    [sym_cmp] = STATE(2794),
    [sym_in] = STATE(2794),
    [sym_add] = STATE(2794),
    [sym_sub] = STATE(2794),
    [sym_mul] = STATE(2794),
    [sym_div] = STATE(2794),
    [sym_sign] = STATE(2794),
    [sym_call] = STATE(2794),
    [sym_field] = STATE(2794),
    [sym_label] = STATE(2794),
    [sym_content] = STATE(2794),
    [sym_group] = STATE(2794),
    [sym_block] = STATE(2794),
    [sym_branch] = STATE(2794),
    [sym_let] = STATE(2794),
    [sym_set] = STATE(2794),
    [sym_import] = STATE(2794),
    [sym_include] = STATE(2794),
    [sym_for] = STATE(2794),
    [sym_while] = STATE(2794),
    [sym_show] = STATE(2794),
    [sym_return] = STATE(2794),
    [sym_flow] = STATE(2794),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1493),
    [sym_none] = ACTIONS(1493),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [115] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(118),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [116] = {
    [sym_raw_blck] = STATE(2425),
    [sym_raw_span] = STATE(2425),
    [sym_math] = STATE(2425),
    [sym__expr] = STATE(2425),
    [sym_ident] = STATE(2425),
    [sym_bool] = STATE(2425),
    [sym_number] = STATE(2425),
    [sym_string] = STATE(2425),
    [sym_tagged] = STATE(2425),
    [sym_context] = STATE(2425),
    [sym_elude] = STATE(2425),
    [sym_assign] = STATE(2425),
    [sym_lambda] = STATE(2425),
    [sym_or] = STATE(2425),
    [sym_not] = STATE(2425),
    [sym_and] = STATE(2425),
    [sym_cmp] = STATE(2425),
    [sym_in] = STATE(2425),
    [sym_add] = STATE(2425),
    [sym_sub] = STATE(2425),
    [sym_mul] = STATE(2425),
    [sym_div] = STATE(2425),
    [sym_sign] = STATE(2425),
    [sym_call] = STATE(2425),
    [sym_field] = STATE(2425),
    [sym_label] = STATE(2425),
    [sym_content] = STATE(2425),
    [sym_group] = STATE(2425),
    [sym_block] = STATE(2425),
    [sym_branch] = STATE(2425),
    [sym_let] = STATE(2425),
    [sym_set] = STATE(2425),
    [sym_import] = STATE(2425),
    [sym_include] = STATE(2425),
    [sym_for] = STATE(2425),
    [sym_while] = STATE(2425),
    [sym_show] = STATE(2425),
    [sym_return] = STATE(2425),
    [sym_flow] = STATE(2425),
    [aux_sym_group_repeat1] = STATE(120),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1499),
    [sym_none] = ACTIONS(1499),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [117] = {
    [sym_raw_blck] = STATE(2425),
    [sym_raw_span] = STATE(2425),
    [sym_math] = STATE(2425),
    [sym__expr] = STATE(2425),
    [sym_ident] = STATE(2425),
    [sym_bool] = STATE(2425),
    [sym_number] = STATE(2425),
    [sym_string] = STATE(2425),
    [sym_tagged] = STATE(2425),
    [sym_context] = STATE(2425),
    [sym_elude] = STATE(2425),
    [sym_assign] = STATE(2425),
    [sym_lambda] = STATE(2425),
    [sym_or] = STATE(2425),
    [sym_not] = STATE(2425),
    [sym_and] = STATE(2425),
    [sym_cmp] = STATE(2425),
    [sym_in] = STATE(2425),
    [sym_add] = STATE(2425),
    [sym_sub] = STATE(2425),
    [sym_mul] = STATE(2425),
    [sym_div] = STATE(2425),
    [sym_sign] = STATE(2425),
    [sym_call] = STATE(2425),
    [sym_field] = STATE(2425),
    [sym_label] = STATE(2425),
    [sym_content] = STATE(2425),
    [sym_group] = STATE(2425),
    [sym_block] = STATE(2425),
    [sym_branch] = STATE(2425),
    [sym_let] = STATE(2425),
    [sym_set] = STATE(2425),
    [sym_import] = STATE(2425),
    [sym_include] = STATE(2425),
    [sym_for] = STATE(2425),
    [sym_while] = STATE(2425),
    [sym_show] = STATE(2425),
    [sym_return] = STATE(2425),
    [sym_flow] = STATE(2425),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1499),
    [sym_none] = ACTIONS(1499),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [118] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [119] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [120] = {
    [sym_raw_blck] = STATE(2632),
    [sym_raw_span] = STATE(2632),
    [sym_math] = STATE(2632),
    [sym__expr] = STATE(2632),
    [sym_ident] = STATE(2632),
    [sym_bool] = STATE(2632),
    [sym_number] = STATE(2632),
    [sym_string] = STATE(2632),
    [sym_tagged] = STATE(2632),
    [sym_context] = STATE(2632),
    [sym_elude] = STATE(2632),
    [sym_assign] = STATE(2632),
    [sym_lambda] = STATE(2632),
    [sym_or] = STATE(2632),
    [sym_not] = STATE(2632),
    [sym_and] = STATE(2632),
    [sym_cmp] = STATE(2632),
    [sym_in] = STATE(2632),
    [sym_add] = STATE(2632),
    [sym_sub] = STATE(2632),
    [sym_mul] = STATE(2632),
    [sym_div] = STATE(2632),
    [sym_sign] = STATE(2632),
    [sym_call] = STATE(2632),
    [sym_field] = STATE(2632),
    [sym_label] = STATE(2632),
    [sym_content] = STATE(2632),
    [sym_group] = STATE(2632),
    [sym_block] = STATE(2632),
    [sym_branch] = STATE(2632),
    [sym_let] = STATE(2632),
    [sym_set] = STATE(2632),
    [sym_import] = STATE(2632),
    [sym_include] = STATE(2632),
    [sym_for] = STATE(2632),
    [sym_while] = STATE(2632),
    [sym_show] = STATE(2632),
    [sym_return] = STATE(2632),
    [sym_flow] = STATE(2632),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1507),
    [sym_none] = ACTIONS(1507),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [121] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(124),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [122] = {
    [sym_raw_blck] = STATE(2639),
    [sym_raw_span] = STATE(2639),
    [sym_math] = STATE(2639),
    [sym__expr] = STATE(2639),
    [sym_ident] = STATE(2639),
    [sym_bool] = STATE(2639),
    [sym_number] = STATE(2639),
    [sym_string] = STATE(2639),
    [sym_tagged] = STATE(2639),
    [sym_context] = STATE(2639),
    [sym_elude] = STATE(2639),
    [sym_assign] = STATE(2639),
    [sym_lambda] = STATE(2639),
    [sym_or] = STATE(2639),
    [sym_not] = STATE(2639),
    [sym_and] = STATE(2639),
    [sym_cmp] = STATE(2639),
    [sym_in] = STATE(2639),
    [sym_add] = STATE(2639),
    [sym_sub] = STATE(2639),
    [sym_mul] = STATE(2639),
    [sym_div] = STATE(2639),
    [sym_sign] = STATE(2639),
    [sym_call] = STATE(2639),
    [sym_field] = STATE(2639),
    [sym_label] = STATE(2639),
    [sym_content] = STATE(2639),
    [sym_group] = STATE(2639),
    [sym_block] = STATE(2639),
    [sym_branch] = STATE(2639),
    [sym_let] = STATE(2639),
    [sym_set] = STATE(2639),
    [sym_import] = STATE(2639),
    [sym_include] = STATE(2639),
    [sym_for] = STATE(2639),
    [sym_while] = STATE(2639),
    [sym_show] = STATE(2639),
    [sym_return] = STATE(2639),
    [sym_flow] = STATE(2639),
    [aux_sym_group_repeat1] = STATE(125),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1513),
    [sym_none] = ACTIONS(1513),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [123] = {
    [sym_raw_blck] = STATE(2639),
    [sym_raw_span] = STATE(2639),
    [sym_math] = STATE(2639),
    [sym__expr] = STATE(2639),
    [sym_ident] = STATE(2639),
    [sym_bool] = STATE(2639),
    [sym_number] = STATE(2639),
    [sym_string] = STATE(2639),
    [sym_tagged] = STATE(2639),
    [sym_context] = STATE(2639),
    [sym_elude] = STATE(2639),
    [sym_assign] = STATE(2639),
    [sym_lambda] = STATE(2639),
    [sym_or] = STATE(2639),
    [sym_not] = STATE(2639),
    [sym_and] = STATE(2639),
    [sym_cmp] = STATE(2639),
    [sym_in] = STATE(2639),
    [sym_add] = STATE(2639),
    [sym_sub] = STATE(2639),
    [sym_mul] = STATE(2639),
    [sym_div] = STATE(2639),
    [sym_sign] = STATE(2639),
    [sym_call] = STATE(2639),
    [sym_field] = STATE(2639),
    [sym_label] = STATE(2639),
    [sym_content] = STATE(2639),
    [sym_group] = STATE(2639),
    [sym_block] = STATE(2639),
    [sym_branch] = STATE(2639),
    [sym_let] = STATE(2639),
    [sym_set] = STATE(2639),
    [sym_import] = STATE(2639),
    [sym_include] = STATE(2639),
    [sym_for] = STATE(2639),
    [sym_while] = STATE(2639),
    [sym_show] = STATE(2639),
    [sym_return] = STATE(2639),
    [sym_flow] = STATE(2639),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1513),
    [sym_none] = ACTIONS(1513),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [124] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [125] = {
    [sym_raw_blck] = STATE(2810),
    [sym_raw_span] = STATE(2810),
    [sym_math] = STATE(2810),
    [sym__expr] = STATE(2810),
    [sym_ident] = STATE(2810),
    [sym_bool] = STATE(2810),
    [sym_number] = STATE(2810),
    [sym_string] = STATE(2810),
    [sym_tagged] = STATE(2810),
    [sym_context] = STATE(2810),
    [sym_elude] = STATE(2810),
    [sym_assign] = STATE(2810),
    [sym_lambda] = STATE(2810),
    [sym_or] = STATE(2810),
    [sym_not] = STATE(2810),
    [sym_and] = STATE(2810),
    [sym_cmp] = STATE(2810),
    [sym_in] = STATE(2810),
    [sym_add] = STATE(2810),
    [sym_sub] = STATE(2810),
    [sym_mul] = STATE(2810),
    [sym_div] = STATE(2810),
    [sym_sign] = STATE(2810),
    [sym_call] = STATE(2810),
    [sym_field] = STATE(2810),
    [sym_label] = STATE(2810),
    [sym_content] = STATE(2810),
    [sym_group] = STATE(2810),
    [sym_block] = STATE(2810),
    [sym_branch] = STATE(2810),
    [sym_let] = STATE(2810),
    [sym_set] = STATE(2810),
    [sym_import] = STATE(2810),
    [sym_include] = STATE(2810),
    [sym_for] = STATE(2810),
    [sym_while] = STATE(2810),
    [sym_show] = STATE(2810),
    [sym_return] = STATE(2810),
    [sym_flow] = STATE(2810),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1519),
    [sym_none] = ACTIONS(1519),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [126] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(129),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [127] = {
    [sym_raw_blck] = STATE(2644),
    [sym_raw_span] = STATE(2644),
    [sym_math] = STATE(2644),
    [sym__expr] = STATE(2644),
    [sym_ident] = STATE(2644),
    [sym_bool] = STATE(2644),
    [sym_number] = STATE(2644),
    [sym_string] = STATE(2644),
    [sym_tagged] = STATE(2644),
    [sym_context] = STATE(2644),
    [sym_elude] = STATE(2644),
    [sym_assign] = STATE(2644),
    [sym_lambda] = STATE(2644),
    [sym_or] = STATE(2644),
    [sym_not] = STATE(2644),
    [sym_and] = STATE(2644),
    [sym_cmp] = STATE(2644),
    [sym_in] = STATE(2644),
    [sym_add] = STATE(2644),
    [sym_sub] = STATE(2644),
    [sym_mul] = STATE(2644),
    [sym_div] = STATE(2644),
    [sym_sign] = STATE(2644),
    [sym_call] = STATE(2644),
    [sym_field] = STATE(2644),
    [sym_label] = STATE(2644),
    [sym_content] = STATE(2644),
    [sym_group] = STATE(2644),
    [sym_block] = STATE(2644),
    [sym_branch] = STATE(2644),
    [sym_let] = STATE(2644),
    [sym_set] = STATE(2644),
    [sym_import] = STATE(2644),
    [sym_include] = STATE(2644),
    [sym_for] = STATE(2644),
    [sym_while] = STATE(2644),
    [sym_show] = STATE(2644),
    [sym_return] = STATE(2644),
    [sym_flow] = STATE(2644),
    [aux_sym_group_repeat1] = STATE(130),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1525),
    [sym_none] = ACTIONS(1525),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [128] = {
    [sym_raw_blck] = STATE(2644),
    [sym_raw_span] = STATE(2644),
    [sym_math] = STATE(2644),
    [sym__expr] = STATE(2644),
    [sym_ident] = STATE(2644),
    [sym_bool] = STATE(2644),
    [sym_number] = STATE(2644),
    [sym_string] = STATE(2644),
    [sym_tagged] = STATE(2644),
    [sym_context] = STATE(2644),
    [sym_elude] = STATE(2644),
    [sym_assign] = STATE(2644),
    [sym_lambda] = STATE(2644),
    [sym_or] = STATE(2644),
    [sym_not] = STATE(2644),
    [sym_and] = STATE(2644),
    [sym_cmp] = STATE(2644),
    [sym_in] = STATE(2644),
    [sym_add] = STATE(2644),
    [sym_sub] = STATE(2644),
    [sym_mul] = STATE(2644),
    [sym_div] = STATE(2644),
    [sym_sign] = STATE(2644),
    [sym_call] = STATE(2644),
    [sym_field] = STATE(2644),
    [sym_label] = STATE(2644),
    [sym_content] = STATE(2644),
    [sym_group] = STATE(2644),
    [sym_block] = STATE(2644),
    [sym_branch] = STATE(2644),
    [sym_let] = STATE(2644),
    [sym_set] = STATE(2644),
    [sym_import] = STATE(2644),
    [sym_include] = STATE(2644),
    [sym_for] = STATE(2644),
    [sym_while] = STATE(2644),
    [sym_show] = STATE(2644),
    [sym_return] = STATE(2644),
    [sym_flow] = STATE(2644),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1525),
    [sym_none] = ACTIONS(1525),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [129] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1527),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [130] = {
    [sym_raw_blck] = STATE(2645),
    [sym_raw_span] = STATE(2645),
    [sym_math] = STATE(2645),
    [sym__expr] = STATE(2645),
    [sym_ident] = STATE(2645),
    [sym_bool] = STATE(2645),
    [sym_number] = STATE(2645),
    [sym_string] = STATE(2645),
    [sym_tagged] = STATE(2645),
    [sym_context] = STATE(2645),
    [sym_elude] = STATE(2645),
    [sym_assign] = STATE(2645),
    [sym_lambda] = STATE(2645),
    [sym_or] = STATE(2645),
    [sym_not] = STATE(2645),
    [sym_and] = STATE(2645),
    [sym_cmp] = STATE(2645),
    [sym_in] = STATE(2645),
    [sym_add] = STATE(2645),
    [sym_sub] = STATE(2645),
    [sym_mul] = STATE(2645),
    [sym_div] = STATE(2645),
    [sym_sign] = STATE(2645),
    [sym_call] = STATE(2645),
    [sym_field] = STATE(2645),
    [sym_label] = STATE(2645),
    [sym_content] = STATE(2645),
    [sym_group] = STATE(2645),
    [sym_block] = STATE(2645),
    [sym_branch] = STATE(2645),
    [sym_let] = STATE(2645),
    [sym_set] = STATE(2645),
    [sym_import] = STATE(2645),
    [sym_include] = STATE(2645),
    [sym_for] = STATE(2645),
    [sym_while] = STATE(2645),
    [sym_show] = STATE(2645),
    [sym_return] = STATE(2645),
    [sym_flow] = STATE(2645),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1531),
    [sym_none] = ACTIONS(1531),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [131] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(134),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [132] = {
    [sym_raw_blck] = STATE(2650),
    [sym_raw_span] = STATE(2650),
    [sym_math] = STATE(2650),
    [sym__expr] = STATE(2650),
    [sym_ident] = STATE(2650),
    [sym_bool] = STATE(2650),
    [sym_number] = STATE(2650),
    [sym_string] = STATE(2650),
    [sym_tagged] = STATE(2650),
    [sym_context] = STATE(2650),
    [sym_elude] = STATE(2650),
    [sym_assign] = STATE(2650),
    [sym_lambda] = STATE(2650),
    [sym_or] = STATE(2650),
    [sym_not] = STATE(2650),
    [sym_and] = STATE(2650),
    [sym_cmp] = STATE(2650),
    [sym_in] = STATE(2650),
    [sym_add] = STATE(2650),
    [sym_sub] = STATE(2650),
    [sym_mul] = STATE(2650),
    [sym_div] = STATE(2650),
    [sym_sign] = STATE(2650),
    [sym_call] = STATE(2650),
    [sym_field] = STATE(2650),
    [sym_label] = STATE(2650),
    [sym_content] = STATE(2650),
    [sym_group] = STATE(2650),
    [sym_block] = STATE(2650),
    [sym_branch] = STATE(2650),
    [sym_let] = STATE(2650),
    [sym_set] = STATE(2650),
    [sym_import] = STATE(2650),
    [sym_include] = STATE(2650),
    [sym_for] = STATE(2650),
    [sym_while] = STATE(2650),
    [sym_show] = STATE(2650),
    [sym_return] = STATE(2650),
    [sym_flow] = STATE(2650),
    [aux_sym_group_repeat1] = STATE(135),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1537),
    [sym_none] = ACTIONS(1537),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [133] = {
    [sym_raw_blck] = STATE(2650),
    [sym_raw_span] = STATE(2650),
    [sym_math] = STATE(2650),
    [sym__expr] = STATE(2650),
    [sym_ident] = STATE(2650),
    [sym_bool] = STATE(2650),
    [sym_number] = STATE(2650),
    [sym_string] = STATE(2650),
    [sym_tagged] = STATE(2650),
    [sym_context] = STATE(2650),
    [sym_elude] = STATE(2650),
    [sym_assign] = STATE(2650),
    [sym_lambda] = STATE(2650),
    [sym_or] = STATE(2650),
    [sym_not] = STATE(2650),
    [sym_and] = STATE(2650),
    [sym_cmp] = STATE(2650),
    [sym_in] = STATE(2650),
    [sym_add] = STATE(2650),
    [sym_sub] = STATE(2650),
    [sym_mul] = STATE(2650),
    [sym_div] = STATE(2650),
    [sym_sign] = STATE(2650),
    [sym_call] = STATE(2650),
    [sym_field] = STATE(2650),
    [sym_label] = STATE(2650),
    [sym_content] = STATE(2650),
    [sym_group] = STATE(2650),
    [sym_block] = STATE(2650),
    [sym_branch] = STATE(2650),
    [sym_let] = STATE(2650),
    [sym_set] = STATE(2650),
    [sym_import] = STATE(2650),
    [sym_include] = STATE(2650),
    [sym_for] = STATE(2650),
    [sym_while] = STATE(2650),
    [sym_show] = STATE(2650),
    [sym_return] = STATE(2650),
    [sym_flow] = STATE(2650),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1537),
    [sym_none] = ACTIONS(1537),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [134] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [135] = {
    [sym_raw_blck] = STATE(2652),
    [sym_raw_span] = STATE(2652),
    [sym_math] = STATE(2652),
    [sym__expr] = STATE(2652),
    [sym_ident] = STATE(2652),
    [sym_bool] = STATE(2652),
    [sym_number] = STATE(2652),
    [sym_string] = STATE(2652),
    [sym_tagged] = STATE(2652),
    [sym_context] = STATE(2652),
    [sym_elude] = STATE(2652),
    [sym_assign] = STATE(2652),
    [sym_lambda] = STATE(2652),
    [sym_or] = STATE(2652),
    [sym_not] = STATE(2652),
    [sym_and] = STATE(2652),
    [sym_cmp] = STATE(2652),
    [sym_in] = STATE(2652),
    [sym_add] = STATE(2652),
    [sym_sub] = STATE(2652),
    [sym_mul] = STATE(2652),
    [sym_div] = STATE(2652),
    [sym_sign] = STATE(2652),
    [sym_call] = STATE(2652),
    [sym_field] = STATE(2652),
    [sym_label] = STATE(2652),
    [sym_content] = STATE(2652),
    [sym_group] = STATE(2652),
    [sym_block] = STATE(2652),
    [sym_branch] = STATE(2652),
    [sym_let] = STATE(2652),
    [sym_set] = STATE(2652),
    [sym_import] = STATE(2652),
    [sym_include] = STATE(2652),
    [sym_for] = STATE(2652),
    [sym_while] = STATE(2652),
    [sym_show] = STATE(2652),
    [sym_return] = STATE(2652),
    [sym_flow] = STATE(2652),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1543),
    [sym_none] = ACTIONS(1543),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [136] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(139),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [137] = {
    [sym_raw_blck] = STATE(2663),
    [sym_raw_span] = STATE(2663),
    [sym_math] = STATE(2663),
    [sym__expr] = STATE(2663),
    [sym_ident] = STATE(2663),
    [sym_bool] = STATE(2663),
    [sym_number] = STATE(2663),
    [sym_string] = STATE(2663),
    [sym_tagged] = STATE(2663),
    [sym_context] = STATE(2663),
    [sym_elude] = STATE(2663),
    [sym_assign] = STATE(2663),
    [sym_lambda] = STATE(2663),
    [sym_or] = STATE(2663),
    [sym_not] = STATE(2663),
    [sym_and] = STATE(2663),
    [sym_cmp] = STATE(2663),
    [sym_in] = STATE(2663),
    [sym_add] = STATE(2663),
    [sym_sub] = STATE(2663),
    [sym_mul] = STATE(2663),
    [sym_div] = STATE(2663),
    [sym_sign] = STATE(2663),
    [sym_call] = STATE(2663),
    [sym_field] = STATE(2663),
    [sym_label] = STATE(2663),
    [sym_content] = STATE(2663),
    [sym_group] = STATE(2663),
    [sym_block] = STATE(2663),
    [sym_branch] = STATE(2663),
    [sym_let] = STATE(2663),
    [sym_set] = STATE(2663),
    [sym_import] = STATE(2663),
    [sym_include] = STATE(2663),
    [sym_for] = STATE(2663),
    [sym_while] = STATE(2663),
    [sym_show] = STATE(2663),
    [sym_return] = STATE(2663),
    [sym_flow] = STATE(2663),
    [aux_sym_group_repeat1] = STATE(140),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1549),
    [sym_none] = ACTIONS(1549),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [138] = {
    [sym_raw_blck] = STATE(2663),
    [sym_raw_span] = STATE(2663),
    [sym_math] = STATE(2663),
    [sym__expr] = STATE(2663),
    [sym_ident] = STATE(2663),
    [sym_bool] = STATE(2663),
    [sym_number] = STATE(2663),
    [sym_string] = STATE(2663),
    [sym_tagged] = STATE(2663),
    [sym_context] = STATE(2663),
    [sym_elude] = STATE(2663),
    [sym_assign] = STATE(2663),
    [sym_lambda] = STATE(2663),
    [sym_or] = STATE(2663),
    [sym_not] = STATE(2663),
    [sym_and] = STATE(2663),
    [sym_cmp] = STATE(2663),
    [sym_in] = STATE(2663),
    [sym_add] = STATE(2663),
    [sym_sub] = STATE(2663),
    [sym_mul] = STATE(2663),
    [sym_div] = STATE(2663),
    [sym_sign] = STATE(2663),
    [sym_call] = STATE(2663),
    [sym_field] = STATE(2663),
    [sym_label] = STATE(2663),
    [sym_content] = STATE(2663),
    [sym_group] = STATE(2663),
    [sym_block] = STATE(2663),
    [sym_branch] = STATE(2663),
    [sym_let] = STATE(2663),
    [sym_set] = STATE(2663),
    [sym_import] = STATE(2663),
    [sym_include] = STATE(2663),
    [sym_for] = STATE(2663),
    [sym_while] = STATE(2663),
    [sym_show] = STATE(2663),
    [sym_return] = STATE(2663),
    [sym_flow] = STATE(2663),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1549),
    [sym_none] = ACTIONS(1549),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [139] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [140] = {
    [sym_raw_blck] = STATE(2666),
    [sym_raw_span] = STATE(2666),
    [sym_math] = STATE(2666),
    [sym__expr] = STATE(2666),
    [sym_ident] = STATE(2666),
    [sym_bool] = STATE(2666),
    [sym_number] = STATE(2666),
    [sym_string] = STATE(2666),
    [sym_tagged] = STATE(2666),
    [sym_context] = STATE(2666),
    [sym_elude] = STATE(2666),
    [sym_assign] = STATE(2666),
    [sym_lambda] = STATE(2666),
    [sym_or] = STATE(2666),
    [sym_not] = STATE(2666),
    [sym_and] = STATE(2666),
    [sym_cmp] = STATE(2666),
    [sym_in] = STATE(2666),
    [sym_add] = STATE(2666),
    [sym_sub] = STATE(2666),
    [sym_mul] = STATE(2666),
    [sym_div] = STATE(2666),
    [sym_sign] = STATE(2666),
    [sym_call] = STATE(2666),
    [sym_field] = STATE(2666),
    [sym_label] = STATE(2666),
    [sym_content] = STATE(2666),
    [sym_group] = STATE(2666),
    [sym_block] = STATE(2666),
    [sym_branch] = STATE(2666),
    [sym_let] = STATE(2666),
    [sym_set] = STATE(2666),
    [sym_import] = STATE(2666),
    [sym_include] = STATE(2666),
    [sym_for] = STATE(2666),
    [sym_while] = STATE(2666),
    [sym_show] = STATE(2666),
    [sym_return] = STATE(2666),
    [sym_flow] = STATE(2666),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1555),
    [sym_none] = ACTIONS(1555),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [141] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(144),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [142] = {
    [sym_raw_blck] = STATE(2676),
    [sym_raw_span] = STATE(2676),
    [sym_math] = STATE(2676),
    [sym__expr] = STATE(2676),
    [sym_ident] = STATE(2676),
    [sym_bool] = STATE(2676),
    [sym_number] = STATE(2676),
    [sym_string] = STATE(2676),
    [sym_tagged] = STATE(2676),
    [sym_context] = STATE(2676),
    [sym_elude] = STATE(2676),
    [sym_assign] = STATE(2676),
    [sym_lambda] = STATE(2676),
    [sym_or] = STATE(2676),
    [sym_not] = STATE(2676),
    [sym_and] = STATE(2676),
    [sym_cmp] = STATE(2676),
    [sym_in] = STATE(2676),
    [sym_add] = STATE(2676),
    [sym_sub] = STATE(2676),
    [sym_mul] = STATE(2676),
    [sym_div] = STATE(2676),
    [sym_sign] = STATE(2676),
    [sym_call] = STATE(2676),
    [sym_field] = STATE(2676),
    [sym_label] = STATE(2676),
    [sym_content] = STATE(2676),
    [sym_group] = STATE(2676),
    [sym_block] = STATE(2676),
    [sym_branch] = STATE(2676),
    [sym_let] = STATE(2676),
    [sym_set] = STATE(2676),
    [sym_import] = STATE(2676),
    [sym_include] = STATE(2676),
    [sym_for] = STATE(2676),
    [sym_while] = STATE(2676),
    [sym_show] = STATE(2676),
    [sym_return] = STATE(2676),
    [sym_flow] = STATE(2676),
    [aux_sym_group_repeat1] = STATE(216),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1561),
    [sym_none] = ACTIONS(1561),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [143] = {
    [sym_raw_blck] = STATE(2676),
    [sym_raw_span] = STATE(2676),
    [sym_math] = STATE(2676),
    [sym__expr] = STATE(2676),
    [sym_ident] = STATE(2676),
    [sym_bool] = STATE(2676),
    [sym_number] = STATE(2676),
    [sym_string] = STATE(2676),
    [sym_tagged] = STATE(2676),
    [sym_context] = STATE(2676),
    [sym_elude] = STATE(2676),
    [sym_assign] = STATE(2676),
    [sym_lambda] = STATE(2676),
    [sym_or] = STATE(2676),
    [sym_not] = STATE(2676),
    [sym_and] = STATE(2676),
    [sym_cmp] = STATE(2676),
    [sym_in] = STATE(2676),
    [sym_add] = STATE(2676),
    [sym_sub] = STATE(2676),
    [sym_mul] = STATE(2676),
    [sym_div] = STATE(2676),
    [sym_sign] = STATE(2676),
    [sym_call] = STATE(2676),
    [sym_field] = STATE(2676),
    [sym_label] = STATE(2676),
    [sym_content] = STATE(2676),
    [sym_group] = STATE(2676),
    [sym_block] = STATE(2676),
    [sym_branch] = STATE(2676),
    [sym_let] = STATE(2676),
    [sym_set] = STATE(2676),
    [sym_import] = STATE(2676),
    [sym_include] = STATE(2676),
    [sym_for] = STATE(2676),
    [sym_while] = STATE(2676),
    [sym_show] = STATE(2676),
    [sym_return] = STATE(2676),
    [sym_flow] = STATE(2676),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1561),
    [sym_none] = ACTIONS(1561),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [144] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [145] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(148),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [146] = {
    [sym_raw_blck] = STATE(2690),
    [sym_raw_span] = STATE(2690),
    [sym_math] = STATE(2690),
    [sym__expr] = STATE(2690),
    [sym_ident] = STATE(2690),
    [sym_bool] = STATE(2690),
    [sym_number] = STATE(2690),
    [sym_string] = STATE(2690),
    [sym_tagged] = STATE(2690),
    [sym_context] = STATE(2690),
    [sym_elude] = STATE(2690),
    [sym_assign] = STATE(2690),
    [sym_lambda] = STATE(2690),
    [sym_or] = STATE(2690),
    [sym_not] = STATE(2690),
    [sym_and] = STATE(2690),
    [sym_cmp] = STATE(2690),
    [sym_in] = STATE(2690),
    [sym_add] = STATE(2690),
    [sym_sub] = STATE(2690),
    [sym_mul] = STATE(2690),
    [sym_div] = STATE(2690),
    [sym_sign] = STATE(2690),
    [sym_call] = STATE(2690),
    [sym_field] = STATE(2690),
    [sym_label] = STATE(2690),
    [sym_content] = STATE(2690),
    [sym_group] = STATE(2690),
    [sym_block] = STATE(2690),
    [sym_branch] = STATE(2690),
    [sym_let] = STATE(2690),
    [sym_set] = STATE(2690),
    [sym_import] = STATE(2690),
    [sym_include] = STATE(2690),
    [sym_for] = STATE(2690),
    [sym_while] = STATE(2690),
    [sym_show] = STATE(2690),
    [sym_return] = STATE(2690),
    [sym_flow] = STATE(2690),
    [aux_sym_group_repeat1] = STATE(149),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1569),
    [sym_none] = ACTIONS(1569),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [147] = {
    [sym_raw_blck] = STATE(2690),
    [sym_raw_span] = STATE(2690),
    [sym_math] = STATE(2690),
    [sym__expr] = STATE(2690),
    [sym_ident] = STATE(2690),
    [sym_bool] = STATE(2690),
    [sym_number] = STATE(2690),
    [sym_string] = STATE(2690),
    [sym_tagged] = STATE(2690),
    [sym_context] = STATE(2690),
    [sym_elude] = STATE(2690),
    [sym_assign] = STATE(2690),
    [sym_lambda] = STATE(2690),
    [sym_or] = STATE(2690),
    [sym_not] = STATE(2690),
    [sym_and] = STATE(2690),
    [sym_cmp] = STATE(2690),
    [sym_in] = STATE(2690),
    [sym_add] = STATE(2690),
    [sym_sub] = STATE(2690),
    [sym_mul] = STATE(2690),
    [sym_div] = STATE(2690),
    [sym_sign] = STATE(2690),
    [sym_call] = STATE(2690),
    [sym_field] = STATE(2690),
    [sym_label] = STATE(2690),
    [sym_content] = STATE(2690),
    [sym_group] = STATE(2690),
    [sym_block] = STATE(2690),
    [sym_branch] = STATE(2690),
    [sym_let] = STATE(2690),
    [sym_set] = STATE(2690),
    [sym_import] = STATE(2690),
    [sym_include] = STATE(2690),
    [sym_for] = STATE(2690),
    [sym_while] = STATE(2690),
    [sym_show] = STATE(2690),
    [sym_return] = STATE(2690),
    [sym_flow] = STATE(2690),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1569),
    [sym_none] = ACTIONS(1569),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [148] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [149] = {
    [sym_raw_blck] = STATE(2693),
    [sym_raw_span] = STATE(2693),
    [sym_math] = STATE(2693),
    [sym__expr] = STATE(2693),
    [sym_ident] = STATE(2693),
    [sym_bool] = STATE(2693),
    [sym_number] = STATE(2693),
    [sym_string] = STATE(2693),
    [sym_tagged] = STATE(2693),
    [sym_context] = STATE(2693),
    [sym_elude] = STATE(2693),
    [sym_assign] = STATE(2693),
    [sym_lambda] = STATE(2693),
    [sym_or] = STATE(2693),
    [sym_not] = STATE(2693),
    [sym_and] = STATE(2693),
    [sym_cmp] = STATE(2693),
    [sym_in] = STATE(2693),
    [sym_add] = STATE(2693),
    [sym_sub] = STATE(2693),
    [sym_mul] = STATE(2693),
    [sym_div] = STATE(2693),
    [sym_sign] = STATE(2693),
    [sym_call] = STATE(2693),
    [sym_field] = STATE(2693),
    [sym_label] = STATE(2693),
    [sym_content] = STATE(2693),
    [sym_group] = STATE(2693),
    [sym_block] = STATE(2693),
    [sym_branch] = STATE(2693),
    [sym_let] = STATE(2693),
    [sym_set] = STATE(2693),
    [sym_import] = STATE(2693),
    [sym_include] = STATE(2693),
    [sym_for] = STATE(2693),
    [sym_while] = STATE(2693),
    [sym_show] = STATE(2693),
    [sym_return] = STATE(2693),
    [sym_flow] = STATE(2693),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1575),
    [sym_none] = ACTIONS(1575),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [150] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(153),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [151] = {
    [sym_raw_blck] = STATE(2704),
    [sym_raw_span] = STATE(2704),
    [sym_math] = STATE(2704),
    [sym__expr] = STATE(2704),
    [sym_ident] = STATE(2704),
    [sym_bool] = STATE(2704),
    [sym_number] = STATE(2704),
    [sym_string] = STATE(2704),
    [sym_tagged] = STATE(2704),
    [sym_context] = STATE(2704),
    [sym_elude] = STATE(2704),
    [sym_assign] = STATE(2704),
    [sym_lambda] = STATE(2704),
    [sym_or] = STATE(2704),
    [sym_not] = STATE(2704),
    [sym_and] = STATE(2704),
    [sym_cmp] = STATE(2704),
    [sym_in] = STATE(2704),
    [sym_add] = STATE(2704),
    [sym_sub] = STATE(2704),
    [sym_mul] = STATE(2704),
    [sym_div] = STATE(2704),
    [sym_sign] = STATE(2704),
    [sym_call] = STATE(2704),
    [sym_field] = STATE(2704),
    [sym_label] = STATE(2704),
    [sym_content] = STATE(2704),
    [sym_group] = STATE(2704),
    [sym_block] = STATE(2704),
    [sym_branch] = STATE(2704),
    [sym_let] = STATE(2704),
    [sym_set] = STATE(2704),
    [sym_import] = STATE(2704),
    [sym_include] = STATE(2704),
    [sym_for] = STATE(2704),
    [sym_while] = STATE(2704),
    [sym_show] = STATE(2704),
    [sym_return] = STATE(2704),
    [sym_flow] = STATE(2704),
    [aux_sym_group_repeat1] = STATE(154),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1579),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1581),
    [sym_none] = ACTIONS(1581),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [152] = {
    [sym_raw_blck] = STATE(2704),
    [sym_raw_span] = STATE(2704),
    [sym_math] = STATE(2704),
    [sym__expr] = STATE(2704),
    [sym_ident] = STATE(2704),
    [sym_bool] = STATE(2704),
    [sym_number] = STATE(2704),
    [sym_string] = STATE(2704),
    [sym_tagged] = STATE(2704),
    [sym_context] = STATE(2704),
    [sym_elude] = STATE(2704),
    [sym_assign] = STATE(2704),
    [sym_lambda] = STATE(2704),
    [sym_or] = STATE(2704),
    [sym_not] = STATE(2704),
    [sym_and] = STATE(2704),
    [sym_cmp] = STATE(2704),
    [sym_in] = STATE(2704),
    [sym_add] = STATE(2704),
    [sym_sub] = STATE(2704),
    [sym_mul] = STATE(2704),
    [sym_div] = STATE(2704),
    [sym_sign] = STATE(2704),
    [sym_call] = STATE(2704),
    [sym_field] = STATE(2704),
    [sym_label] = STATE(2704),
    [sym_content] = STATE(2704),
    [sym_group] = STATE(2704),
    [sym_block] = STATE(2704),
    [sym_branch] = STATE(2704),
    [sym_let] = STATE(2704),
    [sym_set] = STATE(2704),
    [sym_import] = STATE(2704),
    [sym_include] = STATE(2704),
    [sym_for] = STATE(2704),
    [sym_while] = STATE(2704),
    [sym_show] = STATE(2704),
    [sym_return] = STATE(2704),
    [sym_flow] = STATE(2704),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1579),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1581),
    [sym_none] = ACTIONS(1581),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [153] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [154] = {
    [sym_raw_blck] = STATE(2707),
    [sym_raw_span] = STATE(2707),
    [sym_math] = STATE(2707),
    [sym__expr] = STATE(2707),
    [sym_ident] = STATE(2707),
    [sym_bool] = STATE(2707),
    [sym_number] = STATE(2707),
    [sym_string] = STATE(2707),
    [sym_tagged] = STATE(2707),
    [sym_context] = STATE(2707),
    [sym_elude] = STATE(2707),
    [sym_assign] = STATE(2707),
    [sym_lambda] = STATE(2707),
    [sym_or] = STATE(2707),
    [sym_not] = STATE(2707),
    [sym_and] = STATE(2707),
    [sym_cmp] = STATE(2707),
    [sym_in] = STATE(2707),
    [sym_add] = STATE(2707),
    [sym_sub] = STATE(2707),
    [sym_mul] = STATE(2707),
    [sym_div] = STATE(2707),
    [sym_sign] = STATE(2707),
    [sym_call] = STATE(2707),
    [sym_field] = STATE(2707),
    [sym_label] = STATE(2707),
    [sym_content] = STATE(2707),
    [sym_group] = STATE(2707),
    [sym_block] = STATE(2707),
    [sym_branch] = STATE(2707),
    [sym_let] = STATE(2707),
    [sym_set] = STATE(2707),
    [sym_import] = STATE(2707),
    [sym_include] = STATE(2707),
    [sym_for] = STATE(2707),
    [sym_while] = STATE(2707),
    [sym_show] = STATE(2707),
    [sym_return] = STATE(2707),
    [sym_flow] = STATE(2707),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1587),
    [sym_none] = ACTIONS(1587),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [155] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(158),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [156] = {
    [sym_raw_blck] = STATE(2717),
    [sym_raw_span] = STATE(2717),
    [sym_math] = STATE(2717),
    [sym__expr] = STATE(2717),
    [sym_ident] = STATE(2717),
    [sym_bool] = STATE(2717),
    [sym_number] = STATE(2717),
    [sym_string] = STATE(2717),
    [sym_tagged] = STATE(2717),
    [sym_context] = STATE(2717),
    [sym_elude] = STATE(2717),
    [sym_assign] = STATE(2717),
    [sym_lambda] = STATE(2717),
    [sym_or] = STATE(2717),
    [sym_not] = STATE(2717),
    [sym_and] = STATE(2717),
    [sym_cmp] = STATE(2717),
    [sym_in] = STATE(2717),
    [sym_add] = STATE(2717),
    [sym_sub] = STATE(2717),
    [sym_mul] = STATE(2717),
    [sym_div] = STATE(2717),
    [sym_sign] = STATE(2717),
    [sym_call] = STATE(2717),
    [sym_field] = STATE(2717),
    [sym_label] = STATE(2717),
    [sym_content] = STATE(2717),
    [sym_group] = STATE(2717),
    [sym_block] = STATE(2717),
    [sym_branch] = STATE(2717),
    [sym_let] = STATE(2717),
    [sym_set] = STATE(2717),
    [sym_import] = STATE(2717),
    [sym_include] = STATE(2717),
    [sym_for] = STATE(2717),
    [sym_while] = STATE(2717),
    [sym_show] = STATE(2717),
    [sym_return] = STATE(2717),
    [sym_flow] = STATE(2717),
    [aux_sym_group_repeat1] = STATE(159),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1593),
    [sym_none] = ACTIONS(1593),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [157] = {
    [sym_raw_blck] = STATE(2717),
    [sym_raw_span] = STATE(2717),
    [sym_math] = STATE(2717),
    [sym__expr] = STATE(2717),
    [sym_ident] = STATE(2717),
    [sym_bool] = STATE(2717),
    [sym_number] = STATE(2717),
    [sym_string] = STATE(2717),
    [sym_tagged] = STATE(2717),
    [sym_context] = STATE(2717),
    [sym_elude] = STATE(2717),
    [sym_assign] = STATE(2717),
    [sym_lambda] = STATE(2717),
    [sym_or] = STATE(2717),
    [sym_not] = STATE(2717),
    [sym_and] = STATE(2717),
    [sym_cmp] = STATE(2717),
    [sym_in] = STATE(2717),
    [sym_add] = STATE(2717),
    [sym_sub] = STATE(2717),
    [sym_mul] = STATE(2717),
    [sym_div] = STATE(2717),
    [sym_sign] = STATE(2717),
    [sym_call] = STATE(2717),
    [sym_field] = STATE(2717),
    [sym_label] = STATE(2717),
    [sym_content] = STATE(2717),
    [sym_group] = STATE(2717),
    [sym_block] = STATE(2717),
    [sym_branch] = STATE(2717),
    [sym_let] = STATE(2717),
    [sym_set] = STATE(2717),
    [sym_import] = STATE(2717),
    [sym_include] = STATE(2717),
    [sym_for] = STATE(2717),
    [sym_while] = STATE(2717),
    [sym_show] = STATE(2717),
    [sym_return] = STATE(2717),
    [sym_flow] = STATE(2717),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1593),
    [sym_none] = ACTIONS(1593),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [158] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1595),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [159] = {
    [sym_raw_blck] = STATE(2719),
    [sym_raw_span] = STATE(2719),
    [sym_math] = STATE(2719),
    [sym__expr] = STATE(2719),
    [sym_ident] = STATE(2719),
    [sym_bool] = STATE(2719),
    [sym_number] = STATE(2719),
    [sym_string] = STATE(2719),
    [sym_tagged] = STATE(2719),
    [sym_context] = STATE(2719),
    [sym_elude] = STATE(2719),
    [sym_assign] = STATE(2719),
    [sym_lambda] = STATE(2719),
    [sym_or] = STATE(2719),
    [sym_not] = STATE(2719),
    [sym_and] = STATE(2719),
    [sym_cmp] = STATE(2719),
    [sym_in] = STATE(2719),
    [sym_add] = STATE(2719),
    [sym_sub] = STATE(2719),
    [sym_mul] = STATE(2719),
    [sym_div] = STATE(2719),
    [sym_sign] = STATE(2719),
    [sym_call] = STATE(2719),
    [sym_field] = STATE(2719),
    [sym_label] = STATE(2719),
    [sym_content] = STATE(2719),
    [sym_group] = STATE(2719),
    [sym_block] = STATE(2719),
    [sym_branch] = STATE(2719),
    [sym_let] = STATE(2719),
    [sym_set] = STATE(2719),
    [sym_import] = STATE(2719),
    [sym_include] = STATE(2719),
    [sym_for] = STATE(2719),
    [sym_while] = STATE(2719),
    [sym_show] = STATE(2719),
    [sym_return] = STATE(2719),
    [sym_flow] = STATE(2719),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1599),
    [sym_none] = ACTIONS(1599),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [160] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(163),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1601),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [161] = {
    [sym_raw_blck] = STATE(2730),
    [sym_raw_span] = STATE(2730),
    [sym_math] = STATE(2730),
    [sym__expr] = STATE(2730),
    [sym_ident] = STATE(2730),
    [sym_bool] = STATE(2730),
    [sym_number] = STATE(2730),
    [sym_string] = STATE(2730),
    [sym_tagged] = STATE(2730),
    [sym_context] = STATE(2730),
    [sym_elude] = STATE(2730),
    [sym_assign] = STATE(2730),
    [sym_lambda] = STATE(2730),
    [sym_or] = STATE(2730),
    [sym_not] = STATE(2730),
    [sym_and] = STATE(2730),
    [sym_cmp] = STATE(2730),
    [sym_in] = STATE(2730),
    [sym_add] = STATE(2730),
    [sym_sub] = STATE(2730),
    [sym_mul] = STATE(2730),
    [sym_div] = STATE(2730),
    [sym_sign] = STATE(2730),
    [sym_call] = STATE(2730),
    [sym_field] = STATE(2730),
    [sym_label] = STATE(2730),
    [sym_content] = STATE(2730),
    [sym_group] = STATE(2730),
    [sym_block] = STATE(2730),
    [sym_branch] = STATE(2730),
    [sym_let] = STATE(2730),
    [sym_set] = STATE(2730),
    [sym_import] = STATE(2730),
    [sym_include] = STATE(2730),
    [sym_for] = STATE(2730),
    [sym_while] = STATE(2730),
    [sym_show] = STATE(2730),
    [sym_return] = STATE(2730),
    [sym_flow] = STATE(2730),
    [aux_sym_group_repeat1] = STATE(164),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1605),
    [sym_none] = ACTIONS(1605),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [162] = {
    [sym_raw_blck] = STATE(2730),
    [sym_raw_span] = STATE(2730),
    [sym_math] = STATE(2730),
    [sym__expr] = STATE(2730),
    [sym_ident] = STATE(2730),
    [sym_bool] = STATE(2730),
    [sym_number] = STATE(2730),
    [sym_string] = STATE(2730),
    [sym_tagged] = STATE(2730),
    [sym_context] = STATE(2730),
    [sym_elude] = STATE(2730),
    [sym_assign] = STATE(2730),
    [sym_lambda] = STATE(2730),
    [sym_or] = STATE(2730),
    [sym_not] = STATE(2730),
    [sym_and] = STATE(2730),
    [sym_cmp] = STATE(2730),
    [sym_in] = STATE(2730),
    [sym_add] = STATE(2730),
    [sym_sub] = STATE(2730),
    [sym_mul] = STATE(2730),
    [sym_div] = STATE(2730),
    [sym_sign] = STATE(2730),
    [sym_call] = STATE(2730),
    [sym_field] = STATE(2730),
    [sym_label] = STATE(2730),
    [sym_content] = STATE(2730),
    [sym_group] = STATE(2730),
    [sym_block] = STATE(2730),
    [sym_branch] = STATE(2730),
    [sym_let] = STATE(2730),
    [sym_set] = STATE(2730),
    [sym_import] = STATE(2730),
    [sym_include] = STATE(2730),
    [sym_for] = STATE(2730),
    [sym_while] = STATE(2730),
    [sym_show] = STATE(2730),
    [sym_return] = STATE(2730),
    [sym_flow] = STATE(2730),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1605),
    [sym_none] = ACTIONS(1605),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [163] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [164] = {
    [sym_raw_blck] = STATE(2733),
    [sym_raw_span] = STATE(2733),
    [sym_math] = STATE(2733),
    [sym__expr] = STATE(2733),
    [sym_ident] = STATE(2733),
    [sym_bool] = STATE(2733),
    [sym_number] = STATE(2733),
    [sym_string] = STATE(2733),
    [sym_tagged] = STATE(2733),
    [sym_context] = STATE(2733),
    [sym_elude] = STATE(2733),
    [sym_assign] = STATE(2733),
    [sym_lambda] = STATE(2733),
    [sym_or] = STATE(2733),
    [sym_not] = STATE(2733),
    [sym_and] = STATE(2733),
    [sym_cmp] = STATE(2733),
    [sym_in] = STATE(2733),
    [sym_add] = STATE(2733),
    [sym_sub] = STATE(2733),
    [sym_mul] = STATE(2733),
    [sym_div] = STATE(2733),
    [sym_sign] = STATE(2733),
    [sym_call] = STATE(2733),
    [sym_field] = STATE(2733),
    [sym_label] = STATE(2733),
    [sym_content] = STATE(2733),
    [sym_group] = STATE(2733),
    [sym_block] = STATE(2733),
    [sym_branch] = STATE(2733),
    [sym_let] = STATE(2733),
    [sym_set] = STATE(2733),
    [sym_import] = STATE(2733),
    [sym_include] = STATE(2733),
    [sym_for] = STATE(2733),
    [sym_while] = STATE(2733),
    [sym_show] = STATE(2733),
    [sym_return] = STATE(2733),
    [sym_flow] = STATE(2733),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1611),
    [sym_none] = ACTIONS(1611),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [165] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(168),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [166] = {
    [sym_raw_blck] = STATE(2743),
    [sym_raw_span] = STATE(2743),
    [sym_math] = STATE(2743),
    [sym__expr] = STATE(2743),
    [sym_ident] = STATE(2743),
    [sym_bool] = STATE(2743),
    [sym_number] = STATE(2743),
    [sym_string] = STATE(2743),
    [sym_tagged] = STATE(2743),
    [sym_context] = STATE(2743),
    [sym_elude] = STATE(2743),
    [sym_assign] = STATE(2743),
    [sym_lambda] = STATE(2743),
    [sym_or] = STATE(2743),
    [sym_not] = STATE(2743),
    [sym_and] = STATE(2743),
    [sym_cmp] = STATE(2743),
    [sym_in] = STATE(2743),
    [sym_add] = STATE(2743),
    [sym_sub] = STATE(2743),
    [sym_mul] = STATE(2743),
    [sym_div] = STATE(2743),
    [sym_sign] = STATE(2743),
    [sym_call] = STATE(2743),
    [sym_field] = STATE(2743),
    [sym_label] = STATE(2743),
    [sym_content] = STATE(2743),
    [sym_group] = STATE(2743),
    [sym_block] = STATE(2743),
    [sym_branch] = STATE(2743),
    [sym_let] = STATE(2743),
    [sym_set] = STATE(2743),
    [sym_import] = STATE(2743),
    [sym_include] = STATE(2743),
    [sym_for] = STATE(2743),
    [sym_while] = STATE(2743),
    [sym_show] = STATE(2743),
    [sym_return] = STATE(2743),
    [sym_flow] = STATE(2743),
    [aux_sym_group_repeat1] = STATE(169),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1617),
    [sym_none] = ACTIONS(1617),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [167] = {
    [sym_raw_blck] = STATE(2743),
    [sym_raw_span] = STATE(2743),
    [sym_math] = STATE(2743),
    [sym__expr] = STATE(2743),
    [sym_ident] = STATE(2743),
    [sym_bool] = STATE(2743),
    [sym_number] = STATE(2743),
    [sym_string] = STATE(2743),
    [sym_tagged] = STATE(2743),
    [sym_context] = STATE(2743),
    [sym_elude] = STATE(2743),
    [sym_assign] = STATE(2743),
    [sym_lambda] = STATE(2743),
    [sym_or] = STATE(2743),
    [sym_not] = STATE(2743),
    [sym_and] = STATE(2743),
    [sym_cmp] = STATE(2743),
    [sym_in] = STATE(2743),
    [sym_add] = STATE(2743),
    [sym_sub] = STATE(2743),
    [sym_mul] = STATE(2743),
    [sym_div] = STATE(2743),
    [sym_sign] = STATE(2743),
    [sym_call] = STATE(2743),
    [sym_field] = STATE(2743),
    [sym_label] = STATE(2743),
    [sym_content] = STATE(2743),
    [sym_group] = STATE(2743),
    [sym_block] = STATE(2743),
    [sym_branch] = STATE(2743),
    [sym_let] = STATE(2743),
    [sym_set] = STATE(2743),
    [sym_import] = STATE(2743),
    [sym_include] = STATE(2743),
    [sym_for] = STATE(2743),
    [sym_while] = STATE(2743),
    [sym_show] = STATE(2743),
    [sym_return] = STATE(2743),
    [sym_flow] = STATE(2743),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1617),
    [sym_none] = ACTIONS(1617),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [168] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [169] = {
    [sym_raw_blck] = STATE(2746),
    [sym_raw_span] = STATE(2746),
    [sym_math] = STATE(2746),
    [sym__expr] = STATE(2746),
    [sym_ident] = STATE(2746),
    [sym_bool] = STATE(2746),
    [sym_number] = STATE(2746),
    [sym_string] = STATE(2746),
    [sym_tagged] = STATE(2746),
    [sym_context] = STATE(2746),
    [sym_elude] = STATE(2746),
    [sym_assign] = STATE(2746),
    [sym_lambda] = STATE(2746),
    [sym_or] = STATE(2746),
    [sym_not] = STATE(2746),
    [sym_and] = STATE(2746),
    [sym_cmp] = STATE(2746),
    [sym_in] = STATE(2746),
    [sym_add] = STATE(2746),
    [sym_sub] = STATE(2746),
    [sym_mul] = STATE(2746),
    [sym_div] = STATE(2746),
    [sym_sign] = STATE(2746),
    [sym_call] = STATE(2746),
    [sym_field] = STATE(2746),
    [sym_label] = STATE(2746),
    [sym_content] = STATE(2746),
    [sym_group] = STATE(2746),
    [sym_block] = STATE(2746),
    [sym_branch] = STATE(2746),
    [sym_let] = STATE(2746),
    [sym_set] = STATE(2746),
    [sym_import] = STATE(2746),
    [sym_include] = STATE(2746),
    [sym_for] = STATE(2746),
    [sym_while] = STATE(2746),
    [sym_show] = STATE(2746),
    [sym_return] = STATE(2746),
    [sym_flow] = STATE(2746),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1623),
    [sym_none] = ACTIONS(1623),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [170] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(173),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [171] = {
    [sym_raw_blck] = STATE(2752),
    [sym_raw_span] = STATE(2752),
    [sym_math] = STATE(2752),
    [sym__expr] = STATE(2752),
    [sym_ident] = STATE(2752),
    [sym_bool] = STATE(2752),
    [sym_number] = STATE(2752),
    [sym_string] = STATE(2752),
    [sym_tagged] = STATE(2752),
    [sym_context] = STATE(2752),
    [sym_elude] = STATE(2752),
    [sym_assign] = STATE(2752),
    [sym_lambda] = STATE(2752),
    [sym_or] = STATE(2752),
    [sym_not] = STATE(2752),
    [sym_and] = STATE(2752),
    [sym_cmp] = STATE(2752),
    [sym_in] = STATE(2752),
    [sym_add] = STATE(2752),
    [sym_sub] = STATE(2752),
    [sym_mul] = STATE(2752),
    [sym_div] = STATE(2752),
    [sym_sign] = STATE(2752),
    [sym_call] = STATE(2752),
    [sym_field] = STATE(2752),
    [sym_label] = STATE(2752),
    [sym_content] = STATE(2752),
    [sym_group] = STATE(2752),
    [sym_block] = STATE(2752),
    [sym_branch] = STATE(2752),
    [sym_let] = STATE(2752),
    [sym_set] = STATE(2752),
    [sym_import] = STATE(2752),
    [sym_include] = STATE(2752),
    [sym_for] = STATE(2752),
    [sym_while] = STATE(2752),
    [sym_show] = STATE(2752),
    [sym_return] = STATE(2752),
    [sym_flow] = STATE(2752),
    [aux_sym_group_repeat1] = STATE(174),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1629),
    [sym_none] = ACTIONS(1629),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [172] = {
    [sym_raw_blck] = STATE(2752),
    [sym_raw_span] = STATE(2752),
    [sym_math] = STATE(2752),
    [sym__expr] = STATE(2752),
    [sym_ident] = STATE(2752),
    [sym_bool] = STATE(2752),
    [sym_number] = STATE(2752),
    [sym_string] = STATE(2752),
    [sym_tagged] = STATE(2752),
    [sym_context] = STATE(2752),
    [sym_elude] = STATE(2752),
    [sym_assign] = STATE(2752),
    [sym_lambda] = STATE(2752),
    [sym_or] = STATE(2752),
    [sym_not] = STATE(2752),
    [sym_and] = STATE(2752),
    [sym_cmp] = STATE(2752),
    [sym_in] = STATE(2752),
    [sym_add] = STATE(2752),
    [sym_sub] = STATE(2752),
    [sym_mul] = STATE(2752),
    [sym_div] = STATE(2752),
    [sym_sign] = STATE(2752),
    [sym_call] = STATE(2752),
    [sym_field] = STATE(2752),
    [sym_label] = STATE(2752),
    [sym_content] = STATE(2752),
    [sym_group] = STATE(2752),
    [sym_block] = STATE(2752),
    [sym_branch] = STATE(2752),
    [sym_let] = STATE(2752),
    [sym_set] = STATE(2752),
    [sym_import] = STATE(2752),
    [sym_include] = STATE(2752),
    [sym_for] = STATE(2752),
    [sym_while] = STATE(2752),
    [sym_show] = STATE(2752),
    [sym_return] = STATE(2752),
    [sym_flow] = STATE(2752),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1629),
    [sym_none] = ACTIONS(1629),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [173] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [174] = {
    [sym_raw_blck] = STATE(2754),
    [sym_raw_span] = STATE(2754),
    [sym_math] = STATE(2754),
    [sym__expr] = STATE(2754),
    [sym_ident] = STATE(2754),
    [sym_bool] = STATE(2754),
    [sym_number] = STATE(2754),
    [sym_string] = STATE(2754),
    [sym_tagged] = STATE(2754),
    [sym_context] = STATE(2754),
    [sym_elude] = STATE(2754),
    [sym_assign] = STATE(2754),
    [sym_lambda] = STATE(2754),
    [sym_or] = STATE(2754),
    [sym_not] = STATE(2754),
    [sym_and] = STATE(2754),
    [sym_cmp] = STATE(2754),
    [sym_in] = STATE(2754),
    [sym_add] = STATE(2754),
    [sym_sub] = STATE(2754),
    [sym_mul] = STATE(2754),
    [sym_div] = STATE(2754),
    [sym_sign] = STATE(2754),
    [sym_call] = STATE(2754),
    [sym_field] = STATE(2754),
    [sym_label] = STATE(2754),
    [sym_content] = STATE(2754),
    [sym_group] = STATE(2754),
    [sym_block] = STATE(2754),
    [sym_branch] = STATE(2754),
    [sym_let] = STATE(2754),
    [sym_set] = STATE(2754),
    [sym_import] = STATE(2754),
    [sym_include] = STATE(2754),
    [sym_for] = STATE(2754),
    [sym_while] = STATE(2754),
    [sym_show] = STATE(2754),
    [sym_return] = STATE(2754),
    [sym_flow] = STATE(2754),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [175] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(178),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1637),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [176] = {
    [sym_raw_blck] = STATE(2759),
    [sym_raw_span] = STATE(2759),
    [sym_math] = STATE(2759),
    [sym__expr] = STATE(2759),
    [sym_ident] = STATE(2759),
    [sym_bool] = STATE(2759),
    [sym_number] = STATE(2759),
    [sym_string] = STATE(2759),
    [sym_tagged] = STATE(2759),
    [sym_context] = STATE(2759),
    [sym_elude] = STATE(2759),
    [sym_assign] = STATE(2759),
    [sym_lambda] = STATE(2759),
    [sym_or] = STATE(2759),
    [sym_not] = STATE(2759),
    [sym_and] = STATE(2759),
    [sym_cmp] = STATE(2759),
    [sym_in] = STATE(2759),
    [sym_add] = STATE(2759),
    [sym_sub] = STATE(2759),
    [sym_mul] = STATE(2759),
    [sym_div] = STATE(2759),
    [sym_sign] = STATE(2759),
    [sym_call] = STATE(2759),
    [sym_field] = STATE(2759),
    [sym_label] = STATE(2759),
    [sym_content] = STATE(2759),
    [sym_group] = STATE(2759),
    [sym_block] = STATE(2759),
    [sym_branch] = STATE(2759),
    [sym_let] = STATE(2759),
    [sym_set] = STATE(2759),
    [sym_import] = STATE(2759),
    [sym_include] = STATE(2759),
    [sym_for] = STATE(2759),
    [sym_while] = STATE(2759),
    [sym_show] = STATE(2759),
    [sym_return] = STATE(2759),
    [sym_flow] = STATE(2759),
    [aux_sym_group_repeat1] = STATE(179),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1641),
    [sym_none] = ACTIONS(1641),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [177] = {
    [sym_raw_blck] = STATE(2759),
    [sym_raw_span] = STATE(2759),
    [sym_math] = STATE(2759),
    [sym__expr] = STATE(2759),
    [sym_ident] = STATE(2759),
    [sym_bool] = STATE(2759),
    [sym_number] = STATE(2759),
    [sym_string] = STATE(2759),
    [sym_tagged] = STATE(2759),
    [sym_context] = STATE(2759),
    [sym_elude] = STATE(2759),
    [sym_assign] = STATE(2759),
    [sym_lambda] = STATE(2759),
    [sym_or] = STATE(2759),
    [sym_not] = STATE(2759),
    [sym_and] = STATE(2759),
    [sym_cmp] = STATE(2759),
    [sym_in] = STATE(2759),
    [sym_add] = STATE(2759),
    [sym_sub] = STATE(2759),
    [sym_mul] = STATE(2759),
    [sym_div] = STATE(2759),
    [sym_sign] = STATE(2759),
    [sym_call] = STATE(2759),
    [sym_field] = STATE(2759),
    [sym_label] = STATE(2759),
    [sym_content] = STATE(2759),
    [sym_group] = STATE(2759),
    [sym_block] = STATE(2759),
    [sym_branch] = STATE(2759),
    [sym_let] = STATE(2759),
    [sym_set] = STATE(2759),
    [sym_import] = STATE(2759),
    [sym_include] = STATE(2759),
    [sym_for] = STATE(2759),
    [sym_while] = STATE(2759),
    [sym_show] = STATE(2759),
    [sym_return] = STATE(2759),
    [sym_flow] = STATE(2759),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1641),
    [sym_none] = ACTIONS(1641),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [178] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [179] = {
    [sym_raw_blck] = STATE(2761),
    [sym_raw_span] = STATE(2761),
    [sym_math] = STATE(2761),
    [sym__expr] = STATE(2761),
    [sym_ident] = STATE(2761),
    [sym_bool] = STATE(2761),
    [sym_number] = STATE(2761),
    [sym_string] = STATE(2761),
    [sym_tagged] = STATE(2761),
    [sym_context] = STATE(2761),
    [sym_elude] = STATE(2761),
    [sym_assign] = STATE(2761),
    [sym_lambda] = STATE(2761),
    [sym_or] = STATE(2761),
    [sym_not] = STATE(2761),
    [sym_and] = STATE(2761),
    [sym_cmp] = STATE(2761),
    [sym_in] = STATE(2761),
    [sym_add] = STATE(2761),
    [sym_sub] = STATE(2761),
    [sym_mul] = STATE(2761),
    [sym_div] = STATE(2761),
    [sym_sign] = STATE(2761),
    [sym_call] = STATE(2761),
    [sym_field] = STATE(2761),
    [sym_label] = STATE(2761),
    [sym_content] = STATE(2761),
    [sym_group] = STATE(2761),
    [sym_block] = STATE(2761),
    [sym_branch] = STATE(2761),
    [sym_let] = STATE(2761),
    [sym_set] = STATE(2761),
    [sym_import] = STATE(2761),
    [sym_include] = STATE(2761),
    [sym_for] = STATE(2761),
    [sym_while] = STATE(2761),
    [sym_show] = STATE(2761),
    [sym_return] = STATE(2761),
    [sym_flow] = STATE(2761),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1645),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1647),
    [sym_none] = ACTIONS(1647),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [180] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(181),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [181] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [182] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(183),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1653),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [183] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [184] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(185),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1657),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [185] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [186] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(187),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [187] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [188] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(189),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [189] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [190] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(191),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1669),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [191] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [192] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(193),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1673),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [193] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [194] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(195),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [195] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [196] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__item] = STATE(3726),
    [sym__stmt] = STATE(3779),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(1237),
    [sym_none] = ACTIONS(1237),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [197] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [198] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(199),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [199] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [200] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [201] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [202] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(203),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [203] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [204] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(205),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1695),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [205] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1697),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [206] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(207),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [207] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [208] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(209),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [209] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [210] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(211),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [211] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [212] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(213),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [213] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [214] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(215),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [215] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [aux_sym_block_repeat1] = STATE(73),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(1231),
    [sym_none] = ACTIONS(1231),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [216] = {
    [sym_raw_blck] = STATE(2679),
    [sym_raw_span] = STATE(2679),
    [sym_math] = STATE(2679),
    [sym__expr] = STATE(2679),
    [sym_ident] = STATE(2679),
    [sym_bool] = STATE(2679),
    [sym_number] = STATE(2679),
    [sym_string] = STATE(2679),
    [sym_tagged] = STATE(2679),
    [sym_context] = STATE(2679),
    [sym_elude] = STATE(2679),
    [sym_assign] = STATE(2679),
    [sym_lambda] = STATE(2679),
    [sym_or] = STATE(2679),
    [sym_not] = STATE(2679),
    [sym_and] = STATE(2679),
    [sym_cmp] = STATE(2679),
    [sym_in] = STATE(2679),
    [sym_add] = STATE(2679),
    [sym_sub] = STATE(2679),
    [sym_mul] = STATE(2679),
    [sym_div] = STATE(2679),
    [sym_sign] = STATE(2679),
    [sym_call] = STATE(2679),
    [sym_field] = STATE(2679),
    [sym_label] = STATE(2679),
    [sym_content] = STATE(2679),
    [sym_group] = STATE(2679),
    [sym_block] = STATE(2679),
    [sym_branch] = STATE(2679),
    [sym_let] = STATE(2679),
    [sym_set] = STATE(2679),
    [sym_import] = STATE(2679),
    [sym_include] = STATE(2679),
    [sym_for] = STATE(2679),
    [sym_while] = STATE(2679),
    [sym_show] = STATE(2679),
    [sym_return] = STATE(2679),
    [sym_flow] = STATE(2679),
    [aux_sym_group_repeat1] = STATE(66),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_RPAREN2] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1721),
    [sym_none] = ACTIONS(1721),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [217] = {
    [sym_raw_blck] = STATE(2832),
    [sym_raw_span] = STATE(2832),
    [sym_math] = STATE(2832),
    [sym__expr] = STATE(2832),
    [sym_ident] = STATE(2832),
    [sym_bool] = STATE(2832),
    [sym_number] = STATE(2832),
    [sym_string] = STATE(2832),
    [sym_tagged] = STATE(2832),
    [sym_context] = STATE(2832),
    [sym_elude] = STATE(2832),
    [sym_assign] = STATE(2832),
    [sym_lambda] = STATE(2832),
    [sym_or] = STATE(2832),
    [sym_not] = STATE(2832),
    [sym_and] = STATE(2832),
    [sym_cmp] = STATE(2832),
    [sym_in] = STATE(2832),
    [sym_add] = STATE(2832),
    [sym_sub] = STATE(2832),
    [sym_mul] = STATE(2832),
    [sym_div] = STATE(2832),
    [sym_sign] = STATE(2832),
    [sym_call] = STATE(2832),
    [sym_field] = STATE(2832),
    [sym_label] = STATE(2832),
    [sym_content] = STATE(2832),
    [sym_group] = STATE(2832),
    [sym_block] = STATE(2832),
    [sym_branch] = STATE(2832),
    [sym_let] = STATE(2832),
    [sym_set] = STATE(2832),
    [sym_import] = STATE(2832),
    [sym_include] = STATE(2832),
    [sym_for] = STATE(2832),
    [sym_while] = STATE(2832),
    [sym_show] = STATE(2832),
    [sym_return] = STATE(2832),
    [sym_flow] = STATE(2832),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1727),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1729),
    [sym_none] = ACTIONS(1729),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [218] = {
    [sym_raw_blck] = STATE(2834),
    [sym_raw_span] = STATE(2834),
    [sym_math] = STATE(2834),
    [sym__expr] = STATE(2834),
    [sym_ident] = STATE(2834),
    [sym_bool] = STATE(2834),
    [sym_number] = STATE(2834),
    [sym_string] = STATE(2834),
    [sym_tagged] = STATE(2834),
    [sym_context] = STATE(2834),
    [sym_elude] = STATE(2834),
    [sym_assign] = STATE(2834),
    [sym_lambda] = STATE(2834),
    [sym_or] = STATE(2834),
    [sym_not] = STATE(2834),
    [sym_and] = STATE(2834),
    [sym_cmp] = STATE(2834),
    [sym_in] = STATE(2834),
    [sym_add] = STATE(2834),
    [sym_sub] = STATE(2834),
    [sym_mul] = STATE(2834),
    [sym_div] = STATE(2834),
    [sym_sign] = STATE(2834),
    [sym_call] = STATE(2834),
    [sym_field] = STATE(2834),
    [sym_label] = STATE(2834),
    [sym_content] = STATE(2834),
    [sym_group] = STATE(2834),
    [sym_block] = STATE(2834),
    [sym_branch] = STATE(2834),
    [sym_let] = STATE(2834),
    [sym_set] = STATE(2834),
    [sym_import] = STATE(2834),
    [sym_include] = STATE(2834),
    [sym_for] = STATE(2834),
    [sym_while] = STATE(2834),
    [sym_show] = STATE(2834),
    [sym_return] = STATE(2834),
    [sym_flow] = STATE(2834),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1731),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1733),
    [sym_none] = ACTIONS(1733),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [219] = {
    [sym_raw_blck] = STATE(2837),
    [sym_raw_span] = STATE(2837),
    [sym_math] = STATE(2837),
    [sym__expr] = STATE(2837),
    [sym_ident] = STATE(2837),
    [sym_bool] = STATE(2837),
    [sym_number] = STATE(2837),
    [sym_string] = STATE(2837),
    [sym_tagged] = STATE(2837),
    [sym_context] = STATE(2837),
    [sym_elude] = STATE(2837),
    [sym_assign] = STATE(2837),
    [sym_lambda] = STATE(2837),
    [sym_or] = STATE(2837),
    [sym_not] = STATE(2837),
    [sym_and] = STATE(2837),
    [sym_cmp] = STATE(2837),
    [sym_in] = STATE(2837),
    [sym_add] = STATE(2837),
    [sym_sub] = STATE(2837),
    [sym_mul] = STATE(2837),
    [sym_div] = STATE(2837),
    [sym_sign] = STATE(2837),
    [sym_call] = STATE(2837),
    [sym_field] = STATE(2837),
    [sym_label] = STATE(2837),
    [sym_content] = STATE(2837),
    [sym_group] = STATE(2837),
    [sym_block] = STATE(2837),
    [sym_branch] = STATE(2837),
    [sym_let] = STATE(2837),
    [sym_set] = STATE(2837),
    [sym_import] = STATE(2837),
    [sym_include] = STATE(2837),
    [sym_for] = STATE(2837),
    [sym_while] = STATE(2837),
    [sym_show] = STATE(2837),
    [sym_return] = STATE(2837),
    [sym_flow] = STATE(2837),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1735),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1737),
    [sym_none] = ACTIONS(1737),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [220] = {
    [sym_raw_blck] = STATE(2945),
    [sym_raw_span] = STATE(2945),
    [sym_math] = STATE(2945),
    [sym__expr] = STATE(2945),
    [sym_ident] = STATE(2945),
    [sym_bool] = STATE(2945),
    [sym_number] = STATE(2945),
    [sym_string] = STATE(2945),
    [sym_tagged] = STATE(2945),
    [sym_context] = STATE(2945),
    [sym_elude] = STATE(2945),
    [sym_assign] = STATE(2945),
    [sym_lambda] = STATE(2945),
    [sym_or] = STATE(2945),
    [sym_not] = STATE(2945),
    [sym_and] = STATE(2945),
    [sym_cmp] = STATE(2945),
    [sym_in] = STATE(2945),
    [sym_add] = STATE(2945),
    [sym_sub] = STATE(2945),
    [sym_mul] = STATE(2945),
    [sym_div] = STATE(2945),
    [sym_sign] = STATE(2945),
    [sym_call] = STATE(2945),
    [sym_field] = STATE(2945),
    [sym_label] = STATE(2945),
    [sym_content] = STATE(2945),
    [sym_group] = STATE(2945),
    [sym_block] = STATE(2945),
    [sym_branch] = STATE(2945),
    [sym_let] = STATE(2945),
    [sym_set] = STATE(2945),
    [sym_import] = STATE(2945),
    [sym_include] = STATE(2945),
    [sym_for] = STATE(2945),
    [sym_while] = STATE(2945),
    [sym_show] = STATE(2945),
    [sym_return] = STATE(2945),
    [sym_flow] = STATE(2945),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1739),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1741),
    [sym_none] = ACTIONS(1741),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [221] = {
    [sym_raw_blck] = STATE(2984),
    [sym_raw_span] = STATE(2984),
    [sym_math] = STATE(2984),
    [sym__expr] = STATE(2984),
    [sym_ident] = STATE(2984),
    [sym_bool] = STATE(2984),
    [sym_number] = STATE(2984),
    [sym_string] = STATE(2984),
    [sym_tagged] = STATE(2984),
    [sym_context] = STATE(2984),
    [sym_elude] = STATE(2984),
    [sym_assign] = STATE(2984),
    [sym_lambda] = STATE(2984),
    [sym_or] = STATE(2984),
    [sym_not] = STATE(2984),
    [sym_and] = STATE(2984),
    [sym_cmp] = STATE(2984),
    [sym_in] = STATE(2984),
    [sym_add] = STATE(2984),
    [sym_sub] = STATE(2984),
    [sym_mul] = STATE(2984),
    [sym_div] = STATE(2984),
    [sym_sign] = STATE(2984),
    [sym_call] = STATE(2984),
    [sym_field] = STATE(2984),
    [sym_label] = STATE(2984),
    [sym_content] = STATE(2984),
    [sym_group] = STATE(2984),
    [sym_block] = STATE(2984),
    [sym_branch] = STATE(2984),
    [sym_let] = STATE(2984),
    [sym_set] = STATE(2984),
    [sym_import] = STATE(2984),
    [sym_include] = STATE(2984),
    [sym_for] = STATE(2984),
    [sym_while] = STATE(2984),
    [sym_show] = STATE(2984),
    [sym_return] = STATE(2984),
    [sym_flow] = STATE(2984),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1743),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1745),
    [sym_none] = ACTIONS(1745),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [222] = {
    [sym_raw_blck] = STATE(2827),
    [sym_raw_span] = STATE(2827),
    [sym_math] = STATE(2827),
    [sym__expr] = STATE(2827),
    [sym_ident] = STATE(2827),
    [sym_bool] = STATE(2827),
    [sym_number] = STATE(2827),
    [sym_string] = STATE(2827),
    [sym_tagged] = STATE(2827),
    [sym_context] = STATE(2827),
    [sym_elude] = STATE(2827),
    [sym_assign] = STATE(2827),
    [sym_lambda] = STATE(2827),
    [sym_or] = STATE(2827),
    [sym_not] = STATE(2827),
    [sym_and] = STATE(2827),
    [sym_cmp] = STATE(2827),
    [sym_in] = STATE(2827),
    [sym_add] = STATE(2827),
    [sym_sub] = STATE(2827),
    [sym_mul] = STATE(2827),
    [sym_div] = STATE(2827),
    [sym_sign] = STATE(2827),
    [sym_call] = STATE(2827),
    [sym_field] = STATE(2827),
    [sym_label] = STATE(2827),
    [sym_content] = STATE(2827),
    [sym_group] = STATE(2827),
    [sym_block] = STATE(2827),
    [sym_branch] = STATE(2827),
    [sym_let] = STATE(2827),
    [sym_set] = STATE(2827),
    [sym_import] = STATE(2827),
    [sym_include] = STATE(2827),
    [sym_for] = STATE(2827),
    [sym_while] = STATE(2827),
    [sym_show] = STATE(2827),
    [sym_return] = STATE(2827),
    [sym_flow] = STATE(2827),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1747),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1749),
    [sym_none] = ACTIONS(1749),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [223] = {
    [sym_raw_blck] = STATE(2815),
    [sym_raw_span] = STATE(2815),
    [sym_math] = STATE(2815),
    [sym__expr] = STATE(2815),
    [sym_ident] = STATE(2815),
    [sym_bool] = STATE(2815),
    [sym_number] = STATE(2815),
    [sym_string] = STATE(2815),
    [sym_tagged] = STATE(2815),
    [sym_context] = STATE(2815),
    [sym_elude] = STATE(2815),
    [sym_assign] = STATE(2815),
    [sym_lambda] = STATE(2815),
    [sym_or] = STATE(2815),
    [sym_not] = STATE(2815),
    [sym_and] = STATE(2815),
    [sym_cmp] = STATE(2815),
    [sym_in] = STATE(2815),
    [sym_add] = STATE(2815),
    [sym_sub] = STATE(2815),
    [sym_mul] = STATE(2815),
    [sym_div] = STATE(2815),
    [sym_sign] = STATE(2815),
    [sym_call] = STATE(2815),
    [sym_field] = STATE(2815),
    [sym_label] = STATE(2815),
    [sym_content] = STATE(2815),
    [sym_group] = STATE(2815),
    [sym_block] = STATE(2815),
    [sym_branch] = STATE(2815),
    [sym_let] = STATE(2815),
    [sym_set] = STATE(2815),
    [sym_import] = STATE(2815),
    [sym_include] = STATE(2815),
    [sym_for] = STATE(2815),
    [sym_while] = STATE(2815),
    [sym_show] = STATE(2815),
    [sym_return] = STATE(2815),
    [sym_flow] = STATE(2815),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1751),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1753),
    [sym_none] = ACTIONS(1753),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [224] = {
    [sym_raw_blck] = STATE(2962),
    [sym_raw_span] = STATE(2962),
    [sym_math] = STATE(2962),
    [sym__expr] = STATE(2962),
    [sym_ident] = STATE(2962),
    [sym_bool] = STATE(2962),
    [sym_number] = STATE(2962),
    [sym_string] = STATE(2962),
    [sym_tagged] = STATE(2962),
    [sym_context] = STATE(2962),
    [sym_elude] = STATE(2962),
    [sym_assign] = STATE(2962),
    [sym_lambda] = STATE(2962),
    [sym_or] = STATE(2962),
    [sym_not] = STATE(2962),
    [sym_and] = STATE(2962),
    [sym_cmp] = STATE(2962),
    [sym_in] = STATE(2962),
    [sym_add] = STATE(2962),
    [sym_sub] = STATE(2962),
    [sym_mul] = STATE(2962),
    [sym_div] = STATE(2962),
    [sym_sign] = STATE(2962),
    [sym_call] = STATE(2962),
    [sym_field] = STATE(2962),
    [sym_label] = STATE(2962),
    [sym_content] = STATE(2962),
    [sym_group] = STATE(2962),
    [sym_block] = STATE(2962),
    [sym_branch] = STATE(2962),
    [sym_let] = STATE(2962),
    [sym_set] = STATE(2962),
    [sym_import] = STATE(2962),
    [sym_include] = STATE(2962),
    [sym_for] = STATE(2962),
    [sym_while] = STATE(2962),
    [sym_show] = STATE(2962),
    [sym_return] = STATE(2962),
    [sym_flow] = STATE(2962),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1755),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1757),
    [sym_none] = ACTIONS(1757),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [225] = {
    [sym_raw_blck] = STATE(2845),
    [sym_raw_span] = STATE(2845),
    [sym_math] = STATE(2845),
    [sym__expr] = STATE(2845),
    [sym_ident] = STATE(2845),
    [sym_bool] = STATE(2845),
    [sym_number] = STATE(2845),
    [sym_string] = STATE(2845),
    [sym_tagged] = STATE(2845),
    [sym_context] = STATE(2845),
    [sym_elude] = STATE(2845),
    [sym_assign] = STATE(2845),
    [sym_lambda] = STATE(2845),
    [sym_or] = STATE(2845),
    [sym_not] = STATE(2845),
    [sym_and] = STATE(2845),
    [sym_cmp] = STATE(2845),
    [sym_in] = STATE(2845),
    [sym_add] = STATE(2845),
    [sym_sub] = STATE(2845),
    [sym_mul] = STATE(2845),
    [sym_div] = STATE(2845),
    [sym_sign] = STATE(2845),
    [sym_call] = STATE(2845),
    [sym_field] = STATE(2845),
    [sym_label] = STATE(2845),
    [sym_content] = STATE(2845),
    [sym_group] = STATE(2845),
    [sym_block] = STATE(2845),
    [sym_branch] = STATE(2845),
    [sym_let] = STATE(2845),
    [sym_set] = STATE(2845),
    [sym_import] = STATE(2845),
    [sym_include] = STATE(2845),
    [sym_for] = STATE(2845),
    [sym_while] = STATE(2845),
    [sym_show] = STATE(2845),
    [sym_return] = STATE(2845),
    [sym_flow] = STATE(2845),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1759),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1761),
    [sym_none] = ACTIONS(1761),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [226] = {
    [sym_raw_blck] = STATE(2866),
    [sym_raw_span] = STATE(2866),
    [sym_math] = STATE(2866),
    [sym__expr] = STATE(2866),
    [sym_ident] = STATE(2866),
    [sym_bool] = STATE(2866),
    [sym_number] = STATE(2866),
    [sym_string] = STATE(2866),
    [sym_tagged] = STATE(2866),
    [sym_context] = STATE(2866),
    [sym_elude] = STATE(2866),
    [sym_assign] = STATE(2866),
    [sym_lambda] = STATE(2866),
    [sym_or] = STATE(2866),
    [sym_not] = STATE(2866),
    [sym_and] = STATE(2866),
    [sym_cmp] = STATE(2866),
    [sym_in] = STATE(2866),
    [sym_add] = STATE(2866),
    [sym_sub] = STATE(2866),
    [sym_mul] = STATE(2866),
    [sym_div] = STATE(2866),
    [sym_sign] = STATE(2866),
    [sym_call] = STATE(2866),
    [sym_field] = STATE(2866),
    [sym_label] = STATE(2866),
    [sym_content] = STATE(2866),
    [sym_group] = STATE(2866),
    [sym_block] = STATE(2866),
    [sym_branch] = STATE(2866),
    [sym_let] = STATE(2866),
    [sym_set] = STATE(2866),
    [sym_import] = STATE(2866),
    [sym_include] = STATE(2866),
    [sym_for] = STATE(2866),
    [sym_while] = STATE(2866),
    [sym_show] = STATE(2866),
    [sym_return] = STATE(2866),
    [sym_flow] = STATE(2866),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1763),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1765),
    [sym_none] = ACTIONS(1765),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [227] = {
    [sym_raw_blck] = STATE(2937),
    [sym_raw_span] = STATE(2937),
    [sym_math] = STATE(2937),
    [sym__expr] = STATE(2937),
    [sym_ident] = STATE(2937),
    [sym_bool] = STATE(2937),
    [sym_number] = STATE(2937),
    [sym_string] = STATE(2937),
    [sym_tagged] = STATE(2937),
    [sym_context] = STATE(2937),
    [sym_elude] = STATE(2937),
    [sym_assign] = STATE(2937),
    [sym_lambda] = STATE(2937),
    [sym_or] = STATE(2937),
    [sym_not] = STATE(2937),
    [sym_and] = STATE(2937),
    [sym_cmp] = STATE(2937),
    [sym_in] = STATE(2937),
    [sym_add] = STATE(2937),
    [sym_sub] = STATE(2937),
    [sym_mul] = STATE(2937),
    [sym_div] = STATE(2937),
    [sym_sign] = STATE(2937),
    [sym_call] = STATE(2937),
    [sym_field] = STATE(2937),
    [sym_label] = STATE(2937),
    [sym_content] = STATE(2937),
    [sym_group] = STATE(2937),
    [sym_block] = STATE(2937),
    [sym_branch] = STATE(2937),
    [sym_let] = STATE(2937),
    [sym_set] = STATE(2937),
    [sym_import] = STATE(2937),
    [sym_include] = STATE(2937),
    [sym_for] = STATE(2937),
    [sym_while] = STATE(2937),
    [sym_show] = STATE(2937),
    [sym_return] = STATE(2937),
    [sym_flow] = STATE(2937),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1767),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1769),
    [sym_none] = ACTIONS(1769),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [228] = {
    [sym_raw_blck] = STATE(2997),
    [sym_raw_span] = STATE(2997),
    [sym_math] = STATE(2997),
    [sym__expr] = STATE(2997),
    [sym_ident] = STATE(2997),
    [sym_bool] = STATE(2997),
    [sym_number] = STATE(2997),
    [sym_string] = STATE(2997),
    [sym_tagged] = STATE(2997),
    [sym_context] = STATE(2997),
    [sym_elude] = STATE(2997),
    [sym_assign] = STATE(2997),
    [sym_lambda] = STATE(2997),
    [sym_or] = STATE(2997),
    [sym_not] = STATE(2997),
    [sym_and] = STATE(2997),
    [sym_cmp] = STATE(2997),
    [sym_in] = STATE(2997),
    [sym_add] = STATE(2997),
    [sym_sub] = STATE(2997),
    [sym_mul] = STATE(2997),
    [sym_div] = STATE(2997),
    [sym_sign] = STATE(2997),
    [sym_call] = STATE(2997),
    [sym_field] = STATE(2997),
    [sym_label] = STATE(2997),
    [sym_content] = STATE(2997),
    [sym_group] = STATE(2997),
    [sym_block] = STATE(2997),
    [sym_branch] = STATE(2997),
    [sym_let] = STATE(2997),
    [sym_set] = STATE(2997),
    [sym_import] = STATE(2997),
    [sym_include] = STATE(2997),
    [sym_for] = STATE(2997),
    [sym_while] = STATE(2997),
    [sym_show] = STATE(2997),
    [sym_return] = STATE(2997),
    [sym_flow] = STATE(2997),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1771),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1773),
    [sym_none] = ACTIONS(1773),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [229] = {
    [sym_raw_blck] = STATE(2818),
    [sym_raw_span] = STATE(2818),
    [sym_math] = STATE(2818),
    [sym__expr] = STATE(2818),
    [sym_ident] = STATE(2818),
    [sym_bool] = STATE(2818),
    [sym_number] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_tagged] = STATE(2818),
    [sym_context] = STATE(2818),
    [sym_elude] = STATE(2818),
    [sym_assign] = STATE(2818),
    [sym_lambda] = STATE(2818),
    [sym_or] = STATE(2818),
    [sym_not] = STATE(2818),
    [sym_and] = STATE(2818),
    [sym_cmp] = STATE(2818),
    [sym_in] = STATE(2818),
    [sym_add] = STATE(2818),
    [sym_sub] = STATE(2818),
    [sym_mul] = STATE(2818),
    [sym_div] = STATE(2818),
    [sym_sign] = STATE(2818),
    [sym_call] = STATE(2818),
    [sym_field] = STATE(2818),
    [sym_label] = STATE(2818),
    [sym_content] = STATE(2818),
    [sym_group] = STATE(2818),
    [sym_block] = STATE(2818),
    [sym_branch] = STATE(2818),
    [sym_let] = STATE(2818),
    [sym_set] = STATE(2818),
    [sym_import] = STATE(2818),
    [sym_include] = STATE(2818),
    [sym_for] = STATE(2818),
    [sym_while] = STATE(2818),
    [sym_show] = STATE(2818),
    [sym_return] = STATE(2818),
    [sym_flow] = STATE(2818),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1775),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1777),
    [sym_none] = ACTIONS(1777),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [230] = {
    [sym_raw_blck] = STATE(2823),
    [sym_raw_span] = STATE(2823),
    [sym_math] = STATE(2823),
    [sym__expr] = STATE(2823),
    [sym_ident] = STATE(2823),
    [sym_bool] = STATE(2823),
    [sym_number] = STATE(2823),
    [sym_string] = STATE(2823),
    [sym_tagged] = STATE(2823),
    [sym_context] = STATE(2823),
    [sym_elude] = STATE(2823),
    [sym_assign] = STATE(2823),
    [sym_lambda] = STATE(2823),
    [sym_or] = STATE(2823),
    [sym_not] = STATE(2823),
    [sym_and] = STATE(2823),
    [sym_cmp] = STATE(2823),
    [sym_in] = STATE(2823),
    [sym_add] = STATE(2823),
    [sym_sub] = STATE(2823),
    [sym_mul] = STATE(2823),
    [sym_div] = STATE(2823),
    [sym_sign] = STATE(2823),
    [sym_call] = STATE(2823),
    [sym_field] = STATE(2823),
    [sym_label] = STATE(2823),
    [sym_content] = STATE(2823),
    [sym_group] = STATE(2823),
    [sym_block] = STATE(2823),
    [sym_branch] = STATE(2823),
    [sym_let] = STATE(2823),
    [sym_set] = STATE(2823),
    [sym_import] = STATE(2823),
    [sym_include] = STATE(2823),
    [sym_for] = STATE(2823),
    [sym_while] = STATE(2823),
    [sym_show] = STATE(2823),
    [sym_return] = STATE(2823),
    [sym_flow] = STATE(2823),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1779),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1781),
    [sym_none] = ACTIONS(1781),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [231] = {
    [sym_raw_blck] = STATE(2848),
    [sym_raw_span] = STATE(2848),
    [sym_math] = STATE(2848),
    [sym__expr] = STATE(2848),
    [sym_ident] = STATE(2848),
    [sym_bool] = STATE(2848),
    [sym_number] = STATE(2848),
    [sym_string] = STATE(2848),
    [sym_tagged] = STATE(2848),
    [sym_context] = STATE(2848),
    [sym_elude] = STATE(2848),
    [sym_assign] = STATE(2848),
    [sym_lambda] = STATE(2848),
    [sym_or] = STATE(2848),
    [sym_not] = STATE(2848),
    [sym_and] = STATE(2848),
    [sym_cmp] = STATE(2848),
    [sym_in] = STATE(2848),
    [sym_add] = STATE(2848),
    [sym_sub] = STATE(2848),
    [sym_mul] = STATE(2848),
    [sym_div] = STATE(2848),
    [sym_sign] = STATE(2848),
    [sym_call] = STATE(2848),
    [sym_field] = STATE(2848),
    [sym_label] = STATE(2848),
    [sym_content] = STATE(2848),
    [sym_group] = STATE(2848),
    [sym_block] = STATE(2848),
    [sym_branch] = STATE(2848),
    [sym_let] = STATE(2848),
    [sym_set] = STATE(2848),
    [sym_import] = STATE(2848),
    [sym_include] = STATE(2848),
    [sym_for] = STATE(2848),
    [sym_while] = STATE(2848),
    [sym_show] = STATE(2848),
    [sym_return] = STATE(2848),
    [sym_flow] = STATE(2848),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1783),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1785),
    [sym_none] = ACTIONS(1785),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [232] = {
    [sym_raw_blck] = STATE(2907),
    [sym_raw_span] = STATE(2907),
    [sym_math] = STATE(2907),
    [sym__expr] = STATE(2907),
    [sym_ident] = STATE(2907),
    [sym_bool] = STATE(2907),
    [sym_number] = STATE(2907),
    [sym_string] = STATE(2907),
    [sym_tagged] = STATE(2907),
    [sym_context] = STATE(2907),
    [sym_elude] = STATE(2907),
    [sym_assign] = STATE(2907),
    [sym_lambda] = STATE(2907),
    [sym_or] = STATE(2907),
    [sym_not] = STATE(2907),
    [sym_and] = STATE(2907),
    [sym_cmp] = STATE(2907),
    [sym_in] = STATE(2907),
    [sym_add] = STATE(2907),
    [sym_sub] = STATE(2907),
    [sym_mul] = STATE(2907),
    [sym_div] = STATE(2907),
    [sym_sign] = STATE(2907),
    [sym_call] = STATE(2907),
    [sym_field] = STATE(2907),
    [sym_label] = STATE(2907),
    [sym_content] = STATE(2907),
    [sym_group] = STATE(2907),
    [sym_block] = STATE(2907),
    [sym_branch] = STATE(2907),
    [sym_let] = STATE(2907),
    [sym_set] = STATE(2907),
    [sym_import] = STATE(2907),
    [sym_include] = STATE(2907),
    [sym_for] = STATE(2907),
    [sym_while] = STATE(2907),
    [sym_show] = STATE(2907),
    [sym_return] = STATE(2907),
    [sym_flow] = STATE(2907),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1787),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1789),
    [sym_none] = ACTIONS(1789),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [233] = {
    [sym_raw_blck] = STATE(2972),
    [sym_raw_span] = STATE(2972),
    [sym_math] = STATE(2972),
    [sym__expr] = STATE(2972),
    [sym_ident] = STATE(2972),
    [sym_bool] = STATE(2972),
    [sym_number] = STATE(2972),
    [sym_string] = STATE(2972),
    [sym_tagged] = STATE(2972),
    [sym_context] = STATE(2972),
    [sym_elude] = STATE(2972),
    [sym_assign] = STATE(2972),
    [sym_lambda] = STATE(2972),
    [sym_or] = STATE(2972),
    [sym_not] = STATE(2972),
    [sym_and] = STATE(2972),
    [sym_cmp] = STATE(2972),
    [sym_in] = STATE(2972),
    [sym_add] = STATE(2972),
    [sym_sub] = STATE(2972),
    [sym_mul] = STATE(2972),
    [sym_div] = STATE(2972),
    [sym_sign] = STATE(2972),
    [sym_call] = STATE(2972),
    [sym_field] = STATE(2972),
    [sym_label] = STATE(2972),
    [sym_content] = STATE(2972),
    [sym_group] = STATE(2972),
    [sym_block] = STATE(2972),
    [sym_branch] = STATE(2972),
    [sym_let] = STATE(2972),
    [sym_set] = STATE(2972),
    [sym_import] = STATE(2972),
    [sym_include] = STATE(2972),
    [sym_for] = STATE(2972),
    [sym_while] = STATE(2972),
    [sym_show] = STATE(2972),
    [sym_return] = STATE(2972),
    [sym_flow] = STATE(2972),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1791),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1793),
    [sym_none] = ACTIONS(1793),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [234] = {
    [sym_raw_blck] = STATE(2954),
    [sym_raw_span] = STATE(2954),
    [sym_math] = STATE(2954),
    [sym__expr] = STATE(2954),
    [sym_ident] = STATE(2954),
    [sym_bool] = STATE(2954),
    [sym_number] = STATE(2954),
    [sym_string] = STATE(2954),
    [sym_tagged] = STATE(2954),
    [sym_context] = STATE(2954),
    [sym_elude] = STATE(2954),
    [sym_assign] = STATE(2954),
    [sym_lambda] = STATE(2954),
    [sym_or] = STATE(2954),
    [sym_not] = STATE(2954),
    [sym_and] = STATE(2954),
    [sym_cmp] = STATE(2954),
    [sym_in] = STATE(2954),
    [sym_add] = STATE(2954),
    [sym_sub] = STATE(2954),
    [sym_mul] = STATE(2954),
    [sym_div] = STATE(2954),
    [sym_sign] = STATE(2954),
    [sym_call] = STATE(2954),
    [sym_field] = STATE(2954),
    [sym_label] = STATE(2954),
    [sym_content] = STATE(2954),
    [sym_group] = STATE(2954),
    [sym_block] = STATE(2954),
    [sym_branch] = STATE(2954),
    [sym_let] = STATE(2954),
    [sym_set] = STATE(2954),
    [sym_import] = STATE(2954),
    [sym_include] = STATE(2954),
    [sym_for] = STATE(2954),
    [sym_while] = STATE(2954),
    [sym_show] = STATE(2954),
    [sym_return] = STATE(2954),
    [sym_flow] = STATE(2954),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1795),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1797),
    [sym_none] = ACTIONS(1797),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [235] = {
    [sym_raw_blck] = STATE(2849),
    [sym_raw_span] = STATE(2849),
    [sym_math] = STATE(2849),
    [sym__expr] = STATE(2849),
    [sym_ident] = STATE(2849),
    [sym_bool] = STATE(2849),
    [sym_number] = STATE(2849),
    [sym_string] = STATE(2849),
    [sym_tagged] = STATE(2849),
    [sym_context] = STATE(2849),
    [sym_elude] = STATE(2849),
    [sym_assign] = STATE(2849),
    [sym_lambda] = STATE(2849),
    [sym_or] = STATE(2849),
    [sym_not] = STATE(2849),
    [sym_and] = STATE(2849),
    [sym_cmp] = STATE(2849),
    [sym_in] = STATE(2849),
    [sym_add] = STATE(2849),
    [sym_sub] = STATE(2849),
    [sym_mul] = STATE(2849),
    [sym_div] = STATE(2849),
    [sym_sign] = STATE(2849),
    [sym_call] = STATE(2849),
    [sym_field] = STATE(2849),
    [sym_label] = STATE(2849),
    [sym_content] = STATE(2849),
    [sym_group] = STATE(2849),
    [sym_block] = STATE(2849),
    [sym_branch] = STATE(2849),
    [sym_let] = STATE(2849),
    [sym_set] = STATE(2849),
    [sym_import] = STATE(2849),
    [sym_include] = STATE(2849),
    [sym_for] = STATE(2849),
    [sym_while] = STATE(2849),
    [sym_show] = STATE(2849),
    [sym_return] = STATE(2849),
    [sym_flow] = STATE(2849),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1799),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1801),
    [sym_none] = ACTIONS(1801),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [236] = {
    [sym_raw_blck] = STATE(2911),
    [sym_raw_span] = STATE(2911),
    [sym_math] = STATE(2911),
    [sym__expr] = STATE(2911),
    [sym_ident] = STATE(2911),
    [sym_bool] = STATE(2911),
    [sym_number] = STATE(2911),
    [sym_string] = STATE(2911),
    [sym_tagged] = STATE(2911),
    [sym_context] = STATE(2911),
    [sym_elude] = STATE(2911),
    [sym_assign] = STATE(2911),
    [sym_lambda] = STATE(2911),
    [sym_or] = STATE(2911),
    [sym_not] = STATE(2911),
    [sym_and] = STATE(2911),
    [sym_cmp] = STATE(2911),
    [sym_in] = STATE(2911),
    [sym_add] = STATE(2911),
    [sym_sub] = STATE(2911),
    [sym_mul] = STATE(2911),
    [sym_div] = STATE(2911),
    [sym_sign] = STATE(2911),
    [sym_call] = STATE(2911),
    [sym_field] = STATE(2911),
    [sym_label] = STATE(2911),
    [sym_content] = STATE(2911),
    [sym_group] = STATE(2911),
    [sym_block] = STATE(2911),
    [sym_branch] = STATE(2911),
    [sym_let] = STATE(2911),
    [sym_set] = STATE(2911),
    [sym_import] = STATE(2911),
    [sym_include] = STATE(2911),
    [sym_for] = STATE(2911),
    [sym_while] = STATE(2911),
    [sym_show] = STATE(2911),
    [sym_return] = STATE(2911),
    [sym_flow] = STATE(2911),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_COLON2] = ACTIONS(1803),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(1805),
    [sym_none] = ACTIONS(1805),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [237] = {
    [sym_raw_blck] = STATE(1385),
    [sym_raw_span] = STATE(1385),
    [sym_math] = STATE(1385),
    [sym__expr] = STATE(1385),
    [sym_ident] = STATE(1385),
    [sym_bool] = STATE(1385),
    [sym_number] = STATE(1385),
    [sym_string] = STATE(1385),
    [sym_tagged] = STATE(1385),
    [sym_context] = STATE(1385),
    [sym_elude] = STATE(1385),
    [sym_assign] = STATE(1385),
    [sym_lambda] = STATE(1385),
    [sym_or] = STATE(1385),
    [sym_not] = STATE(1385),
    [sym_and] = STATE(1385),
    [sym_cmp] = STATE(1385),
    [sym_in] = STATE(1385),
    [sym_add] = STATE(1385),
    [sym_sub] = STATE(1385),
    [sym_mul] = STATE(1385),
    [sym_div] = STATE(1385),
    [sym_sign] = STATE(1385),
    [sym_call] = STATE(1385),
    [sym_field] = STATE(1385),
    [sym_label] = STATE(1385),
    [sym_content] = STATE(1385),
    [sym_group] = STATE(1385),
    [sym_block] = STATE(1385),
    [sym_branch] = STATE(1385),
    [sym_let] = STATE(1385),
    [sym_set] = STATE(1385),
    [sym_import] = STATE(1385),
    [sym_include] = STATE(1385),
    [sym_for] = STATE(1385),
    [sym_while] = STATE(1385),
    [sym_show] = STATE(1385),
    [sym_return] = STATE(1385),
    [sym_flow] = STATE(1385),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(1811),
    [sym_none] = ACTIONS(1811),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [238] = {
    [sym_raw_blck] = STATE(2087),
    [sym_raw_span] = STATE(2087),
    [sym_math] = STATE(2087),
    [sym__expr] = STATE(2087),
    [sym_ident] = STATE(2087),
    [sym_bool] = STATE(2087),
    [sym_number] = STATE(2087),
    [sym_string] = STATE(2087),
    [sym_tagged] = STATE(2087),
    [sym_context] = STATE(2087),
    [sym_elude] = STATE(2087),
    [sym_assign] = STATE(2087),
    [sym_lambda] = STATE(2087),
    [sym_or] = STATE(2087),
    [sym_not] = STATE(2087),
    [sym_and] = STATE(2087),
    [sym_cmp] = STATE(2087),
    [sym_in] = STATE(2087),
    [sym_add] = STATE(2087),
    [sym_sub] = STATE(2087),
    [sym_mul] = STATE(2087),
    [sym_div] = STATE(2087),
    [sym_sign] = STATE(2087),
    [sym_call] = STATE(2087),
    [sym_field] = STATE(2087),
    [sym_label] = STATE(2087),
    [sym_content] = STATE(2087),
    [sym_group] = STATE(2087),
    [sym_block] = STATE(2087),
    [sym_branch] = STATE(2087),
    [sym_let] = STATE(2087),
    [sym_set] = STATE(2087),
    [sym_import] = STATE(2087),
    [sym_include] = STATE(2087),
    [sym_for] = STATE(2087),
    [sym_while] = STATE(2087),
    [sym_show] = STATE(2087),
    [sym_return] = STATE(2087),
    [sym_flow] = STATE(2087),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1817),
    [sym_none] = ACTIONS(1817),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [239] = {
    [sym_raw_blck] = STATE(2303),
    [sym_raw_span] = STATE(2303),
    [sym_math] = STATE(2303),
    [sym__expr] = STATE(2303),
    [sym_ident] = STATE(2303),
    [sym_bool] = STATE(2303),
    [sym_number] = STATE(2303),
    [sym_string] = STATE(2303),
    [sym_tagged] = STATE(2303),
    [sym_context] = STATE(2303),
    [sym_elude] = STATE(2303),
    [sym_assign] = STATE(2303),
    [sym_lambda] = STATE(2303),
    [sym_or] = STATE(2303),
    [sym_not] = STATE(2303),
    [sym_and] = STATE(2303),
    [sym_cmp] = STATE(2303),
    [sym_in] = STATE(2303),
    [sym_add] = STATE(2303),
    [sym_sub] = STATE(2303),
    [sym_mul] = STATE(2303),
    [sym_div] = STATE(2303),
    [sym_sign] = STATE(2303),
    [sym_call] = STATE(2303),
    [sym_field] = STATE(2303),
    [sym_label] = STATE(2303),
    [sym_content] = STATE(2303),
    [sym_group] = STATE(2303),
    [sym_block] = STATE(2303),
    [sym_branch] = STATE(2303),
    [sym_let] = STATE(2303),
    [sym_set] = STATE(2303),
    [sym_import] = STATE(2303),
    [sym_include] = STATE(2303),
    [sym_for] = STATE(2303),
    [sym_while] = STATE(2303),
    [sym_show] = STATE(2303),
    [sym_return] = STATE(2303),
    [sym_flow] = STATE(2303),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1819),
    [sym_none] = ACTIONS(1819),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [240] = {
    [sym_raw_blck] = STATE(2311),
    [sym_raw_span] = STATE(2311),
    [sym_math] = STATE(2311),
    [sym__expr] = STATE(2311),
    [sym_ident] = STATE(2311),
    [sym_bool] = STATE(2311),
    [sym_number] = STATE(2311),
    [sym_string] = STATE(2311),
    [sym_tagged] = STATE(2311),
    [sym_context] = STATE(2311),
    [sym_elude] = STATE(2311),
    [sym_assign] = STATE(2311),
    [sym_lambda] = STATE(2311),
    [sym_or] = STATE(2311),
    [sym_not] = STATE(2311),
    [sym_and] = STATE(2311),
    [sym_cmp] = STATE(2311),
    [sym_in] = STATE(2311),
    [sym_add] = STATE(2311),
    [sym_sub] = STATE(2311),
    [sym_mul] = STATE(2311),
    [sym_div] = STATE(2311),
    [sym_sign] = STATE(2311),
    [sym_call] = STATE(2311),
    [sym_field] = STATE(2311),
    [sym_label] = STATE(2311),
    [sym_content] = STATE(2311),
    [sym_group] = STATE(2311),
    [sym_block] = STATE(2311),
    [sym_branch] = STATE(2311),
    [sym_let] = STATE(2311),
    [sym_set] = STATE(2311),
    [sym_import] = STATE(2311),
    [sym_include] = STATE(2311),
    [sym_for] = STATE(2311),
    [sym_while] = STATE(2311),
    [sym_show] = STATE(2311),
    [sym_return] = STATE(2311),
    [sym_flow] = STATE(2311),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1821),
    [sym_none] = ACTIONS(1821),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [241] = {
    [sym_raw_blck] = STATE(2342),
    [sym_raw_span] = STATE(2342),
    [sym_math] = STATE(2342),
    [sym__expr] = STATE(2342),
    [sym_ident] = STATE(2342),
    [sym_bool] = STATE(2342),
    [sym_number] = STATE(2342),
    [sym_string] = STATE(2342),
    [sym_tagged] = STATE(2342),
    [sym_context] = STATE(2342),
    [sym_elude] = STATE(2342),
    [sym_assign] = STATE(2342),
    [sym_lambda] = STATE(2342),
    [sym_or] = STATE(2342),
    [sym_not] = STATE(2342),
    [sym_and] = STATE(2342),
    [sym_cmp] = STATE(2342),
    [sym_in] = STATE(2342),
    [sym_add] = STATE(2342),
    [sym_sub] = STATE(2342),
    [sym_mul] = STATE(2342),
    [sym_div] = STATE(2342),
    [sym_sign] = STATE(2342),
    [sym_call] = STATE(2342),
    [sym_field] = STATE(2342),
    [sym_label] = STATE(2342),
    [sym_content] = STATE(2342),
    [sym_group] = STATE(2342),
    [sym_block] = STATE(2342),
    [sym_branch] = STATE(2342),
    [sym_let] = STATE(2342),
    [sym_set] = STATE(2342),
    [sym_import] = STATE(2342),
    [sym_include] = STATE(2342),
    [sym_for] = STATE(2342),
    [sym_while] = STATE(2342),
    [sym_show] = STATE(2342),
    [sym_return] = STATE(2342),
    [sym_flow] = STATE(2342),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1823),
    [sym_none] = ACTIONS(1823),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [242] = {
    [sym_raw_blck] = STATE(2065),
    [sym_raw_span] = STATE(2065),
    [sym_math] = STATE(2065),
    [sym__expr] = STATE(2065),
    [sym_ident] = STATE(2065),
    [sym_bool] = STATE(2065),
    [sym_number] = STATE(2065),
    [sym_string] = STATE(2065),
    [sym_tagged] = STATE(2065),
    [sym_context] = STATE(2065),
    [sym_elude] = STATE(2065),
    [sym_assign] = STATE(2065),
    [sym_lambda] = STATE(2065),
    [sym_or] = STATE(2065),
    [sym_not] = STATE(2065),
    [sym_and] = STATE(2065),
    [sym_cmp] = STATE(2065),
    [sym_in] = STATE(2065),
    [sym_add] = STATE(2065),
    [sym_sub] = STATE(2065),
    [sym_mul] = STATE(2065),
    [sym_div] = STATE(2065),
    [sym_sign] = STATE(2065),
    [sym_call] = STATE(2065),
    [sym_field] = STATE(2065),
    [sym_label] = STATE(2065),
    [sym_content] = STATE(2065),
    [sym_group] = STATE(2065),
    [sym_block] = STATE(2065),
    [sym_branch] = STATE(2065),
    [sym_let] = STATE(2065),
    [sym_set] = STATE(2065),
    [sym_import] = STATE(2065),
    [sym_include] = STATE(2065),
    [sym_for] = STATE(2065),
    [sym_while] = STATE(2065),
    [sym_show] = STATE(2065),
    [sym_return] = STATE(2065),
    [sym_flow] = STATE(2065),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1825),
    [sym_none] = ACTIONS(1825),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [243] = {
    [sym_raw_blck] = STATE(2325),
    [sym_raw_span] = STATE(2325),
    [sym_math] = STATE(2325),
    [sym__expr] = STATE(2325),
    [sym_ident] = STATE(2325),
    [sym_bool] = STATE(2325),
    [sym_number] = STATE(2325),
    [sym_string] = STATE(2325),
    [sym_tagged] = STATE(2325),
    [sym_context] = STATE(2325),
    [sym_elude] = STATE(2325),
    [sym_assign] = STATE(2325),
    [sym_lambda] = STATE(2325),
    [sym_or] = STATE(2325),
    [sym_not] = STATE(2325),
    [sym_and] = STATE(2325),
    [sym_cmp] = STATE(2325),
    [sym_in] = STATE(2325),
    [sym_add] = STATE(2325),
    [sym_sub] = STATE(2325),
    [sym_mul] = STATE(2325),
    [sym_div] = STATE(2325),
    [sym_sign] = STATE(2325),
    [sym_call] = STATE(2325),
    [sym_field] = STATE(2325),
    [sym_label] = STATE(2325),
    [sym_content] = STATE(2325),
    [sym_group] = STATE(2325),
    [sym_block] = STATE(2325),
    [sym_branch] = STATE(2325),
    [sym_let] = STATE(2325),
    [sym_set] = STATE(2325),
    [sym_import] = STATE(2325),
    [sym_include] = STATE(2325),
    [sym_for] = STATE(2325),
    [sym_while] = STATE(2325),
    [sym_show] = STATE(2325),
    [sym_return] = STATE(2325),
    [sym_flow] = STATE(2325),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1827),
    [sym_none] = ACTIONS(1827),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [244] = {
    [sym_raw_blck] = STATE(2167),
    [sym_raw_span] = STATE(2167),
    [sym_math] = STATE(2167),
    [sym__expr] = STATE(2167),
    [sym_ident] = STATE(2167),
    [sym_bool] = STATE(2167),
    [sym_number] = STATE(2167),
    [sym_string] = STATE(2167),
    [sym_tagged] = STATE(2167),
    [sym_context] = STATE(2167),
    [sym_elude] = STATE(2167),
    [sym_assign] = STATE(2167),
    [sym_lambda] = STATE(2167),
    [sym_or] = STATE(2167),
    [sym_not] = STATE(2167),
    [sym_and] = STATE(2167),
    [sym_cmp] = STATE(2167),
    [sym_in] = STATE(2167),
    [sym_add] = STATE(2167),
    [sym_sub] = STATE(2167),
    [sym_mul] = STATE(2167),
    [sym_div] = STATE(2167),
    [sym_sign] = STATE(2167),
    [sym_call] = STATE(2167),
    [sym_field] = STATE(2167),
    [sym_label] = STATE(2167),
    [sym_content] = STATE(2167),
    [sym_group] = STATE(2167),
    [sym_block] = STATE(2167),
    [sym_branch] = STATE(2167),
    [sym_let] = STATE(2167),
    [sym_set] = STATE(2167),
    [sym_import] = STATE(2167),
    [sym_include] = STATE(2167),
    [sym_for] = STATE(2167),
    [sym_while] = STATE(2167),
    [sym_show] = STATE(2167),
    [sym_return] = STATE(2167),
    [sym_flow] = STATE(2167),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1829),
    [sym_none] = ACTIONS(1829),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [245] = {
    [sym_raw_blck] = STATE(2268),
    [sym_raw_span] = STATE(2268),
    [sym_math] = STATE(2268),
    [sym__expr] = STATE(2268),
    [sym_ident] = STATE(2268),
    [sym_bool] = STATE(2268),
    [sym_number] = STATE(2268),
    [sym_string] = STATE(2268),
    [sym_tagged] = STATE(2268),
    [sym_context] = STATE(2268),
    [sym_elude] = STATE(2268),
    [sym_assign] = STATE(2268),
    [sym_lambda] = STATE(2268),
    [sym_or] = STATE(2268),
    [sym_not] = STATE(2268),
    [sym_and] = STATE(2268),
    [sym_cmp] = STATE(2268),
    [sym_in] = STATE(2268),
    [sym_add] = STATE(2268),
    [sym_sub] = STATE(2268),
    [sym_mul] = STATE(2268),
    [sym_div] = STATE(2268),
    [sym_sign] = STATE(2268),
    [sym_call] = STATE(2268),
    [sym_field] = STATE(2268),
    [sym_label] = STATE(2268),
    [sym_content] = STATE(2268),
    [sym_group] = STATE(2268),
    [sym_block] = STATE(2268),
    [sym_branch] = STATE(2268),
    [sym_let] = STATE(2268),
    [sym_set] = STATE(2268),
    [sym_import] = STATE(2268),
    [sym_include] = STATE(2268),
    [sym_for] = STATE(2268),
    [sym_while] = STATE(2268),
    [sym_show] = STATE(2268),
    [sym_return] = STATE(2268),
    [sym_flow] = STATE(2268),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1831),
    [sym_none] = ACTIONS(1831),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [246] = {
    [sym_raw_blck] = STATE(2403),
    [sym_raw_span] = STATE(2403),
    [sym_math] = STATE(2403),
    [sym__expr] = STATE(2403),
    [sym_ident] = STATE(2403),
    [sym_bool] = STATE(2403),
    [sym_number] = STATE(2403),
    [sym_string] = STATE(2403),
    [sym_tagged] = STATE(2403),
    [sym_context] = STATE(2403),
    [sym_elude] = STATE(2403),
    [sym_assign] = STATE(2403),
    [sym_lambda] = STATE(2403),
    [sym_or] = STATE(2403),
    [sym_not] = STATE(2403),
    [sym_and] = STATE(2403),
    [sym_cmp] = STATE(2403),
    [sym_in] = STATE(2403),
    [sym_add] = STATE(2403),
    [sym_sub] = STATE(2403),
    [sym_mul] = STATE(2403),
    [sym_div] = STATE(2403),
    [sym_sign] = STATE(2403),
    [sym_call] = STATE(2403),
    [sym_field] = STATE(2403),
    [sym_label] = STATE(2403),
    [sym_content] = STATE(2403),
    [sym_group] = STATE(2403),
    [sym_block] = STATE(2403),
    [sym_branch] = STATE(2403),
    [sym_let] = STATE(2403),
    [sym_set] = STATE(2403),
    [sym_import] = STATE(2403),
    [sym_include] = STATE(2403),
    [sym_for] = STATE(2403),
    [sym_while] = STATE(2403),
    [sym_show] = STATE(2403),
    [sym_return] = STATE(2403),
    [sym_flow] = STATE(2403),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1833),
    [sym_none] = ACTIONS(1833),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [247] = {
    [sym_raw_blck] = STATE(2152),
    [sym_raw_span] = STATE(2152),
    [sym_math] = STATE(2152),
    [sym__expr] = STATE(2152),
    [sym_ident] = STATE(2152),
    [sym_bool] = STATE(2152),
    [sym_number] = STATE(2152),
    [sym_string] = STATE(2152),
    [sym_tagged] = STATE(2152),
    [sym_context] = STATE(2152),
    [sym_elude] = STATE(2152),
    [sym_assign] = STATE(2152),
    [sym_lambda] = STATE(2152),
    [sym_or] = STATE(2152),
    [sym_not] = STATE(2152),
    [sym_and] = STATE(2152),
    [sym_cmp] = STATE(2152),
    [sym_in] = STATE(2152),
    [sym_add] = STATE(2152),
    [sym_sub] = STATE(2152),
    [sym_mul] = STATE(2152),
    [sym_div] = STATE(2152),
    [sym_sign] = STATE(2152),
    [sym_call] = STATE(2152),
    [sym_field] = STATE(2152),
    [sym_label] = STATE(2152),
    [sym_content] = STATE(2152),
    [sym_group] = STATE(2152),
    [sym_block] = STATE(2152),
    [sym_branch] = STATE(2152),
    [sym_let] = STATE(2152),
    [sym_set] = STATE(2152),
    [sym_import] = STATE(2152),
    [sym_include] = STATE(2152),
    [sym_for] = STATE(2152),
    [sym_while] = STATE(2152),
    [sym_show] = STATE(2152),
    [sym_return] = STATE(2152),
    [sym_flow] = STATE(2152),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1835),
    [sym_none] = ACTIONS(1835),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [248] = {
    [sym_raw_blck] = STATE(2177),
    [sym_raw_span] = STATE(2177),
    [sym_math] = STATE(2177),
    [sym__expr] = STATE(2177),
    [sym_ident] = STATE(2177),
    [sym_bool] = STATE(2177),
    [sym_number] = STATE(2177),
    [sym_string] = STATE(2177),
    [sym_tagged] = STATE(2177),
    [sym_context] = STATE(2177),
    [sym_elude] = STATE(2177),
    [sym_assign] = STATE(2177),
    [sym_lambda] = STATE(2177),
    [sym_or] = STATE(2177),
    [sym_not] = STATE(2177),
    [sym_and] = STATE(2177),
    [sym_cmp] = STATE(2177),
    [sym_in] = STATE(2177),
    [sym_add] = STATE(2177),
    [sym_sub] = STATE(2177),
    [sym_mul] = STATE(2177),
    [sym_div] = STATE(2177),
    [sym_sign] = STATE(2177),
    [sym_call] = STATE(2177),
    [sym_field] = STATE(2177),
    [sym_label] = STATE(2177),
    [sym_content] = STATE(2177),
    [sym_group] = STATE(2177),
    [sym_block] = STATE(2177),
    [sym_branch] = STATE(2177),
    [sym_let] = STATE(2177),
    [sym_set] = STATE(2177),
    [sym_import] = STATE(2177),
    [sym_include] = STATE(2177),
    [sym_for] = STATE(2177),
    [sym_while] = STATE(2177),
    [sym_show] = STATE(2177),
    [sym_return] = STATE(2177),
    [sym_flow] = STATE(2177),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1837),
    [sym_none] = ACTIONS(1837),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [249] = {
    [sym_raw_blck] = STATE(2238),
    [sym_raw_span] = STATE(2238),
    [sym_math] = STATE(2238),
    [sym__expr] = STATE(2238),
    [sym_ident] = STATE(2238),
    [sym_bool] = STATE(2238),
    [sym_number] = STATE(2238),
    [sym_string] = STATE(2238),
    [sym_tagged] = STATE(2238),
    [sym_context] = STATE(2238),
    [sym_elude] = STATE(2238),
    [sym_assign] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_or] = STATE(2238),
    [sym_not] = STATE(2238),
    [sym_and] = STATE(2238),
    [sym_cmp] = STATE(2238),
    [sym_in] = STATE(2238),
    [sym_add] = STATE(2238),
    [sym_sub] = STATE(2238),
    [sym_mul] = STATE(2238),
    [sym_div] = STATE(2238),
    [sym_sign] = STATE(2238),
    [sym_call] = STATE(2238),
    [sym_field] = STATE(2238),
    [sym_label] = STATE(2238),
    [sym_content] = STATE(2238),
    [sym_group] = STATE(2238),
    [sym_block] = STATE(2238),
    [sym_branch] = STATE(2238),
    [sym_let] = STATE(2238),
    [sym_set] = STATE(2238),
    [sym_import] = STATE(2238),
    [sym_include] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_show] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_flow] = STATE(2238),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(1839),
    [sym_none] = ACTIONS(1839),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [250] = {
    [sym_raw_blck] = STATE(2674),
    [sym_raw_span] = STATE(2674),
    [sym_math] = STATE(2674),
    [sym__expr] = STATE(2674),
    [sym_ident] = STATE(2674),
    [sym_bool] = STATE(2674),
    [sym_number] = STATE(2674),
    [sym_string] = STATE(2674),
    [sym_tagged] = STATE(2674),
    [sym_context] = STATE(2674),
    [sym_elude] = STATE(2674),
    [sym_assign] = STATE(2674),
    [sym_lambda] = STATE(2674),
    [sym_or] = STATE(2674),
    [sym_not] = STATE(2674),
    [sym_and] = STATE(2674),
    [sym_cmp] = STATE(2674),
    [sym_in] = STATE(2674),
    [sym_add] = STATE(2674),
    [sym_sub] = STATE(2674),
    [sym_mul] = STATE(2674),
    [sym_div] = STATE(2674),
    [sym_sign] = STATE(2674),
    [sym_call] = STATE(2674),
    [sym_field] = STATE(2674),
    [sym_label] = STATE(2674),
    [sym_content] = STATE(2674),
    [sym_group] = STATE(2674),
    [sym_block] = STATE(2674),
    [sym_branch] = STATE(2674),
    [sym_let] = STATE(2674),
    [sym_set] = STATE(2674),
    [sym_import] = STATE(2674),
    [sym_include] = STATE(2674),
    [sym_for] = STATE(2674),
    [sym_while] = STATE(2674),
    [sym_show] = STATE(2674),
    [sym_return] = STATE(2674),
    [sym_flow] = STATE(2674),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1845),
    [sym_none] = ACTIONS(1845),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [251] = {
    [sym_raw_blck] = STATE(2977),
    [sym_raw_span] = STATE(2977),
    [sym_math] = STATE(2977),
    [sym__expr] = STATE(2977),
    [sym_ident] = STATE(2977),
    [sym_bool] = STATE(2977),
    [sym_number] = STATE(2977),
    [sym_string] = STATE(2977),
    [sym_tagged] = STATE(2977),
    [sym_context] = STATE(2977),
    [sym_elude] = STATE(2977),
    [sym_assign] = STATE(2977),
    [sym_lambda] = STATE(2977),
    [sym_or] = STATE(2977),
    [sym_not] = STATE(2977),
    [sym_and] = STATE(2977),
    [sym_cmp] = STATE(2977),
    [sym_in] = STATE(2977),
    [sym_add] = STATE(2977),
    [sym_sub] = STATE(2977),
    [sym_mul] = STATE(2977),
    [sym_div] = STATE(2977),
    [sym_sign] = STATE(2977),
    [sym_call] = STATE(2977),
    [sym_field] = STATE(2977),
    [sym_label] = STATE(2977),
    [sym_content] = STATE(2977),
    [sym_group] = STATE(2977),
    [sym_block] = STATE(2977),
    [sym_branch] = STATE(2977),
    [sym_let] = STATE(2977),
    [sym_set] = STATE(2977),
    [sym_import] = STATE(2977),
    [sym_include] = STATE(2977),
    [sym_for] = STATE(2977),
    [sym_while] = STATE(2977),
    [sym_show] = STATE(2977),
    [sym_return] = STATE(2977),
    [sym_flow] = STATE(2977),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(1851),
    [sym_none] = ACTIONS(1851),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [252] = {
    [sym_raw_blck] = STATE(2677),
    [sym_raw_span] = STATE(2677),
    [sym_math] = STATE(2677),
    [sym__expr] = STATE(2677),
    [sym_ident] = STATE(2677),
    [sym_bool] = STATE(2677),
    [sym_number] = STATE(2677),
    [sym_string] = STATE(2677),
    [sym_tagged] = STATE(2677),
    [sym_context] = STATE(2677),
    [sym_elude] = STATE(2677),
    [sym_assign] = STATE(2677),
    [sym_lambda] = STATE(2677),
    [sym_or] = STATE(2677),
    [sym_not] = STATE(2677),
    [sym_and] = STATE(2677),
    [sym_cmp] = STATE(2677),
    [sym_in] = STATE(2677),
    [sym_add] = STATE(2677),
    [sym_sub] = STATE(2677),
    [sym_mul] = STATE(2677),
    [sym_div] = STATE(2677),
    [sym_sign] = STATE(2677),
    [sym_call] = STATE(2677),
    [sym_field] = STATE(2677),
    [sym_label] = STATE(2677),
    [sym_content] = STATE(2677),
    [sym_group] = STATE(2677),
    [sym_block] = STATE(2677),
    [sym_branch] = STATE(2677),
    [sym_let] = STATE(2677),
    [sym_set] = STATE(2677),
    [sym_import] = STATE(2677),
    [sym_include] = STATE(2677),
    [sym_for] = STATE(2677),
    [sym_while] = STATE(2677),
    [sym_show] = STATE(2677),
    [sym_return] = STATE(2677),
    [sym_flow] = STATE(2677),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1853),
    [sym_none] = ACTIONS(1853),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [253] = {
    [sym_raw_blck] = STATE(2678),
    [sym_raw_span] = STATE(2678),
    [sym_math] = STATE(2678),
    [sym__expr] = STATE(2678),
    [sym_ident] = STATE(2678),
    [sym_bool] = STATE(2678),
    [sym_number] = STATE(2678),
    [sym_string] = STATE(2678),
    [sym_tagged] = STATE(2678),
    [sym_context] = STATE(2678),
    [sym_elude] = STATE(2678),
    [sym_assign] = STATE(2678),
    [sym_lambda] = STATE(2678),
    [sym_or] = STATE(2678),
    [sym_not] = STATE(2678),
    [sym_and] = STATE(2678),
    [sym_cmp] = STATE(2678),
    [sym_in] = STATE(2678),
    [sym_add] = STATE(2678),
    [sym_sub] = STATE(2678),
    [sym_mul] = STATE(2678),
    [sym_div] = STATE(2678),
    [sym_sign] = STATE(2678),
    [sym_call] = STATE(2678),
    [sym_field] = STATE(2678),
    [sym_label] = STATE(2678),
    [sym_content] = STATE(2678),
    [sym_group] = STATE(2678),
    [sym_block] = STATE(2678),
    [sym_branch] = STATE(2678),
    [sym_let] = STATE(2678),
    [sym_set] = STATE(2678),
    [sym_import] = STATE(2678),
    [sym_include] = STATE(2678),
    [sym_for] = STATE(2678),
    [sym_while] = STATE(2678),
    [sym_show] = STATE(2678),
    [sym_return] = STATE(2678),
    [sym_flow] = STATE(2678),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1855),
    [sym_none] = ACTIONS(1855),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [254] = {
    [sym_raw_blck] = STATE(3004),
    [sym_raw_span] = STATE(3004),
    [sym_math] = STATE(3004),
    [sym__expr] = STATE(3004),
    [sym_ident] = STATE(3004),
    [sym_bool] = STATE(3004),
    [sym_number] = STATE(3004),
    [sym_string] = STATE(3004),
    [sym_tagged] = STATE(3004),
    [sym_context] = STATE(3004),
    [sym_elude] = STATE(3004),
    [sym_assign] = STATE(3004),
    [sym_lambda] = STATE(3004),
    [sym_or] = STATE(3004),
    [sym_not] = STATE(3004),
    [sym_and] = STATE(3004),
    [sym_cmp] = STATE(3004),
    [sym_in] = STATE(3004),
    [sym_add] = STATE(3004),
    [sym_sub] = STATE(3004),
    [sym_mul] = STATE(3004),
    [sym_div] = STATE(3004),
    [sym_sign] = STATE(3004),
    [sym_call] = STATE(3004),
    [sym_field] = STATE(3004),
    [sym_label] = STATE(3004),
    [sym_content] = STATE(3004),
    [sym_group] = STATE(3004),
    [sym_block] = STATE(3004),
    [sym_branch] = STATE(3004),
    [sym_let] = STATE(3004),
    [sym_set] = STATE(3004),
    [sym_import] = STATE(3004),
    [sym_include] = STATE(3004),
    [sym_for] = STATE(3004),
    [sym_while] = STATE(3004),
    [sym_show] = STATE(3004),
    [sym_return] = STATE(3004),
    [sym_flow] = STATE(3004),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(1857),
    [sym_none] = ACTIONS(1857),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [255] = {
    [sym_raw_blck] = STATE(2709),
    [sym_raw_span] = STATE(2709),
    [sym_math] = STATE(2709),
    [sym__expr] = STATE(2709),
    [sym_ident] = STATE(2709),
    [sym_bool] = STATE(2709),
    [sym_number] = STATE(2709),
    [sym_string] = STATE(2709),
    [sym_tagged] = STATE(2709),
    [sym_context] = STATE(2709),
    [sym_elude] = STATE(2709),
    [sym_assign] = STATE(2709),
    [sym_lambda] = STATE(2709),
    [sym_or] = STATE(2709),
    [sym_not] = STATE(2709),
    [sym_and] = STATE(2709),
    [sym_cmp] = STATE(2709),
    [sym_in] = STATE(2709),
    [sym_add] = STATE(2709),
    [sym_sub] = STATE(2709),
    [sym_mul] = STATE(2709),
    [sym_div] = STATE(2709),
    [sym_sign] = STATE(2709),
    [sym_call] = STATE(2709),
    [sym_field] = STATE(2709),
    [sym_label] = STATE(2709),
    [sym_content] = STATE(2709),
    [sym_group] = STATE(2709),
    [sym_block] = STATE(2709),
    [sym_branch] = STATE(2709),
    [sym_let] = STATE(2709),
    [sym_set] = STATE(2709),
    [sym_import] = STATE(2709),
    [sym_include] = STATE(2709),
    [sym_for] = STATE(2709),
    [sym_while] = STATE(2709),
    [sym_show] = STATE(2709),
    [sym_return] = STATE(2709),
    [sym_flow] = STATE(2709),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1859),
    [sym_none] = ACTIONS(1859),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [256] = {
    [sym_raw_blck] = STATE(2712),
    [sym_raw_span] = STATE(2712),
    [sym_math] = STATE(2712),
    [sym__expr] = STATE(2712),
    [sym_ident] = STATE(2712),
    [sym_bool] = STATE(2712),
    [sym_number] = STATE(2712),
    [sym_string] = STATE(2712),
    [sym_tagged] = STATE(2712),
    [sym_context] = STATE(2712),
    [sym_elude] = STATE(2712),
    [sym_assign] = STATE(2712),
    [sym_lambda] = STATE(2712),
    [sym_or] = STATE(2712),
    [sym_not] = STATE(2712),
    [sym_and] = STATE(2712),
    [sym_cmp] = STATE(2712),
    [sym_in] = STATE(2712),
    [sym_add] = STATE(2712),
    [sym_sub] = STATE(2712),
    [sym_mul] = STATE(2712),
    [sym_div] = STATE(2712),
    [sym_sign] = STATE(2712),
    [sym_call] = STATE(2712),
    [sym_field] = STATE(2712),
    [sym_label] = STATE(2712),
    [sym_content] = STATE(2712),
    [sym_group] = STATE(2712),
    [sym_block] = STATE(2712),
    [sym_branch] = STATE(2712),
    [sym_let] = STATE(2712),
    [sym_set] = STATE(2712),
    [sym_import] = STATE(2712),
    [sym_include] = STATE(2712),
    [sym_for] = STATE(2712),
    [sym_while] = STATE(2712),
    [sym_show] = STATE(2712),
    [sym_return] = STATE(2712),
    [sym_flow] = STATE(2712),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1861),
    [sym_none] = ACTIONS(1861),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [257] = {
    [sym_raw_blck] = STATE(2714),
    [sym_raw_span] = STATE(2714),
    [sym_math] = STATE(2714),
    [sym__expr] = STATE(2714),
    [sym_ident] = STATE(2714),
    [sym_bool] = STATE(2714),
    [sym_number] = STATE(2714),
    [sym_string] = STATE(2714),
    [sym_tagged] = STATE(2714),
    [sym_context] = STATE(2714),
    [sym_elude] = STATE(2714),
    [sym_assign] = STATE(2714),
    [sym_lambda] = STATE(2714),
    [sym_or] = STATE(2714),
    [sym_not] = STATE(2714),
    [sym_and] = STATE(2714),
    [sym_cmp] = STATE(2714),
    [sym_in] = STATE(2714),
    [sym_add] = STATE(2714),
    [sym_sub] = STATE(2714),
    [sym_mul] = STATE(2714),
    [sym_div] = STATE(2714),
    [sym_sign] = STATE(2714),
    [sym_call] = STATE(2714),
    [sym_field] = STATE(2714),
    [sym_label] = STATE(2714),
    [sym_content] = STATE(2714),
    [sym_group] = STATE(2714),
    [sym_block] = STATE(2714),
    [sym_branch] = STATE(2714),
    [sym_let] = STATE(2714),
    [sym_set] = STATE(2714),
    [sym_import] = STATE(2714),
    [sym_include] = STATE(2714),
    [sym_for] = STATE(2714),
    [sym_while] = STATE(2714),
    [sym_show] = STATE(2714),
    [sym_return] = STATE(2714),
    [sym_flow] = STATE(2714),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1863),
    [sym_none] = ACTIONS(1863),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [258] = {
    [sym_raw_blck] = STATE(2715),
    [sym_raw_span] = STATE(2715),
    [sym_math] = STATE(2715),
    [sym__expr] = STATE(2715),
    [sym_ident] = STATE(2715),
    [sym_bool] = STATE(2715),
    [sym_number] = STATE(2715),
    [sym_string] = STATE(2715),
    [sym_tagged] = STATE(2715),
    [sym_context] = STATE(2715),
    [sym_elude] = STATE(2715),
    [sym_assign] = STATE(2715),
    [sym_lambda] = STATE(2715),
    [sym_or] = STATE(2715),
    [sym_not] = STATE(2715),
    [sym_and] = STATE(2715),
    [sym_cmp] = STATE(2715),
    [sym_in] = STATE(2715),
    [sym_add] = STATE(2715),
    [sym_sub] = STATE(2715),
    [sym_mul] = STATE(2715),
    [sym_div] = STATE(2715),
    [sym_sign] = STATE(2715),
    [sym_call] = STATE(2715),
    [sym_field] = STATE(2715),
    [sym_label] = STATE(2715),
    [sym_content] = STATE(2715),
    [sym_group] = STATE(2715),
    [sym_block] = STATE(2715),
    [sym_branch] = STATE(2715),
    [sym_let] = STATE(2715),
    [sym_set] = STATE(2715),
    [sym_import] = STATE(2715),
    [sym_include] = STATE(2715),
    [sym_for] = STATE(2715),
    [sym_while] = STATE(2715),
    [sym_show] = STATE(2715),
    [sym_return] = STATE(2715),
    [sym_flow] = STATE(2715),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1865),
    [sym_none] = ACTIONS(1865),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [259] = {
    [sym_raw_blck] = STATE(2716),
    [sym_raw_span] = STATE(2716),
    [sym_math] = STATE(2716),
    [sym__expr] = STATE(2716),
    [sym_ident] = STATE(2716),
    [sym_bool] = STATE(2716),
    [sym_number] = STATE(2716),
    [sym_string] = STATE(2716),
    [sym_tagged] = STATE(2716),
    [sym_context] = STATE(2716),
    [sym_elude] = STATE(2716),
    [sym_assign] = STATE(2716),
    [sym_lambda] = STATE(2716),
    [sym_or] = STATE(2716),
    [sym_not] = STATE(2716),
    [sym_and] = STATE(2716),
    [sym_cmp] = STATE(2716),
    [sym_in] = STATE(2716),
    [sym_add] = STATE(2716),
    [sym_sub] = STATE(2716),
    [sym_mul] = STATE(2716),
    [sym_div] = STATE(2716),
    [sym_sign] = STATE(2716),
    [sym_call] = STATE(2716),
    [sym_field] = STATE(2716),
    [sym_label] = STATE(2716),
    [sym_content] = STATE(2716),
    [sym_group] = STATE(2716),
    [sym_block] = STATE(2716),
    [sym_branch] = STATE(2716),
    [sym_let] = STATE(2716),
    [sym_set] = STATE(2716),
    [sym_import] = STATE(2716),
    [sym_include] = STATE(2716),
    [sym_for] = STATE(2716),
    [sym_while] = STATE(2716),
    [sym_show] = STATE(2716),
    [sym_return] = STATE(2716),
    [sym_flow] = STATE(2716),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1867),
    [sym_none] = ACTIONS(1867),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [260] = {
    [sym_raw_blck] = STATE(2718),
    [sym_raw_span] = STATE(2718),
    [sym_math] = STATE(2718),
    [sym__expr] = STATE(2718),
    [sym_ident] = STATE(2718),
    [sym_bool] = STATE(2718),
    [sym_number] = STATE(2718),
    [sym_string] = STATE(2718),
    [sym_tagged] = STATE(2718),
    [sym_context] = STATE(2718),
    [sym_elude] = STATE(2718),
    [sym_assign] = STATE(2718),
    [sym_lambda] = STATE(2718),
    [sym_or] = STATE(2718),
    [sym_not] = STATE(2718),
    [sym_and] = STATE(2718),
    [sym_cmp] = STATE(2718),
    [sym_in] = STATE(2718),
    [sym_add] = STATE(2718),
    [sym_sub] = STATE(2718),
    [sym_mul] = STATE(2718),
    [sym_div] = STATE(2718),
    [sym_sign] = STATE(2718),
    [sym_call] = STATE(2718),
    [sym_field] = STATE(2718),
    [sym_label] = STATE(2718),
    [sym_content] = STATE(2718),
    [sym_group] = STATE(2718),
    [sym_block] = STATE(2718),
    [sym_branch] = STATE(2718),
    [sym_let] = STATE(2718),
    [sym_set] = STATE(2718),
    [sym_import] = STATE(2718),
    [sym_include] = STATE(2718),
    [sym_for] = STATE(2718),
    [sym_while] = STATE(2718),
    [sym_show] = STATE(2718),
    [sym_return] = STATE(2718),
    [sym_flow] = STATE(2718),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1869),
    [sym_none] = ACTIONS(1869),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [261] = {
    [sym_raw_blck] = STATE(2720),
    [sym_raw_span] = STATE(2720),
    [sym_math] = STATE(2720),
    [sym__expr] = STATE(2720),
    [sym_ident] = STATE(2720),
    [sym_bool] = STATE(2720),
    [sym_number] = STATE(2720),
    [sym_string] = STATE(2720),
    [sym_tagged] = STATE(2720),
    [sym_context] = STATE(2720),
    [sym_elude] = STATE(2720),
    [sym_assign] = STATE(2720),
    [sym_lambda] = STATE(2720),
    [sym_or] = STATE(2720),
    [sym_not] = STATE(2720),
    [sym_and] = STATE(2720),
    [sym_cmp] = STATE(2720),
    [sym_in] = STATE(2720),
    [sym_add] = STATE(2720),
    [sym_sub] = STATE(2720),
    [sym_mul] = STATE(2720),
    [sym_div] = STATE(2720),
    [sym_sign] = STATE(2720),
    [sym_call] = STATE(2720),
    [sym_field] = STATE(2720),
    [sym_label] = STATE(2720),
    [sym_content] = STATE(2720),
    [sym_group] = STATE(2720),
    [sym_block] = STATE(2720),
    [sym_branch] = STATE(2720),
    [sym_let] = STATE(2720),
    [sym_set] = STATE(2720),
    [sym_import] = STATE(2720),
    [sym_include] = STATE(2720),
    [sym_for] = STATE(2720),
    [sym_while] = STATE(2720),
    [sym_show] = STATE(2720),
    [sym_return] = STATE(2720),
    [sym_flow] = STATE(2720),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1871),
    [sym_none] = ACTIONS(1871),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [262] = {
    [sym_raw_blck] = STATE(2721),
    [sym_raw_span] = STATE(2721),
    [sym_math] = STATE(2721),
    [sym__expr] = STATE(2721),
    [sym_ident] = STATE(2721),
    [sym_bool] = STATE(2721),
    [sym_number] = STATE(2721),
    [sym_string] = STATE(2721),
    [sym_tagged] = STATE(2721),
    [sym_context] = STATE(2721),
    [sym_elude] = STATE(2721),
    [sym_assign] = STATE(2721),
    [sym_lambda] = STATE(2721),
    [sym_or] = STATE(2721),
    [sym_not] = STATE(2721),
    [sym_and] = STATE(2721),
    [sym_cmp] = STATE(2721),
    [sym_in] = STATE(2721),
    [sym_add] = STATE(2721),
    [sym_sub] = STATE(2721),
    [sym_mul] = STATE(2721),
    [sym_div] = STATE(2721),
    [sym_sign] = STATE(2721),
    [sym_call] = STATE(2721),
    [sym_field] = STATE(2721),
    [sym_label] = STATE(2721),
    [sym_content] = STATE(2721),
    [sym_group] = STATE(2721),
    [sym_block] = STATE(2721),
    [sym_branch] = STATE(2721),
    [sym_let] = STATE(2721),
    [sym_set] = STATE(2721),
    [sym_import] = STATE(2721),
    [sym_include] = STATE(2721),
    [sym_for] = STATE(2721),
    [sym_while] = STATE(2721),
    [sym_show] = STATE(2721),
    [sym_return] = STATE(2721),
    [sym_flow] = STATE(2721),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1873),
    [sym_none] = ACTIONS(1873),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [263] = {
    [sym_raw_blck] = STATE(2722),
    [sym_raw_span] = STATE(2722),
    [sym_math] = STATE(2722),
    [sym__expr] = STATE(2722),
    [sym_ident] = STATE(2722),
    [sym_bool] = STATE(2722),
    [sym_number] = STATE(2722),
    [sym_string] = STATE(2722),
    [sym_tagged] = STATE(2722),
    [sym_context] = STATE(2722),
    [sym_elude] = STATE(2722),
    [sym_assign] = STATE(2722),
    [sym_lambda] = STATE(2722),
    [sym_or] = STATE(2722),
    [sym_not] = STATE(2722),
    [sym_and] = STATE(2722),
    [sym_cmp] = STATE(2722),
    [sym_in] = STATE(2722),
    [sym_add] = STATE(2722),
    [sym_sub] = STATE(2722),
    [sym_mul] = STATE(2722),
    [sym_div] = STATE(2722),
    [sym_sign] = STATE(2722),
    [sym_call] = STATE(2722),
    [sym_field] = STATE(2722),
    [sym_label] = STATE(2722),
    [sym_content] = STATE(2722),
    [sym_group] = STATE(2722),
    [sym_block] = STATE(2722),
    [sym_branch] = STATE(2722),
    [sym_let] = STATE(2722),
    [sym_set] = STATE(2722),
    [sym_import] = STATE(2722),
    [sym_include] = STATE(2722),
    [sym_for] = STATE(2722),
    [sym_while] = STATE(2722),
    [sym_show] = STATE(2722),
    [sym_return] = STATE(2722),
    [sym_flow] = STATE(2722),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1875),
    [sym_none] = ACTIONS(1875),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [264] = {
    [sym_raw_blck] = STATE(2723),
    [sym_raw_span] = STATE(2723),
    [sym_math] = STATE(2723),
    [sym__expr] = STATE(2723),
    [sym_ident] = STATE(2723),
    [sym_bool] = STATE(2723),
    [sym_number] = STATE(2723),
    [sym_string] = STATE(2723),
    [sym_tagged] = STATE(2723),
    [sym_context] = STATE(2723),
    [sym_elude] = STATE(2723),
    [sym_assign] = STATE(2723),
    [sym_lambda] = STATE(2723),
    [sym_or] = STATE(2723),
    [sym_not] = STATE(2723),
    [sym_and] = STATE(2723),
    [sym_cmp] = STATE(2723),
    [sym_in] = STATE(2723),
    [sym_add] = STATE(2723),
    [sym_sub] = STATE(2723),
    [sym_mul] = STATE(2723),
    [sym_div] = STATE(2723),
    [sym_sign] = STATE(2723),
    [sym_call] = STATE(2723),
    [sym_field] = STATE(2723),
    [sym_label] = STATE(2723),
    [sym_content] = STATE(2723),
    [sym_group] = STATE(2723),
    [sym_block] = STATE(2723),
    [sym_branch] = STATE(2723),
    [sym_let] = STATE(2723),
    [sym_set] = STATE(2723),
    [sym_import] = STATE(2723),
    [sym_include] = STATE(2723),
    [sym_for] = STATE(2723),
    [sym_while] = STATE(2723),
    [sym_show] = STATE(2723),
    [sym_return] = STATE(2723),
    [sym_flow] = STATE(2723),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1877),
    [sym_none] = ACTIONS(1877),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [265] = {
    [sym_raw_blck] = STATE(2724),
    [sym_raw_span] = STATE(2724),
    [sym_math] = STATE(2724),
    [sym__expr] = STATE(2724),
    [sym_ident] = STATE(2724),
    [sym_bool] = STATE(2724),
    [sym_number] = STATE(2724),
    [sym_string] = STATE(2724),
    [sym_tagged] = STATE(2724),
    [sym_context] = STATE(2724),
    [sym_elude] = STATE(2724),
    [sym_assign] = STATE(2724),
    [sym_lambda] = STATE(2724),
    [sym_or] = STATE(2724),
    [sym_not] = STATE(2724),
    [sym_and] = STATE(2724),
    [sym_cmp] = STATE(2724),
    [sym_in] = STATE(2724),
    [sym_add] = STATE(2724),
    [sym_sub] = STATE(2724),
    [sym_mul] = STATE(2724),
    [sym_div] = STATE(2724),
    [sym_sign] = STATE(2724),
    [sym_call] = STATE(2724),
    [sym_field] = STATE(2724),
    [sym_label] = STATE(2724),
    [sym_content] = STATE(2724),
    [sym_group] = STATE(2724),
    [sym_block] = STATE(2724),
    [sym_branch] = STATE(2724),
    [sym_let] = STATE(2724),
    [sym_set] = STATE(2724),
    [sym_import] = STATE(2724),
    [sym_include] = STATE(2724),
    [sym_for] = STATE(2724),
    [sym_while] = STATE(2724),
    [sym_show] = STATE(2724),
    [sym_return] = STATE(2724),
    [sym_flow] = STATE(2724),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1879),
    [sym_none] = ACTIONS(1879),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [266] = {
    [sym_raw_blck] = STATE(2725),
    [sym_raw_span] = STATE(2725),
    [sym_math] = STATE(2725),
    [sym__expr] = STATE(2725),
    [sym_ident] = STATE(2725),
    [sym_bool] = STATE(2725),
    [sym_number] = STATE(2725),
    [sym_string] = STATE(2725),
    [sym_tagged] = STATE(2725),
    [sym_context] = STATE(2725),
    [sym_elude] = STATE(2725),
    [sym_assign] = STATE(2725),
    [sym_lambda] = STATE(2725),
    [sym_or] = STATE(2725),
    [sym_not] = STATE(2725),
    [sym_and] = STATE(2725),
    [sym_cmp] = STATE(2725),
    [sym_in] = STATE(2725),
    [sym_add] = STATE(2725),
    [sym_sub] = STATE(2725),
    [sym_mul] = STATE(2725),
    [sym_div] = STATE(2725),
    [sym_sign] = STATE(2725),
    [sym_call] = STATE(2725),
    [sym_field] = STATE(2725),
    [sym_label] = STATE(2725),
    [sym_content] = STATE(2725),
    [sym_group] = STATE(2725),
    [sym_block] = STATE(2725),
    [sym_branch] = STATE(2725),
    [sym_let] = STATE(2725),
    [sym_set] = STATE(2725),
    [sym_import] = STATE(2725),
    [sym_include] = STATE(2725),
    [sym_for] = STATE(2725),
    [sym_while] = STATE(2725),
    [sym_show] = STATE(2725),
    [sym_return] = STATE(2725),
    [sym_flow] = STATE(2725),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1881),
    [sym_none] = ACTIONS(1881),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [267] = {
    [sym_raw_blck] = STATE(2735),
    [sym_raw_span] = STATE(2735),
    [sym_math] = STATE(2735),
    [sym__expr] = STATE(2735),
    [sym_ident] = STATE(2735),
    [sym_bool] = STATE(2735),
    [sym_number] = STATE(2735),
    [sym_string] = STATE(2735),
    [sym_tagged] = STATE(2735),
    [sym_context] = STATE(2735),
    [sym_elude] = STATE(2735),
    [sym_assign] = STATE(2735),
    [sym_lambda] = STATE(2735),
    [sym_or] = STATE(2735),
    [sym_not] = STATE(2735),
    [sym_and] = STATE(2735),
    [sym_cmp] = STATE(2735),
    [sym_in] = STATE(2735),
    [sym_add] = STATE(2735),
    [sym_sub] = STATE(2735),
    [sym_mul] = STATE(2735),
    [sym_div] = STATE(2735),
    [sym_sign] = STATE(2735),
    [sym_call] = STATE(2735),
    [sym_field] = STATE(2735),
    [sym_label] = STATE(2735),
    [sym_content] = STATE(2735),
    [sym_group] = STATE(2735),
    [sym_block] = STATE(2735),
    [sym_branch] = STATE(2735),
    [sym_let] = STATE(2735),
    [sym_set] = STATE(2735),
    [sym_import] = STATE(2735),
    [sym_include] = STATE(2735),
    [sym_for] = STATE(2735),
    [sym_while] = STATE(2735),
    [sym_show] = STATE(2735),
    [sym_return] = STATE(2735),
    [sym_flow] = STATE(2735),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1883),
    [sym_none] = ACTIONS(1883),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [268] = {
    [sym_raw_blck] = STATE(2736),
    [sym_raw_span] = STATE(2736),
    [sym_math] = STATE(2736),
    [sym__expr] = STATE(2736),
    [sym_ident] = STATE(2736),
    [sym_bool] = STATE(2736),
    [sym_number] = STATE(2736),
    [sym_string] = STATE(2736),
    [sym_tagged] = STATE(2736),
    [sym_context] = STATE(2736),
    [sym_elude] = STATE(2736),
    [sym_assign] = STATE(2736),
    [sym_lambda] = STATE(2736),
    [sym_or] = STATE(2736),
    [sym_not] = STATE(2736),
    [sym_and] = STATE(2736),
    [sym_cmp] = STATE(2736),
    [sym_in] = STATE(2736),
    [sym_add] = STATE(2736),
    [sym_sub] = STATE(2736),
    [sym_mul] = STATE(2736),
    [sym_div] = STATE(2736),
    [sym_sign] = STATE(2736),
    [sym_call] = STATE(2736),
    [sym_field] = STATE(2736),
    [sym_label] = STATE(2736),
    [sym_content] = STATE(2736),
    [sym_group] = STATE(2736),
    [sym_block] = STATE(2736),
    [sym_branch] = STATE(2736),
    [sym_let] = STATE(2736),
    [sym_set] = STATE(2736),
    [sym_import] = STATE(2736),
    [sym_include] = STATE(2736),
    [sym_for] = STATE(2736),
    [sym_while] = STATE(2736),
    [sym_show] = STATE(2736),
    [sym_return] = STATE(2736),
    [sym_flow] = STATE(2736),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1885),
    [sym_none] = ACTIONS(1885),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [269] = {
    [sym_raw_blck] = STATE(2744),
    [sym_raw_span] = STATE(2744),
    [sym_math] = STATE(2744),
    [sym__expr] = STATE(2744),
    [sym_ident] = STATE(2744),
    [sym_bool] = STATE(2744),
    [sym_number] = STATE(2744),
    [sym_string] = STATE(2744),
    [sym_tagged] = STATE(2744),
    [sym_context] = STATE(2744),
    [sym_elude] = STATE(2744),
    [sym_assign] = STATE(2744),
    [sym_lambda] = STATE(2744),
    [sym_or] = STATE(2744),
    [sym_not] = STATE(2744),
    [sym_and] = STATE(2744),
    [sym_cmp] = STATE(2744),
    [sym_in] = STATE(2744),
    [sym_add] = STATE(2744),
    [sym_sub] = STATE(2744),
    [sym_mul] = STATE(2744),
    [sym_div] = STATE(2744),
    [sym_sign] = STATE(2744),
    [sym_call] = STATE(2744),
    [sym_field] = STATE(2744),
    [sym_label] = STATE(2744),
    [sym_content] = STATE(2744),
    [sym_group] = STATE(2744),
    [sym_block] = STATE(2744),
    [sym_branch] = STATE(2744),
    [sym_let] = STATE(2744),
    [sym_set] = STATE(2744),
    [sym_import] = STATE(2744),
    [sym_include] = STATE(2744),
    [sym_for] = STATE(2744),
    [sym_while] = STATE(2744),
    [sym_show] = STATE(2744),
    [sym_return] = STATE(2744),
    [sym_flow] = STATE(2744),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1887),
    [sym_none] = ACTIONS(1887),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [270] = {
    [sym_raw_blck] = STATE(2745),
    [sym_raw_span] = STATE(2745),
    [sym_math] = STATE(2745),
    [sym__expr] = STATE(2745),
    [sym_ident] = STATE(2745),
    [sym_bool] = STATE(2745),
    [sym_number] = STATE(2745),
    [sym_string] = STATE(2745),
    [sym_tagged] = STATE(2745),
    [sym_context] = STATE(2745),
    [sym_elude] = STATE(2745),
    [sym_assign] = STATE(2745),
    [sym_lambda] = STATE(2745),
    [sym_or] = STATE(2745),
    [sym_not] = STATE(2745),
    [sym_and] = STATE(2745),
    [sym_cmp] = STATE(2745),
    [sym_in] = STATE(2745),
    [sym_add] = STATE(2745),
    [sym_sub] = STATE(2745),
    [sym_mul] = STATE(2745),
    [sym_div] = STATE(2745),
    [sym_sign] = STATE(2745),
    [sym_call] = STATE(2745),
    [sym_field] = STATE(2745),
    [sym_label] = STATE(2745),
    [sym_content] = STATE(2745),
    [sym_group] = STATE(2745),
    [sym_block] = STATE(2745),
    [sym_branch] = STATE(2745),
    [sym_let] = STATE(2745),
    [sym_set] = STATE(2745),
    [sym_import] = STATE(2745),
    [sym_include] = STATE(2745),
    [sym_for] = STATE(2745),
    [sym_while] = STATE(2745),
    [sym_show] = STATE(2745),
    [sym_return] = STATE(2745),
    [sym_flow] = STATE(2745),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(1889),
    [sym_none] = ACTIONS(1889),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [271] = {
    [sym_raw_blck] = STATE(2281),
    [sym_raw_span] = STATE(2281),
    [sym_math] = STATE(2281),
    [sym__expr] = STATE(2281),
    [sym_ident] = STATE(2281),
    [sym_bool] = STATE(2281),
    [sym_number] = STATE(2281),
    [sym_string] = STATE(2281),
    [sym_tagged] = STATE(2281),
    [sym_context] = STATE(2281),
    [sym_elude] = STATE(2281),
    [sym_assign] = STATE(2281),
    [sym_lambda] = STATE(2281),
    [sym_or] = STATE(2281),
    [sym_not] = STATE(2281),
    [sym_and] = STATE(2281),
    [sym_cmp] = STATE(2281),
    [sym_in] = STATE(2281),
    [sym_add] = STATE(2281),
    [sym_sub] = STATE(2281),
    [sym_mul] = STATE(2281),
    [sym_div] = STATE(2281),
    [sym_sign] = STATE(2281),
    [sym_call] = STATE(2281),
    [sym_field] = STATE(2281),
    [sym_label] = STATE(2281),
    [sym_content] = STATE(2281),
    [sym_group] = STATE(2281),
    [sym_block] = STATE(2281),
    [sym_branch] = STATE(2281),
    [sym_let] = STATE(2281),
    [sym_set] = STATE(2281),
    [sym_import] = STATE(2281),
    [sym_include] = STATE(2281),
    [sym_for] = STATE(2281),
    [sym_while] = STATE(2281),
    [sym_show] = STATE(2281),
    [sym_return] = STATE(2281),
    [sym_flow] = STATE(2281),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1895),
    [sym_none] = ACTIONS(1895),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [272] = {
    [sym_raw_blck] = STATE(3006),
    [sym_raw_span] = STATE(3006),
    [sym_math] = STATE(3006),
    [sym__expr] = STATE(3006),
    [sym_ident] = STATE(3006),
    [sym_bool] = STATE(3006),
    [sym_number] = STATE(3006),
    [sym_string] = STATE(3006),
    [sym_tagged] = STATE(3006),
    [sym_context] = STATE(3006),
    [sym_elude] = STATE(3006),
    [sym_assign] = STATE(3006),
    [sym_lambda] = STATE(3006),
    [sym_or] = STATE(3006),
    [sym_not] = STATE(3006),
    [sym_and] = STATE(3006),
    [sym_cmp] = STATE(3006),
    [sym_in] = STATE(3006),
    [sym_add] = STATE(3006),
    [sym_sub] = STATE(3006),
    [sym_mul] = STATE(3006),
    [sym_div] = STATE(3006),
    [sym_sign] = STATE(3006),
    [sym_call] = STATE(3006),
    [sym_field] = STATE(3006),
    [sym_label] = STATE(3006),
    [sym_content] = STATE(3006),
    [sym_group] = STATE(3006),
    [sym_block] = STATE(3006),
    [sym_branch] = STATE(3006),
    [sym_let] = STATE(3006),
    [sym_set] = STATE(3006),
    [sym_import] = STATE(3006),
    [sym_include] = STATE(3006),
    [sym_for] = STATE(3006),
    [sym_while] = STATE(3006),
    [sym_show] = STATE(3006),
    [sym_return] = STATE(3006),
    [sym_flow] = STATE(3006),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(1897),
    [sym_none] = ACTIONS(1897),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [273] = {
    [sym_raw_blck] = STATE(2289),
    [sym_raw_span] = STATE(2289),
    [sym_math] = STATE(2289),
    [sym__expr] = STATE(2289),
    [sym_ident] = STATE(2289),
    [sym_bool] = STATE(2289),
    [sym_number] = STATE(2289),
    [sym_string] = STATE(2289),
    [sym_tagged] = STATE(2289),
    [sym_context] = STATE(2289),
    [sym_elude] = STATE(2289),
    [sym_assign] = STATE(2289),
    [sym_lambda] = STATE(2289),
    [sym_or] = STATE(2289),
    [sym_not] = STATE(2289),
    [sym_and] = STATE(2289),
    [sym_cmp] = STATE(2289),
    [sym_in] = STATE(2289),
    [sym_add] = STATE(2289),
    [sym_sub] = STATE(2289),
    [sym_mul] = STATE(2289),
    [sym_div] = STATE(2289),
    [sym_sign] = STATE(2289),
    [sym_call] = STATE(2289),
    [sym_field] = STATE(2289),
    [sym_label] = STATE(2289),
    [sym_content] = STATE(2289),
    [sym_group] = STATE(2289),
    [sym_block] = STATE(2289),
    [sym_branch] = STATE(2289),
    [sym_let] = STATE(2289),
    [sym_set] = STATE(2289),
    [sym_import] = STATE(2289),
    [sym_include] = STATE(2289),
    [sym_for] = STATE(2289),
    [sym_while] = STATE(2289),
    [sym_show] = STATE(2289),
    [sym_return] = STATE(2289),
    [sym_flow] = STATE(2289),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1899),
    [sym_none] = ACTIONS(1899),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [274] = {
    [sym_raw_blck] = STATE(2292),
    [sym_raw_span] = STATE(2292),
    [sym_math] = STATE(2292),
    [sym__expr] = STATE(2292),
    [sym_ident] = STATE(2292),
    [sym_bool] = STATE(2292),
    [sym_number] = STATE(2292),
    [sym_string] = STATE(2292),
    [sym_tagged] = STATE(2292),
    [sym_context] = STATE(2292),
    [sym_elude] = STATE(2292),
    [sym_assign] = STATE(2292),
    [sym_lambda] = STATE(2292),
    [sym_or] = STATE(2292),
    [sym_not] = STATE(2292),
    [sym_and] = STATE(2292),
    [sym_cmp] = STATE(2292),
    [sym_in] = STATE(2292),
    [sym_add] = STATE(2292),
    [sym_sub] = STATE(2292),
    [sym_mul] = STATE(2292),
    [sym_div] = STATE(2292),
    [sym_sign] = STATE(2292),
    [sym_call] = STATE(2292),
    [sym_field] = STATE(2292),
    [sym_label] = STATE(2292),
    [sym_content] = STATE(2292),
    [sym_group] = STATE(2292),
    [sym_block] = STATE(2292),
    [sym_branch] = STATE(2292),
    [sym_let] = STATE(2292),
    [sym_set] = STATE(2292),
    [sym_import] = STATE(2292),
    [sym_include] = STATE(2292),
    [sym_for] = STATE(2292),
    [sym_while] = STATE(2292),
    [sym_show] = STATE(2292),
    [sym_return] = STATE(2292),
    [sym_flow] = STATE(2292),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1901),
    [sym_none] = ACTIONS(1901),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [275] = {
    [sym_raw_blck] = STATE(1810),
    [sym_raw_span] = STATE(1810),
    [sym_math] = STATE(1810),
    [sym__expr] = STATE(1810),
    [sym_ident] = STATE(1810),
    [sym_bool] = STATE(1810),
    [sym_number] = STATE(1810),
    [sym_string] = STATE(1810),
    [sym_tagged] = STATE(1810),
    [sym_context] = STATE(1810),
    [sym_elude] = STATE(1810),
    [sym_assign] = STATE(1810),
    [sym_lambda] = STATE(1810),
    [sym_or] = STATE(1810),
    [sym_not] = STATE(1810),
    [sym_and] = STATE(1810),
    [sym_cmp] = STATE(1810),
    [sym_in] = STATE(1810),
    [sym_add] = STATE(1810),
    [sym_sub] = STATE(1810),
    [sym_mul] = STATE(1810),
    [sym_div] = STATE(1810),
    [sym_sign] = STATE(1810),
    [sym_call] = STATE(1810),
    [sym_field] = STATE(1810),
    [sym_label] = STATE(1810),
    [sym_content] = STATE(1810),
    [sym_group] = STATE(1810),
    [sym_block] = STATE(1810),
    [sym_branch] = STATE(1810),
    [sym_let] = STATE(1810),
    [sym_set] = STATE(1810),
    [sym_import] = STATE(1810),
    [sym_include] = STATE(1810),
    [sym_for] = STATE(1810),
    [sym_while] = STATE(1810),
    [sym_show] = STATE(1810),
    [sym_return] = STATE(1810),
    [sym_flow] = STATE(1810),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(1907),
    [sym_none] = ACTIONS(1907),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [276] = {
    [sym_raw_blck] = STATE(2127),
    [sym_raw_span] = STATE(2127),
    [sym_math] = STATE(2127),
    [sym__expr] = STATE(2127),
    [sym_ident] = STATE(2127),
    [sym_bool] = STATE(2127),
    [sym_number] = STATE(2127),
    [sym_string] = STATE(2127),
    [sym_tagged] = STATE(2127),
    [sym_context] = STATE(2127),
    [sym_elude] = STATE(2127),
    [sym_assign] = STATE(2127),
    [sym_lambda] = STATE(2127),
    [sym_or] = STATE(2127),
    [sym_not] = STATE(2127),
    [sym_and] = STATE(2127),
    [sym_cmp] = STATE(2127),
    [sym_in] = STATE(2127),
    [sym_add] = STATE(2127),
    [sym_sub] = STATE(2127),
    [sym_mul] = STATE(2127),
    [sym_div] = STATE(2127),
    [sym_sign] = STATE(2127),
    [sym_call] = STATE(2127),
    [sym_field] = STATE(2127),
    [sym_label] = STATE(2127),
    [sym_content] = STATE(2127),
    [sym_group] = STATE(2127),
    [sym_block] = STATE(2127),
    [sym_branch] = STATE(2127),
    [sym_let] = STATE(2127),
    [sym_set] = STATE(2127),
    [sym_import] = STATE(2127),
    [sym_include] = STATE(2127),
    [sym_for] = STATE(2127),
    [sym_while] = STATE(2127),
    [sym_show] = STATE(2127),
    [sym_return] = STATE(2127),
    [sym_flow] = STATE(2127),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1909),
    [sym_none] = ACTIONS(1909),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [277] = {
    [sym_raw_blck] = STATE(2180),
    [sym_raw_span] = STATE(2180),
    [sym_math] = STATE(2180),
    [sym__expr] = STATE(2180),
    [sym_ident] = STATE(2180),
    [sym_bool] = STATE(2180),
    [sym_number] = STATE(2180),
    [sym_string] = STATE(2180),
    [sym_tagged] = STATE(2180),
    [sym_context] = STATE(2180),
    [sym_elude] = STATE(2180),
    [sym_assign] = STATE(2180),
    [sym_lambda] = STATE(2180),
    [sym_or] = STATE(2180),
    [sym_not] = STATE(2180),
    [sym_and] = STATE(2180),
    [sym_cmp] = STATE(2180),
    [sym_in] = STATE(2180),
    [sym_add] = STATE(2180),
    [sym_sub] = STATE(2180),
    [sym_mul] = STATE(2180),
    [sym_div] = STATE(2180),
    [sym_sign] = STATE(2180),
    [sym_call] = STATE(2180),
    [sym_field] = STATE(2180),
    [sym_label] = STATE(2180),
    [sym_content] = STATE(2180),
    [sym_group] = STATE(2180),
    [sym_block] = STATE(2180),
    [sym_branch] = STATE(2180),
    [sym_let] = STATE(2180),
    [sym_set] = STATE(2180),
    [sym_import] = STATE(2180),
    [sym_include] = STATE(2180),
    [sym_for] = STATE(2180),
    [sym_while] = STATE(2180),
    [sym_show] = STATE(2180),
    [sym_return] = STATE(2180),
    [sym_flow] = STATE(2180),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1911),
    [sym_none] = ACTIONS(1911),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [278] = {
    [sym_raw_blck] = STATE(2183),
    [sym_raw_span] = STATE(2183),
    [sym_math] = STATE(2183),
    [sym__expr] = STATE(2183),
    [sym_ident] = STATE(2183),
    [sym_bool] = STATE(2183),
    [sym_number] = STATE(2183),
    [sym_string] = STATE(2183),
    [sym_tagged] = STATE(2183),
    [sym_context] = STATE(2183),
    [sym_elude] = STATE(2183),
    [sym_assign] = STATE(2183),
    [sym_lambda] = STATE(2183),
    [sym_or] = STATE(2183),
    [sym_not] = STATE(2183),
    [sym_and] = STATE(2183),
    [sym_cmp] = STATE(2183),
    [sym_in] = STATE(2183),
    [sym_add] = STATE(2183),
    [sym_sub] = STATE(2183),
    [sym_mul] = STATE(2183),
    [sym_div] = STATE(2183),
    [sym_sign] = STATE(2183),
    [sym_call] = STATE(2183),
    [sym_field] = STATE(2183),
    [sym_label] = STATE(2183),
    [sym_content] = STATE(2183),
    [sym_group] = STATE(2183),
    [sym_block] = STATE(2183),
    [sym_branch] = STATE(2183),
    [sym_let] = STATE(2183),
    [sym_set] = STATE(2183),
    [sym_import] = STATE(2183),
    [sym_include] = STATE(2183),
    [sym_for] = STATE(2183),
    [sym_while] = STATE(2183),
    [sym_show] = STATE(2183),
    [sym_return] = STATE(2183),
    [sym_flow] = STATE(2183),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1913),
    [sym_none] = ACTIONS(1913),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [279] = {
    [sym_raw_blck] = STATE(2191),
    [sym_raw_span] = STATE(2191),
    [sym_math] = STATE(2191),
    [sym__expr] = STATE(2191),
    [sym_ident] = STATE(2191),
    [sym_bool] = STATE(2191),
    [sym_number] = STATE(2191),
    [sym_string] = STATE(2191),
    [sym_tagged] = STATE(2191),
    [sym_context] = STATE(2191),
    [sym_elude] = STATE(2191),
    [sym_assign] = STATE(2191),
    [sym_lambda] = STATE(2191),
    [sym_or] = STATE(2191),
    [sym_not] = STATE(2191),
    [sym_and] = STATE(2191),
    [sym_cmp] = STATE(2191),
    [sym_in] = STATE(2191),
    [sym_add] = STATE(2191),
    [sym_sub] = STATE(2191),
    [sym_mul] = STATE(2191),
    [sym_div] = STATE(2191),
    [sym_sign] = STATE(2191),
    [sym_call] = STATE(2191),
    [sym_field] = STATE(2191),
    [sym_label] = STATE(2191),
    [sym_content] = STATE(2191),
    [sym_group] = STATE(2191),
    [sym_block] = STATE(2191),
    [sym_branch] = STATE(2191),
    [sym_let] = STATE(2191),
    [sym_set] = STATE(2191),
    [sym_import] = STATE(2191),
    [sym_include] = STATE(2191),
    [sym_for] = STATE(2191),
    [sym_while] = STATE(2191),
    [sym_show] = STATE(2191),
    [sym_return] = STATE(2191),
    [sym_flow] = STATE(2191),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1915),
    [sym_none] = ACTIONS(1915),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [280] = {
    [sym_raw_blck] = STATE(2192),
    [sym_raw_span] = STATE(2192),
    [sym_math] = STATE(2192),
    [sym__expr] = STATE(2192),
    [sym_ident] = STATE(2192),
    [sym_bool] = STATE(2192),
    [sym_number] = STATE(2192),
    [sym_string] = STATE(2192),
    [sym_tagged] = STATE(2192),
    [sym_context] = STATE(2192),
    [sym_elude] = STATE(2192),
    [sym_assign] = STATE(2192),
    [sym_lambda] = STATE(2192),
    [sym_or] = STATE(2192),
    [sym_not] = STATE(2192),
    [sym_and] = STATE(2192),
    [sym_cmp] = STATE(2192),
    [sym_in] = STATE(2192),
    [sym_add] = STATE(2192),
    [sym_sub] = STATE(2192),
    [sym_mul] = STATE(2192),
    [sym_div] = STATE(2192),
    [sym_sign] = STATE(2192),
    [sym_call] = STATE(2192),
    [sym_field] = STATE(2192),
    [sym_label] = STATE(2192),
    [sym_content] = STATE(2192),
    [sym_group] = STATE(2192),
    [sym_block] = STATE(2192),
    [sym_branch] = STATE(2192),
    [sym_let] = STATE(2192),
    [sym_set] = STATE(2192),
    [sym_import] = STATE(2192),
    [sym_include] = STATE(2192),
    [sym_for] = STATE(2192),
    [sym_while] = STATE(2192),
    [sym_show] = STATE(2192),
    [sym_return] = STATE(2192),
    [sym_flow] = STATE(2192),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1917),
    [sym_none] = ACTIONS(1917),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [281] = {
    [sym_raw_blck] = STATE(2197),
    [sym_raw_span] = STATE(2197),
    [sym_math] = STATE(2197),
    [sym__expr] = STATE(2197),
    [sym_ident] = STATE(2197),
    [sym_bool] = STATE(2197),
    [sym_number] = STATE(2197),
    [sym_string] = STATE(2197),
    [sym_tagged] = STATE(2197),
    [sym_context] = STATE(2197),
    [sym_elude] = STATE(2197),
    [sym_assign] = STATE(2197),
    [sym_lambda] = STATE(2197),
    [sym_or] = STATE(2197),
    [sym_not] = STATE(2197),
    [sym_and] = STATE(2197),
    [sym_cmp] = STATE(2197),
    [sym_in] = STATE(2197),
    [sym_add] = STATE(2197),
    [sym_sub] = STATE(2197),
    [sym_mul] = STATE(2197),
    [sym_div] = STATE(2197),
    [sym_sign] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_field] = STATE(2197),
    [sym_label] = STATE(2197),
    [sym_content] = STATE(2197),
    [sym_group] = STATE(2197),
    [sym_block] = STATE(2197),
    [sym_branch] = STATE(2197),
    [sym_let] = STATE(2197),
    [sym_set] = STATE(2197),
    [sym_import] = STATE(2197),
    [sym_include] = STATE(2197),
    [sym_for] = STATE(2197),
    [sym_while] = STATE(2197),
    [sym_show] = STATE(2197),
    [sym_return] = STATE(2197),
    [sym_flow] = STATE(2197),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1919),
    [sym_none] = ACTIONS(1919),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [282] = {
    [sym_raw_blck] = STATE(2207),
    [sym_raw_span] = STATE(2207),
    [sym_math] = STATE(2207),
    [sym__expr] = STATE(2207),
    [sym_ident] = STATE(2207),
    [sym_bool] = STATE(2207),
    [sym_number] = STATE(2207),
    [sym_string] = STATE(2207),
    [sym_tagged] = STATE(2207),
    [sym_context] = STATE(2207),
    [sym_elude] = STATE(2207),
    [sym_assign] = STATE(2207),
    [sym_lambda] = STATE(2207),
    [sym_or] = STATE(2207),
    [sym_not] = STATE(2207),
    [sym_and] = STATE(2207),
    [sym_cmp] = STATE(2207),
    [sym_in] = STATE(2207),
    [sym_add] = STATE(2207),
    [sym_sub] = STATE(2207),
    [sym_mul] = STATE(2207),
    [sym_div] = STATE(2207),
    [sym_sign] = STATE(2207),
    [sym_call] = STATE(2207),
    [sym_field] = STATE(2207),
    [sym_label] = STATE(2207),
    [sym_content] = STATE(2207),
    [sym_group] = STATE(2207),
    [sym_block] = STATE(2207),
    [sym_branch] = STATE(2207),
    [sym_let] = STATE(2207),
    [sym_set] = STATE(2207),
    [sym_import] = STATE(2207),
    [sym_include] = STATE(2207),
    [sym_for] = STATE(2207),
    [sym_while] = STATE(2207),
    [sym_show] = STATE(2207),
    [sym_return] = STATE(2207),
    [sym_flow] = STATE(2207),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1921),
    [sym_none] = ACTIONS(1921),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [283] = {
    [sym_raw_blck] = STATE(2209),
    [sym_raw_span] = STATE(2209),
    [sym_math] = STATE(2209),
    [sym__expr] = STATE(2209),
    [sym_ident] = STATE(2209),
    [sym_bool] = STATE(2209),
    [sym_number] = STATE(2209),
    [sym_string] = STATE(2209),
    [sym_tagged] = STATE(2209),
    [sym_context] = STATE(2209),
    [sym_elude] = STATE(2209),
    [sym_assign] = STATE(2209),
    [sym_lambda] = STATE(2209),
    [sym_or] = STATE(2209),
    [sym_not] = STATE(2209),
    [sym_and] = STATE(2209),
    [sym_cmp] = STATE(2209),
    [sym_in] = STATE(2209),
    [sym_add] = STATE(2209),
    [sym_sub] = STATE(2209),
    [sym_mul] = STATE(2209),
    [sym_div] = STATE(2209),
    [sym_sign] = STATE(2209),
    [sym_call] = STATE(2209),
    [sym_field] = STATE(2209),
    [sym_label] = STATE(2209),
    [sym_content] = STATE(2209),
    [sym_group] = STATE(2209),
    [sym_block] = STATE(2209),
    [sym_branch] = STATE(2209),
    [sym_let] = STATE(2209),
    [sym_set] = STATE(2209),
    [sym_import] = STATE(2209),
    [sym_include] = STATE(2209),
    [sym_for] = STATE(2209),
    [sym_while] = STATE(2209),
    [sym_show] = STATE(2209),
    [sym_return] = STATE(2209),
    [sym_flow] = STATE(2209),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1923),
    [sym_none] = ACTIONS(1923),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [284] = {
    [sym_raw_blck] = STATE(2211),
    [sym_raw_span] = STATE(2211),
    [sym_math] = STATE(2211),
    [sym__expr] = STATE(2211),
    [sym_ident] = STATE(2211),
    [sym_bool] = STATE(2211),
    [sym_number] = STATE(2211),
    [sym_string] = STATE(2211),
    [sym_tagged] = STATE(2211),
    [sym_context] = STATE(2211),
    [sym_elude] = STATE(2211),
    [sym_assign] = STATE(2211),
    [sym_lambda] = STATE(2211),
    [sym_or] = STATE(2211),
    [sym_not] = STATE(2211),
    [sym_and] = STATE(2211),
    [sym_cmp] = STATE(2211),
    [sym_in] = STATE(2211),
    [sym_add] = STATE(2211),
    [sym_sub] = STATE(2211),
    [sym_mul] = STATE(2211),
    [sym_div] = STATE(2211),
    [sym_sign] = STATE(2211),
    [sym_call] = STATE(2211),
    [sym_field] = STATE(2211),
    [sym_label] = STATE(2211),
    [sym_content] = STATE(2211),
    [sym_group] = STATE(2211),
    [sym_block] = STATE(2211),
    [sym_branch] = STATE(2211),
    [sym_let] = STATE(2211),
    [sym_set] = STATE(2211),
    [sym_import] = STATE(2211),
    [sym_include] = STATE(2211),
    [sym_for] = STATE(2211),
    [sym_while] = STATE(2211),
    [sym_show] = STATE(2211),
    [sym_return] = STATE(2211),
    [sym_flow] = STATE(2211),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1925),
    [sym_none] = ACTIONS(1925),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [285] = {
    [sym_raw_blck] = STATE(2212),
    [sym_raw_span] = STATE(2212),
    [sym_math] = STATE(2212),
    [sym__expr] = STATE(2212),
    [sym_ident] = STATE(2212),
    [sym_bool] = STATE(2212),
    [sym_number] = STATE(2212),
    [sym_string] = STATE(2212),
    [sym_tagged] = STATE(2212),
    [sym_context] = STATE(2212),
    [sym_elude] = STATE(2212),
    [sym_assign] = STATE(2212),
    [sym_lambda] = STATE(2212),
    [sym_or] = STATE(2212),
    [sym_not] = STATE(2212),
    [sym_and] = STATE(2212),
    [sym_cmp] = STATE(2212),
    [sym_in] = STATE(2212),
    [sym_add] = STATE(2212),
    [sym_sub] = STATE(2212),
    [sym_mul] = STATE(2212),
    [sym_div] = STATE(2212),
    [sym_sign] = STATE(2212),
    [sym_call] = STATE(2212),
    [sym_field] = STATE(2212),
    [sym_label] = STATE(2212),
    [sym_content] = STATE(2212),
    [sym_group] = STATE(2212),
    [sym_block] = STATE(2212),
    [sym_branch] = STATE(2212),
    [sym_let] = STATE(2212),
    [sym_set] = STATE(2212),
    [sym_import] = STATE(2212),
    [sym_include] = STATE(2212),
    [sym_for] = STATE(2212),
    [sym_while] = STATE(2212),
    [sym_show] = STATE(2212),
    [sym_return] = STATE(2212),
    [sym_flow] = STATE(2212),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1927),
    [sym_none] = ACTIONS(1927),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [286] = {
    [sym_raw_blck] = STATE(2216),
    [sym_raw_span] = STATE(2216),
    [sym_math] = STATE(2216),
    [sym__expr] = STATE(2216),
    [sym_ident] = STATE(2216),
    [sym_bool] = STATE(2216),
    [sym_number] = STATE(2216),
    [sym_string] = STATE(2216),
    [sym_tagged] = STATE(2216),
    [sym_context] = STATE(2216),
    [sym_elude] = STATE(2216),
    [sym_assign] = STATE(2216),
    [sym_lambda] = STATE(2216),
    [sym_or] = STATE(2216),
    [sym_not] = STATE(2216),
    [sym_and] = STATE(2216),
    [sym_cmp] = STATE(2216),
    [sym_in] = STATE(2216),
    [sym_add] = STATE(2216),
    [sym_sub] = STATE(2216),
    [sym_mul] = STATE(2216),
    [sym_div] = STATE(2216),
    [sym_sign] = STATE(2216),
    [sym_call] = STATE(2216),
    [sym_field] = STATE(2216),
    [sym_label] = STATE(2216),
    [sym_content] = STATE(2216),
    [sym_group] = STATE(2216),
    [sym_block] = STATE(2216),
    [sym_branch] = STATE(2216),
    [sym_let] = STATE(2216),
    [sym_set] = STATE(2216),
    [sym_import] = STATE(2216),
    [sym_include] = STATE(2216),
    [sym_for] = STATE(2216),
    [sym_while] = STATE(2216),
    [sym_show] = STATE(2216),
    [sym_return] = STATE(2216),
    [sym_flow] = STATE(2216),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1929),
    [sym_none] = ACTIONS(1929),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [287] = {
    [sym_raw_blck] = STATE(2217),
    [sym_raw_span] = STATE(2217),
    [sym_math] = STATE(2217),
    [sym__expr] = STATE(2217),
    [sym_ident] = STATE(2217),
    [sym_bool] = STATE(2217),
    [sym_number] = STATE(2217),
    [sym_string] = STATE(2217),
    [sym_tagged] = STATE(2217),
    [sym_context] = STATE(2217),
    [sym_elude] = STATE(2217),
    [sym_assign] = STATE(2217),
    [sym_lambda] = STATE(2217),
    [sym_or] = STATE(2217),
    [sym_not] = STATE(2217),
    [sym_and] = STATE(2217),
    [sym_cmp] = STATE(2217),
    [sym_in] = STATE(2217),
    [sym_add] = STATE(2217),
    [sym_sub] = STATE(2217),
    [sym_mul] = STATE(2217),
    [sym_div] = STATE(2217),
    [sym_sign] = STATE(2217),
    [sym_call] = STATE(2217),
    [sym_field] = STATE(2217),
    [sym_label] = STATE(2217),
    [sym_content] = STATE(2217),
    [sym_group] = STATE(2217),
    [sym_block] = STATE(2217),
    [sym_branch] = STATE(2217),
    [sym_let] = STATE(2217),
    [sym_set] = STATE(2217),
    [sym_import] = STATE(2217),
    [sym_include] = STATE(2217),
    [sym_for] = STATE(2217),
    [sym_while] = STATE(2217),
    [sym_show] = STATE(2217),
    [sym_return] = STATE(2217),
    [sym_flow] = STATE(2217),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1931),
    [sym_none] = ACTIONS(1931),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [288] = {
    [sym_raw_blck] = STATE(2229),
    [sym_raw_span] = STATE(2229),
    [sym_math] = STATE(2229),
    [sym__expr] = STATE(2229),
    [sym_ident] = STATE(2229),
    [sym_bool] = STATE(2229),
    [sym_number] = STATE(2229),
    [sym_string] = STATE(2229),
    [sym_tagged] = STATE(2229),
    [sym_context] = STATE(2229),
    [sym_elude] = STATE(2229),
    [sym_assign] = STATE(2229),
    [sym_lambda] = STATE(2229),
    [sym_or] = STATE(2229),
    [sym_not] = STATE(2229),
    [sym_and] = STATE(2229),
    [sym_cmp] = STATE(2229),
    [sym_in] = STATE(2229),
    [sym_add] = STATE(2229),
    [sym_sub] = STATE(2229),
    [sym_mul] = STATE(2229),
    [sym_div] = STATE(2229),
    [sym_sign] = STATE(2229),
    [sym_call] = STATE(2229),
    [sym_field] = STATE(2229),
    [sym_label] = STATE(2229),
    [sym_content] = STATE(2229),
    [sym_group] = STATE(2229),
    [sym_block] = STATE(2229),
    [sym_branch] = STATE(2229),
    [sym_let] = STATE(2229),
    [sym_set] = STATE(2229),
    [sym_import] = STATE(2229),
    [sym_include] = STATE(2229),
    [sym_for] = STATE(2229),
    [sym_while] = STATE(2229),
    [sym_show] = STATE(2229),
    [sym_return] = STATE(2229),
    [sym_flow] = STATE(2229),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1933),
    [sym_none] = ACTIONS(1933),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [289] = {
    [sym_raw_blck] = STATE(2230),
    [sym_raw_span] = STATE(2230),
    [sym_math] = STATE(2230),
    [sym__expr] = STATE(2230),
    [sym_ident] = STATE(2230),
    [sym_bool] = STATE(2230),
    [sym_number] = STATE(2230),
    [sym_string] = STATE(2230),
    [sym_tagged] = STATE(2230),
    [sym_context] = STATE(2230),
    [sym_elude] = STATE(2230),
    [sym_assign] = STATE(2230),
    [sym_lambda] = STATE(2230),
    [sym_or] = STATE(2230),
    [sym_not] = STATE(2230),
    [sym_and] = STATE(2230),
    [sym_cmp] = STATE(2230),
    [sym_in] = STATE(2230),
    [sym_add] = STATE(2230),
    [sym_sub] = STATE(2230),
    [sym_mul] = STATE(2230),
    [sym_div] = STATE(2230),
    [sym_sign] = STATE(2230),
    [sym_call] = STATE(2230),
    [sym_field] = STATE(2230),
    [sym_label] = STATE(2230),
    [sym_content] = STATE(2230),
    [sym_group] = STATE(2230),
    [sym_block] = STATE(2230),
    [sym_branch] = STATE(2230),
    [sym_let] = STATE(2230),
    [sym_set] = STATE(2230),
    [sym_import] = STATE(2230),
    [sym_include] = STATE(2230),
    [sym_for] = STATE(2230),
    [sym_while] = STATE(2230),
    [sym_show] = STATE(2230),
    [sym_return] = STATE(2230),
    [sym_flow] = STATE(2230),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1935),
    [sym_none] = ACTIONS(1935),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [290] = {
    [sym_raw_blck] = STATE(2250),
    [sym_raw_span] = STATE(2250),
    [sym_math] = STATE(2250),
    [sym__expr] = STATE(2250),
    [sym_ident] = STATE(2250),
    [sym_bool] = STATE(2250),
    [sym_number] = STATE(2250),
    [sym_string] = STATE(2250),
    [sym_tagged] = STATE(2250),
    [sym_context] = STATE(2250),
    [sym_elude] = STATE(2250),
    [sym_assign] = STATE(2250),
    [sym_lambda] = STATE(2250),
    [sym_or] = STATE(2250),
    [sym_not] = STATE(2250),
    [sym_and] = STATE(2250),
    [sym_cmp] = STATE(2250),
    [sym_in] = STATE(2250),
    [sym_add] = STATE(2250),
    [sym_sub] = STATE(2250),
    [sym_mul] = STATE(2250),
    [sym_div] = STATE(2250),
    [sym_sign] = STATE(2250),
    [sym_call] = STATE(2250),
    [sym_field] = STATE(2250),
    [sym_label] = STATE(2250),
    [sym_content] = STATE(2250),
    [sym_group] = STATE(2250),
    [sym_block] = STATE(2250),
    [sym_branch] = STATE(2250),
    [sym_let] = STATE(2250),
    [sym_set] = STATE(2250),
    [sym_import] = STATE(2250),
    [sym_include] = STATE(2250),
    [sym_for] = STATE(2250),
    [sym_while] = STATE(2250),
    [sym_show] = STATE(2250),
    [sym_return] = STATE(2250),
    [sym_flow] = STATE(2250),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1937),
    [sym_none] = ACTIONS(1937),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [291] = {
    [sym_raw_blck] = STATE(2251),
    [sym_raw_span] = STATE(2251),
    [sym_math] = STATE(2251),
    [sym__expr] = STATE(2251),
    [sym_ident] = STATE(2251),
    [sym_bool] = STATE(2251),
    [sym_number] = STATE(2251),
    [sym_string] = STATE(2251),
    [sym_tagged] = STATE(2251),
    [sym_context] = STATE(2251),
    [sym_elude] = STATE(2251),
    [sym_assign] = STATE(2251),
    [sym_lambda] = STATE(2251),
    [sym_or] = STATE(2251),
    [sym_not] = STATE(2251),
    [sym_and] = STATE(2251),
    [sym_cmp] = STATE(2251),
    [sym_in] = STATE(2251),
    [sym_add] = STATE(2251),
    [sym_sub] = STATE(2251),
    [sym_mul] = STATE(2251),
    [sym_div] = STATE(2251),
    [sym_sign] = STATE(2251),
    [sym_call] = STATE(2251),
    [sym_field] = STATE(2251),
    [sym_label] = STATE(2251),
    [sym_content] = STATE(2251),
    [sym_group] = STATE(2251),
    [sym_block] = STATE(2251),
    [sym_branch] = STATE(2251),
    [sym_let] = STATE(2251),
    [sym_set] = STATE(2251),
    [sym_import] = STATE(2251),
    [sym_include] = STATE(2251),
    [sym_for] = STATE(2251),
    [sym_while] = STATE(2251),
    [sym_show] = STATE(2251),
    [sym_return] = STATE(2251),
    [sym_flow] = STATE(2251),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(1939),
    [sym_none] = ACTIONS(1939),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [292] = {
    [sym_raw_blck] = STATE(2106),
    [sym_raw_span] = STATE(2106),
    [sym_math] = STATE(2106),
    [sym__expr] = STATE(2106),
    [sym_ident] = STATE(2106),
    [sym_bool] = STATE(2106),
    [sym_number] = STATE(2106),
    [sym_string] = STATE(2106),
    [sym_tagged] = STATE(2106),
    [sym_context] = STATE(2106),
    [sym_elude] = STATE(2106),
    [sym_assign] = STATE(2106),
    [sym_lambda] = STATE(2106),
    [sym_or] = STATE(2106),
    [sym_not] = STATE(2106),
    [sym_and] = STATE(2106),
    [sym_cmp] = STATE(2106),
    [sym_in] = STATE(2106),
    [sym_add] = STATE(2106),
    [sym_sub] = STATE(2106),
    [sym_mul] = STATE(2106),
    [sym_div] = STATE(2106),
    [sym_sign] = STATE(2106),
    [sym_call] = STATE(2106),
    [sym_field] = STATE(2106),
    [sym_label] = STATE(2106),
    [sym_content] = STATE(2106),
    [sym_group] = STATE(2106),
    [sym_block] = STATE(2106),
    [sym_branch] = STATE(2106),
    [sym_let] = STATE(2106),
    [sym_set] = STATE(2106),
    [sym_import] = STATE(2106),
    [sym_include] = STATE(2106),
    [sym_for] = STATE(2106),
    [sym_while] = STATE(2106),
    [sym_show] = STATE(2106),
    [sym_return] = STATE(2106),
    [sym_flow] = STATE(2106),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1945),
    [sym_none] = ACTIONS(1945),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [293] = {
    [sym_raw_blck] = STATE(3003),
    [sym_raw_span] = STATE(3003),
    [sym_math] = STATE(3003),
    [sym__expr] = STATE(3003),
    [sym_ident] = STATE(3003),
    [sym_bool] = STATE(3003),
    [sym_number] = STATE(3003),
    [sym_string] = STATE(3003),
    [sym_tagged] = STATE(3003),
    [sym_context] = STATE(3003),
    [sym_elude] = STATE(3003),
    [sym_assign] = STATE(3003),
    [sym_lambda] = STATE(3003),
    [sym_or] = STATE(3003),
    [sym_not] = STATE(3003),
    [sym_and] = STATE(3003),
    [sym_cmp] = STATE(3003),
    [sym_in] = STATE(3003),
    [sym_add] = STATE(3003),
    [sym_sub] = STATE(3003),
    [sym_mul] = STATE(3003),
    [sym_div] = STATE(3003),
    [sym_sign] = STATE(3003),
    [sym_call] = STATE(3003),
    [sym_field] = STATE(3003),
    [sym_label] = STATE(3003),
    [sym_content] = STATE(3003),
    [sym_group] = STATE(3003),
    [sym_block] = STATE(3003),
    [sym_branch] = STATE(3003),
    [sym_let] = STATE(3003),
    [sym_set] = STATE(3003),
    [sym_import] = STATE(3003),
    [sym_include] = STATE(3003),
    [sym_for] = STATE(3003),
    [sym_while] = STATE(3003),
    [sym_show] = STATE(3003),
    [sym_return] = STATE(3003),
    [sym_flow] = STATE(3003),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(1947),
    [sym_none] = ACTIONS(1947),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [294] = {
    [sym_raw_blck] = STATE(2064),
    [sym_raw_span] = STATE(2064),
    [sym_math] = STATE(2064),
    [sym__expr] = STATE(2064),
    [sym_ident] = STATE(2064),
    [sym_bool] = STATE(2064),
    [sym_number] = STATE(2064),
    [sym_string] = STATE(2064),
    [sym_tagged] = STATE(2064),
    [sym_context] = STATE(2064),
    [sym_elude] = STATE(2064),
    [sym_assign] = STATE(2064),
    [sym_lambda] = STATE(2064),
    [sym_or] = STATE(2064),
    [sym_not] = STATE(2064),
    [sym_and] = STATE(2064),
    [sym_cmp] = STATE(2064),
    [sym_in] = STATE(2064),
    [sym_add] = STATE(2064),
    [sym_sub] = STATE(2064),
    [sym_mul] = STATE(2064),
    [sym_div] = STATE(2064),
    [sym_sign] = STATE(2064),
    [sym_call] = STATE(2064),
    [sym_field] = STATE(2064),
    [sym_label] = STATE(2064),
    [sym_content] = STATE(2064),
    [sym_group] = STATE(2064),
    [sym_block] = STATE(2064),
    [sym_branch] = STATE(2064),
    [sym_let] = STATE(2064),
    [sym_set] = STATE(2064),
    [sym_import] = STATE(2064),
    [sym_include] = STATE(2064),
    [sym_for] = STATE(2064),
    [sym_while] = STATE(2064),
    [sym_show] = STATE(2064),
    [sym_return] = STATE(2064),
    [sym_flow] = STATE(2064),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1949),
    [sym_none] = ACTIONS(1949),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [295] = {
    [sym_raw_blck] = STATE(2109),
    [sym_raw_span] = STATE(2109),
    [sym_math] = STATE(2109),
    [sym__expr] = STATE(2109),
    [sym_ident] = STATE(2109),
    [sym_bool] = STATE(2109),
    [sym_number] = STATE(2109),
    [sym_string] = STATE(2109),
    [sym_tagged] = STATE(2109),
    [sym_context] = STATE(2109),
    [sym_elude] = STATE(2109),
    [sym_assign] = STATE(2109),
    [sym_lambda] = STATE(2109),
    [sym_or] = STATE(2109),
    [sym_not] = STATE(2109),
    [sym_and] = STATE(2109),
    [sym_cmp] = STATE(2109),
    [sym_in] = STATE(2109),
    [sym_add] = STATE(2109),
    [sym_sub] = STATE(2109),
    [sym_mul] = STATE(2109),
    [sym_div] = STATE(2109),
    [sym_sign] = STATE(2109),
    [sym_call] = STATE(2109),
    [sym_field] = STATE(2109),
    [sym_label] = STATE(2109),
    [sym_content] = STATE(2109),
    [sym_group] = STATE(2109),
    [sym_block] = STATE(2109),
    [sym_branch] = STATE(2109),
    [sym_let] = STATE(2109),
    [sym_set] = STATE(2109),
    [sym_import] = STATE(2109),
    [sym_include] = STATE(2109),
    [sym_for] = STATE(2109),
    [sym_while] = STATE(2109),
    [sym_show] = STATE(2109),
    [sym_return] = STATE(2109),
    [sym_flow] = STATE(2109),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1951),
    [sym_none] = ACTIONS(1951),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [296] = {
    [sym_raw_blck] = STATE(2431),
    [sym_raw_span] = STATE(2431),
    [sym_math] = STATE(2431),
    [sym__expr] = STATE(2431),
    [sym_ident] = STATE(2431),
    [sym_bool] = STATE(2431),
    [sym_number] = STATE(2431),
    [sym_string] = STATE(2431),
    [sym_tagged] = STATE(2431),
    [sym_context] = STATE(2431),
    [sym_elude] = STATE(2431),
    [sym_assign] = STATE(2431),
    [sym_lambda] = STATE(2431),
    [sym_or] = STATE(2431),
    [sym_not] = STATE(2431),
    [sym_and] = STATE(2431),
    [sym_cmp] = STATE(2431),
    [sym_in] = STATE(2431),
    [sym_add] = STATE(2431),
    [sym_sub] = STATE(2431),
    [sym_mul] = STATE(2431),
    [sym_div] = STATE(2431),
    [sym_sign] = STATE(2431),
    [sym_call] = STATE(2431),
    [sym_field] = STATE(2431),
    [sym_label] = STATE(2431),
    [sym_content] = STATE(2431),
    [sym_group] = STATE(2431),
    [sym_block] = STATE(2431),
    [sym_branch] = STATE(2431),
    [sym_let] = STATE(2431),
    [sym_set] = STATE(2431),
    [sym_import] = STATE(2431),
    [sym_include] = STATE(2431),
    [sym_for] = STATE(2431),
    [sym_while] = STATE(2431),
    [sym_show] = STATE(2431),
    [sym_return] = STATE(2431),
    [sym_flow] = STATE(2431),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1953),
    [sym_none] = ACTIONS(1953),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [297] = {
    [sym_raw_blck] = STATE(2165),
    [sym_raw_span] = STATE(2165),
    [sym_math] = STATE(2165),
    [sym__expr] = STATE(2165),
    [sym_ident] = STATE(2165),
    [sym_bool] = STATE(2165),
    [sym_number] = STATE(2165),
    [sym_string] = STATE(2165),
    [sym_tagged] = STATE(2165),
    [sym_context] = STATE(2165),
    [sym_elude] = STATE(2165),
    [sym_assign] = STATE(2165),
    [sym_lambda] = STATE(2165),
    [sym_or] = STATE(2165),
    [sym_not] = STATE(2165),
    [sym_and] = STATE(2165),
    [sym_cmp] = STATE(2165),
    [sym_in] = STATE(2165),
    [sym_add] = STATE(2165),
    [sym_sub] = STATE(2165),
    [sym_mul] = STATE(2165),
    [sym_div] = STATE(2165),
    [sym_sign] = STATE(2165),
    [sym_call] = STATE(2165),
    [sym_field] = STATE(2165),
    [sym_label] = STATE(2165),
    [sym_content] = STATE(2165),
    [sym_group] = STATE(2165),
    [sym_block] = STATE(2165),
    [sym_branch] = STATE(2165),
    [sym_let] = STATE(2165),
    [sym_set] = STATE(2165),
    [sym_import] = STATE(2165),
    [sym_include] = STATE(2165),
    [sym_for] = STATE(2165),
    [sym_while] = STATE(2165),
    [sym_show] = STATE(2165),
    [sym_return] = STATE(2165),
    [sym_flow] = STATE(2165),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1955),
    [sym_none] = ACTIONS(1955),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [298] = {
    [sym_raw_blck] = STATE(2175),
    [sym_raw_span] = STATE(2175),
    [sym_math] = STATE(2175),
    [sym__expr] = STATE(2175),
    [sym_ident] = STATE(2175),
    [sym_bool] = STATE(2175),
    [sym_number] = STATE(2175),
    [sym_string] = STATE(2175),
    [sym_tagged] = STATE(2175),
    [sym_context] = STATE(2175),
    [sym_elude] = STATE(2175),
    [sym_assign] = STATE(2175),
    [sym_lambda] = STATE(2175),
    [sym_or] = STATE(2175),
    [sym_not] = STATE(2175),
    [sym_and] = STATE(2175),
    [sym_cmp] = STATE(2175),
    [sym_in] = STATE(2175),
    [sym_add] = STATE(2175),
    [sym_sub] = STATE(2175),
    [sym_mul] = STATE(2175),
    [sym_div] = STATE(2175),
    [sym_sign] = STATE(2175),
    [sym_call] = STATE(2175),
    [sym_field] = STATE(2175),
    [sym_label] = STATE(2175),
    [sym_content] = STATE(2175),
    [sym_group] = STATE(2175),
    [sym_block] = STATE(2175),
    [sym_branch] = STATE(2175),
    [sym_let] = STATE(2175),
    [sym_set] = STATE(2175),
    [sym_import] = STATE(2175),
    [sym_include] = STATE(2175),
    [sym_for] = STATE(2175),
    [sym_while] = STATE(2175),
    [sym_show] = STATE(2175),
    [sym_return] = STATE(2175),
    [sym_flow] = STATE(2175),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1957),
    [sym_none] = ACTIONS(1957),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [299] = {
    [sym_raw_blck] = STATE(2179),
    [sym_raw_span] = STATE(2179),
    [sym_math] = STATE(2179),
    [sym__expr] = STATE(2179),
    [sym_ident] = STATE(2179),
    [sym_bool] = STATE(2179),
    [sym_number] = STATE(2179),
    [sym_string] = STATE(2179),
    [sym_tagged] = STATE(2179),
    [sym_context] = STATE(2179),
    [sym_elude] = STATE(2179),
    [sym_assign] = STATE(2179),
    [sym_lambda] = STATE(2179),
    [sym_or] = STATE(2179),
    [sym_not] = STATE(2179),
    [sym_and] = STATE(2179),
    [sym_cmp] = STATE(2179),
    [sym_in] = STATE(2179),
    [sym_add] = STATE(2179),
    [sym_sub] = STATE(2179),
    [sym_mul] = STATE(2179),
    [sym_div] = STATE(2179),
    [sym_sign] = STATE(2179),
    [sym_call] = STATE(2179),
    [sym_field] = STATE(2179),
    [sym_label] = STATE(2179),
    [sym_content] = STATE(2179),
    [sym_group] = STATE(2179),
    [sym_block] = STATE(2179),
    [sym_branch] = STATE(2179),
    [sym_let] = STATE(2179),
    [sym_set] = STATE(2179),
    [sym_import] = STATE(2179),
    [sym_include] = STATE(2179),
    [sym_for] = STATE(2179),
    [sym_while] = STATE(2179),
    [sym_show] = STATE(2179),
    [sym_return] = STATE(2179),
    [sym_flow] = STATE(2179),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1959),
    [sym_none] = ACTIONS(1959),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [300] = {
    [sym_raw_blck] = STATE(2181),
    [sym_raw_span] = STATE(2181),
    [sym_math] = STATE(2181),
    [sym__expr] = STATE(2181),
    [sym_ident] = STATE(2181),
    [sym_bool] = STATE(2181),
    [sym_number] = STATE(2181),
    [sym_string] = STATE(2181),
    [sym_tagged] = STATE(2181),
    [sym_context] = STATE(2181),
    [sym_elude] = STATE(2181),
    [sym_assign] = STATE(2181),
    [sym_lambda] = STATE(2181),
    [sym_or] = STATE(2181),
    [sym_not] = STATE(2181),
    [sym_and] = STATE(2181),
    [sym_cmp] = STATE(2181),
    [sym_in] = STATE(2181),
    [sym_add] = STATE(2181),
    [sym_sub] = STATE(2181),
    [sym_mul] = STATE(2181),
    [sym_div] = STATE(2181),
    [sym_sign] = STATE(2181),
    [sym_call] = STATE(2181),
    [sym_field] = STATE(2181),
    [sym_label] = STATE(2181),
    [sym_content] = STATE(2181),
    [sym_group] = STATE(2181),
    [sym_block] = STATE(2181),
    [sym_branch] = STATE(2181),
    [sym_let] = STATE(2181),
    [sym_set] = STATE(2181),
    [sym_import] = STATE(2181),
    [sym_include] = STATE(2181),
    [sym_for] = STATE(2181),
    [sym_while] = STATE(2181),
    [sym_show] = STATE(2181),
    [sym_return] = STATE(2181),
    [sym_flow] = STATE(2181),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1961),
    [sym_none] = ACTIONS(1961),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [301] = {
    [sym_raw_blck] = STATE(2182),
    [sym_raw_span] = STATE(2182),
    [sym_math] = STATE(2182),
    [sym__expr] = STATE(2182),
    [sym_ident] = STATE(2182),
    [sym_bool] = STATE(2182),
    [sym_number] = STATE(2182),
    [sym_string] = STATE(2182),
    [sym_tagged] = STATE(2182),
    [sym_context] = STATE(2182),
    [sym_elude] = STATE(2182),
    [sym_assign] = STATE(2182),
    [sym_lambda] = STATE(2182),
    [sym_or] = STATE(2182),
    [sym_not] = STATE(2182),
    [sym_and] = STATE(2182),
    [sym_cmp] = STATE(2182),
    [sym_in] = STATE(2182),
    [sym_add] = STATE(2182),
    [sym_sub] = STATE(2182),
    [sym_mul] = STATE(2182),
    [sym_div] = STATE(2182),
    [sym_sign] = STATE(2182),
    [sym_call] = STATE(2182),
    [sym_field] = STATE(2182),
    [sym_label] = STATE(2182),
    [sym_content] = STATE(2182),
    [sym_group] = STATE(2182),
    [sym_block] = STATE(2182),
    [sym_branch] = STATE(2182),
    [sym_let] = STATE(2182),
    [sym_set] = STATE(2182),
    [sym_import] = STATE(2182),
    [sym_include] = STATE(2182),
    [sym_for] = STATE(2182),
    [sym_while] = STATE(2182),
    [sym_show] = STATE(2182),
    [sym_return] = STATE(2182),
    [sym_flow] = STATE(2182),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1963),
    [sym_none] = ACTIONS(1963),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [302] = {
    [sym_raw_blck] = STATE(2184),
    [sym_raw_span] = STATE(2184),
    [sym_math] = STATE(2184),
    [sym__expr] = STATE(2184),
    [sym_ident] = STATE(2184),
    [sym_bool] = STATE(2184),
    [sym_number] = STATE(2184),
    [sym_string] = STATE(2184),
    [sym_tagged] = STATE(2184),
    [sym_context] = STATE(2184),
    [sym_elude] = STATE(2184),
    [sym_assign] = STATE(2184),
    [sym_lambda] = STATE(2184),
    [sym_or] = STATE(2184),
    [sym_not] = STATE(2184),
    [sym_and] = STATE(2184),
    [sym_cmp] = STATE(2184),
    [sym_in] = STATE(2184),
    [sym_add] = STATE(2184),
    [sym_sub] = STATE(2184),
    [sym_mul] = STATE(2184),
    [sym_div] = STATE(2184),
    [sym_sign] = STATE(2184),
    [sym_call] = STATE(2184),
    [sym_field] = STATE(2184),
    [sym_label] = STATE(2184),
    [sym_content] = STATE(2184),
    [sym_group] = STATE(2184),
    [sym_block] = STATE(2184),
    [sym_branch] = STATE(2184),
    [sym_let] = STATE(2184),
    [sym_set] = STATE(2184),
    [sym_import] = STATE(2184),
    [sym_include] = STATE(2184),
    [sym_for] = STATE(2184),
    [sym_while] = STATE(2184),
    [sym_show] = STATE(2184),
    [sym_return] = STATE(2184),
    [sym_flow] = STATE(2184),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1965),
    [sym_none] = ACTIONS(1965),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [303] = {
    [sym_raw_blck] = STATE(2185),
    [sym_raw_span] = STATE(2185),
    [sym_math] = STATE(2185),
    [sym__expr] = STATE(2185),
    [sym_ident] = STATE(2185),
    [sym_bool] = STATE(2185),
    [sym_number] = STATE(2185),
    [sym_string] = STATE(2185),
    [sym_tagged] = STATE(2185),
    [sym_context] = STATE(2185),
    [sym_elude] = STATE(2185),
    [sym_assign] = STATE(2185),
    [sym_lambda] = STATE(2185),
    [sym_or] = STATE(2185),
    [sym_not] = STATE(2185),
    [sym_and] = STATE(2185),
    [sym_cmp] = STATE(2185),
    [sym_in] = STATE(2185),
    [sym_add] = STATE(2185),
    [sym_sub] = STATE(2185),
    [sym_mul] = STATE(2185),
    [sym_div] = STATE(2185),
    [sym_sign] = STATE(2185),
    [sym_call] = STATE(2185),
    [sym_field] = STATE(2185),
    [sym_label] = STATE(2185),
    [sym_content] = STATE(2185),
    [sym_group] = STATE(2185),
    [sym_block] = STATE(2185),
    [sym_branch] = STATE(2185),
    [sym_let] = STATE(2185),
    [sym_set] = STATE(2185),
    [sym_import] = STATE(2185),
    [sym_include] = STATE(2185),
    [sym_for] = STATE(2185),
    [sym_while] = STATE(2185),
    [sym_show] = STATE(2185),
    [sym_return] = STATE(2185),
    [sym_flow] = STATE(2185),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1967),
    [sym_none] = ACTIONS(1967),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [304] = {
    [sym_raw_blck] = STATE(2186),
    [sym_raw_span] = STATE(2186),
    [sym_math] = STATE(2186),
    [sym__expr] = STATE(2186),
    [sym_ident] = STATE(2186),
    [sym_bool] = STATE(2186),
    [sym_number] = STATE(2186),
    [sym_string] = STATE(2186),
    [sym_tagged] = STATE(2186),
    [sym_context] = STATE(2186),
    [sym_elude] = STATE(2186),
    [sym_assign] = STATE(2186),
    [sym_lambda] = STATE(2186),
    [sym_or] = STATE(2186),
    [sym_not] = STATE(2186),
    [sym_and] = STATE(2186),
    [sym_cmp] = STATE(2186),
    [sym_in] = STATE(2186),
    [sym_add] = STATE(2186),
    [sym_sub] = STATE(2186),
    [sym_mul] = STATE(2186),
    [sym_div] = STATE(2186),
    [sym_sign] = STATE(2186),
    [sym_call] = STATE(2186),
    [sym_field] = STATE(2186),
    [sym_label] = STATE(2186),
    [sym_content] = STATE(2186),
    [sym_group] = STATE(2186),
    [sym_block] = STATE(2186),
    [sym_branch] = STATE(2186),
    [sym_let] = STATE(2186),
    [sym_set] = STATE(2186),
    [sym_import] = STATE(2186),
    [sym_include] = STATE(2186),
    [sym_for] = STATE(2186),
    [sym_while] = STATE(2186),
    [sym_show] = STATE(2186),
    [sym_return] = STATE(2186),
    [sym_flow] = STATE(2186),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1969),
    [sym_none] = ACTIONS(1969),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [305] = {
    [sym_raw_blck] = STATE(2187),
    [sym_raw_span] = STATE(2187),
    [sym_math] = STATE(2187),
    [sym__expr] = STATE(2187),
    [sym_ident] = STATE(2187),
    [sym_bool] = STATE(2187),
    [sym_number] = STATE(2187),
    [sym_string] = STATE(2187),
    [sym_tagged] = STATE(2187),
    [sym_context] = STATE(2187),
    [sym_elude] = STATE(2187),
    [sym_assign] = STATE(2187),
    [sym_lambda] = STATE(2187),
    [sym_or] = STATE(2187),
    [sym_not] = STATE(2187),
    [sym_and] = STATE(2187),
    [sym_cmp] = STATE(2187),
    [sym_in] = STATE(2187),
    [sym_add] = STATE(2187),
    [sym_sub] = STATE(2187),
    [sym_mul] = STATE(2187),
    [sym_div] = STATE(2187),
    [sym_sign] = STATE(2187),
    [sym_call] = STATE(2187),
    [sym_field] = STATE(2187),
    [sym_label] = STATE(2187),
    [sym_content] = STATE(2187),
    [sym_group] = STATE(2187),
    [sym_block] = STATE(2187),
    [sym_branch] = STATE(2187),
    [sym_let] = STATE(2187),
    [sym_set] = STATE(2187),
    [sym_import] = STATE(2187),
    [sym_include] = STATE(2187),
    [sym_for] = STATE(2187),
    [sym_while] = STATE(2187),
    [sym_show] = STATE(2187),
    [sym_return] = STATE(2187),
    [sym_flow] = STATE(2187),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1971),
    [sym_none] = ACTIONS(1971),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [306] = {
    [sym_raw_blck] = STATE(2188),
    [sym_raw_span] = STATE(2188),
    [sym_math] = STATE(2188),
    [sym__expr] = STATE(2188),
    [sym_ident] = STATE(2188),
    [sym_bool] = STATE(2188),
    [sym_number] = STATE(2188),
    [sym_string] = STATE(2188),
    [sym_tagged] = STATE(2188),
    [sym_context] = STATE(2188),
    [sym_elude] = STATE(2188),
    [sym_assign] = STATE(2188),
    [sym_lambda] = STATE(2188),
    [sym_or] = STATE(2188),
    [sym_not] = STATE(2188),
    [sym_and] = STATE(2188),
    [sym_cmp] = STATE(2188),
    [sym_in] = STATE(2188),
    [sym_add] = STATE(2188),
    [sym_sub] = STATE(2188),
    [sym_mul] = STATE(2188),
    [sym_div] = STATE(2188),
    [sym_sign] = STATE(2188),
    [sym_call] = STATE(2188),
    [sym_field] = STATE(2188),
    [sym_label] = STATE(2188),
    [sym_content] = STATE(2188),
    [sym_group] = STATE(2188),
    [sym_block] = STATE(2188),
    [sym_branch] = STATE(2188),
    [sym_let] = STATE(2188),
    [sym_set] = STATE(2188),
    [sym_import] = STATE(2188),
    [sym_include] = STATE(2188),
    [sym_for] = STATE(2188),
    [sym_while] = STATE(2188),
    [sym_show] = STATE(2188),
    [sym_return] = STATE(2188),
    [sym_flow] = STATE(2188),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1973),
    [sym_none] = ACTIONS(1973),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [307] = {
    [sym_raw_blck] = STATE(2189),
    [sym_raw_span] = STATE(2189),
    [sym_math] = STATE(2189),
    [sym__expr] = STATE(2189),
    [sym_ident] = STATE(2189),
    [sym_bool] = STATE(2189),
    [sym_number] = STATE(2189),
    [sym_string] = STATE(2189),
    [sym_tagged] = STATE(2189),
    [sym_context] = STATE(2189),
    [sym_elude] = STATE(2189),
    [sym_assign] = STATE(2189),
    [sym_lambda] = STATE(2189),
    [sym_or] = STATE(2189),
    [sym_not] = STATE(2189),
    [sym_and] = STATE(2189),
    [sym_cmp] = STATE(2189),
    [sym_in] = STATE(2189),
    [sym_add] = STATE(2189),
    [sym_sub] = STATE(2189),
    [sym_mul] = STATE(2189),
    [sym_div] = STATE(2189),
    [sym_sign] = STATE(2189),
    [sym_call] = STATE(2189),
    [sym_field] = STATE(2189),
    [sym_label] = STATE(2189),
    [sym_content] = STATE(2189),
    [sym_group] = STATE(2189),
    [sym_block] = STATE(2189),
    [sym_branch] = STATE(2189),
    [sym_let] = STATE(2189),
    [sym_set] = STATE(2189),
    [sym_import] = STATE(2189),
    [sym_include] = STATE(2189),
    [sym_for] = STATE(2189),
    [sym_while] = STATE(2189),
    [sym_show] = STATE(2189),
    [sym_return] = STATE(2189),
    [sym_flow] = STATE(2189),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1975),
    [sym_none] = ACTIONS(1975),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [308] = {
    [sym_raw_blck] = STATE(2190),
    [sym_raw_span] = STATE(2190),
    [sym_math] = STATE(2190),
    [sym__expr] = STATE(2190),
    [sym_ident] = STATE(2190),
    [sym_bool] = STATE(2190),
    [sym_number] = STATE(2190),
    [sym_string] = STATE(2190),
    [sym_tagged] = STATE(2190),
    [sym_context] = STATE(2190),
    [sym_elude] = STATE(2190),
    [sym_assign] = STATE(2190),
    [sym_lambda] = STATE(2190),
    [sym_or] = STATE(2190),
    [sym_not] = STATE(2190),
    [sym_and] = STATE(2190),
    [sym_cmp] = STATE(2190),
    [sym_in] = STATE(2190),
    [sym_add] = STATE(2190),
    [sym_sub] = STATE(2190),
    [sym_mul] = STATE(2190),
    [sym_div] = STATE(2190),
    [sym_sign] = STATE(2190),
    [sym_call] = STATE(2190),
    [sym_field] = STATE(2190),
    [sym_label] = STATE(2190),
    [sym_content] = STATE(2190),
    [sym_group] = STATE(2190),
    [sym_block] = STATE(2190),
    [sym_branch] = STATE(2190),
    [sym_let] = STATE(2190),
    [sym_set] = STATE(2190),
    [sym_import] = STATE(2190),
    [sym_include] = STATE(2190),
    [sym_for] = STATE(2190),
    [sym_while] = STATE(2190),
    [sym_show] = STATE(2190),
    [sym_return] = STATE(2190),
    [sym_flow] = STATE(2190),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1977),
    [sym_none] = ACTIONS(1977),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [309] = {
    [sym_raw_blck] = STATE(2203),
    [sym_raw_span] = STATE(2203),
    [sym_math] = STATE(2203),
    [sym__expr] = STATE(2203),
    [sym_ident] = STATE(2203),
    [sym_bool] = STATE(2203),
    [sym_number] = STATE(2203),
    [sym_string] = STATE(2203),
    [sym_tagged] = STATE(2203),
    [sym_context] = STATE(2203),
    [sym_elude] = STATE(2203),
    [sym_assign] = STATE(2203),
    [sym_lambda] = STATE(2203),
    [sym_or] = STATE(2203),
    [sym_not] = STATE(2203),
    [sym_and] = STATE(2203),
    [sym_cmp] = STATE(2203),
    [sym_in] = STATE(2203),
    [sym_add] = STATE(2203),
    [sym_sub] = STATE(2203),
    [sym_mul] = STATE(2203),
    [sym_div] = STATE(2203),
    [sym_sign] = STATE(2203),
    [sym_call] = STATE(2203),
    [sym_field] = STATE(2203),
    [sym_label] = STATE(2203),
    [sym_content] = STATE(2203),
    [sym_group] = STATE(2203),
    [sym_block] = STATE(2203),
    [sym_branch] = STATE(2203),
    [sym_let] = STATE(2203),
    [sym_set] = STATE(2203),
    [sym_import] = STATE(2203),
    [sym_include] = STATE(2203),
    [sym_for] = STATE(2203),
    [sym_while] = STATE(2203),
    [sym_show] = STATE(2203),
    [sym_return] = STATE(2203),
    [sym_flow] = STATE(2203),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1979),
    [sym_none] = ACTIONS(1979),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [310] = {
    [sym_raw_blck] = STATE(2206),
    [sym_raw_span] = STATE(2206),
    [sym_math] = STATE(2206),
    [sym__expr] = STATE(2206),
    [sym_ident] = STATE(2206),
    [sym_bool] = STATE(2206),
    [sym_number] = STATE(2206),
    [sym_string] = STATE(2206),
    [sym_tagged] = STATE(2206),
    [sym_context] = STATE(2206),
    [sym_elude] = STATE(2206),
    [sym_assign] = STATE(2206),
    [sym_lambda] = STATE(2206),
    [sym_or] = STATE(2206),
    [sym_not] = STATE(2206),
    [sym_and] = STATE(2206),
    [sym_cmp] = STATE(2206),
    [sym_in] = STATE(2206),
    [sym_add] = STATE(2206),
    [sym_sub] = STATE(2206),
    [sym_mul] = STATE(2206),
    [sym_div] = STATE(2206),
    [sym_sign] = STATE(2206),
    [sym_call] = STATE(2206),
    [sym_field] = STATE(2206),
    [sym_label] = STATE(2206),
    [sym_content] = STATE(2206),
    [sym_group] = STATE(2206),
    [sym_block] = STATE(2206),
    [sym_branch] = STATE(2206),
    [sym_let] = STATE(2206),
    [sym_set] = STATE(2206),
    [sym_import] = STATE(2206),
    [sym_include] = STATE(2206),
    [sym_for] = STATE(2206),
    [sym_while] = STATE(2206),
    [sym_show] = STATE(2206),
    [sym_return] = STATE(2206),
    [sym_flow] = STATE(2206),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1981),
    [sym_none] = ACTIONS(1981),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [311] = {
    [sym_raw_blck] = STATE(2222),
    [sym_raw_span] = STATE(2222),
    [sym_math] = STATE(2222),
    [sym__expr] = STATE(2222),
    [sym_ident] = STATE(2222),
    [sym_bool] = STATE(2222),
    [sym_number] = STATE(2222),
    [sym_string] = STATE(2222),
    [sym_tagged] = STATE(2222),
    [sym_context] = STATE(2222),
    [sym_elude] = STATE(2222),
    [sym_assign] = STATE(2222),
    [sym_lambda] = STATE(2222),
    [sym_or] = STATE(2222),
    [sym_not] = STATE(2222),
    [sym_and] = STATE(2222),
    [sym_cmp] = STATE(2222),
    [sym_in] = STATE(2222),
    [sym_add] = STATE(2222),
    [sym_sub] = STATE(2222),
    [sym_mul] = STATE(2222),
    [sym_div] = STATE(2222),
    [sym_sign] = STATE(2222),
    [sym_call] = STATE(2222),
    [sym_field] = STATE(2222),
    [sym_label] = STATE(2222),
    [sym_content] = STATE(2222),
    [sym_group] = STATE(2222),
    [sym_block] = STATE(2222),
    [sym_branch] = STATE(2222),
    [sym_let] = STATE(2222),
    [sym_set] = STATE(2222),
    [sym_import] = STATE(2222),
    [sym_include] = STATE(2222),
    [sym_for] = STATE(2222),
    [sym_while] = STATE(2222),
    [sym_show] = STATE(2222),
    [sym_return] = STATE(2222),
    [sym_flow] = STATE(2222),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1983),
    [sym_none] = ACTIONS(1983),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [312] = {
    [sym_raw_blck] = STATE(2225),
    [sym_raw_span] = STATE(2225),
    [sym_math] = STATE(2225),
    [sym__expr] = STATE(2225),
    [sym_ident] = STATE(2225),
    [sym_bool] = STATE(2225),
    [sym_number] = STATE(2225),
    [sym_string] = STATE(2225),
    [sym_tagged] = STATE(2225),
    [sym_context] = STATE(2225),
    [sym_elude] = STATE(2225),
    [sym_assign] = STATE(2225),
    [sym_lambda] = STATE(2225),
    [sym_or] = STATE(2225),
    [sym_not] = STATE(2225),
    [sym_and] = STATE(2225),
    [sym_cmp] = STATE(2225),
    [sym_in] = STATE(2225),
    [sym_add] = STATE(2225),
    [sym_sub] = STATE(2225),
    [sym_mul] = STATE(2225),
    [sym_div] = STATE(2225),
    [sym_sign] = STATE(2225),
    [sym_call] = STATE(2225),
    [sym_field] = STATE(2225),
    [sym_label] = STATE(2225),
    [sym_content] = STATE(2225),
    [sym_group] = STATE(2225),
    [sym_block] = STATE(2225),
    [sym_branch] = STATE(2225),
    [sym_let] = STATE(2225),
    [sym_set] = STATE(2225),
    [sym_import] = STATE(2225),
    [sym_include] = STATE(2225),
    [sym_for] = STATE(2225),
    [sym_while] = STATE(2225),
    [sym_show] = STATE(2225),
    [sym_return] = STATE(2225),
    [sym_flow] = STATE(2225),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(1985),
    [sym_none] = ACTIONS(1985),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [313] = {
    [sym_raw_blck] = STATE(1976),
    [sym_raw_span] = STATE(1976),
    [sym_math] = STATE(1976),
    [sym__expr] = STATE(1976),
    [sym_ident] = STATE(1976),
    [sym_bool] = STATE(1976),
    [sym_number] = STATE(1976),
    [sym_string] = STATE(1976),
    [sym_tagged] = STATE(1976),
    [sym_context] = STATE(1976),
    [sym_elude] = STATE(1976),
    [sym_assign] = STATE(1976),
    [sym_lambda] = STATE(1976),
    [sym_or] = STATE(1976),
    [sym_not] = STATE(1976),
    [sym_and] = STATE(1976),
    [sym_cmp] = STATE(1976),
    [sym_in] = STATE(1976),
    [sym_add] = STATE(1976),
    [sym_sub] = STATE(1976),
    [sym_mul] = STATE(1976),
    [sym_div] = STATE(1976),
    [sym_sign] = STATE(1976),
    [sym_call] = STATE(1976),
    [sym_field] = STATE(1976),
    [sym_label] = STATE(1976),
    [sym_content] = STATE(1976),
    [sym_group] = STATE(1976),
    [sym_block] = STATE(1976),
    [sym_branch] = STATE(1976),
    [sym_let] = STATE(1976),
    [sym_set] = STATE(1976),
    [sym_import] = STATE(1976),
    [sym_include] = STATE(1976),
    [sym_for] = STATE(1976),
    [sym_while] = STATE(1976),
    [sym_show] = STATE(1976),
    [sym_return] = STATE(1976),
    [sym_flow] = STATE(1976),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(1991),
    [sym_none] = ACTIONS(1991),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [314] = {
    [sym_raw_blck] = STATE(2594),
    [sym_raw_span] = STATE(2594),
    [sym_math] = STATE(2594),
    [sym__expr] = STATE(2594),
    [sym_ident] = STATE(2594),
    [sym_bool] = STATE(2594),
    [sym_number] = STATE(2594),
    [sym_string] = STATE(2594),
    [sym_tagged] = STATE(2594),
    [sym_context] = STATE(2594),
    [sym_elude] = STATE(2594),
    [sym_assign] = STATE(2594),
    [sym_lambda] = STATE(2594),
    [sym_or] = STATE(2594),
    [sym_not] = STATE(2594),
    [sym_and] = STATE(2594),
    [sym_cmp] = STATE(2594),
    [sym_in] = STATE(2594),
    [sym_add] = STATE(2594),
    [sym_sub] = STATE(2594),
    [sym_mul] = STATE(2594),
    [sym_div] = STATE(2594),
    [sym_sign] = STATE(2594),
    [sym_call] = STATE(2594),
    [sym_field] = STATE(2594),
    [sym_label] = STATE(2594),
    [sym_content] = STATE(2594),
    [sym_group] = STATE(2594),
    [sym_block] = STATE(2594),
    [sym_branch] = STATE(2594),
    [sym_let] = STATE(2594),
    [sym_set] = STATE(2594),
    [sym_import] = STATE(2594),
    [sym_include] = STATE(2594),
    [sym_for] = STATE(2594),
    [sym_while] = STATE(2594),
    [sym_show] = STATE(2594),
    [sym_return] = STATE(2594),
    [sym_flow] = STATE(2594),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(1993),
    [sym_none] = ACTIONS(1993),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [315] = {
    [sym_raw_blck] = STATE(1981),
    [sym_raw_span] = STATE(1981),
    [sym_math] = STATE(1981),
    [sym__expr] = STATE(1981),
    [sym_ident] = STATE(1981),
    [sym_bool] = STATE(1981),
    [sym_number] = STATE(1981),
    [sym_string] = STATE(1981),
    [sym_tagged] = STATE(1981),
    [sym_context] = STATE(1981),
    [sym_elude] = STATE(1981),
    [sym_assign] = STATE(1981),
    [sym_lambda] = STATE(1981),
    [sym_or] = STATE(1981),
    [sym_not] = STATE(1981),
    [sym_and] = STATE(1981),
    [sym_cmp] = STATE(1981),
    [sym_in] = STATE(1981),
    [sym_add] = STATE(1981),
    [sym_sub] = STATE(1981),
    [sym_mul] = STATE(1981),
    [sym_div] = STATE(1981),
    [sym_sign] = STATE(1981),
    [sym_call] = STATE(1981),
    [sym_field] = STATE(1981),
    [sym_label] = STATE(1981),
    [sym_content] = STATE(1981),
    [sym_group] = STATE(1981),
    [sym_block] = STATE(1981),
    [sym_branch] = STATE(1981),
    [sym_let] = STATE(1981),
    [sym_set] = STATE(1981),
    [sym_import] = STATE(1981),
    [sym_include] = STATE(1981),
    [sym_for] = STATE(1981),
    [sym_while] = STATE(1981),
    [sym_show] = STATE(1981),
    [sym_return] = STATE(1981),
    [sym_flow] = STATE(1981),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [316] = {
    [sym_raw_blck] = STATE(1982),
    [sym_raw_span] = STATE(1982),
    [sym_math] = STATE(1982),
    [sym__expr] = STATE(1982),
    [sym_ident] = STATE(1982),
    [sym_bool] = STATE(1982),
    [sym_number] = STATE(1982),
    [sym_string] = STATE(1982),
    [sym_tagged] = STATE(1982),
    [sym_context] = STATE(1982),
    [sym_elude] = STATE(1982),
    [sym_assign] = STATE(1982),
    [sym_lambda] = STATE(1982),
    [sym_or] = STATE(1982),
    [sym_not] = STATE(1982),
    [sym_and] = STATE(1982),
    [sym_cmp] = STATE(1982),
    [sym_in] = STATE(1982),
    [sym_add] = STATE(1982),
    [sym_sub] = STATE(1982),
    [sym_mul] = STATE(1982),
    [sym_div] = STATE(1982),
    [sym_sign] = STATE(1982),
    [sym_call] = STATE(1982),
    [sym_field] = STATE(1982),
    [sym_label] = STATE(1982),
    [sym_content] = STATE(1982),
    [sym_group] = STATE(1982),
    [sym_block] = STATE(1982),
    [sym_branch] = STATE(1982),
    [sym_let] = STATE(1982),
    [sym_set] = STATE(1982),
    [sym_import] = STATE(1982),
    [sym_include] = STATE(1982),
    [sym_for] = STATE(1982),
    [sym_while] = STATE(1982),
    [sym_show] = STATE(1982),
    [sym_return] = STATE(1982),
    [sym_flow] = STATE(1982),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(1997),
    [sym_none] = ACTIONS(1997),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [317] = {
    [sym_raw_blck] = STATE(1756),
    [sym_raw_span] = STATE(1756),
    [sym_math] = STATE(1756),
    [sym__expr] = STATE(1756),
    [sym_ident] = STATE(1756),
    [sym_bool] = STATE(1756),
    [sym_number] = STATE(1756),
    [sym_string] = STATE(1756),
    [sym_tagged] = STATE(1756),
    [sym_context] = STATE(1756),
    [sym_elude] = STATE(1756),
    [sym_assign] = STATE(1756),
    [sym_lambda] = STATE(1756),
    [sym_or] = STATE(1756),
    [sym_not] = STATE(1756),
    [sym_and] = STATE(1756),
    [sym_cmp] = STATE(1756),
    [sym_in] = STATE(1756),
    [sym_add] = STATE(1756),
    [sym_sub] = STATE(1756),
    [sym_mul] = STATE(1756),
    [sym_div] = STATE(1756),
    [sym_sign] = STATE(1756),
    [sym_call] = STATE(1756),
    [sym_field] = STATE(1756),
    [sym_label] = STATE(1756),
    [sym_content] = STATE(1756),
    [sym_group] = STATE(1756),
    [sym_block] = STATE(1756),
    [sym_branch] = STATE(1756),
    [sym_let] = STATE(1756),
    [sym_set] = STATE(1756),
    [sym_import] = STATE(1756),
    [sym_include] = STATE(1756),
    [sym_for] = STATE(1756),
    [sym_while] = STATE(1756),
    [sym_show] = STATE(1756),
    [sym_return] = STATE(1756),
    [sym_flow] = STATE(1756),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(1999),
    [sym_none] = ACTIONS(1999),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [318] = {
    [sym_raw_blck] = STATE(2010),
    [sym_raw_span] = STATE(2010),
    [sym_math] = STATE(2010),
    [sym__expr] = STATE(2010),
    [sym_ident] = STATE(2010),
    [sym_bool] = STATE(2010),
    [sym_number] = STATE(2010),
    [sym_string] = STATE(2010),
    [sym_tagged] = STATE(2010),
    [sym_context] = STATE(2010),
    [sym_elude] = STATE(2010),
    [sym_assign] = STATE(2010),
    [sym_lambda] = STATE(2010),
    [sym_or] = STATE(2010),
    [sym_not] = STATE(2010),
    [sym_and] = STATE(2010),
    [sym_cmp] = STATE(2010),
    [sym_in] = STATE(2010),
    [sym_add] = STATE(2010),
    [sym_sub] = STATE(2010),
    [sym_mul] = STATE(2010),
    [sym_div] = STATE(2010),
    [sym_sign] = STATE(2010),
    [sym_call] = STATE(2010),
    [sym_field] = STATE(2010),
    [sym_label] = STATE(2010),
    [sym_content] = STATE(2010),
    [sym_group] = STATE(2010),
    [sym_block] = STATE(2010),
    [sym_branch] = STATE(2010),
    [sym_let] = STATE(2010),
    [sym_set] = STATE(2010),
    [sym_import] = STATE(2010),
    [sym_include] = STATE(2010),
    [sym_for] = STATE(2010),
    [sym_while] = STATE(2010),
    [sym_show] = STATE(2010),
    [sym_return] = STATE(2010),
    [sym_flow] = STATE(2010),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2001),
    [sym_none] = ACTIONS(2001),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [319] = {
    [sym_raw_blck] = STATE(2013),
    [sym_raw_span] = STATE(2013),
    [sym_math] = STATE(2013),
    [sym__expr] = STATE(2013),
    [sym_ident] = STATE(2013),
    [sym_bool] = STATE(2013),
    [sym_number] = STATE(2013),
    [sym_string] = STATE(2013),
    [sym_tagged] = STATE(2013),
    [sym_context] = STATE(2013),
    [sym_elude] = STATE(2013),
    [sym_assign] = STATE(2013),
    [sym_lambda] = STATE(2013),
    [sym_or] = STATE(2013),
    [sym_not] = STATE(2013),
    [sym_and] = STATE(2013),
    [sym_cmp] = STATE(2013),
    [sym_in] = STATE(2013),
    [sym_add] = STATE(2013),
    [sym_sub] = STATE(2013),
    [sym_mul] = STATE(2013),
    [sym_div] = STATE(2013),
    [sym_sign] = STATE(2013),
    [sym_call] = STATE(2013),
    [sym_field] = STATE(2013),
    [sym_label] = STATE(2013),
    [sym_content] = STATE(2013),
    [sym_group] = STATE(2013),
    [sym_block] = STATE(2013),
    [sym_branch] = STATE(2013),
    [sym_let] = STATE(2013),
    [sym_set] = STATE(2013),
    [sym_import] = STATE(2013),
    [sym_include] = STATE(2013),
    [sym_for] = STATE(2013),
    [sym_while] = STATE(2013),
    [sym_show] = STATE(2013),
    [sym_return] = STATE(2013),
    [sym_flow] = STATE(2013),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2003),
    [sym_none] = ACTIONS(2003),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [320] = {
    [sym_raw_blck] = STATE(2014),
    [sym_raw_span] = STATE(2014),
    [sym_math] = STATE(2014),
    [sym__expr] = STATE(2014),
    [sym_ident] = STATE(2014),
    [sym_bool] = STATE(2014),
    [sym_number] = STATE(2014),
    [sym_string] = STATE(2014),
    [sym_tagged] = STATE(2014),
    [sym_context] = STATE(2014),
    [sym_elude] = STATE(2014),
    [sym_assign] = STATE(2014),
    [sym_lambda] = STATE(2014),
    [sym_or] = STATE(2014),
    [sym_not] = STATE(2014),
    [sym_and] = STATE(2014),
    [sym_cmp] = STATE(2014),
    [sym_in] = STATE(2014),
    [sym_add] = STATE(2014),
    [sym_sub] = STATE(2014),
    [sym_mul] = STATE(2014),
    [sym_div] = STATE(2014),
    [sym_sign] = STATE(2014),
    [sym_call] = STATE(2014),
    [sym_field] = STATE(2014),
    [sym_label] = STATE(2014),
    [sym_content] = STATE(2014),
    [sym_group] = STATE(2014),
    [sym_block] = STATE(2014),
    [sym_branch] = STATE(2014),
    [sym_let] = STATE(2014),
    [sym_set] = STATE(2014),
    [sym_import] = STATE(2014),
    [sym_include] = STATE(2014),
    [sym_for] = STATE(2014),
    [sym_while] = STATE(2014),
    [sym_show] = STATE(2014),
    [sym_return] = STATE(2014),
    [sym_flow] = STATE(2014),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2005),
    [sym_none] = ACTIONS(2005),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [321] = {
    [sym_raw_blck] = STATE(2016),
    [sym_raw_span] = STATE(2016),
    [sym_math] = STATE(2016),
    [sym__expr] = STATE(2016),
    [sym_ident] = STATE(2016),
    [sym_bool] = STATE(2016),
    [sym_number] = STATE(2016),
    [sym_string] = STATE(2016),
    [sym_tagged] = STATE(2016),
    [sym_context] = STATE(2016),
    [sym_elude] = STATE(2016),
    [sym_assign] = STATE(2016),
    [sym_lambda] = STATE(2016),
    [sym_or] = STATE(2016),
    [sym_not] = STATE(2016),
    [sym_and] = STATE(2016),
    [sym_cmp] = STATE(2016),
    [sym_in] = STATE(2016),
    [sym_add] = STATE(2016),
    [sym_sub] = STATE(2016),
    [sym_mul] = STATE(2016),
    [sym_div] = STATE(2016),
    [sym_sign] = STATE(2016),
    [sym_call] = STATE(2016),
    [sym_field] = STATE(2016),
    [sym_label] = STATE(2016),
    [sym_content] = STATE(2016),
    [sym_group] = STATE(2016),
    [sym_block] = STATE(2016),
    [sym_branch] = STATE(2016),
    [sym_let] = STATE(2016),
    [sym_set] = STATE(2016),
    [sym_import] = STATE(2016),
    [sym_include] = STATE(2016),
    [sym_for] = STATE(2016),
    [sym_while] = STATE(2016),
    [sym_show] = STATE(2016),
    [sym_return] = STATE(2016),
    [sym_flow] = STATE(2016),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2007),
    [sym_none] = ACTIONS(2007),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [322] = {
    [sym_raw_blck] = STATE(2017),
    [sym_raw_span] = STATE(2017),
    [sym_math] = STATE(2017),
    [sym__expr] = STATE(2017),
    [sym_ident] = STATE(2017),
    [sym_bool] = STATE(2017),
    [sym_number] = STATE(2017),
    [sym_string] = STATE(2017),
    [sym_tagged] = STATE(2017),
    [sym_context] = STATE(2017),
    [sym_elude] = STATE(2017),
    [sym_assign] = STATE(2017),
    [sym_lambda] = STATE(2017),
    [sym_or] = STATE(2017),
    [sym_not] = STATE(2017),
    [sym_and] = STATE(2017),
    [sym_cmp] = STATE(2017),
    [sym_in] = STATE(2017),
    [sym_add] = STATE(2017),
    [sym_sub] = STATE(2017),
    [sym_mul] = STATE(2017),
    [sym_div] = STATE(2017),
    [sym_sign] = STATE(2017),
    [sym_call] = STATE(2017),
    [sym_field] = STATE(2017),
    [sym_label] = STATE(2017),
    [sym_content] = STATE(2017),
    [sym_group] = STATE(2017),
    [sym_block] = STATE(2017),
    [sym_branch] = STATE(2017),
    [sym_let] = STATE(2017),
    [sym_set] = STATE(2017),
    [sym_import] = STATE(2017),
    [sym_include] = STATE(2017),
    [sym_for] = STATE(2017),
    [sym_while] = STATE(2017),
    [sym_show] = STATE(2017),
    [sym_return] = STATE(2017),
    [sym_flow] = STATE(2017),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2009),
    [sym_none] = ACTIONS(2009),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [323] = {
    [sym_raw_blck] = STATE(2018),
    [sym_raw_span] = STATE(2018),
    [sym_math] = STATE(2018),
    [sym__expr] = STATE(2018),
    [sym_ident] = STATE(2018),
    [sym_bool] = STATE(2018),
    [sym_number] = STATE(2018),
    [sym_string] = STATE(2018),
    [sym_tagged] = STATE(2018),
    [sym_context] = STATE(2018),
    [sym_elude] = STATE(2018),
    [sym_assign] = STATE(2018),
    [sym_lambda] = STATE(2018),
    [sym_or] = STATE(2018),
    [sym_not] = STATE(2018),
    [sym_and] = STATE(2018),
    [sym_cmp] = STATE(2018),
    [sym_in] = STATE(2018),
    [sym_add] = STATE(2018),
    [sym_sub] = STATE(2018),
    [sym_mul] = STATE(2018),
    [sym_div] = STATE(2018),
    [sym_sign] = STATE(2018),
    [sym_call] = STATE(2018),
    [sym_field] = STATE(2018),
    [sym_label] = STATE(2018),
    [sym_content] = STATE(2018),
    [sym_group] = STATE(2018),
    [sym_block] = STATE(2018),
    [sym_branch] = STATE(2018),
    [sym_let] = STATE(2018),
    [sym_set] = STATE(2018),
    [sym_import] = STATE(2018),
    [sym_include] = STATE(2018),
    [sym_for] = STATE(2018),
    [sym_while] = STATE(2018),
    [sym_show] = STATE(2018),
    [sym_return] = STATE(2018),
    [sym_flow] = STATE(2018),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2011),
    [sym_none] = ACTIONS(2011),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [324] = {
    [sym_raw_blck] = STATE(1617),
    [sym_raw_span] = STATE(1617),
    [sym_math] = STATE(1617),
    [sym__expr] = STATE(1617),
    [sym_ident] = STATE(1617),
    [sym_bool] = STATE(1617),
    [sym_number] = STATE(1617),
    [sym_string] = STATE(1617),
    [sym_tagged] = STATE(1617),
    [sym_context] = STATE(1617),
    [sym_elude] = STATE(1617),
    [sym_assign] = STATE(1617),
    [sym_lambda] = STATE(1617),
    [sym_or] = STATE(1617),
    [sym_not] = STATE(1617),
    [sym_and] = STATE(1617),
    [sym_cmp] = STATE(1617),
    [sym_in] = STATE(1617),
    [sym_add] = STATE(1617),
    [sym_sub] = STATE(1617),
    [sym_mul] = STATE(1617),
    [sym_div] = STATE(1617),
    [sym_sign] = STATE(1617),
    [sym_call] = STATE(1617),
    [sym_field] = STATE(1617),
    [sym_label] = STATE(1617),
    [sym_content] = STATE(1617),
    [sym_group] = STATE(1617),
    [sym_block] = STATE(1617),
    [sym_branch] = STATE(1617),
    [sym_let] = STATE(1617),
    [sym_set] = STATE(1617),
    [sym_import] = STATE(1617),
    [sym_include] = STATE(1617),
    [sym_for] = STATE(1617),
    [sym_while] = STATE(1617),
    [sym_show] = STATE(1617),
    [sym_return] = STATE(1617),
    [sym_flow] = STATE(1617),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2013),
    [sym_none] = ACTIONS(2013),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [325] = {
    [sym_raw_blck] = STATE(2021),
    [sym_raw_span] = STATE(2021),
    [sym_math] = STATE(2021),
    [sym__expr] = STATE(2021),
    [sym_ident] = STATE(2021),
    [sym_bool] = STATE(2021),
    [sym_number] = STATE(2021),
    [sym_string] = STATE(2021),
    [sym_tagged] = STATE(2021),
    [sym_context] = STATE(2021),
    [sym_elude] = STATE(2021),
    [sym_assign] = STATE(2021),
    [sym_lambda] = STATE(2021),
    [sym_or] = STATE(2021),
    [sym_not] = STATE(2021),
    [sym_and] = STATE(2021),
    [sym_cmp] = STATE(2021),
    [sym_in] = STATE(2021),
    [sym_add] = STATE(2021),
    [sym_sub] = STATE(2021),
    [sym_mul] = STATE(2021),
    [sym_div] = STATE(2021),
    [sym_sign] = STATE(2021),
    [sym_call] = STATE(2021),
    [sym_field] = STATE(2021),
    [sym_label] = STATE(2021),
    [sym_content] = STATE(2021),
    [sym_group] = STATE(2021),
    [sym_block] = STATE(2021),
    [sym_branch] = STATE(2021),
    [sym_let] = STATE(2021),
    [sym_set] = STATE(2021),
    [sym_import] = STATE(2021),
    [sym_include] = STATE(2021),
    [sym_for] = STATE(2021),
    [sym_while] = STATE(2021),
    [sym_show] = STATE(2021),
    [sym_return] = STATE(2021),
    [sym_flow] = STATE(2021),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2015),
    [sym_none] = ACTIONS(2015),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [326] = {
    [sym_raw_blck] = STATE(2023),
    [sym_raw_span] = STATE(2023),
    [sym_math] = STATE(2023),
    [sym__expr] = STATE(2023),
    [sym_ident] = STATE(2023),
    [sym_bool] = STATE(2023),
    [sym_number] = STATE(2023),
    [sym_string] = STATE(2023),
    [sym_tagged] = STATE(2023),
    [sym_context] = STATE(2023),
    [sym_elude] = STATE(2023),
    [sym_assign] = STATE(2023),
    [sym_lambda] = STATE(2023),
    [sym_or] = STATE(2023),
    [sym_not] = STATE(2023),
    [sym_and] = STATE(2023),
    [sym_cmp] = STATE(2023),
    [sym_in] = STATE(2023),
    [sym_add] = STATE(2023),
    [sym_sub] = STATE(2023),
    [sym_mul] = STATE(2023),
    [sym_div] = STATE(2023),
    [sym_sign] = STATE(2023),
    [sym_call] = STATE(2023),
    [sym_field] = STATE(2023),
    [sym_label] = STATE(2023),
    [sym_content] = STATE(2023),
    [sym_group] = STATE(2023),
    [sym_block] = STATE(2023),
    [sym_branch] = STATE(2023),
    [sym_let] = STATE(2023),
    [sym_set] = STATE(2023),
    [sym_import] = STATE(2023),
    [sym_include] = STATE(2023),
    [sym_for] = STATE(2023),
    [sym_while] = STATE(2023),
    [sym_show] = STATE(2023),
    [sym_return] = STATE(2023),
    [sym_flow] = STATE(2023),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2017),
    [sym_none] = ACTIONS(2017),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [327] = {
    [sym_raw_blck] = STATE(2024),
    [sym_raw_span] = STATE(2024),
    [sym_math] = STATE(2024),
    [sym__expr] = STATE(2024),
    [sym_ident] = STATE(2024),
    [sym_bool] = STATE(2024),
    [sym_number] = STATE(2024),
    [sym_string] = STATE(2024),
    [sym_tagged] = STATE(2024),
    [sym_context] = STATE(2024),
    [sym_elude] = STATE(2024),
    [sym_assign] = STATE(2024),
    [sym_lambda] = STATE(2024),
    [sym_or] = STATE(2024),
    [sym_not] = STATE(2024),
    [sym_and] = STATE(2024),
    [sym_cmp] = STATE(2024),
    [sym_in] = STATE(2024),
    [sym_add] = STATE(2024),
    [sym_sub] = STATE(2024),
    [sym_mul] = STATE(2024),
    [sym_div] = STATE(2024),
    [sym_sign] = STATE(2024),
    [sym_call] = STATE(2024),
    [sym_field] = STATE(2024),
    [sym_label] = STATE(2024),
    [sym_content] = STATE(2024),
    [sym_group] = STATE(2024),
    [sym_block] = STATE(2024),
    [sym_branch] = STATE(2024),
    [sym_let] = STATE(2024),
    [sym_set] = STATE(2024),
    [sym_import] = STATE(2024),
    [sym_include] = STATE(2024),
    [sym_for] = STATE(2024),
    [sym_while] = STATE(2024),
    [sym_show] = STATE(2024),
    [sym_return] = STATE(2024),
    [sym_flow] = STATE(2024),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2019),
    [sym_none] = ACTIONS(2019),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [328] = {
    [sym_raw_blck] = STATE(2025),
    [sym_raw_span] = STATE(2025),
    [sym_math] = STATE(2025),
    [sym__expr] = STATE(2025),
    [sym_ident] = STATE(2025),
    [sym_bool] = STATE(2025),
    [sym_number] = STATE(2025),
    [sym_string] = STATE(2025),
    [sym_tagged] = STATE(2025),
    [sym_context] = STATE(2025),
    [sym_elude] = STATE(2025),
    [sym_assign] = STATE(2025),
    [sym_lambda] = STATE(2025),
    [sym_or] = STATE(2025),
    [sym_not] = STATE(2025),
    [sym_and] = STATE(2025),
    [sym_cmp] = STATE(2025),
    [sym_in] = STATE(2025),
    [sym_add] = STATE(2025),
    [sym_sub] = STATE(2025),
    [sym_mul] = STATE(2025),
    [sym_div] = STATE(2025),
    [sym_sign] = STATE(2025),
    [sym_call] = STATE(2025),
    [sym_field] = STATE(2025),
    [sym_label] = STATE(2025),
    [sym_content] = STATE(2025),
    [sym_group] = STATE(2025),
    [sym_block] = STATE(2025),
    [sym_branch] = STATE(2025),
    [sym_let] = STATE(2025),
    [sym_set] = STATE(2025),
    [sym_import] = STATE(2025),
    [sym_include] = STATE(2025),
    [sym_for] = STATE(2025),
    [sym_while] = STATE(2025),
    [sym_show] = STATE(2025),
    [sym_return] = STATE(2025),
    [sym_flow] = STATE(2025),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2021),
    [sym_none] = ACTIONS(2021),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [329] = {
    [sym_raw_blck] = STATE(2026),
    [sym_raw_span] = STATE(2026),
    [sym_math] = STATE(2026),
    [sym__expr] = STATE(2026),
    [sym_ident] = STATE(2026),
    [sym_bool] = STATE(2026),
    [sym_number] = STATE(2026),
    [sym_string] = STATE(2026),
    [sym_tagged] = STATE(2026),
    [sym_context] = STATE(2026),
    [sym_elude] = STATE(2026),
    [sym_assign] = STATE(2026),
    [sym_lambda] = STATE(2026),
    [sym_or] = STATE(2026),
    [sym_not] = STATE(2026),
    [sym_and] = STATE(2026),
    [sym_cmp] = STATE(2026),
    [sym_in] = STATE(2026),
    [sym_add] = STATE(2026),
    [sym_sub] = STATE(2026),
    [sym_mul] = STATE(2026),
    [sym_div] = STATE(2026),
    [sym_sign] = STATE(2026),
    [sym_call] = STATE(2026),
    [sym_field] = STATE(2026),
    [sym_label] = STATE(2026),
    [sym_content] = STATE(2026),
    [sym_group] = STATE(2026),
    [sym_block] = STATE(2026),
    [sym_branch] = STATE(2026),
    [sym_let] = STATE(2026),
    [sym_set] = STATE(2026),
    [sym_import] = STATE(2026),
    [sym_include] = STATE(2026),
    [sym_for] = STATE(2026),
    [sym_while] = STATE(2026),
    [sym_show] = STATE(2026),
    [sym_return] = STATE(2026),
    [sym_flow] = STATE(2026),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2023),
    [sym_none] = ACTIONS(2023),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [330] = {
    [sym_raw_blck] = STATE(2032),
    [sym_raw_span] = STATE(2032),
    [sym_math] = STATE(2032),
    [sym__expr] = STATE(2032),
    [sym_ident] = STATE(2032),
    [sym_bool] = STATE(2032),
    [sym_number] = STATE(2032),
    [sym_string] = STATE(2032),
    [sym_tagged] = STATE(2032),
    [sym_context] = STATE(2032),
    [sym_elude] = STATE(2032),
    [sym_assign] = STATE(2032),
    [sym_lambda] = STATE(2032),
    [sym_or] = STATE(2032),
    [sym_not] = STATE(2032),
    [sym_and] = STATE(2032),
    [sym_cmp] = STATE(2032),
    [sym_in] = STATE(2032),
    [sym_add] = STATE(2032),
    [sym_sub] = STATE(2032),
    [sym_mul] = STATE(2032),
    [sym_div] = STATE(2032),
    [sym_sign] = STATE(2032),
    [sym_call] = STATE(2032),
    [sym_field] = STATE(2032),
    [sym_label] = STATE(2032),
    [sym_content] = STATE(2032),
    [sym_group] = STATE(2032),
    [sym_block] = STATE(2032),
    [sym_branch] = STATE(2032),
    [sym_let] = STATE(2032),
    [sym_set] = STATE(2032),
    [sym_import] = STATE(2032),
    [sym_include] = STATE(2032),
    [sym_for] = STATE(2032),
    [sym_while] = STATE(2032),
    [sym_show] = STATE(2032),
    [sym_return] = STATE(2032),
    [sym_flow] = STATE(2032),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2025),
    [sym_none] = ACTIONS(2025),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [331] = {
    [sym_raw_blck] = STATE(2033),
    [sym_raw_span] = STATE(2033),
    [sym_math] = STATE(2033),
    [sym__expr] = STATE(2033),
    [sym_ident] = STATE(2033),
    [sym_bool] = STATE(2033),
    [sym_number] = STATE(2033),
    [sym_string] = STATE(2033),
    [sym_tagged] = STATE(2033),
    [sym_context] = STATE(2033),
    [sym_elude] = STATE(2033),
    [sym_assign] = STATE(2033),
    [sym_lambda] = STATE(2033),
    [sym_or] = STATE(2033),
    [sym_not] = STATE(2033),
    [sym_and] = STATE(2033),
    [sym_cmp] = STATE(2033),
    [sym_in] = STATE(2033),
    [sym_add] = STATE(2033),
    [sym_sub] = STATE(2033),
    [sym_mul] = STATE(2033),
    [sym_div] = STATE(2033),
    [sym_sign] = STATE(2033),
    [sym_call] = STATE(2033),
    [sym_field] = STATE(2033),
    [sym_label] = STATE(2033),
    [sym_content] = STATE(2033),
    [sym_group] = STATE(2033),
    [sym_block] = STATE(2033),
    [sym_branch] = STATE(2033),
    [sym_let] = STATE(2033),
    [sym_set] = STATE(2033),
    [sym_import] = STATE(2033),
    [sym_include] = STATE(2033),
    [sym_for] = STATE(2033),
    [sym_while] = STATE(2033),
    [sym_show] = STATE(2033),
    [sym_return] = STATE(2033),
    [sym_flow] = STATE(2033),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2027),
    [sym_none] = ACTIONS(2027),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [332] = {
    [sym_raw_blck] = STATE(2037),
    [sym_raw_span] = STATE(2037),
    [sym_math] = STATE(2037),
    [sym__expr] = STATE(2037),
    [sym_ident] = STATE(2037),
    [sym_bool] = STATE(2037),
    [sym_number] = STATE(2037),
    [sym_string] = STATE(2037),
    [sym_tagged] = STATE(2037),
    [sym_context] = STATE(2037),
    [sym_elude] = STATE(2037),
    [sym_assign] = STATE(2037),
    [sym_lambda] = STATE(2037),
    [sym_or] = STATE(2037),
    [sym_not] = STATE(2037),
    [sym_and] = STATE(2037),
    [sym_cmp] = STATE(2037),
    [sym_in] = STATE(2037),
    [sym_add] = STATE(2037),
    [sym_sub] = STATE(2037),
    [sym_mul] = STATE(2037),
    [sym_div] = STATE(2037),
    [sym_sign] = STATE(2037),
    [sym_call] = STATE(2037),
    [sym_field] = STATE(2037),
    [sym_label] = STATE(2037),
    [sym_content] = STATE(2037),
    [sym_group] = STATE(2037),
    [sym_block] = STATE(2037),
    [sym_branch] = STATE(2037),
    [sym_let] = STATE(2037),
    [sym_set] = STATE(2037),
    [sym_import] = STATE(2037),
    [sym_include] = STATE(2037),
    [sym_for] = STATE(2037),
    [sym_while] = STATE(2037),
    [sym_show] = STATE(2037),
    [sym_return] = STATE(2037),
    [sym_flow] = STATE(2037),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2029),
    [sym_none] = ACTIONS(2029),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [333] = {
    [sym_raw_blck] = STATE(2038),
    [sym_raw_span] = STATE(2038),
    [sym_math] = STATE(2038),
    [sym__expr] = STATE(2038),
    [sym_ident] = STATE(2038),
    [sym_bool] = STATE(2038),
    [sym_number] = STATE(2038),
    [sym_string] = STATE(2038),
    [sym_tagged] = STATE(2038),
    [sym_context] = STATE(2038),
    [sym_elude] = STATE(2038),
    [sym_assign] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_or] = STATE(2038),
    [sym_not] = STATE(2038),
    [sym_and] = STATE(2038),
    [sym_cmp] = STATE(2038),
    [sym_in] = STATE(2038),
    [sym_add] = STATE(2038),
    [sym_sub] = STATE(2038),
    [sym_mul] = STATE(2038),
    [sym_div] = STATE(2038),
    [sym_sign] = STATE(2038),
    [sym_call] = STATE(2038),
    [sym_field] = STATE(2038),
    [sym_label] = STATE(2038),
    [sym_content] = STATE(2038),
    [sym_group] = STATE(2038),
    [sym_block] = STATE(2038),
    [sym_branch] = STATE(2038),
    [sym_let] = STATE(2038),
    [sym_set] = STATE(2038),
    [sym_import] = STATE(2038),
    [sym_include] = STATE(2038),
    [sym_for] = STATE(2038),
    [sym_while] = STATE(2038),
    [sym_show] = STATE(2038),
    [sym_return] = STATE(2038),
    [sym_flow] = STATE(2038),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2031),
    [sym_none] = ACTIONS(2031),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [334] = {
    [sym_raw_blck] = STATE(1725),
    [sym_raw_span] = STATE(1725),
    [sym_math] = STATE(1725),
    [sym__expr] = STATE(1725),
    [sym_ident] = STATE(1725),
    [sym_bool] = STATE(1725),
    [sym_number] = STATE(1725),
    [sym_string] = STATE(1725),
    [sym_tagged] = STATE(1725),
    [sym_context] = STATE(1725),
    [sym_elude] = STATE(1725),
    [sym_assign] = STATE(1725),
    [sym_lambda] = STATE(1725),
    [sym_or] = STATE(1725),
    [sym_not] = STATE(1725),
    [sym_and] = STATE(1725),
    [sym_cmp] = STATE(1725),
    [sym_in] = STATE(1725),
    [sym_add] = STATE(1725),
    [sym_sub] = STATE(1725),
    [sym_mul] = STATE(1725),
    [sym_div] = STATE(1725),
    [sym_sign] = STATE(1725),
    [sym_call] = STATE(1725),
    [sym_field] = STATE(1725),
    [sym_label] = STATE(1725),
    [sym_content] = STATE(1725),
    [sym_group] = STATE(1725),
    [sym_block] = STATE(1725),
    [sym_branch] = STATE(1725),
    [sym_let] = STATE(1725),
    [sym_set] = STATE(1725),
    [sym_import] = STATE(1725),
    [sym_include] = STATE(1725),
    [sym_for] = STATE(1725),
    [sym_while] = STATE(1725),
    [sym_show] = STATE(1725),
    [sym_return] = STATE(1725),
    [sym_flow] = STATE(1725),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2037),
    [sym_none] = ACTIONS(2037),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [335] = {
    [sym_raw_blck] = STATE(2865),
    [sym_raw_span] = STATE(2865),
    [sym_math] = STATE(2865),
    [sym__expr] = STATE(2865),
    [sym_ident] = STATE(2865),
    [sym_bool] = STATE(2865),
    [sym_number] = STATE(2865),
    [sym_string] = STATE(2865),
    [sym_tagged] = STATE(2865),
    [sym_context] = STATE(2865),
    [sym_elude] = STATE(2865),
    [sym_assign] = STATE(2865),
    [sym_lambda] = STATE(2865),
    [sym_or] = STATE(2865),
    [sym_not] = STATE(2865),
    [sym_and] = STATE(2865),
    [sym_cmp] = STATE(2865),
    [sym_in] = STATE(2865),
    [sym_add] = STATE(2865),
    [sym_sub] = STATE(2865),
    [sym_mul] = STATE(2865),
    [sym_div] = STATE(2865),
    [sym_sign] = STATE(2865),
    [sym_call] = STATE(2865),
    [sym_field] = STATE(2865),
    [sym_label] = STATE(2865),
    [sym_content] = STATE(2865),
    [sym_group] = STATE(2865),
    [sym_block] = STATE(2865),
    [sym_branch] = STATE(2865),
    [sym_let] = STATE(2865),
    [sym_set] = STATE(2865),
    [sym_import] = STATE(2865),
    [sym_include] = STATE(2865),
    [sym_for] = STATE(2865),
    [sym_while] = STATE(2865),
    [sym_show] = STATE(2865),
    [sym_return] = STATE(2865),
    [sym_flow] = STATE(2865),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2041),
    [sym_none] = ACTIONS(2041),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [336] = {
    [sym_raw_blck] = STATE(1883),
    [sym_raw_span] = STATE(1883),
    [sym_math] = STATE(1883),
    [sym__expr] = STATE(1883),
    [sym_ident] = STATE(1883),
    [sym_bool] = STATE(1883),
    [sym_number] = STATE(1883),
    [sym_string] = STATE(1883),
    [sym_tagged] = STATE(1883),
    [sym_context] = STATE(1883),
    [sym_elude] = STATE(1883),
    [sym_assign] = STATE(1883),
    [sym_lambda] = STATE(1883),
    [sym_or] = STATE(1883),
    [sym_not] = STATE(1883),
    [sym_and] = STATE(1883),
    [sym_cmp] = STATE(1883),
    [sym_in] = STATE(1883),
    [sym_add] = STATE(1883),
    [sym_sub] = STATE(1883),
    [sym_mul] = STATE(1883),
    [sym_div] = STATE(1883),
    [sym_sign] = STATE(1883),
    [sym_call] = STATE(1883),
    [sym_field] = STATE(1883),
    [sym_label] = STATE(1883),
    [sym_content] = STATE(1883),
    [sym_group] = STATE(1883),
    [sym_block] = STATE(1883),
    [sym_branch] = STATE(1883),
    [sym_let] = STATE(1883),
    [sym_set] = STATE(1883),
    [sym_import] = STATE(1883),
    [sym_include] = STATE(1883),
    [sym_for] = STATE(1883),
    [sym_while] = STATE(1883),
    [sym_show] = STATE(1883),
    [sym_return] = STATE(1883),
    [sym_flow] = STATE(1883),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2043),
    [sym_none] = ACTIONS(2043),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [337] = {
    [sym_raw_blck] = STATE(1861),
    [sym_raw_span] = STATE(1861),
    [sym_math] = STATE(1861),
    [sym__expr] = STATE(1861),
    [sym_ident] = STATE(1861),
    [sym_bool] = STATE(1861),
    [sym_number] = STATE(1861),
    [sym_string] = STATE(1861),
    [sym_tagged] = STATE(1861),
    [sym_context] = STATE(1861),
    [sym_elude] = STATE(1861),
    [sym_assign] = STATE(1861),
    [sym_lambda] = STATE(1861),
    [sym_or] = STATE(1861),
    [sym_not] = STATE(1861),
    [sym_and] = STATE(1861),
    [sym_cmp] = STATE(1861),
    [sym_in] = STATE(1861),
    [sym_add] = STATE(1861),
    [sym_sub] = STATE(1861),
    [sym_mul] = STATE(1861),
    [sym_div] = STATE(1861),
    [sym_sign] = STATE(1861),
    [sym_call] = STATE(1861),
    [sym_field] = STATE(1861),
    [sym_label] = STATE(1861),
    [sym_content] = STATE(1861),
    [sym_group] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_branch] = STATE(1861),
    [sym_let] = STATE(1861),
    [sym_set] = STATE(1861),
    [sym_import] = STATE(1861),
    [sym_include] = STATE(1861),
    [sym_for] = STATE(1861),
    [sym_while] = STATE(1861),
    [sym_show] = STATE(1861),
    [sym_return] = STATE(1861),
    [sym_flow] = STATE(1861),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2045),
    [sym_none] = ACTIONS(2045),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [338] = {
    [sym_raw_blck] = STATE(2867),
    [sym_raw_span] = STATE(2867),
    [sym_math] = STATE(2867),
    [sym__expr] = STATE(2867),
    [sym_ident] = STATE(2867),
    [sym_bool] = STATE(2867),
    [sym_number] = STATE(2867),
    [sym_string] = STATE(2867),
    [sym_tagged] = STATE(2867),
    [sym_context] = STATE(2867),
    [sym_elude] = STATE(2867),
    [sym_assign] = STATE(2867),
    [sym_lambda] = STATE(2867),
    [sym_or] = STATE(2867),
    [sym_not] = STATE(2867),
    [sym_and] = STATE(2867),
    [sym_cmp] = STATE(2867),
    [sym_in] = STATE(2867),
    [sym_add] = STATE(2867),
    [sym_sub] = STATE(2867),
    [sym_mul] = STATE(2867),
    [sym_div] = STATE(2867),
    [sym_sign] = STATE(2867),
    [sym_call] = STATE(2867),
    [sym_field] = STATE(2867),
    [sym_label] = STATE(2867),
    [sym_content] = STATE(2867),
    [sym_group] = STATE(2867),
    [sym_block] = STATE(2867),
    [sym_branch] = STATE(2867),
    [sym_let] = STATE(2867),
    [sym_set] = STATE(2867),
    [sym_import] = STATE(2867),
    [sym_include] = STATE(2867),
    [sym_for] = STATE(2867),
    [sym_while] = STATE(2867),
    [sym_show] = STATE(2867),
    [sym_return] = STATE(2867),
    [sym_flow] = STATE(2867),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2047),
    [sym_none] = ACTIONS(2047),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [339] = {
    [sym_raw_blck] = STATE(1752),
    [sym_raw_span] = STATE(1752),
    [sym_math] = STATE(1752),
    [sym__expr] = STATE(1752),
    [sym_ident] = STATE(1752),
    [sym_bool] = STATE(1752),
    [sym_number] = STATE(1752),
    [sym_string] = STATE(1752),
    [sym_tagged] = STATE(1752),
    [sym_context] = STATE(1752),
    [sym_elude] = STATE(1752),
    [sym_assign] = STATE(1752),
    [sym_lambda] = STATE(1752),
    [sym_or] = STATE(1752),
    [sym_not] = STATE(1752),
    [sym_and] = STATE(1752),
    [sym_cmp] = STATE(1752),
    [sym_in] = STATE(1752),
    [sym_add] = STATE(1752),
    [sym_sub] = STATE(1752),
    [sym_mul] = STATE(1752),
    [sym_div] = STATE(1752),
    [sym_sign] = STATE(1752),
    [sym_call] = STATE(1752),
    [sym_field] = STATE(1752),
    [sym_label] = STATE(1752),
    [sym_content] = STATE(1752),
    [sym_group] = STATE(1752),
    [sym_block] = STATE(1752),
    [sym_branch] = STATE(1752),
    [sym_let] = STATE(1752),
    [sym_set] = STATE(1752),
    [sym_import] = STATE(1752),
    [sym_include] = STATE(1752),
    [sym_for] = STATE(1752),
    [sym_while] = STATE(1752),
    [sym_show] = STATE(1752),
    [sym_return] = STATE(1752),
    [sym_flow] = STATE(1752),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2049),
    [sym_none] = ACTIONS(2049),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [340] = {
    [sym_raw_blck] = STATE(1989),
    [sym_raw_span] = STATE(1989),
    [sym_math] = STATE(1989),
    [sym__expr] = STATE(1989),
    [sym_ident] = STATE(1989),
    [sym_bool] = STATE(1989),
    [sym_number] = STATE(1989),
    [sym_string] = STATE(1989),
    [sym_tagged] = STATE(1989),
    [sym_context] = STATE(1989),
    [sym_elude] = STATE(1989),
    [sym_assign] = STATE(1989),
    [sym_lambda] = STATE(1989),
    [sym_or] = STATE(1989),
    [sym_not] = STATE(1989),
    [sym_and] = STATE(1989),
    [sym_cmp] = STATE(1989),
    [sym_in] = STATE(1989),
    [sym_add] = STATE(1989),
    [sym_sub] = STATE(1989),
    [sym_mul] = STATE(1989),
    [sym_div] = STATE(1989),
    [sym_sign] = STATE(1989),
    [sym_call] = STATE(1989),
    [sym_field] = STATE(1989),
    [sym_label] = STATE(1989),
    [sym_content] = STATE(1989),
    [sym_group] = STATE(1989),
    [sym_block] = STATE(1989),
    [sym_branch] = STATE(1989),
    [sym_let] = STATE(1989),
    [sym_set] = STATE(1989),
    [sym_import] = STATE(1989),
    [sym_include] = STATE(1989),
    [sym_for] = STATE(1989),
    [sym_while] = STATE(1989),
    [sym_show] = STATE(1989),
    [sym_return] = STATE(1989),
    [sym_flow] = STATE(1989),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2051),
    [sym_none] = ACTIONS(2051),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [341] = {
    [sym_raw_blck] = STATE(1991),
    [sym_raw_span] = STATE(1991),
    [sym_math] = STATE(1991),
    [sym__expr] = STATE(1991),
    [sym_ident] = STATE(1991),
    [sym_bool] = STATE(1991),
    [sym_number] = STATE(1991),
    [sym_string] = STATE(1991),
    [sym_tagged] = STATE(1991),
    [sym_context] = STATE(1991),
    [sym_elude] = STATE(1991),
    [sym_assign] = STATE(1991),
    [sym_lambda] = STATE(1991),
    [sym_or] = STATE(1991),
    [sym_not] = STATE(1991),
    [sym_and] = STATE(1991),
    [sym_cmp] = STATE(1991),
    [sym_in] = STATE(1991),
    [sym_add] = STATE(1991),
    [sym_sub] = STATE(1991),
    [sym_mul] = STATE(1991),
    [sym_div] = STATE(1991),
    [sym_sign] = STATE(1991),
    [sym_call] = STATE(1991),
    [sym_field] = STATE(1991),
    [sym_label] = STATE(1991),
    [sym_content] = STATE(1991),
    [sym_group] = STATE(1991),
    [sym_block] = STATE(1991),
    [sym_branch] = STATE(1991),
    [sym_let] = STATE(1991),
    [sym_set] = STATE(1991),
    [sym_import] = STATE(1991),
    [sym_include] = STATE(1991),
    [sym_for] = STATE(1991),
    [sym_while] = STATE(1991),
    [sym_show] = STATE(1991),
    [sym_return] = STATE(1991),
    [sym_flow] = STATE(1991),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2053),
    [sym_none] = ACTIONS(2053),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [342] = {
    [sym_raw_blck] = STATE(1999),
    [sym_raw_span] = STATE(1999),
    [sym_math] = STATE(1999),
    [sym__expr] = STATE(1999),
    [sym_ident] = STATE(1999),
    [sym_bool] = STATE(1999),
    [sym_number] = STATE(1999),
    [sym_string] = STATE(1999),
    [sym_tagged] = STATE(1999),
    [sym_context] = STATE(1999),
    [sym_elude] = STATE(1999),
    [sym_assign] = STATE(1999),
    [sym_lambda] = STATE(1999),
    [sym_or] = STATE(1999),
    [sym_not] = STATE(1999),
    [sym_and] = STATE(1999),
    [sym_cmp] = STATE(1999),
    [sym_in] = STATE(1999),
    [sym_add] = STATE(1999),
    [sym_sub] = STATE(1999),
    [sym_mul] = STATE(1999),
    [sym_div] = STATE(1999),
    [sym_sign] = STATE(1999),
    [sym_call] = STATE(1999),
    [sym_field] = STATE(1999),
    [sym_label] = STATE(1999),
    [sym_content] = STATE(1999),
    [sym_group] = STATE(1999),
    [sym_block] = STATE(1999),
    [sym_branch] = STATE(1999),
    [sym_let] = STATE(1999),
    [sym_set] = STATE(1999),
    [sym_import] = STATE(1999),
    [sym_include] = STATE(1999),
    [sym_for] = STATE(1999),
    [sym_while] = STATE(1999),
    [sym_show] = STATE(1999),
    [sym_return] = STATE(1999),
    [sym_flow] = STATE(1999),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2055),
    [sym_none] = ACTIONS(2055),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [343] = {
    [sym_raw_blck] = STATE(2002),
    [sym_raw_span] = STATE(2002),
    [sym_math] = STATE(2002),
    [sym__expr] = STATE(2002),
    [sym_ident] = STATE(2002),
    [sym_bool] = STATE(2002),
    [sym_number] = STATE(2002),
    [sym_string] = STATE(2002),
    [sym_tagged] = STATE(2002),
    [sym_context] = STATE(2002),
    [sym_elude] = STATE(2002),
    [sym_assign] = STATE(2002),
    [sym_lambda] = STATE(2002),
    [sym_or] = STATE(2002),
    [sym_not] = STATE(2002),
    [sym_and] = STATE(2002),
    [sym_cmp] = STATE(2002),
    [sym_in] = STATE(2002),
    [sym_add] = STATE(2002),
    [sym_sub] = STATE(2002),
    [sym_mul] = STATE(2002),
    [sym_div] = STATE(2002),
    [sym_sign] = STATE(2002),
    [sym_call] = STATE(2002),
    [sym_field] = STATE(2002),
    [sym_label] = STATE(2002),
    [sym_content] = STATE(2002),
    [sym_group] = STATE(2002),
    [sym_block] = STATE(2002),
    [sym_branch] = STATE(2002),
    [sym_let] = STATE(2002),
    [sym_set] = STATE(2002),
    [sym_import] = STATE(2002),
    [sym_include] = STATE(2002),
    [sym_for] = STATE(2002),
    [sym_while] = STATE(2002),
    [sym_show] = STATE(2002),
    [sym_return] = STATE(2002),
    [sym_flow] = STATE(2002),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2057),
    [sym_none] = ACTIONS(2057),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [344] = {
    [sym_raw_blck] = STATE(2004),
    [sym_raw_span] = STATE(2004),
    [sym_math] = STATE(2004),
    [sym__expr] = STATE(2004),
    [sym_ident] = STATE(2004),
    [sym_bool] = STATE(2004),
    [sym_number] = STATE(2004),
    [sym_string] = STATE(2004),
    [sym_tagged] = STATE(2004),
    [sym_context] = STATE(2004),
    [sym_elude] = STATE(2004),
    [sym_assign] = STATE(2004),
    [sym_lambda] = STATE(2004),
    [sym_or] = STATE(2004),
    [sym_not] = STATE(2004),
    [sym_and] = STATE(2004),
    [sym_cmp] = STATE(2004),
    [sym_in] = STATE(2004),
    [sym_add] = STATE(2004),
    [sym_sub] = STATE(2004),
    [sym_mul] = STATE(2004),
    [sym_div] = STATE(2004),
    [sym_sign] = STATE(2004),
    [sym_call] = STATE(2004),
    [sym_field] = STATE(2004),
    [sym_label] = STATE(2004),
    [sym_content] = STATE(2004),
    [sym_group] = STATE(2004),
    [sym_block] = STATE(2004),
    [sym_branch] = STATE(2004),
    [sym_let] = STATE(2004),
    [sym_set] = STATE(2004),
    [sym_import] = STATE(2004),
    [sym_include] = STATE(2004),
    [sym_for] = STATE(2004),
    [sym_while] = STATE(2004),
    [sym_show] = STATE(2004),
    [sym_return] = STATE(2004),
    [sym_flow] = STATE(2004),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2059),
    [sym_none] = ACTIONS(2059),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [345] = {
    [sym_raw_blck] = STATE(2005),
    [sym_raw_span] = STATE(2005),
    [sym_math] = STATE(2005),
    [sym__expr] = STATE(2005),
    [sym_ident] = STATE(2005),
    [sym_bool] = STATE(2005),
    [sym_number] = STATE(2005),
    [sym_string] = STATE(2005),
    [sym_tagged] = STATE(2005),
    [sym_context] = STATE(2005),
    [sym_elude] = STATE(2005),
    [sym_assign] = STATE(2005),
    [sym_lambda] = STATE(2005),
    [sym_or] = STATE(2005),
    [sym_not] = STATE(2005),
    [sym_and] = STATE(2005),
    [sym_cmp] = STATE(2005),
    [sym_in] = STATE(2005),
    [sym_add] = STATE(2005),
    [sym_sub] = STATE(2005),
    [sym_mul] = STATE(2005),
    [sym_div] = STATE(2005),
    [sym_sign] = STATE(2005),
    [sym_call] = STATE(2005),
    [sym_field] = STATE(2005),
    [sym_label] = STATE(2005),
    [sym_content] = STATE(2005),
    [sym_group] = STATE(2005),
    [sym_block] = STATE(2005),
    [sym_branch] = STATE(2005),
    [sym_let] = STATE(2005),
    [sym_set] = STATE(2005),
    [sym_import] = STATE(2005),
    [sym_include] = STATE(2005),
    [sym_for] = STATE(2005),
    [sym_while] = STATE(2005),
    [sym_show] = STATE(2005),
    [sym_return] = STATE(2005),
    [sym_flow] = STATE(2005),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2061),
    [sym_none] = ACTIONS(2061),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [346] = {
    [sym_raw_blck] = STATE(2020),
    [sym_raw_span] = STATE(2020),
    [sym_math] = STATE(2020),
    [sym__expr] = STATE(2020),
    [sym_ident] = STATE(2020),
    [sym_bool] = STATE(2020),
    [sym_number] = STATE(2020),
    [sym_string] = STATE(2020),
    [sym_tagged] = STATE(2020),
    [sym_context] = STATE(2020),
    [sym_elude] = STATE(2020),
    [sym_assign] = STATE(2020),
    [sym_lambda] = STATE(2020),
    [sym_or] = STATE(2020),
    [sym_not] = STATE(2020),
    [sym_and] = STATE(2020),
    [sym_cmp] = STATE(2020),
    [sym_in] = STATE(2020),
    [sym_add] = STATE(2020),
    [sym_sub] = STATE(2020),
    [sym_mul] = STATE(2020),
    [sym_div] = STATE(2020),
    [sym_sign] = STATE(2020),
    [sym_call] = STATE(2020),
    [sym_field] = STATE(2020),
    [sym_label] = STATE(2020),
    [sym_content] = STATE(2020),
    [sym_group] = STATE(2020),
    [sym_block] = STATE(2020),
    [sym_branch] = STATE(2020),
    [sym_let] = STATE(2020),
    [sym_set] = STATE(2020),
    [sym_import] = STATE(2020),
    [sym_include] = STATE(2020),
    [sym_for] = STATE(2020),
    [sym_while] = STATE(2020),
    [sym_show] = STATE(2020),
    [sym_return] = STATE(2020),
    [sym_flow] = STATE(2020),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2063),
    [sym_none] = ACTIONS(2063),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [347] = {
    [sym_raw_blck] = STATE(2040),
    [sym_raw_span] = STATE(2040),
    [sym_math] = STATE(2040),
    [sym__expr] = STATE(2040),
    [sym_ident] = STATE(2040),
    [sym_bool] = STATE(2040),
    [sym_number] = STATE(2040),
    [sym_string] = STATE(2040),
    [sym_tagged] = STATE(2040),
    [sym_context] = STATE(2040),
    [sym_elude] = STATE(2040),
    [sym_assign] = STATE(2040),
    [sym_lambda] = STATE(2040),
    [sym_or] = STATE(2040),
    [sym_not] = STATE(2040),
    [sym_and] = STATE(2040),
    [sym_cmp] = STATE(2040),
    [sym_in] = STATE(2040),
    [sym_add] = STATE(2040),
    [sym_sub] = STATE(2040),
    [sym_mul] = STATE(2040),
    [sym_div] = STATE(2040),
    [sym_sign] = STATE(2040),
    [sym_call] = STATE(2040),
    [sym_field] = STATE(2040),
    [sym_label] = STATE(2040),
    [sym_content] = STATE(2040),
    [sym_group] = STATE(2040),
    [sym_block] = STATE(2040),
    [sym_branch] = STATE(2040),
    [sym_let] = STATE(2040),
    [sym_set] = STATE(2040),
    [sym_import] = STATE(2040),
    [sym_include] = STATE(2040),
    [sym_for] = STATE(2040),
    [sym_while] = STATE(2040),
    [sym_show] = STATE(2040),
    [sym_return] = STATE(2040),
    [sym_flow] = STATE(2040),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2065),
    [sym_none] = ACTIONS(2065),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [348] = {
    [sym_raw_blck] = STATE(2048),
    [sym_raw_span] = STATE(2048),
    [sym_math] = STATE(2048),
    [sym__expr] = STATE(2048),
    [sym_ident] = STATE(2048),
    [sym_bool] = STATE(2048),
    [sym_number] = STATE(2048),
    [sym_string] = STATE(2048),
    [sym_tagged] = STATE(2048),
    [sym_context] = STATE(2048),
    [sym_elude] = STATE(2048),
    [sym_assign] = STATE(2048),
    [sym_lambda] = STATE(2048),
    [sym_or] = STATE(2048),
    [sym_not] = STATE(2048),
    [sym_and] = STATE(2048),
    [sym_cmp] = STATE(2048),
    [sym_in] = STATE(2048),
    [sym_add] = STATE(2048),
    [sym_sub] = STATE(2048),
    [sym_mul] = STATE(2048),
    [sym_div] = STATE(2048),
    [sym_sign] = STATE(2048),
    [sym_call] = STATE(2048),
    [sym_field] = STATE(2048),
    [sym_label] = STATE(2048),
    [sym_content] = STATE(2048),
    [sym_group] = STATE(2048),
    [sym_block] = STATE(2048),
    [sym_branch] = STATE(2048),
    [sym_let] = STATE(2048),
    [sym_set] = STATE(2048),
    [sym_import] = STATE(2048),
    [sym_include] = STATE(2048),
    [sym_for] = STATE(2048),
    [sym_while] = STATE(2048),
    [sym_show] = STATE(2048),
    [sym_return] = STATE(2048),
    [sym_flow] = STATE(2048),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2067),
    [sym_none] = ACTIONS(2067),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [349] = {
    [sym_raw_blck] = STATE(2049),
    [sym_raw_span] = STATE(2049),
    [sym_math] = STATE(2049),
    [sym__expr] = STATE(2049),
    [sym_ident] = STATE(2049),
    [sym_bool] = STATE(2049),
    [sym_number] = STATE(2049),
    [sym_string] = STATE(2049),
    [sym_tagged] = STATE(2049),
    [sym_context] = STATE(2049),
    [sym_elude] = STATE(2049),
    [sym_assign] = STATE(2049),
    [sym_lambda] = STATE(2049),
    [sym_or] = STATE(2049),
    [sym_not] = STATE(2049),
    [sym_and] = STATE(2049),
    [sym_cmp] = STATE(2049),
    [sym_in] = STATE(2049),
    [sym_add] = STATE(2049),
    [sym_sub] = STATE(2049),
    [sym_mul] = STATE(2049),
    [sym_div] = STATE(2049),
    [sym_sign] = STATE(2049),
    [sym_call] = STATE(2049),
    [sym_field] = STATE(2049),
    [sym_label] = STATE(2049),
    [sym_content] = STATE(2049),
    [sym_group] = STATE(2049),
    [sym_block] = STATE(2049),
    [sym_branch] = STATE(2049),
    [sym_let] = STATE(2049),
    [sym_set] = STATE(2049),
    [sym_import] = STATE(2049),
    [sym_include] = STATE(2049),
    [sym_for] = STATE(2049),
    [sym_while] = STATE(2049),
    [sym_show] = STATE(2049),
    [sym_return] = STATE(2049),
    [sym_flow] = STATE(2049),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2069),
    [sym_none] = ACTIONS(2069),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [350] = {
    [sym_raw_blck] = STATE(2055),
    [sym_raw_span] = STATE(2055),
    [sym_math] = STATE(2055),
    [sym__expr] = STATE(2055),
    [sym_ident] = STATE(2055),
    [sym_bool] = STATE(2055),
    [sym_number] = STATE(2055),
    [sym_string] = STATE(2055),
    [sym_tagged] = STATE(2055),
    [sym_context] = STATE(2055),
    [sym_elude] = STATE(2055),
    [sym_assign] = STATE(2055),
    [sym_lambda] = STATE(2055),
    [sym_or] = STATE(2055),
    [sym_not] = STATE(2055),
    [sym_and] = STATE(2055),
    [sym_cmp] = STATE(2055),
    [sym_in] = STATE(2055),
    [sym_add] = STATE(2055),
    [sym_sub] = STATE(2055),
    [sym_mul] = STATE(2055),
    [sym_div] = STATE(2055),
    [sym_sign] = STATE(2055),
    [sym_call] = STATE(2055),
    [sym_field] = STATE(2055),
    [sym_label] = STATE(2055),
    [sym_content] = STATE(2055),
    [sym_group] = STATE(2055),
    [sym_block] = STATE(2055),
    [sym_branch] = STATE(2055),
    [sym_let] = STATE(2055),
    [sym_set] = STATE(2055),
    [sym_import] = STATE(2055),
    [sym_include] = STATE(2055),
    [sym_for] = STATE(2055),
    [sym_while] = STATE(2055),
    [sym_show] = STATE(2055),
    [sym_return] = STATE(2055),
    [sym_flow] = STATE(2055),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2071),
    [sym_none] = ACTIONS(2071),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [351] = {
    [sym_raw_blck] = STATE(1629),
    [sym_raw_span] = STATE(1629),
    [sym_math] = STATE(1629),
    [sym__expr] = STATE(1629),
    [sym_ident] = STATE(1629),
    [sym_bool] = STATE(1629),
    [sym_number] = STATE(1629),
    [sym_string] = STATE(1629),
    [sym_tagged] = STATE(1629),
    [sym_context] = STATE(1629),
    [sym_elude] = STATE(1629),
    [sym_assign] = STATE(1629),
    [sym_lambda] = STATE(1629),
    [sym_or] = STATE(1629),
    [sym_not] = STATE(1629),
    [sym_and] = STATE(1629),
    [sym_cmp] = STATE(1629),
    [sym_in] = STATE(1629),
    [sym_add] = STATE(1629),
    [sym_sub] = STATE(1629),
    [sym_mul] = STATE(1629),
    [sym_div] = STATE(1629),
    [sym_sign] = STATE(1629),
    [sym_call] = STATE(1629),
    [sym_field] = STATE(1629),
    [sym_label] = STATE(1629),
    [sym_content] = STATE(1629),
    [sym_group] = STATE(1629),
    [sym_block] = STATE(1629),
    [sym_branch] = STATE(1629),
    [sym_let] = STATE(1629),
    [sym_set] = STATE(1629),
    [sym_import] = STATE(1629),
    [sym_include] = STATE(1629),
    [sym_for] = STATE(1629),
    [sym_while] = STATE(1629),
    [sym_show] = STATE(1629),
    [sym_return] = STATE(1629),
    [sym_flow] = STATE(1629),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2073),
    [sym_none] = ACTIONS(2073),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [352] = {
    [sym_raw_blck] = STATE(1630),
    [sym_raw_span] = STATE(1630),
    [sym_math] = STATE(1630),
    [sym__expr] = STATE(1630),
    [sym_ident] = STATE(1630),
    [sym_bool] = STATE(1630),
    [sym_number] = STATE(1630),
    [sym_string] = STATE(1630),
    [sym_tagged] = STATE(1630),
    [sym_context] = STATE(1630),
    [sym_elude] = STATE(1630),
    [sym_assign] = STATE(1630),
    [sym_lambda] = STATE(1630),
    [sym_or] = STATE(1630),
    [sym_not] = STATE(1630),
    [sym_and] = STATE(1630),
    [sym_cmp] = STATE(1630),
    [sym_in] = STATE(1630),
    [sym_add] = STATE(1630),
    [sym_sub] = STATE(1630),
    [sym_mul] = STATE(1630),
    [sym_div] = STATE(1630),
    [sym_sign] = STATE(1630),
    [sym_call] = STATE(1630),
    [sym_field] = STATE(1630),
    [sym_label] = STATE(1630),
    [sym_content] = STATE(1630),
    [sym_group] = STATE(1630),
    [sym_block] = STATE(1630),
    [sym_branch] = STATE(1630),
    [sym_let] = STATE(1630),
    [sym_set] = STATE(1630),
    [sym_import] = STATE(1630),
    [sym_include] = STATE(1630),
    [sym_for] = STATE(1630),
    [sym_while] = STATE(1630),
    [sym_show] = STATE(1630),
    [sym_return] = STATE(1630),
    [sym_flow] = STATE(1630),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2075),
    [sym_none] = ACTIONS(2075),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [353] = {
    [sym_raw_blck] = STATE(1639),
    [sym_raw_span] = STATE(1639),
    [sym_math] = STATE(1639),
    [sym__expr] = STATE(1639),
    [sym_ident] = STATE(1639),
    [sym_bool] = STATE(1639),
    [sym_number] = STATE(1639),
    [sym_string] = STATE(1639),
    [sym_tagged] = STATE(1639),
    [sym_context] = STATE(1639),
    [sym_elude] = STATE(1639),
    [sym_assign] = STATE(1639),
    [sym_lambda] = STATE(1639),
    [sym_or] = STATE(1639),
    [sym_not] = STATE(1639),
    [sym_and] = STATE(1639),
    [sym_cmp] = STATE(1639),
    [sym_in] = STATE(1639),
    [sym_add] = STATE(1639),
    [sym_sub] = STATE(1639),
    [sym_mul] = STATE(1639),
    [sym_div] = STATE(1639),
    [sym_sign] = STATE(1639),
    [sym_call] = STATE(1639),
    [sym_field] = STATE(1639),
    [sym_label] = STATE(1639),
    [sym_content] = STATE(1639),
    [sym_group] = STATE(1639),
    [sym_block] = STATE(1639),
    [sym_branch] = STATE(1639),
    [sym_let] = STATE(1639),
    [sym_set] = STATE(1639),
    [sym_import] = STATE(1639),
    [sym_include] = STATE(1639),
    [sym_for] = STATE(1639),
    [sym_while] = STATE(1639),
    [sym_show] = STATE(1639),
    [sym_return] = STATE(1639),
    [sym_flow] = STATE(1639),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2077),
    [sym_none] = ACTIONS(2077),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [354] = {
    [sym_raw_blck] = STATE(1640),
    [sym_raw_span] = STATE(1640),
    [sym_math] = STATE(1640),
    [sym__expr] = STATE(1640),
    [sym_ident] = STATE(1640),
    [sym_bool] = STATE(1640),
    [sym_number] = STATE(1640),
    [sym_string] = STATE(1640),
    [sym_tagged] = STATE(1640),
    [sym_context] = STATE(1640),
    [sym_elude] = STATE(1640),
    [sym_assign] = STATE(1640),
    [sym_lambda] = STATE(1640),
    [sym_or] = STATE(1640),
    [sym_not] = STATE(1640),
    [sym_and] = STATE(1640),
    [sym_cmp] = STATE(1640),
    [sym_in] = STATE(1640),
    [sym_add] = STATE(1640),
    [sym_sub] = STATE(1640),
    [sym_mul] = STATE(1640),
    [sym_div] = STATE(1640),
    [sym_sign] = STATE(1640),
    [sym_call] = STATE(1640),
    [sym_field] = STATE(1640),
    [sym_label] = STATE(1640),
    [sym_content] = STATE(1640),
    [sym_group] = STATE(1640),
    [sym_block] = STATE(1640),
    [sym_branch] = STATE(1640),
    [sym_let] = STATE(1640),
    [sym_set] = STATE(1640),
    [sym_import] = STATE(1640),
    [sym_include] = STATE(1640),
    [sym_for] = STATE(1640),
    [sym_while] = STATE(1640),
    [sym_show] = STATE(1640),
    [sym_return] = STATE(1640),
    [sym_flow] = STATE(1640),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2079),
    [sym_none] = ACTIONS(2079),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [355] = {
    [sym_raw_blck] = STATE(1541),
    [sym_raw_span] = STATE(1541),
    [sym_math] = STATE(1541),
    [sym__expr] = STATE(1541),
    [sym_ident] = STATE(1541),
    [sym_bool] = STATE(1541),
    [sym_number] = STATE(1541),
    [sym_string] = STATE(1541),
    [sym_tagged] = STATE(1541),
    [sym_context] = STATE(1541),
    [sym_elude] = STATE(1541),
    [sym_assign] = STATE(1541),
    [sym_lambda] = STATE(1541),
    [sym_or] = STATE(1541),
    [sym_not] = STATE(1541),
    [sym_and] = STATE(1541),
    [sym_cmp] = STATE(1541),
    [sym_in] = STATE(1541),
    [sym_add] = STATE(1541),
    [sym_sub] = STATE(1541),
    [sym_mul] = STATE(1541),
    [sym_div] = STATE(1541),
    [sym_sign] = STATE(1541),
    [sym_call] = STATE(1541),
    [sym_field] = STATE(1541),
    [sym_label] = STATE(1541),
    [sym_content] = STATE(1541),
    [sym_group] = STATE(1541),
    [sym_block] = STATE(1541),
    [sym_branch] = STATE(1541),
    [sym_let] = STATE(1541),
    [sym_set] = STATE(1541),
    [sym_import] = STATE(1541),
    [sym_include] = STATE(1541),
    [sym_for] = STATE(1541),
    [sym_while] = STATE(1541),
    [sym_show] = STATE(1541),
    [sym_return] = STATE(1541),
    [sym_flow] = STATE(1541),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2085),
    [sym_none] = ACTIONS(2085),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [356] = {
    [sym_raw_blck] = STATE(2877),
    [sym_raw_span] = STATE(2877),
    [sym_math] = STATE(2877),
    [sym__expr] = STATE(2877),
    [sym_ident] = STATE(2877),
    [sym_bool] = STATE(2877),
    [sym_number] = STATE(2877),
    [sym_string] = STATE(2877),
    [sym_tagged] = STATE(2877),
    [sym_context] = STATE(2877),
    [sym_elude] = STATE(2877),
    [sym_assign] = STATE(2877),
    [sym_lambda] = STATE(2877),
    [sym_or] = STATE(2877),
    [sym_not] = STATE(2877),
    [sym_and] = STATE(2877),
    [sym_cmp] = STATE(2877),
    [sym_in] = STATE(2877),
    [sym_add] = STATE(2877),
    [sym_sub] = STATE(2877),
    [sym_mul] = STATE(2877),
    [sym_div] = STATE(2877),
    [sym_sign] = STATE(2877),
    [sym_call] = STATE(2877),
    [sym_field] = STATE(2877),
    [sym_label] = STATE(2877),
    [sym_content] = STATE(2877),
    [sym_group] = STATE(2877),
    [sym_block] = STATE(2877),
    [sym_branch] = STATE(2877),
    [sym_let] = STATE(2877),
    [sym_set] = STATE(2877),
    [sym_import] = STATE(2877),
    [sym_include] = STATE(2877),
    [sym_for] = STATE(2877),
    [sym_while] = STATE(2877),
    [sym_show] = STATE(2877),
    [sym_return] = STATE(2877),
    [sym_flow] = STATE(2877),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2087),
    [sym_none] = ACTIONS(2087),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [357] = {
    [sym_raw_blck] = STATE(1555),
    [sym_raw_span] = STATE(1555),
    [sym_math] = STATE(1555),
    [sym__expr] = STATE(1555),
    [sym_ident] = STATE(1555),
    [sym_bool] = STATE(1555),
    [sym_number] = STATE(1555),
    [sym_string] = STATE(1555),
    [sym_tagged] = STATE(1555),
    [sym_context] = STATE(1555),
    [sym_elude] = STATE(1555),
    [sym_assign] = STATE(1555),
    [sym_lambda] = STATE(1555),
    [sym_or] = STATE(1555),
    [sym_not] = STATE(1555),
    [sym_and] = STATE(1555),
    [sym_cmp] = STATE(1555),
    [sym_in] = STATE(1555),
    [sym_add] = STATE(1555),
    [sym_sub] = STATE(1555),
    [sym_mul] = STATE(1555),
    [sym_div] = STATE(1555),
    [sym_sign] = STATE(1555),
    [sym_call] = STATE(1555),
    [sym_field] = STATE(1555),
    [sym_label] = STATE(1555),
    [sym_content] = STATE(1555),
    [sym_group] = STATE(1555),
    [sym_block] = STATE(1555),
    [sym_branch] = STATE(1555),
    [sym_let] = STATE(1555),
    [sym_set] = STATE(1555),
    [sym_import] = STATE(1555),
    [sym_include] = STATE(1555),
    [sym_for] = STATE(1555),
    [sym_while] = STATE(1555),
    [sym_show] = STATE(1555),
    [sym_return] = STATE(1555),
    [sym_flow] = STATE(1555),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2089),
    [sym_none] = ACTIONS(2089),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [358] = {
    [sym_raw_blck] = STATE(1556),
    [sym_raw_span] = STATE(1556),
    [sym_math] = STATE(1556),
    [sym__expr] = STATE(1556),
    [sym_ident] = STATE(1556),
    [sym_bool] = STATE(1556),
    [sym_number] = STATE(1556),
    [sym_string] = STATE(1556),
    [sym_tagged] = STATE(1556),
    [sym_context] = STATE(1556),
    [sym_elude] = STATE(1556),
    [sym_assign] = STATE(1556),
    [sym_lambda] = STATE(1556),
    [sym_or] = STATE(1556),
    [sym_not] = STATE(1556),
    [sym_and] = STATE(1556),
    [sym_cmp] = STATE(1556),
    [sym_in] = STATE(1556),
    [sym_add] = STATE(1556),
    [sym_sub] = STATE(1556),
    [sym_mul] = STATE(1556),
    [sym_div] = STATE(1556),
    [sym_sign] = STATE(1556),
    [sym_call] = STATE(1556),
    [sym_field] = STATE(1556),
    [sym_label] = STATE(1556),
    [sym_content] = STATE(1556),
    [sym_group] = STATE(1556),
    [sym_block] = STATE(1556),
    [sym_branch] = STATE(1556),
    [sym_let] = STATE(1556),
    [sym_set] = STATE(1556),
    [sym_import] = STATE(1556),
    [sym_include] = STATE(1556),
    [sym_for] = STATE(1556),
    [sym_while] = STATE(1556),
    [sym_show] = STATE(1556),
    [sym_return] = STATE(1556),
    [sym_flow] = STATE(1556),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2091),
    [sym_none] = ACTIONS(2091),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [359] = {
    [sym_raw_blck] = STATE(2426),
    [sym_raw_span] = STATE(2426),
    [sym_math] = STATE(2426),
    [sym__expr] = STATE(2426),
    [sym_ident] = STATE(2426),
    [sym_bool] = STATE(2426),
    [sym_number] = STATE(2426),
    [sym_string] = STATE(2426),
    [sym_tagged] = STATE(2426),
    [sym_context] = STATE(2426),
    [sym_elude] = STATE(2426),
    [sym_assign] = STATE(2426),
    [sym_lambda] = STATE(2426),
    [sym_or] = STATE(2426),
    [sym_not] = STATE(2426),
    [sym_and] = STATE(2426),
    [sym_cmp] = STATE(2426),
    [sym_in] = STATE(2426),
    [sym_add] = STATE(2426),
    [sym_sub] = STATE(2426),
    [sym_mul] = STATE(2426),
    [sym_div] = STATE(2426),
    [sym_sign] = STATE(2426),
    [sym_call] = STATE(2426),
    [sym_field] = STATE(2426),
    [sym_label] = STATE(2426),
    [sym_content] = STATE(2426),
    [sym_group] = STATE(2426),
    [sym_block] = STATE(2426),
    [sym_branch] = STATE(2426),
    [sym_let] = STATE(2426),
    [sym_set] = STATE(2426),
    [sym_import] = STATE(2426),
    [sym_include] = STATE(2426),
    [sym_for] = STATE(2426),
    [sym_while] = STATE(2426),
    [sym_show] = STATE(2426),
    [sym_return] = STATE(2426),
    [sym_flow] = STATE(2426),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2093),
    [sym_none] = ACTIONS(2093),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [360] = {
    [sym_raw_blck] = STATE(1585),
    [sym_raw_span] = STATE(1585),
    [sym_math] = STATE(1585),
    [sym__expr] = STATE(1585),
    [sym_ident] = STATE(1585),
    [sym_bool] = STATE(1585),
    [sym_number] = STATE(1585),
    [sym_string] = STATE(1585),
    [sym_tagged] = STATE(1585),
    [sym_context] = STATE(1585),
    [sym_elude] = STATE(1585),
    [sym_assign] = STATE(1585),
    [sym_lambda] = STATE(1585),
    [sym_or] = STATE(1585),
    [sym_not] = STATE(1585),
    [sym_and] = STATE(1585),
    [sym_cmp] = STATE(1585),
    [sym_in] = STATE(1585),
    [sym_add] = STATE(1585),
    [sym_sub] = STATE(1585),
    [sym_mul] = STATE(1585),
    [sym_div] = STATE(1585),
    [sym_sign] = STATE(1585),
    [sym_call] = STATE(1585),
    [sym_field] = STATE(1585),
    [sym_label] = STATE(1585),
    [sym_content] = STATE(1585),
    [sym_group] = STATE(1585),
    [sym_block] = STATE(1585),
    [sym_branch] = STATE(1585),
    [sym_let] = STATE(1585),
    [sym_set] = STATE(1585),
    [sym_import] = STATE(1585),
    [sym_include] = STATE(1585),
    [sym_for] = STATE(1585),
    [sym_while] = STATE(1585),
    [sym_show] = STATE(1585),
    [sym_return] = STATE(1585),
    [sym_flow] = STATE(1585),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2095),
    [sym_none] = ACTIONS(2095),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [361] = {
    [sym_raw_blck] = STATE(1597),
    [sym_raw_span] = STATE(1597),
    [sym_math] = STATE(1597),
    [sym__expr] = STATE(1597),
    [sym_ident] = STATE(1597),
    [sym_bool] = STATE(1597),
    [sym_number] = STATE(1597),
    [sym_string] = STATE(1597),
    [sym_tagged] = STATE(1597),
    [sym_context] = STATE(1597),
    [sym_elude] = STATE(1597),
    [sym_assign] = STATE(1597),
    [sym_lambda] = STATE(1597),
    [sym_or] = STATE(1597),
    [sym_not] = STATE(1597),
    [sym_and] = STATE(1597),
    [sym_cmp] = STATE(1597),
    [sym_in] = STATE(1597),
    [sym_add] = STATE(1597),
    [sym_sub] = STATE(1597),
    [sym_mul] = STATE(1597),
    [sym_div] = STATE(1597),
    [sym_sign] = STATE(1597),
    [sym_call] = STATE(1597),
    [sym_field] = STATE(1597),
    [sym_label] = STATE(1597),
    [sym_content] = STATE(1597),
    [sym_group] = STATE(1597),
    [sym_block] = STATE(1597),
    [sym_branch] = STATE(1597),
    [sym_let] = STATE(1597),
    [sym_set] = STATE(1597),
    [sym_import] = STATE(1597),
    [sym_include] = STATE(1597),
    [sym_for] = STATE(1597),
    [sym_while] = STATE(1597),
    [sym_show] = STATE(1597),
    [sym_return] = STATE(1597),
    [sym_flow] = STATE(1597),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2097),
    [sym_none] = ACTIONS(2097),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [362] = {
    [sym_raw_blck] = STATE(1609),
    [sym_raw_span] = STATE(1609),
    [sym_math] = STATE(1609),
    [sym__expr] = STATE(1609),
    [sym_ident] = STATE(1609),
    [sym_bool] = STATE(1609),
    [sym_number] = STATE(1609),
    [sym_string] = STATE(1609),
    [sym_tagged] = STATE(1609),
    [sym_context] = STATE(1609),
    [sym_elude] = STATE(1609),
    [sym_assign] = STATE(1609),
    [sym_lambda] = STATE(1609),
    [sym_or] = STATE(1609),
    [sym_not] = STATE(1609),
    [sym_and] = STATE(1609),
    [sym_cmp] = STATE(1609),
    [sym_in] = STATE(1609),
    [sym_add] = STATE(1609),
    [sym_sub] = STATE(1609),
    [sym_mul] = STATE(1609),
    [sym_div] = STATE(1609),
    [sym_sign] = STATE(1609),
    [sym_call] = STATE(1609),
    [sym_field] = STATE(1609),
    [sym_label] = STATE(1609),
    [sym_content] = STATE(1609),
    [sym_group] = STATE(1609),
    [sym_block] = STATE(1609),
    [sym_branch] = STATE(1609),
    [sym_let] = STATE(1609),
    [sym_set] = STATE(1609),
    [sym_import] = STATE(1609),
    [sym_include] = STATE(1609),
    [sym_for] = STATE(1609),
    [sym_while] = STATE(1609),
    [sym_show] = STATE(1609),
    [sym_return] = STATE(1609),
    [sym_flow] = STATE(1609),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2099),
    [sym_none] = ACTIONS(2099),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [363] = {
    [sym_raw_blck] = STATE(1355),
    [sym_raw_span] = STATE(1355),
    [sym_math] = STATE(1355),
    [sym__expr] = STATE(1355),
    [sym_ident] = STATE(1355),
    [sym_bool] = STATE(1355),
    [sym_number] = STATE(1355),
    [sym_string] = STATE(1355),
    [sym_tagged] = STATE(1355),
    [sym_context] = STATE(1355),
    [sym_elude] = STATE(1355),
    [sym_assign] = STATE(1355),
    [sym_lambda] = STATE(1355),
    [sym_or] = STATE(1355),
    [sym_not] = STATE(1355),
    [sym_and] = STATE(1355),
    [sym_cmp] = STATE(1355),
    [sym_in] = STATE(1355),
    [sym_add] = STATE(1355),
    [sym_sub] = STATE(1355),
    [sym_mul] = STATE(1355),
    [sym_div] = STATE(1355),
    [sym_sign] = STATE(1355),
    [sym_call] = STATE(1355),
    [sym_field] = STATE(1355),
    [sym_label] = STATE(1355),
    [sym_content] = STATE(1355),
    [sym_group] = STATE(1355),
    [sym_block] = STATE(1355),
    [sym_branch] = STATE(1355),
    [sym_let] = STATE(1355),
    [sym_set] = STATE(1355),
    [sym_import] = STATE(1355),
    [sym_include] = STATE(1355),
    [sym_for] = STATE(1355),
    [sym_while] = STATE(1355),
    [sym_show] = STATE(1355),
    [sym_return] = STATE(1355),
    [sym_flow] = STATE(1355),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2101),
    [sym_none] = ACTIONS(2101),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [364] = {
    [sym_raw_blck] = STATE(1356),
    [sym_raw_span] = STATE(1356),
    [sym_math] = STATE(1356),
    [sym__expr] = STATE(1356),
    [sym_ident] = STATE(1356),
    [sym_bool] = STATE(1356),
    [sym_number] = STATE(1356),
    [sym_string] = STATE(1356),
    [sym_tagged] = STATE(1356),
    [sym_context] = STATE(1356),
    [sym_elude] = STATE(1356),
    [sym_assign] = STATE(1356),
    [sym_lambda] = STATE(1356),
    [sym_or] = STATE(1356),
    [sym_not] = STATE(1356),
    [sym_and] = STATE(1356),
    [sym_cmp] = STATE(1356),
    [sym_in] = STATE(1356),
    [sym_add] = STATE(1356),
    [sym_sub] = STATE(1356),
    [sym_mul] = STATE(1356),
    [sym_div] = STATE(1356),
    [sym_sign] = STATE(1356),
    [sym_call] = STATE(1356),
    [sym_field] = STATE(1356),
    [sym_label] = STATE(1356),
    [sym_content] = STATE(1356),
    [sym_group] = STATE(1356),
    [sym_block] = STATE(1356),
    [sym_branch] = STATE(1356),
    [sym_let] = STATE(1356),
    [sym_set] = STATE(1356),
    [sym_import] = STATE(1356),
    [sym_include] = STATE(1356),
    [sym_for] = STATE(1356),
    [sym_while] = STATE(1356),
    [sym_show] = STATE(1356),
    [sym_return] = STATE(1356),
    [sym_flow] = STATE(1356),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2103),
    [sym_none] = ACTIONS(2103),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [365] = {
    [sym_raw_blck] = STATE(1360),
    [sym_raw_span] = STATE(1360),
    [sym_math] = STATE(1360),
    [sym__expr] = STATE(1360),
    [sym_ident] = STATE(1360),
    [sym_bool] = STATE(1360),
    [sym_number] = STATE(1360),
    [sym_string] = STATE(1360),
    [sym_tagged] = STATE(1360),
    [sym_context] = STATE(1360),
    [sym_elude] = STATE(1360),
    [sym_assign] = STATE(1360),
    [sym_lambda] = STATE(1360),
    [sym_or] = STATE(1360),
    [sym_not] = STATE(1360),
    [sym_and] = STATE(1360),
    [sym_cmp] = STATE(1360),
    [sym_in] = STATE(1360),
    [sym_add] = STATE(1360),
    [sym_sub] = STATE(1360),
    [sym_mul] = STATE(1360),
    [sym_div] = STATE(1360),
    [sym_sign] = STATE(1360),
    [sym_call] = STATE(1360),
    [sym_field] = STATE(1360),
    [sym_label] = STATE(1360),
    [sym_content] = STATE(1360),
    [sym_group] = STATE(1360),
    [sym_block] = STATE(1360),
    [sym_branch] = STATE(1360),
    [sym_let] = STATE(1360),
    [sym_set] = STATE(1360),
    [sym_import] = STATE(1360),
    [sym_include] = STATE(1360),
    [sym_for] = STATE(1360),
    [sym_while] = STATE(1360),
    [sym_show] = STATE(1360),
    [sym_return] = STATE(1360),
    [sym_flow] = STATE(1360),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2105),
    [sym_none] = ACTIONS(2105),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [366] = {
    [sym_raw_blck] = STATE(1362),
    [sym_raw_span] = STATE(1362),
    [sym_math] = STATE(1362),
    [sym__expr] = STATE(1362),
    [sym_ident] = STATE(1362),
    [sym_bool] = STATE(1362),
    [sym_number] = STATE(1362),
    [sym_string] = STATE(1362),
    [sym_tagged] = STATE(1362),
    [sym_context] = STATE(1362),
    [sym_elude] = STATE(1362),
    [sym_assign] = STATE(1362),
    [sym_lambda] = STATE(1362),
    [sym_or] = STATE(1362),
    [sym_not] = STATE(1362),
    [sym_and] = STATE(1362),
    [sym_cmp] = STATE(1362),
    [sym_in] = STATE(1362),
    [sym_add] = STATE(1362),
    [sym_sub] = STATE(1362),
    [sym_mul] = STATE(1362),
    [sym_div] = STATE(1362),
    [sym_sign] = STATE(1362),
    [sym_call] = STATE(1362),
    [sym_field] = STATE(1362),
    [sym_label] = STATE(1362),
    [sym_content] = STATE(1362),
    [sym_group] = STATE(1362),
    [sym_block] = STATE(1362),
    [sym_branch] = STATE(1362),
    [sym_let] = STATE(1362),
    [sym_set] = STATE(1362),
    [sym_import] = STATE(1362),
    [sym_include] = STATE(1362),
    [sym_for] = STATE(1362),
    [sym_while] = STATE(1362),
    [sym_show] = STATE(1362),
    [sym_return] = STATE(1362),
    [sym_flow] = STATE(1362),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2107),
    [sym_none] = ACTIONS(2107),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [367] = {
    [sym_raw_blck] = STATE(1364),
    [sym_raw_span] = STATE(1364),
    [sym_math] = STATE(1364),
    [sym__expr] = STATE(1364),
    [sym_ident] = STATE(1364),
    [sym_bool] = STATE(1364),
    [sym_number] = STATE(1364),
    [sym_string] = STATE(1364),
    [sym_tagged] = STATE(1364),
    [sym_context] = STATE(1364),
    [sym_elude] = STATE(1364),
    [sym_assign] = STATE(1364),
    [sym_lambda] = STATE(1364),
    [sym_or] = STATE(1364),
    [sym_not] = STATE(1364),
    [sym_and] = STATE(1364),
    [sym_cmp] = STATE(1364),
    [sym_in] = STATE(1364),
    [sym_add] = STATE(1364),
    [sym_sub] = STATE(1364),
    [sym_mul] = STATE(1364),
    [sym_div] = STATE(1364),
    [sym_sign] = STATE(1364),
    [sym_call] = STATE(1364),
    [sym_field] = STATE(1364),
    [sym_label] = STATE(1364),
    [sym_content] = STATE(1364),
    [sym_group] = STATE(1364),
    [sym_block] = STATE(1364),
    [sym_branch] = STATE(1364),
    [sym_let] = STATE(1364),
    [sym_set] = STATE(1364),
    [sym_import] = STATE(1364),
    [sym_include] = STATE(1364),
    [sym_for] = STATE(1364),
    [sym_while] = STATE(1364),
    [sym_show] = STATE(1364),
    [sym_return] = STATE(1364),
    [sym_flow] = STATE(1364),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2109),
    [sym_none] = ACTIONS(2109),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [368] = {
    [sym_raw_blck] = STATE(1373),
    [sym_raw_span] = STATE(1373),
    [sym_math] = STATE(1373),
    [sym__expr] = STATE(1373),
    [sym_ident] = STATE(1373),
    [sym_bool] = STATE(1373),
    [sym_number] = STATE(1373),
    [sym_string] = STATE(1373),
    [sym_tagged] = STATE(1373),
    [sym_context] = STATE(1373),
    [sym_elude] = STATE(1373),
    [sym_assign] = STATE(1373),
    [sym_lambda] = STATE(1373),
    [sym_or] = STATE(1373),
    [sym_not] = STATE(1373),
    [sym_and] = STATE(1373),
    [sym_cmp] = STATE(1373),
    [sym_in] = STATE(1373),
    [sym_add] = STATE(1373),
    [sym_sub] = STATE(1373),
    [sym_mul] = STATE(1373),
    [sym_div] = STATE(1373),
    [sym_sign] = STATE(1373),
    [sym_call] = STATE(1373),
    [sym_field] = STATE(1373),
    [sym_label] = STATE(1373),
    [sym_content] = STATE(1373),
    [sym_group] = STATE(1373),
    [sym_block] = STATE(1373),
    [sym_branch] = STATE(1373),
    [sym_let] = STATE(1373),
    [sym_set] = STATE(1373),
    [sym_import] = STATE(1373),
    [sym_include] = STATE(1373),
    [sym_for] = STATE(1373),
    [sym_while] = STATE(1373),
    [sym_show] = STATE(1373),
    [sym_return] = STATE(1373),
    [sym_flow] = STATE(1373),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2111),
    [sym_none] = ACTIONS(2111),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [369] = {
    [sym_raw_blck] = STATE(1382),
    [sym_raw_span] = STATE(1382),
    [sym_math] = STATE(1382),
    [sym__expr] = STATE(1382),
    [sym_ident] = STATE(1382),
    [sym_bool] = STATE(1382),
    [sym_number] = STATE(1382),
    [sym_string] = STATE(1382),
    [sym_tagged] = STATE(1382),
    [sym_context] = STATE(1382),
    [sym_elude] = STATE(1382),
    [sym_assign] = STATE(1382),
    [sym_lambda] = STATE(1382),
    [sym_or] = STATE(1382),
    [sym_not] = STATE(1382),
    [sym_and] = STATE(1382),
    [sym_cmp] = STATE(1382),
    [sym_in] = STATE(1382),
    [sym_add] = STATE(1382),
    [sym_sub] = STATE(1382),
    [sym_mul] = STATE(1382),
    [sym_div] = STATE(1382),
    [sym_sign] = STATE(1382),
    [sym_call] = STATE(1382),
    [sym_field] = STATE(1382),
    [sym_label] = STATE(1382),
    [sym_content] = STATE(1382),
    [sym_group] = STATE(1382),
    [sym_block] = STATE(1382),
    [sym_branch] = STATE(1382),
    [sym_let] = STATE(1382),
    [sym_set] = STATE(1382),
    [sym_import] = STATE(1382),
    [sym_include] = STATE(1382),
    [sym_for] = STATE(1382),
    [sym_while] = STATE(1382),
    [sym_show] = STATE(1382),
    [sym_return] = STATE(1382),
    [sym_flow] = STATE(1382),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2113),
    [sym_none] = ACTIONS(2113),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [370] = {
    [sym_raw_blck] = STATE(1400),
    [sym_raw_span] = STATE(1400),
    [sym_math] = STATE(1400),
    [sym__expr] = STATE(1400),
    [sym_ident] = STATE(1400),
    [sym_bool] = STATE(1400),
    [sym_number] = STATE(1400),
    [sym_string] = STATE(1400),
    [sym_tagged] = STATE(1400),
    [sym_context] = STATE(1400),
    [sym_elude] = STATE(1400),
    [sym_assign] = STATE(1400),
    [sym_lambda] = STATE(1400),
    [sym_or] = STATE(1400),
    [sym_not] = STATE(1400),
    [sym_and] = STATE(1400),
    [sym_cmp] = STATE(1400),
    [sym_in] = STATE(1400),
    [sym_add] = STATE(1400),
    [sym_sub] = STATE(1400),
    [sym_mul] = STATE(1400),
    [sym_div] = STATE(1400),
    [sym_sign] = STATE(1400),
    [sym_call] = STATE(1400),
    [sym_field] = STATE(1400),
    [sym_label] = STATE(1400),
    [sym_content] = STATE(1400),
    [sym_group] = STATE(1400),
    [sym_block] = STATE(1400),
    [sym_branch] = STATE(1400),
    [sym_let] = STATE(1400),
    [sym_set] = STATE(1400),
    [sym_import] = STATE(1400),
    [sym_include] = STATE(1400),
    [sym_for] = STATE(1400),
    [sym_while] = STATE(1400),
    [sym_show] = STATE(1400),
    [sym_return] = STATE(1400),
    [sym_flow] = STATE(1400),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2115),
    [sym_none] = ACTIONS(2115),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [371] = {
    [sym_raw_blck] = STATE(1402),
    [sym_raw_span] = STATE(1402),
    [sym_math] = STATE(1402),
    [sym__expr] = STATE(1402),
    [sym_ident] = STATE(1402),
    [sym_bool] = STATE(1402),
    [sym_number] = STATE(1402),
    [sym_string] = STATE(1402),
    [sym_tagged] = STATE(1402),
    [sym_context] = STATE(1402),
    [sym_elude] = STATE(1402),
    [sym_assign] = STATE(1402),
    [sym_lambda] = STATE(1402),
    [sym_or] = STATE(1402),
    [sym_not] = STATE(1402),
    [sym_and] = STATE(1402),
    [sym_cmp] = STATE(1402),
    [sym_in] = STATE(1402),
    [sym_add] = STATE(1402),
    [sym_sub] = STATE(1402),
    [sym_mul] = STATE(1402),
    [sym_div] = STATE(1402),
    [sym_sign] = STATE(1402),
    [sym_call] = STATE(1402),
    [sym_field] = STATE(1402),
    [sym_label] = STATE(1402),
    [sym_content] = STATE(1402),
    [sym_group] = STATE(1402),
    [sym_block] = STATE(1402),
    [sym_branch] = STATE(1402),
    [sym_let] = STATE(1402),
    [sym_set] = STATE(1402),
    [sym_import] = STATE(1402),
    [sym_include] = STATE(1402),
    [sym_for] = STATE(1402),
    [sym_while] = STATE(1402),
    [sym_show] = STATE(1402),
    [sym_return] = STATE(1402),
    [sym_flow] = STATE(1402),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2117),
    [sym_none] = ACTIONS(2117),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [372] = {
    [sym_raw_blck] = STATE(1421),
    [sym_raw_span] = STATE(1421),
    [sym_math] = STATE(1421),
    [sym__expr] = STATE(1421),
    [sym_ident] = STATE(1421),
    [sym_bool] = STATE(1421),
    [sym_number] = STATE(1421),
    [sym_string] = STATE(1421),
    [sym_tagged] = STATE(1421),
    [sym_context] = STATE(1421),
    [sym_elude] = STATE(1421),
    [sym_assign] = STATE(1421),
    [sym_lambda] = STATE(1421),
    [sym_or] = STATE(1421),
    [sym_not] = STATE(1421),
    [sym_and] = STATE(1421),
    [sym_cmp] = STATE(1421),
    [sym_in] = STATE(1421),
    [sym_add] = STATE(1421),
    [sym_sub] = STATE(1421),
    [sym_mul] = STATE(1421),
    [sym_div] = STATE(1421),
    [sym_sign] = STATE(1421),
    [sym_call] = STATE(1421),
    [sym_field] = STATE(1421),
    [sym_label] = STATE(1421),
    [sym_content] = STATE(1421),
    [sym_group] = STATE(1421),
    [sym_block] = STATE(1421),
    [sym_branch] = STATE(1421),
    [sym_let] = STATE(1421),
    [sym_set] = STATE(1421),
    [sym_import] = STATE(1421),
    [sym_include] = STATE(1421),
    [sym_for] = STATE(1421),
    [sym_while] = STATE(1421),
    [sym_show] = STATE(1421),
    [sym_return] = STATE(1421),
    [sym_flow] = STATE(1421),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2119),
    [sym_none] = ACTIONS(2119),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [373] = {
    [sym_raw_blck] = STATE(1424),
    [sym_raw_span] = STATE(1424),
    [sym_math] = STATE(1424),
    [sym__expr] = STATE(1424),
    [sym_ident] = STATE(1424),
    [sym_bool] = STATE(1424),
    [sym_number] = STATE(1424),
    [sym_string] = STATE(1424),
    [sym_tagged] = STATE(1424),
    [sym_context] = STATE(1424),
    [sym_elude] = STATE(1424),
    [sym_assign] = STATE(1424),
    [sym_lambda] = STATE(1424),
    [sym_or] = STATE(1424),
    [sym_not] = STATE(1424),
    [sym_and] = STATE(1424),
    [sym_cmp] = STATE(1424),
    [sym_in] = STATE(1424),
    [sym_add] = STATE(1424),
    [sym_sub] = STATE(1424),
    [sym_mul] = STATE(1424),
    [sym_div] = STATE(1424),
    [sym_sign] = STATE(1424),
    [sym_call] = STATE(1424),
    [sym_field] = STATE(1424),
    [sym_label] = STATE(1424),
    [sym_content] = STATE(1424),
    [sym_group] = STATE(1424),
    [sym_block] = STATE(1424),
    [sym_branch] = STATE(1424),
    [sym_let] = STATE(1424),
    [sym_set] = STATE(1424),
    [sym_import] = STATE(1424),
    [sym_include] = STATE(1424),
    [sym_for] = STATE(1424),
    [sym_while] = STATE(1424),
    [sym_show] = STATE(1424),
    [sym_return] = STATE(1424),
    [sym_flow] = STATE(1424),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2121),
    [sym_none] = ACTIONS(2121),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [374] = {
    [sym_raw_blck] = STATE(1435),
    [sym_raw_span] = STATE(1435),
    [sym_math] = STATE(1435),
    [sym__expr] = STATE(1435),
    [sym_ident] = STATE(1435),
    [sym_bool] = STATE(1435),
    [sym_number] = STATE(1435),
    [sym_string] = STATE(1435),
    [sym_tagged] = STATE(1435),
    [sym_context] = STATE(1435),
    [sym_elude] = STATE(1435),
    [sym_assign] = STATE(1435),
    [sym_lambda] = STATE(1435),
    [sym_or] = STATE(1435),
    [sym_not] = STATE(1435),
    [sym_and] = STATE(1435),
    [sym_cmp] = STATE(1435),
    [sym_in] = STATE(1435),
    [sym_add] = STATE(1435),
    [sym_sub] = STATE(1435),
    [sym_mul] = STATE(1435),
    [sym_div] = STATE(1435),
    [sym_sign] = STATE(1435),
    [sym_call] = STATE(1435),
    [sym_field] = STATE(1435),
    [sym_label] = STATE(1435),
    [sym_content] = STATE(1435),
    [sym_group] = STATE(1435),
    [sym_block] = STATE(1435),
    [sym_branch] = STATE(1435),
    [sym_let] = STATE(1435),
    [sym_set] = STATE(1435),
    [sym_import] = STATE(1435),
    [sym_include] = STATE(1435),
    [sym_for] = STATE(1435),
    [sym_while] = STATE(1435),
    [sym_show] = STATE(1435),
    [sym_return] = STATE(1435),
    [sym_flow] = STATE(1435),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2123),
    [sym_none] = ACTIONS(2123),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [375] = {
    [sym_raw_blck] = STATE(1436),
    [sym_raw_span] = STATE(1436),
    [sym_math] = STATE(1436),
    [sym__expr] = STATE(1436),
    [sym_ident] = STATE(1436),
    [sym_bool] = STATE(1436),
    [sym_number] = STATE(1436),
    [sym_string] = STATE(1436),
    [sym_tagged] = STATE(1436),
    [sym_context] = STATE(1436),
    [sym_elude] = STATE(1436),
    [sym_assign] = STATE(1436),
    [sym_lambda] = STATE(1436),
    [sym_or] = STATE(1436),
    [sym_not] = STATE(1436),
    [sym_and] = STATE(1436),
    [sym_cmp] = STATE(1436),
    [sym_in] = STATE(1436),
    [sym_add] = STATE(1436),
    [sym_sub] = STATE(1436),
    [sym_mul] = STATE(1436),
    [sym_div] = STATE(1436),
    [sym_sign] = STATE(1436),
    [sym_call] = STATE(1436),
    [sym_field] = STATE(1436),
    [sym_label] = STATE(1436),
    [sym_content] = STATE(1436),
    [sym_group] = STATE(1436),
    [sym_block] = STATE(1436),
    [sym_branch] = STATE(1436),
    [sym_let] = STATE(1436),
    [sym_set] = STATE(1436),
    [sym_import] = STATE(1436),
    [sym_include] = STATE(1436),
    [sym_for] = STATE(1436),
    [sym_while] = STATE(1436),
    [sym_show] = STATE(1436),
    [sym_return] = STATE(1436),
    [sym_flow] = STATE(1436),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2125),
    [sym_none] = ACTIONS(2125),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [376] = {
    [sym_raw_blck] = STATE(1663),
    [sym_raw_span] = STATE(1663),
    [sym_math] = STATE(1663),
    [sym__expr] = STATE(1663),
    [sym_ident] = STATE(1663),
    [sym_bool] = STATE(1663),
    [sym_number] = STATE(1663),
    [sym_string] = STATE(1663),
    [sym_tagged] = STATE(1663),
    [sym_context] = STATE(1663),
    [sym_elude] = STATE(1663),
    [sym_assign] = STATE(1663),
    [sym_lambda] = STATE(1663),
    [sym_or] = STATE(1663),
    [sym_not] = STATE(1663),
    [sym_and] = STATE(1663),
    [sym_cmp] = STATE(1663),
    [sym_in] = STATE(1663),
    [sym_add] = STATE(1663),
    [sym_sub] = STATE(1663),
    [sym_mul] = STATE(1663),
    [sym_div] = STATE(1663),
    [sym_sign] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_field] = STATE(1663),
    [sym_label] = STATE(1663),
    [sym_content] = STATE(1663),
    [sym_group] = STATE(1663),
    [sym_block] = STATE(1663),
    [sym_branch] = STATE(1663),
    [sym_let] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_import] = STATE(1663),
    [sym_include] = STATE(1663),
    [sym_for] = STATE(1663),
    [sym_while] = STATE(1663),
    [sym_show] = STATE(1663),
    [sym_return] = STATE(1663),
    [sym_flow] = STATE(1663),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2131),
    [sym_none] = ACTIONS(2131),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [377] = {
    [sym_raw_blck] = STATE(2912),
    [sym_raw_span] = STATE(2912),
    [sym_math] = STATE(2912),
    [sym__expr] = STATE(2912),
    [sym_ident] = STATE(2912),
    [sym_bool] = STATE(2912),
    [sym_number] = STATE(2912),
    [sym_string] = STATE(2912),
    [sym_tagged] = STATE(2912),
    [sym_context] = STATE(2912),
    [sym_elude] = STATE(2912),
    [sym_assign] = STATE(2912),
    [sym_lambda] = STATE(2912),
    [sym_or] = STATE(2912),
    [sym_not] = STATE(2912),
    [sym_and] = STATE(2912),
    [sym_cmp] = STATE(2912),
    [sym_in] = STATE(2912),
    [sym_add] = STATE(2912),
    [sym_sub] = STATE(2912),
    [sym_mul] = STATE(2912),
    [sym_div] = STATE(2912),
    [sym_sign] = STATE(2912),
    [sym_call] = STATE(2912),
    [sym_field] = STATE(2912),
    [sym_label] = STATE(2912),
    [sym_content] = STATE(2912),
    [sym_group] = STATE(2912),
    [sym_block] = STATE(2912),
    [sym_branch] = STATE(2912),
    [sym_let] = STATE(2912),
    [sym_set] = STATE(2912),
    [sym_import] = STATE(2912),
    [sym_include] = STATE(2912),
    [sym_for] = STATE(2912),
    [sym_while] = STATE(2912),
    [sym_show] = STATE(2912),
    [sym_return] = STATE(2912),
    [sym_flow] = STATE(2912),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2133),
    [sym_none] = ACTIONS(2133),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [378] = {
    [sym_raw_blck] = STATE(1665),
    [sym_raw_span] = STATE(1665),
    [sym_math] = STATE(1665),
    [sym__expr] = STATE(1665),
    [sym_ident] = STATE(1665),
    [sym_bool] = STATE(1665),
    [sym_number] = STATE(1665),
    [sym_string] = STATE(1665),
    [sym_tagged] = STATE(1665),
    [sym_context] = STATE(1665),
    [sym_elude] = STATE(1665),
    [sym_assign] = STATE(1665),
    [sym_lambda] = STATE(1665),
    [sym_or] = STATE(1665),
    [sym_not] = STATE(1665),
    [sym_and] = STATE(1665),
    [sym_cmp] = STATE(1665),
    [sym_in] = STATE(1665),
    [sym_add] = STATE(1665),
    [sym_sub] = STATE(1665),
    [sym_mul] = STATE(1665),
    [sym_div] = STATE(1665),
    [sym_sign] = STATE(1665),
    [sym_call] = STATE(1665),
    [sym_field] = STATE(1665),
    [sym_label] = STATE(1665),
    [sym_content] = STATE(1665),
    [sym_group] = STATE(1665),
    [sym_block] = STATE(1665),
    [sym_branch] = STATE(1665),
    [sym_let] = STATE(1665),
    [sym_set] = STATE(1665),
    [sym_import] = STATE(1665),
    [sym_include] = STATE(1665),
    [sym_for] = STATE(1665),
    [sym_while] = STATE(1665),
    [sym_show] = STATE(1665),
    [sym_return] = STATE(1665),
    [sym_flow] = STATE(1665),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2135),
    [sym_none] = ACTIONS(2135),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [379] = {
    [sym_raw_blck] = STATE(1666),
    [sym_raw_span] = STATE(1666),
    [sym_math] = STATE(1666),
    [sym__expr] = STATE(1666),
    [sym_ident] = STATE(1666),
    [sym_bool] = STATE(1666),
    [sym_number] = STATE(1666),
    [sym_string] = STATE(1666),
    [sym_tagged] = STATE(1666),
    [sym_context] = STATE(1666),
    [sym_elude] = STATE(1666),
    [sym_assign] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_or] = STATE(1666),
    [sym_not] = STATE(1666),
    [sym_and] = STATE(1666),
    [sym_cmp] = STATE(1666),
    [sym_in] = STATE(1666),
    [sym_add] = STATE(1666),
    [sym_sub] = STATE(1666),
    [sym_mul] = STATE(1666),
    [sym_div] = STATE(1666),
    [sym_sign] = STATE(1666),
    [sym_call] = STATE(1666),
    [sym_field] = STATE(1666),
    [sym_label] = STATE(1666),
    [sym_content] = STATE(1666),
    [sym_group] = STATE(1666),
    [sym_block] = STATE(1666),
    [sym_branch] = STATE(1666),
    [sym_let] = STATE(1666),
    [sym_set] = STATE(1666),
    [sym_import] = STATE(1666),
    [sym_include] = STATE(1666),
    [sym_for] = STATE(1666),
    [sym_while] = STATE(1666),
    [sym_show] = STATE(1666),
    [sym_return] = STATE(1666),
    [sym_flow] = STATE(1666),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2137),
    [sym_none] = ACTIONS(2137),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [380] = {
    [sym_raw_blck] = STATE(2914),
    [sym_raw_span] = STATE(2914),
    [sym_math] = STATE(2914),
    [sym__expr] = STATE(2914),
    [sym_ident] = STATE(2914),
    [sym_bool] = STATE(2914),
    [sym_number] = STATE(2914),
    [sym_string] = STATE(2914),
    [sym_tagged] = STATE(2914),
    [sym_context] = STATE(2914),
    [sym_elude] = STATE(2914),
    [sym_assign] = STATE(2914),
    [sym_lambda] = STATE(2914),
    [sym_or] = STATE(2914),
    [sym_not] = STATE(2914),
    [sym_and] = STATE(2914),
    [sym_cmp] = STATE(2914),
    [sym_in] = STATE(2914),
    [sym_add] = STATE(2914),
    [sym_sub] = STATE(2914),
    [sym_mul] = STATE(2914),
    [sym_div] = STATE(2914),
    [sym_sign] = STATE(2914),
    [sym_call] = STATE(2914),
    [sym_field] = STATE(2914),
    [sym_label] = STATE(2914),
    [sym_content] = STATE(2914),
    [sym_group] = STATE(2914),
    [sym_block] = STATE(2914),
    [sym_branch] = STATE(2914),
    [sym_let] = STATE(2914),
    [sym_set] = STATE(2914),
    [sym_import] = STATE(2914),
    [sym_include] = STATE(2914),
    [sym_for] = STATE(2914),
    [sym_while] = STATE(2914),
    [sym_show] = STATE(2914),
    [sym_return] = STATE(2914),
    [sym_flow] = STATE(2914),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2139),
    [sym_none] = ACTIONS(2139),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [381] = {
    [sym_raw_blck] = STATE(1701),
    [sym_raw_span] = STATE(1701),
    [sym_math] = STATE(1701),
    [sym__expr] = STATE(1701),
    [sym_ident] = STATE(1701),
    [sym_bool] = STATE(1701),
    [sym_number] = STATE(1701),
    [sym_string] = STATE(1701),
    [sym_tagged] = STATE(1701),
    [sym_context] = STATE(1701),
    [sym_elude] = STATE(1701),
    [sym_assign] = STATE(1701),
    [sym_lambda] = STATE(1701),
    [sym_or] = STATE(1701),
    [sym_not] = STATE(1701),
    [sym_and] = STATE(1701),
    [sym_cmp] = STATE(1701),
    [sym_in] = STATE(1701),
    [sym_add] = STATE(1701),
    [sym_sub] = STATE(1701),
    [sym_mul] = STATE(1701),
    [sym_div] = STATE(1701),
    [sym_sign] = STATE(1701),
    [sym_call] = STATE(1701),
    [sym_field] = STATE(1701),
    [sym_label] = STATE(1701),
    [sym_content] = STATE(1701),
    [sym_group] = STATE(1701),
    [sym_block] = STATE(1701),
    [sym_branch] = STATE(1701),
    [sym_let] = STATE(1701),
    [sym_set] = STATE(1701),
    [sym_import] = STATE(1701),
    [sym_include] = STATE(1701),
    [sym_for] = STATE(1701),
    [sym_while] = STATE(1701),
    [sym_show] = STATE(1701),
    [sym_return] = STATE(1701),
    [sym_flow] = STATE(1701),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2141),
    [sym_none] = ACTIONS(2141),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [382] = {
    [sym_raw_blck] = STATE(1702),
    [sym_raw_span] = STATE(1702),
    [sym_math] = STATE(1702),
    [sym__expr] = STATE(1702),
    [sym_ident] = STATE(1702),
    [sym_bool] = STATE(1702),
    [sym_number] = STATE(1702),
    [sym_string] = STATE(1702),
    [sym_tagged] = STATE(1702),
    [sym_context] = STATE(1702),
    [sym_elude] = STATE(1702),
    [sym_assign] = STATE(1702),
    [sym_lambda] = STATE(1702),
    [sym_or] = STATE(1702),
    [sym_not] = STATE(1702),
    [sym_and] = STATE(1702),
    [sym_cmp] = STATE(1702),
    [sym_in] = STATE(1702),
    [sym_add] = STATE(1702),
    [sym_sub] = STATE(1702),
    [sym_mul] = STATE(1702),
    [sym_div] = STATE(1702),
    [sym_sign] = STATE(1702),
    [sym_call] = STATE(1702),
    [sym_field] = STATE(1702),
    [sym_label] = STATE(1702),
    [sym_content] = STATE(1702),
    [sym_group] = STATE(1702),
    [sym_block] = STATE(1702),
    [sym_branch] = STATE(1702),
    [sym_let] = STATE(1702),
    [sym_set] = STATE(1702),
    [sym_import] = STATE(1702),
    [sym_include] = STATE(1702),
    [sym_for] = STATE(1702),
    [sym_while] = STATE(1702),
    [sym_show] = STATE(1702),
    [sym_return] = STATE(1702),
    [sym_flow] = STATE(1702),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2143),
    [sym_none] = ACTIONS(2143),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [383] = {
    [sym_raw_blck] = STATE(1703),
    [sym_raw_span] = STATE(1703),
    [sym_math] = STATE(1703),
    [sym__expr] = STATE(1703),
    [sym_ident] = STATE(1703),
    [sym_bool] = STATE(1703),
    [sym_number] = STATE(1703),
    [sym_string] = STATE(1703),
    [sym_tagged] = STATE(1703),
    [sym_context] = STATE(1703),
    [sym_elude] = STATE(1703),
    [sym_assign] = STATE(1703),
    [sym_lambda] = STATE(1703),
    [sym_or] = STATE(1703),
    [sym_not] = STATE(1703),
    [sym_and] = STATE(1703),
    [sym_cmp] = STATE(1703),
    [sym_in] = STATE(1703),
    [sym_add] = STATE(1703),
    [sym_sub] = STATE(1703),
    [sym_mul] = STATE(1703),
    [sym_div] = STATE(1703),
    [sym_sign] = STATE(1703),
    [sym_call] = STATE(1703),
    [sym_field] = STATE(1703),
    [sym_label] = STATE(1703),
    [sym_content] = STATE(1703),
    [sym_group] = STATE(1703),
    [sym_block] = STATE(1703),
    [sym_branch] = STATE(1703),
    [sym_let] = STATE(1703),
    [sym_set] = STATE(1703),
    [sym_import] = STATE(1703),
    [sym_include] = STATE(1703),
    [sym_for] = STATE(1703),
    [sym_while] = STATE(1703),
    [sym_show] = STATE(1703),
    [sym_return] = STATE(1703),
    [sym_flow] = STATE(1703),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2145),
    [sym_none] = ACTIONS(2145),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [384] = {
    [sym_raw_blck] = STATE(1706),
    [sym_raw_span] = STATE(1706),
    [sym_math] = STATE(1706),
    [sym__expr] = STATE(1706),
    [sym_ident] = STATE(1706),
    [sym_bool] = STATE(1706),
    [sym_number] = STATE(1706),
    [sym_string] = STATE(1706),
    [sym_tagged] = STATE(1706),
    [sym_context] = STATE(1706),
    [sym_elude] = STATE(1706),
    [sym_assign] = STATE(1706),
    [sym_lambda] = STATE(1706),
    [sym_or] = STATE(1706),
    [sym_not] = STATE(1706),
    [sym_and] = STATE(1706),
    [sym_cmp] = STATE(1706),
    [sym_in] = STATE(1706),
    [sym_add] = STATE(1706),
    [sym_sub] = STATE(1706),
    [sym_mul] = STATE(1706),
    [sym_div] = STATE(1706),
    [sym_sign] = STATE(1706),
    [sym_call] = STATE(1706),
    [sym_field] = STATE(1706),
    [sym_label] = STATE(1706),
    [sym_content] = STATE(1706),
    [sym_group] = STATE(1706),
    [sym_block] = STATE(1706),
    [sym_branch] = STATE(1706),
    [sym_let] = STATE(1706),
    [sym_set] = STATE(1706),
    [sym_import] = STATE(1706),
    [sym_include] = STATE(1706),
    [sym_for] = STATE(1706),
    [sym_while] = STATE(1706),
    [sym_show] = STATE(1706),
    [sym_return] = STATE(1706),
    [sym_flow] = STATE(1706),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2147),
    [sym_none] = ACTIONS(2147),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [385] = {
    [sym_raw_blck] = STATE(1707),
    [sym_raw_span] = STATE(1707),
    [sym_math] = STATE(1707),
    [sym__expr] = STATE(1707),
    [sym_ident] = STATE(1707),
    [sym_bool] = STATE(1707),
    [sym_number] = STATE(1707),
    [sym_string] = STATE(1707),
    [sym_tagged] = STATE(1707),
    [sym_context] = STATE(1707),
    [sym_elude] = STATE(1707),
    [sym_assign] = STATE(1707),
    [sym_lambda] = STATE(1707),
    [sym_or] = STATE(1707),
    [sym_not] = STATE(1707),
    [sym_and] = STATE(1707),
    [sym_cmp] = STATE(1707),
    [sym_in] = STATE(1707),
    [sym_add] = STATE(1707),
    [sym_sub] = STATE(1707),
    [sym_mul] = STATE(1707),
    [sym_div] = STATE(1707),
    [sym_sign] = STATE(1707),
    [sym_call] = STATE(1707),
    [sym_field] = STATE(1707),
    [sym_label] = STATE(1707),
    [sym_content] = STATE(1707),
    [sym_group] = STATE(1707),
    [sym_block] = STATE(1707),
    [sym_branch] = STATE(1707),
    [sym_let] = STATE(1707),
    [sym_set] = STATE(1707),
    [sym_import] = STATE(1707),
    [sym_include] = STATE(1707),
    [sym_for] = STATE(1707),
    [sym_while] = STATE(1707),
    [sym_show] = STATE(1707),
    [sym_return] = STATE(1707),
    [sym_flow] = STATE(1707),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2149),
    [sym_none] = ACTIONS(2149),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [386] = {
    [sym_raw_blck] = STATE(1708),
    [sym_raw_span] = STATE(1708),
    [sym_math] = STATE(1708),
    [sym__expr] = STATE(1708),
    [sym_ident] = STATE(1708),
    [sym_bool] = STATE(1708),
    [sym_number] = STATE(1708),
    [sym_string] = STATE(1708),
    [sym_tagged] = STATE(1708),
    [sym_context] = STATE(1708),
    [sym_elude] = STATE(1708),
    [sym_assign] = STATE(1708),
    [sym_lambda] = STATE(1708),
    [sym_or] = STATE(1708),
    [sym_not] = STATE(1708),
    [sym_and] = STATE(1708),
    [sym_cmp] = STATE(1708),
    [sym_in] = STATE(1708),
    [sym_add] = STATE(1708),
    [sym_sub] = STATE(1708),
    [sym_mul] = STATE(1708),
    [sym_div] = STATE(1708),
    [sym_sign] = STATE(1708),
    [sym_call] = STATE(1708),
    [sym_field] = STATE(1708),
    [sym_label] = STATE(1708),
    [sym_content] = STATE(1708),
    [sym_group] = STATE(1708),
    [sym_block] = STATE(1708),
    [sym_branch] = STATE(1708),
    [sym_let] = STATE(1708),
    [sym_set] = STATE(1708),
    [sym_import] = STATE(1708),
    [sym_include] = STATE(1708),
    [sym_for] = STATE(1708),
    [sym_while] = STATE(1708),
    [sym_show] = STATE(1708),
    [sym_return] = STATE(1708),
    [sym_flow] = STATE(1708),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2151),
    [sym_none] = ACTIONS(2151),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [387] = {
    [sym_raw_blck] = STATE(1709),
    [sym_raw_span] = STATE(1709),
    [sym_math] = STATE(1709),
    [sym__expr] = STATE(1709),
    [sym_ident] = STATE(1709),
    [sym_bool] = STATE(1709),
    [sym_number] = STATE(1709),
    [sym_string] = STATE(1709),
    [sym_tagged] = STATE(1709),
    [sym_context] = STATE(1709),
    [sym_elude] = STATE(1709),
    [sym_assign] = STATE(1709),
    [sym_lambda] = STATE(1709),
    [sym_or] = STATE(1709),
    [sym_not] = STATE(1709),
    [sym_and] = STATE(1709),
    [sym_cmp] = STATE(1709),
    [sym_in] = STATE(1709),
    [sym_add] = STATE(1709),
    [sym_sub] = STATE(1709),
    [sym_mul] = STATE(1709),
    [sym_div] = STATE(1709),
    [sym_sign] = STATE(1709),
    [sym_call] = STATE(1709),
    [sym_field] = STATE(1709),
    [sym_label] = STATE(1709),
    [sym_content] = STATE(1709),
    [sym_group] = STATE(1709),
    [sym_block] = STATE(1709),
    [sym_branch] = STATE(1709),
    [sym_let] = STATE(1709),
    [sym_set] = STATE(1709),
    [sym_import] = STATE(1709),
    [sym_include] = STATE(1709),
    [sym_for] = STATE(1709),
    [sym_while] = STATE(1709),
    [sym_show] = STATE(1709),
    [sym_return] = STATE(1709),
    [sym_flow] = STATE(1709),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2153),
    [sym_none] = ACTIONS(2153),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [388] = {
    [sym_raw_blck] = STATE(1710),
    [sym_raw_span] = STATE(1710),
    [sym_math] = STATE(1710),
    [sym__expr] = STATE(1710),
    [sym_ident] = STATE(1710),
    [sym_bool] = STATE(1710),
    [sym_number] = STATE(1710),
    [sym_string] = STATE(1710),
    [sym_tagged] = STATE(1710),
    [sym_context] = STATE(1710),
    [sym_elude] = STATE(1710),
    [sym_assign] = STATE(1710),
    [sym_lambda] = STATE(1710),
    [sym_or] = STATE(1710),
    [sym_not] = STATE(1710),
    [sym_and] = STATE(1710),
    [sym_cmp] = STATE(1710),
    [sym_in] = STATE(1710),
    [sym_add] = STATE(1710),
    [sym_sub] = STATE(1710),
    [sym_mul] = STATE(1710),
    [sym_div] = STATE(1710),
    [sym_sign] = STATE(1710),
    [sym_call] = STATE(1710),
    [sym_field] = STATE(1710),
    [sym_label] = STATE(1710),
    [sym_content] = STATE(1710),
    [sym_group] = STATE(1710),
    [sym_block] = STATE(1710),
    [sym_branch] = STATE(1710),
    [sym_let] = STATE(1710),
    [sym_set] = STATE(1710),
    [sym_import] = STATE(1710),
    [sym_include] = STATE(1710),
    [sym_for] = STATE(1710),
    [sym_while] = STATE(1710),
    [sym_show] = STATE(1710),
    [sym_return] = STATE(1710),
    [sym_flow] = STATE(1710),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2155),
    [sym_none] = ACTIONS(2155),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [389] = {
    [sym_raw_blck] = STATE(1711),
    [sym_raw_span] = STATE(1711),
    [sym_math] = STATE(1711),
    [sym__expr] = STATE(1711),
    [sym_ident] = STATE(1711),
    [sym_bool] = STATE(1711),
    [sym_number] = STATE(1711),
    [sym_string] = STATE(1711),
    [sym_tagged] = STATE(1711),
    [sym_context] = STATE(1711),
    [sym_elude] = STATE(1711),
    [sym_assign] = STATE(1711),
    [sym_lambda] = STATE(1711),
    [sym_or] = STATE(1711),
    [sym_not] = STATE(1711),
    [sym_and] = STATE(1711),
    [sym_cmp] = STATE(1711),
    [sym_in] = STATE(1711),
    [sym_add] = STATE(1711),
    [sym_sub] = STATE(1711),
    [sym_mul] = STATE(1711),
    [sym_div] = STATE(1711),
    [sym_sign] = STATE(1711),
    [sym_call] = STATE(1711),
    [sym_field] = STATE(1711),
    [sym_label] = STATE(1711),
    [sym_content] = STATE(1711),
    [sym_group] = STATE(1711),
    [sym_block] = STATE(1711),
    [sym_branch] = STATE(1711),
    [sym_let] = STATE(1711),
    [sym_set] = STATE(1711),
    [sym_import] = STATE(1711),
    [sym_include] = STATE(1711),
    [sym_for] = STATE(1711),
    [sym_while] = STATE(1711),
    [sym_show] = STATE(1711),
    [sym_return] = STATE(1711),
    [sym_flow] = STATE(1711),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2157),
    [sym_none] = ACTIONS(2157),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [390] = {
    [sym_raw_blck] = STATE(1714),
    [sym_raw_span] = STATE(1714),
    [sym_math] = STATE(1714),
    [sym__expr] = STATE(1714),
    [sym_ident] = STATE(1714),
    [sym_bool] = STATE(1714),
    [sym_number] = STATE(1714),
    [sym_string] = STATE(1714),
    [sym_tagged] = STATE(1714),
    [sym_context] = STATE(1714),
    [sym_elude] = STATE(1714),
    [sym_assign] = STATE(1714),
    [sym_lambda] = STATE(1714),
    [sym_or] = STATE(1714),
    [sym_not] = STATE(1714),
    [sym_and] = STATE(1714),
    [sym_cmp] = STATE(1714),
    [sym_in] = STATE(1714),
    [sym_add] = STATE(1714),
    [sym_sub] = STATE(1714),
    [sym_mul] = STATE(1714),
    [sym_div] = STATE(1714),
    [sym_sign] = STATE(1714),
    [sym_call] = STATE(1714),
    [sym_field] = STATE(1714),
    [sym_label] = STATE(1714),
    [sym_content] = STATE(1714),
    [sym_group] = STATE(1714),
    [sym_block] = STATE(1714),
    [sym_branch] = STATE(1714),
    [sym_let] = STATE(1714),
    [sym_set] = STATE(1714),
    [sym_import] = STATE(1714),
    [sym_include] = STATE(1714),
    [sym_for] = STATE(1714),
    [sym_while] = STATE(1714),
    [sym_show] = STATE(1714),
    [sym_return] = STATE(1714),
    [sym_flow] = STATE(1714),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [391] = {
    [sym_raw_blck] = STATE(1717),
    [sym_raw_span] = STATE(1717),
    [sym_math] = STATE(1717),
    [sym__expr] = STATE(1717),
    [sym_ident] = STATE(1717),
    [sym_bool] = STATE(1717),
    [sym_number] = STATE(1717),
    [sym_string] = STATE(1717),
    [sym_tagged] = STATE(1717),
    [sym_context] = STATE(1717),
    [sym_elude] = STATE(1717),
    [sym_assign] = STATE(1717),
    [sym_lambda] = STATE(1717),
    [sym_or] = STATE(1717),
    [sym_not] = STATE(1717),
    [sym_and] = STATE(1717),
    [sym_cmp] = STATE(1717),
    [sym_in] = STATE(1717),
    [sym_add] = STATE(1717),
    [sym_sub] = STATE(1717),
    [sym_mul] = STATE(1717),
    [sym_div] = STATE(1717),
    [sym_sign] = STATE(1717),
    [sym_call] = STATE(1717),
    [sym_field] = STATE(1717),
    [sym_label] = STATE(1717),
    [sym_content] = STATE(1717),
    [sym_group] = STATE(1717),
    [sym_block] = STATE(1717),
    [sym_branch] = STATE(1717),
    [sym_let] = STATE(1717),
    [sym_set] = STATE(1717),
    [sym_import] = STATE(1717),
    [sym_include] = STATE(1717),
    [sym_for] = STATE(1717),
    [sym_while] = STATE(1717),
    [sym_show] = STATE(1717),
    [sym_return] = STATE(1717),
    [sym_flow] = STATE(1717),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2161),
    [sym_none] = ACTIONS(2161),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [392] = {
    [sym_raw_blck] = STATE(1719),
    [sym_raw_span] = STATE(1719),
    [sym_math] = STATE(1719),
    [sym__expr] = STATE(1719),
    [sym_ident] = STATE(1719),
    [sym_bool] = STATE(1719),
    [sym_number] = STATE(1719),
    [sym_string] = STATE(1719),
    [sym_tagged] = STATE(1719),
    [sym_context] = STATE(1719),
    [sym_elude] = STATE(1719),
    [sym_assign] = STATE(1719),
    [sym_lambda] = STATE(1719),
    [sym_or] = STATE(1719),
    [sym_not] = STATE(1719),
    [sym_and] = STATE(1719),
    [sym_cmp] = STATE(1719),
    [sym_in] = STATE(1719),
    [sym_add] = STATE(1719),
    [sym_sub] = STATE(1719),
    [sym_mul] = STATE(1719),
    [sym_div] = STATE(1719),
    [sym_sign] = STATE(1719),
    [sym_call] = STATE(1719),
    [sym_field] = STATE(1719),
    [sym_label] = STATE(1719),
    [sym_content] = STATE(1719),
    [sym_group] = STATE(1719),
    [sym_block] = STATE(1719),
    [sym_branch] = STATE(1719),
    [sym_let] = STATE(1719),
    [sym_set] = STATE(1719),
    [sym_import] = STATE(1719),
    [sym_include] = STATE(1719),
    [sym_for] = STATE(1719),
    [sym_while] = STATE(1719),
    [sym_show] = STATE(1719),
    [sym_return] = STATE(1719),
    [sym_flow] = STATE(1719),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2163),
    [sym_none] = ACTIONS(2163),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [393] = {
    [sym_raw_blck] = STATE(1734),
    [sym_raw_span] = STATE(1734),
    [sym_math] = STATE(1734),
    [sym__expr] = STATE(1734),
    [sym_ident] = STATE(1734),
    [sym_bool] = STATE(1734),
    [sym_number] = STATE(1734),
    [sym_string] = STATE(1734),
    [sym_tagged] = STATE(1734),
    [sym_context] = STATE(1734),
    [sym_elude] = STATE(1734),
    [sym_assign] = STATE(1734),
    [sym_lambda] = STATE(1734),
    [sym_or] = STATE(1734),
    [sym_not] = STATE(1734),
    [sym_and] = STATE(1734),
    [sym_cmp] = STATE(1734),
    [sym_in] = STATE(1734),
    [sym_add] = STATE(1734),
    [sym_sub] = STATE(1734),
    [sym_mul] = STATE(1734),
    [sym_div] = STATE(1734),
    [sym_sign] = STATE(1734),
    [sym_call] = STATE(1734),
    [sym_field] = STATE(1734),
    [sym_label] = STATE(1734),
    [sym_content] = STATE(1734),
    [sym_group] = STATE(1734),
    [sym_block] = STATE(1734),
    [sym_branch] = STATE(1734),
    [sym_let] = STATE(1734),
    [sym_set] = STATE(1734),
    [sym_import] = STATE(1734),
    [sym_include] = STATE(1734),
    [sym_for] = STATE(1734),
    [sym_while] = STATE(1734),
    [sym_show] = STATE(1734),
    [sym_return] = STATE(1734),
    [sym_flow] = STATE(1734),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2165),
    [sym_none] = ACTIONS(2165),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [394] = {
    [sym_raw_blck] = STATE(1735),
    [sym_raw_span] = STATE(1735),
    [sym_math] = STATE(1735),
    [sym__expr] = STATE(1735),
    [sym_ident] = STATE(1735),
    [sym_bool] = STATE(1735),
    [sym_number] = STATE(1735),
    [sym_string] = STATE(1735),
    [sym_tagged] = STATE(1735),
    [sym_context] = STATE(1735),
    [sym_elude] = STATE(1735),
    [sym_assign] = STATE(1735),
    [sym_lambda] = STATE(1735),
    [sym_or] = STATE(1735),
    [sym_not] = STATE(1735),
    [sym_and] = STATE(1735),
    [sym_cmp] = STATE(1735),
    [sym_in] = STATE(1735),
    [sym_add] = STATE(1735),
    [sym_sub] = STATE(1735),
    [sym_mul] = STATE(1735),
    [sym_div] = STATE(1735),
    [sym_sign] = STATE(1735),
    [sym_call] = STATE(1735),
    [sym_field] = STATE(1735),
    [sym_label] = STATE(1735),
    [sym_content] = STATE(1735),
    [sym_group] = STATE(1735),
    [sym_block] = STATE(1735),
    [sym_branch] = STATE(1735),
    [sym_let] = STATE(1735),
    [sym_set] = STATE(1735),
    [sym_import] = STATE(1735),
    [sym_include] = STATE(1735),
    [sym_for] = STATE(1735),
    [sym_while] = STATE(1735),
    [sym_show] = STATE(1735),
    [sym_return] = STATE(1735),
    [sym_flow] = STATE(1735),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2167),
    [sym_none] = ACTIONS(2167),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [395] = {
    [sym_raw_blck] = STATE(1743),
    [sym_raw_span] = STATE(1743),
    [sym_math] = STATE(1743),
    [sym__expr] = STATE(1743),
    [sym_ident] = STATE(1743),
    [sym_bool] = STATE(1743),
    [sym_number] = STATE(1743),
    [sym_string] = STATE(1743),
    [sym_tagged] = STATE(1743),
    [sym_context] = STATE(1743),
    [sym_elude] = STATE(1743),
    [sym_assign] = STATE(1743),
    [sym_lambda] = STATE(1743),
    [sym_or] = STATE(1743),
    [sym_not] = STATE(1743),
    [sym_and] = STATE(1743),
    [sym_cmp] = STATE(1743),
    [sym_in] = STATE(1743),
    [sym_add] = STATE(1743),
    [sym_sub] = STATE(1743),
    [sym_mul] = STATE(1743),
    [sym_div] = STATE(1743),
    [sym_sign] = STATE(1743),
    [sym_call] = STATE(1743),
    [sym_field] = STATE(1743),
    [sym_label] = STATE(1743),
    [sym_content] = STATE(1743),
    [sym_group] = STATE(1743),
    [sym_block] = STATE(1743),
    [sym_branch] = STATE(1743),
    [sym_let] = STATE(1743),
    [sym_set] = STATE(1743),
    [sym_import] = STATE(1743),
    [sym_include] = STATE(1743),
    [sym_for] = STATE(1743),
    [sym_while] = STATE(1743),
    [sym_show] = STATE(1743),
    [sym_return] = STATE(1743),
    [sym_flow] = STATE(1743),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2169),
    [sym_none] = ACTIONS(2169),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [396] = {
    [sym_raw_blck] = STATE(1744),
    [sym_raw_span] = STATE(1744),
    [sym_math] = STATE(1744),
    [sym__expr] = STATE(1744),
    [sym_ident] = STATE(1744),
    [sym_bool] = STATE(1744),
    [sym_number] = STATE(1744),
    [sym_string] = STATE(1744),
    [sym_tagged] = STATE(1744),
    [sym_context] = STATE(1744),
    [sym_elude] = STATE(1744),
    [sym_assign] = STATE(1744),
    [sym_lambda] = STATE(1744),
    [sym_or] = STATE(1744),
    [sym_not] = STATE(1744),
    [sym_and] = STATE(1744),
    [sym_cmp] = STATE(1744),
    [sym_in] = STATE(1744),
    [sym_add] = STATE(1744),
    [sym_sub] = STATE(1744),
    [sym_mul] = STATE(1744),
    [sym_div] = STATE(1744),
    [sym_sign] = STATE(1744),
    [sym_call] = STATE(1744),
    [sym_field] = STATE(1744),
    [sym_label] = STATE(1744),
    [sym_content] = STATE(1744),
    [sym_group] = STATE(1744),
    [sym_block] = STATE(1744),
    [sym_branch] = STATE(1744),
    [sym_let] = STATE(1744),
    [sym_set] = STATE(1744),
    [sym_import] = STATE(1744),
    [sym_include] = STATE(1744),
    [sym_for] = STATE(1744),
    [sym_while] = STATE(1744),
    [sym_show] = STATE(1744),
    [sym_return] = STATE(1744),
    [sym_flow] = STATE(1744),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2171),
    [sym_none] = ACTIONS(2171),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [397] = {
    [sym_raw_blck] = STATE(1780),
    [sym_raw_span] = STATE(1780),
    [sym_math] = STATE(1780),
    [sym__expr] = STATE(1780),
    [sym_ident] = STATE(1780),
    [sym_bool] = STATE(1780),
    [sym_number] = STATE(1780),
    [sym_string] = STATE(1780),
    [sym_tagged] = STATE(1780),
    [sym_context] = STATE(1780),
    [sym_elude] = STATE(1780),
    [sym_assign] = STATE(1780),
    [sym_lambda] = STATE(1780),
    [sym_or] = STATE(1780),
    [sym_not] = STATE(1780),
    [sym_and] = STATE(1780),
    [sym_cmp] = STATE(1780),
    [sym_in] = STATE(1780),
    [sym_add] = STATE(1780),
    [sym_sub] = STATE(1780),
    [sym_mul] = STATE(1780),
    [sym_div] = STATE(1780),
    [sym_sign] = STATE(1780),
    [sym_call] = STATE(1780),
    [sym_field] = STATE(1780),
    [sym_label] = STATE(1780),
    [sym_content] = STATE(1780),
    [sym_group] = STATE(1780),
    [sym_block] = STATE(1780),
    [sym_branch] = STATE(1780),
    [sym_let] = STATE(1780),
    [sym_set] = STATE(1780),
    [sym_import] = STATE(1780),
    [sym_include] = STATE(1780),
    [sym_for] = STATE(1780),
    [sym_while] = STATE(1780),
    [sym_show] = STATE(1780),
    [sym_return] = STATE(1780),
    [sym_flow] = STATE(1780),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2177),
    [sym_none] = ACTIONS(2177),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [398] = {
    [sym_raw_blck] = STATE(2915),
    [sym_raw_span] = STATE(2915),
    [sym_math] = STATE(2915),
    [sym__expr] = STATE(2915),
    [sym_ident] = STATE(2915),
    [sym_bool] = STATE(2915),
    [sym_number] = STATE(2915),
    [sym_string] = STATE(2915),
    [sym_tagged] = STATE(2915),
    [sym_context] = STATE(2915),
    [sym_elude] = STATE(2915),
    [sym_assign] = STATE(2915),
    [sym_lambda] = STATE(2915),
    [sym_or] = STATE(2915),
    [sym_not] = STATE(2915),
    [sym_and] = STATE(2915),
    [sym_cmp] = STATE(2915),
    [sym_in] = STATE(2915),
    [sym_add] = STATE(2915),
    [sym_sub] = STATE(2915),
    [sym_mul] = STATE(2915),
    [sym_div] = STATE(2915),
    [sym_sign] = STATE(2915),
    [sym_call] = STATE(2915),
    [sym_field] = STATE(2915),
    [sym_label] = STATE(2915),
    [sym_content] = STATE(2915),
    [sym_group] = STATE(2915),
    [sym_block] = STATE(2915),
    [sym_branch] = STATE(2915),
    [sym_let] = STATE(2915),
    [sym_set] = STATE(2915),
    [sym_import] = STATE(2915),
    [sym_include] = STATE(2915),
    [sym_for] = STATE(2915),
    [sym_while] = STATE(2915),
    [sym_show] = STATE(2915),
    [sym_return] = STATE(2915),
    [sym_flow] = STATE(2915),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2179),
    [sym_none] = ACTIONS(2179),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [399] = {
    [sym_raw_blck] = STATE(1787),
    [sym_raw_span] = STATE(1787),
    [sym_math] = STATE(1787),
    [sym__expr] = STATE(1787),
    [sym_ident] = STATE(1787),
    [sym_bool] = STATE(1787),
    [sym_number] = STATE(1787),
    [sym_string] = STATE(1787),
    [sym_tagged] = STATE(1787),
    [sym_context] = STATE(1787),
    [sym_elude] = STATE(1787),
    [sym_assign] = STATE(1787),
    [sym_lambda] = STATE(1787),
    [sym_or] = STATE(1787),
    [sym_not] = STATE(1787),
    [sym_and] = STATE(1787),
    [sym_cmp] = STATE(1787),
    [sym_in] = STATE(1787),
    [sym_add] = STATE(1787),
    [sym_sub] = STATE(1787),
    [sym_mul] = STATE(1787),
    [sym_div] = STATE(1787),
    [sym_sign] = STATE(1787),
    [sym_call] = STATE(1787),
    [sym_field] = STATE(1787),
    [sym_label] = STATE(1787),
    [sym_content] = STATE(1787),
    [sym_group] = STATE(1787),
    [sym_block] = STATE(1787),
    [sym_branch] = STATE(1787),
    [sym_let] = STATE(1787),
    [sym_set] = STATE(1787),
    [sym_import] = STATE(1787),
    [sym_include] = STATE(1787),
    [sym_for] = STATE(1787),
    [sym_while] = STATE(1787),
    [sym_show] = STATE(1787),
    [sym_return] = STATE(1787),
    [sym_flow] = STATE(1787),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2181),
    [sym_none] = ACTIONS(2181),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [400] = {
    [sym_raw_blck] = STATE(1788),
    [sym_raw_span] = STATE(1788),
    [sym_math] = STATE(1788),
    [sym__expr] = STATE(1788),
    [sym_ident] = STATE(1788),
    [sym_bool] = STATE(1788),
    [sym_number] = STATE(1788),
    [sym_string] = STATE(1788),
    [sym_tagged] = STATE(1788),
    [sym_context] = STATE(1788),
    [sym_elude] = STATE(1788),
    [sym_assign] = STATE(1788),
    [sym_lambda] = STATE(1788),
    [sym_or] = STATE(1788),
    [sym_not] = STATE(1788),
    [sym_and] = STATE(1788),
    [sym_cmp] = STATE(1788),
    [sym_in] = STATE(1788),
    [sym_add] = STATE(1788),
    [sym_sub] = STATE(1788),
    [sym_mul] = STATE(1788),
    [sym_div] = STATE(1788),
    [sym_sign] = STATE(1788),
    [sym_call] = STATE(1788),
    [sym_field] = STATE(1788),
    [sym_label] = STATE(1788),
    [sym_content] = STATE(1788),
    [sym_group] = STATE(1788),
    [sym_block] = STATE(1788),
    [sym_branch] = STATE(1788),
    [sym_let] = STATE(1788),
    [sym_set] = STATE(1788),
    [sym_import] = STATE(1788),
    [sym_include] = STATE(1788),
    [sym_for] = STATE(1788),
    [sym_while] = STATE(1788),
    [sym_show] = STATE(1788),
    [sym_return] = STATE(1788),
    [sym_flow] = STATE(1788),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2183),
    [sym_none] = ACTIONS(2183),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [401] = {
    [sym_raw_blck] = STATE(2916),
    [sym_raw_span] = STATE(2916),
    [sym_math] = STATE(2916),
    [sym__expr] = STATE(2916),
    [sym_ident] = STATE(2916),
    [sym_bool] = STATE(2916),
    [sym_number] = STATE(2916),
    [sym_string] = STATE(2916),
    [sym_tagged] = STATE(2916),
    [sym_context] = STATE(2916),
    [sym_elude] = STATE(2916),
    [sym_assign] = STATE(2916),
    [sym_lambda] = STATE(2916),
    [sym_or] = STATE(2916),
    [sym_not] = STATE(2916),
    [sym_and] = STATE(2916),
    [sym_cmp] = STATE(2916),
    [sym_in] = STATE(2916),
    [sym_add] = STATE(2916),
    [sym_sub] = STATE(2916),
    [sym_mul] = STATE(2916),
    [sym_div] = STATE(2916),
    [sym_sign] = STATE(2916),
    [sym_call] = STATE(2916),
    [sym_field] = STATE(2916),
    [sym_label] = STATE(2916),
    [sym_content] = STATE(2916),
    [sym_group] = STATE(2916),
    [sym_block] = STATE(2916),
    [sym_branch] = STATE(2916),
    [sym_let] = STATE(2916),
    [sym_set] = STATE(2916),
    [sym_import] = STATE(2916),
    [sym_include] = STATE(2916),
    [sym_for] = STATE(2916),
    [sym_while] = STATE(2916),
    [sym_show] = STATE(2916),
    [sym_return] = STATE(2916),
    [sym_flow] = STATE(2916),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2185),
    [sym_none] = ACTIONS(2185),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [402] = {
    [sym_raw_blck] = STATE(1879),
    [sym_raw_span] = STATE(1879),
    [sym_math] = STATE(1879),
    [sym__expr] = STATE(1879),
    [sym_ident] = STATE(1879),
    [sym_bool] = STATE(1879),
    [sym_number] = STATE(1879),
    [sym_string] = STATE(1879),
    [sym_tagged] = STATE(1879),
    [sym_context] = STATE(1879),
    [sym_elude] = STATE(1879),
    [sym_assign] = STATE(1879),
    [sym_lambda] = STATE(1879),
    [sym_or] = STATE(1879),
    [sym_not] = STATE(1879),
    [sym_and] = STATE(1879),
    [sym_cmp] = STATE(1879),
    [sym_in] = STATE(1879),
    [sym_add] = STATE(1879),
    [sym_sub] = STATE(1879),
    [sym_mul] = STATE(1879),
    [sym_div] = STATE(1879),
    [sym_sign] = STATE(1879),
    [sym_call] = STATE(1879),
    [sym_field] = STATE(1879),
    [sym_label] = STATE(1879),
    [sym_content] = STATE(1879),
    [sym_group] = STATE(1879),
    [sym_block] = STATE(1879),
    [sym_branch] = STATE(1879),
    [sym_let] = STATE(1879),
    [sym_set] = STATE(1879),
    [sym_import] = STATE(1879),
    [sym_include] = STATE(1879),
    [sym_for] = STATE(1879),
    [sym_while] = STATE(1879),
    [sym_show] = STATE(1879),
    [sym_return] = STATE(1879),
    [sym_flow] = STATE(1879),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2187),
    [sym_none] = ACTIONS(2187),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [403] = {
    [sym_raw_blck] = STATE(1885),
    [sym_raw_span] = STATE(1885),
    [sym_math] = STATE(1885),
    [sym__expr] = STATE(1885),
    [sym_ident] = STATE(1885),
    [sym_bool] = STATE(1885),
    [sym_number] = STATE(1885),
    [sym_string] = STATE(1885),
    [sym_tagged] = STATE(1885),
    [sym_context] = STATE(1885),
    [sym_elude] = STATE(1885),
    [sym_assign] = STATE(1885),
    [sym_lambda] = STATE(1885),
    [sym_or] = STATE(1885),
    [sym_not] = STATE(1885),
    [sym_and] = STATE(1885),
    [sym_cmp] = STATE(1885),
    [sym_in] = STATE(1885),
    [sym_add] = STATE(1885),
    [sym_sub] = STATE(1885),
    [sym_mul] = STATE(1885),
    [sym_div] = STATE(1885),
    [sym_sign] = STATE(1885),
    [sym_call] = STATE(1885),
    [sym_field] = STATE(1885),
    [sym_label] = STATE(1885),
    [sym_content] = STATE(1885),
    [sym_group] = STATE(1885),
    [sym_block] = STATE(1885),
    [sym_branch] = STATE(1885),
    [sym_let] = STATE(1885),
    [sym_set] = STATE(1885),
    [sym_import] = STATE(1885),
    [sym_include] = STATE(1885),
    [sym_for] = STATE(1885),
    [sym_while] = STATE(1885),
    [sym_show] = STATE(1885),
    [sym_return] = STATE(1885),
    [sym_flow] = STATE(1885),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2189),
    [sym_none] = ACTIONS(2189),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [404] = {
    [sym_raw_blck] = STATE(1887),
    [sym_raw_span] = STATE(1887),
    [sym_math] = STATE(1887),
    [sym__expr] = STATE(1887),
    [sym_ident] = STATE(1887),
    [sym_bool] = STATE(1887),
    [sym_number] = STATE(1887),
    [sym_string] = STATE(1887),
    [sym_tagged] = STATE(1887),
    [sym_context] = STATE(1887),
    [sym_elude] = STATE(1887),
    [sym_assign] = STATE(1887),
    [sym_lambda] = STATE(1887),
    [sym_or] = STATE(1887),
    [sym_not] = STATE(1887),
    [sym_and] = STATE(1887),
    [sym_cmp] = STATE(1887),
    [sym_in] = STATE(1887),
    [sym_add] = STATE(1887),
    [sym_sub] = STATE(1887),
    [sym_mul] = STATE(1887),
    [sym_div] = STATE(1887),
    [sym_sign] = STATE(1887),
    [sym_call] = STATE(1887),
    [sym_field] = STATE(1887),
    [sym_label] = STATE(1887),
    [sym_content] = STATE(1887),
    [sym_group] = STATE(1887),
    [sym_block] = STATE(1887),
    [sym_branch] = STATE(1887),
    [sym_let] = STATE(1887),
    [sym_set] = STATE(1887),
    [sym_import] = STATE(1887),
    [sym_include] = STATE(1887),
    [sym_for] = STATE(1887),
    [sym_while] = STATE(1887),
    [sym_show] = STATE(1887),
    [sym_return] = STATE(1887),
    [sym_flow] = STATE(1887),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2191),
    [sym_none] = ACTIONS(2191),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [405] = {
    [sym_raw_blck] = STATE(1888),
    [sym_raw_span] = STATE(1888),
    [sym_math] = STATE(1888),
    [sym__expr] = STATE(1888),
    [sym_ident] = STATE(1888),
    [sym_bool] = STATE(1888),
    [sym_number] = STATE(1888),
    [sym_string] = STATE(1888),
    [sym_tagged] = STATE(1888),
    [sym_context] = STATE(1888),
    [sym_elude] = STATE(1888),
    [sym_assign] = STATE(1888),
    [sym_lambda] = STATE(1888),
    [sym_or] = STATE(1888),
    [sym_not] = STATE(1888),
    [sym_and] = STATE(1888),
    [sym_cmp] = STATE(1888),
    [sym_in] = STATE(1888),
    [sym_add] = STATE(1888),
    [sym_sub] = STATE(1888),
    [sym_mul] = STATE(1888),
    [sym_div] = STATE(1888),
    [sym_sign] = STATE(1888),
    [sym_call] = STATE(1888),
    [sym_field] = STATE(1888),
    [sym_label] = STATE(1888),
    [sym_content] = STATE(1888),
    [sym_group] = STATE(1888),
    [sym_block] = STATE(1888),
    [sym_branch] = STATE(1888),
    [sym_let] = STATE(1888),
    [sym_set] = STATE(1888),
    [sym_import] = STATE(1888),
    [sym_include] = STATE(1888),
    [sym_for] = STATE(1888),
    [sym_while] = STATE(1888),
    [sym_show] = STATE(1888),
    [sym_return] = STATE(1888),
    [sym_flow] = STATE(1888),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2193),
    [sym_none] = ACTIONS(2193),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [406] = {
    [sym_raw_blck] = STATE(1889),
    [sym_raw_span] = STATE(1889),
    [sym_math] = STATE(1889),
    [sym__expr] = STATE(1889),
    [sym_ident] = STATE(1889),
    [sym_bool] = STATE(1889),
    [sym_number] = STATE(1889),
    [sym_string] = STATE(1889),
    [sym_tagged] = STATE(1889),
    [sym_context] = STATE(1889),
    [sym_elude] = STATE(1889),
    [sym_assign] = STATE(1889),
    [sym_lambda] = STATE(1889),
    [sym_or] = STATE(1889),
    [sym_not] = STATE(1889),
    [sym_and] = STATE(1889),
    [sym_cmp] = STATE(1889),
    [sym_in] = STATE(1889),
    [sym_add] = STATE(1889),
    [sym_sub] = STATE(1889),
    [sym_mul] = STATE(1889),
    [sym_div] = STATE(1889),
    [sym_sign] = STATE(1889),
    [sym_call] = STATE(1889),
    [sym_field] = STATE(1889),
    [sym_label] = STATE(1889),
    [sym_content] = STATE(1889),
    [sym_group] = STATE(1889),
    [sym_block] = STATE(1889),
    [sym_branch] = STATE(1889),
    [sym_let] = STATE(1889),
    [sym_set] = STATE(1889),
    [sym_import] = STATE(1889),
    [sym_include] = STATE(1889),
    [sym_for] = STATE(1889),
    [sym_while] = STATE(1889),
    [sym_show] = STATE(1889),
    [sym_return] = STATE(1889),
    [sym_flow] = STATE(1889),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2195),
    [sym_none] = ACTIONS(2195),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [407] = {
    [sym_raw_blck] = STATE(1893),
    [sym_raw_span] = STATE(1893),
    [sym_math] = STATE(1893),
    [sym__expr] = STATE(1893),
    [sym_ident] = STATE(1893),
    [sym_bool] = STATE(1893),
    [sym_number] = STATE(1893),
    [sym_string] = STATE(1893),
    [sym_tagged] = STATE(1893),
    [sym_context] = STATE(1893),
    [sym_elude] = STATE(1893),
    [sym_assign] = STATE(1893),
    [sym_lambda] = STATE(1893),
    [sym_or] = STATE(1893),
    [sym_not] = STATE(1893),
    [sym_and] = STATE(1893),
    [sym_cmp] = STATE(1893),
    [sym_in] = STATE(1893),
    [sym_add] = STATE(1893),
    [sym_sub] = STATE(1893),
    [sym_mul] = STATE(1893),
    [sym_div] = STATE(1893),
    [sym_sign] = STATE(1893),
    [sym_call] = STATE(1893),
    [sym_field] = STATE(1893),
    [sym_label] = STATE(1893),
    [sym_content] = STATE(1893),
    [sym_group] = STATE(1893),
    [sym_block] = STATE(1893),
    [sym_branch] = STATE(1893),
    [sym_let] = STATE(1893),
    [sym_set] = STATE(1893),
    [sym_import] = STATE(1893),
    [sym_include] = STATE(1893),
    [sym_for] = STATE(1893),
    [sym_while] = STATE(1893),
    [sym_show] = STATE(1893),
    [sym_return] = STATE(1893),
    [sym_flow] = STATE(1893),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2197),
    [sym_none] = ACTIONS(2197),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [408] = {
    [sym_raw_blck] = STATE(1894),
    [sym_raw_span] = STATE(1894),
    [sym_math] = STATE(1894),
    [sym__expr] = STATE(1894),
    [sym_ident] = STATE(1894),
    [sym_bool] = STATE(1894),
    [sym_number] = STATE(1894),
    [sym_string] = STATE(1894),
    [sym_tagged] = STATE(1894),
    [sym_context] = STATE(1894),
    [sym_elude] = STATE(1894),
    [sym_assign] = STATE(1894),
    [sym_lambda] = STATE(1894),
    [sym_or] = STATE(1894),
    [sym_not] = STATE(1894),
    [sym_and] = STATE(1894),
    [sym_cmp] = STATE(1894),
    [sym_in] = STATE(1894),
    [sym_add] = STATE(1894),
    [sym_sub] = STATE(1894),
    [sym_mul] = STATE(1894),
    [sym_div] = STATE(1894),
    [sym_sign] = STATE(1894),
    [sym_call] = STATE(1894),
    [sym_field] = STATE(1894),
    [sym_label] = STATE(1894),
    [sym_content] = STATE(1894),
    [sym_group] = STATE(1894),
    [sym_block] = STATE(1894),
    [sym_branch] = STATE(1894),
    [sym_let] = STATE(1894),
    [sym_set] = STATE(1894),
    [sym_import] = STATE(1894),
    [sym_include] = STATE(1894),
    [sym_for] = STATE(1894),
    [sym_while] = STATE(1894),
    [sym_show] = STATE(1894),
    [sym_return] = STATE(1894),
    [sym_flow] = STATE(1894),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2199),
    [sym_none] = ACTIONS(2199),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [409] = {
    [sym_raw_blck] = STATE(1897),
    [sym_raw_span] = STATE(1897),
    [sym_math] = STATE(1897),
    [sym__expr] = STATE(1897),
    [sym_ident] = STATE(1897),
    [sym_bool] = STATE(1897),
    [sym_number] = STATE(1897),
    [sym_string] = STATE(1897),
    [sym_tagged] = STATE(1897),
    [sym_context] = STATE(1897),
    [sym_elude] = STATE(1897),
    [sym_assign] = STATE(1897),
    [sym_lambda] = STATE(1897),
    [sym_or] = STATE(1897),
    [sym_not] = STATE(1897),
    [sym_and] = STATE(1897),
    [sym_cmp] = STATE(1897),
    [sym_in] = STATE(1897),
    [sym_add] = STATE(1897),
    [sym_sub] = STATE(1897),
    [sym_mul] = STATE(1897),
    [sym_div] = STATE(1897),
    [sym_sign] = STATE(1897),
    [sym_call] = STATE(1897),
    [sym_field] = STATE(1897),
    [sym_label] = STATE(1897),
    [sym_content] = STATE(1897),
    [sym_group] = STATE(1897),
    [sym_block] = STATE(1897),
    [sym_branch] = STATE(1897),
    [sym_let] = STATE(1897),
    [sym_set] = STATE(1897),
    [sym_import] = STATE(1897),
    [sym_include] = STATE(1897),
    [sym_for] = STATE(1897),
    [sym_while] = STATE(1897),
    [sym_show] = STATE(1897),
    [sym_return] = STATE(1897),
    [sym_flow] = STATE(1897),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2201),
    [sym_none] = ACTIONS(2201),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [410] = {
    [sym_raw_blck] = STATE(1900),
    [sym_raw_span] = STATE(1900),
    [sym_math] = STATE(1900),
    [sym__expr] = STATE(1900),
    [sym_ident] = STATE(1900),
    [sym_bool] = STATE(1900),
    [sym_number] = STATE(1900),
    [sym_string] = STATE(1900),
    [sym_tagged] = STATE(1900),
    [sym_context] = STATE(1900),
    [sym_elude] = STATE(1900),
    [sym_assign] = STATE(1900),
    [sym_lambda] = STATE(1900),
    [sym_or] = STATE(1900),
    [sym_not] = STATE(1900),
    [sym_and] = STATE(1900),
    [sym_cmp] = STATE(1900),
    [sym_in] = STATE(1900),
    [sym_add] = STATE(1900),
    [sym_sub] = STATE(1900),
    [sym_mul] = STATE(1900),
    [sym_div] = STATE(1900),
    [sym_sign] = STATE(1900),
    [sym_call] = STATE(1900),
    [sym_field] = STATE(1900),
    [sym_label] = STATE(1900),
    [sym_content] = STATE(1900),
    [sym_group] = STATE(1900),
    [sym_block] = STATE(1900),
    [sym_branch] = STATE(1900),
    [sym_let] = STATE(1900),
    [sym_set] = STATE(1900),
    [sym_import] = STATE(1900),
    [sym_include] = STATE(1900),
    [sym_for] = STATE(1900),
    [sym_while] = STATE(1900),
    [sym_show] = STATE(1900),
    [sym_return] = STATE(1900),
    [sym_flow] = STATE(1900),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2203),
    [sym_none] = ACTIONS(2203),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [411] = {
    [sym_raw_blck] = STATE(1907),
    [sym_raw_span] = STATE(1907),
    [sym_math] = STATE(1907),
    [sym__expr] = STATE(1907),
    [sym_ident] = STATE(1907),
    [sym_bool] = STATE(1907),
    [sym_number] = STATE(1907),
    [sym_string] = STATE(1907),
    [sym_tagged] = STATE(1907),
    [sym_context] = STATE(1907),
    [sym_elude] = STATE(1907),
    [sym_assign] = STATE(1907),
    [sym_lambda] = STATE(1907),
    [sym_or] = STATE(1907),
    [sym_not] = STATE(1907),
    [sym_and] = STATE(1907),
    [sym_cmp] = STATE(1907),
    [sym_in] = STATE(1907),
    [sym_add] = STATE(1907),
    [sym_sub] = STATE(1907),
    [sym_mul] = STATE(1907),
    [sym_div] = STATE(1907),
    [sym_sign] = STATE(1907),
    [sym_call] = STATE(1907),
    [sym_field] = STATE(1907),
    [sym_label] = STATE(1907),
    [sym_content] = STATE(1907),
    [sym_group] = STATE(1907),
    [sym_block] = STATE(1907),
    [sym_branch] = STATE(1907),
    [sym_let] = STATE(1907),
    [sym_set] = STATE(1907),
    [sym_import] = STATE(1907),
    [sym_include] = STATE(1907),
    [sym_for] = STATE(1907),
    [sym_while] = STATE(1907),
    [sym_show] = STATE(1907),
    [sym_return] = STATE(1907),
    [sym_flow] = STATE(1907),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2205),
    [sym_none] = ACTIONS(2205),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [412] = {
    [sym_raw_blck] = STATE(1908),
    [sym_raw_span] = STATE(1908),
    [sym_math] = STATE(1908),
    [sym__expr] = STATE(1908),
    [sym_ident] = STATE(1908),
    [sym_bool] = STATE(1908),
    [sym_number] = STATE(1908),
    [sym_string] = STATE(1908),
    [sym_tagged] = STATE(1908),
    [sym_context] = STATE(1908),
    [sym_elude] = STATE(1908),
    [sym_assign] = STATE(1908),
    [sym_lambda] = STATE(1908),
    [sym_or] = STATE(1908),
    [sym_not] = STATE(1908),
    [sym_and] = STATE(1908),
    [sym_cmp] = STATE(1908),
    [sym_in] = STATE(1908),
    [sym_add] = STATE(1908),
    [sym_sub] = STATE(1908),
    [sym_mul] = STATE(1908),
    [sym_div] = STATE(1908),
    [sym_sign] = STATE(1908),
    [sym_call] = STATE(1908),
    [sym_field] = STATE(1908),
    [sym_label] = STATE(1908),
    [sym_content] = STATE(1908),
    [sym_group] = STATE(1908),
    [sym_block] = STATE(1908),
    [sym_branch] = STATE(1908),
    [sym_let] = STATE(1908),
    [sym_set] = STATE(1908),
    [sym_import] = STATE(1908),
    [sym_include] = STATE(1908),
    [sym_for] = STATE(1908),
    [sym_while] = STATE(1908),
    [sym_show] = STATE(1908),
    [sym_return] = STATE(1908),
    [sym_flow] = STATE(1908),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2207),
    [sym_none] = ACTIONS(2207),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [413] = {
    [sym_raw_blck] = STATE(1916),
    [sym_raw_span] = STATE(1916),
    [sym_math] = STATE(1916),
    [sym__expr] = STATE(1916),
    [sym_ident] = STATE(1916),
    [sym_bool] = STATE(1916),
    [sym_number] = STATE(1916),
    [sym_string] = STATE(1916),
    [sym_tagged] = STATE(1916),
    [sym_context] = STATE(1916),
    [sym_elude] = STATE(1916),
    [sym_assign] = STATE(1916),
    [sym_lambda] = STATE(1916),
    [sym_or] = STATE(1916),
    [sym_not] = STATE(1916),
    [sym_and] = STATE(1916),
    [sym_cmp] = STATE(1916),
    [sym_in] = STATE(1916),
    [sym_add] = STATE(1916),
    [sym_sub] = STATE(1916),
    [sym_mul] = STATE(1916),
    [sym_div] = STATE(1916),
    [sym_sign] = STATE(1916),
    [sym_call] = STATE(1916),
    [sym_field] = STATE(1916),
    [sym_label] = STATE(1916),
    [sym_content] = STATE(1916),
    [sym_group] = STATE(1916),
    [sym_block] = STATE(1916),
    [sym_branch] = STATE(1916),
    [sym_let] = STATE(1916),
    [sym_set] = STATE(1916),
    [sym_import] = STATE(1916),
    [sym_include] = STATE(1916),
    [sym_for] = STATE(1916),
    [sym_while] = STATE(1916),
    [sym_show] = STATE(1916),
    [sym_return] = STATE(1916),
    [sym_flow] = STATE(1916),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2209),
    [sym_none] = ACTIONS(2209),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [414] = {
    [sym_raw_blck] = STATE(1952),
    [sym_raw_span] = STATE(1952),
    [sym_math] = STATE(1952),
    [sym__expr] = STATE(1952),
    [sym_ident] = STATE(1952),
    [sym_bool] = STATE(1952),
    [sym_number] = STATE(1952),
    [sym_string] = STATE(1952),
    [sym_tagged] = STATE(1952),
    [sym_context] = STATE(1952),
    [sym_elude] = STATE(1952),
    [sym_assign] = STATE(1952),
    [sym_lambda] = STATE(1952),
    [sym_or] = STATE(1952),
    [sym_not] = STATE(1952),
    [sym_and] = STATE(1952),
    [sym_cmp] = STATE(1952),
    [sym_in] = STATE(1952),
    [sym_add] = STATE(1952),
    [sym_sub] = STATE(1952),
    [sym_mul] = STATE(1952),
    [sym_div] = STATE(1952),
    [sym_sign] = STATE(1952),
    [sym_call] = STATE(1952),
    [sym_field] = STATE(1952),
    [sym_label] = STATE(1952),
    [sym_content] = STATE(1952),
    [sym_group] = STATE(1952),
    [sym_block] = STATE(1952),
    [sym_branch] = STATE(1952),
    [sym_let] = STATE(1952),
    [sym_set] = STATE(1952),
    [sym_import] = STATE(1952),
    [sym_include] = STATE(1952),
    [sym_for] = STATE(1952),
    [sym_while] = STATE(1952),
    [sym_show] = STATE(1952),
    [sym_return] = STATE(1952),
    [sym_flow] = STATE(1952),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2211),
    [sym_none] = ACTIONS(2211),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [415] = {
    [sym_raw_blck] = STATE(1957),
    [sym_raw_span] = STATE(1957),
    [sym_math] = STATE(1957),
    [sym__expr] = STATE(1957),
    [sym_ident] = STATE(1957),
    [sym_bool] = STATE(1957),
    [sym_number] = STATE(1957),
    [sym_string] = STATE(1957),
    [sym_tagged] = STATE(1957),
    [sym_context] = STATE(1957),
    [sym_elude] = STATE(1957),
    [sym_assign] = STATE(1957),
    [sym_lambda] = STATE(1957),
    [sym_or] = STATE(1957),
    [sym_not] = STATE(1957),
    [sym_and] = STATE(1957),
    [sym_cmp] = STATE(1957),
    [sym_in] = STATE(1957),
    [sym_add] = STATE(1957),
    [sym_sub] = STATE(1957),
    [sym_mul] = STATE(1957),
    [sym_div] = STATE(1957),
    [sym_sign] = STATE(1957),
    [sym_call] = STATE(1957),
    [sym_field] = STATE(1957),
    [sym_label] = STATE(1957),
    [sym_content] = STATE(1957),
    [sym_group] = STATE(1957),
    [sym_block] = STATE(1957),
    [sym_branch] = STATE(1957),
    [sym_let] = STATE(1957),
    [sym_set] = STATE(1957),
    [sym_import] = STATE(1957),
    [sym_include] = STATE(1957),
    [sym_for] = STATE(1957),
    [sym_while] = STATE(1957),
    [sym_show] = STATE(1957),
    [sym_return] = STATE(1957),
    [sym_flow] = STATE(1957),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2213),
    [sym_none] = ACTIONS(2213),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [416] = {
    [sym_raw_blck] = STATE(1975),
    [sym_raw_span] = STATE(1975),
    [sym_math] = STATE(1975),
    [sym__expr] = STATE(1975),
    [sym_ident] = STATE(1975),
    [sym_bool] = STATE(1975),
    [sym_number] = STATE(1975),
    [sym_string] = STATE(1975),
    [sym_tagged] = STATE(1975),
    [sym_context] = STATE(1975),
    [sym_elude] = STATE(1975),
    [sym_assign] = STATE(1975),
    [sym_lambda] = STATE(1975),
    [sym_or] = STATE(1975),
    [sym_not] = STATE(1975),
    [sym_and] = STATE(1975),
    [sym_cmp] = STATE(1975),
    [sym_in] = STATE(1975),
    [sym_add] = STATE(1975),
    [sym_sub] = STATE(1975),
    [sym_mul] = STATE(1975),
    [sym_div] = STATE(1975),
    [sym_sign] = STATE(1975),
    [sym_call] = STATE(1975),
    [sym_field] = STATE(1975),
    [sym_label] = STATE(1975),
    [sym_content] = STATE(1975),
    [sym_group] = STATE(1975),
    [sym_block] = STATE(1975),
    [sym_branch] = STATE(1975),
    [sym_let] = STATE(1975),
    [sym_set] = STATE(1975),
    [sym_import] = STATE(1975),
    [sym_include] = STATE(1975),
    [sym_for] = STATE(1975),
    [sym_while] = STATE(1975),
    [sym_show] = STATE(1975),
    [sym_return] = STATE(1975),
    [sym_flow] = STATE(1975),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2215),
    [sym_none] = ACTIONS(2215),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [417] = {
    [sym_raw_blck] = STATE(1977),
    [sym_raw_span] = STATE(1977),
    [sym_math] = STATE(1977),
    [sym__expr] = STATE(1977),
    [sym_ident] = STATE(1977),
    [sym_bool] = STATE(1977),
    [sym_number] = STATE(1977),
    [sym_string] = STATE(1977),
    [sym_tagged] = STATE(1977),
    [sym_context] = STATE(1977),
    [sym_elude] = STATE(1977),
    [sym_assign] = STATE(1977),
    [sym_lambda] = STATE(1977),
    [sym_or] = STATE(1977),
    [sym_not] = STATE(1977),
    [sym_and] = STATE(1977),
    [sym_cmp] = STATE(1977),
    [sym_in] = STATE(1977),
    [sym_add] = STATE(1977),
    [sym_sub] = STATE(1977),
    [sym_mul] = STATE(1977),
    [sym_div] = STATE(1977),
    [sym_sign] = STATE(1977),
    [sym_call] = STATE(1977),
    [sym_field] = STATE(1977),
    [sym_label] = STATE(1977),
    [sym_content] = STATE(1977),
    [sym_group] = STATE(1977),
    [sym_block] = STATE(1977),
    [sym_branch] = STATE(1977),
    [sym_let] = STATE(1977),
    [sym_set] = STATE(1977),
    [sym_import] = STATE(1977),
    [sym_include] = STATE(1977),
    [sym_for] = STATE(1977),
    [sym_while] = STATE(1977),
    [sym_show] = STATE(1977),
    [sym_return] = STATE(1977),
    [sym_flow] = STATE(1977),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2217),
    [sym_none] = ACTIONS(2217),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [418] = {
    [sym_raw_blck] = STATE(1369),
    [sym_raw_span] = STATE(1369),
    [sym_math] = STATE(1369),
    [sym__expr] = STATE(1369),
    [sym_ident] = STATE(1369),
    [sym_bool] = STATE(1369),
    [sym_number] = STATE(1369),
    [sym_string] = STATE(1369),
    [sym_tagged] = STATE(1369),
    [sym_context] = STATE(1369),
    [sym_elude] = STATE(1369),
    [sym_assign] = STATE(1369),
    [sym_lambda] = STATE(1369),
    [sym_or] = STATE(1369),
    [sym_not] = STATE(1369),
    [sym_and] = STATE(1369),
    [sym_cmp] = STATE(1369),
    [sym_in] = STATE(1369),
    [sym_add] = STATE(1369),
    [sym_sub] = STATE(1369),
    [sym_mul] = STATE(1369),
    [sym_div] = STATE(1369),
    [sym_sign] = STATE(1369),
    [sym_call] = STATE(1369),
    [sym_field] = STATE(1369),
    [sym_label] = STATE(1369),
    [sym_content] = STATE(1369),
    [sym_group] = STATE(1369),
    [sym_block] = STATE(1369),
    [sym_branch] = STATE(1369),
    [sym_let] = STATE(1369),
    [sym_set] = STATE(1369),
    [sym_import] = STATE(1369),
    [sym_include] = STATE(1369),
    [sym_for] = STATE(1369),
    [sym_while] = STATE(1369),
    [sym_show] = STATE(1369),
    [sym_return] = STATE(1369),
    [sym_flow] = STATE(1369),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2219),
    [sym_none] = ACTIONS(2219),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [419] = {
    [sym_raw_blck] = STATE(2917),
    [sym_raw_span] = STATE(2917),
    [sym_math] = STATE(2917),
    [sym__expr] = STATE(2917),
    [sym_ident] = STATE(2917),
    [sym_bool] = STATE(2917),
    [sym_number] = STATE(2917),
    [sym_string] = STATE(2917),
    [sym_tagged] = STATE(2917),
    [sym_context] = STATE(2917),
    [sym_elude] = STATE(2917),
    [sym_assign] = STATE(2917),
    [sym_lambda] = STATE(2917),
    [sym_or] = STATE(2917),
    [sym_not] = STATE(2917),
    [sym_and] = STATE(2917),
    [sym_cmp] = STATE(2917),
    [sym_in] = STATE(2917),
    [sym_add] = STATE(2917),
    [sym_sub] = STATE(2917),
    [sym_mul] = STATE(2917),
    [sym_div] = STATE(2917),
    [sym_sign] = STATE(2917),
    [sym_call] = STATE(2917),
    [sym_field] = STATE(2917),
    [sym_label] = STATE(2917),
    [sym_content] = STATE(2917),
    [sym_group] = STATE(2917),
    [sym_block] = STATE(2917),
    [sym_branch] = STATE(2917),
    [sym_let] = STATE(2917),
    [sym_set] = STATE(2917),
    [sym_import] = STATE(2917),
    [sym_include] = STATE(2917),
    [sym_for] = STATE(2917),
    [sym_while] = STATE(2917),
    [sym_show] = STATE(2917),
    [sym_return] = STATE(2917),
    [sym_flow] = STATE(2917),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2221),
    [sym_none] = ACTIONS(2221),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [420] = {
    [sym_raw_blck] = STATE(1371),
    [sym_raw_span] = STATE(1371),
    [sym_math] = STATE(1371),
    [sym__expr] = STATE(1371),
    [sym_ident] = STATE(1371),
    [sym_bool] = STATE(1371),
    [sym_number] = STATE(1371),
    [sym_string] = STATE(1371),
    [sym_tagged] = STATE(1371),
    [sym_context] = STATE(1371),
    [sym_elude] = STATE(1371),
    [sym_assign] = STATE(1371),
    [sym_lambda] = STATE(1371),
    [sym_or] = STATE(1371),
    [sym_not] = STATE(1371),
    [sym_and] = STATE(1371),
    [sym_cmp] = STATE(1371),
    [sym_in] = STATE(1371),
    [sym_add] = STATE(1371),
    [sym_sub] = STATE(1371),
    [sym_mul] = STATE(1371),
    [sym_div] = STATE(1371),
    [sym_sign] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_field] = STATE(1371),
    [sym_label] = STATE(1371),
    [sym_content] = STATE(1371),
    [sym_group] = STATE(1371),
    [sym_block] = STATE(1371),
    [sym_branch] = STATE(1371),
    [sym_let] = STATE(1371),
    [sym_set] = STATE(1371),
    [sym_import] = STATE(1371),
    [sym_include] = STATE(1371),
    [sym_for] = STATE(1371),
    [sym_while] = STATE(1371),
    [sym_show] = STATE(1371),
    [sym_return] = STATE(1371),
    [sym_flow] = STATE(1371),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2223),
    [sym_none] = ACTIONS(2223),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [421] = {
    [sym_raw_blck] = STATE(1372),
    [sym_raw_span] = STATE(1372),
    [sym_math] = STATE(1372),
    [sym__expr] = STATE(1372),
    [sym_ident] = STATE(1372),
    [sym_bool] = STATE(1372),
    [sym_number] = STATE(1372),
    [sym_string] = STATE(1372),
    [sym_tagged] = STATE(1372),
    [sym_context] = STATE(1372),
    [sym_elude] = STATE(1372),
    [sym_assign] = STATE(1372),
    [sym_lambda] = STATE(1372),
    [sym_or] = STATE(1372),
    [sym_not] = STATE(1372),
    [sym_and] = STATE(1372),
    [sym_cmp] = STATE(1372),
    [sym_in] = STATE(1372),
    [sym_add] = STATE(1372),
    [sym_sub] = STATE(1372),
    [sym_mul] = STATE(1372),
    [sym_div] = STATE(1372),
    [sym_sign] = STATE(1372),
    [sym_call] = STATE(1372),
    [sym_field] = STATE(1372),
    [sym_label] = STATE(1372),
    [sym_content] = STATE(1372),
    [sym_group] = STATE(1372),
    [sym_block] = STATE(1372),
    [sym_branch] = STATE(1372),
    [sym_let] = STATE(1372),
    [sym_set] = STATE(1372),
    [sym_import] = STATE(1372),
    [sym_include] = STATE(1372),
    [sym_for] = STATE(1372),
    [sym_while] = STATE(1372),
    [sym_show] = STATE(1372),
    [sym_return] = STATE(1372),
    [sym_flow] = STATE(1372),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2225),
    [sym_none] = ACTIONS(2225),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [422] = {
    [sym_raw_blck] = STATE(3008),
    [sym_raw_span] = STATE(3008),
    [sym_math] = STATE(3008),
    [sym__expr] = STATE(3008),
    [sym_ident] = STATE(3008),
    [sym_bool] = STATE(3008),
    [sym_number] = STATE(3008),
    [sym_string] = STATE(3008),
    [sym_tagged] = STATE(3008),
    [sym_context] = STATE(3008),
    [sym_elude] = STATE(3008),
    [sym_assign] = STATE(3008),
    [sym_lambda] = STATE(3008),
    [sym_or] = STATE(3008),
    [sym_not] = STATE(3008),
    [sym_and] = STATE(3008),
    [sym_cmp] = STATE(3008),
    [sym_in] = STATE(3008),
    [sym_add] = STATE(3008),
    [sym_sub] = STATE(3008),
    [sym_mul] = STATE(3008),
    [sym_div] = STATE(3008),
    [sym_sign] = STATE(3008),
    [sym_call] = STATE(3008),
    [sym_field] = STATE(3008),
    [sym_label] = STATE(3008),
    [sym_content] = STATE(3008),
    [sym_group] = STATE(3008),
    [sym_block] = STATE(3008),
    [sym_branch] = STATE(3008),
    [sym_let] = STATE(3008),
    [sym_set] = STATE(3008),
    [sym_import] = STATE(3008),
    [sym_include] = STATE(3008),
    [sym_for] = STATE(3008),
    [sym_while] = STATE(3008),
    [sym_show] = STATE(3008),
    [sym_return] = STATE(3008),
    [sym_flow] = STATE(3008),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2227),
    [sym_none] = ACTIONS(2227),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [423] = {
    [sym_raw_blck] = STATE(1381),
    [sym_raw_span] = STATE(1381),
    [sym_math] = STATE(1381),
    [sym__expr] = STATE(1381),
    [sym_ident] = STATE(1381),
    [sym_bool] = STATE(1381),
    [sym_number] = STATE(1381),
    [sym_string] = STATE(1381),
    [sym_tagged] = STATE(1381),
    [sym_context] = STATE(1381),
    [sym_elude] = STATE(1381),
    [sym_assign] = STATE(1381),
    [sym_lambda] = STATE(1381),
    [sym_or] = STATE(1381),
    [sym_not] = STATE(1381),
    [sym_and] = STATE(1381),
    [sym_cmp] = STATE(1381),
    [sym_in] = STATE(1381),
    [sym_add] = STATE(1381),
    [sym_sub] = STATE(1381),
    [sym_mul] = STATE(1381),
    [sym_div] = STATE(1381),
    [sym_sign] = STATE(1381),
    [sym_call] = STATE(1381),
    [sym_field] = STATE(1381),
    [sym_label] = STATE(1381),
    [sym_content] = STATE(1381),
    [sym_group] = STATE(1381),
    [sym_block] = STATE(1381),
    [sym_branch] = STATE(1381),
    [sym_let] = STATE(1381),
    [sym_set] = STATE(1381),
    [sym_import] = STATE(1381),
    [sym_include] = STATE(1381),
    [sym_for] = STATE(1381),
    [sym_while] = STATE(1381),
    [sym_show] = STATE(1381),
    [sym_return] = STATE(1381),
    [sym_flow] = STATE(1381),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2229),
    [sym_none] = ACTIONS(2229),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [424] = {
    [sym_raw_blck] = STATE(1383),
    [sym_raw_span] = STATE(1383),
    [sym_math] = STATE(1383),
    [sym__expr] = STATE(1383),
    [sym_ident] = STATE(1383),
    [sym_bool] = STATE(1383),
    [sym_number] = STATE(1383),
    [sym_string] = STATE(1383),
    [sym_tagged] = STATE(1383),
    [sym_context] = STATE(1383),
    [sym_elude] = STATE(1383),
    [sym_assign] = STATE(1383),
    [sym_lambda] = STATE(1383),
    [sym_or] = STATE(1383),
    [sym_not] = STATE(1383),
    [sym_and] = STATE(1383),
    [sym_cmp] = STATE(1383),
    [sym_in] = STATE(1383),
    [sym_add] = STATE(1383),
    [sym_sub] = STATE(1383),
    [sym_mul] = STATE(1383),
    [sym_div] = STATE(1383),
    [sym_sign] = STATE(1383),
    [sym_call] = STATE(1383),
    [sym_field] = STATE(1383),
    [sym_label] = STATE(1383),
    [sym_content] = STATE(1383),
    [sym_group] = STATE(1383),
    [sym_block] = STATE(1383),
    [sym_branch] = STATE(1383),
    [sym_let] = STATE(1383),
    [sym_set] = STATE(1383),
    [sym_import] = STATE(1383),
    [sym_include] = STATE(1383),
    [sym_for] = STATE(1383),
    [sym_while] = STATE(1383),
    [sym_show] = STATE(1383),
    [sym_return] = STATE(1383),
    [sym_flow] = STATE(1383),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2231),
    [sym_none] = ACTIONS(2231),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [425] = {
    [sym_raw_blck] = STATE(1384),
    [sym_raw_span] = STATE(1384),
    [sym_math] = STATE(1384),
    [sym__expr] = STATE(1384),
    [sym_ident] = STATE(1384),
    [sym_bool] = STATE(1384),
    [sym_number] = STATE(1384),
    [sym_string] = STATE(1384),
    [sym_tagged] = STATE(1384),
    [sym_context] = STATE(1384),
    [sym_elude] = STATE(1384),
    [sym_assign] = STATE(1384),
    [sym_lambda] = STATE(1384),
    [sym_or] = STATE(1384),
    [sym_not] = STATE(1384),
    [sym_and] = STATE(1384),
    [sym_cmp] = STATE(1384),
    [sym_in] = STATE(1384),
    [sym_add] = STATE(1384),
    [sym_sub] = STATE(1384),
    [sym_mul] = STATE(1384),
    [sym_div] = STATE(1384),
    [sym_sign] = STATE(1384),
    [sym_call] = STATE(1384),
    [sym_field] = STATE(1384),
    [sym_label] = STATE(1384),
    [sym_content] = STATE(1384),
    [sym_group] = STATE(1384),
    [sym_block] = STATE(1384),
    [sym_branch] = STATE(1384),
    [sym_let] = STATE(1384),
    [sym_set] = STATE(1384),
    [sym_import] = STATE(1384),
    [sym_include] = STATE(1384),
    [sym_for] = STATE(1384),
    [sym_while] = STATE(1384),
    [sym_show] = STATE(1384),
    [sym_return] = STATE(1384),
    [sym_flow] = STATE(1384),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2233),
    [sym_none] = ACTIONS(2233),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [426] = {
    [sym_raw_blck] = STATE(2920),
    [sym_raw_span] = STATE(2920),
    [sym_math] = STATE(2920),
    [sym__expr] = STATE(2920),
    [sym_ident] = STATE(2920),
    [sym_bool] = STATE(2920),
    [sym_number] = STATE(2920),
    [sym_string] = STATE(2920),
    [sym_tagged] = STATE(2920),
    [sym_context] = STATE(2920),
    [sym_elude] = STATE(2920),
    [sym_assign] = STATE(2920),
    [sym_lambda] = STATE(2920),
    [sym_or] = STATE(2920),
    [sym_not] = STATE(2920),
    [sym_and] = STATE(2920),
    [sym_cmp] = STATE(2920),
    [sym_in] = STATE(2920),
    [sym_add] = STATE(2920),
    [sym_sub] = STATE(2920),
    [sym_mul] = STATE(2920),
    [sym_div] = STATE(2920),
    [sym_sign] = STATE(2920),
    [sym_call] = STATE(2920),
    [sym_field] = STATE(2920),
    [sym_label] = STATE(2920),
    [sym_content] = STATE(2920),
    [sym_group] = STATE(2920),
    [sym_block] = STATE(2920),
    [sym_branch] = STATE(2920),
    [sym_let] = STATE(2920),
    [sym_set] = STATE(2920),
    [sym_import] = STATE(2920),
    [sym_include] = STATE(2920),
    [sym_for] = STATE(2920),
    [sym_while] = STATE(2920),
    [sym_show] = STATE(2920),
    [sym_return] = STATE(2920),
    [sym_flow] = STATE(2920),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2235),
    [sym_none] = ACTIONS(2235),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [427] = {
    [sym_raw_blck] = STATE(1386),
    [sym_raw_span] = STATE(1386),
    [sym_math] = STATE(1386),
    [sym__expr] = STATE(1386),
    [sym_ident] = STATE(1386),
    [sym_bool] = STATE(1386),
    [sym_number] = STATE(1386),
    [sym_string] = STATE(1386),
    [sym_tagged] = STATE(1386),
    [sym_context] = STATE(1386),
    [sym_elude] = STATE(1386),
    [sym_assign] = STATE(1386),
    [sym_lambda] = STATE(1386),
    [sym_or] = STATE(1386),
    [sym_not] = STATE(1386),
    [sym_and] = STATE(1386),
    [sym_cmp] = STATE(1386),
    [sym_in] = STATE(1386),
    [sym_add] = STATE(1386),
    [sym_sub] = STATE(1386),
    [sym_mul] = STATE(1386),
    [sym_div] = STATE(1386),
    [sym_sign] = STATE(1386),
    [sym_call] = STATE(1386),
    [sym_field] = STATE(1386),
    [sym_label] = STATE(1386),
    [sym_content] = STATE(1386),
    [sym_group] = STATE(1386),
    [sym_block] = STATE(1386),
    [sym_branch] = STATE(1386),
    [sym_let] = STATE(1386),
    [sym_set] = STATE(1386),
    [sym_import] = STATE(1386),
    [sym_include] = STATE(1386),
    [sym_for] = STATE(1386),
    [sym_while] = STATE(1386),
    [sym_show] = STATE(1386),
    [sym_return] = STATE(1386),
    [sym_flow] = STATE(1386),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2237),
    [sym_none] = ACTIONS(2237),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [428] = {
    [sym_raw_blck] = STATE(1387),
    [sym_raw_span] = STATE(1387),
    [sym_math] = STATE(1387),
    [sym__expr] = STATE(1387),
    [sym_ident] = STATE(1387),
    [sym_bool] = STATE(1387),
    [sym_number] = STATE(1387),
    [sym_string] = STATE(1387),
    [sym_tagged] = STATE(1387),
    [sym_context] = STATE(1387),
    [sym_elude] = STATE(1387),
    [sym_assign] = STATE(1387),
    [sym_lambda] = STATE(1387),
    [sym_or] = STATE(1387),
    [sym_not] = STATE(1387),
    [sym_and] = STATE(1387),
    [sym_cmp] = STATE(1387),
    [sym_in] = STATE(1387),
    [sym_add] = STATE(1387),
    [sym_sub] = STATE(1387),
    [sym_mul] = STATE(1387),
    [sym_div] = STATE(1387),
    [sym_sign] = STATE(1387),
    [sym_call] = STATE(1387),
    [sym_field] = STATE(1387),
    [sym_label] = STATE(1387),
    [sym_content] = STATE(1387),
    [sym_group] = STATE(1387),
    [sym_block] = STATE(1387),
    [sym_branch] = STATE(1387),
    [sym_let] = STATE(1387),
    [sym_set] = STATE(1387),
    [sym_import] = STATE(1387),
    [sym_include] = STATE(1387),
    [sym_for] = STATE(1387),
    [sym_while] = STATE(1387),
    [sym_show] = STATE(1387),
    [sym_return] = STATE(1387),
    [sym_flow] = STATE(1387),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2239),
    [sym_none] = ACTIONS(2239),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [429] = {
    [sym_raw_blck] = STATE(1388),
    [sym_raw_span] = STATE(1388),
    [sym_math] = STATE(1388),
    [sym__expr] = STATE(1388),
    [sym_ident] = STATE(1388),
    [sym_bool] = STATE(1388),
    [sym_number] = STATE(1388),
    [sym_string] = STATE(1388),
    [sym_tagged] = STATE(1388),
    [sym_context] = STATE(1388),
    [sym_elude] = STATE(1388),
    [sym_assign] = STATE(1388),
    [sym_lambda] = STATE(1388),
    [sym_or] = STATE(1388),
    [sym_not] = STATE(1388),
    [sym_and] = STATE(1388),
    [sym_cmp] = STATE(1388),
    [sym_in] = STATE(1388),
    [sym_add] = STATE(1388),
    [sym_sub] = STATE(1388),
    [sym_mul] = STATE(1388),
    [sym_div] = STATE(1388),
    [sym_sign] = STATE(1388),
    [sym_call] = STATE(1388),
    [sym_field] = STATE(1388),
    [sym_label] = STATE(1388),
    [sym_content] = STATE(1388),
    [sym_group] = STATE(1388),
    [sym_block] = STATE(1388),
    [sym_branch] = STATE(1388),
    [sym_let] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_import] = STATE(1388),
    [sym_include] = STATE(1388),
    [sym_for] = STATE(1388),
    [sym_while] = STATE(1388),
    [sym_show] = STATE(1388),
    [sym_return] = STATE(1388),
    [sym_flow] = STATE(1388),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2241),
    [sym_none] = ACTIONS(2241),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [430] = {
    [sym_raw_blck] = STATE(1389),
    [sym_raw_span] = STATE(1389),
    [sym_math] = STATE(1389),
    [sym__expr] = STATE(1389),
    [sym_ident] = STATE(1389),
    [sym_bool] = STATE(1389),
    [sym_number] = STATE(1389),
    [sym_string] = STATE(1389),
    [sym_tagged] = STATE(1389),
    [sym_context] = STATE(1389),
    [sym_elude] = STATE(1389),
    [sym_assign] = STATE(1389),
    [sym_lambda] = STATE(1389),
    [sym_or] = STATE(1389),
    [sym_not] = STATE(1389),
    [sym_and] = STATE(1389),
    [sym_cmp] = STATE(1389),
    [sym_in] = STATE(1389),
    [sym_add] = STATE(1389),
    [sym_sub] = STATE(1389),
    [sym_mul] = STATE(1389),
    [sym_div] = STATE(1389),
    [sym_sign] = STATE(1389),
    [sym_call] = STATE(1389),
    [sym_field] = STATE(1389),
    [sym_label] = STATE(1389),
    [sym_content] = STATE(1389),
    [sym_group] = STATE(1389),
    [sym_block] = STATE(1389),
    [sym_branch] = STATE(1389),
    [sym_let] = STATE(1389),
    [sym_set] = STATE(1389),
    [sym_import] = STATE(1389),
    [sym_include] = STATE(1389),
    [sym_for] = STATE(1389),
    [sym_while] = STATE(1389),
    [sym_show] = STATE(1389),
    [sym_return] = STATE(1389),
    [sym_flow] = STATE(1389),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2243),
    [sym_none] = ACTIONS(2243),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [431] = {
    [sym_raw_blck] = STATE(1390),
    [sym_raw_span] = STATE(1390),
    [sym_math] = STATE(1390),
    [sym__expr] = STATE(1390),
    [sym_ident] = STATE(1390),
    [sym_bool] = STATE(1390),
    [sym_number] = STATE(1390),
    [sym_string] = STATE(1390),
    [sym_tagged] = STATE(1390),
    [sym_context] = STATE(1390),
    [sym_elude] = STATE(1390),
    [sym_assign] = STATE(1390),
    [sym_lambda] = STATE(1390),
    [sym_or] = STATE(1390),
    [sym_not] = STATE(1390),
    [sym_and] = STATE(1390),
    [sym_cmp] = STATE(1390),
    [sym_in] = STATE(1390),
    [sym_add] = STATE(1390),
    [sym_sub] = STATE(1390),
    [sym_mul] = STATE(1390),
    [sym_div] = STATE(1390),
    [sym_sign] = STATE(1390),
    [sym_call] = STATE(1390),
    [sym_field] = STATE(1390),
    [sym_label] = STATE(1390),
    [sym_content] = STATE(1390),
    [sym_group] = STATE(1390),
    [sym_block] = STATE(1390),
    [sym_branch] = STATE(1390),
    [sym_let] = STATE(1390),
    [sym_set] = STATE(1390),
    [sym_import] = STATE(1390),
    [sym_include] = STATE(1390),
    [sym_for] = STATE(1390),
    [sym_while] = STATE(1390),
    [sym_show] = STATE(1390),
    [sym_return] = STATE(1390),
    [sym_flow] = STATE(1390),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2245),
    [sym_none] = ACTIONS(2245),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [432] = {
    [sym_raw_blck] = STATE(1391),
    [sym_raw_span] = STATE(1391),
    [sym_math] = STATE(1391),
    [sym__expr] = STATE(1391),
    [sym_ident] = STATE(1391),
    [sym_bool] = STATE(1391),
    [sym_number] = STATE(1391),
    [sym_string] = STATE(1391),
    [sym_tagged] = STATE(1391),
    [sym_context] = STATE(1391),
    [sym_elude] = STATE(1391),
    [sym_assign] = STATE(1391),
    [sym_lambda] = STATE(1391),
    [sym_or] = STATE(1391),
    [sym_not] = STATE(1391),
    [sym_and] = STATE(1391),
    [sym_cmp] = STATE(1391),
    [sym_in] = STATE(1391),
    [sym_add] = STATE(1391),
    [sym_sub] = STATE(1391),
    [sym_mul] = STATE(1391),
    [sym_div] = STATE(1391),
    [sym_sign] = STATE(1391),
    [sym_call] = STATE(1391),
    [sym_field] = STATE(1391),
    [sym_label] = STATE(1391),
    [sym_content] = STATE(1391),
    [sym_group] = STATE(1391),
    [sym_block] = STATE(1391),
    [sym_branch] = STATE(1391),
    [sym_let] = STATE(1391),
    [sym_set] = STATE(1391),
    [sym_import] = STATE(1391),
    [sym_include] = STATE(1391),
    [sym_for] = STATE(1391),
    [sym_while] = STATE(1391),
    [sym_show] = STATE(1391),
    [sym_return] = STATE(1391),
    [sym_flow] = STATE(1391),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2247),
    [sym_none] = ACTIONS(2247),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [433] = {
    [sym_raw_blck] = STATE(1392),
    [sym_raw_span] = STATE(1392),
    [sym_math] = STATE(1392),
    [sym__expr] = STATE(1392),
    [sym_ident] = STATE(1392),
    [sym_bool] = STATE(1392),
    [sym_number] = STATE(1392),
    [sym_string] = STATE(1392),
    [sym_tagged] = STATE(1392),
    [sym_context] = STATE(1392),
    [sym_elude] = STATE(1392),
    [sym_assign] = STATE(1392),
    [sym_lambda] = STATE(1392),
    [sym_or] = STATE(1392),
    [sym_not] = STATE(1392),
    [sym_and] = STATE(1392),
    [sym_cmp] = STATE(1392),
    [sym_in] = STATE(1392),
    [sym_add] = STATE(1392),
    [sym_sub] = STATE(1392),
    [sym_mul] = STATE(1392),
    [sym_div] = STATE(1392),
    [sym_sign] = STATE(1392),
    [sym_call] = STATE(1392),
    [sym_field] = STATE(1392),
    [sym_label] = STATE(1392),
    [sym_content] = STATE(1392),
    [sym_group] = STATE(1392),
    [sym_block] = STATE(1392),
    [sym_branch] = STATE(1392),
    [sym_let] = STATE(1392),
    [sym_set] = STATE(1392),
    [sym_import] = STATE(1392),
    [sym_include] = STATE(1392),
    [sym_for] = STATE(1392),
    [sym_while] = STATE(1392),
    [sym_show] = STATE(1392),
    [sym_return] = STATE(1392),
    [sym_flow] = STATE(1392),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2249),
    [sym_none] = ACTIONS(2249),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [434] = {
    [sym_raw_blck] = STATE(1393),
    [sym_raw_span] = STATE(1393),
    [sym_math] = STATE(1393),
    [sym__expr] = STATE(1393),
    [sym_ident] = STATE(1393),
    [sym_bool] = STATE(1393),
    [sym_number] = STATE(1393),
    [sym_string] = STATE(1393),
    [sym_tagged] = STATE(1393),
    [sym_context] = STATE(1393),
    [sym_elude] = STATE(1393),
    [sym_assign] = STATE(1393),
    [sym_lambda] = STATE(1393),
    [sym_or] = STATE(1393),
    [sym_not] = STATE(1393),
    [sym_and] = STATE(1393),
    [sym_cmp] = STATE(1393),
    [sym_in] = STATE(1393),
    [sym_add] = STATE(1393),
    [sym_sub] = STATE(1393),
    [sym_mul] = STATE(1393),
    [sym_div] = STATE(1393),
    [sym_sign] = STATE(1393),
    [sym_call] = STATE(1393),
    [sym_field] = STATE(1393),
    [sym_label] = STATE(1393),
    [sym_content] = STATE(1393),
    [sym_group] = STATE(1393),
    [sym_block] = STATE(1393),
    [sym_branch] = STATE(1393),
    [sym_let] = STATE(1393),
    [sym_set] = STATE(1393),
    [sym_import] = STATE(1393),
    [sym_include] = STATE(1393),
    [sym_for] = STATE(1393),
    [sym_while] = STATE(1393),
    [sym_show] = STATE(1393),
    [sym_return] = STATE(1393),
    [sym_flow] = STATE(1393),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2251),
    [sym_none] = ACTIONS(2251),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [435] = {
    [sym_raw_blck] = STATE(1397),
    [sym_raw_span] = STATE(1397),
    [sym_math] = STATE(1397),
    [sym__expr] = STATE(1397),
    [sym_ident] = STATE(1397),
    [sym_bool] = STATE(1397),
    [sym_number] = STATE(1397),
    [sym_string] = STATE(1397),
    [sym_tagged] = STATE(1397),
    [sym_context] = STATE(1397),
    [sym_elude] = STATE(1397),
    [sym_assign] = STATE(1397),
    [sym_lambda] = STATE(1397),
    [sym_or] = STATE(1397),
    [sym_not] = STATE(1397),
    [sym_and] = STATE(1397),
    [sym_cmp] = STATE(1397),
    [sym_in] = STATE(1397),
    [sym_add] = STATE(1397),
    [sym_sub] = STATE(1397),
    [sym_mul] = STATE(1397),
    [sym_div] = STATE(1397),
    [sym_sign] = STATE(1397),
    [sym_call] = STATE(1397),
    [sym_field] = STATE(1397),
    [sym_label] = STATE(1397),
    [sym_content] = STATE(1397),
    [sym_group] = STATE(1397),
    [sym_block] = STATE(1397),
    [sym_branch] = STATE(1397),
    [sym_let] = STATE(1397),
    [sym_set] = STATE(1397),
    [sym_import] = STATE(1397),
    [sym_include] = STATE(1397),
    [sym_for] = STATE(1397),
    [sym_while] = STATE(1397),
    [sym_show] = STATE(1397),
    [sym_return] = STATE(1397),
    [sym_flow] = STATE(1397),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2253),
    [sym_none] = ACTIONS(2253),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [436] = {
    [sym_raw_blck] = STATE(1398),
    [sym_raw_span] = STATE(1398),
    [sym_math] = STATE(1398),
    [sym__expr] = STATE(1398),
    [sym_ident] = STATE(1398),
    [sym_bool] = STATE(1398),
    [sym_number] = STATE(1398),
    [sym_string] = STATE(1398),
    [sym_tagged] = STATE(1398),
    [sym_context] = STATE(1398),
    [sym_elude] = STATE(1398),
    [sym_assign] = STATE(1398),
    [sym_lambda] = STATE(1398),
    [sym_or] = STATE(1398),
    [sym_not] = STATE(1398),
    [sym_and] = STATE(1398),
    [sym_cmp] = STATE(1398),
    [sym_in] = STATE(1398),
    [sym_add] = STATE(1398),
    [sym_sub] = STATE(1398),
    [sym_mul] = STATE(1398),
    [sym_div] = STATE(1398),
    [sym_sign] = STATE(1398),
    [sym_call] = STATE(1398),
    [sym_field] = STATE(1398),
    [sym_label] = STATE(1398),
    [sym_content] = STATE(1398),
    [sym_group] = STATE(1398),
    [sym_block] = STATE(1398),
    [sym_branch] = STATE(1398),
    [sym_let] = STATE(1398),
    [sym_set] = STATE(1398),
    [sym_import] = STATE(1398),
    [sym_include] = STATE(1398),
    [sym_for] = STATE(1398),
    [sym_while] = STATE(1398),
    [sym_show] = STATE(1398),
    [sym_return] = STATE(1398),
    [sym_flow] = STATE(1398),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2255),
    [sym_none] = ACTIONS(2255),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [437] = {
    [sym_raw_blck] = STATE(1404),
    [sym_raw_span] = STATE(1404),
    [sym_math] = STATE(1404),
    [sym__expr] = STATE(1404),
    [sym_ident] = STATE(1404),
    [sym_bool] = STATE(1404),
    [sym_number] = STATE(1404),
    [sym_string] = STATE(1404),
    [sym_tagged] = STATE(1404),
    [sym_context] = STATE(1404),
    [sym_elude] = STATE(1404),
    [sym_assign] = STATE(1404),
    [sym_lambda] = STATE(1404),
    [sym_or] = STATE(1404),
    [sym_not] = STATE(1404),
    [sym_and] = STATE(1404),
    [sym_cmp] = STATE(1404),
    [sym_in] = STATE(1404),
    [sym_add] = STATE(1404),
    [sym_sub] = STATE(1404),
    [sym_mul] = STATE(1404),
    [sym_div] = STATE(1404),
    [sym_sign] = STATE(1404),
    [sym_call] = STATE(1404),
    [sym_field] = STATE(1404),
    [sym_label] = STATE(1404),
    [sym_content] = STATE(1404),
    [sym_group] = STATE(1404),
    [sym_block] = STATE(1404),
    [sym_branch] = STATE(1404),
    [sym_let] = STATE(1404),
    [sym_set] = STATE(1404),
    [sym_import] = STATE(1404),
    [sym_include] = STATE(1404),
    [sym_for] = STATE(1404),
    [sym_while] = STATE(1404),
    [sym_show] = STATE(1404),
    [sym_return] = STATE(1404),
    [sym_flow] = STATE(1404),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2257),
    [sym_none] = ACTIONS(2257),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [438] = {
    [sym_raw_blck] = STATE(1405),
    [sym_raw_span] = STATE(1405),
    [sym_math] = STATE(1405),
    [sym__expr] = STATE(1405),
    [sym_ident] = STATE(1405),
    [sym_bool] = STATE(1405),
    [sym_number] = STATE(1405),
    [sym_string] = STATE(1405),
    [sym_tagged] = STATE(1405),
    [sym_context] = STATE(1405),
    [sym_elude] = STATE(1405),
    [sym_assign] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_or] = STATE(1405),
    [sym_not] = STATE(1405),
    [sym_and] = STATE(1405),
    [sym_cmp] = STATE(1405),
    [sym_in] = STATE(1405),
    [sym_add] = STATE(1405),
    [sym_sub] = STATE(1405),
    [sym_mul] = STATE(1405),
    [sym_div] = STATE(1405),
    [sym_sign] = STATE(1405),
    [sym_call] = STATE(1405),
    [sym_field] = STATE(1405),
    [sym_label] = STATE(1405),
    [sym_content] = STATE(1405),
    [sym_group] = STATE(1405),
    [sym_block] = STATE(1405),
    [sym_branch] = STATE(1405),
    [sym_let] = STATE(1405),
    [sym_set] = STATE(1405),
    [sym_import] = STATE(1405),
    [sym_include] = STATE(1405),
    [sym_for] = STATE(1405),
    [sym_while] = STATE(1405),
    [sym_show] = STATE(1405),
    [sym_return] = STATE(1405),
    [sym_flow] = STATE(1405),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2259),
    [sym_none] = ACTIONS(2259),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [439] = {
    [sym_raw_blck] = STATE(2599),
    [sym_raw_span] = STATE(2599),
    [sym_math] = STATE(2599),
    [sym__expr] = STATE(2599),
    [sym_ident] = STATE(2599),
    [sym_bool] = STATE(2599),
    [sym_number] = STATE(2599),
    [sym_string] = STATE(2599),
    [sym_tagged] = STATE(2599),
    [sym_context] = STATE(2599),
    [sym_elude] = STATE(2599),
    [sym_assign] = STATE(2599),
    [sym_lambda] = STATE(2599),
    [sym_or] = STATE(2599),
    [sym_not] = STATE(2599),
    [sym_and] = STATE(2599),
    [sym_cmp] = STATE(2599),
    [sym_in] = STATE(2599),
    [sym_add] = STATE(2599),
    [sym_sub] = STATE(2599),
    [sym_mul] = STATE(2599),
    [sym_div] = STATE(2599),
    [sym_sign] = STATE(2599),
    [sym_call] = STATE(2599),
    [sym_field] = STATE(2599),
    [sym_label] = STATE(2599),
    [sym_content] = STATE(2599),
    [sym_group] = STATE(2599),
    [sym_block] = STATE(2599),
    [sym_branch] = STATE(2599),
    [sym_let] = STATE(2599),
    [sym_set] = STATE(2599),
    [sym_import] = STATE(2599),
    [sym_include] = STATE(2599),
    [sym_for] = STATE(2599),
    [sym_while] = STATE(2599),
    [sym_show] = STATE(2599),
    [sym_return] = STATE(2599),
    [sym_flow] = STATE(2599),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2265),
    [sym_none] = ACTIONS(2265),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [440] = {
    [sym_raw_blck] = STATE(3010),
    [sym_raw_span] = STATE(3010),
    [sym_math] = STATE(3010),
    [sym__expr] = STATE(3010),
    [sym_ident] = STATE(3010),
    [sym_bool] = STATE(3010),
    [sym_number] = STATE(3010),
    [sym_string] = STATE(3010),
    [sym_tagged] = STATE(3010),
    [sym_context] = STATE(3010),
    [sym_elude] = STATE(3010),
    [sym_assign] = STATE(3010),
    [sym_lambda] = STATE(3010),
    [sym_or] = STATE(3010),
    [sym_not] = STATE(3010),
    [sym_and] = STATE(3010),
    [sym_cmp] = STATE(3010),
    [sym_in] = STATE(3010),
    [sym_add] = STATE(3010),
    [sym_sub] = STATE(3010),
    [sym_mul] = STATE(3010),
    [sym_div] = STATE(3010),
    [sym_sign] = STATE(3010),
    [sym_call] = STATE(2601),
    [sym_field] = STATE(3010),
    [sym_label] = STATE(3010),
    [sym_content] = STATE(3010),
    [sym_group] = STATE(3010),
    [sym_block] = STATE(3010),
    [sym_branch] = STATE(3010),
    [sym_let] = STATE(3010),
    [sym_set] = STATE(3010),
    [sym_import] = STATE(3010),
    [sym_include] = STATE(3010),
    [sym_for] = STATE(3010),
    [sym_while] = STATE(3010),
    [sym_show] = STATE(3010),
    [sym_return] = STATE(3010),
    [sym_flow] = STATE(3010),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2267),
    [sym_none] = ACTIONS(2267),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [441] = {
    [sym_raw_blck] = STATE(1913),
    [sym_raw_span] = STATE(1913),
    [sym_math] = STATE(1913),
    [sym__expr] = STATE(1913),
    [sym_ident] = STATE(1913),
    [sym_bool] = STATE(1913),
    [sym_number] = STATE(1913),
    [sym_string] = STATE(1913),
    [sym_tagged] = STATE(1913),
    [sym_context] = STATE(1913),
    [sym_elude] = STATE(1913),
    [sym_assign] = STATE(1913),
    [sym_lambda] = STATE(1913),
    [sym_or] = STATE(1913),
    [sym_not] = STATE(1913),
    [sym_and] = STATE(1913),
    [sym_cmp] = STATE(1913),
    [sym_in] = STATE(1913),
    [sym_add] = STATE(1913),
    [sym_sub] = STATE(1913),
    [sym_mul] = STATE(1913),
    [sym_div] = STATE(1913),
    [sym_sign] = STATE(1913),
    [sym_call] = STATE(1913),
    [sym_field] = STATE(1913),
    [sym_label] = STATE(1913),
    [sym_content] = STATE(1913),
    [sym_group] = STATE(1913),
    [sym_block] = STATE(1913),
    [sym_branch] = STATE(1913),
    [sym_let] = STATE(1913),
    [sym_set] = STATE(1913),
    [sym_import] = STATE(1913),
    [sym_include] = STATE(1913),
    [sym_for] = STATE(1913),
    [sym_while] = STATE(1913),
    [sym_show] = STATE(1913),
    [sym_return] = STATE(1913),
    [sym_flow] = STATE(1913),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2273),
    [sym_none] = ACTIONS(2273),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [442] = {
    [sym_raw_blck] = STATE(2831),
    [sym_raw_span] = STATE(2831),
    [sym_math] = STATE(2831),
    [sym__expr] = STATE(2831),
    [sym_ident] = STATE(2831),
    [sym_bool] = STATE(2831),
    [sym_number] = STATE(2831),
    [sym_string] = STATE(2831),
    [sym_tagged] = STATE(2831),
    [sym_context] = STATE(2831),
    [sym_elude] = STATE(2831),
    [sym_assign] = STATE(2831),
    [sym_lambda] = STATE(2831),
    [sym_or] = STATE(2831),
    [sym_not] = STATE(2831),
    [sym_and] = STATE(2831),
    [sym_cmp] = STATE(2831),
    [sym_in] = STATE(2831),
    [sym_add] = STATE(2831),
    [sym_sub] = STATE(2831),
    [sym_mul] = STATE(2831),
    [sym_div] = STATE(2831),
    [sym_sign] = STATE(2831),
    [sym_call] = STATE(2831),
    [sym_field] = STATE(2831),
    [sym_label] = STATE(2831),
    [sym_content] = STATE(2831),
    [sym_group] = STATE(2831),
    [sym_block] = STATE(2831),
    [sym_branch] = STATE(2831),
    [sym_let] = STATE(2831),
    [sym_set] = STATE(2831),
    [sym_import] = STATE(2831),
    [sym_include] = STATE(2831),
    [sym_for] = STATE(2831),
    [sym_while] = STATE(2831),
    [sym_show] = STATE(2831),
    [sym_return] = STATE(2831),
    [sym_flow] = STATE(2831),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2275),
    [sym_none] = ACTIONS(2275),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [443] = {
    [sym_raw_blck] = STATE(2921),
    [sym_raw_span] = STATE(2921),
    [sym_math] = STATE(2921),
    [sym__expr] = STATE(2921),
    [sym_ident] = STATE(2921),
    [sym_bool] = STATE(2921),
    [sym_number] = STATE(2921),
    [sym_string] = STATE(2921),
    [sym_tagged] = STATE(2921),
    [sym_context] = STATE(2921),
    [sym_elude] = STATE(2921),
    [sym_assign] = STATE(2921),
    [sym_lambda] = STATE(2921),
    [sym_or] = STATE(2921),
    [sym_not] = STATE(2921),
    [sym_and] = STATE(2921),
    [sym_cmp] = STATE(2921),
    [sym_in] = STATE(2921),
    [sym_add] = STATE(2921),
    [sym_sub] = STATE(2921),
    [sym_mul] = STATE(2921),
    [sym_div] = STATE(2921),
    [sym_sign] = STATE(2921),
    [sym_call] = STATE(2921),
    [sym_field] = STATE(2921),
    [sym_label] = STATE(2921),
    [sym_content] = STATE(2921),
    [sym_group] = STATE(2921),
    [sym_block] = STATE(2921),
    [sym_branch] = STATE(2921),
    [sym_let] = STATE(2921),
    [sym_set] = STATE(2921),
    [sym_import] = STATE(2921),
    [sym_include] = STATE(2921),
    [sym_for] = STATE(2921),
    [sym_while] = STATE(2921),
    [sym_show] = STATE(2921),
    [sym_return] = STATE(2921),
    [sym_flow] = STATE(2921),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2277),
    [sym_none] = ACTIONS(2277),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [444] = {
    [sym_raw_blck] = STATE(2240),
    [sym_raw_span] = STATE(2240),
    [sym_math] = STATE(2240),
    [sym__expr] = STATE(2240),
    [sym_ident] = STATE(2240),
    [sym_bool] = STATE(2240),
    [sym_number] = STATE(2240),
    [sym_string] = STATE(2240),
    [sym_tagged] = STATE(2240),
    [sym_context] = STATE(2240),
    [sym_elude] = STATE(2240),
    [sym_assign] = STATE(2240),
    [sym_lambda] = STATE(2240),
    [sym_or] = STATE(2240),
    [sym_not] = STATE(2240),
    [sym_and] = STATE(2240),
    [sym_cmp] = STATE(2240),
    [sym_in] = STATE(2240),
    [sym_add] = STATE(2240),
    [sym_sub] = STATE(2240),
    [sym_mul] = STATE(2240),
    [sym_div] = STATE(2240),
    [sym_sign] = STATE(2240),
    [sym_call] = STATE(2240),
    [sym_field] = STATE(2240),
    [sym_label] = STATE(2240),
    [sym_content] = STATE(2240),
    [sym_group] = STATE(2240),
    [sym_block] = STATE(2240),
    [sym_branch] = STATE(2240),
    [sym_let] = STATE(2240),
    [sym_set] = STATE(2240),
    [sym_import] = STATE(2240),
    [sym_include] = STATE(2240),
    [sym_for] = STATE(2240),
    [sym_while] = STATE(2240),
    [sym_show] = STATE(2240),
    [sym_return] = STATE(2240),
    [sym_flow] = STATE(2240),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2279),
    [sym_none] = ACTIONS(2279),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [445] = {
    [sym_raw_blck] = STATE(3035),
    [sym_raw_span] = STATE(3035),
    [sym_math] = STATE(3035),
    [sym__expr] = STATE(3035),
    [sym_ident] = STATE(3035),
    [sym_bool] = STATE(3035),
    [sym_number] = STATE(3035),
    [sym_string] = STATE(3035),
    [sym_tagged] = STATE(3035),
    [sym_context] = STATE(3035),
    [sym_elude] = STATE(3035),
    [sym_assign] = STATE(3035),
    [sym_lambda] = STATE(3035),
    [sym_or] = STATE(3035),
    [sym_not] = STATE(3035),
    [sym_and] = STATE(3035),
    [sym_cmp] = STATE(3035),
    [sym_in] = STATE(3035),
    [sym_add] = STATE(3035),
    [sym_sub] = STATE(3035),
    [sym_mul] = STATE(3035),
    [sym_div] = STATE(3035),
    [sym_sign] = STATE(3035),
    [sym_call] = STATE(2243),
    [sym_field] = STATE(3035),
    [sym_label] = STATE(3035),
    [sym_content] = STATE(3035),
    [sym_group] = STATE(3035),
    [sym_block] = STATE(3035),
    [sym_branch] = STATE(3035),
    [sym_let] = STATE(3035),
    [sym_set] = STATE(3035),
    [sym_import] = STATE(3035),
    [sym_include] = STATE(3035),
    [sym_for] = STATE(3035),
    [sym_while] = STATE(3035),
    [sym_show] = STATE(3035),
    [sym_return] = STATE(3035),
    [sym_flow] = STATE(3035),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2281),
    [sym_none] = ACTIONS(2281),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [446] = {
    [sym_raw_blck] = STATE(1437),
    [sym_raw_span] = STATE(1437),
    [sym_math] = STATE(1437),
    [sym__expr] = STATE(1437),
    [sym_ident] = STATE(1437),
    [sym_bool] = STATE(1437),
    [sym_number] = STATE(1437),
    [sym_string] = STATE(1437),
    [sym_tagged] = STATE(1437),
    [sym_context] = STATE(1437),
    [sym_elude] = STATE(1437),
    [sym_assign] = STATE(1437),
    [sym_lambda] = STATE(1437),
    [sym_or] = STATE(1437),
    [sym_not] = STATE(1437),
    [sym_and] = STATE(1437),
    [sym_cmp] = STATE(1437),
    [sym_in] = STATE(1437),
    [sym_add] = STATE(1437),
    [sym_sub] = STATE(1437),
    [sym_mul] = STATE(1437),
    [sym_div] = STATE(1437),
    [sym_sign] = STATE(1437),
    [sym_call] = STATE(1437),
    [sym_field] = STATE(1437),
    [sym_label] = STATE(1437),
    [sym_content] = STATE(1437),
    [sym_group] = STATE(1437),
    [sym_block] = STATE(1437),
    [sym_branch] = STATE(1437),
    [sym_let] = STATE(1437),
    [sym_set] = STATE(1437),
    [sym_import] = STATE(1437),
    [sym_include] = STATE(1437),
    [sym_for] = STATE(1437),
    [sym_while] = STATE(1437),
    [sym_show] = STATE(1437),
    [sym_return] = STATE(1437),
    [sym_flow] = STATE(1437),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2283),
    [sym_none] = ACTIONS(2283),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [447] = {
    [sym_raw_blck] = STATE(2634),
    [sym_raw_span] = STATE(2634),
    [sym_math] = STATE(2634),
    [sym__expr] = STATE(2634),
    [sym_ident] = STATE(2634),
    [sym_bool] = STATE(2634),
    [sym_number] = STATE(2634),
    [sym_string] = STATE(2634),
    [sym_tagged] = STATE(2634),
    [sym_context] = STATE(2634),
    [sym_elude] = STATE(2634),
    [sym_assign] = STATE(2634),
    [sym_lambda] = STATE(2634),
    [sym_or] = STATE(2634),
    [sym_not] = STATE(2634),
    [sym_and] = STATE(2634),
    [sym_cmp] = STATE(2634),
    [sym_in] = STATE(2634),
    [sym_add] = STATE(2634),
    [sym_sub] = STATE(2634),
    [sym_mul] = STATE(2634),
    [sym_div] = STATE(2634),
    [sym_sign] = STATE(2634),
    [sym_call] = STATE(2634),
    [sym_field] = STATE(2634),
    [sym_label] = STATE(2634),
    [sym_content] = STATE(2634),
    [sym_group] = STATE(2634),
    [sym_block] = STATE(2634),
    [sym_branch] = STATE(2634),
    [sym_let] = STATE(2634),
    [sym_set] = STATE(2634),
    [sym_import] = STATE(2634),
    [sym_include] = STATE(2634),
    [sym_for] = STATE(2634),
    [sym_while] = STATE(2634),
    [sym_show] = STATE(2634),
    [sym_return] = STATE(2634),
    [sym_flow] = STATE(2634),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2285),
    [sym_none] = ACTIONS(2285),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [448] = {
    [sym_raw_blck] = STATE(2922),
    [sym_raw_span] = STATE(2922),
    [sym_math] = STATE(2922),
    [sym__expr] = STATE(2922),
    [sym_ident] = STATE(2922),
    [sym_bool] = STATE(2922),
    [sym_number] = STATE(2922),
    [sym_string] = STATE(2922),
    [sym_tagged] = STATE(2922),
    [sym_context] = STATE(2922),
    [sym_elude] = STATE(2922),
    [sym_assign] = STATE(2922),
    [sym_lambda] = STATE(2922),
    [sym_or] = STATE(2922),
    [sym_not] = STATE(2922),
    [sym_and] = STATE(2922),
    [sym_cmp] = STATE(2922),
    [sym_in] = STATE(2922),
    [sym_add] = STATE(2922),
    [sym_sub] = STATE(2922),
    [sym_mul] = STATE(2922),
    [sym_div] = STATE(2922),
    [sym_sign] = STATE(2922),
    [sym_call] = STATE(2922),
    [sym_field] = STATE(2922),
    [sym_label] = STATE(2922),
    [sym_content] = STATE(2922),
    [sym_group] = STATE(2922),
    [sym_block] = STATE(2922),
    [sym_branch] = STATE(2922),
    [sym_let] = STATE(2922),
    [sym_set] = STATE(2922),
    [sym_import] = STATE(2922),
    [sym_include] = STATE(2922),
    [sym_for] = STATE(2922),
    [sym_while] = STATE(2922),
    [sym_show] = STATE(2922),
    [sym_return] = STATE(2922),
    [sym_flow] = STATE(2922),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2287),
    [sym_none] = ACTIONS(2287),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [449] = {
    [sym_raw_blck] = STATE(2571),
    [sym_raw_span] = STATE(2571),
    [sym_math] = STATE(2571),
    [sym__expr] = STATE(2571),
    [sym_ident] = STATE(2571),
    [sym_bool] = STATE(2571),
    [sym_number] = STATE(2571),
    [sym_string] = STATE(2571),
    [sym_tagged] = STATE(2571),
    [sym_context] = STATE(2571),
    [sym_elude] = STATE(2571),
    [sym_assign] = STATE(2571),
    [sym_lambda] = STATE(2571),
    [sym_or] = STATE(2571),
    [sym_not] = STATE(2571),
    [sym_and] = STATE(2571),
    [sym_cmp] = STATE(2571),
    [sym_in] = STATE(2571),
    [sym_add] = STATE(2571),
    [sym_sub] = STATE(2571),
    [sym_mul] = STATE(2571),
    [sym_div] = STATE(2571),
    [sym_sign] = STATE(2571),
    [sym_call] = STATE(2571),
    [sym_field] = STATE(2571),
    [sym_label] = STATE(2571),
    [sym_content] = STATE(2571),
    [sym_group] = STATE(2571),
    [sym_block] = STATE(2571),
    [sym_branch] = STATE(2571),
    [sym_let] = STATE(2571),
    [sym_set] = STATE(2571),
    [sym_import] = STATE(2571),
    [sym_include] = STATE(2571),
    [sym_for] = STATE(2571),
    [sym_while] = STATE(2571),
    [sym_show] = STATE(2571),
    [sym_return] = STATE(2571),
    [sym_flow] = STATE(2571),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(2289),
    [sym_none] = ACTIONS(2289),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [450] = {
    [sym_raw_blck] = STATE(3025),
    [sym_raw_span] = STATE(3025),
    [sym_math] = STATE(3025),
    [sym__expr] = STATE(3025),
    [sym_ident] = STATE(3025),
    [sym_bool] = STATE(3025),
    [sym_number] = STATE(3025),
    [sym_string] = STATE(3025),
    [sym_tagged] = STATE(3025),
    [sym_context] = STATE(3025),
    [sym_elude] = STATE(3025),
    [sym_assign] = STATE(3025),
    [sym_lambda] = STATE(3025),
    [sym_or] = STATE(3025),
    [sym_not] = STATE(3025),
    [sym_and] = STATE(3025),
    [sym_cmp] = STATE(3025),
    [sym_in] = STATE(3025),
    [sym_add] = STATE(3025),
    [sym_sub] = STATE(3025),
    [sym_mul] = STATE(3025),
    [sym_div] = STATE(3025),
    [sym_sign] = STATE(3025),
    [sym_call] = STATE(2572),
    [sym_field] = STATE(3025),
    [sym_label] = STATE(3025),
    [sym_content] = STATE(3025),
    [sym_group] = STATE(3025),
    [sym_block] = STATE(3025),
    [sym_branch] = STATE(3025),
    [sym_let] = STATE(3025),
    [sym_set] = STATE(3025),
    [sym_import] = STATE(3025),
    [sym_include] = STATE(3025),
    [sym_for] = STATE(3025),
    [sym_while] = STATE(3025),
    [sym_show] = STATE(3025),
    [sym_return] = STATE(3025),
    [sym_flow] = STATE(3025),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2291),
    [sym_none] = ACTIONS(2291),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [451] = {
    [sym_raw_blck] = STATE(1658),
    [sym_raw_span] = STATE(1658),
    [sym_math] = STATE(1658),
    [sym__expr] = STATE(1658),
    [sym_ident] = STATE(1658),
    [sym_bool] = STATE(1658),
    [sym_number] = STATE(1658),
    [sym_string] = STATE(1658),
    [sym_tagged] = STATE(1658),
    [sym_context] = STATE(1658),
    [sym_elude] = STATE(1658),
    [sym_assign] = STATE(1658),
    [sym_lambda] = STATE(1658),
    [sym_or] = STATE(1658),
    [sym_not] = STATE(1658),
    [sym_and] = STATE(1658),
    [sym_cmp] = STATE(1658),
    [sym_in] = STATE(1658),
    [sym_add] = STATE(1658),
    [sym_sub] = STATE(1658),
    [sym_mul] = STATE(1658),
    [sym_div] = STATE(1658),
    [sym_sign] = STATE(1658),
    [sym_call] = STATE(1658),
    [sym_field] = STATE(1658),
    [sym_label] = STATE(1658),
    [sym_content] = STATE(1658),
    [sym_group] = STATE(1658),
    [sym_block] = STATE(1658),
    [sym_branch] = STATE(1658),
    [sym_let] = STATE(1658),
    [sym_set] = STATE(1658),
    [sym_import] = STATE(1658),
    [sym_include] = STATE(1658),
    [sym_for] = STATE(1658),
    [sym_while] = STATE(1658),
    [sym_show] = STATE(1658),
    [sym_return] = STATE(1658),
    [sym_flow] = STATE(1658),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(2293),
    [sym_none] = ACTIONS(2293),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [452] = {
    [sym_raw_blck] = STATE(2762),
    [sym_raw_span] = STATE(2762),
    [sym_math] = STATE(2762),
    [sym__expr] = STATE(2762),
    [sym_ident] = STATE(2762),
    [sym_bool] = STATE(2762),
    [sym_number] = STATE(2762),
    [sym_string] = STATE(2762),
    [sym_tagged] = STATE(2762),
    [sym_context] = STATE(2762),
    [sym_elude] = STATE(2762),
    [sym_assign] = STATE(2762),
    [sym_lambda] = STATE(2762),
    [sym_or] = STATE(2762),
    [sym_not] = STATE(2762),
    [sym_and] = STATE(2762),
    [sym_cmp] = STATE(2762),
    [sym_in] = STATE(2762),
    [sym_add] = STATE(2762),
    [sym_sub] = STATE(2762),
    [sym_mul] = STATE(2762),
    [sym_div] = STATE(2762),
    [sym_sign] = STATE(2762),
    [sym_call] = STATE(2762),
    [sym_field] = STATE(2762),
    [sym_label] = STATE(2762),
    [sym_content] = STATE(2762),
    [sym_group] = STATE(2762),
    [sym_block] = STATE(2762),
    [sym_branch] = STATE(2762),
    [sym_let] = STATE(2762),
    [sym_set] = STATE(2762),
    [sym_import] = STATE(2762),
    [sym_include] = STATE(2762),
    [sym_for] = STATE(2762),
    [sym_while] = STATE(2762),
    [sym_show] = STATE(2762),
    [sym_return] = STATE(2762),
    [sym_flow] = STATE(2762),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2299),
    [sym_none] = ACTIONS(2299),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [453] = {
    [sym_raw_blck] = STATE(2923),
    [sym_raw_span] = STATE(2923),
    [sym_math] = STATE(2923),
    [sym__expr] = STATE(2923),
    [sym_ident] = STATE(2923),
    [sym_bool] = STATE(2923),
    [sym_number] = STATE(2923),
    [sym_string] = STATE(2923),
    [sym_tagged] = STATE(2923),
    [sym_context] = STATE(2923),
    [sym_elude] = STATE(2923),
    [sym_assign] = STATE(2923),
    [sym_lambda] = STATE(2923),
    [sym_or] = STATE(2923),
    [sym_not] = STATE(2923),
    [sym_and] = STATE(2923),
    [sym_cmp] = STATE(2923),
    [sym_in] = STATE(2923),
    [sym_add] = STATE(2923),
    [sym_sub] = STATE(2923),
    [sym_mul] = STATE(2923),
    [sym_div] = STATE(2923),
    [sym_sign] = STATE(2923),
    [sym_call] = STATE(2923),
    [sym_field] = STATE(2923),
    [sym_label] = STATE(2923),
    [sym_content] = STATE(2923),
    [sym_group] = STATE(2923),
    [sym_block] = STATE(2923),
    [sym_branch] = STATE(2923),
    [sym_let] = STATE(2923),
    [sym_set] = STATE(2923),
    [sym_import] = STATE(2923),
    [sym_include] = STATE(2923),
    [sym_for] = STATE(2923),
    [sym_while] = STATE(2923),
    [sym_show] = STATE(2923),
    [sym_return] = STATE(2923),
    [sym_flow] = STATE(2923),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2301),
    [sym_none] = ACTIONS(2301),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [454] = {
    [sym_raw_blck] = STATE(2306),
    [sym_raw_span] = STATE(2306),
    [sym_math] = STATE(2306),
    [sym__expr] = STATE(2306),
    [sym_ident] = STATE(2306),
    [sym_bool] = STATE(2306),
    [sym_number] = STATE(2306),
    [sym_string] = STATE(2306),
    [sym_tagged] = STATE(2306),
    [sym_context] = STATE(2306),
    [sym_elude] = STATE(2306),
    [sym_assign] = STATE(2306),
    [sym_lambda] = STATE(2306),
    [sym_or] = STATE(2306),
    [sym_not] = STATE(2306),
    [sym_and] = STATE(2306),
    [sym_cmp] = STATE(2306),
    [sym_in] = STATE(2306),
    [sym_add] = STATE(2306),
    [sym_sub] = STATE(2306),
    [sym_mul] = STATE(2306),
    [sym_div] = STATE(2306),
    [sym_sign] = STATE(2306),
    [sym_call] = STATE(2306),
    [sym_field] = STATE(2306),
    [sym_label] = STATE(2306),
    [sym_content] = STATE(2306),
    [sym_group] = STATE(2306),
    [sym_block] = STATE(2306),
    [sym_branch] = STATE(2306),
    [sym_let] = STATE(2306),
    [sym_set] = STATE(2306),
    [sym_import] = STATE(2306),
    [sym_include] = STATE(2306),
    [sym_for] = STATE(2306),
    [sym_while] = STATE(2306),
    [sym_show] = STATE(2306),
    [sym_return] = STATE(2306),
    [sym_flow] = STATE(2306),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(2303),
    [sym_none] = ACTIONS(2303),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [455] = {
    [sym_raw_blck] = STATE(3073),
    [sym_raw_span] = STATE(3073),
    [sym_math] = STATE(3073),
    [sym__expr] = STATE(3073),
    [sym_ident] = STATE(3073),
    [sym_bool] = STATE(3073),
    [sym_number] = STATE(3073),
    [sym_string] = STATE(3073),
    [sym_tagged] = STATE(3073),
    [sym_context] = STATE(3073),
    [sym_elude] = STATE(3073),
    [sym_assign] = STATE(3073),
    [sym_lambda] = STATE(3073),
    [sym_or] = STATE(3073),
    [sym_not] = STATE(3073),
    [sym_and] = STATE(3073),
    [sym_cmp] = STATE(3073),
    [sym_in] = STATE(3073),
    [sym_add] = STATE(3073),
    [sym_sub] = STATE(3073),
    [sym_mul] = STATE(3073),
    [sym_div] = STATE(3073),
    [sym_sign] = STATE(3073),
    [sym_call] = STATE(2307),
    [sym_field] = STATE(3073),
    [sym_label] = STATE(3073),
    [sym_content] = STATE(3073),
    [sym_group] = STATE(3073),
    [sym_block] = STATE(3073),
    [sym_branch] = STATE(3073),
    [sym_let] = STATE(3073),
    [sym_set] = STATE(3073),
    [sym_import] = STATE(3073),
    [sym_include] = STATE(3073),
    [sym_for] = STATE(3073),
    [sym_while] = STATE(3073),
    [sym_show] = STATE(3073),
    [sym_return] = STATE(3073),
    [sym_flow] = STATE(3073),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2305),
    [sym_none] = ACTIONS(2305),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [456] = {
    [sym_raw_blck] = STATE(1599),
    [sym_raw_span] = STATE(1599),
    [sym_math] = STATE(1599),
    [sym__expr] = STATE(1599),
    [sym_ident] = STATE(1599),
    [sym_bool] = STATE(1599),
    [sym_number] = STATE(1599),
    [sym_string] = STATE(1599),
    [sym_tagged] = STATE(1599),
    [sym_context] = STATE(1599),
    [sym_elude] = STATE(1599),
    [sym_assign] = STATE(1599),
    [sym_lambda] = STATE(1599),
    [sym_or] = STATE(1599),
    [sym_not] = STATE(1599),
    [sym_and] = STATE(1599),
    [sym_cmp] = STATE(1599),
    [sym_in] = STATE(1599),
    [sym_add] = STATE(1599),
    [sym_sub] = STATE(1599),
    [sym_mul] = STATE(1599),
    [sym_div] = STATE(1599),
    [sym_sign] = STATE(1599),
    [sym_call] = STATE(1599),
    [sym_field] = STATE(1599),
    [sym_label] = STATE(1599),
    [sym_content] = STATE(1599),
    [sym_group] = STATE(1599),
    [sym_block] = STATE(1599),
    [sym_branch] = STATE(1599),
    [sym_let] = STATE(1599),
    [sym_set] = STATE(1599),
    [sym_import] = STATE(1599),
    [sym_include] = STATE(1599),
    [sym_for] = STATE(1599),
    [sym_while] = STATE(1599),
    [sym_show] = STATE(1599),
    [sym_return] = STATE(1599),
    [sym_flow] = STATE(1599),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2307),
    [sym_none] = ACTIONS(2307),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [457] = {
    [sym_raw_blck] = STATE(2091),
    [sym_raw_span] = STATE(2091),
    [sym_math] = STATE(2091),
    [sym__expr] = STATE(2091),
    [sym_ident] = STATE(2091),
    [sym_bool] = STATE(2091),
    [sym_number] = STATE(2091),
    [sym_string] = STATE(2091),
    [sym_tagged] = STATE(2091),
    [sym_context] = STATE(2091),
    [sym_elude] = STATE(2091),
    [sym_assign] = STATE(2091),
    [sym_lambda] = STATE(2091),
    [sym_or] = STATE(2091),
    [sym_not] = STATE(2091),
    [sym_and] = STATE(2091),
    [sym_cmp] = STATE(2091),
    [sym_in] = STATE(2091),
    [sym_add] = STATE(2091),
    [sym_sub] = STATE(2091),
    [sym_mul] = STATE(2091),
    [sym_div] = STATE(2091),
    [sym_sign] = STATE(2091),
    [sym_call] = STATE(2091),
    [sym_field] = STATE(2091),
    [sym_label] = STATE(2091),
    [sym_content] = STATE(2091),
    [sym_group] = STATE(2091),
    [sym_block] = STATE(2091),
    [sym_branch] = STATE(2091),
    [sym_let] = STATE(2091),
    [sym_set] = STATE(2091),
    [sym_import] = STATE(2091),
    [sym_include] = STATE(2091),
    [sym_for] = STATE(2091),
    [sym_while] = STATE(2091),
    [sym_show] = STATE(2091),
    [sym_return] = STATE(2091),
    [sym_flow] = STATE(2091),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2313),
    [sym_none] = ACTIONS(2313),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [458] = {
    [sym_raw_blck] = STATE(2925),
    [sym_raw_span] = STATE(2925),
    [sym_math] = STATE(2925),
    [sym__expr] = STATE(2925),
    [sym_ident] = STATE(2925),
    [sym_bool] = STATE(2925),
    [sym_number] = STATE(2925),
    [sym_string] = STATE(2925),
    [sym_tagged] = STATE(2925),
    [sym_context] = STATE(2925),
    [sym_elude] = STATE(2925),
    [sym_assign] = STATE(2925),
    [sym_lambda] = STATE(2925),
    [sym_or] = STATE(2925),
    [sym_not] = STATE(2925),
    [sym_and] = STATE(2925),
    [sym_cmp] = STATE(2925),
    [sym_in] = STATE(2925),
    [sym_add] = STATE(2925),
    [sym_sub] = STATE(2925),
    [sym_mul] = STATE(2925),
    [sym_div] = STATE(2925),
    [sym_sign] = STATE(2925),
    [sym_call] = STATE(2925),
    [sym_field] = STATE(2925),
    [sym_label] = STATE(2925),
    [sym_content] = STATE(2925),
    [sym_group] = STATE(2925),
    [sym_block] = STATE(2925),
    [sym_branch] = STATE(2925),
    [sym_let] = STATE(2925),
    [sym_set] = STATE(2925),
    [sym_import] = STATE(2925),
    [sym_include] = STATE(2925),
    [sym_for] = STATE(2925),
    [sym_while] = STATE(2925),
    [sym_show] = STATE(2925),
    [sym_return] = STATE(2925),
    [sym_flow] = STATE(2925),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2315),
    [sym_none] = ACTIONS(2315),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [459] = {
    [sym_raw_blck] = STATE(1806),
    [sym_raw_span] = STATE(1806),
    [sym_math] = STATE(1806),
    [sym__expr] = STATE(1806),
    [sym_ident] = STATE(1806),
    [sym_bool] = STATE(1806),
    [sym_number] = STATE(1806),
    [sym_string] = STATE(1806),
    [sym_tagged] = STATE(1806),
    [sym_context] = STATE(1806),
    [sym_elude] = STATE(1806),
    [sym_assign] = STATE(1806),
    [sym_lambda] = STATE(1806),
    [sym_or] = STATE(1806),
    [sym_not] = STATE(1806),
    [sym_and] = STATE(1806),
    [sym_cmp] = STATE(1806),
    [sym_in] = STATE(1806),
    [sym_add] = STATE(1806),
    [sym_sub] = STATE(1806),
    [sym_mul] = STATE(1806),
    [sym_div] = STATE(1806),
    [sym_sign] = STATE(1806),
    [sym_call] = STATE(1806),
    [sym_field] = STATE(1806),
    [sym_label] = STATE(1806),
    [sym_content] = STATE(1806),
    [sym_group] = STATE(1806),
    [sym_block] = STATE(1806),
    [sym_branch] = STATE(1806),
    [sym_let] = STATE(1806),
    [sym_set] = STATE(1806),
    [sym_import] = STATE(1806),
    [sym_include] = STATE(1806),
    [sym_for] = STATE(1806),
    [sym_while] = STATE(1806),
    [sym_show] = STATE(1806),
    [sym_return] = STATE(1806),
    [sym_flow] = STATE(1806),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2317),
    [sym_none] = ACTIONS(2317),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [460] = {
    [sym_raw_blck] = STATE(3017),
    [sym_raw_span] = STATE(3017),
    [sym_math] = STATE(3017),
    [sym__expr] = STATE(3017),
    [sym_ident] = STATE(3017),
    [sym_bool] = STATE(3017),
    [sym_number] = STATE(3017),
    [sym_string] = STATE(3017),
    [sym_tagged] = STATE(3017),
    [sym_context] = STATE(3017),
    [sym_elude] = STATE(3017),
    [sym_assign] = STATE(3017),
    [sym_lambda] = STATE(3017),
    [sym_or] = STATE(3017),
    [sym_not] = STATE(3017),
    [sym_and] = STATE(3017),
    [sym_cmp] = STATE(3017),
    [sym_in] = STATE(3017),
    [sym_add] = STATE(3017),
    [sym_sub] = STATE(3017),
    [sym_mul] = STATE(3017),
    [sym_div] = STATE(3017),
    [sym_sign] = STATE(3017),
    [sym_call] = STATE(2286),
    [sym_field] = STATE(3017),
    [sym_label] = STATE(3017),
    [sym_content] = STATE(3017),
    [sym_group] = STATE(3017),
    [sym_block] = STATE(3017),
    [sym_branch] = STATE(3017),
    [sym_let] = STATE(3017),
    [sym_set] = STATE(3017),
    [sym_import] = STATE(3017),
    [sym_include] = STATE(3017),
    [sym_for] = STATE(3017),
    [sym_while] = STATE(3017),
    [sym_show] = STATE(3017),
    [sym_return] = STATE(3017),
    [sym_flow] = STATE(3017),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2319),
    [sym_none] = ACTIONS(2319),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [461] = {
    [sym_raw_blck] = STATE(1526),
    [sym_raw_span] = STATE(1526),
    [sym_math] = STATE(1526),
    [sym__expr] = STATE(1526),
    [sym_ident] = STATE(1526),
    [sym_bool] = STATE(1526),
    [sym_number] = STATE(1526),
    [sym_string] = STATE(1526),
    [sym_tagged] = STATE(1526),
    [sym_context] = STATE(1526),
    [sym_elude] = STATE(1526),
    [sym_assign] = STATE(1526),
    [sym_lambda] = STATE(1526),
    [sym_or] = STATE(1526),
    [sym_not] = STATE(1526),
    [sym_and] = STATE(1526),
    [sym_cmp] = STATE(1526),
    [sym_in] = STATE(1526),
    [sym_add] = STATE(1526),
    [sym_sub] = STATE(1526),
    [sym_mul] = STATE(1526),
    [sym_div] = STATE(1526),
    [sym_sign] = STATE(1526),
    [sym_call] = STATE(1526),
    [sym_field] = STATE(1526),
    [sym_label] = STATE(1526),
    [sym_content] = STATE(1526),
    [sym_group] = STATE(1526),
    [sym_block] = STATE(1526),
    [sym_branch] = STATE(1526),
    [sym_let] = STATE(1526),
    [sym_set] = STATE(1526),
    [sym_import] = STATE(1526),
    [sym_include] = STATE(1526),
    [sym_for] = STATE(1526),
    [sym_while] = STATE(1526),
    [sym_show] = STATE(1526),
    [sym_return] = STATE(1526),
    [sym_flow] = STATE(1526),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2321),
    [sym_none] = ACTIONS(2321),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [462] = {
    [sym_raw_blck] = STATE(1909),
    [sym_raw_span] = STATE(1909),
    [sym_math] = STATE(1909),
    [sym__expr] = STATE(1909),
    [sym_ident] = STATE(1909),
    [sym_bool] = STATE(1909),
    [sym_number] = STATE(1909),
    [sym_string] = STATE(1909),
    [sym_tagged] = STATE(1909),
    [sym_context] = STATE(1909),
    [sym_elude] = STATE(1909),
    [sym_assign] = STATE(1909),
    [sym_lambda] = STATE(1909),
    [sym_or] = STATE(1909),
    [sym_not] = STATE(1909),
    [sym_and] = STATE(1909),
    [sym_cmp] = STATE(1909),
    [sym_in] = STATE(1909),
    [sym_add] = STATE(1909),
    [sym_sub] = STATE(1909),
    [sym_mul] = STATE(1909),
    [sym_div] = STATE(1909),
    [sym_sign] = STATE(1909),
    [sym_call] = STATE(1909),
    [sym_field] = STATE(1909),
    [sym_label] = STATE(1909),
    [sym_content] = STATE(1909),
    [sym_group] = STATE(1909),
    [sym_block] = STATE(1909),
    [sym_branch] = STATE(1909),
    [sym_let] = STATE(1909),
    [sym_set] = STATE(1909),
    [sym_import] = STATE(1909),
    [sym_include] = STATE(1909),
    [sym_for] = STATE(1909),
    [sym_while] = STATE(1909),
    [sym_show] = STATE(1909),
    [sym_return] = STATE(1909),
    [sym_flow] = STATE(1909),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2323),
    [sym_none] = ACTIONS(2323),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [463] = {
    [sym_raw_blck] = STATE(2926),
    [sym_raw_span] = STATE(2926),
    [sym_math] = STATE(2926),
    [sym__expr] = STATE(2926),
    [sym_ident] = STATE(2926),
    [sym_bool] = STATE(2926),
    [sym_number] = STATE(2926),
    [sym_string] = STATE(2926),
    [sym_tagged] = STATE(2926),
    [sym_context] = STATE(2926),
    [sym_elude] = STATE(2926),
    [sym_assign] = STATE(2926),
    [sym_lambda] = STATE(2926),
    [sym_or] = STATE(2926),
    [sym_not] = STATE(2926),
    [sym_and] = STATE(2926),
    [sym_cmp] = STATE(2926),
    [sym_in] = STATE(2926),
    [sym_add] = STATE(2926),
    [sym_sub] = STATE(2926),
    [sym_mul] = STATE(2926),
    [sym_div] = STATE(2926),
    [sym_sign] = STATE(2926),
    [sym_call] = STATE(2926),
    [sym_field] = STATE(2926),
    [sym_label] = STATE(2926),
    [sym_content] = STATE(2926),
    [sym_group] = STATE(2926),
    [sym_block] = STATE(2926),
    [sym_branch] = STATE(2926),
    [sym_let] = STATE(2926),
    [sym_set] = STATE(2926),
    [sym_import] = STATE(2926),
    [sym_include] = STATE(2926),
    [sym_for] = STATE(2926),
    [sym_while] = STATE(2926),
    [sym_show] = STATE(2926),
    [sym_return] = STATE(2926),
    [sym_flow] = STATE(2926),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2325),
    [sym_none] = ACTIONS(2325),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [464] = {
    [sym_raw_blck] = STATE(1543),
    [sym_raw_span] = STATE(1543),
    [sym_math] = STATE(1543),
    [sym__expr] = STATE(1543),
    [sym_ident] = STATE(1543),
    [sym_bool] = STATE(1543),
    [sym_number] = STATE(1543),
    [sym_string] = STATE(1543),
    [sym_tagged] = STATE(1543),
    [sym_context] = STATE(1543),
    [sym_elude] = STATE(1543),
    [sym_assign] = STATE(1543),
    [sym_lambda] = STATE(1543),
    [sym_or] = STATE(1543),
    [sym_not] = STATE(1543),
    [sym_and] = STATE(1543),
    [sym_cmp] = STATE(1543),
    [sym_in] = STATE(1543),
    [sym_add] = STATE(1543),
    [sym_sub] = STATE(1543),
    [sym_mul] = STATE(1543),
    [sym_div] = STATE(1543),
    [sym_sign] = STATE(1543),
    [sym_call] = STATE(1543),
    [sym_field] = STATE(1543),
    [sym_label] = STATE(1543),
    [sym_content] = STATE(1543),
    [sym_group] = STATE(1543),
    [sym_block] = STATE(1543),
    [sym_branch] = STATE(1543),
    [sym_let] = STATE(1543),
    [sym_set] = STATE(1543),
    [sym_import] = STATE(1543),
    [sym_include] = STATE(1543),
    [sym_for] = STATE(1543),
    [sym_while] = STATE(1543),
    [sym_show] = STATE(1543),
    [sym_return] = STATE(1543),
    [sym_flow] = STATE(1543),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2327),
    [sym_none] = ACTIONS(2327),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [465] = {
    [sym_raw_blck] = STATE(3028),
    [sym_raw_span] = STATE(3028),
    [sym_math] = STATE(3028),
    [sym__expr] = STATE(3028),
    [sym_ident] = STATE(3028),
    [sym_bool] = STATE(3028),
    [sym_number] = STATE(3028),
    [sym_string] = STATE(3028),
    [sym_tagged] = STATE(3028),
    [sym_context] = STATE(3028),
    [sym_elude] = STATE(3028),
    [sym_assign] = STATE(3028),
    [sym_lambda] = STATE(3028),
    [sym_or] = STATE(3028),
    [sym_not] = STATE(3028),
    [sym_and] = STATE(3028),
    [sym_cmp] = STATE(3028),
    [sym_in] = STATE(3028),
    [sym_add] = STATE(3028),
    [sym_sub] = STATE(3028),
    [sym_mul] = STATE(3028),
    [sym_div] = STATE(3028),
    [sym_sign] = STATE(3028),
    [sym_call] = STATE(1872),
    [sym_field] = STATE(3028),
    [sym_label] = STATE(3028),
    [sym_content] = STATE(3028),
    [sym_group] = STATE(3028),
    [sym_block] = STATE(3028),
    [sym_branch] = STATE(3028),
    [sym_let] = STATE(3028),
    [sym_set] = STATE(3028),
    [sym_import] = STATE(3028),
    [sym_include] = STATE(3028),
    [sym_for] = STATE(3028),
    [sym_while] = STATE(3028),
    [sym_show] = STATE(3028),
    [sym_return] = STATE(3028),
    [sym_flow] = STATE(3028),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2329),
    [sym_none] = ACTIONS(2329),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [466] = {
    [sym_raw_blck] = STATE(1506),
    [sym_raw_span] = STATE(1506),
    [sym_math] = STATE(1506),
    [sym__expr] = STATE(1506),
    [sym_ident] = STATE(1506),
    [sym_bool] = STATE(1506),
    [sym_number] = STATE(1506),
    [sym_string] = STATE(1506),
    [sym_tagged] = STATE(1506),
    [sym_context] = STATE(1506),
    [sym_elude] = STATE(1506),
    [sym_assign] = STATE(1506),
    [sym_lambda] = STATE(1506),
    [sym_or] = STATE(1506),
    [sym_not] = STATE(1506),
    [sym_and] = STATE(1506),
    [sym_cmp] = STATE(1506),
    [sym_in] = STATE(1506),
    [sym_add] = STATE(1506),
    [sym_sub] = STATE(1506),
    [sym_mul] = STATE(1506),
    [sym_div] = STATE(1506),
    [sym_sign] = STATE(1506),
    [sym_call] = STATE(1506),
    [sym_field] = STATE(1506),
    [sym_label] = STATE(1506),
    [sym_content] = STATE(1506),
    [sym_group] = STATE(1506),
    [sym_block] = STATE(1506),
    [sym_branch] = STATE(1506),
    [sym_let] = STATE(1506),
    [sym_set] = STATE(1506),
    [sym_import] = STATE(1506),
    [sym_include] = STATE(1506),
    [sym_for] = STATE(1506),
    [sym_while] = STATE(1506),
    [sym_show] = STATE(1506),
    [sym_return] = STATE(1506),
    [sym_flow] = STATE(1506),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2331),
    [sym_none] = ACTIONS(2331),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [467] = {
    [sym_raw_blck] = STATE(2517),
    [sym_raw_span] = STATE(2517),
    [sym_math] = STATE(2517),
    [sym__expr] = STATE(2517),
    [sym_ident] = STATE(2517),
    [sym_bool] = STATE(2517),
    [sym_number] = STATE(2517),
    [sym_string] = STATE(2517),
    [sym_tagged] = STATE(2517),
    [sym_context] = STATE(2517),
    [sym_elude] = STATE(2517),
    [sym_assign] = STATE(2517),
    [sym_lambda] = STATE(2517),
    [sym_or] = STATE(2517),
    [sym_not] = STATE(2517),
    [sym_and] = STATE(2517),
    [sym_cmp] = STATE(2517),
    [sym_in] = STATE(2517),
    [sym_add] = STATE(2517),
    [sym_sub] = STATE(2517),
    [sym_mul] = STATE(2517),
    [sym_div] = STATE(2517),
    [sym_sign] = STATE(2517),
    [sym_call] = STATE(2517),
    [sym_field] = STATE(2517),
    [sym_label] = STATE(2517),
    [sym_content] = STATE(2517),
    [sym_group] = STATE(2517),
    [sym_block] = STATE(2517),
    [sym_branch] = STATE(2517),
    [sym_let] = STATE(2517),
    [sym_set] = STATE(2517),
    [sym_import] = STATE(2517),
    [sym_include] = STATE(2517),
    [sym_for] = STATE(2517),
    [sym_while] = STATE(2517),
    [sym_show] = STATE(2517),
    [sym_return] = STATE(2517),
    [sym_flow] = STATE(2517),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2333),
    [sym_none] = ACTIONS(2333),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [468] = {
    [sym_raw_blck] = STATE(2965),
    [sym_raw_span] = STATE(2965),
    [sym_math] = STATE(2965),
    [sym__expr] = STATE(2965),
    [sym_ident] = STATE(2965),
    [sym_bool] = STATE(2965),
    [sym_number] = STATE(2965),
    [sym_string] = STATE(2965),
    [sym_tagged] = STATE(2965),
    [sym_context] = STATE(2965),
    [sym_elude] = STATE(2965),
    [sym_assign] = STATE(2965),
    [sym_lambda] = STATE(2965),
    [sym_or] = STATE(2965),
    [sym_not] = STATE(2965),
    [sym_and] = STATE(2965),
    [sym_cmp] = STATE(2965),
    [sym_in] = STATE(2965),
    [sym_add] = STATE(2965),
    [sym_sub] = STATE(2965),
    [sym_mul] = STATE(2965),
    [sym_div] = STATE(2965),
    [sym_sign] = STATE(2965),
    [sym_call] = STATE(2965),
    [sym_field] = STATE(2965),
    [sym_label] = STATE(2965),
    [sym_content] = STATE(2965),
    [sym_group] = STATE(2965),
    [sym_block] = STATE(2965),
    [sym_branch] = STATE(2965),
    [sym_let] = STATE(2965),
    [sym_set] = STATE(2965),
    [sym_import] = STATE(2965),
    [sym_include] = STATE(2965),
    [sym_for] = STATE(2965),
    [sym_while] = STATE(2965),
    [sym_show] = STATE(2965),
    [sym_return] = STATE(2965),
    [sym_flow] = STATE(2965),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2335),
    [sym_none] = ACTIONS(2335),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [469] = {
    [sym_raw_blck] = STATE(2485),
    [sym_raw_span] = STATE(2485),
    [sym_math] = STATE(2485),
    [sym__expr] = STATE(2485),
    [sym_ident] = STATE(2485),
    [sym_bool] = STATE(2485),
    [sym_number] = STATE(2485),
    [sym_string] = STATE(2485),
    [sym_tagged] = STATE(2485),
    [sym_context] = STATE(2485),
    [sym_elude] = STATE(2485),
    [sym_assign] = STATE(2485),
    [sym_lambda] = STATE(2485),
    [sym_or] = STATE(2485),
    [sym_not] = STATE(2485),
    [sym_and] = STATE(2485),
    [sym_cmp] = STATE(2485),
    [sym_in] = STATE(2485),
    [sym_add] = STATE(2485),
    [sym_sub] = STATE(2485),
    [sym_mul] = STATE(2485),
    [sym_div] = STATE(2485),
    [sym_sign] = STATE(2485),
    [sym_call] = STATE(2485),
    [sym_field] = STATE(2485),
    [sym_label] = STATE(2485),
    [sym_content] = STATE(2485),
    [sym_group] = STATE(2485),
    [sym_block] = STATE(2485),
    [sym_branch] = STATE(2485),
    [sym_let] = STATE(2485),
    [sym_set] = STATE(2485),
    [sym_import] = STATE(2485),
    [sym_include] = STATE(2485),
    [sym_for] = STATE(2485),
    [sym_while] = STATE(2485),
    [sym_show] = STATE(2485),
    [sym_return] = STATE(2485),
    [sym_flow] = STATE(2485),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2337),
    [sym_none] = ACTIONS(2337),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [470] = {
    [sym_raw_blck] = STATE(3051),
    [sym_raw_span] = STATE(3051),
    [sym_math] = STATE(3051),
    [sym__expr] = STATE(3051),
    [sym_ident] = STATE(3051),
    [sym_bool] = STATE(3051),
    [sym_number] = STATE(3051),
    [sym_string] = STATE(3051),
    [sym_tagged] = STATE(3051),
    [sym_context] = STATE(3051),
    [sym_elude] = STATE(3051),
    [sym_assign] = STATE(3051),
    [sym_lambda] = STATE(3051),
    [sym_or] = STATE(3051),
    [sym_not] = STATE(3051),
    [sym_and] = STATE(3051),
    [sym_cmp] = STATE(3051),
    [sym_in] = STATE(3051),
    [sym_add] = STATE(3051),
    [sym_sub] = STATE(3051),
    [sym_mul] = STATE(3051),
    [sym_div] = STATE(3051),
    [sym_sign] = STATE(3051),
    [sym_call] = STATE(1560),
    [sym_field] = STATE(3051),
    [sym_label] = STATE(3051),
    [sym_content] = STATE(3051),
    [sym_group] = STATE(3051),
    [sym_block] = STATE(3051),
    [sym_branch] = STATE(3051),
    [sym_let] = STATE(3051),
    [sym_set] = STATE(3051),
    [sym_import] = STATE(3051),
    [sym_include] = STATE(3051),
    [sym_for] = STATE(3051),
    [sym_while] = STATE(3051),
    [sym_show] = STATE(3051),
    [sym_return] = STATE(3051),
    [sym_flow] = STATE(3051),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2339),
    [sym_none] = ACTIONS(2339),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [471] = {
    [sym_raw_blck] = STATE(1544),
    [sym_raw_span] = STATE(1544),
    [sym_math] = STATE(1544),
    [sym__expr] = STATE(1544),
    [sym_ident] = STATE(1544),
    [sym_bool] = STATE(1544),
    [sym_number] = STATE(1544),
    [sym_string] = STATE(1544),
    [sym_tagged] = STATE(1544),
    [sym_context] = STATE(1544),
    [sym_elude] = STATE(1544),
    [sym_assign] = STATE(1544),
    [sym_lambda] = STATE(1544),
    [sym_or] = STATE(1544),
    [sym_not] = STATE(1544),
    [sym_and] = STATE(1544),
    [sym_cmp] = STATE(1544),
    [sym_in] = STATE(1544),
    [sym_add] = STATE(1544),
    [sym_sub] = STATE(1544),
    [sym_mul] = STATE(1544),
    [sym_div] = STATE(1544),
    [sym_sign] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_field] = STATE(1544),
    [sym_label] = STATE(1544),
    [sym_content] = STATE(1544),
    [sym_group] = STATE(1544),
    [sym_block] = STATE(1544),
    [sym_branch] = STATE(1544),
    [sym_let] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_import] = STATE(1544),
    [sym_include] = STATE(1544),
    [sym_for] = STATE(1544),
    [sym_while] = STATE(1544),
    [sym_show] = STATE(1544),
    [sym_return] = STATE(1544),
    [sym_flow] = STATE(1544),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2341),
    [sym_none] = ACTIONS(2341),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [472] = {
    [sym_raw_blck] = STATE(2366),
    [sym_raw_span] = STATE(2366),
    [sym_math] = STATE(2366),
    [sym__expr] = STATE(2366),
    [sym_ident] = STATE(2366),
    [sym_bool] = STATE(2366),
    [sym_number] = STATE(2366),
    [sym_string] = STATE(2366),
    [sym_tagged] = STATE(2366),
    [sym_context] = STATE(2366),
    [sym_elude] = STATE(2366),
    [sym_assign] = STATE(2366),
    [sym_lambda] = STATE(2366),
    [sym_or] = STATE(2366),
    [sym_not] = STATE(2366),
    [sym_and] = STATE(2366),
    [sym_cmp] = STATE(2366),
    [sym_in] = STATE(2366),
    [sym_add] = STATE(2366),
    [sym_sub] = STATE(2366),
    [sym_mul] = STATE(2366),
    [sym_div] = STATE(2366),
    [sym_sign] = STATE(2366),
    [sym_call] = STATE(2366),
    [sym_field] = STATE(2366),
    [sym_label] = STATE(2366),
    [sym_content] = STATE(2366),
    [sym_group] = STATE(2366),
    [sym_block] = STATE(2366),
    [sym_branch] = STATE(2366),
    [sym_let] = STATE(2366),
    [sym_set] = STATE(2366),
    [sym_import] = STATE(2366),
    [sym_include] = STATE(2366),
    [sym_for] = STATE(2366),
    [sym_while] = STATE(2366),
    [sym_show] = STATE(2366),
    [sym_return] = STATE(2366),
    [sym_flow] = STATE(2366),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2343),
    [sym_none] = ACTIONS(2343),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [473] = {
    [sym_raw_blck] = STATE(2966),
    [sym_raw_span] = STATE(2966),
    [sym_math] = STATE(2966),
    [sym__expr] = STATE(2966),
    [sym_ident] = STATE(2966),
    [sym_bool] = STATE(2966),
    [sym_number] = STATE(2966),
    [sym_string] = STATE(2966),
    [sym_tagged] = STATE(2966),
    [sym_context] = STATE(2966),
    [sym_elude] = STATE(2966),
    [sym_assign] = STATE(2966),
    [sym_lambda] = STATE(2966),
    [sym_or] = STATE(2966),
    [sym_not] = STATE(2966),
    [sym_and] = STATE(2966),
    [sym_cmp] = STATE(2966),
    [sym_in] = STATE(2966),
    [sym_add] = STATE(2966),
    [sym_sub] = STATE(2966),
    [sym_mul] = STATE(2966),
    [sym_div] = STATE(2966),
    [sym_sign] = STATE(2966),
    [sym_call] = STATE(2966),
    [sym_field] = STATE(2966),
    [sym_label] = STATE(2966),
    [sym_content] = STATE(2966),
    [sym_group] = STATE(2966),
    [sym_block] = STATE(2966),
    [sym_branch] = STATE(2966),
    [sym_let] = STATE(2966),
    [sym_set] = STATE(2966),
    [sym_import] = STATE(2966),
    [sym_include] = STATE(2966),
    [sym_for] = STATE(2966),
    [sym_while] = STATE(2966),
    [sym_show] = STATE(2966),
    [sym_return] = STATE(2966),
    [sym_flow] = STATE(2966),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2345),
    [sym_none] = ACTIONS(2345),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [474] = {
    [sym_raw_blck] = STATE(1906),
    [sym_raw_span] = STATE(1906),
    [sym_math] = STATE(1906),
    [sym__expr] = STATE(1906),
    [sym_ident] = STATE(1906),
    [sym_bool] = STATE(1906),
    [sym_number] = STATE(1906),
    [sym_string] = STATE(1906),
    [sym_tagged] = STATE(1906),
    [sym_context] = STATE(1906),
    [sym_elude] = STATE(1906),
    [sym_assign] = STATE(1906),
    [sym_lambda] = STATE(1906),
    [sym_or] = STATE(1906),
    [sym_not] = STATE(1906),
    [sym_and] = STATE(1906),
    [sym_cmp] = STATE(1906),
    [sym_in] = STATE(1906),
    [sym_add] = STATE(1906),
    [sym_sub] = STATE(1906),
    [sym_mul] = STATE(1906),
    [sym_div] = STATE(1906),
    [sym_sign] = STATE(1906),
    [sym_call] = STATE(1906),
    [sym_field] = STATE(1906),
    [sym_label] = STATE(1906),
    [sym_content] = STATE(1906),
    [sym_group] = STATE(1906),
    [sym_block] = STATE(1906),
    [sym_branch] = STATE(1906),
    [sym_let] = STATE(1906),
    [sym_set] = STATE(1906),
    [sym_import] = STATE(1906),
    [sym_include] = STATE(1906),
    [sym_for] = STATE(1906),
    [sym_while] = STATE(1906),
    [sym_show] = STATE(1906),
    [sym_return] = STATE(1906),
    [sym_flow] = STATE(1906),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2347),
    [sym_none] = ACTIONS(2347),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [475] = {
    [sym_raw_blck] = STATE(3062),
    [sym_raw_span] = STATE(3062),
    [sym_math] = STATE(3062),
    [sym__expr] = STATE(3062),
    [sym_ident] = STATE(3062),
    [sym_bool] = STATE(3062),
    [sym_number] = STATE(3062),
    [sym_string] = STATE(3062),
    [sym_tagged] = STATE(3062),
    [sym_context] = STATE(3062),
    [sym_elude] = STATE(3062),
    [sym_assign] = STATE(3062),
    [sym_lambda] = STATE(3062),
    [sym_or] = STATE(3062),
    [sym_not] = STATE(3062),
    [sym_and] = STATE(3062),
    [sym_cmp] = STATE(3062),
    [sym_in] = STATE(3062),
    [sym_add] = STATE(3062),
    [sym_sub] = STATE(3062),
    [sym_mul] = STATE(3062),
    [sym_div] = STATE(3062),
    [sym_sign] = STATE(3062),
    [sym_call] = STATE(2269),
    [sym_field] = STATE(3062),
    [sym_label] = STATE(3062),
    [sym_content] = STATE(3062),
    [sym_group] = STATE(3062),
    [sym_block] = STATE(3062),
    [sym_branch] = STATE(3062),
    [sym_let] = STATE(3062),
    [sym_set] = STATE(3062),
    [sym_import] = STATE(3062),
    [sym_include] = STATE(3062),
    [sym_for] = STATE(3062),
    [sym_while] = STATE(3062),
    [sym_show] = STATE(3062),
    [sym_return] = STATE(3062),
    [sym_flow] = STATE(3062),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2349),
    [sym_none] = ACTIONS(2349),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [476] = {
    [sym_raw_blck] = STATE(1764),
    [sym_raw_span] = STATE(1764),
    [sym_math] = STATE(1764),
    [sym__expr] = STATE(1764),
    [sym_ident] = STATE(1764),
    [sym_bool] = STATE(1764),
    [sym_number] = STATE(1764),
    [sym_string] = STATE(1764),
    [sym_tagged] = STATE(1764),
    [sym_context] = STATE(1764),
    [sym_elude] = STATE(1764),
    [sym_assign] = STATE(1764),
    [sym_lambda] = STATE(1764),
    [sym_or] = STATE(1764),
    [sym_not] = STATE(1764),
    [sym_and] = STATE(1764),
    [sym_cmp] = STATE(1764),
    [sym_in] = STATE(1764),
    [sym_add] = STATE(1764),
    [sym_sub] = STATE(1764),
    [sym_mul] = STATE(1764),
    [sym_div] = STATE(1764),
    [sym_sign] = STATE(1764),
    [sym_call] = STATE(1764),
    [sym_field] = STATE(1764),
    [sym_label] = STATE(1764),
    [sym_content] = STATE(1764),
    [sym_group] = STATE(1764),
    [sym_block] = STATE(1764),
    [sym_branch] = STATE(1764),
    [sym_let] = STATE(1764),
    [sym_set] = STATE(1764),
    [sym_import] = STATE(1764),
    [sym_include] = STATE(1764),
    [sym_for] = STATE(1764),
    [sym_while] = STATE(1764),
    [sym_show] = STATE(1764),
    [sym_return] = STATE(1764),
    [sym_flow] = STATE(1764),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2351),
    [sym_none] = ACTIONS(2351),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [477] = {
    [sym_raw_blck] = STATE(2249),
    [sym_raw_span] = STATE(2249),
    [sym_math] = STATE(2249),
    [sym__expr] = STATE(2249),
    [sym_ident] = STATE(2249),
    [sym_bool] = STATE(2249),
    [sym_number] = STATE(2249),
    [sym_string] = STATE(2249),
    [sym_tagged] = STATE(2249),
    [sym_context] = STATE(2249),
    [sym_elude] = STATE(2249),
    [sym_assign] = STATE(2249),
    [sym_lambda] = STATE(2249),
    [sym_or] = STATE(2249),
    [sym_not] = STATE(2249),
    [sym_and] = STATE(2249),
    [sym_cmp] = STATE(2249),
    [sym_in] = STATE(2249),
    [sym_add] = STATE(2249),
    [sym_sub] = STATE(2249),
    [sym_mul] = STATE(2249),
    [sym_div] = STATE(2249),
    [sym_sign] = STATE(2249),
    [sym_call] = STATE(2249),
    [sym_field] = STATE(2249),
    [sym_label] = STATE(2249),
    [sym_content] = STATE(2249),
    [sym_group] = STATE(2249),
    [sym_block] = STATE(2249),
    [sym_branch] = STATE(2249),
    [sym_let] = STATE(2249),
    [sym_set] = STATE(2249),
    [sym_import] = STATE(2249),
    [sym_include] = STATE(2249),
    [sym_for] = STATE(2249),
    [sym_while] = STATE(2249),
    [sym_show] = STATE(2249),
    [sym_return] = STATE(2249),
    [sym_flow] = STATE(2249),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2353),
    [sym_none] = ACTIONS(2353),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [478] = {
    [sym_raw_blck] = STATE(2974),
    [sym_raw_span] = STATE(2974),
    [sym_math] = STATE(2974),
    [sym__expr] = STATE(2974),
    [sym_ident] = STATE(2974),
    [sym_bool] = STATE(2974),
    [sym_number] = STATE(2974),
    [sym_string] = STATE(2974),
    [sym_tagged] = STATE(2974),
    [sym_context] = STATE(2974),
    [sym_elude] = STATE(2974),
    [sym_assign] = STATE(2974),
    [sym_lambda] = STATE(2974),
    [sym_or] = STATE(2974),
    [sym_not] = STATE(2974),
    [sym_and] = STATE(2974),
    [sym_cmp] = STATE(2974),
    [sym_in] = STATE(2974),
    [sym_add] = STATE(2974),
    [sym_sub] = STATE(2974),
    [sym_mul] = STATE(2974),
    [sym_div] = STATE(2974),
    [sym_sign] = STATE(2974),
    [sym_call] = STATE(2974),
    [sym_field] = STATE(2974),
    [sym_label] = STATE(2974),
    [sym_content] = STATE(2974),
    [sym_group] = STATE(2974),
    [sym_block] = STATE(2974),
    [sym_branch] = STATE(2974),
    [sym_let] = STATE(2974),
    [sym_set] = STATE(2974),
    [sym_import] = STATE(2974),
    [sym_include] = STATE(2974),
    [sym_for] = STATE(2974),
    [sym_while] = STATE(2974),
    [sym_show] = STATE(2974),
    [sym_return] = STATE(2974),
    [sym_flow] = STATE(2974),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2355),
    [sym_none] = ACTIONS(2355),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [479] = {
    [sym_raw_blck] = STATE(2139),
    [sym_raw_span] = STATE(2139),
    [sym_math] = STATE(2139),
    [sym__expr] = STATE(2139),
    [sym_ident] = STATE(2139),
    [sym_bool] = STATE(2139),
    [sym_number] = STATE(2139),
    [sym_string] = STATE(2139),
    [sym_tagged] = STATE(2139),
    [sym_context] = STATE(2139),
    [sym_elude] = STATE(2139),
    [sym_assign] = STATE(2139),
    [sym_lambda] = STATE(2139),
    [sym_or] = STATE(2139),
    [sym_not] = STATE(2139),
    [sym_and] = STATE(2139),
    [sym_cmp] = STATE(2139),
    [sym_in] = STATE(2139),
    [sym_add] = STATE(2139),
    [sym_sub] = STATE(2139),
    [sym_mul] = STATE(2139),
    [sym_div] = STATE(2139),
    [sym_sign] = STATE(2139),
    [sym_call] = STATE(2139),
    [sym_field] = STATE(2139),
    [sym_label] = STATE(2139),
    [sym_content] = STATE(2139),
    [sym_group] = STATE(2139),
    [sym_block] = STATE(2139),
    [sym_branch] = STATE(2139),
    [sym_let] = STATE(2139),
    [sym_set] = STATE(2139),
    [sym_import] = STATE(2139),
    [sym_include] = STATE(2139),
    [sym_for] = STATE(2139),
    [sym_while] = STATE(2139),
    [sym_show] = STATE(2139),
    [sym_return] = STATE(2139),
    [sym_flow] = STATE(2139),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2357),
    [sym_none] = ACTIONS(2357),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [480] = {
    [sym_raw_blck] = STATE(3078),
    [sym_raw_span] = STATE(3078),
    [sym_math] = STATE(3078),
    [sym__expr] = STATE(3078),
    [sym_ident] = STATE(3078),
    [sym_bool] = STATE(3078),
    [sym_number] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym_tagged] = STATE(3078),
    [sym_context] = STATE(3078),
    [sym_elude] = STATE(3078),
    [sym_assign] = STATE(3078),
    [sym_lambda] = STATE(3078),
    [sym_or] = STATE(3078),
    [sym_not] = STATE(3078),
    [sym_and] = STATE(3078),
    [sym_cmp] = STATE(3078),
    [sym_in] = STATE(3078),
    [sym_add] = STATE(3078),
    [sym_sub] = STATE(3078),
    [sym_mul] = STATE(3078),
    [sym_div] = STATE(3078),
    [sym_sign] = STATE(3078),
    [sym_call] = STATE(2022),
    [sym_field] = STATE(3078),
    [sym_label] = STATE(3078),
    [sym_content] = STATE(3078),
    [sym_group] = STATE(3078),
    [sym_block] = STATE(3078),
    [sym_branch] = STATE(3078),
    [sym_let] = STATE(3078),
    [sym_set] = STATE(3078),
    [sym_import] = STATE(3078),
    [sym_include] = STATE(3078),
    [sym_for] = STATE(3078),
    [sym_while] = STATE(3078),
    [sym_show] = STATE(3078),
    [sym_return] = STATE(3078),
    [sym_flow] = STATE(3078),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2359),
    [sym_none] = ACTIONS(2359),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [481] = {
    [sym_raw_blck] = STATE(1331),
    [sym_raw_span] = STATE(1331),
    [sym_math] = STATE(1331),
    [sym__expr] = STATE(1331),
    [sym_ident] = STATE(1331),
    [sym_bool] = STATE(1331),
    [sym_number] = STATE(1331),
    [sym_string] = STATE(1331),
    [sym_tagged] = STATE(1331),
    [sym_context] = STATE(1331),
    [sym_elude] = STATE(1331),
    [sym_assign] = STATE(1331),
    [sym_lambda] = STATE(1331),
    [sym_or] = STATE(1331),
    [sym_not] = STATE(1331),
    [sym_and] = STATE(1331),
    [sym_cmp] = STATE(1331),
    [sym_in] = STATE(1331),
    [sym_add] = STATE(1331),
    [sym_sub] = STATE(1331),
    [sym_mul] = STATE(1331),
    [sym_div] = STATE(1331),
    [sym_sign] = STATE(1331),
    [sym_call] = STATE(1331),
    [sym_field] = STATE(1331),
    [sym_label] = STATE(1331),
    [sym_content] = STATE(1331),
    [sym_group] = STATE(1331),
    [sym_block] = STATE(1331),
    [sym_branch] = STATE(1331),
    [sym_let] = STATE(1331),
    [sym_set] = STATE(1331),
    [sym_import] = STATE(1331),
    [sym_include] = STATE(1331),
    [sym_for] = STATE(1331),
    [sym_while] = STATE(1331),
    [sym_show] = STATE(1331),
    [sym_return] = STATE(1331),
    [sym_flow] = STATE(1331),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2361),
    [sym_none] = ACTIONS(2361),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [482] = {
    [sym_raw_blck] = STATE(2681),
    [sym_raw_span] = STATE(2681),
    [sym_math] = STATE(2681),
    [sym__expr] = STATE(2681),
    [sym_ident] = STATE(2681),
    [sym_bool] = STATE(2681),
    [sym_number] = STATE(2681),
    [sym_string] = STATE(2681),
    [sym_tagged] = STATE(2681),
    [sym_context] = STATE(2681),
    [sym_elude] = STATE(2681),
    [sym_assign] = STATE(2681),
    [sym_lambda] = STATE(2681),
    [sym_or] = STATE(2681),
    [sym_not] = STATE(2681),
    [sym_and] = STATE(2681),
    [sym_cmp] = STATE(2681),
    [sym_in] = STATE(2681),
    [sym_add] = STATE(2681),
    [sym_sub] = STATE(2681),
    [sym_mul] = STATE(2681),
    [sym_div] = STATE(2681),
    [sym_sign] = STATE(2681),
    [sym_call] = STATE(2681),
    [sym_field] = STATE(2681),
    [sym_label] = STATE(2681),
    [sym_content] = STATE(2681),
    [sym_group] = STATE(2681),
    [sym_block] = STATE(2681),
    [sym_branch] = STATE(2681),
    [sym_let] = STATE(2681),
    [sym_set] = STATE(2681),
    [sym_import] = STATE(2681),
    [sym_include] = STATE(2681),
    [sym_for] = STATE(2681),
    [sym_while] = STATE(2681),
    [sym_show] = STATE(2681),
    [sym_return] = STATE(2681),
    [sym_flow] = STATE(2681),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(2363),
    [sym_none] = ACTIONS(2363),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [483] = {
    [sym_raw_blck] = STATE(2975),
    [sym_raw_span] = STATE(2975),
    [sym_math] = STATE(2975),
    [sym__expr] = STATE(2975),
    [sym_ident] = STATE(2975),
    [sym_bool] = STATE(2975),
    [sym_number] = STATE(2975),
    [sym_string] = STATE(2975),
    [sym_tagged] = STATE(2975),
    [sym_context] = STATE(2975),
    [sym_elude] = STATE(2975),
    [sym_assign] = STATE(2975),
    [sym_lambda] = STATE(2975),
    [sym_or] = STATE(2975),
    [sym_not] = STATE(2975),
    [sym_and] = STATE(2975),
    [sym_cmp] = STATE(2975),
    [sym_in] = STATE(2975),
    [sym_add] = STATE(2975),
    [sym_sub] = STATE(2975),
    [sym_mul] = STATE(2975),
    [sym_div] = STATE(2975),
    [sym_sign] = STATE(2975),
    [sym_call] = STATE(2975),
    [sym_field] = STATE(2975),
    [sym_label] = STATE(2975),
    [sym_content] = STATE(2975),
    [sym_group] = STATE(2975),
    [sym_block] = STATE(2975),
    [sym_branch] = STATE(2975),
    [sym_let] = STATE(2975),
    [sym_set] = STATE(2975),
    [sym_import] = STATE(2975),
    [sym_include] = STATE(2975),
    [sym_for] = STATE(2975),
    [sym_while] = STATE(2975),
    [sym_show] = STATE(2975),
    [sym_return] = STATE(2975),
    [sym_flow] = STATE(2975),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2365),
    [sym_none] = ACTIONS(2365),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [484] = {
    [sym_raw_blck] = STATE(2489),
    [sym_raw_span] = STATE(2489),
    [sym_math] = STATE(2489),
    [sym__expr] = STATE(2489),
    [sym_ident] = STATE(2489),
    [sym_bool] = STATE(2489),
    [sym_number] = STATE(2489),
    [sym_string] = STATE(2489),
    [sym_tagged] = STATE(2489),
    [sym_context] = STATE(2489),
    [sym_elude] = STATE(2489),
    [sym_assign] = STATE(2489),
    [sym_lambda] = STATE(2489),
    [sym_or] = STATE(2489),
    [sym_not] = STATE(2489),
    [sym_and] = STATE(2489),
    [sym_cmp] = STATE(2489),
    [sym_in] = STATE(2489),
    [sym_add] = STATE(2489),
    [sym_sub] = STATE(2489),
    [sym_mul] = STATE(2489),
    [sym_div] = STATE(2489),
    [sym_sign] = STATE(2489),
    [sym_call] = STATE(2489),
    [sym_field] = STATE(2489),
    [sym_label] = STATE(2489),
    [sym_content] = STATE(2489),
    [sym_group] = STATE(2489),
    [sym_block] = STATE(2489),
    [sym_branch] = STATE(2489),
    [sym_let] = STATE(2489),
    [sym_set] = STATE(2489),
    [sym_import] = STATE(2489),
    [sym_include] = STATE(2489),
    [sym_for] = STATE(2489),
    [sym_while] = STATE(2489),
    [sym_show] = STATE(2489),
    [sym_return] = STATE(2489),
    [sym_flow] = STATE(2489),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [aux_sym_number_token1] = ACTIONS(609),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_context] = ACTIONS(613),
    [anon_sym_DOT_DOT] = ACTIONS(615),
    [anon_sym_not] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_LPAREN2] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_let] = ACTIONS(629),
    [anon_sym_set] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(633),
    [anon_sym_include] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [anon_sym_show] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(645),
    [anon_sym_continue] = ACTIONS(645),
    [sym_auto] = ACTIONS(2367),
    [sym_none] = ACTIONS(2367),
    [sym__token_content] = ACTIONS(649),
    [sym__token_raw_blck_ldlm] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [485] = {
    [sym_raw_blck] = STATE(3013),
    [sym_raw_span] = STATE(3013),
    [sym_math] = STATE(3013),
    [sym__expr] = STATE(3013),
    [sym_ident] = STATE(3013),
    [sym_bool] = STATE(3013),
    [sym_number] = STATE(3013),
    [sym_string] = STATE(3013),
    [sym_tagged] = STATE(3013),
    [sym_context] = STATE(3013),
    [sym_elude] = STATE(3013),
    [sym_assign] = STATE(3013),
    [sym_lambda] = STATE(3013),
    [sym_or] = STATE(3013),
    [sym_not] = STATE(3013),
    [sym_and] = STATE(3013),
    [sym_cmp] = STATE(3013),
    [sym_in] = STATE(3013),
    [sym_add] = STATE(3013),
    [sym_sub] = STATE(3013),
    [sym_mul] = STATE(3013),
    [sym_div] = STATE(3013),
    [sym_sign] = STATE(3013),
    [sym_call] = STATE(1929),
    [sym_field] = STATE(3013),
    [sym_label] = STATE(3013),
    [sym_content] = STATE(3013),
    [sym_group] = STATE(3013),
    [sym_block] = STATE(3013),
    [sym_branch] = STATE(3013),
    [sym_let] = STATE(3013),
    [sym_set] = STATE(3013),
    [sym_import] = STATE(3013),
    [sym_include] = STATE(3013),
    [sym_for] = STATE(3013),
    [sym_while] = STATE(3013),
    [sym_show] = STATE(3013),
    [sym_return] = STATE(3013),
    [sym_flow] = STATE(3013),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2369),
    [sym_none] = ACTIONS(2369),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [486] = {
    [sym_raw_blck] = STATE(1576),
    [sym_raw_span] = STATE(1576),
    [sym_math] = STATE(1576),
    [sym__expr] = STATE(1576),
    [sym_ident] = STATE(1576),
    [sym_bool] = STATE(1576),
    [sym_number] = STATE(1576),
    [sym_string] = STATE(1576),
    [sym_tagged] = STATE(1576),
    [sym_context] = STATE(1576),
    [sym_elude] = STATE(1576),
    [sym_assign] = STATE(1576),
    [sym_lambda] = STATE(1576),
    [sym_or] = STATE(1576),
    [sym_not] = STATE(1576),
    [sym_and] = STATE(1576),
    [sym_cmp] = STATE(1576),
    [sym_in] = STATE(1576),
    [sym_add] = STATE(1576),
    [sym_sub] = STATE(1576),
    [sym_mul] = STATE(1576),
    [sym_div] = STATE(1576),
    [sym_sign] = STATE(1576),
    [sym_call] = STATE(1576),
    [sym_field] = STATE(1576),
    [sym_label] = STATE(1576),
    [sym_content] = STATE(1576),
    [sym_group] = STATE(1576),
    [sym_block] = STATE(1576),
    [sym_branch] = STATE(1576),
    [sym_let] = STATE(1576),
    [sym_set] = STATE(1576),
    [sym_import] = STATE(1576),
    [sym_include] = STATE(1576),
    [sym_for] = STATE(1576),
    [sym_while] = STATE(1576),
    [sym_show] = STATE(1576),
    [sym_return] = STATE(1576),
    [sym_flow] = STATE(1576),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2371),
    [sym_none] = ACTIONS(2371),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [487] = {
    [sym_raw_blck] = STATE(2331),
    [sym_raw_span] = STATE(2331),
    [sym_math] = STATE(2331),
    [sym__expr] = STATE(2331),
    [sym_ident] = STATE(2331),
    [sym_bool] = STATE(2331),
    [sym_number] = STATE(2331),
    [sym_string] = STATE(2331),
    [sym_tagged] = STATE(2331),
    [sym_context] = STATE(2331),
    [sym_elude] = STATE(2331),
    [sym_assign] = STATE(2331),
    [sym_lambda] = STATE(2331),
    [sym_or] = STATE(2331),
    [sym_not] = STATE(2331),
    [sym_and] = STATE(2331),
    [sym_cmp] = STATE(2331),
    [sym_in] = STATE(2331),
    [sym_add] = STATE(2331),
    [sym_sub] = STATE(2331),
    [sym_mul] = STATE(2331),
    [sym_div] = STATE(2331),
    [sym_sign] = STATE(2331),
    [sym_call] = STATE(2331),
    [sym_field] = STATE(2331),
    [sym_label] = STATE(2331),
    [sym_content] = STATE(2331),
    [sym_group] = STATE(2331),
    [sym_block] = STATE(2331),
    [sym_branch] = STATE(2331),
    [sym_let] = STATE(2331),
    [sym_set] = STATE(2331),
    [sym_import] = STATE(2331),
    [sym_include] = STATE(2331),
    [sym_for] = STATE(2331),
    [sym_while] = STATE(2331),
    [sym_show] = STATE(2331),
    [sym_return] = STATE(2331),
    [sym_flow] = STATE(2331),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(2373),
    [sym_none] = ACTIONS(2373),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [488] = {
    [sym_raw_blck] = STATE(2924),
    [sym_raw_span] = STATE(2924),
    [sym_math] = STATE(2924),
    [sym__expr] = STATE(2924),
    [sym_ident] = STATE(2924),
    [sym_bool] = STATE(2924),
    [sym_number] = STATE(2924),
    [sym_string] = STATE(2924),
    [sym_tagged] = STATE(2924),
    [sym_context] = STATE(2924),
    [sym_elude] = STATE(2924),
    [sym_assign] = STATE(2924),
    [sym_lambda] = STATE(2924),
    [sym_or] = STATE(2924),
    [sym_not] = STATE(2924),
    [sym_and] = STATE(2924),
    [sym_cmp] = STATE(2924),
    [sym_in] = STATE(2924),
    [sym_add] = STATE(2924),
    [sym_sub] = STATE(2924),
    [sym_mul] = STATE(2924),
    [sym_div] = STATE(2924),
    [sym_sign] = STATE(2924),
    [sym_call] = STATE(2924),
    [sym_field] = STATE(2924),
    [sym_label] = STATE(2924),
    [sym_content] = STATE(2924),
    [sym_group] = STATE(2924),
    [sym_block] = STATE(2924),
    [sym_branch] = STATE(2924),
    [sym_let] = STATE(2924),
    [sym_set] = STATE(2924),
    [sym_import] = STATE(2924),
    [sym_include] = STATE(2924),
    [sym_for] = STATE(2924),
    [sym_while] = STATE(2924),
    [sym_show] = STATE(2924),
    [sym_return] = STATE(2924),
    [sym_flow] = STATE(2924),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2375),
    [sym_none] = ACTIONS(2375),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [489] = {
    [sym_raw_blck] = STATE(1966),
    [sym_raw_span] = STATE(1966),
    [sym_math] = STATE(1966),
    [sym__expr] = STATE(1966),
    [sym_ident] = STATE(1966),
    [sym_bool] = STATE(1966),
    [sym_number] = STATE(1966),
    [sym_string] = STATE(1966),
    [sym_tagged] = STATE(1966),
    [sym_context] = STATE(1966),
    [sym_elude] = STATE(1966),
    [sym_assign] = STATE(1966),
    [sym_lambda] = STATE(1966),
    [sym_or] = STATE(1966),
    [sym_not] = STATE(1966),
    [sym_and] = STATE(1966),
    [sym_cmp] = STATE(1966),
    [sym_in] = STATE(1966),
    [sym_add] = STATE(1966),
    [sym_sub] = STATE(1966),
    [sym_mul] = STATE(1966),
    [sym_div] = STATE(1966),
    [sym_sign] = STATE(1966),
    [sym_call] = STATE(1966),
    [sym_field] = STATE(1966),
    [sym_label] = STATE(1966),
    [sym_content] = STATE(1966),
    [sym_group] = STATE(1966),
    [sym_block] = STATE(1966),
    [sym_branch] = STATE(1966),
    [sym_let] = STATE(1966),
    [sym_set] = STATE(1966),
    [sym_import] = STATE(1966),
    [sym_include] = STATE(1966),
    [sym_for] = STATE(1966),
    [sym_while] = STATE(1966),
    [sym_show] = STATE(1966),
    [sym_return] = STATE(1966),
    [sym_flow] = STATE(1966),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2377),
    [sym_none] = ACTIONS(2377),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [490] = {
    [sym_raw_blck] = STATE(3026),
    [sym_raw_span] = STATE(3026),
    [sym_math] = STATE(3026),
    [sym__expr] = STATE(3026),
    [sym_ident] = STATE(3026),
    [sym_bool] = STATE(3026),
    [sym_number] = STATE(3026),
    [sym_string] = STATE(3026),
    [sym_tagged] = STATE(3026),
    [sym_context] = STATE(3026),
    [sym_elude] = STATE(3026),
    [sym_assign] = STATE(3026),
    [sym_lambda] = STATE(3026),
    [sym_or] = STATE(3026),
    [sym_not] = STATE(3026),
    [sym_and] = STATE(3026),
    [sym_cmp] = STATE(3026),
    [sym_in] = STATE(3026),
    [sym_add] = STATE(3026),
    [sym_sub] = STATE(3026),
    [sym_mul] = STATE(3026),
    [sym_div] = STATE(3026),
    [sym_sign] = STATE(3026),
    [sym_call] = STATE(2162),
    [sym_field] = STATE(3026),
    [sym_label] = STATE(3026),
    [sym_content] = STATE(3026),
    [sym_group] = STATE(3026),
    [sym_block] = STATE(3026),
    [sym_branch] = STATE(3026),
    [sym_let] = STATE(3026),
    [sym_set] = STATE(3026),
    [sym_import] = STATE(3026),
    [sym_include] = STATE(3026),
    [sym_for] = STATE(3026),
    [sym_while] = STATE(3026),
    [sym_show] = STATE(3026),
    [sym_return] = STATE(3026),
    [sym_flow] = STATE(3026),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2379),
    [sym_none] = ACTIONS(2379),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [491] = {
    [sym_raw_blck] = STATE(1767),
    [sym_raw_span] = STATE(1767),
    [sym_math] = STATE(1767),
    [sym__expr] = STATE(1767),
    [sym_ident] = STATE(1767),
    [sym_bool] = STATE(1767),
    [sym_number] = STATE(1767),
    [sym_string] = STATE(1767),
    [sym_tagged] = STATE(1767),
    [sym_context] = STATE(1767),
    [sym_elude] = STATE(1767),
    [sym_assign] = STATE(1767),
    [sym_lambda] = STATE(1767),
    [sym_or] = STATE(1767),
    [sym_not] = STATE(1767),
    [sym_and] = STATE(1767),
    [sym_cmp] = STATE(1767),
    [sym_in] = STATE(1767),
    [sym_add] = STATE(1767),
    [sym_sub] = STATE(1767),
    [sym_mul] = STATE(1767),
    [sym_div] = STATE(1767),
    [sym_sign] = STATE(1767),
    [sym_call] = STATE(1767),
    [sym_field] = STATE(1767),
    [sym_label] = STATE(1767),
    [sym_content] = STATE(1767),
    [sym_group] = STATE(1767),
    [sym_block] = STATE(1767),
    [sym_branch] = STATE(1767),
    [sym_let] = STATE(1767),
    [sym_set] = STATE(1767),
    [sym_import] = STATE(1767),
    [sym_include] = STATE(1767),
    [sym_for] = STATE(1767),
    [sym_while] = STATE(1767),
    [sym_show] = STATE(1767),
    [sym_return] = STATE(1767),
    [sym_flow] = STATE(1767),
    [sym__identifier] = ACTIONS(447),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(449),
    [anon_sym_DOLLAR] = ACTIONS(451),
    [anon_sym_true] = ACTIONS(453),
    [anon_sym_false] = ACTIONS(453),
    [aux_sym_number_token1] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(457),
    [anon_sym_context] = ACTIONS(459),
    [anon_sym_DOT_DOT] = ACTIONS(461),
    [anon_sym_not] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1893),
    [anon_sym_DASH] = ACTIONS(1893),
    [anon_sym_LPAREN2] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(471),
    [anon_sym_import] = ACTIONS(473),
    [anon_sym_include] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_show] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_break] = ACTIONS(485),
    [anon_sym_continue] = ACTIONS(485),
    [sym_auto] = ACTIONS(2381),
    [sym_none] = ACTIONS(2381),
    [sym__token_content] = ACTIONS(489),
    [sym__token_raw_blck_ldlm] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [492] = {
    [sym_raw_blck] = STATE(2112),
    [sym_raw_span] = STATE(2112),
    [sym_math] = STATE(2112),
    [sym__expr] = STATE(2112),
    [sym_ident] = STATE(2112),
    [sym_bool] = STATE(2112),
    [sym_number] = STATE(2112),
    [sym_string] = STATE(2112),
    [sym_tagged] = STATE(2112),
    [sym_context] = STATE(2112),
    [sym_elude] = STATE(2112),
    [sym_assign] = STATE(2112),
    [sym_lambda] = STATE(2112),
    [sym_or] = STATE(2112),
    [sym_not] = STATE(2112),
    [sym_and] = STATE(2112),
    [sym_cmp] = STATE(2112),
    [sym_in] = STATE(2112),
    [sym_add] = STATE(2112),
    [sym_sub] = STATE(2112),
    [sym_mul] = STATE(2112),
    [sym_div] = STATE(2112),
    [sym_sign] = STATE(2112),
    [sym_call] = STATE(2112),
    [sym_field] = STATE(2112),
    [sym_label] = STATE(2112),
    [sym_content] = STATE(2112),
    [sym_group] = STATE(2112),
    [sym_block] = STATE(2112),
    [sym_branch] = STATE(2112),
    [sym_let] = STATE(2112),
    [sym_set] = STATE(2112),
    [sym_import] = STATE(2112),
    [sym_include] = STATE(2112),
    [sym_for] = STATE(2112),
    [sym_while] = STATE(2112),
    [sym_show] = STATE(2112),
    [sym_return] = STATE(2112),
    [sym_flow] = STATE(2112),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(2383),
    [sym_none] = ACTIONS(2383),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [493] = {
    [sym_raw_blck] = STATE(2987),
    [sym_raw_span] = STATE(2987),
    [sym_math] = STATE(2987),
    [sym__expr] = STATE(2987),
    [sym_ident] = STATE(2987),
    [sym_bool] = STATE(2987),
    [sym_number] = STATE(2987),
    [sym_string] = STATE(2987),
    [sym_tagged] = STATE(2987),
    [sym_context] = STATE(2987),
    [sym_elude] = STATE(2987),
    [sym_assign] = STATE(2987),
    [sym_lambda] = STATE(2987),
    [sym_or] = STATE(2987),
    [sym_not] = STATE(2987),
    [sym_and] = STATE(2987),
    [sym_cmp] = STATE(2987),
    [sym_in] = STATE(2987),
    [sym_add] = STATE(2987),
    [sym_sub] = STATE(2987),
    [sym_mul] = STATE(2987),
    [sym_div] = STATE(2987),
    [sym_sign] = STATE(2987),
    [sym_call] = STATE(2987),
    [sym_field] = STATE(2987),
    [sym_label] = STATE(2987),
    [sym_content] = STATE(2987),
    [sym_group] = STATE(2987),
    [sym_block] = STATE(2987),
    [sym_branch] = STATE(2987),
    [sym_let] = STATE(2987),
    [sym_set] = STATE(2987),
    [sym_import] = STATE(2987),
    [sym_include] = STATE(2987),
    [sym_for] = STATE(2987),
    [sym_while] = STATE(2987),
    [sym_show] = STATE(2987),
    [sym_return] = STATE(2987),
    [sym_flow] = STATE(2987),
    [sym__identifier] = ACTIONS(933),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(939),
    [anon_sym_false] = ACTIONS(939),
    [aux_sym_number_token1] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(943),
    [anon_sym_context] = ACTIONS(945),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_not] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_LPAREN2] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(961),
    [anon_sym_set] = ACTIONS(963),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_include] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_show] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [sym_auto] = ACTIONS(2385),
    [sym_none] = ACTIONS(2385),
    [sym__token_content] = ACTIONS(981),
    [sym__token_raw_blck_ldlm] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [494] = {
    [sym_raw_blck] = STATE(2151),
    [sym_raw_span] = STATE(2151),
    [sym_math] = STATE(2151),
    [sym__expr] = STATE(2151),
    [sym_ident] = STATE(2151),
    [sym_bool] = STATE(2151),
    [sym_number] = STATE(2151),
    [sym_string] = STATE(2151),
    [sym_tagged] = STATE(2151),
    [sym_context] = STATE(2151),
    [sym_elude] = STATE(2151),
    [sym_assign] = STATE(2151),
    [sym_lambda] = STATE(2151),
    [sym_or] = STATE(2151),
    [sym_not] = STATE(2151),
    [sym_and] = STATE(2151),
    [sym_cmp] = STATE(2151),
    [sym_in] = STATE(2151),
    [sym_add] = STATE(2151),
    [sym_sub] = STATE(2151),
    [sym_mul] = STATE(2151),
    [sym_div] = STATE(2151),
    [sym_sign] = STATE(2151),
    [sym_call] = STATE(2151),
    [sym_field] = STATE(2151),
    [sym_label] = STATE(2151),
    [sym_content] = STATE(2151),
    [sym_group] = STATE(2151),
    [sym_block] = STATE(2151),
    [sym_branch] = STATE(2151),
    [sym_let] = STATE(2151),
    [sym_set] = STATE(2151),
    [sym_import] = STATE(2151),
    [sym_include] = STATE(2151),
    [sym_for] = STATE(2151),
    [sym_while] = STATE(2151),
    [sym_show] = STATE(2151),
    [sym_return] = STATE(2151),
    [sym_flow] = STATE(2151),
    [sym__identifier] = ACTIONS(825),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [anon_sym_DOLLAR] = ACTIONS(829),
    [anon_sym_true] = ACTIONS(831),
    [anon_sym_false] = ACTIONS(831),
    [aux_sym_number_token1] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(835),
    [anon_sym_context] = ACTIONS(837),
    [anon_sym_DOT_DOT] = ACTIONS(839),
    [anon_sym_not] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_LPAREN2] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(845),
    [anon_sym_set] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_include] = ACTIONS(851),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_show] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [sym_auto] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [sym__token_content] = ACTIONS(877),
    [sym__token_raw_blck_ldlm] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [495] = {
    [sym_raw_blck] = STATE(3081),
    [sym_raw_span] = STATE(3081),
    [sym_math] = STATE(3081),
    [sym__expr] = STATE(3081),
    [sym_ident] = STATE(3081),
    [sym_bool] = STATE(3081),
    [sym_number] = STATE(3081),
    [sym_string] = STATE(3081),
    [sym_tagged] = STATE(3081),
    [sym_context] = STATE(3081),
    [sym_elude] = STATE(3081),
    [sym_assign] = STATE(3081),
    [sym_lambda] = STATE(3081),
    [sym_or] = STATE(3081),
    [sym_not] = STATE(3081),
    [sym_and] = STATE(3081),
    [sym_cmp] = STATE(3081),
    [sym_in] = STATE(3081),
    [sym_add] = STATE(3081),
    [sym_sub] = STATE(3081),
    [sym_mul] = STATE(3081),
    [sym_div] = STATE(3081),
    [sym_sign] = STATE(3081),
    [sym_call] = STATE(1680),
    [sym_field] = STATE(3081),
    [sym_label] = STATE(3081),
    [sym_content] = STATE(3081),
    [sym_group] = STATE(3081),
    [sym_block] = STATE(3081),
    [sym_branch] = STATE(3081),
    [sym_let] = STATE(3081),
    [sym_set] = STATE(3081),
    [sym_import] = STATE(3081),
    [sym_include] = STATE(3081),
    [sym_for] = STATE(3081),
    [sym_while] = STATE(3081),
    [sym_show] = STATE(3081),
    [sym_return] = STATE(3081),
    [sym_flow] = STATE(3081),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2389),
    [sym_none] = ACTIONS(2389),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [496] = {
    [sym_raw_blck] = STATE(1347),
    [sym_raw_span] = STATE(1347),
    [sym_math] = STATE(1347),
    [sym__expr] = STATE(1347),
    [sym_ident] = STATE(1347),
    [sym_bool] = STATE(1347),
    [sym_number] = STATE(1347),
    [sym_string] = STATE(1347),
    [sym_tagged] = STATE(1347),
    [sym_context] = STATE(1347),
    [sym_elude] = STATE(1347),
    [sym_assign] = STATE(1347),
    [sym_lambda] = STATE(1347),
    [sym_or] = STATE(1347),
    [sym_not] = STATE(1347),
    [sym_and] = STATE(1347),
    [sym_cmp] = STATE(1347),
    [sym_in] = STATE(1347),
    [sym_add] = STATE(1347),
    [sym_sub] = STATE(1347),
    [sym_mul] = STATE(1347),
    [sym_div] = STATE(1347),
    [sym_sign] = STATE(1347),
    [sym_call] = STATE(1347),
    [sym_field] = STATE(1347),
    [sym_label] = STATE(1347),
    [sym_content] = STATE(1347),
    [sym_group] = STATE(1347),
    [sym_block] = STATE(1347),
    [sym_branch] = STATE(1347),
    [sym_let] = STATE(1347),
    [sym_set] = STATE(1347),
    [sym_import] = STATE(1347),
    [sym_include] = STATE(1347),
    [sym_for] = STATE(1347),
    [sym_while] = STATE(1347),
    [sym_show] = STATE(1347),
    [sym_return] = STATE(1347),
    [sym_flow] = STATE(1347),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2391),
    [sym_none] = ACTIONS(2391),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [497] = {
    [sym_raw_blck] = STATE(1984),
    [sym_raw_span] = STATE(1984),
    [sym_math] = STATE(1984),
    [sym__expr] = STATE(1984),
    [sym_ident] = STATE(1984),
    [sym_bool] = STATE(1984),
    [sym_number] = STATE(1984),
    [sym_string] = STATE(1984),
    [sym_tagged] = STATE(1984),
    [sym_context] = STATE(1984),
    [sym_elude] = STATE(1984),
    [sym_assign] = STATE(1984),
    [sym_lambda] = STATE(1984),
    [sym_or] = STATE(1984),
    [sym_not] = STATE(1984),
    [sym_and] = STATE(1984),
    [sym_cmp] = STATE(1984),
    [sym_in] = STATE(1984),
    [sym_add] = STATE(1984),
    [sym_sub] = STATE(1984),
    [sym_mul] = STATE(1984),
    [sym_div] = STATE(1984),
    [sym_sign] = STATE(1984),
    [sym_call] = STATE(1984),
    [sym_field] = STATE(1984),
    [sym_label] = STATE(1984),
    [sym_content] = STATE(1984),
    [sym_group] = STATE(1984),
    [sym_block] = STATE(1984),
    [sym_branch] = STATE(1984),
    [sym_let] = STATE(1984),
    [sym_set] = STATE(1984),
    [sym_import] = STATE(1984),
    [sym_include] = STATE(1984),
    [sym_for] = STATE(1984),
    [sym_while] = STATE(1984),
    [sym_show] = STATE(1984),
    [sym_return] = STATE(1984),
    [sym_flow] = STATE(1984),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2393),
    [sym_none] = ACTIONS(2393),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [498] = {
    [sym_raw_blck] = STATE(2969),
    [sym_raw_span] = STATE(2969),
    [sym_math] = STATE(2969),
    [sym__expr] = STATE(2969),
    [sym_ident] = STATE(2969),
    [sym_bool] = STATE(2969),
    [sym_number] = STATE(2969),
    [sym_string] = STATE(2969),
    [sym_tagged] = STATE(2969),
    [sym_context] = STATE(2969),
    [sym_elude] = STATE(2969),
    [sym_assign] = STATE(2969),
    [sym_lambda] = STATE(2969),
    [sym_or] = STATE(2969),
    [sym_not] = STATE(2969),
    [sym_and] = STATE(2969),
    [sym_cmp] = STATE(2969),
    [sym_in] = STATE(2969),
    [sym_add] = STATE(2969),
    [sym_sub] = STATE(2969),
    [sym_mul] = STATE(2969),
    [sym_div] = STATE(2969),
    [sym_sign] = STATE(2969),
    [sym_call] = STATE(2969),
    [sym_field] = STATE(2969),
    [sym_label] = STATE(2969),
    [sym_content] = STATE(2969),
    [sym_group] = STATE(2969),
    [sym_block] = STATE(2969),
    [sym_branch] = STATE(2969),
    [sym_let] = STATE(2969),
    [sym_set] = STATE(2969),
    [sym_import] = STATE(2969),
    [sym_include] = STATE(2969),
    [sym_for] = STATE(2969),
    [sym_while] = STATE(2969),
    [sym_show] = STATE(2969),
    [sym_return] = STATE(2969),
    [sym_flow] = STATE(2969),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2395),
    [sym_none] = ACTIONS(2395),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [499] = {
    [sym_raw_blck] = STATE(1602),
    [sym_raw_span] = STATE(1602),
    [sym_math] = STATE(1602),
    [sym__expr] = STATE(1602),
    [sym_ident] = STATE(1602),
    [sym_bool] = STATE(1602),
    [sym_number] = STATE(1602),
    [sym_string] = STATE(1602),
    [sym_tagged] = STATE(1602),
    [sym_context] = STATE(1602),
    [sym_elude] = STATE(1602),
    [sym_assign] = STATE(1602),
    [sym_lambda] = STATE(1602),
    [sym_or] = STATE(1602),
    [sym_not] = STATE(1602),
    [sym_and] = STATE(1602),
    [sym_cmp] = STATE(1602),
    [sym_in] = STATE(1602),
    [sym_add] = STATE(1602),
    [sym_sub] = STATE(1602),
    [sym_mul] = STATE(1602),
    [sym_div] = STATE(1602),
    [sym_sign] = STATE(1602),
    [sym_call] = STATE(1602),
    [sym_field] = STATE(1602),
    [sym_label] = STATE(1602),
    [sym_content] = STATE(1602),
    [sym_group] = STATE(1602),
    [sym_block] = STATE(1602),
    [sym_branch] = STATE(1602),
    [sym_let] = STATE(1602),
    [sym_set] = STATE(1602),
    [sym_import] = STATE(1602),
    [sym_include] = STATE(1602),
    [sym_for] = STATE(1602),
    [sym_while] = STATE(1602),
    [sym_show] = STATE(1602),
    [sym_return] = STATE(1602),
    [sym_flow] = STATE(1602),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2397),
    [sym_none] = ACTIONS(2397),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [500] = {
    [sym_raw_blck] = STATE(3056),
    [sym_raw_span] = STATE(3056),
    [sym_math] = STATE(3056),
    [sym__expr] = STATE(3056),
    [sym_ident] = STATE(3056),
    [sym_bool] = STATE(3056),
    [sym_number] = STATE(3056),
    [sym_string] = STATE(3056),
    [sym_tagged] = STATE(3056),
    [sym_context] = STATE(3056),
    [sym_elude] = STATE(3056),
    [sym_assign] = STATE(3056),
    [sym_lambda] = STATE(3056),
    [sym_or] = STATE(3056),
    [sym_not] = STATE(3056),
    [sym_and] = STATE(3056),
    [sym_cmp] = STATE(3056),
    [sym_in] = STATE(3056),
    [sym_add] = STATE(3056),
    [sym_sub] = STATE(3056),
    [sym_mul] = STATE(3056),
    [sym_div] = STATE(3056),
    [sym_sign] = STATE(3056),
    [sym_call] = STATE(1877),
    [sym_field] = STATE(3056),
    [sym_label] = STATE(3056),
    [sym_content] = STATE(3056),
    [sym_group] = STATE(3056),
    [sym_block] = STATE(3056),
    [sym_branch] = STATE(3056),
    [sym_let] = STATE(3056),
    [sym_set] = STATE(3056),
    [sym_import] = STATE(3056),
    [sym_include] = STATE(3056),
    [sym_for] = STATE(3056),
    [sym_while] = STATE(3056),
    [sym_show] = STATE(3056),
    [sym_return] = STATE(3056),
    [sym_flow] = STATE(3056),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2399),
    [sym_none] = ACTIONS(2399),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [501] = {
    [sym_raw_blck] = STATE(1507),
    [sym_raw_span] = STATE(1507),
    [sym_math] = STATE(1507),
    [sym__expr] = STATE(1507),
    [sym_ident] = STATE(1507),
    [sym_bool] = STATE(1507),
    [sym_number] = STATE(1507),
    [sym_string] = STATE(1507),
    [sym_tagged] = STATE(1507),
    [sym_context] = STATE(1507),
    [sym_elude] = STATE(1507),
    [sym_assign] = STATE(1507),
    [sym_lambda] = STATE(1507),
    [sym_or] = STATE(1507),
    [sym_not] = STATE(1507),
    [sym_and] = STATE(1507),
    [sym_cmp] = STATE(1507),
    [sym_in] = STATE(1507),
    [sym_add] = STATE(1507),
    [sym_sub] = STATE(1507),
    [sym_mul] = STATE(1507),
    [sym_div] = STATE(1507),
    [sym_sign] = STATE(1507),
    [sym_call] = STATE(1507),
    [sym_field] = STATE(1507),
    [sym_label] = STATE(1507),
    [sym_content] = STATE(1507),
    [sym_group] = STATE(1507),
    [sym_block] = STATE(1507),
    [sym_branch] = STATE(1507),
    [sym_let] = STATE(1507),
    [sym_set] = STATE(1507),
    [sym_import] = STATE(1507),
    [sym_include] = STATE(1507),
    [sym_for] = STATE(1507),
    [sym_while] = STATE(1507),
    [sym_show] = STATE(1507),
    [sym_return] = STATE(1507),
    [sym_flow] = STATE(1507),
    [sym__identifier] = ACTIONS(705),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(707),
    [anon_sym_DOLLAR] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [aux_sym_number_token1] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(715),
    [anon_sym_context] = ACTIONS(717),
    [anon_sym_DOT_DOT] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(723),
    [anon_sym_let] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_include] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [anon_sym_show] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [sym_auto] = ACTIONS(2401),
    [sym_none] = ACTIONS(2401),
    [sym__token_content] = ACTIONS(757),
    [sym__token_raw_blck_ldlm] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [502] = {
    [sym_raw_blck] = STATE(1638),
    [sym_raw_span] = STATE(1638),
    [sym_math] = STATE(1638),
    [sym__expr] = STATE(1638),
    [sym_ident] = STATE(1638),
    [sym_bool] = STATE(1638),
    [sym_number] = STATE(1638),
    [sym_string] = STATE(1638),
    [sym_tagged] = STATE(1638),
    [sym_context] = STATE(1638),
    [sym_elude] = STATE(1638),
    [sym_assign] = STATE(1638),
    [sym_lambda] = STATE(1638),
    [sym_or] = STATE(1638),
    [sym_not] = STATE(1638),
    [sym_and] = STATE(1638),
    [sym_cmp] = STATE(1638),
    [sym_in] = STATE(1638),
    [sym_add] = STATE(1638),
    [sym_sub] = STATE(1638),
    [sym_mul] = STATE(1638),
    [sym_div] = STATE(1638),
    [sym_sign] = STATE(1638),
    [sym_call] = STATE(1638),
    [sym_field] = STATE(1638),
    [sym_label] = STATE(1638),
    [sym_content] = STATE(1638),
    [sym_group] = STATE(1638),
    [sym_block] = STATE(1638),
    [sym_branch] = STATE(1638),
    [sym_let] = STATE(1638),
    [sym_set] = STATE(1638),
    [sym_import] = STATE(1638),
    [sym_include] = STATE(1638),
    [sym_for] = STATE(1638),
    [sym_while] = STATE(1638),
    [sym_show] = STATE(1638),
    [sym_return] = STATE(1638),
    [sym_flow] = STATE(1638),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2403),
    [sym_none] = ACTIONS(2403),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [503] = {
    [sym_raw_blck] = STATE(2981),
    [sym_raw_span] = STATE(2981),
    [sym_math] = STATE(2981),
    [sym__expr] = STATE(2981),
    [sym_ident] = STATE(2981),
    [sym_bool] = STATE(2981),
    [sym_number] = STATE(2981),
    [sym_string] = STATE(2981),
    [sym_tagged] = STATE(2981),
    [sym_context] = STATE(2981),
    [sym_elude] = STATE(2981),
    [sym_assign] = STATE(2981),
    [sym_lambda] = STATE(2981),
    [sym_or] = STATE(2981),
    [sym_not] = STATE(2981),
    [sym_and] = STATE(2981),
    [sym_cmp] = STATE(2981),
    [sym_in] = STATE(2981),
    [sym_add] = STATE(2981),
    [sym_sub] = STATE(2981),
    [sym_mul] = STATE(2981),
    [sym_div] = STATE(2981),
    [sym_sign] = STATE(2981),
    [sym_call] = STATE(2981),
    [sym_field] = STATE(2981),
    [sym_label] = STATE(2981),
    [sym_content] = STATE(2981),
    [sym_group] = STATE(2981),
    [sym_block] = STATE(2981),
    [sym_branch] = STATE(2981),
    [sym_let] = STATE(2981),
    [sym_set] = STATE(2981),
    [sym_import] = STATE(2981),
    [sym_include] = STATE(2981),
    [sym_for] = STATE(2981),
    [sym_while] = STATE(2981),
    [sym_show] = STATE(2981),
    [sym_return] = STATE(2981),
    [sym_flow] = STATE(2981),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2405),
    [sym_none] = ACTIONS(2405),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [504] = {
    [sym_raw_blck] = STATE(1770),
    [sym_raw_span] = STATE(1770),
    [sym_math] = STATE(1770),
    [sym__expr] = STATE(1770),
    [sym_ident] = STATE(1770),
    [sym_bool] = STATE(1770),
    [sym_number] = STATE(1770),
    [sym_string] = STATE(1770),
    [sym_tagged] = STATE(1770),
    [sym_context] = STATE(1770),
    [sym_elude] = STATE(1770),
    [sym_assign] = STATE(1770),
    [sym_lambda] = STATE(1770),
    [sym_or] = STATE(1770),
    [sym_not] = STATE(1770),
    [sym_and] = STATE(1770),
    [sym_cmp] = STATE(1770),
    [sym_in] = STATE(1770),
    [sym_add] = STATE(1770),
    [sym_sub] = STATE(1770),
    [sym_mul] = STATE(1770),
    [sym_div] = STATE(1770),
    [sym_sign] = STATE(1770),
    [sym_call] = STATE(1770),
    [sym_field] = STATE(1770),
    [sym_label] = STATE(1770),
    [sym_content] = STATE(1770),
    [sym_group] = STATE(1770),
    [sym_block] = STATE(1770),
    [sym_branch] = STATE(1770),
    [sym_let] = STATE(1770),
    [sym_set] = STATE(1770),
    [sym_import] = STATE(1770),
    [sym_include] = STATE(1770),
    [sym_for] = STATE(1770),
    [sym_while] = STATE(1770),
    [sym_show] = STATE(1770),
    [sym_return] = STATE(1770),
    [sym_flow] = STATE(1770),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2407),
    [sym_none] = ACTIONS(2407),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [505] = {
    [sym_raw_blck] = STATE(3065),
    [sym_raw_span] = STATE(3065),
    [sym_math] = STATE(3065),
    [sym__expr] = STATE(3065),
    [sym_ident] = STATE(3065),
    [sym_bool] = STATE(3065),
    [sym_number] = STATE(3065),
    [sym_string] = STATE(3065),
    [sym_tagged] = STATE(3065),
    [sym_context] = STATE(3065),
    [sym_elude] = STATE(3065),
    [sym_assign] = STATE(3065),
    [sym_lambda] = STATE(3065),
    [sym_or] = STATE(3065),
    [sym_not] = STATE(3065),
    [sym_and] = STATE(3065),
    [sym_cmp] = STATE(3065),
    [sym_in] = STATE(3065),
    [sym_add] = STATE(3065),
    [sym_sub] = STATE(3065),
    [sym_mul] = STATE(3065),
    [sym_div] = STATE(3065),
    [sym_sign] = STATE(3065),
    [sym_call] = STATE(1581),
    [sym_field] = STATE(3065),
    [sym_label] = STATE(3065),
    [sym_content] = STATE(3065),
    [sym_group] = STATE(3065),
    [sym_block] = STATE(3065),
    [sym_branch] = STATE(3065),
    [sym_let] = STATE(3065),
    [sym_set] = STATE(3065),
    [sym_import] = STATE(3065),
    [sym_include] = STATE(3065),
    [sym_for] = STATE(3065),
    [sym_while] = STATE(3065),
    [sym_show] = STATE(3065),
    [sym_return] = STATE(3065),
    [sym_flow] = STATE(3065),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2409),
    [sym_none] = ACTIONS(2409),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [506] = {
    [sym_raw_blck] = STATE(1508),
    [sym_raw_span] = STATE(1508),
    [sym_math] = STATE(1508),
    [sym__expr] = STATE(1508),
    [sym_ident] = STATE(1508),
    [sym_bool] = STATE(1508),
    [sym_number] = STATE(1508),
    [sym_string] = STATE(1508),
    [sym_tagged] = STATE(1508),
    [sym_context] = STATE(1508),
    [sym_elude] = STATE(1508),
    [sym_assign] = STATE(1508),
    [sym_lambda] = STATE(1508),
    [sym_or] = STATE(1508),
    [sym_not] = STATE(1508),
    [sym_and] = STATE(1508),
    [sym_cmp] = STATE(1508),
    [sym_in] = STATE(1508),
    [sym_add] = STATE(1508),
    [sym_sub] = STATE(1508),
    [sym_mul] = STATE(1508),
    [sym_div] = STATE(1508),
    [sym_sign] = STATE(1508),
    [sym_call] = STATE(1508),
    [sym_field] = STATE(1508),
    [sym_label] = STATE(1508),
    [sym_content] = STATE(1508),
    [sym_group] = STATE(1508),
    [sym_block] = STATE(1508),
    [sym_branch] = STATE(1508),
    [sym_let] = STATE(1508),
    [sym_set] = STATE(1508),
    [sym_import] = STATE(1508),
    [sym_include] = STATE(1508),
    [sym_for] = STATE(1508),
    [sym_while] = STATE(1508),
    [sym_show] = STATE(1508),
    [sym_return] = STATE(1508),
    [sym_flow] = STATE(1508),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(125),
    [anon_sym_DOLLAR] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [aux_sym_number_token1] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(133),
    [anon_sym_context] = ACTIONS(135),
    [anon_sym_DOT_DOT] = ACTIONS(137),
    [anon_sym_not] = ACTIONS(139),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_LPAREN2] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_if] = ACTIONS(149),
    [anon_sym_let] = ACTIONS(151),
    [anon_sym_set] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(155),
    [anon_sym_include] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(161),
    [anon_sym_show] = ACTIONS(163),
    [anon_sym_return] = ACTIONS(165),
    [anon_sym_break] = ACTIONS(167),
    [anon_sym_continue] = ACTIONS(167),
    [sym_auto] = ACTIONS(2411),
    [sym_none] = ACTIONS(2411),
    [sym__token_content] = ACTIONS(171),
    [sym__token_raw_blck_ldlm] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [507] = {
    [sym_raw_blck] = STATE(1562),
    [sym_raw_span] = STATE(1562),
    [sym_math] = STATE(1562),
    [sym__expr] = STATE(1562),
    [sym_ident] = STATE(1562),
    [sym_bool] = STATE(1562),
    [sym_number] = STATE(1562),
    [sym_string] = STATE(1562),
    [sym_tagged] = STATE(1562),
    [sym_context] = STATE(1562),
    [sym_elude] = STATE(1562),
    [sym_assign] = STATE(1562),
    [sym_lambda] = STATE(1562),
    [sym_or] = STATE(1562),
    [sym_not] = STATE(1562),
    [sym_and] = STATE(1562),
    [sym_cmp] = STATE(1562),
    [sym_in] = STATE(1562),
    [sym_add] = STATE(1562),
    [sym_sub] = STATE(1562),
    [sym_mul] = STATE(1562),
    [sym_div] = STATE(1562),
    [sym_sign] = STATE(1562),
    [sym_call] = STATE(1562),
    [sym_field] = STATE(1562),
    [sym_label] = STATE(1562),
    [sym_content] = STATE(1562),
    [sym_group] = STATE(1562),
    [sym_block] = STATE(1562),
    [sym_branch] = STATE(1562),
    [sym_let] = STATE(1562),
    [sym_set] = STATE(1562),
    [sym_import] = STATE(1562),
    [sym_include] = STATE(1562),
    [sym_for] = STATE(1562),
    [sym_while] = STATE(1562),
    [sym_show] = STATE(1562),
    [sym_return] = STATE(1562),
    [sym_flow] = STATE(1562),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2413),
    [sym_none] = ACTIONS(2413),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [508] = {
    [sym_raw_blck] = STATE(2442),
    [sym_raw_span] = STATE(2442),
    [sym_math] = STATE(2442),
    [sym__expr] = STATE(2442),
    [sym_ident] = STATE(2442),
    [sym_bool] = STATE(2442),
    [sym_number] = STATE(2442),
    [sym_string] = STATE(2442),
    [sym_tagged] = STATE(2442),
    [sym_context] = STATE(2442),
    [sym_elude] = STATE(2442),
    [sym_assign] = STATE(2442),
    [sym_lambda] = STATE(2442),
    [sym_or] = STATE(2442),
    [sym_not] = STATE(2442),
    [sym_and] = STATE(2442),
    [sym_cmp] = STATE(2442),
    [sym_in] = STATE(2442),
    [sym_add] = STATE(2442),
    [sym_sub] = STATE(2442),
    [sym_mul] = STATE(2442),
    [sym_div] = STATE(2442),
    [sym_sign] = STATE(2442),
    [sym_call] = STATE(2442),
    [sym_field] = STATE(2442),
    [sym_label] = STATE(2442),
    [sym_content] = STATE(2442),
    [sym_group] = STATE(2442),
    [sym_block] = STATE(2442),
    [sym_branch] = STATE(2442),
    [sym_let] = STATE(2442),
    [sym_set] = STATE(2442),
    [sym_import] = STATE(2442),
    [sym_include] = STATE(2442),
    [sym_for] = STATE(2442),
    [sym_while] = STATE(2442),
    [sym_show] = STATE(2442),
    [sym_return] = STATE(2442),
    [sym_flow] = STATE(2442),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2415),
    [sym_none] = ACTIONS(2415),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [509] = {
    [sym_raw_blck] = STATE(1509),
    [sym_raw_span] = STATE(1509),
    [sym_math] = STATE(1509),
    [sym__expr] = STATE(1509),
    [sym_ident] = STATE(1509),
    [sym_bool] = STATE(1509),
    [sym_number] = STATE(1509),
    [sym_string] = STATE(1509),
    [sym_tagged] = STATE(1509),
    [sym_context] = STATE(1509),
    [sym_elude] = STATE(1509),
    [sym_assign] = STATE(1509),
    [sym_lambda] = STATE(1509),
    [sym_or] = STATE(1509),
    [sym_not] = STATE(1509),
    [sym_and] = STATE(1509),
    [sym_cmp] = STATE(1509),
    [sym_in] = STATE(1509),
    [sym_add] = STATE(1509),
    [sym_sub] = STATE(1509),
    [sym_mul] = STATE(1509),
    [sym_div] = STATE(1509),
    [sym_sign] = STATE(1509),
    [sym_call] = STATE(1509),
    [sym_field] = STATE(1509),
    [sym_label] = STATE(1509),
    [sym_content] = STATE(1509),
    [sym_group] = STATE(1509),
    [sym_block] = STATE(1509),
    [sym_branch] = STATE(1509),
    [sym_let] = STATE(1509),
    [sym_set] = STATE(1509),
    [sym_import] = STATE(1509),
    [sym_include] = STATE(1509),
    [sym_for] = STATE(1509),
    [sym_while] = STATE(1509),
    [sym_show] = STATE(1509),
    [sym_return] = STATE(1509),
    [sym_flow] = STATE(1509),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2417),
    [sym_none] = ACTIONS(2417),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [510] = {
    [sym_raw_blck] = STATE(3069),
    [sym_raw_span] = STATE(3069),
    [sym_math] = STATE(3069),
    [sym__expr] = STATE(3069),
    [sym_ident] = STATE(3069),
    [sym_bool] = STATE(3069),
    [sym_number] = STATE(3069),
    [sym_string] = STATE(3069),
    [sym_tagged] = STATE(3069),
    [sym_context] = STATE(3069),
    [sym_elude] = STATE(3069),
    [sym_assign] = STATE(3069),
    [sym_lambda] = STATE(3069),
    [sym_or] = STATE(3069),
    [sym_not] = STATE(3069),
    [sym_and] = STATE(3069),
    [sym_cmp] = STATE(3069),
    [sym_in] = STATE(3069),
    [sym_add] = STATE(3069),
    [sym_sub] = STATE(3069),
    [sym_mul] = STATE(3069),
    [sym_div] = STATE(3069),
    [sym_sign] = STATE(3069),
    [sym_call] = STATE(1501),
    [sym_field] = STATE(3069),
    [sym_label] = STATE(3069),
    [sym_content] = STATE(3069),
    [sym_group] = STATE(3069),
    [sym_block] = STATE(3069),
    [sym_branch] = STATE(3069),
    [sym_let] = STATE(3069),
    [sym_set] = STATE(3069),
    [sym_import] = STATE(3069),
    [sym_include] = STATE(3069),
    [sym_for] = STATE(3069),
    [sym_while] = STATE(3069),
    [sym_show] = STATE(3069),
    [sym_return] = STATE(3069),
    [sym_flow] = STATE(3069),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2419),
    [sym_none] = ACTIONS(2419),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [511] = {
    [sym_raw_blck] = STATE(1317),
    [sym_raw_span] = STATE(1317),
    [sym_math] = STATE(1317),
    [sym__expr] = STATE(1317),
    [sym_ident] = STATE(1317),
    [sym_bool] = STATE(1317),
    [sym_number] = STATE(1317),
    [sym_string] = STATE(1317),
    [sym_tagged] = STATE(1317),
    [sym_context] = STATE(1317),
    [sym_elude] = STATE(1317),
    [sym_assign] = STATE(1317),
    [sym_lambda] = STATE(1317),
    [sym_or] = STATE(1317),
    [sym_not] = STATE(1317),
    [sym_and] = STATE(1317),
    [sym_cmp] = STATE(1317),
    [sym_in] = STATE(1317),
    [sym_add] = STATE(1317),
    [sym_sub] = STATE(1317),
    [sym_mul] = STATE(1317),
    [sym_div] = STATE(1317),
    [sym_sign] = STATE(1317),
    [sym_call] = STATE(1317),
    [sym_field] = STATE(1317),
    [sym_label] = STATE(1317),
    [sym_content] = STATE(1317),
    [sym_group] = STATE(1317),
    [sym_block] = STATE(1317),
    [sym_branch] = STATE(1317),
    [sym_let] = STATE(1317),
    [sym_set] = STATE(1317),
    [sym_import] = STATE(1317),
    [sym_include] = STATE(1317),
    [sym_for] = STATE(1317),
    [sym_while] = STATE(1317),
    [sym_show] = STATE(1317),
    [sym_return] = STATE(1317),
    [sym_flow] = STATE(1317),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(11),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_true] = ACTIONS(17),
    [anon_sym_false] = ACTIONS(17),
    [aux_sym_number_token1] = ACTIONS(19),
    [anon_sym_DQUOTE] = ACTIONS(21),
    [anon_sym_context] = ACTIONS(23),
    [anon_sym_DOT_DOT] = ACTIONS(25),
    [anon_sym_not] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2083),
    [anon_sym_DASH] = ACTIONS(2083),
    [anon_sym_LPAREN2] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_if] = ACTIONS(37),
    [anon_sym_let] = ACTIONS(39),
    [anon_sym_set] = ACTIONS(41),
    [anon_sym_import] = ACTIONS(43),
    [anon_sym_include] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_show] = ACTIONS(51),
    [anon_sym_return] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(55),
    [sym_auto] = ACTIONS(2421),
    [sym_none] = ACTIONS(2421),
    [sym__token_content] = ACTIONS(59),
    [sym__token_raw_blck_ldlm] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [512] = {
    [sym_raw_blck] = STATE(1667),
    [sym_raw_span] = STATE(1667),
    [sym_math] = STATE(1667),
    [sym__expr] = STATE(1667),
    [sym_ident] = STATE(1667),
    [sym_bool] = STATE(1667),
    [sym_number] = STATE(1667),
    [sym_string] = STATE(1667),
    [sym_tagged] = STATE(1667),
    [sym_context] = STATE(1667),
    [sym_elude] = STATE(1667),
    [sym_assign] = STATE(1667),
    [sym_lambda] = STATE(1667),
    [sym_or] = STATE(1667),
    [sym_not] = STATE(1667),
    [sym_and] = STATE(1667),
    [sym_cmp] = STATE(1667),
    [sym_in] = STATE(1667),
    [sym_add] = STATE(1667),
    [sym_sub] = STATE(1667),
    [sym_mul] = STATE(1667),
    [sym_div] = STATE(1667),
    [sym_sign] = STATE(1667),
    [sym_call] = STATE(1667),
    [sym_field] = STATE(1667),
    [sym_label] = STATE(1667),
    [sym_content] = STATE(1667),
    [sym_group] = STATE(1667),
    [sym_block] = STATE(1667),
    [sym_branch] = STATE(1667),
    [sym_let] = STATE(1667),
    [sym_set] = STATE(1667),
    [sym_import] = STATE(1667),
    [sym_include] = STATE(1667),
    [sym_for] = STATE(1667),
    [sym_while] = STATE(1667),
    [sym_show] = STATE(1667),
    [sym_return] = STATE(1667),
    [sym_flow] = STATE(1667),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2423),
    [sym_none] = ACTIONS(2423),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [513] = {
    [sym_raw_blck] = STATE(2809),
    [sym_raw_span] = STATE(2809),
    [sym_math] = STATE(2809),
    [sym__expr] = STATE(2809),
    [sym_ident] = STATE(2809),
    [sym_bool] = STATE(2809),
    [sym_number] = STATE(2809),
    [sym_string] = STATE(2809),
    [sym_tagged] = STATE(2809),
    [sym_context] = STATE(2809),
    [sym_elude] = STATE(2809),
    [sym_assign] = STATE(2809),
    [sym_lambda] = STATE(2809),
    [sym_or] = STATE(2809),
    [sym_not] = STATE(2809),
    [sym_and] = STATE(2809),
    [sym_cmp] = STATE(2809),
    [sym_in] = STATE(2809),
    [sym_add] = STATE(2809),
    [sym_sub] = STATE(2809),
    [sym_mul] = STATE(2809),
    [sym_div] = STATE(2809),
    [sym_sign] = STATE(2809),
    [sym_call] = STATE(2809),
    [sym_field] = STATE(2809),
    [sym_label] = STATE(2809),
    [sym_content] = STATE(2809),
    [sym_group] = STATE(2809),
    [sym_block] = STATE(2809),
    [sym_branch] = STATE(2809),
    [sym_let] = STATE(2809),
    [sym_set] = STATE(2809),
    [sym_import] = STATE(2809),
    [sym_include] = STATE(2809),
    [sym_for] = STATE(2809),
    [sym_while] = STATE(2809),
    [sym_show] = STATE(2809),
    [sym_return] = STATE(2809),
    [sym_flow] = STATE(2809),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2425),
    [sym_none] = ACTIONS(2425),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [514] = {
    [sym_raw_blck] = STATE(1774),
    [sym_raw_span] = STATE(1774),
    [sym_math] = STATE(1774),
    [sym__expr] = STATE(1774),
    [sym_ident] = STATE(1774),
    [sym_bool] = STATE(1774),
    [sym_number] = STATE(1774),
    [sym_string] = STATE(1774),
    [sym_tagged] = STATE(1774),
    [sym_context] = STATE(1774),
    [sym_elude] = STATE(1774),
    [sym_assign] = STATE(1774),
    [sym_lambda] = STATE(1774),
    [sym_or] = STATE(1774),
    [sym_not] = STATE(1774),
    [sym_and] = STATE(1774),
    [sym_cmp] = STATE(1774),
    [sym_in] = STATE(1774),
    [sym_add] = STATE(1774),
    [sym_sub] = STATE(1774),
    [sym_mul] = STATE(1774),
    [sym_div] = STATE(1774),
    [sym_sign] = STATE(1774),
    [sym_call] = STATE(1774),
    [sym_field] = STATE(1774),
    [sym_label] = STATE(1774),
    [sym_content] = STATE(1774),
    [sym_group] = STATE(1774),
    [sym_block] = STATE(1774),
    [sym_branch] = STATE(1774),
    [sym_let] = STATE(1774),
    [sym_set] = STATE(1774),
    [sym_import] = STATE(1774),
    [sym_include] = STATE(1774),
    [sym_for] = STATE(1774),
    [sym_while] = STATE(1774),
    [sym_show] = STATE(1774),
    [sym_return] = STATE(1774),
    [sym_flow] = STATE(1774),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2427),
    [sym_none] = ACTIONS(2427),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [515] = {
    [sym_raw_blck] = STATE(3048),
    [sym_raw_span] = STATE(3048),
    [sym_math] = STATE(3048),
    [sym__expr] = STATE(3048),
    [sym_ident] = STATE(3048),
    [sym_bool] = STATE(3048),
    [sym_number] = STATE(3048),
    [sym_string] = STATE(3048),
    [sym_tagged] = STATE(3048),
    [sym_context] = STATE(3048),
    [sym_elude] = STATE(3048),
    [sym_assign] = STATE(3048),
    [sym_lambda] = STATE(3048),
    [sym_or] = STATE(3048),
    [sym_not] = STATE(3048),
    [sym_and] = STATE(3048),
    [sym_cmp] = STATE(3048),
    [sym_in] = STATE(3048),
    [sym_add] = STATE(3048),
    [sym_sub] = STATE(3048),
    [sym_mul] = STATE(3048),
    [sym_div] = STATE(3048),
    [sym_sign] = STATE(3048),
    [sym_call] = STATE(1246),
    [sym_field] = STATE(3048),
    [sym_label] = STATE(3048),
    [sym_content] = STATE(3048),
    [sym_group] = STATE(3048),
    [sym_block] = STATE(3048),
    [sym_branch] = STATE(3048),
    [sym_let] = STATE(3048),
    [sym_set] = STATE(3048),
    [sym_import] = STATE(3048),
    [sym_include] = STATE(3048),
    [sym_for] = STATE(3048),
    [sym_while] = STATE(3048),
    [sym_show] = STATE(3048),
    [sym_return] = STATE(3048),
    [sym_flow] = STATE(3048),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2429),
    [sym_none] = ACTIONS(2429),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [516] = {
    [sym_raw_blck] = STATE(1510),
    [sym_raw_span] = STATE(1510),
    [sym_math] = STATE(1510),
    [sym__expr] = STATE(1510),
    [sym_ident] = STATE(1510),
    [sym_bool] = STATE(1510),
    [sym_number] = STATE(1510),
    [sym_string] = STATE(1510),
    [sym_tagged] = STATE(1510),
    [sym_context] = STATE(1510),
    [sym_elude] = STATE(1510),
    [sym_assign] = STATE(1510),
    [sym_lambda] = STATE(1510),
    [sym_or] = STATE(1510),
    [sym_not] = STATE(1510),
    [sym_and] = STATE(1510),
    [sym_cmp] = STATE(1510),
    [sym_in] = STATE(1510),
    [sym_add] = STATE(1510),
    [sym_sub] = STATE(1510),
    [sym_mul] = STATE(1510),
    [sym_div] = STATE(1510),
    [sym_sign] = STATE(1510),
    [sym_call] = STATE(1510),
    [sym_field] = STATE(1510),
    [sym_label] = STATE(1510),
    [sym_content] = STATE(1510),
    [sym_group] = STATE(1510),
    [sym_block] = STATE(1510),
    [sym_branch] = STATE(1510),
    [sym_let] = STATE(1510),
    [sym_set] = STATE(1510),
    [sym_import] = STATE(1510),
    [sym_include] = STATE(1510),
    [sym_for] = STATE(1510),
    [sym_while] = STATE(1510),
    [sym_show] = STATE(1510),
    [sym_return] = STATE(1510),
    [sym_flow] = STATE(1510),
    [sym__identifier] = ACTIONS(177),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(179),
    [anon_sym_DOLLAR] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(183),
    [anon_sym_false] = ACTIONS(183),
    [aux_sym_number_token1] = ACTIONS(185),
    [anon_sym_DQUOTE] = ACTIONS(187),
    [anon_sym_context] = ACTIONS(189),
    [anon_sym_DOT_DOT] = ACTIONS(191),
    [anon_sym_not] = ACTIONS(223),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_LPAREN2] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2431),
    [sym_none] = ACTIONS(2431),
    [sym__token_content] = ACTIONS(219),
    [sym__token_raw_blck_ldlm] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [517] = {
    [sym_raw_blck] = STATE(1790),
    [sym_raw_span] = STATE(1790),
    [sym_math] = STATE(1790),
    [sym__expr] = STATE(1790),
    [sym_ident] = STATE(1790),
    [sym_bool] = STATE(1790),
    [sym_number] = STATE(1790),
    [sym_string] = STATE(1790),
    [sym_tagged] = STATE(1790),
    [sym_context] = STATE(1790),
    [sym_elude] = STATE(1790),
    [sym_assign] = STATE(1790),
    [sym_lambda] = STATE(1790),
    [sym_or] = STATE(1790),
    [sym_not] = STATE(1790),
    [sym_and] = STATE(1790),
    [sym_cmp] = STATE(1790),
    [sym_in] = STATE(1790),
    [sym_add] = STATE(1790),
    [sym_sub] = STATE(1790),
    [sym_mul] = STATE(1790),
    [sym_div] = STATE(1790),
    [sym_sign] = STATE(1790),
    [sym_call] = STATE(1790),
    [sym_field] = STATE(1790),
    [sym_label] = STATE(1790),
    [sym_content] = STATE(1790),
    [sym_group] = STATE(1790),
    [sym_block] = STATE(1790),
    [sym_branch] = STATE(1790),
    [sym_let] = STATE(1790),
    [sym_set] = STATE(1790),
    [sym_import] = STATE(1790),
    [sym_include] = STATE(1790),
    [sym_for] = STATE(1790),
    [sym_while] = STATE(1790),
    [sym_show] = STATE(1790),
    [sym_return] = STATE(1790),
    [sym_flow] = STATE(1790),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2433),
    [sym_none] = ACTIONS(2433),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [518] = {
    [sym_raw_blck] = STATE(2469),
    [sym_raw_span] = STATE(2469),
    [sym_math] = STATE(2469),
    [sym__expr] = STATE(2469),
    [sym_ident] = STATE(2469),
    [sym_bool] = STATE(2469),
    [sym_number] = STATE(2469),
    [sym_string] = STATE(2469),
    [sym_tagged] = STATE(2469),
    [sym_context] = STATE(2469),
    [sym_elude] = STATE(2469),
    [sym_assign] = STATE(2469),
    [sym_lambda] = STATE(2469),
    [sym_or] = STATE(2469),
    [sym_not] = STATE(2469),
    [sym_and] = STATE(2469),
    [sym_cmp] = STATE(2469),
    [sym_in] = STATE(2469),
    [sym_add] = STATE(2469),
    [sym_sub] = STATE(2469),
    [sym_mul] = STATE(2469),
    [sym_div] = STATE(2469),
    [sym_sign] = STATE(2469),
    [sym_call] = STATE(2469),
    [sym_field] = STATE(2469),
    [sym_label] = STATE(2469),
    [sym_content] = STATE(2469),
    [sym_group] = STATE(2469),
    [sym_block] = STATE(2469),
    [sym_branch] = STATE(2469),
    [sym_let] = STATE(2469),
    [sym_set] = STATE(2469),
    [sym_import] = STATE(2469),
    [sym_include] = STATE(2469),
    [sym_for] = STATE(2469),
    [sym_while] = STATE(2469),
    [sym_show] = STATE(2469),
    [sym_return] = STATE(2469),
    [sym_flow] = STATE(2469),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2435),
    [sym_none] = ACTIONS(2435),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [519] = {
    [sym_raw_blck] = STATE(1775),
    [sym_raw_span] = STATE(1775),
    [sym_math] = STATE(1775),
    [sym__expr] = STATE(1775),
    [sym_ident] = STATE(1775),
    [sym_bool] = STATE(1775),
    [sym_number] = STATE(1775),
    [sym_string] = STATE(1775),
    [sym_tagged] = STATE(1775),
    [sym_context] = STATE(1775),
    [sym_elude] = STATE(1775),
    [sym_assign] = STATE(1775),
    [sym_lambda] = STATE(1775),
    [sym_or] = STATE(1775),
    [sym_not] = STATE(1775),
    [sym_and] = STATE(1775),
    [sym_cmp] = STATE(1775),
    [sym_in] = STATE(1775),
    [sym_add] = STATE(1775),
    [sym_sub] = STATE(1775),
    [sym_mul] = STATE(1775),
    [sym_div] = STATE(1775),
    [sym_sign] = STATE(1775),
    [sym_call] = STATE(1775),
    [sym_field] = STATE(1775),
    [sym_label] = STATE(1775),
    [sym_content] = STATE(1775),
    [sym_group] = STATE(1775),
    [sym_block] = STATE(1775),
    [sym_branch] = STATE(1775),
    [sym_let] = STATE(1775),
    [sym_set] = STATE(1775),
    [sym_import] = STATE(1775),
    [sym_include] = STATE(1775),
    [sym_for] = STATE(1775),
    [sym_while] = STATE(1775),
    [sym_show] = STATE(1775),
    [sym_return] = STATE(1775),
    [sym_flow] = STATE(1775),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2437),
    [sym_none] = ACTIONS(2437),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [520] = {
    [sym_raw_blck] = STATE(3016),
    [sym_raw_span] = STATE(3016),
    [sym_math] = STATE(3016),
    [sym__expr] = STATE(3016),
    [sym_ident] = STATE(3016),
    [sym_bool] = STATE(3016),
    [sym_number] = STATE(3016),
    [sym_string] = STATE(3016),
    [sym_tagged] = STATE(3016),
    [sym_context] = STATE(3016),
    [sym_elude] = STATE(3016),
    [sym_assign] = STATE(3016),
    [sym_lambda] = STATE(3016),
    [sym_or] = STATE(3016),
    [sym_not] = STATE(3016),
    [sym_and] = STATE(3016),
    [sym_cmp] = STATE(3016),
    [sym_in] = STATE(3016),
    [sym_add] = STATE(3016),
    [sym_sub] = STATE(3016),
    [sym_mul] = STATE(3016),
    [sym_div] = STATE(3016),
    [sym_sign] = STATE(3016),
    [sym_call] = STATE(1515),
    [sym_field] = STATE(3016),
    [sym_label] = STATE(3016),
    [sym_content] = STATE(3016),
    [sym_group] = STATE(3016),
    [sym_block] = STATE(3016),
    [sym_branch] = STATE(3016),
    [sym_let] = STATE(3016),
    [sym_set] = STATE(3016),
    [sym_import] = STATE(3016),
    [sym_include] = STATE(3016),
    [sym_for] = STATE(3016),
    [sym_while] = STATE(3016),
    [sym_show] = STATE(3016),
    [sym_return] = STATE(3016),
    [sym_flow] = STATE(3016),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2439),
    [sym_none] = ACTIONS(2439),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [521] = {
    [sym_raw_blck] = STATE(1513),
    [sym_raw_span] = STATE(1513),
    [sym_math] = STATE(1513),
    [sym__expr] = STATE(1513),
    [sym_ident] = STATE(1513),
    [sym_bool] = STATE(1513),
    [sym_number] = STATE(1513),
    [sym_string] = STATE(1513),
    [sym_tagged] = STATE(1513),
    [sym_context] = STATE(1513),
    [sym_elude] = STATE(1513),
    [sym_assign] = STATE(1513),
    [sym_lambda] = STATE(1513),
    [sym_or] = STATE(1513),
    [sym_not] = STATE(1513),
    [sym_and] = STATE(1513),
    [sym_cmp] = STATE(1513),
    [sym_in] = STATE(1513),
    [sym_add] = STATE(1513),
    [sym_sub] = STATE(1513),
    [sym_mul] = STATE(1513),
    [sym_div] = STATE(1513),
    [sym_sign] = STATE(1513),
    [sym_call] = STATE(1513),
    [sym_field] = STATE(1513),
    [sym_label] = STATE(1513),
    [sym_content] = STATE(1513),
    [sym_group] = STATE(1513),
    [sym_block] = STATE(1513),
    [sym_branch] = STATE(1513),
    [sym_let] = STATE(1513),
    [sym_set] = STATE(1513),
    [sym_import] = STATE(1513),
    [sym_include] = STATE(1513),
    [sym_for] = STATE(1513),
    [sym_while] = STATE(1513),
    [sym_show] = STATE(1513),
    [sym_return] = STATE(1513),
    [sym_flow] = STATE(1513),
    [sym__identifier] = ACTIONS(231),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(233),
    [anon_sym_DOLLAR] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(237),
    [anon_sym_false] = ACTIONS(237),
    [aux_sym_number_token1] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [anon_sym_context] = ACTIONS(243),
    [anon_sym_DOT_DOT] = ACTIONS(245),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_LPAREN2] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_let] = ACTIONS(253),
    [anon_sym_set] = ACTIONS(255),
    [anon_sym_import] = ACTIONS(257),
    [anon_sym_include] = ACTIONS(259),
    [anon_sym_for] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_show] = ACTIONS(265),
    [anon_sym_return] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(269),
    [anon_sym_continue] = ACTIONS(269),
    [sym_auto] = ACTIONS(2441),
    [sym_none] = ACTIONS(2441),
    [sym__token_content] = ACTIONS(273),
    [sym__token_raw_blck_ldlm] = ACTIONS(275),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [522] = {
    [sym_raw_blck] = STATE(1374),
    [sym_raw_span] = STATE(1374),
    [sym_math] = STATE(1374),
    [sym__expr] = STATE(1374),
    [sym_ident] = STATE(1374),
    [sym_bool] = STATE(1374),
    [sym_number] = STATE(1374),
    [sym_string] = STATE(1374),
    [sym_tagged] = STATE(1374),
    [sym_context] = STATE(1374),
    [sym_elude] = STATE(1374),
    [sym_assign] = STATE(1374),
    [sym_lambda] = STATE(1374),
    [sym_or] = STATE(1374),
    [sym_not] = STATE(1374),
    [sym_and] = STATE(1374),
    [sym_cmp] = STATE(1374),
    [sym_in] = STATE(1374),
    [sym_add] = STATE(1374),
    [sym_sub] = STATE(1374),
    [sym_mul] = STATE(1374),
    [sym_div] = STATE(1374),
    [sym_sign] = STATE(1374),
    [sym_call] = STATE(1374),
    [sym_field] = STATE(1374),
    [sym_label] = STATE(1374),
    [sym_content] = STATE(1374),
    [sym_group] = STATE(1374),
    [sym_block] = STATE(1374),
    [sym_branch] = STATE(1374),
    [sym_let] = STATE(1374),
    [sym_set] = STATE(1374),
    [sym_import] = STATE(1374),
    [sym_include] = STATE(1374),
    [sym_for] = STATE(1374),
    [sym_while] = STATE(1374),
    [sym_show] = STATE(1374),
    [sym_return] = STATE(1374),
    [sym_flow] = STATE(1374),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2443),
    [sym_none] = ACTIONS(2443),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [523] = {
    [sym_raw_blck] = STATE(2991),
    [sym_raw_span] = STATE(2991),
    [sym_math] = STATE(2991),
    [sym__expr] = STATE(2991),
    [sym_ident] = STATE(2991),
    [sym_bool] = STATE(2991),
    [sym_number] = STATE(2991),
    [sym_string] = STATE(2991),
    [sym_tagged] = STATE(2991),
    [sym_context] = STATE(2991),
    [sym_elude] = STATE(2991),
    [sym_assign] = STATE(2991),
    [sym_lambda] = STATE(2991),
    [sym_or] = STATE(2991),
    [sym_not] = STATE(2991),
    [sym_and] = STATE(2991),
    [sym_cmp] = STATE(2991),
    [sym_in] = STATE(2991),
    [sym_add] = STATE(2991),
    [sym_sub] = STATE(2991),
    [sym_mul] = STATE(2991),
    [sym_div] = STATE(2991),
    [sym_sign] = STATE(2991),
    [sym_call] = STATE(2991),
    [sym_field] = STATE(2991),
    [sym_label] = STATE(2991),
    [sym_content] = STATE(2991),
    [sym_group] = STATE(2991),
    [sym_block] = STATE(2991),
    [sym_branch] = STATE(2991),
    [sym_let] = STATE(2991),
    [sym_set] = STATE(2991),
    [sym_import] = STATE(2991),
    [sym_include] = STATE(2991),
    [sym_for] = STATE(2991),
    [sym_while] = STATE(2991),
    [sym_show] = STATE(2991),
    [sym_return] = STATE(2991),
    [sym_flow] = STATE(2991),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2445),
    [sym_none] = ACTIONS(2445),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [524] = {
    [sym_raw_blck] = STATE(1514),
    [sym_raw_span] = STATE(1514),
    [sym_math] = STATE(1514),
    [sym__expr] = STATE(1514),
    [sym_ident] = STATE(1514),
    [sym_bool] = STATE(1514),
    [sym_number] = STATE(1514),
    [sym_string] = STATE(1514),
    [sym_tagged] = STATE(1514),
    [sym_context] = STATE(1514),
    [sym_elude] = STATE(1514),
    [sym_assign] = STATE(1514),
    [sym_lambda] = STATE(1514),
    [sym_or] = STATE(1514),
    [sym_not] = STATE(1514),
    [sym_and] = STATE(1514),
    [sym_cmp] = STATE(1514),
    [sym_in] = STATE(1514),
    [sym_add] = STATE(1514),
    [sym_sub] = STATE(1514),
    [sym_mul] = STATE(1514),
    [sym_div] = STATE(1514),
    [sym_sign] = STATE(1514),
    [sym_call] = STATE(1514),
    [sym_field] = STATE(1514),
    [sym_label] = STATE(1514),
    [sym_content] = STATE(1514),
    [sym_group] = STATE(1514),
    [sym_block] = STATE(1514),
    [sym_branch] = STATE(1514),
    [sym_let] = STATE(1514),
    [sym_set] = STATE(1514),
    [sym_import] = STATE(1514),
    [sym_include] = STATE(1514),
    [sym_for] = STATE(1514),
    [sym_while] = STATE(1514),
    [sym_show] = STATE(1514),
    [sym_return] = STATE(1514),
    [sym_flow] = STATE(1514),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2447),
    [sym_none] = ACTIONS(2447),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [525] = {
    [sym_raw_blck] = STATE(3020),
    [sym_raw_span] = STATE(3020),
    [sym_math] = STATE(3020),
    [sym__expr] = STATE(3020),
    [sym_ident] = STATE(3020),
    [sym_bool] = STATE(3020),
    [sym_number] = STATE(3020),
    [sym_string] = STATE(3020),
    [sym_tagged] = STATE(3020),
    [sym_context] = STATE(3020),
    [sym_elude] = STATE(3020),
    [sym_assign] = STATE(3020),
    [sym_lambda] = STATE(3020),
    [sym_or] = STATE(3020),
    [sym_not] = STATE(3020),
    [sym_and] = STATE(3020),
    [sym_cmp] = STATE(3020),
    [sym_in] = STATE(3020),
    [sym_add] = STATE(3020),
    [sym_sub] = STATE(3020),
    [sym_mul] = STATE(3020),
    [sym_div] = STATE(3020),
    [sym_sign] = STATE(3020),
    [sym_call] = STATE(1598),
    [sym_field] = STATE(3020),
    [sym_label] = STATE(3020),
    [sym_content] = STATE(3020),
    [sym_group] = STATE(3020),
    [sym_block] = STATE(3020),
    [sym_branch] = STATE(3020),
    [sym_let] = STATE(3020),
    [sym_set] = STATE(3020),
    [sym_import] = STATE(3020),
    [sym_include] = STATE(3020),
    [sym_for] = STATE(3020),
    [sym_while] = STATE(3020),
    [sym_show] = STATE(3020),
    [sym_return] = STATE(3020),
    [sym_flow] = STATE(3020),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2449),
    [sym_none] = ACTIONS(2449),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [526] = {
    [sym_raw_blck] = STATE(1318),
    [sym_raw_span] = STATE(1318),
    [sym_math] = STATE(1318),
    [sym__expr] = STATE(1318),
    [sym_ident] = STATE(1318),
    [sym_bool] = STATE(1318),
    [sym_number] = STATE(1318),
    [sym_string] = STATE(1318),
    [sym_tagged] = STATE(1318),
    [sym_context] = STATE(1318),
    [sym_elude] = STATE(1318),
    [sym_assign] = STATE(1318),
    [sym_lambda] = STATE(1318),
    [sym_or] = STATE(1318),
    [sym_not] = STATE(1318),
    [sym_and] = STATE(1318),
    [sym_cmp] = STATE(1318),
    [sym_in] = STATE(1318),
    [sym_add] = STATE(1318),
    [sym_sub] = STATE(1318),
    [sym_mul] = STATE(1318),
    [sym_div] = STATE(1318),
    [sym_sign] = STATE(1318),
    [sym_call] = STATE(1318),
    [sym_field] = STATE(1318),
    [sym_label] = STATE(1318),
    [sym_content] = STATE(1318),
    [sym_group] = STATE(1318),
    [sym_block] = STATE(1318),
    [sym_branch] = STATE(1318),
    [sym_let] = STATE(1318),
    [sym_set] = STATE(1318),
    [sym_import] = STATE(1318),
    [sym_include] = STATE(1318),
    [sym_for] = STATE(1318),
    [sym_while] = STATE(1318),
    [sym_show] = STATE(1318),
    [sym_return] = STATE(1318),
    [sym_flow] = STATE(1318),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_true] = ACTIONS(507),
    [anon_sym_false] = ACTIONS(507),
    [aux_sym_number_token1] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [anon_sym_context] = ACTIONS(513),
    [anon_sym_DOT_DOT] = ACTIONS(515),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_LPAREN2] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(549),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_set] = ACTIONS(523),
    [anon_sym_import] = ACTIONS(525),
    [anon_sym_include] = ACTIONS(527),
    [anon_sym_for] = ACTIONS(529),
    [anon_sym_while] = ACTIONS(531),
    [anon_sym_show] = ACTIONS(533),
    [anon_sym_return] = ACTIONS(535),
    [anon_sym_break] = ACTIONS(537),
    [anon_sym_continue] = ACTIONS(537),
    [sym_auto] = ACTIONS(2451),
    [sym_none] = ACTIONS(2451),
    [sym__token_content] = ACTIONS(553),
    [sym__token_raw_blck_ldlm] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [527] = {
    [sym_raw_blck] = STATE(2992),
    [sym_raw_span] = STATE(2992),
    [sym_math] = STATE(2992),
    [sym__expr] = STATE(2992),
    [sym_ident] = STATE(2992),
    [sym_bool] = STATE(2992),
    [sym_number] = STATE(2992),
    [sym_string] = STATE(2992),
    [sym_tagged] = STATE(2992),
    [sym_context] = STATE(2992),
    [sym_elude] = STATE(2992),
    [sym_assign] = STATE(2992),
    [sym_lambda] = STATE(2992),
    [sym_or] = STATE(2992),
    [sym_not] = STATE(2992),
    [sym_and] = STATE(2992),
    [sym_cmp] = STATE(2992),
    [sym_in] = STATE(2992),
    [sym_add] = STATE(2992),
    [sym_sub] = STATE(2992),
    [sym_mul] = STATE(2992),
    [sym_div] = STATE(2992),
    [sym_sign] = STATE(2992),
    [sym_call] = STATE(2992),
    [sym_field] = STATE(2992),
    [sym_label] = STATE(2992),
    [sym_content] = STATE(2992),
    [sym_group] = STATE(2992),
    [sym_block] = STATE(2992),
    [sym_branch] = STATE(2992),
    [sym_let] = STATE(2992),
    [sym_set] = STATE(2992),
    [sym_import] = STATE(2992),
    [sym_include] = STATE(2992),
    [sym_for] = STATE(2992),
    [sym_while] = STATE(2992),
    [sym_show] = STATE(2992),
    [sym_return] = STATE(2992),
    [sym_flow] = STATE(2992),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2453),
    [sym_none] = ACTIONS(2453),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [528] = {
    [sym_raw_blck] = STATE(3031),
    [sym_raw_span] = STATE(3031),
    [sym_math] = STATE(3031),
    [sym__expr] = STATE(3031),
    [sym_ident] = STATE(3031),
    [sym_bool] = STATE(3031),
    [sym_number] = STATE(3031),
    [sym_string] = STATE(3031),
    [sym_tagged] = STATE(3031),
    [sym_context] = STATE(3031),
    [sym_elude] = STATE(3031),
    [sym_assign] = STATE(3031),
    [sym_lambda] = STATE(3031),
    [sym_or] = STATE(3031),
    [sym_not] = STATE(3031),
    [sym_and] = STATE(3031),
    [sym_cmp] = STATE(3031),
    [sym_in] = STATE(3031),
    [sym_add] = STATE(3031),
    [sym_sub] = STATE(3031),
    [sym_mul] = STATE(3031),
    [sym_div] = STATE(3031),
    [sym_sign] = STATE(3031),
    [sym_call] = STATE(1281),
    [sym_field] = STATE(3031),
    [sym_label] = STATE(3031),
    [sym_content] = STATE(3031),
    [sym_group] = STATE(3031),
    [sym_block] = STATE(3031),
    [sym_branch] = STATE(3031),
    [sym_let] = STATE(3031),
    [sym_set] = STATE(3031),
    [sym_import] = STATE(3031),
    [sym_include] = STATE(3031),
    [sym_for] = STATE(3031),
    [sym_while] = STATE(3031),
    [sym_show] = STATE(3031),
    [sym_return] = STATE(3031),
    [sym_flow] = STATE(3031),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2455),
    [sym_none] = ACTIONS(2455),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [529] = {
    [sym_raw_blck] = STATE(2224),
    [sym_raw_span] = STATE(2224),
    [sym_math] = STATE(2224),
    [sym__expr] = STATE(2224),
    [sym_ident] = STATE(2224),
    [sym_bool] = STATE(2224),
    [sym_number] = STATE(2224),
    [sym_string] = STATE(2224),
    [sym_tagged] = STATE(2224),
    [sym_context] = STATE(2224),
    [sym_elude] = STATE(2224),
    [sym_assign] = STATE(2224),
    [sym_lambda] = STATE(2224),
    [sym_or] = STATE(2224),
    [sym_not] = STATE(2224),
    [sym_and] = STATE(2224),
    [sym_cmp] = STATE(2224),
    [sym_in] = STATE(2224),
    [sym_add] = STATE(2224),
    [sym_sub] = STATE(2224),
    [sym_mul] = STATE(2224),
    [sym_div] = STATE(2224),
    [sym_sign] = STATE(2224),
    [sym_call] = STATE(2224),
    [sym_field] = STATE(2224),
    [sym_label] = STATE(2224),
    [sym_content] = STATE(2224),
    [sym_group] = STATE(2224),
    [sym_block] = STATE(2224),
    [sym_branch] = STATE(2224),
    [sym_let] = STATE(2224),
    [sym_set] = STATE(2224),
    [sym_import] = STATE(2224),
    [sym_include] = STATE(2224),
    [sym_for] = STATE(2224),
    [sym_while] = STATE(2224),
    [sym_show] = STATE(2224),
    [sym_return] = STATE(2224),
    [sym_flow] = STATE(2224),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2457),
    [sym_none] = ACTIONS(2457),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [530] = {
    [sym_raw_blck] = STATE(2994),
    [sym_raw_span] = STATE(2994),
    [sym_math] = STATE(2994),
    [sym__expr] = STATE(2994),
    [sym_ident] = STATE(2994),
    [sym_bool] = STATE(2994),
    [sym_number] = STATE(2994),
    [sym_string] = STATE(2994),
    [sym_tagged] = STATE(2994),
    [sym_context] = STATE(2994),
    [sym_elude] = STATE(2994),
    [sym_assign] = STATE(2994),
    [sym_lambda] = STATE(2994),
    [sym_or] = STATE(2994),
    [sym_not] = STATE(2994),
    [sym_and] = STATE(2994),
    [sym_cmp] = STATE(2994),
    [sym_in] = STATE(2994),
    [sym_add] = STATE(2994),
    [sym_sub] = STATE(2994),
    [sym_mul] = STATE(2994),
    [sym_div] = STATE(2994),
    [sym_sign] = STATE(2994),
    [sym_call] = STATE(2994),
    [sym_field] = STATE(2994),
    [sym_label] = STATE(2994),
    [sym_content] = STATE(2994),
    [sym_group] = STATE(2994),
    [sym_block] = STATE(2994),
    [sym_branch] = STATE(2994),
    [sym_let] = STATE(2994),
    [sym_set] = STATE(2994),
    [sym_import] = STATE(2994),
    [sym_include] = STATE(2994),
    [sym_for] = STATE(2994),
    [sym_while] = STATE(2994),
    [sym_show] = STATE(2994),
    [sym_return] = STATE(2994),
    [sym_flow] = STATE(2994),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2459),
    [sym_none] = ACTIONS(2459),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [531] = {
    [sym_raw_blck] = STATE(2995),
    [sym_raw_span] = STATE(2995),
    [sym_math] = STATE(2995),
    [sym__expr] = STATE(2995),
    [sym_ident] = STATE(2995),
    [sym_bool] = STATE(2995),
    [sym_number] = STATE(2995),
    [sym_string] = STATE(2995),
    [sym_tagged] = STATE(2995),
    [sym_context] = STATE(2995),
    [sym_elude] = STATE(2995),
    [sym_assign] = STATE(2995),
    [sym_lambda] = STATE(2995),
    [sym_or] = STATE(2995),
    [sym_not] = STATE(2995),
    [sym_and] = STATE(2995),
    [sym_cmp] = STATE(2995),
    [sym_in] = STATE(2995),
    [sym_add] = STATE(2995),
    [sym_sub] = STATE(2995),
    [sym_mul] = STATE(2995),
    [sym_div] = STATE(2995),
    [sym_sign] = STATE(2995),
    [sym_call] = STATE(2995),
    [sym_field] = STATE(2995),
    [sym_label] = STATE(2995),
    [sym_content] = STATE(2995),
    [sym_group] = STATE(2995),
    [sym_block] = STATE(2995),
    [sym_branch] = STATE(2995),
    [sym_let] = STATE(2995),
    [sym_set] = STATE(2995),
    [sym_import] = STATE(2995),
    [sym_include] = STATE(2995),
    [sym_for] = STATE(2995),
    [sym_while] = STATE(2995),
    [sym_show] = STATE(2995),
    [sym_return] = STATE(2995),
    [sym_flow] = STATE(2995),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2461),
    [sym_none] = ACTIONS(2461),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [532] = {
    [sym_raw_blck] = STATE(2999),
    [sym_raw_span] = STATE(2999),
    [sym_math] = STATE(2999),
    [sym__expr] = STATE(2999),
    [sym_ident] = STATE(2999),
    [sym_bool] = STATE(2999),
    [sym_number] = STATE(2999),
    [sym_string] = STATE(2999),
    [sym_tagged] = STATE(2999),
    [sym_context] = STATE(2999),
    [sym_elude] = STATE(2999),
    [sym_assign] = STATE(2999),
    [sym_lambda] = STATE(2999),
    [sym_or] = STATE(2999),
    [sym_not] = STATE(2999),
    [sym_and] = STATE(2999),
    [sym_cmp] = STATE(2999),
    [sym_in] = STATE(2999),
    [sym_add] = STATE(2999),
    [sym_sub] = STATE(2999),
    [sym_mul] = STATE(2999),
    [sym_div] = STATE(2999),
    [sym_sign] = STATE(2999),
    [sym_call] = STATE(2999),
    [sym_field] = STATE(2999),
    [sym_label] = STATE(2999),
    [sym_content] = STATE(2999),
    [sym_group] = STATE(2999),
    [sym_block] = STATE(2999),
    [sym_branch] = STATE(2999),
    [sym_let] = STATE(2999),
    [sym_set] = STATE(2999),
    [sym_import] = STATE(2999),
    [sym_include] = STATE(2999),
    [sym_for] = STATE(2999),
    [sym_while] = STATE(2999),
    [sym_show] = STATE(2999),
    [sym_return] = STATE(2999),
    [sym_flow] = STATE(2999),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2463),
    [sym_none] = ACTIONS(2463),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [533] = {
    [sym_raw_blck] = STATE(1759),
    [sym_raw_span] = STATE(1759),
    [sym_math] = STATE(1759),
    [sym__expr] = STATE(1759),
    [sym_ident] = STATE(1759),
    [sym_bool] = STATE(1759),
    [sym_number] = STATE(1759),
    [sym_string] = STATE(1759),
    [sym_tagged] = STATE(1759),
    [sym_context] = STATE(1759),
    [sym_elude] = STATE(1759),
    [sym_assign] = STATE(1759),
    [sym_lambda] = STATE(1759),
    [sym_or] = STATE(1759),
    [sym_not] = STATE(1759),
    [sym_and] = STATE(1759),
    [sym_cmp] = STATE(1759),
    [sym_in] = STATE(1759),
    [sym_add] = STATE(1759),
    [sym_sub] = STATE(1759),
    [sym_mul] = STATE(1759),
    [sym_div] = STATE(1759),
    [sym_sign] = STATE(1759),
    [sym_call] = STATE(1759),
    [sym_field] = STATE(1759),
    [sym_label] = STATE(1759),
    [sym_content] = STATE(1759),
    [sym_group] = STATE(1759),
    [sym_block] = STATE(1759),
    [sym_branch] = STATE(1759),
    [sym_let] = STATE(1759),
    [sym_set] = STATE(1759),
    [sym_import] = STATE(1759),
    [sym_include] = STATE(1759),
    [sym_for] = STATE(1759),
    [sym_while] = STATE(1759),
    [sym_show] = STATE(1759),
    [sym_return] = STATE(1759),
    [sym_flow] = STATE(1759),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2465),
    [sym_none] = ACTIONS(2465),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [534] = {
    [sym_raw_blck] = STATE(2477),
    [sym_raw_span] = STATE(2477),
    [sym_math] = STATE(2477),
    [sym__expr] = STATE(2477),
    [sym_ident] = STATE(2477),
    [sym_bool] = STATE(2477),
    [sym_number] = STATE(2477),
    [sym_string] = STATE(2477),
    [sym_tagged] = STATE(2477),
    [sym_context] = STATE(2477),
    [sym_elude] = STATE(2477),
    [sym_assign] = STATE(2477),
    [sym_lambda] = STATE(2477),
    [sym_or] = STATE(2477),
    [sym_not] = STATE(2477),
    [sym_and] = STATE(2477),
    [sym_cmp] = STATE(2477),
    [sym_in] = STATE(2477),
    [sym_add] = STATE(2477),
    [sym_sub] = STATE(2477),
    [sym_mul] = STATE(2477),
    [sym_div] = STATE(2477),
    [sym_sign] = STATE(2477),
    [sym_call] = STATE(2477),
    [sym_field] = STATE(2477),
    [sym_label] = STATE(2477),
    [sym_content] = STATE(2477),
    [sym_group] = STATE(2477),
    [sym_block] = STATE(2477),
    [sym_branch] = STATE(2477),
    [sym_let] = STATE(2477),
    [sym_set] = STATE(2477),
    [sym_import] = STATE(2477),
    [sym_include] = STATE(2477),
    [sym_for] = STATE(2477),
    [sym_while] = STATE(2477),
    [sym_show] = STATE(2477),
    [sym_return] = STATE(2477),
    [sym_flow] = STATE(2477),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2467),
    [sym_none] = ACTIONS(2467),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [535] = {
    [sym_raw_blck] = STATE(1760),
    [sym_raw_span] = STATE(1760),
    [sym_math] = STATE(1760),
    [sym__expr] = STATE(1760),
    [sym_ident] = STATE(1760),
    [sym_bool] = STATE(1760),
    [sym_number] = STATE(1760),
    [sym_string] = STATE(1760),
    [sym_tagged] = STATE(1760),
    [sym_context] = STATE(1760),
    [sym_elude] = STATE(1760),
    [sym_assign] = STATE(1760),
    [sym_lambda] = STATE(1760),
    [sym_or] = STATE(1760),
    [sym_not] = STATE(1760),
    [sym_and] = STATE(1760),
    [sym_cmp] = STATE(1760),
    [sym_in] = STATE(1760),
    [sym_add] = STATE(1760),
    [sym_sub] = STATE(1760),
    [sym_mul] = STATE(1760),
    [sym_div] = STATE(1760),
    [sym_sign] = STATE(1760),
    [sym_call] = STATE(1760),
    [sym_field] = STATE(1760),
    [sym_label] = STATE(1760),
    [sym_content] = STATE(1760),
    [sym_group] = STATE(1760),
    [sym_block] = STATE(1760),
    [sym_branch] = STATE(1760),
    [sym_let] = STATE(1760),
    [sym_set] = STATE(1760),
    [sym_import] = STATE(1760),
    [sym_include] = STATE(1760),
    [sym_for] = STATE(1760),
    [sym_while] = STATE(1760),
    [sym_show] = STATE(1760),
    [sym_return] = STATE(1760),
    [sym_flow] = STATE(1760),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2469),
    [sym_none] = ACTIONS(2469),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [536] = {
    [sym_raw_blck] = STATE(1761),
    [sym_raw_span] = STATE(1761),
    [sym_math] = STATE(1761),
    [sym__expr] = STATE(1761),
    [sym_ident] = STATE(1761),
    [sym_bool] = STATE(1761),
    [sym_number] = STATE(1761),
    [sym_string] = STATE(1761),
    [sym_tagged] = STATE(1761),
    [sym_context] = STATE(1761),
    [sym_elude] = STATE(1761),
    [sym_assign] = STATE(1761),
    [sym_lambda] = STATE(1761),
    [sym_or] = STATE(1761),
    [sym_not] = STATE(1761),
    [sym_and] = STATE(1761),
    [sym_cmp] = STATE(1761),
    [sym_in] = STATE(1761),
    [sym_add] = STATE(1761),
    [sym_sub] = STATE(1761),
    [sym_mul] = STATE(1761),
    [sym_div] = STATE(1761),
    [sym_sign] = STATE(1761),
    [sym_call] = STATE(1761),
    [sym_field] = STATE(1761),
    [sym_label] = STATE(1761),
    [sym_content] = STATE(1761),
    [sym_group] = STATE(1761),
    [sym_block] = STATE(1761),
    [sym_branch] = STATE(1761),
    [sym_let] = STATE(1761),
    [sym_set] = STATE(1761),
    [sym_import] = STATE(1761),
    [sym_include] = STATE(1761),
    [sym_for] = STATE(1761),
    [sym_while] = STATE(1761),
    [sym_show] = STATE(1761),
    [sym_return] = STATE(1761),
    [sym_flow] = STATE(1761),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2471),
    [sym_none] = ACTIONS(2471),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [537] = {
    [sym_raw_blck] = STATE(3002),
    [sym_raw_span] = STATE(3002),
    [sym_math] = STATE(3002),
    [sym__expr] = STATE(3002),
    [sym_ident] = STATE(3002),
    [sym_bool] = STATE(3002),
    [sym_number] = STATE(3002),
    [sym_string] = STATE(3002),
    [sym_tagged] = STATE(3002),
    [sym_context] = STATE(3002),
    [sym_elude] = STATE(3002),
    [sym_assign] = STATE(3002),
    [sym_lambda] = STATE(3002),
    [sym_or] = STATE(3002),
    [sym_not] = STATE(3002),
    [sym_and] = STATE(3002),
    [sym_cmp] = STATE(3002),
    [sym_in] = STATE(3002),
    [sym_add] = STATE(3002),
    [sym_sub] = STATE(3002),
    [sym_mul] = STATE(3002),
    [sym_div] = STATE(3002),
    [sym_sign] = STATE(3002),
    [sym_call] = STATE(3002),
    [sym_field] = STATE(3002),
    [sym_label] = STATE(3002),
    [sym_content] = STATE(3002),
    [sym_group] = STATE(3002),
    [sym_block] = STATE(3002),
    [sym_branch] = STATE(3002),
    [sym_let] = STATE(3002),
    [sym_set] = STATE(3002),
    [sym_import] = STATE(3002),
    [sym_include] = STATE(3002),
    [sym_for] = STATE(3002),
    [sym_while] = STATE(3002),
    [sym_show] = STATE(3002),
    [sym_return] = STATE(3002),
    [sym_flow] = STATE(3002),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2473),
    [sym_none] = ACTIONS(2473),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [538] = {
    [sym_raw_blck] = STATE(3005),
    [sym_raw_span] = STATE(3005),
    [sym_math] = STATE(3005),
    [sym__expr] = STATE(3005),
    [sym_ident] = STATE(3005),
    [sym_bool] = STATE(3005),
    [sym_number] = STATE(3005),
    [sym_string] = STATE(3005),
    [sym_tagged] = STATE(3005),
    [sym_context] = STATE(3005),
    [sym_elude] = STATE(3005),
    [sym_assign] = STATE(3005),
    [sym_lambda] = STATE(3005),
    [sym_or] = STATE(3005),
    [sym_not] = STATE(3005),
    [sym_and] = STATE(3005),
    [sym_cmp] = STATE(3005),
    [sym_in] = STATE(3005),
    [sym_add] = STATE(3005),
    [sym_sub] = STATE(3005),
    [sym_mul] = STATE(3005),
    [sym_div] = STATE(3005),
    [sym_sign] = STATE(3005),
    [sym_call] = STATE(3005),
    [sym_field] = STATE(3005),
    [sym_label] = STATE(3005),
    [sym_content] = STATE(3005),
    [sym_group] = STATE(3005),
    [sym_block] = STATE(3005),
    [sym_branch] = STATE(3005),
    [sym_let] = STATE(3005),
    [sym_set] = STATE(3005),
    [sym_import] = STATE(3005),
    [sym_include] = STATE(3005),
    [sym_for] = STATE(3005),
    [sym_while] = STATE(3005),
    [sym_show] = STATE(3005),
    [sym_return] = STATE(3005),
    [sym_flow] = STATE(3005),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2475),
    [sym_none] = ACTIONS(2475),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [539] = {
    [sym_raw_blck] = STATE(3007),
    [sym_raw_span] = STATE(3007),
    [sym_math] = STATE(3007),
    [sym__expr] = STATE(3007),
    [sym_ident] = STATE(3007),
    [sym_bool] = STATE(3007),
    [sym_number] = STATE(3007),
    [sym_string] = STATE(3007),
    [sym_tagged] = STATE(3007),
    [sym_context] = STATE(3007),
    [sym_elude] = STATE(3007),
    [sym_assign] = STATE(3007),
    [sym_lambda] = STATE(3007),
    [sym_or] = STATE(3007),
    [sym_not] = STATE(3007),
    [sym_and] = STATE(3007),
    [sym_cmp] = STATE(3007),
    [sym_in] = STATE(3007),
    [sym_add] = STATE(3007),
    [sym_sub] = STATE(3007),
    [sym_mul] = STATE(3007),
    [sym_div] = STATE(3007),
    [sym_sign] = STATE(3007),
    [sym_call] = STATE(3007),
    [sym_field] = STATE(3007),
    [sym_label] = STATE(3007),
    [sym_content] = STATE(3007),
    [sym_group] = STATE(3007),
    [sym_block] = STATE(3007),
    [sym_branch] = STATE(3007),
    [sym_let] = STATE(3007),
    [sym_set] = STATE(3007),
    [sym_import] = STATE(3007),
    [sym_include] = STATE(3007),
    [sym_for] = STATE(3007),
    [sym_while] = STATE(3007),
    [sym_show] = STATE(3007),
    [sym_return] = STATE(3007),
    [sym_flow] = STATE(3007),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2477),
    [sym_none] = ACTIONS(2477),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [540] = {
    [sym_raw_blck] = STATE(2812),
    [sym_raw_span] = STATE(2812),
    [sym_math] = STATE(2812),
    [sym__expr] = STATE(2812),
    [sym_ident] = STATE(2812),
    [sym_bool] = STATE(2812),
    [sym_number] = STATE(2812),
    [sym_string] = STATE(2812),
    [sym_tagged] = STATE(2812),
    [sym_context] = STATE(2812),
    [sym_elude] = STATE(2812),
    [sym_assign] = STATE(2812),
    [sym_lambda] = STATE(2812),
    [sym_or] = STATE(2812),
    [sym_not] = STATE(2812),
    [sym_and] = STATE(2812),
    [sym_cmp] = STATE(2812),
    [sym_in] = STATE(2812),
    [sym_add] = STATE(2812),
    [sym_sub] = STATE(2812),
    [sym_mul] = STATE(2812),
    [sym_div] = STATE(2812),
    [sym_sign] = STATE(2812),
    [sym_call] = STATE(2812),
    [sym_field] = STATE(2812),
    [sym_label] = STATE(2812),
    [sym_content] = STATE(2812),
    [sym_group] = STATE(2812),
    [sym_block] = STATE(2812),
    [sym_branch] = STATE(2812),
    [sym_let] = STATE(2812),
    [sym_set] = STATE(2812),
    [sym_import] = STATE(2812),
    [sym_include] = STATE(2812),
    [sym_for] = STATE(2812),
    [sym_while] = STATE(2812),
    [sym_show] = STATE(2812),
    [sym_return] = STATE(2812),
    [sym_flow] = STATE(2812),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [541] = {
    [sym_raw_blck] = STATE(1763),
    [sym_raw_span] = STATE(1763),
    [sym_math] = STATE(1763),
    [sym__expr] = STATE(1763),
    [sym_ident] = STATE(1763),
    [sym_bool] = STATE(1763),
    [sym_number] = STATE(1763),
    [sym_string] = STATE(1763),
    [sym_tagged] = STATE(1763),
    [sym_context] = STATE(1763),
    [sym_elude] = STATE(1763),
    [sym_assign] = STATE(1763),
    [sym_lambda] = STATE(1763),
    [sym_or] = STATE(1763),
    [sym_not] = STATE(1763),
    [sym_and] = STATE(1763),
    [sym_cmp] = STATE(1763),
    [sym_in] = STATE(1763),
    [sym_add] = STATE(1763),
    [sym_sub] = STATE(1763),
    [sym_mul] = STATE(1763),
    [sym_div] = STATE(1763),
    [sym_sign] = STATE(1763),
    [sym_call] = STATE(1763),
    [sym_field] = STATE(1763),
    [sym_label] = STATE(1763),
    [sym_content] = STATE(1763),
    [sym_group] = STATE(1763),
    [sym_block] = STATE(1763),
    [sym_branch] = STATE(1763),
    [sym_let] = STATE(1763),
    [sym_set] = STATE(1763),
    [sym_import] = STATE(1763),
    [sym_include] = STATE(1763),
    [sym_for] = STATE(1763),
    [sym_while] = STATE(1763),
    [sym_show] = STATE(1763),
    [sym_return] = STATE(1763),
    [sym_flow] = STATE(1763),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2481),
    [sym_none] = ACTIONS(2481),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [542] = {
    [sym_raw_blck] = STATE(2813),
    [sym_raw_span] = STATE(2813),
    [sym_math] = STATE(2813),
    [sym__expr] = STATE(2813),
    [sym_ident] = STATE(2813),
    [sym_bool] = STATE(2813),
    [sym_number] = STATE(2813),
    [sym_string] = STATE(2813),
    [sym_tagged] = STATE(2813),
    [sym_context] = STATE(2813),
    [sym_elude] = STATE(2813),
    [sym_assign] = STATE(2813),
    [sym_lambda] = STATE(2813),
    [sym_or] = STATE(2813),
    [sym_not] = STATE(2813),
    [sym_and] = STATE(2813),
    [sym_cmp] = STATE(2813),
    [sym_in] = STATE(2813),
    [sym_add] = STATE(2813),
    [sym_sub] = STATE(2813),
    [sym_mul] = STATE(2813),
    [sym_div] = STATE(2813),
    [sym_sign] = STATE(2813),
    [sym_call] = STATE(2813),
    [sym_field] = STATE(2813),
    [sym_label] = STATE(2813),
    [sym_content] = STATE(2813),
    [sym_group] = STATE(2813),
    [sym_block] = STATE(2813),
    [sym_branch] = STATE(2813),
    [sym_let] = STATE(2813),
    [sym_set] = STATE(2813),
    [sym_import] = STATE(2813),
    [sym_include] = STATE(2813),
    [sym_for] = STATE(2813),
    [sym_while] = STATE(2813),
    [sym_show] = STATE(2813),
    [sym_return] = STATE(2813),
    [sym_flow] = STATE(2813),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2483),
    [sym_none] = ACTIONS(2483),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [543] = {
    [sym_raw_blck] = STATE(2483),
    [sym_raw_span] = STATE(2483),
    [sym_math] = STATE(2483),
    [sym__expr] = STATE(2483),
    [sym_ident] = STATE(2483),
    [sym_bool] = STATE(2483),
    [sym_number] = STATE(2483),
    [sym_string] = STATE(2483),
    [sym_tagged] = STATE(2483),
    [sym_context] = STATE(2483),
    [sym_elude] = STATE(2483),
    [sym_assign] = STATE(2483),
    [sym_lambda] = STATE(2483),
    [sym_or] = STATE(2483),
    [sym_not] = STATE(2483),
    [sym_and] = STATE(2483),
    [sym_cmp] = STATE(2483),
    [sym_in] = STATE(2483),
    [sym_add] = STATE(2483),
    [sym_sub] = STATE(2483),
    [sym_mul] = STATE(2483),
    [sym_div] = STATE(2483),
    [sym_sign] = STATE(2483),
    [sym_call] = STATE(2483),
    [sym_field] = STATE(2483),
    [sym_label] = STATE(2483),
    [sym_content] = STATE(2483),
    [sym_group] = STATE(2483),
    [sym_block] = STATE(2483),
    [sym_branch] = STATE(2483),
    [sym_let] = STATE(2483),
    [sym_set] = STATE(2483),
    [sym_import] = STATE(2483),
    [sym_include] = STATE(2483),
    [sym_for] = STATE(2483),
    [sym_while] = STATE(2483),
    [sym_show] = STATE(2483),
    [sym_return] = STATE(2483),
    [sym_flow] = STATE(2483),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2485),
    [sym_none] = ACTIONS(2485),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [544] = {
    [sym_raw_blck] = STATE(2484),
    [sym_raw_span] = STATE(2484),
    [sym_math] = STATE(2484),
    [sym__expr] = STATE(2484),
    [sym_ident] = STATE(2484),
    [sym_bool] = STATE(2484),
    [sym_number] = STATE(2484),
    [sym_string] = STATE(2484),
    [sym_tagged] = STATE(2484),
    [sym_context] = STATE(2484),
    [sym_elude] = STATE(2484),
    [sym_assign] = STATE(2484),
    [sym_lambda] = STATE(2484),
    [sym_or] = STATE(2484),
    [sym_not] = STATE(2484),
    [sym_and] = STATE(2484),
    [sym_cmp] = STATE(2484),
    [sym_in] = STATE(2484),
    [sym_add] = STATE(2484),
    [sym_sub] = STATE(2484),
    [sym_mul] = STATE(2484),
    [sym_div] = STATE(2484),
    [sym_sign] = STATE(2484),
    [sym_call] = STATE(2484),
    [sym_field] = STATE(2484),
    [sym_label] = STATE(2484),
    [sym_content] = STATE(2484),
    [sym_group] = STATE(2484),
    [sym_block] = STATE(2484),
    [sym_branch] = STATE(2484),
    [sym_let] = STATE(2484),
    [sym_set] = STATE(2484),
    [sym_import] = STATE(2484),
    [sym_include] = STATE(2484),
    [sym_for] = STATE(2484),
    [sym_while] = STATE(2484),
    [sym_show] = STATE(2484),
    [sym_return] = STATE(2484),
    [sym_flow] = STATE(2484),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2487),
    [sym_none] = ACTIONS(2487),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [545] = {
    [sym_raw_blck] = STATE(1783),
    [sym_raw_span] = STATE(1783),
    [sym_math] = STATE(1783),
    [sym__expr] = STATE(1783),
    [sym_ident] = STATE(1783),
    [sym_bool] = STATE(1783),
    [sym_number] = STATE(1783),
    [sym_string] = STATE(1783),
    [sym_tagged] = STATE(1783),
    [sym_context] = STATE(1783),
    [sym_elude] = STATE(1783),
    [sym_assign] = STATE(1783),
    [sym_lambda] = STATE(1783),
    [sym_or] = STATE(1783),
    [sym_not] = STATE(1783),
    [sym_and] = STATE(1783),
    [sym_cmp] = STATE(1783),
    [sym_in] = STATE(1783),
    [sym_add] = STATE(1783),
    [sym_sub] = STATE(1783),
    [sym_mul] = STATE(1783),
    [sym_div] = STATE(1783),
    [sym_sign] = STATE(1783),
    [sym_call] = STATE(1783),
    [sym_field] = STATE(1783),
    [sym_label] = STATE(1783),
    [sym_content] = STATE(1783),
    [sym_group] = STATE(1783),
    [sym_block] = STATE(1783),
    [sym_branch] = STATE(1783),
    [sym_let] = STATE(1783),
    [sym_set] = STATE(1783),
    [sym_import] = STATE(1783),
    [sym_include] = STATE(1783),
    [sym_for] = STATE(1783),
    [sym_while] = STATE(1783),
    [sym_show] = STATE(1783),
    [sym_return] = STATE(1783),
    [sym_flow] = STATE(1783),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2489),
    [sym_none] = ACTIONS(2489),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [546] = {
    [sym_raw_blck] = STATE(1784),
    [sym_raw_span] = STATE(1784),
    [sym_math] = STATE(1784),
    [sym__expr] = STATE(1784),
    [sym_ident] = STATE(1784),
    [sym_bool] = STATE(1784),
    [sym_number] = STATE(1784),
    [sym_string] = STATE(1784),
    [sym_tagged] = STATE(1784),
    [sym_context] = STATE(1784),
    [sym_elude] = STATE(1784),
    [sym_assign] = STATE(1784),
    [sym_lambda] = STATE(1784),
    [sym_or] = STATE(1784),
    [sym_not] = STATE(1784),
    [sym_and] = STATE(1784),
    [sym_cmp] = STATE(1784),
    [sym_in] = STATE(1784),
    [sym_add] = STATE(1784),
    [sym_sub] = STATE(1784),
    [sym_mul] = STATE(1784),
    [sym_div] = STATE(1784),
    [sym_sign] = STATE(1784),
    [sym_call] = STATE(1784),
    [sym_field] = STATE(1784),
    [sym_label] = STATE(1784),
    [sym_content] = STATE(1784),
    [sym_group] = STATE(1784),
    [sym_block] = STATE(1784),
    [sym_branch] = STATE(1784),
    [sym_let] = STATE(1784),
    [sym_set] = STATE(1784),
    [sym_import] = STATE(1784),
    [sym_include] = STATE(1784),
    [sym_for] = STATE(1784),
    [sym_while] = STATE(1784),
    [sym_show] = STATE(1784),
    [sym_return] = STATE(1784),
    [sym_flow] = STATE(1784),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2491),
    [sym_none] = ACTIONS(2491),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [547] = {
    [sym_raw_blck] = STATE(2490),
    [sym_raw_span] = STATE(2490),
    [sym_math] = STATE(2490),
    [sym__expr] = STATE(2490),
    [sym_ident] = STATE(2490),
    [sym_bool] = STATE(2490),
    [sym_number] = STATE(2490),
    [sym_string] = STATE(2490),
    [sym_tagged] = STATE(2490),
    [sym_context] = STATE(2490),
    [sym_elude] = STATE(2490),
    [sym_assign] = STATE(2490),
    [sym_lambda] = STATE(2490),
    [sym_or] = STATE(2490),
    [sym_not] = STATE(2490),
    [sym_and] = STATE(2490),
    [sym_cmp] = STATE(2490),
    [sym_in] = STATE(2490),
    [sym_add] = STATE(2490),
    [sym_sub] = STATE(2490),
    [sym_mul] = STATE(2490),
    [sym_div] = STATE(2490),
    [sym_sign] = STATE(2490),
    [sym_call] = STATE(2490),
    [sym_field] = STATE(2490),
    [sym_label] = STATE(2490),
    [sym_content] = STATE(2490),
    [sym_group] = STATE(2490),
    [sym_block] = STATE(2490),
    [sym_branch] = STATE(2490),
    [sym_let] = STATE(2490),
    [sym_set] = STATE(2490),
    [sym_import] = STATE(2490),
    [sym_include] = STATE(2490),
    [sym_for] = STATE(2490),
    [sym_while] = STATE(2490),
    [sym_show] = STATE(2490),
    [sym_return] = STATE(2490),
    [sym_flow] = STATE(2490),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2493),
    [sym_none] = ACTIONS(2493),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [548] = {
    [sym_raw_blck] = STATE(2883),
    [sym_raw_span] = STATE(2883),
    [sym_math] = STATE(2883),
    [sym__expr] = STATE(2883),
    [sym_ident] = STATE(2883),
    [sym_bool] = STATE(2883),
    [sym_number] = STATE(2883),
    [sym_string] = STATE(2883),
    [sym_tagged] = STATE(2883),
    [sym_context] = STATE(2883),
    [sym_elude] = STATE(2883),
    [sym_assign] = STATE(2883),
    [sym_lambda] = STATE(2883),
    [sym_or] = STATE(2883),
    [sym_not] = STATE(2883),
    [sym_and] = STATE(2883),
    [sym_cmp] = STATE(2883),
    [sym_in] = STATE(2883),
    [sym_add] = STATE(2883),
    [sym_sub] = STATE(2883),
    [sym_mul] = STATE(2883),
    [sym_div] = STATE(2883),
    [sym_sign] = STATE(2883),
    [sym_call] = STATE(2883),
    [sym_field] = STATE(2883),
    [sym_label] = STATE(2883),
    [sym_content] = STATE(2883),
    [sym_group] = STATE(2883),
    [sym_block] = STATE(2883),
    [sym_branch] = STATE(2883),
    [sym_let] = STATE(2883),
    [sym_set] = STATE(2883),
    [sym_import] = STATE(2883),
    [sym_include] = STATE(2883),
    [sym_for] = STATE(2883),
    [sym_while] = STATE(2883),
    [sym_show] = STATE(2883),
    [sym_return] = STATE(2883),
    [sym_flow] = STATE(2883),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2495),
    [sym_none] = ACTIONS(2495),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [549] = {
    [sym_raw_blck] = STATE(2567),
    [sym_raw_span] = STATE(2567),
    [sym_math] = STATE(2567),
    [sym__expr] = STATE(2567),
    [sym_ident] = STATE(2567),
    [sym_bool] = STATE(2567),
    [sym_number] = STATE(2567),
    [sym_string] = STATE(2567),
    [sym_tagged] = STATE(2567),
    [sym_context] = STATE(2567),
    [sym_elude] = STATE(2567),
    [sym_assign] = STATE(2567),
    [sym_lambda] = STATE(2567),
    [sym_or] = STATE(2567),
    [sym_not] = STATE(2567),
    [sym_and] = STATE(2567),
    [sym_cmp] = STATE(2567),
    [sym_in] = STATE(2567),
    [sym_add] = STATE(2567),
    [sym_sub] = STATE(2567),
    [sym_mul] = STATE(2567),
    [sym_div] = STATE(2567),
    [sym_sign] = STATE(2567),
    [sym_call] = STATE(2567),
    [sym_field] = STATE(2567),
    [sym_label] = STATE(2567),
    [sym_content] = STATE(2567),
    [sym_group] = STATE(2567),
    [sym_block] = STATE(2567),
    [sym_branch] = STATE(2567),
    [sym_let] = STATE(2567),
    [sym_set] = STATE(2567),
    [sym_import] = STATE(2567),
    [sym_include] = STATE(2567),
    [sym_for] = STATE(2567),
    [sym_while] = STATE(2567),
    [sym_show] = STATE(2567),
    [sym_return] = STATE(2567),
    [sym_flow] = STATE(2567),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2497),
    [sym_none] = ACTIONS(2497),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [550] = {
    [sym_raw_blck] = STATE(1826),
    [sym_raw_span] = STATE(1826),
    [sym_math] = STATE(1826),
    [sym__expr] = STATE(1826),
    [sym_ident] = STATE(1826),
    [sym_bool] = STATE(1826),
    [sym_number] = STATE(1826),
    [sym_string] = STATE(1826),
    [sym_tagged] = STATE(1826),
    [sym_context] = STATE(1826),
    [sym_elude] = STATE(1826),
    [sym_assign] = STATE(1826),
    [sym_lambda] = STATE(1826),
    [sym_or] = STATE(1826),
    [sym_not] = STATE(1826),
    [sym_and] = STATE(1826),
    [sym_cmp] = STATE(1826),
    [sym_in] = STATE(1826),
    [sym_add] = STATE(1826),
    [sym_sub] = STATE(1826),
    [sym_mul] = STATE(1826),
    [sym_div] = STATE(1826),
    [sym_sign] = STATE(1826),
    [sym_call] = STATE(1826),
    [sym_field] = STATE(1826),
    [sym_label] = STATE(1826),
    [sym_content] = STATE(1826),
    [sym_group] = STATE(1826),
    [sym_block] = STATE(1826),
    [sym_branch] = STATE(1826),
    [sym_let] = STATE(1826),
    [sym_set] = STATE(1826),
    [sym_import] = STATE(1826),
    [sym_include] = STATE(1826),
    [sym_for] = STATE(1826),
    [sym_while] = STATE(1826),
    [sym_show] = STATE(1826),
    [sym_return] = STATE(1826),
    [sym_flow] = STATE(1826),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2499),
    [sym_none] = ACTIONS(2499),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [551] = {
    [sym_raw_blck] = STATE(1786),
    [sym_raw_span] = STATE(1786),
    [sym_math] = STATE(1786),
    [sym__expr] = STATE(1786),
    [sym_ident] = STATE(1786),
    [sym_bool] = STATE(1786),
    [sym_number] = STATE(1786),
    [sym_string] = STATE(1786),
    [sym_tagged] = STATE(1786),
    [sym_context] = STATE(1786),
    [sym_elude] = STATE(1786),
    [sym_assign] = STATE(1786),
    [sym_lambda] = STATE(1786),
    [sym_or] = STATE(1786),
    [sym_not] = STATE(1786),
    [sym_and] = STATE(1786),
    [sym_cmp] = STATE(1786),
    [sym_in] = STATE(1786),
    [sym_add] = STATE(1786),
    [sym_sub] = STATE(1786),
    [sym_mul] = STATE(1786),
    [sym_div] = STATE(1786),
    [sym_sign] = STATE(1786),
    [sym_call] = STATE(1786),
    [sym_field] = STATE(1786),
    [sym_label] = STATE(1786),
    [sym_content] = STATE(1786),
    [sym_group] = STATE(1786),
    [sym_block] = STATE(1786),
    [sym_branch] = STATE(1786),
    [sym_let] = STATE(1786),
    [sym_set] = STATE(1786),
    [sym_import] = STATE(1786),
    [sym_include] = STATE(1786),
    [sym_for] = STATE(1786),
    [sym_while] = STATE(1786),
    [sym_show] = STATE(1786),
    [sym_return] = STATE(1786),
    [sym_flow] = STATE(1786),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2501),
    [sym_none] = ACTIONS(2501),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [552] = {
    [sym_raw_blck] = STATE(2569),
    [sym_raw_span] = STATE(2569),
    [sym_math] = STATE(2569),
    [sym__expr] = STATE(2569),
    [sym_ident] = STATE(2569),
    [sym_bool] = STATE(2569),
    [sym_number] = STATE(2569),
    [sym_string] = STATE(2569),
    [sym_tagged] = STATE(2569),
    [sym_context] = STATE(2569),
    [sym_elude] = STATE(2569),
    [sym_assign] = STATE(2569),
    [sym_lambda] = STATE(2569),
    [sym_or] = STATE(2569),
    [sym_not] = STATE(2569),
    [sym_and] = STATE(2569),
    [sym_cmp] = STATE(2569),
    [sym_in] = STATE(2569),
    [sym_add] = STATE(2569),
    [sym_sub] = STATE(2569),
    [sym_mul] = STATE(2569),
    [sym_div] = STATE(2569),
    [sym_sign] = STATE(2569),
    [sym_call] = STATE(2569),
    [sym_field] = STATE(2569),
    [sym_label] = STATE(2569),
    [sym_content] = STATE(2569),
    [sym_group] = STATE(2569),
    [sym_block] = STATE(2569),
    [sym_branch] = STATE(2569),
    [sym_let] = STATE(2569),
    [sym_set] = STATE(2569),
    [sym_import] = STATE(2569),
    [sym_include] = STATE(2569),
    [sym_for] = STATE(2569),
    [sym_while] = STATE(2569),
    [sym_show] = STATE(2569),
    [sym_return] = STATE(2569),
    [sym_flow] = STATE(2569),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2503),
    [sym_none] = ACTIONS(2503),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [553] = {
    [sym_raw_blck] = STATE(2570),
    [sym_raw_span] = STATE(2570),
    [sym_math] = STATE(2570),
    [sym__expr] = STATE(2570),
    [sym_ident] = STATE(2570),
    [sym_bool] = STATE(2570),
    [sym_number] = STATE(2570),
    [sym_string] = STATE(2570),
    [sym_tagged] = STATE(2570),
    [sym_context] = STATE(2570),
    [sym_elude] = STATE(2570),
    [sym_assign] = STATE(2570),
    [sym_lambda] = STATE(2570),
    [sym_or] = STATE(2570),
    [sym_not] = STATE(2570),
    [sym_and] = STATE(2570),
    [sym_cmp] = STATE(2570),
    [sym_in] = STATE(2570),
    [sym_add] = STATE(2570),
    [sym_sub] = STATE(2570),
    [sym_mul] = STATE(2570),
    [sym_div] = STATE(2570),
    [sym_sign] = STATE(2570),
    [sym_call] = STATE(2570),
    [sym_field] = STATE(2570),
    [sym_label] = STATE(2570),
    [sym_content] = STATE(2570),
    [sym_group] = STATE(2570),
    [sym_block] = STATE(2570),
    [sym_branch] = STATE(2570),
    [sym_let] = STATE(2570),
    [sym_set] = STATE(2570),
    [sym_import] = STATE(2570),
    [sym_include] = STATE(2570),
    [sym_for] = STATE(2570),
    [sym_while] = STATE(2570),
    [sym_show] = STATE(2570),
    [sym_return] = STATE(2570),
    [sym_flow] = STATE(2570),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2505),
    [sym_none] = ACTIONS(2505),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [554] = {
    [sym_raw_blck] = STATE(2453),
    [sym_raw_span] = STATE(2453),
    [sym_math] = STATE(2453),
    [sym__expr] = STATE(2453),
    [sym_ident] = STATE(2453),
    [sym_bool] = STATE(2453),
    [sym_number] = STATE(2453),
    [sym_string] = STATE(2453),
    [sym_tagged] = STATE(2453),
    [sym_context] = STATE(2453),
    [sym_elude] = STATE(2453),
    [sym_assign] = STATE(2453),
    [sym_lambda] = STATE(2453),
    [sym_or] = STATE(2453),
    [sym_not] = STATE(2453),
    [sym_and] = STATE(2453),
    [sym_cmp] = STATE(2453),
    [sym_in] = STATE(2453),
    [sym_add] = STATE(2453),
    [sym_sub] = STATE(2453),
    [sym_mul] = STATE(2453),
    [sym_div] = STATE(2453),
    [sym_sign] = STATE(2453),
    [sym_call] = STATE(2453),
    [sym_field] = STATE(2453),
    [sym_label] = STATE(2453),
    [sym_content] = STATE(2453),
    [sym_group] = STATE(2453),
    [sym_block] = STATE(2453),
    [sym_branch] = STATE(2453),
    [sym_let] = STATE(2453),
    [sym_set] = STATE(2453),
    [sym_import] = STATE(2453),
    [sym_include] = STATE(2453),
    [sym_for] = STATE(2453),
    [sym_while] = STATE(2453),
    [sym_show] = STATE(2453),
    [sym_return] = STATE(2453),
    [sym_flow] = STATE(2453),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2507),
    [sym_none] = ACTIONS(2507),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [555] = {
    [sym_raw_blck] = STATE(1791),
    [sym_raw_span] = STATE(1791),
    [sym_math] = STATE(1791),
    [sym__expr] = STATE(1791),
    [sym_ident] = STATE(1791),
    [sym_bool] = STATE(1791),
    [sym_number] = STATE(1791),
    [sym_string] = STATE(1791),
    [sym_tagged] = STATE(1791),
    [sym_context] = STATE(1791),
    [sym_elude] = STATE(1791),
    [sym_assign] = STATE(1791),
    [sym_lambda] = STATE(1791),
    [sym_or] = STATE(1791),
    [sym_not] = STATE(1791),
    [sym_and] = STATE(1791),
    [sym_cmp] = STATE(1791),
    [sym_in] = STATE(1791),
    [sym_add] = STATE(1791),
    [sym_sub] = STATE(1791),
    [sym_mul] = STATE(1791),
    [sym_div] = STATE(1791),
    [sym_sign] = STATE(1791),
    [sym_call] = STATE(1791),
    [sym_field] = STATE(1791),
    [sym_label] = STATE(1791),
    [sym_content] = STATE(1791),
    [sym_group] = STATE(1791),
    [sym_block] = STATE(1791),
    [sym_branch] = STATE(1791),
    [sym_let] = STATE(1791),
    [sym_set] = STATE(1791),
    [sym_import] = STATE(1791),
    [sym_include] = STATE(1791),
    [sym_for] = STATE(1791),
    [sym_while] = STATE(1791),
    [sym_show] = STATE(1791),
    [sym_return] = STATE(1791),
    [sym_flow] = STATE(1791),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2509),
    [sym_none] = ACTIONS(2509),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [556] = {
    [sym_raw_blck] = STATE(1792),
    [sym_raw_span] = STATE(1792),
    [sym_math] = STATE(1792),
    [sym__expr] = STATE(1792),
    [sym_ident] = STATE(1792),
    [sym_bool] = STATE(1792),
    [sym_number] = STATE(1792),
    [sym_string] = STATE(1792),
    [sym_tagged] = STATE(1792),
    [sym_context] = STATE(1792),
    [sym_elude] = STATE(1792),
    [sym_assign] = STATE(1792),
    [sym_lambda] = STATE(1792),
    [sym_or] = STATE(1792),
    [sym_not] = STATE(1792),
    [sym_and] = STATE(1792),
    [sym_cmp] = STATE(1792),
    [sym_in] = STATE(1792),
    [sym_add] = STATE(1792),
    [sym_sub] = STATE(1792),
    [sym_mul] = STATE(1792),
    [sym_div] = STATE(1792),
    [sym_sign] = STATE(1792),
    [sym_call] = STATE(1792),
    [sym_field] = STATE(1792),
    [sym_label] = STATE(1792),
    [sym_content] = STATE(1792),
    [sym_group] = STATE(1792),
    [sym_block] = STATE(1792),
    [sym_branch] = STATE(1792),
    [sym_let] = STATE(1792),
    [sym_set] = STATE(1792),
    [sym_import] = STATE(1792),
    [sym_include] = STATE(1792),
    [sym_for] = STATE(1792),
    [sym_while] = STATE(1792),
    [sym_show] = STATE(1792),
    [sym_return] = STATE(1792),
    [sym_flow] = STATE(1792),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2511),
    [sym_none] = ACTIONS(2511),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [557] = {
    [sym_raw_blck] = STATE(2851),
    [sym_raw_span] = STATE(2851),
    [sym_math] = STATE(2851),
    [sym__expr] = STATE(2851),
    [sym_ident] = STATE(2851),
    [sym_bool] = STATE(2851),
    [sym_number] = STATE(2851),
    [sym_string] = STATE(2851),
    [sym_tagged] = STATE(2851),
    [sym_context] = STATE(2851),
    [sym_elude] = STATE(2851),
    [sym_assign] = STATE(2851),
    [sym_lambda] = STATE(2851),
    [sym_or] = STATE(2851),
    [sym_not] = STATE(2851),
    [sym_and] = STATE(2851),
    [sym_cmp] = STATE(2851),
    [sym_in] = STATE(2851),
    [sym_add] = STATE(2851),
    [sym_sub] = STATE(2851),
    [sym_mul] = STATE(2851),
    [sym_div] = STATE(2851),
    [sym_sign] = STATE(2851),
    [sym_call] = STATE(2851),
    [sym_field] = STATE(2851),
    [sym_label] = STATE(2851),
    [sym_content] = STATE(2851),
    [sym_group] = STATE(2851),
    [sym_block] = STATE(2851),
    [sym_branch] = STATE(2851),
    [sym_let] = STATE(2851),
    [sym_set] = STATE(2851),
    [sym_import] = STATE(2851),
    [sym_include] = STATE(2851),
    [sym_for] = STATE(2851),
    [sym_while] = STATE(2851),
    [sym_show] = STATE(2851),
    [sym_return] = STATE(2851),
    [sym_flow] = STATE(2851),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2513),
    [sym_none] = ACTIONS(2513),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [558] = {
    [sym_raw_blck] = STATE(2576),
    [sym_raw_span] = STATE(2576),
    [sym_math] = STATE(2576),
    [sym__expr] = STATE(2576),
    [sym_ident] = STATE(2576),
    [sym_bool] = STATE(2576),
    [sym_number] = STATE(2576),
    [sym_string] = STATE(2576),
    [sym_tagged] = STATE(2576),
    [sym_context] = STATE(2576),
    [sym_elude] = STATE(2576),
    [sym_assign] = STATE(2576),
    [sym_lambda] = STATE(2576),
    [sym_or] = STATE(2576),
    [sym_not] = STATE(2576),
    [sym_and] = STATE(2576),
    [sym_cmp] = STATE(2576),
    [sym_in] = STATE(2576),
    [sym_add] = STATE(2576),
    [sym_sub] = STATE(2576),
    [sym_mul] = STATE(2576),
    [sym_div] = STATE(2576),
    [sym_sign] = STATE(2576),
    [sym_call] = STATE(2576),
    [sym_field] = STATE(2576),
    [sym_label] = STATE(2576),
    [sym_content] = STATE(2576),
    [sym_group] = STATE(2576),
    [sym_block] = STATE(2576),
    [sym_branch] = STATE(2576),
    [sym_let] = STATE(2576),
    [sym_set] = STATE(2576),
    [sym_import] = STATE(2576),
    [sym_include] = STATE(2576),
    [sym_for] = STATE(2576),
    [sym_while] = STATE(2576),
    [sym_show] = STATE(2576),
    [sym_return] = STATE(2576),
    [sym_flow] = STATE(2576),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2515),
    [sym_none] = ACTIONS(2515),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [559] = {
    [sym_raw_blck] = STATE(2577),
    [sym_raw_span] = STATE(2577),
    [sym_math] = STATE(2577),
    [sym__expr] = STATE(2577),
    [sym_ident] = STATE(2577),
    [sym_bool] = STATE(2577),
    [sym_number] = STATE(2577),
    [sym_string] = STATE(2577),
    [sym_tagged] = STATE(2577),
    [sym_context] = STATE(2577),
    [sym_elude] = STATE(2577),
    [sym_assign] = STATE(2577),
    [sym_lambda] = STATE(2577),
    [sym_or] = STATE(2577),
    [sym_not] = STATE(2577),
    [sym_and] = STATE(2577),
    [sym_cmp] = STATE(2577),
    [sym_in] = STATE(2577),
    [sym_add] = STATE(2577),
    [sym_sub] = STATE(2577),
    [sym_mul] = STATE(2577),
    [sym_div] = STATE(2577),
    [sym_sign] = STATE(2577),
    [sym_call] = STATE(2577),
    [sym_field] = STATE(2577),
    [sym_label] = STATE(2577),
    [sym_content] = STATE(2577),
    [sym_group] = STATE(2577),
    [sym_block] = STATE(2577),
    [sym_branch] = STATE(2577),
    [sym_let] = STATE(2577),
    [sym_set] = STATE(2577),
    [sym_import] = STATE(2577),
    [sym_include] = STATE(2577),
    [sym_for] = STATE(2577),
    [sym_while] = STATE(2577),
    [sym_show] = STATE(2577),
    [sym_return] = STATE(2577),
    [sym_flow] = STATE(2577),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2517),
    [sym_none] = ACTIONS(2517),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [560] = {
    [sym_raw_blck] = STATE(2579),
    [sym_raw_span] = STATE(2579),
    [sym_math] = STATE(2579),
    [sym__expr] = STATE(2579),
    [sym_ident] = STATE(2579),
    [sym_bool] = STATE(2579),
    [sym_number] = STATE(2579),
    [sym_string] = STATE(2579),
    [sym_tagged] = STATE(2579),
    [sym_context] = STATE(2579),
    [sym_elude] = STATE(2579),
    [sym_assign] = STATE(2579),
    [sym_lambda] = STATE(2579),
    [sym_or] = STATE(2579),
    [sym_not] = STATE(2579),
    [sym_and] = STATE(2579),
    [sym_cmp] = STATE(2579),
    [sym_in] = STATE(2579),
    [sym_add] = STATE(2579),
    [sym_sub] = STATE(2579),
    [sym_mul] = STATE(2579),
    [sym_div] = STATE(2579),
    [sym_sign] = STATE(2579),
    [sym_call] = STATE(2579),
    [sym_field] = STATE(2579),
    [sym_label] = STATE(2579),
    [sym_content] = STATE(2579),
    [sym_group] = STATE(2579),
    [sym_block] = STATE(2579),
    [sym_branch] = STATE(2579),
    [sym_let] = STATE(2579),
    [sym_set] = STATE(2579),
    [sym_import] = STATE(2579),
    [sym_include] = STATE(2579),
    [sym_for] = STATE(2579),
    [sym_while] = STATE(2579),
    [sym_show] = STATE(2579),
    [sym_return] = STATE(2579),
    [sym_flow] = STATE(2579),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2519),
    [sym_none] = ACTIONS(2519),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [561] = {
    [sym_raw_blck] = STATE(1793),
    [sym_raw_span] = STATE(1793),
    [sym_math] = STATE(1793),
    [sym__expr] = STATE(1793),
    [sym_ident] = STATE(1793),
    [sym_bool] = STATE(1793),
    [sym_number] = STATE(1793),
    [sym_string] = STATE(1793),
    [sym_tagged] = STATE(1793),
    [sym_context] = STATE(1793),
    [sym_elude] = STATE(1793),
    [sym_assign] = STATE(1793),
    [sym_lambda] = STATE(1793),
    [sym_or] = STATE(1793),
    [sym_not] = STATE(1793),
    [sym_and] = STATE(1793),
    [sym_cmp] = STATE(1793),
    [sym_in] = STATE(1793),
    [sym_add] = STATE(1793),
    [sym_sub] = STATE(1793),
    [sym_mul] = STATE(1793),
    [sym_div] = STATE(1793),
    [sym_sign] = STATE(1793),
    [sym_call] = STATE(1793),
    [sym_field] = STATE(1793),
    [sym_label] = STATE(1793),
    [sym_content] = STATE(1793),
    [sym_group] = STATE(1793),
    [sym_block] = STATE(1793),
    [sym_branch] = STATE(1793),
    [sym_let] = STATE(1793),
    [sym_set] = STATE(1793),
    [sym_import] = STATE(1793),
    [sym_include] = STATE(1793),
    [sym_for] = STATE(1793),
    [sym_while] = STATE(1793),
    [sym_show] = STATE(1793),
    [sym_return] = STATE(1793),
    [sym_flow] = STATE(1793),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2521),
    [sym_none] = ACTIONS(2521),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [562] = {
    [sym_raw_blck] = STATE(2580),
    [sym_raw_span] = STATE(2580),
    [sym_math] = STATE(2580),
    [sym__expr] = STATE(2580),
    [sym_ident] = STATE(2580),
    [sym_bool] = STATE(2580),
    [sym_number] = STATE(2580),
    [sym_string] = STATE(2580),
    [sym_tagged] = STATE(2580),
    [sym_context] = STATE(2580),
    [sym_elude] = STATE(2580),
    [sym_assign] = STATE(2580),
    [sym_lambda] = STATE(2580),
    [sym_or] = STATE(2580),
    [sym_not] = STATE(2580),
    [sym_and] = STATE(2580),
    [sym_cmp] = STATE(2580),
    [sym_in] = STATE(2580),
    [sym_add] = STATE(2580),
    [sym_sub] = STATE(2580),
    [sym_mul] = STATE(2580),
    [sym_div] = STATE(2580),
    [sym_sign] = STATE(2580),
    [sym_call] = STATE(2580),
    [sym_field] = STATE(2580),
    [sym_label] = STATE(2580),
    [sym_content] = STATE(2580),
    [sym_group] = STATE(2580),
    [sym_block] = STATE(2580),
    [sym_branch] = STATE(2580),
    [sym_let] = STATE(2580),
    [sym_set] = STATE(2580),
    [sym_import] = STATE(2580),
    [sym_include] = STATE(2580),
    [sym_for] = STATE(2580),
    [sym_while] = STATE(2580),
    [sym_show] = STATE(2580),
    [sym_return] = STATE(2580),
    [sym_flow] = STATE(2580),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2523),
    [sym_none] = ACTIONS(2523),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [563] = {
    [sym_raw_blck] = STATE(2583),
    [sym_raw_span] = STATE(2583),
    [sym_math] = STATE(2583),
    [sym__expr] = STATE(2583),
    [sym_ident] = STATE(2583),
    [sym_bool] = STATE(2583),
    [sym_number] = STATE(2583),
    [sym_string] = STATE(2583),
    [sym_tagged] = STATE(2583),
    [sym_context] = STATE(2583),
    [sym_elude] = STATE(2583),
    [sym_assign] = STATE(2583),
    [sym_lambda] = STATE(2583),
    [sym_or] = STATE(2583),
    [sym_not] = STATE(2583),
    [sym_and] = STATE(2583),
    [sym_cmp] = STATE(2583),
    [sym_in] = STATE(2583),
    [sym_add] = STATE(2583),
    [sym_sub] = STATE(2583),
    [sym_mul] = STATE(2583),
    [sym_div] = STATE(2583),
    [sym_sign] = STATE(2583),
    [sym_call] = STATE(2583),
    [sym_field] = STATE(2583),
    [sym_label] = STATE(2583),
    [sym_content] = STATE(2583),
    [sym_group] = STATE(2583),
    [sym_block] = STATE(2583),
    [sym_branch] = STATE(2583),
    [sym_let] = STATE(2583),
    [sym_set] = STATE(2583),
    [sym_import] = STATE(2583),
    [sym_include] = STATE(2583),
    [sym_for] = STATE(2583),
    [sym_while] = STATE(2583),
    [sym_show] = STATE(2583),
    [sym_return] = STATE(2583),
    [sym_flow] = STATE(2583),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2525),
    [sym_none] = ACTIONS(2525),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [564] = {
    [sym_raw_blck] = STATE(2584),
    [sym_raw_span] = STATE(2584),
    [sym_math] = STATE(2584),
    [sym__expr] = STATE(2584),
    [sym_ident] = STATE(2584),
    [sym_bool] = STATE(2584),
    [sym_number] = STATE(2584),
    [sym_string] = STATE(2584),
    [sym_tagged] = STATE(2584),
    [sym_context] = STATE(2584),
    [sym_elude] = STATE(2584),
    [sym_assign] = STATE(2584),
    [sym_lambda] = STATE(2584),
    [sym_or] = STATE(2584),
    [sym_not] = STATE(2584),
    [sym_and] = STATE(2584),
    [sym_cmp] = STATE(2584),
    [sym_in] = STATE(2584),
    [sym_add] = STATE(2584),
    [sym_sub] = STATE(2584),
    [sym_mul] = STATE(2584),
    [sym_div] = STATE(2584),
    [sym_sign] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym_field] = STATE(2584),
    [sym_label] = STATE(2584),
    [sym_content] = STATE(2584),
    [sym_group] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_branch] = STATE(2584),
    [sym_let] = STATE(2584),
    [sym_set] = STATE(2584),
    [sym_import] = STATE(2584),
    [sym_include] = STATE(2584),
    [sym_for] = STATE(2584),
    [sym_while] = STATE(2584),
    [sym_show] = STATE(2584),
    [sym_return] = STATE(2584),
    [sym_flow] = STATE(2584),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2527),
    [sym_none] = ACTIONS(2527),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [565] = {
    [sym_raw_blck] = STATE(1798),
    [sym_raw_span] = STATE(1798),
    [sym_math] = STATE(1798),
    [sym__expr] = STATE(1798),
    [sym_ident] = STATE(1798),
    [sym_bool] = STATE(1798),
    [sym_number] = STATE(1798),
    [sym_string] = STATE(1798),
    [sym_tagged] = STATE(1798),
    [sym_context] = STATE(1798),
    [sym_elude] = STATE(1798),
    [sym_assign] = STATE(1798),
    [sym_lambda] = STATE(1798),
    [sym_or] = STATE(1798),
    [sym_not] = STATE(1798),
    [sym_and] = STATE(1798),
    [sym_cmp] = STATE(1798),
    [sym_in] = STATE(1798),
    [sym_add] = STATE(1798),
    [sym_sub] = STATE(1798),
    [sym_mul] = STATE(1798),
    [sym_div] = STATE(1798),
    [sym_sign] = STATE(1798),
    [sym_call] = STATE(1798),
    [sym_field] = STATE(1798),
    [sym_label] = STATE(1798),
    [sym_content] = STATE(1798),
    [sym_group] = STATE(1798),
    [sym_block] = STATE(1798),
    [sym_branch] = STATE(1798),
    [sym_let] = STATE(1798),
    [sym_set] = STATE(1798),
    [sym_import] = STATE(1798),
    [sym_include] = STATE(1798),
    [sym_for] = STATE(1798),
    [sym_while] = STATE(1798),
    [sym_show] = STATE(1798),
    [sym_return] = STATE(1798),
    [sym_flow] = STATE(1798),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2529),
    [sym_none] = ACTIONS(2529),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [566] = {
    [sym_raw_blck] = STATE(1799),
    [sym_raw_span] = STATE(1799),
    [sym_math] = STATE(1799),
    [sym__expr] = STATE(1799),
    [sym_ident] = STATE(1799),
    [sym_bool] = STATE(1799),
    [sym_number] = STATE(1799),
    [sym_string] = STATE(1799),
    [sym_tagged] = STATE(1799),
    [sym_context] = STATE(1799),
    [sym_elude] = STATE(1799),
    [sym_assign] = STATE(1799),
    [sym_lambda] = STATE(1799),
    [sym_or] = STATE(1799),
    [sym_not] = STATE(1799),
    [sym_and] = STATE(1799),
    [sym_cmp] = STATE(1799),
    [sym_in] = STATE(1799),
    [sym_add] = STATE(1799),
    [sym_sub] = STATE(1799),
    [sym_mul] = STATE(1799),
    [sym_div] = STATE(1799),
    [sym_sign] = STATE(1799),
    [sym_call] = STATE(1799),
    [sym_field] = STATE(1799),
    [sym_label] = STATE(1799),
    [sym_content] = STATE(1799),
    [sym_group] = STATE(1799),
    [sym_block] = STATE(1799),
    [sym_branch] = STATE(1799),
    [sym_let] = STATE(1799),
    [sym_set] = STATE(1799),
    [sym_import] = STATE(1799),
    [sym_include] = STATE(1799),
    [sym_for] = STATE(1799),
    [sym_while] = STATE(1799),
    [sym_show] = STATE(1799),
    [sym_return] = STATE(1799),
    [sym_flow] = STATE(1799),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2531),
    [sym_none] = ACTIONS(2531),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [567] = {
    [sym_raw_blck] = STATE(2586),
    [sym_raw_span] = STATE(2586),
    [sym_math] = STATE(2586),
    [sym__expr] = STATE(2586),
    [sym_ident] = STATE(2586),
    [sym_bool] = STATE(2586),
    [sym_number] = STATE(2586),
    [sym_string] = STATE(2586),
    [sym_tagged] = STATE(2586),
    [sym_context] = STATE(2586),
    [sym_elude] = STATE(2586),
    [sym_assign] = STATE(2586),
    [sym_lambda] = STATE(2586),
    [sym_or] = STATE(2586),
    [sym_not] = STATE(2586),
    [sym_and] = STATE(2586),
    [sym_cmp] = STATE(2586),
    [sym_in] = STATE(2586),
    [sym_add] = STATE(2586),
    [sym_sub] = STATE(2586),
    [sym_mul] = STATE(2586),
    [sym_div] = STATE(2586),
    [sym_sign] = STATE(2586),
    [sym_call] = STATE(2586),
    [sym_field] = STATE(2586),
    [sym_label] = STATE(2586),
    [sym_content] = STATE(2586),
    [sym_group] = STATE(2586),
    [sym_block] = STATE(2586),
    [sym_branch] = STATE(2586),
    [sym_let] = STATE(2586),
    [sym_set] = STATE(2586),
    [sym_import] = STATE(2586),
    [sym_include] = STATE(2586),
    [sym_for] = STATE(2586),
    [sym_while] = STATE(2586),
    [sym_show] = STATE(2586),
    [sym_return] = STATE(2586),
    [sym_flow] = STATE(2586),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2533),
    [sym_none] = ACTIONS(2533),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [568] = {
    [sym_raw_blck] = STATE(2587),
    [sym_raw_span] = STATE(2587),
    [sym_math] = STATE(2587),
    [sym__expr] = STATE(2587),
    [sym_ident] = STATE(2587),
    [sym_bool] = STATE(2587),
    [sym_number] = STATE(2587),
    [sym_string] = STATE(2587),
    [sym_tagged] = STATE(2587),
    [sym_context] = STATE(2587),
    [sym_elude] = STATE(2587),
    [sym_assign] = STATE(2587),
    [sym_lambda] = STATE(2587),
    [sym_or] = STATE(2587),
    [sym_not] = STATE(2587),
    [sym_and] = STATE(2587),
    [sym_cmp] = STATE(2587),
    [sym_in] = STATE(2587),
    [sym_add] = STATE(2587),
    [sym_sub] = STATE(2587),
    [sym_mul] = STATE(2587),
    [sym_div] = STATE(2587),
    [sym_sign] = STATE(2587),
    [sym_call] = STATE(2587),
    [sym_field] = STATE(2587),
    [sym_label] = STATE(2587),
    [sym_content] = STATE(2587),
    [sym_group] = STATE(2587),
    [sym_block] = STATE(2587),
    [sym_branch] = STATE(2587),
    [sym_let] = STATE(2587),
    [sym_set] = STATE(2587),
    [sym_import] = STATE(2587),
    [sym_include] = STATE(2587),
    [sym_for] = STATE(2587),
    [sym_while] = STATE(2587),
    [sym_show] = STATE(2587),
    [sym_return] = STATE(2587),
    [sym_flow] = STATE(2587),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2535),
    [sym_none] = ACTIONS(2535),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [569] = {
    [sym_raw_blck] = STATE(2588),
    [sym_raw_span] = STATE(2588),
    [sym_math] = STATE(2588),
    [sym__expr] = STATE(2588),
    [sym_ident] = STATE(2588),
    [sym_bool] = STATE(2588),
    [sym_number] = STATE(2588),
    [sym_string] = STATE(2588),
    [sym_tagged] = STATE(2588),
    [sym_context] = STATE(2588),
    [sym_elude] = STATE(2588),
    [sym_assign] = STATE(2588),
    [sym_lambda] = STATE(2588),
    [sym_or] = STATE(2588),
    [sym_not] = STATE(2588),
    [sym_and] = STATE(2588),
    [sym_cmp] = STATE(2588),
    [sym_in] = STATE(2588),
    [sym_add] = STATE(2588),
    [sym_sub] = STATE(2588),
    [sym_mul] = STATE(2588),
    [sym_div] = STATE(2588),
    [sym_sign] = STATE(2588),
    [sym_call] = STATE(2588),
    [sym_field] = STATE(2588),
    [sym_label] = STATE(2588),
    [sym_content] = STATE(2588),
    [sym_group] = STATE(2588),
    [sym_block] = STATE(2588),
    [sym_branch] = STATE(2588),
    [sym_let] = STATE(2588),
    [sym_set] = STATE(2588),
    [sym_import] = STATE(2588),
    [sym_include] = STATE(2588),
    [sym_for] = STATE(2588),
    [sym_while] = STATE(2588),
    [sym_show] = STATE(2588),
    [sym_return] = STATE(2588),
    [sym_flow] = STATE(2588),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2537),
    [sym_none] = ACTIONS(2537),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [570] = {
    [sym_raw_blck] = STATE(2589),
    [sym_raw_span] = STATE(2589),
    [sym_math] = STATE(2589),
    [sym__expr] = STATE(2589),
    [sym_ident] = STATE(2589),
    [sym_bool] = STATE(2589),
    [sym_number] = STATE(2589),
    [sym_string] = STATE(2589),
    [sym_tagged] = STATE(2589),
    [sym_context] = STATE(2589),
    [sym_elude] = STATE(2589),
    [sym_assign] = STATE(2589),
    [sym_lambda] = STATE(2589),
    [sym_or] = STATE(2589),
    [sym_not] = STATE(2589),
    [sym_and] = STATE(2589),
    [sym_cmp] = STATE(2589),
    [sym_in] = STATE(2589),
    [sym_add] = STATE(2589),
    [sym_sub] = STATE(2589),
    [sym_mul] = STATE(2589),
    [sym_div] = STATE(2589),
    [sym_sign] = STATE(2589),
    [sym_call] = STATE(2589),
    [sym_field] = STATE(2589),
    [sym_label] = STATE(2589),
    [sym_content] = STATE(2589),
    [sym_group] = STATE(2589),
    [sym_block] = STATE(2589),
    [sym_branch] = STATE(2589),
    [sym_let] = STATE(2589),
    [sym_set] = STATE(2589),
    [sym_import] = STATE(2589),
    [sym_include] = STATE(2589),
    [sym_for] = STATE(2589),
    [sym_while] = STATE(2589),
    [sym_show] = STATE(2589),
    [sym_return] = STATE(2589),
    [sym_flow] = STATE(2589),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2539),
    [sym_none] = ACTIONS(2539),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [571] = {
    [sym_raw_blck] = STATE(1800),
    [sym_raw_span] = STATE(1800),
    [sym_math] = STATE(1800),
    [sym__expr] = STATE(1800),
    [sym_ident] = STATE(1800),
    [sym_bool] = STATE(1800),
    [sym_number] = STATE(1800),
    [sym_string] = STATE(1800),
    [sym_tagged] = STATE(1800),
    [sym_context] = STATE(1800),
    [sym_elude] = STATE(1800),
    [sym_assign] = STATE(1800),
    [sym_lambda] = STATE(1800),
    [sym_or] = STATE(1800),
    [sym_not] = STATE(1800),
    [sym_and] = STATE(1800),
    [sym_cmp] = STATE(1800),
    [sym_in] = STATE(1800),
    [sym_add] = STATE(1800),
    [sym_sub] = STATE(1800),
    [sym_mul] = STATE(1800),
    [sym_div] = STATE(1800),
    [sym_sign] = STATE(1800),
    [sym_call] = STATE(1800),
    [sym_field] = STATE(1800),
    [sym_label] = STATE(1800),
    [sym_content] = STATE(1800),
    [sym_group] = STATE(1800),
    [sym_block] = STATE(1800),
    [sym_branch] = STATE(1800),
    [sym_let] = STATE(1800),
    [sym_set] = STATE(1800),
    [sym_import] = STATE(1800),
    [sym_include] = STATE(1800),
    [sym_for] = STATE(1800),
    [sym_while] = STATE(1800),
    [sym_show] = STATE(1800),
    [sym_return] = STATE(1800),
    [sym_flow] = STATE(1800),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2541),
    [sym_none] = ACTIONS(2541),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [572] = {
    [sym_raw_blck] = STATE(2590),
    [sym_raw_span] = STATE(2590),
    [sym_math] = STATE(2590),
    [sym__expr] = STATE(2590),
    [sym_ident] = STATE(2590),
    [sym_bool] = STATE(2590),
    [sym_number] = STATE(2590),
    [sym_string] = STATE(2590),
    [sym_tagged] = STATE(2590),
    [sym_context] = STATE(2590),
    [sym_elude] = STATE(2590),
    [sym_assign] = STATE(2590),
    [sym_lambda] = STATE(2590),
    [sym_or] = STATE(2590),
    [sym_not] = STATE(2590),
    [sym_and] = STATE(2590),
    [sym_cmp] = STATE(2590),
    [sym_in] = STATE(2590),
    [sym_add] = STATE(2590),
    [sym_sub] = STATE(2590),
    [sym_mul] = STATE(2590),
    [sym_div] = STATE(2590),
    [sym_sign] = STATE(2590),
    [sym_call] = STATE(2590),
    [sym_field] = STATE(2590),
    [sym_label] = STATE(2590),
    [sym_content] = STATE(2590),
    [sym_group] = STATE(2590),
    [sym_block] = STATE(2590),
    [sym_branch] = STATE(2590),
    [sym_let] = STATE(2590),
    [sym_set] = STATE(2590),
    [sym_import] = STATE(2590),
    [sym_include] = STATE(2590),
    [sym_for] = STATE(2590),
    [sym_while] = STATE(2590),
    [sym_show] = STATE(2590),
    [sym_return] = STATE(2590),
    [sym_flow] = STATE(2590),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2543),
    [sym_none] = ACTIONS(2543),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [573] = {
    [sym_raw_blck] = STATE(2870),
    [sym_raw_span] = STATE(2870),
    [sym_math] = STATE(2870),
    [sym__expr] = STATE(2870),
    [sym_ident] = STATE(2870),
    [sym_bool] = STATE(2870),
    [sym_number] = STATE(2870),
    [sym_string] = STATE(2870),
    [sym_tagged] = STATE(2870),
    [sym_context] = STATE(2870),
    [sym_elude] = STATE(2870),
    [sym_assign] = STATE(2870),
    [sym_lambda] = STATE(2870),
    [sym_or] = STATE(2870),
    [sym_not] = STATE(2870),
    [sym_and] = STATE(2870),
    [sym_cmp] = STATE(2870),
    [sym_in] = STATE(2870),
    [sym_add] = STATE(2870),
    [sym_sub] = STATE(2870),
    [sym_mul] = STATE(2870),
    [sym_div] = STATE(2870),
    [sym_sign] = STATE(2870),
    [sym_call] = STATE(2870),
    [sym_field] = STATE(2870),
    [sym_label] = STATE(2870),
    [sym_content] = STATE(2870),
    [sym_group] = STATE(2870),
    [sym_block] = STATE(2870),
    [sym_branch] = STATE(2870),
    [sym_let] = STATE(2870),
    [sym_set] = STATE(2870),
    [sym_import] = STATE(2870),
    [sym_include] = STATE(2870),
    [sym_for] = STATE(2870),
    [sym_while] = STATE(2870),
    [sym_show] = STATE(2870),
    [sym_return] = STATE(2870),
    [sym_flow] = STATE(2870),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2545),
    [sym_none] = ACTIONS(2545),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [574] = {
    [sym_raw_blck] = STATE(2871),
    [sym_raw_span] = STATE(2871),
    [sym_math] = STATE(2871),
    [sym__expr] = STATE(2871),
    [sym_ident] = STATE(2871),
    [sym_bool] = STATE(2871),
    [sym_number] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym_tagged] = STATE(2871),
    [sym_context] = STATE(2871),
    [sym_elude] = STATE(2871),
    [sym_assign] = STATE(2871),
    [sym_lambda] = STATE(2871),
    [sym_or] = STATE(2871),
    [sym_not] = STATE(2871),
    [sym_and] = STATE(2871),
    [sym_cmp] = STATE(2871),
    [sym_in] = STATE(2871),
    [sym_add] = STATE(2871),
    [sym_sub] = STATE(2871),
    [sym_mul] = STATE(2871),
    [sym_div] = STATE(2871),
    [sym_sign] = STATE(2871),
    [sym_call] = STATE(2871),
    [sym_field] = STATE(2871),
    [sym_label] = STATE(2871),
    [sym_content] = STATE(2871),
    [sym_group] = STATE(2871),
    [sym_block] = STATE(2871),
    [sym_branch] = STATE(2871),
    [sym_let] = STATE(2871),
    [sym_set] = STATE(2871),
    [sym_import] = STATE(2871),
    [sym_include] = STATE(2871),
    [sym_for] = STATE(2871),
    [sym_while] = STATE(2871),
    [sym_show] = STATE(2871),
    [sym_return] = STATE(2871),
    [sym_flow] = STATE(2871),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2547),
    [sym_none] = ACTIONS(2547),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [575] = {
    [sym_raw_blck] = STATE(1803),
    [sym_raw_span] = STATE(1803),
    [sym_math] = STATE(1803),
    [sym__expr] = STATE(1803),
    [sym_ident] = STATE(1803),
    [sym_bool] = STATE(1803),
    [sym_number] = STATE(1803),
    [sym_string] = STATE(1803),
    [sym_tagged] = STATE(1803),
    [sym_context] = STATE(1803),
    [sym_elude] = STATE(1803),
    [sym_assign] = STATE(1803),
    [sym_lambda] = STATE(1803),
    [sym_or] = STATE(1803),
    [sym_not] = STATE(1803),
    [sym_and] = STATE(1803),
    [sym_cmp] = STATE(1803),
    [sym_in] = STATE(1803),
    [sym_add] = STATE(1803),
    [sym_sub] = STATE(1803),
    [sym_mul] = STATE(1803),
    [sym_div] = STATE(1803),
    [sym_sign] = STATE(1803),
    [sym_call] = STATE(1803),
    [sym_field] = STATE(1803),
    [sym_label] = STATE(1803),
    [sym_content] = STATE(1803),
    [sym_group] = STATE(1803),
    [sym_block] = STATE(1803),
    [sym_branch] = STATE(1803),
    [sym_let] = STATE(1803),
    [sym_set] = STATE(1803),
    [sym_import] = STATE(1803),
    [sym_include] = STATE(1803),
    [sym_for] = STATE(1803),
    [sym_while] = STATE(1803),
    [sym_show] = STATE(1803),
    [sym_return] = STATE(1803),
    [sym_flow] = STATE(1803),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2549),
    [sym_none] = ACTIONS(2549),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [576] = {
    [sym_raw_blck] = STATE(1804),
    [sym_raw_span] = STATE(1804),
    [sym_math] = STATE(1804),
    [sym__expr] = STATE(1804),
    [sym_ident] = STATE(1804),
    [sym_bool] = STATE(1804),
    [sym_number] = STATE(1804),
    [sym_string] = STATE(1804),
    [sym_tagged] = STATE(1804),
    [sym_context] = STATE(1804),
    [sym_elude] = STATE(1804),
    [sym_assign] = STATE(1804),
    [sym_lambda] = STATE(1804),
    [sym_or] = STATE(1804),
    [sym_not] = STATE(1804),
    [sym_and] = STATE(1804),
    [sym_cmp] = STATE(1804),
    [sym_in] = STATE(1804),
    [sym_add] = STATE(1804),
    [sym_sub] = STATE(1804),
    [sym_mul] = STATE(1804),
    [sym_div] = STATE(1804),
    [sym_sign] = STATE(1804),
    [sym_call] = STATE(1804),
    [sym_field] = STATE(1804),
    [sym_label] = STATE(1804),
    [sym_content] = STATE(1804),
    [sym_group] = STATE(1804),
    [sym_block] = STATE(1804),
    [sym_branch] = STATE(1804),
    [sym_let] = STATE(1804),
    [sym_set] = STATE(1804),
    [sym_import] = STATE(1804),
    [sym_include] = STATE(1804),
    [sym_for] = STATE(1804),
    [sym_while] = STATE(1804),
    [sym_show] = STATE(1804),
    [sym_return] = STATE(1804),
    [sym_flow] = STATE(1804),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2551),
    [sym_none] = ACTIONS(2551),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [577] = {
    [sym_raw_blck] = STATE(2878),
    [sym_raw_span] = STATE(2878),
    [sym_math] = STATE(2878),
    [sym__expr] = STATE(2878),
    [sym_ident] = STATE(2878),
    [sym_bool] = STATE(2878),
    [sym_number] = STATE(2878),
    [sym_string] = STATE(2878),
    [sym_tagged] = STATE(2878),
    [sym_context] = STATE(2878),
    [sym_elude] = STATE(2878),
    [sym_assign] = STATE(2878),
    [sym_lambda] = STATE(2878),
    [sym_or] = STATE(2878),
    [sym_not] = STATE(2878),
    [sym_and] = STATE(2878),
    [sym_cmp] = STATE(2878),
    [sym_in] = STATE(2878),
    [sym_add] = STATE(2878),
    [sym_sub] = STATE(2878),
    [sym_mul] = STATE(2878),
    [sym_div] = STATE(2878),
    [sym_sign] = STATE(2878),
    [sym_call] = STATE(2878),
    [sym_field] = STATE(2878),
    [sym_label] = STATE(2878),
    [sym_content] = STATE(2878),
    [sym_group] = STATE(2878),
    [sym_block] = STATE(2878),
    [sym_branch] = STATE(2878),
    [sym_let] = STATE(2878),
    [sym_set] = STATE(2878),
    [sym_import] = STATE(2878),
    [sym_include] = STATE(2878),
    [sym_for] = STATE(2878),
    [sym_while] = STATE(2878),
    [sym_show] = STATE(2878),
    [sym_return] = STATE(2878),
    [sym_flow] = STATE(2878),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2553),
    [sym_none] = ACTIONS(2553),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [578] = {
    [sym_raw_blck] = STATE(2604),
    [sym_raw_span] = STATE(2604),
    [sym_math] = STATE(2604),
    [sym__expr] = STATE(2604),
    [sym_ident] = STATE(2604),
    [sym_bool] = STATE(2604),
    [sym_number] = STATE(2604),
    [sym_string] = STATE(2604),
    [sym_tagged] = STATE(2604),
    [sym_context] = STATE(2604),
    [sym_elude] = STATE(2604),
    [sym_assign] = STATE(2604),
    [sym_lambda] = STATE(2604),
    [sym_or] = STATE(2604),
    [sym_not] = STATE(2604),
    [sym_and] = STATE(2604),
    [sym_cmp] = STATE(2604),
    [sym_in] = STATE(2604),
    [sym_add] = STATE(2604),
    [sym_sub] = STATE(2604),
    [sym_mul] = STATE(2604),
    [sym_div] = STATE(2604),
    [sym_sign] = STATE(2604),
    [sym_call] = STATE(2604),
    [sym_field] = STATE(2604),
    [sym_label] = STATE(2604),
    [sym_content] = STATE(2604),
    [sym_group] = STATE(2604),
    [sym_block] = STATE(2604),
    [sym_branch] = STATE(2604),
    [sym_let] = STATE(2604),
    [sym_set] = STATE(2604),
    [sym_import] = STATE(2604),
    [sym_include] = STATE(2604),
    [sym_for] = STATE(2604),
    [sym_while] = STATE(2604),
    [sym_show] = STATE(2604),
    [sym_return] = STATE(2604),
    [sym_flow] = STATE(2604),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2555),
    [sym_none] = ACTIONS(2555),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [579] = {
    [sym_raw_blck] = STATE(2628),
    [sym_raw_span] = STATE(2628),
    [sym_math] = STATE(2628),
    [sym__expr] = STATE(2628),
    [sym_ident] = STATE(2628),
    [sym_bool] = STATE(2628),
    [sym_number] = STATE(2628),
    [sym_string] = STATE(2628),
    [sym_tagged] = STATE(2628),
    [sym_context] = STATE(2628),
    [sym_elude] = STATE(2628),
    [sym_assign] = STATE(2628),
    [sym_lambda] = STATE(2628),
    [sym_or] = STATE(2628),
    [sym_not] = STATE(2628),
    [sym_and] = STATE(2628),
    [sym_cmp] = STATE(2628),
    [sym_in] = STATE(2628),
    [sym_add] = STATE(2628),
    [sym_sub] = STATE(2628),
    [sym_mul] = STATE(2628),
    [sym_div] = STATE(2628),
    [sym_sign] = STATE(2628),
    [sym_call] = STATE(2628),
    [sym_field] = STATE(2628),
    [sym_label] = STATE(2628),
    [sym_content] = STATE(2628),
    [sym_group] = STATE(2628),
    [sym_block] = STATE(2628),
    [sym_branch] = STATE(2628),
    [sym_let] = STATE(2628),
    [sym_set] = STATE(2628),
    [sym_import] = STATE(2628),
    [sym_include] = STATE(2628),
    [sym_for] = STATE(2628),
    [sym_while] = STATE(2628),
    [sym_show] = STATE(2628),
    [sym_return] = STATE(2628),
    [sym_flow] = STATE(2628),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2557),
    [sym_none] = ACTIONS(2557),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [580] = {
    [sym_raw_blck] = STATE(2913),
    [sym_raw_span] = STATE(2913),
    [sym_math] = STATE(2913),
    [sym__expr] = STATE(2913),
    [sym_ident] = STATE(2913),
    [sym_bool] = STATE(2913),
    [sym_number] = STATE(2913),
    [sym_string] = STATE(2913),
    [sym_tagged] = STATE(2913),
    [sym_context] = STATE(2913),
    [sym_elude] = STATE(2913),
    [sym_assign] = STATE(2913),
    [sym_lambda] = STATE(2913),
    [sym_or] = STATE(2913),
    [sym_not] = STATE(2913),
    [sym_and] = STATE(2913),
    [sym_cmp] = STATE(2913),
    [sym_in] = STATE(2913),
    [sym_add] = STATE(2913),
    [sym_sub] = STATE(2913),
    [sym_mul] = STATE(2913),
    [sym_div] = STATE(2913),
    [sym_sign] = STATE(2913),
    [sym_call] = STATE(2913),
    [sym_field] = STATE(2913),
    [sym_label] = STATE(2913),
    [sym_content] = STATE(2913),
    [sym_group] = STATE(2913),
    [sym_block] = STATE(2913),
    [sym_branch] = STATE(2913),
    [sym_let] = STATE(2913),
    [sym_set] = STATE(2913),
    [sym_import] = STATE(2913),
    [sym_include] = STATE(2913),
    [sym_for] = STATE(2913),
    [sym_while] = STATE(2913),
    [sym_show] = STATE(2913),
    [sym_return] = STATE(2913),
    [sym_flow] = STATE(2913),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2559),
    [sym_none] = ACTIONS(2559),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [581] = {
    [sym_raw_blck] = STATE(1805),
    [sym_raw_span] = STATE(1805),
    [sym_math] = STATE(1805),
    [sym__expr] = STATE(1805),
    [sym_ident] = STATE(1805),
    [sym_bool] = STATE(1805),
    [sym_number] = STATE(1805),
    [sym_string] = STATE(1805),
    [sym_tagged] = STATE(1805),
    [sym_context] = STATE(1805),
    [sym_elude] = STATE(1805),
    [sym_assign] = STATE(1805),
    [sym_lambda] = STATE(1805),
    [sym_or] = STATE(1805),
    [sym_not] = STATE(1805),
    [sym_and] = STATE(1805),
    [sym_cmp] = STATE(1805),
    [sym_in] = STATE(1805),
    [sym_add] = STATE(1805),
    [sym_sub] = STATE(1805),
    [sym_mul] = STATE(1805),
    [sym_div] = STATE(1805),
    [sym_sign] = STATE(1805),
    [sym_call] = STATE(1805),
    [sym_field] = STATE(1805),
    [sym_label] = STATE(1805),
    [sym_content] = STATE(1805),
    [sym_group] = STATE(1805),
    [sym_block] = STATE(1805),
    [sym_branch] = STATE(1805),
    [sym_let] = STATE(1805),
    [sym_set] = STATE(1805),
    [sym_import] = STATE(1805),
    [sym_include] = STATE(1805),
    [sym_for] = STATE(1805),
    [sym_while] = STATE(1805),
    [sym_show] = STATE(1805),
    [sym_return] = STATE(1805),
    [sym_flow] = STATE(1805),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2561),
    [sym_none] = ACTIONS(2561),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [582] = {
    [sym_raw_blck] = STATE(2630),
    [sym_raw_span] = STATE(2630),
    [sym_math] = STATE(2630),
    [sym__expr] = STATE(2630),
    [sym_ident] = STATE(2630),
    [sym_bool] = STATE(2630),
    [sym_number] = STATE(2630),
    [sym_string] = STATE(2630),
    [sym_tagged] = STATE(2630),
    [sym_context] = STATE(2630),
    [sym_elude] = STATE(2630),
    [sym_assign] = STATE(2630),
    [sym_lambda] = STATE(2630),
    [sym_or] = STATE(2630),
    [sym_not] = STATE(2630),
    [sym_and] = STATE(2630),
    [sym_cmp] = STATE(2630),
    [sym_in] = STATE(2630),
    [sym_add] = STATE(2630),
    [sym_sub] = STATE(2630),
    [sym_mul] = STATE(2630),
    [sym_div] = STATE(2630),
    [sym_sign] = STATE(2630),
    [sym_call] = STATE(2630),
    [sym_field] = STATE(2630),
    [sym_label] = STATE(2630),
    [sym_content] = STATE(2630),
    [sym_group] = STATE(2630),
    [sym_block] = STATE(2630),
    [sym_branch] = STATE(2630),
    [sym_let] = STATE(2630),
    [sym_set] = STATE(2630),
    [sym_import] = STATE(2630),
    [sym_include] = STATE(2630),
    [sym_for] = STATE(2630),
    [sym_while] = STATE(2630),
    [sym_show] = STATE(2630),
    [sym_return] = STATE(2630),
    [sym_flow] = STATE(2630),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2563),
    [sym_none] = ACTIONS(2563),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [583] = {
    [sym_raw_blck] = STATE(2631),
    [sym_raw_span] = STATE(2631),
    [sym_math] = STATE(2631),
    [sym__expr] = STATE(2631),
    [sym_ident] = STATE(2631),
    [sym_bool] = STATE(2631),
    [sym_number] = STATE(2631),
    [sym_string] = STATE(2631),
    [sym_tagged] = STATE(2631),
    [sym_context] = STATE(2631),
    [sym_elude] = STATE(2631),
    [sym_assign] = STATE(2631),
    [sym_lambda] = STATE(2631),
    [sym_or] = STATE(2631),
    [sym_not] = STATE(2631),
    [sym_and] = STATE(2631),
    [sym_cmp] = STATE(2631),
    [sym_in] = STATE(2631),
    [sym_add] = STATE(2631),
    [sym_sub] = STATE(2631),
    [sym_mul] = STATE(2631),
    [sym_div] = STATE(2631),
    [sym_sign] = STATE(2631),
    [sym_call] = STATE(2631),
    [sym_field] = STATE(2631),
    [sym_label] = STATE(2631),
    [sym_content] = STATE(2631),
    [sym_group] = STATE(2631),
    [sym_block] = STATE(2631),
    [sym_branch] = STATE(2631),
    [sym_let] = STATE(2631),
    [sym_set] = STATE(2631),
    [sym_import] = STATE(2631),
    [sym_include] = STATE(2631),
    [sym_for] = STATE(2631),
    [sym_while] = STATE(2631),
    [sym_show] = STATE(2631),
    [sym_return] = STATE(2631),
    [sym_flow] = STATE(2631),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2565),
    [sym_none] = ACTIONS(2565),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [584] = {
    [sym_raw_blck] = STATE(2670),
    [sym_raw_span] = STATE(2670),
    [sym_math] = STATE(2670),
    [sym__expr] = STATE(2670),
    [sym_ident] = STATE(2670),
    [sym_bool] = STATE(2670),
    [sym_number] = STATE(2670),
    [sym_string] = STATE(2670),
    [sym_tagged] = STATE(2670),
    [sym_context] = STATE(2670),
    [sym_elude] = STATE(2670),
    [sym_assign] = STATE(2670),
    [sym_lambda] = STATE(2670),
    [sym_or] = STATE(2670),
    [sym_not] = STATE(2670),
    [sym_and] = STATE(2670),
    [sym_cmp] = STATE(2670),
    [sym_in] = STATE(2670),
    [sym_add] = STATE(2670),
    [sym_sub] = STATE(2670),
    [sym_mul] = STATE(2670),
    [sym_div] = STATE(2670),
    [sym_sign] = STATE(2670),
    [sym_call] = STATE(2670),
    [sym_field] = STATE(2670),
    [sym_label] = STATE(2670),
    [sym_content] = STATE(2670),
    [sym_group] = STATE(2670),
    [sym_block] = STATE(2670),
    [sym_branch] = STATE(2670),
    [sym_let] = STATE(2670),
    [sym_set] = STATE(2670),
    [sym_import] = STATE(2670),
    [sym_include] = STATE(2670),
    [sym_for] = STATE(2670),
    [sym_while] = STATE(2670),
    [sym_show] = STATE(2670),
    [sym_return] = STATE(2670),
    [sym_flow] = STATE(2670),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2567),
    [sym_none] = ACTIONS(2567),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [585] = {
    [sym_raw_blck] = STATE(1807),
    [sym_raw_span] = STATE(1807),
    [sym_math] = STATE(1807),
    [sym__expr] = STATE(1807),
    [sym_ident] = STATE(1807),
    [sym_bool] = STATE(1807),
    [sym_number] = STATE(1807),
    [sym_string] = STATE(1807),
    [sym_tagged] = STATE(1807),
    [sym_context] = STATE(1807),
    [sym_elude] = STATE(1807),
    [sym_assign] = STATE(1807),
    [sym_lambda] = STATE(1807),
    [sym_or] = STATE(1807),
    [sym_not] = STATE(1807),
    [sym_and] = STATE(1807),
    [sym_cmp] = STATE(1807),
    [sym_in] = STATE(1807),
    [sym_add] = STATE(1807),
    [sym_sub] = STATE(1807),
    [sym_mul] = STATE(1807),
    [sym_div] = STATE(1807),
    [sym_sign] = STATE(1807),
    [sym_call] = STATE(1807),
    [sym_field] = STATE(1807),
    [sym_label] = STATE(1807),
    [sym_content] = STATE(1807),
    [sym_group] = STATE(1807),
    [sym_block] = STATE(1807),
    [sym_branch] = STATE(1807),
    [sym_let] = STATE(1807),
    [sym_set] = STATE(1807),
    [sym_import] = STATE(1807),
    [sym_include] = STATE(1807),
    [sym_for] = STATE(1807),
    [sym_while] = STATE(1807),
    [sym_show] = STATE(1807),
    [sym_return] = STATE(1807),
    [sym_flow] = STATE(1807),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2569),
    [sym_none] = ACTIONS(2569),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [586] = {
    [sym_raw_blck] = STATE(1808),
    [sym_raw_span] = STATE(1808),
    [sym_math] = STATE(1808),
    [sym__expr] = STATE(1808),
    [sym_ident] = STATE(1808),
    [sym_bool] = STATE(1808),
    [sym_number] = STATE(1808),
    [sym_string] = STATE(1808),
    [sym_tagged] = STATE(1808),
    [sym_context] = STATE(1808),
    [sym_elude] = STATE(1808),
    [sym_assign] = STATE(1808),
    [sym_lambda] = STATE(1808),
    [sym_or] = STATE(1808),
    [sym_not] = STATE(1808),
    [sym_and] = STATE(1808),
    [sym_cmp] = STATE(1808),
    [sym_in] = STATE(1808),
    [sym_add] = STATE(1808),
    [sym_sub] = STATE(1808),
    [sym_mul] = STATE(1808),
    [sym_div] = STATE(1808),
    [sym_sign] = STATE(1808),
    [sym_call] = STATE(1808),
    [sym_field] = STATE(1808),
    [sym_label] = STATE(1808),
    [sym_content] = STATE(1808),
    [sym_group] = STATE(1808),
    [sym_block] = STATE(1808),
    [sym_branch] = STATE(1808),
    [sym_let] = STATE(1808),
    [sym_set] = STATE(1808),
    [sym_import] = STATE(1808),
    [sym_include] = STATE(1808),
    [sym_for] = STATE(1808),
    [sym_while] = STATE(1808),
    [sym_show] = STATE(1808),
    [sym_return] = STATE(1808),
    [sym_flow] = STATE(1808),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2571),
    [sym_none] = ACTIONS(2571),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [587] = {
    [sym_raw_blck] = STATE(2651),
    [sym_raw_span] = STATE(2651),
    [sym_math] = STATE(2651),
    [sym__expr] = STATE(2651),
    [sym_ident] = STATE(2651),
    [sym_bool] = STATE(2651),
    [sym_number] = STATE(2651),
    [sym_string] = STATE(2651),
    [sym_tagged] = STATE(2651),
    [sym_context] = STATE(2651),
    [sym_elude] = STATE(2651),
    [sym_assign] = STATE(2651),
    [sym_lambda] = STATE(2651),
    [sym_or] = STATE(2651),
    [sym_not] = STATE(2651),
    [sym_and] = STATE(2651),
    [sym_cmp] = STATE(2651),
    [sym_in] = STATE(2651),
    [sym_add] = STATE(2651),
    [sym_sub] = STATE(2651),
    [sym_mul] = STATE(2651),
    [sym_div] = STATE(2651),
    [sym_sign] = STATE(2651),
    [sym_call] = STATE(2651),
    [sym_field] = STATE(2651),
    [sym_label] = STATE(2651),
    [sym_content] = STATE(2651),
    [sym_group] = STATE(2651),
    [sym_block] = STATE(2651),
    [sym_branch] = STATE(2651),
    [sym_let] = STATE(2651),
    [sym_set] = STATE(2651),
    [sym_import] = STATE(2651),
    [sym_include] = STATE(2651),
    [sym_for] = STATE(2651),
    [sym_while] = STATE(2651),
    [sym_show] = STATE(2651),
    [sym_return] = STATE(2651),
    [sym_flow] = STATE(2651),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2573),
    [sym_none] = ACTIONS(2573),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [588] = {
    [sym_raw_blck] = STATE(2653),
    [sym_raw_span] = STATE(2653),
    [sym_math] = STATE(2653),
    [sym__expr] = STATE(2653),
    [sym_ident] = STATE(2653),
    [sym_bool] = STATE(2653),
    [sym_number] = STATE(2653),
    [sym_string] = STATE(2653),
    [sym_tagged] = STATE(2653),
    [sym_context] = STATE(2653),
    [sym_elude] = STATE(2653),
    [sym_assign] = STATE(2653),
    [sym_lambda] = STATE(2653),
    [sym_or] = STATE(2653),
    [sym_not] = STATE(2653),
    [sym_and] = STATE(2653),
    [sym_cmp] = STATE(2653),
    [sym_in] = STATE(2653),
    [sym_add] = STATE(2653),
    [sym_sub] = STATE(2653),
    [sym_mul] = STATE(2653),
    [sym_div] = STATE(2653),
    [sym_sign] = STATE(2653),
    [sym_call] = STATE(2653),
    [sym_field] = STATE(2653),
    [sym_label] = STATE(2653),
    [sym_content] = STATE(2653),
    [sym_group] = STATE(2653),
    [sym_block] = STATE(2653),
    [sym_branch] = STATE(2653),
    [sym_let] = STATE(2653),
    [sym_set] = STATE(2653),
    [sym_import] = STATE(2653),
    [sym_include] = STATE(2653),
    [sym_for] = STATE(2653),
    [sym_while] = STATE(2653),
    [sym_show] = STATE(2653),
    [sym_return] = STATE(2653),
    [sym_flow] = STATE(2653),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2575),
    [sym_none] = ACTIONS(2575),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [589] = {
    [sym_raw_blck] = STATE(2654),
    [sym_raw_span] = STATE(2654),
    [sym_math] = STATE(2654),
    [sym__expr] = STATE(2654),
    [sym_ident] = STATE(2654),
    [sym_bool] = STATE(2654),
    [sym_number] = STATE(2654),
    [sym_string] = STATE(2654),
    [sym_tagged] = STATE(2654),
    [sym_context] = STATE(2654),
    [sym_elude] = STATE(2654),
    [sym_assign] = STATE(2654),
    [sym_lambda] = STATE(2654),
    [sym_or] = STATE(2654),
    [sym_not] = STATE(2654),
    [sym_and] = STATE(2654),
    [sym_cmp] = STATE(2654),
    [sym_in] = STATE(2654),
    [sym_add] = STATE(2654),
    [sym_sub] = STATE(2654),
    [sym_mul] = STATE(2654),
    [sym_div] = STATE(2654),
    [sym_sign] = STATE(2654),
    [sym_call] = STATE(2654),
    [sym_field] = STATE(2654),
    [sym_label] = STATE(2654),
    [sym_content] = STATE(2654),
    [sym_group] = STATE(2654),
    [sym_block] = STATE(2654),
    [sym_branch] = STATE(2654),
    [sym_let] = STATE(2654),
    [sym_set] = STATE(2654),
    [sym_import] = STATE(2654),
    [sym_include] = STATE(2654),
    [sym_for] = STATE(2654),
    [sym_while] = STATE(2654),
    [sym_show] = STATE(2654),
    [sym_return] = STATE(2654),
    [sym_flow] = STATE(2654),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2577),
    [sym_none] = ACTIONS(2577),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [590] = {
    [sym_raw_blck] = STATE(2655),
    [sym_raw_span] = STATE(2655),
    [sym_math] = STATE(2655),
    [sym__expr] = STATE(2655),
    [sym_ident] = STATE(2655),
    [sym_bool] = STATE(2655),
    [sym_number] = STATE(2655),
    [sym_string] = STATE(2655),
    [sym_tagged] = STATE(2655),
    [sym_context] = STATE(2655),
    [sym_elude] = STATE(2655),
    [sym_assign] = STATE(2655),
    [sym_lambda] = STATE(2655),
    [sym_or] = STATE(2655),
    [sym_not] = STATE(2655),
    [sym_and] = STATE(2655),
    [sym_cmp] = STATE(2655),
    [sym_in] = STATE(2655),
    [sym_add] = STATE(2655),
    [sym_sub] = STATE(2655),
    [sym_mul] = STATE(2655),
    [sym_div] = STATE(2655),
    [sym_sign] = STATE(2655),
    [sym_call] = STATE(2655),
    [sym_field] = STATE(2655),
    [sym_label] = STATE(2655),
    [sym_content] = STATE(2655),
    [sym_group] = STATE(2655),
    [sym_block] = STATE(2655),
    [sym_branch] = STATE(2655),
    [sym_let] = STATE(2655),
    [sym_set] = STATE(2655),
    [sym_import] = STATE(2655),
    [sym_include] = STATE(2655),
    [sym_for] = STATE(2655),
    [sym_while] = STATE(2655),
    [sym_show] = STATE(2655),
    [sym_return] = STATE(2655),
    [sym_flow] = STATE(2655),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2579),
    [sym_none] = ACTIONS(2579),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [591] = {
    [sym_raw_blck] = STATE(1809),
    [sym_raw_span] = STATE(1809),
    [sym_math] = STATE(1809),
    [sym__expr] = STATE(1809),
    [sym_ident] = STATE(1809),
    [sym_bool] = STATE(1809),
    [sym_number] = STATE(1809),
    [sym_string] = STATE(1809),
    [sym_tagged] = STATE(1809),
    [sym_context] = STATE(1809),
    [sym_elude] = STATE(1809),
    [sym_assign] = STATE(1809),
    [sym_lambda] = STATE(1809),
    [sym_or] = STATE(1809),
    [sym_not] = STATE(1809),
    [sym_and] = STATE(1809),
    [sym_cmp] = STATE(1809),
    [sym_in] = STATE(1809),
    [sym_add] = STATE(1809),
    [sym_sub] = STATE(1809),
    [sym_mul] = STATE(1809),
    [sym_div] = STATE(1809),
    [sym_sign] = STATE(1809),
    [sym_call] = STATE(1809),
    [sym_field] = STATE(1809),
    [sym_label] = STATE(1809),
    [sym_content] = STATE(1809),
    [sym_group] = STATE(1809),
    [sym_block] = STATE(1809),
    [sym_branch] = STATE(1809),
    [sym_let] = STATE(1809),
    [sym_set] = STATE(1809),
    [sym_import] = STATE(1809),
    [sym_include] = STATE(1809),
    [sym_for] = STATE(1809),
    [sym_while] = STATE(1809),
    [sym_show] = STATE(1809),
    [sym_return] = STATE(1809),
    [sym_flow] = STATE(1809),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2581),
    [sym_none] = ACTIONS(2581),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [592] = {
    [sym_raw_blck] = STATE(2656),
    [sym_raw_span] = STATE(2656),
    [sym_math] = STATE(2656),
    [sym__expr] = STATE(2656),
    [sym_ident] = STATE(2656),
    [sym_bool] = STATE(2656),
    [sym_number] = STATE(2656),
    [sym_string] = STATE(2656),
    [sym_tagged] = STATE(2656),
    [sym_context] = STATE(2656),
    [sym_elude] = STATE(2656),
    [sym_assign] = STATE(2656),
    [sym_lambda] = STATE(2656),
    [sym_or] = STATE(2656),
    [sym_not] = STATE(2656),
    [sym_and] = STATE(2656),
    [sym_cmp] = STATE(2656),
    [sym_in] = STATE(2656),
    [sym_add] = STATE(2656),
    [sym_sub] = STATE(2656),
    [sym_mul] = STATE(2656),
    [sym_div] = STATE(2656),
    [sym_sign] = STATE(2656),
    [sym_call] = STATE(2656),
    [sym_field] = STATE(2656),
    [sym_label] = STATE(2656),
    [sym_content] = STATE(2656),
    [sym_group] = STATE(2656),
    [sym_block] = STATE(2656),
    [sym_branch] = STATE(2656),
    [sym_let] = STATE(2656),
    [sym_set] = STATE(2656),
    [sym_import] = STATE(2656),
    [sym_include] = STATE(2656),
    [sym_for] = STATE(2656),
    [sym_while] = STATE(2656),
    [sym_show] = STATE(2656),
    [sym_return] = STATE(2656),
    [sym_flow] = STATE(2656),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2583),
    [sym_none] = ACTIONS(2583),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [593] = {
    [sym_raw_blck] = STATE(2658),
    [sym_raw_span] = STATE(2658),
    [sym_math] = STATE(2658),
    [sym__expr] = STATE(2658),
    [sym_ident] = STATE(2658),
    [sym_bool] = STATE(2658),
    [sym_number] = STATE(2658),
    [sym_string] = STATE(2658),
    [sym_tagged] = STATE(2658),
    [sym_context] = STATE(2658),
    [sym_elude] = STATE(2658),
    [sym_assign] = STATE(2658),
    [sym_lambda] = STATE(2658),
    [sym_or] = STATE(2658),
    [sym_not] = STATE(2658),
    [sym_and] = STATE(2658),
    [sym_cmp] = STATE(2658),
    [sym_in] = STATE(2658),
    [sym_add] = STATE(2658),
    [sym_sub] = STATE(2658),
    [sym_mul] = STATE(2658),
    [sym_div] = STATE(2658),
    [sym_sign] = STATE(2658),
    [sym_call] = STATE(2658),
    [sym_field] = STATE(2658),
    [sym_label] = STATE(2658),
    [sym_content] = STATE(2658),
    [sym_group] = STATE(2658),
    [sym_block] = STATE(2658),
    [sym_branch] = STATE(2658),
    [sym_let] = STATE(2658),
    [sym_set] = STATE(2658),
    [sym_import] = STATE(2658),
    [sym_include] = STATE(2658),
    [sym_for] = STATE(2658),
    [sym_while] = STATE(2658),
    [sym_show] = STATE(2658),
    [sym_return] = STATE(2658),
    [sym_flow] = STATE(2658),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [594] = {
    [sym_raw_blck] = STATE(2660),
    [sym_raw_span] = STATE(2660),
    [sym_math] = STATE(2660),
    [sym__expr] = STATE(2660),
    [sym_ident] = STATE(2660),
    [sym_bool] = STATE(2660),
    [sym_number] = STATE(2660),
    [sym_string] = STATE(2660),
    [sym_tagged] = STATE(2660),
    [sym_context] = STATE(2660),
    [sym_elude] = STATE(2660),
    [sym_assign] = STATE(2660),
    [sym_lambda] = STATE(2660),
    [sym_or] = STATE(2660),
    [sym_not] = STATE(2660),
    [sym_and] = STATE(2660),
    [sym_cmp] = STATE(2660),
    [sym_in] = STATE(2660),
    [sym_add] = STATE(2660),
    [sym_sub] = STATE(2660),
    [sym_mul] = STATE(2660),
    [sym_div] = STATE(2660),
    [sym_sign] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym_field] = STATE(2660),
    [sym_label] = STATE(2660),
    [sym_content] = STATE(2660),
    [sym_group] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_branch] = STATE(2660),
    [sym_let] = STATE(2660),
    [sym_set] = STATE(2660),
    [sym_import] = STATE(2660),
    [sym_include] = STATE(2660),
    [sym_for] = STATE(2660),
    [sym_while] = STATE(2660),
    [sym_show] = STATE(2660),
    [sym_return] = STATE(2660),
    [sym_flow] = STATE(2660),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2587),
    [sym_none] = ACTIONS(2587),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [595] = {
    [sym_raw_blck] = STATE(1812),
    [sym_raw_span] = STATE(1812),
    [sym_math] = STATE(1812),
    [sym__expr] = STATE(1812),
    [sym_ident] = STATE(1812),
    [sym_bool] = STATE(1812),
    [sym_number] = STATE(1812),
    [sym_string] = STATE(1812),
    [sym_tagged] = STATE(1812),
    [sym_context] = STATE(1812),
    [sym_elude] = STATE(1812),
    [sym_assign] = STATE(1812),
    [sym_lambda] = STATE(1812),
    [sym_or] = STATE(1812),
    [sym_not] = STATE(1812),
    [sym_and] = STATE(1812),
    [sym_cmp] = STATE(1812),
    [sym_in] = STATE(1812),
    [sym_add] = STATE(1812),
    [sym_sub] = STATE(1812),
    [sym_mul] = STATE(1812),
    [sym_div] = STATE(1812),
    [sym_sign] = STATE(1812),
    [sym_call] = STATE(1812),
    [sym_field] = STATE(1812),
    [sym_label] = STATE(1812),
    [sym_content] = STATE(1812),
    [sym_group] = STATE(1812),
    [sym_block] = STATE(1812),
    [sym_branch] = STATE(1812),
    [sym_let] = STATE(1812),
    [sym_set] = STATE(1812),
    [sym_import] = STATE(1812),
    [sym_include] = STATE(1812),
    [sym_for] = STATE(1812),
    [sym_while] = STATE(1812),
    [sym_show] = STATE(1812),
    [sym_return] = STATE(1812),
    [sym_flow] = STATE(1812),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2589),
    [sym_none] = ACTIONS(2589),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [596] = {
    [sym_raw_blck] = STATE(1813),
    [sym_raw_span] = STATE(1813),
    [sym_math] = STATE(1813),
    [sym__expr] = STATE(1813),
    [sym_ident] = STATE(1813),
    [sym_bool] = STATE(1813),
    [sym_number] = STATE(1813),
    [sym_string] = STATE(1813),
    [sym_tagged] = STATE(1813),
    [sym_context] = STATE(1813),
    [sym_elude] = STATE(1813),
    [sym_assign] = STATE(1813),
    [sym_lambda] = STATE(1813),
    [sym_or] = STATE(1813),
    [sym_not] = STATE(1813),
    [sym_and] = STATE(1813),
    [sym_cmp] = STATE(1813),
    [sym_in] = STATE(1813),
    [sym_add] = STATE(1813),
    [sym_sub] = STATE(1813),
    [sym_mul] = STATE(1813),
    [sym_div] = STATE(1813),
    [sym_sign] = STATE(1813),
    [sym_call] = STATE(1813),
    [sym_field] = STATE(1813),
    [sym_label] = STATE(1813),
    [sym_content] = STATE(1813),
    [sym_group] = STATE(1813),
    [sym_block] = STATE(1813),
    [sym_branch] = STATE(1813),
    [sym_let] = STATE(1813),
    [sym_set] = STATE(1813),
    [sym_import] = STATE(1813),
    [sym_include] = STATE(1813),
    [sym_for] = STATE(1813),
    [sym_while] = STATE(1813),
    [sym_show] = STATE(1813),
    [sym_return] = STATE(1813),
    [sym_flow] = STATE(1813),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2591),
    [sym_none] = ACTIONS(2591),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [597] = {
    [sym_raw_blck] = STATE(2661),
    [sym_raw_span] = STATE(2661),
    [sym_math] = STATE(2661),
    [sym__expr] = STATE(2661),
    [sym_ident] = STATE(2661),
    [sym_bool] = STATE(2661),
    [sym_number] = STATE(2661),
    [sym_string] = STATE(2661),
    [sym_tagged] = STATE(2661),
    [sym_context] = STATE(2661),
    [sym_elude] = STATE(2661),
    [sym_assign] = STATE(2661),
    [sym_lambda] = STATE(2661),
    [sym_or] = STATE(2661),
    [sym_not] = STATE(2661),
    [sym_and] = STATE(2661),
    [sym_cmp] = STATE(2661),
    [sym_in] = STATE(2661),
    [sym_add] = STATE(2661),
    [sym_sub] = STATE(2661),
    [sym_mul] = STATE(2661),
    [sym_div] = STATE(2661),
    [sym_sign] = STATE(2661),
    [sym_call] = STATE(2661),
    [sym_field] = STATE(2661),
    [sym_label] = STATE(2661),
    [sym_content] = STATE(2661),
    [sym_group] = STATE(2661),
    [sym_block] = STATE(2661),
    [sym_branch] = STATE(2661),
    [sym_let] = STATE(2661),
    [sym_set] = STATE(2661),
    [sym_import] = STATE(2661),
    [sym_include] = STATE(2661),
    [sym_for] = STATE(2661),
    [sym_while] = STATE(2661),
    [sym_show] = STATE(2661),
    [sym_return] = STATE(2661),
    [sym_flow] = STATE(2661),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2593),
    [sym_none] = ACTIONS(2593),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [598] = {
    [sym_raw_blck] = STATE(2662),
    [sym_raw_span] = STATE(2662),
    [sym_math] = STATE(2662),
    [sym__expr] = STATE(2662),
    [sym_ident] = STATE(2662),
    [sym_bool] = STATE(2662),
    [sym_number] = STATE(2662),
    [sym_string] = STATE(2662),
    [sym_tagged] = STATE(2662),
    [sym_context] = STATE(2662),
    [sym_elude] = STATE(2662),
    [sym_assign] = STATE(2662),
    [sym_lambda] = STATE(2662),
    [sym_or] = STATE(2662),
    [sym_not] = STATE(2662),
    [sym_and] = STATE(2662),
    [sym_cmp] = STATE(2662),
    [sym_in] = STATE(2662),
    [sym_add] = STATE(2662),
    [sym_sub] = STATE(2662),
    [sym_mul] = STATE(2662),
    [sym_div] = STATE(2662),
    [sym_sign] = STATE(2662),
    [sym_call] = STATE(2662),
    [sym_field] = STATE(2662),
    [sym_label] = STATE(2662),
    [sym_content] = STATE(2662),
    [sym_group] = STATE(2662),
    [sym_block] = STATE(2662),
    [sym_branch] = STATE(2662),
    [sym_let] = STATE(2662),
    [sym_set] = STATE(2662),
    [sym_import] = STATE(2662),
    [sym_include] = STATE(2662),
    [sym_for] = STATE(2662),
    [sym_while] = STATE(2662),
    [sym_show] = STATE(2662),
    [sym_return] = STATE(2662),
    [sym_flow] = STATE(2662),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2595),
    [sym_none] = ACTIONS(2595),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [599] = {
    [sym_raw_blck] = STATE(2665),
    [sym_raw_span] = STATE(2665),
    [sym_math] = STATE(2665),
    [sym__expr] = STATE(2665),
    [sym_ident] = STATE(2665),
    [sym_bool] = STATE(2665),
    [sym_number] = STATE(2665),
    [sym_string] = STATE(2665),
    [sym_tagged] = STATE(2665),
    [sym_context] = STATE(2665),
    [sym_elude] = STATE(2665),
    [sym_assign] = STATE(2665),
    [sym_lambda] = STATE(2665),
    [sym_or] = STATE(2665),
    [sym_not] = STATE(2665),
    [sym_and] = STATE(2665),
    [sym_cmp] = STATE(2665),
    [sym_in] = STATE(2665),
    [sym_add] = STATE(2665),
    [sym_sub] = STATE(2665),
    [sym_mul] = STATE(2665),
    [sym_div] = STATE(2665),
    [sym_sign] = STATE(2665),
    [sym_call] = STATE(2665),
    [sym_field] = STATE(2665),
    [sym_label] = STATE(2665),
    [sym_content] = STATE(2665),
    [sym_group] = STATE(2665),
    [sym_block] = STATE(2665),
    [sym_branch] = STATE(2665),
    [sym_let] = STATE(2665),
    [sym_set] = STATE(2665),
    [sym_import] = STATE(2665),
    [sym_include] = STATE(2665),
    [sym_for] = STATE(2665),
    [sym_while] = STATE(2665),
    [sym_show] = STATE(2665),
    [sym_return] = STATE(2665),
    [sym_flow] = STATE(2665),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2597),
    [sym_none] = ACTIONS(2597),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [600] = {
    [sym_raw_blck] = STATE(2667),
    [sym_raw_span] = STATE(2667),
    [sym_math] = STATE(2667),
    [sym__expr] = STATE(2667),
    [sym_ident] = STATE(2667),
    [sym_bool] = STATE(2667),
    [sym_number] = STATE(2667),
    [sym_string] = STATE(2667),
    [sym_tagged] = STATE(2667),
    [sym_context] = STATE(2667),
    [sym_elude] = STATE(2667),
    [sym_assign] = STATE(2667),
    [sym_lambda] = STATE(2667),
    [sym_or] = STATE(2667),
    [sym_not] = STATE(2667),
    [sym_and] = STATE(2667),
    [sym_cmp] = STATE(2667),
    [sym_in] = STATE(2667),
    [sym_add] = STATE(2667),
    [sym_sub] = STATE(2667),
    [sym_mul] = STATE(2667),
    [sym_div] = STATE(2667),
    [sym_sign] = STATE(2667),
    [sym_call] = STATE(2667),
    [sym_field] = STATE(2667),
    [sym_label] = STATE(2667),
    [sym_content] = STATE(2667),
    [sym_group] = STATE(2667),
    [sym_block] = STATE(2667),
    [sym_branch] = STATE(2667),
    [sym_let] = STATE(2667),
    [sym_set] = STATE(2667),
    [sym_import] = STATE(2667),
    [sym_include] = STATE(2667),
    [sym_for] = STATE(2667),
    [sym_while] = STATE(2667),
    [sym_show] = STATE(2667),
    [sym_return] = STATE(2667),
    [sym_flow] = STATE(2667),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2599),
    [sym_none] = ACTIONS(2599),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [601] = {
    [sym_raw_blck] = STATE(1814),
    [sym_raw_span] = STATE(1814),
    [sym_math] = STATE(1814),
    [sym__expr] = STATE(1814),
    [sym_ident] = STATE(1814),
    [sym_bool] = STATE(1814),
    [sym_number] = STATE(1814),
    [sym_string] = STATE(1814),
    [sym_tagged] = STATE(1814),
    [sym_context] = STATE(1814),
    [sym_elude] = STATE(1814),
    [sym_assign] = STATE(1814),
    [sym_lambda] = STATE(1814),
    [sym_or] = STATE(1814),
    [sym_not] = STATE(1814),
    [sym_and] = STATE(1814),
    [sym_cmp] = STATE(1814),
    [sym_in] = STATE(1814),
    [sym_add] = STATE(1814),
    [sym_sub] = STATE(1814),
    [sym_mul] = STATE(1814),
    [sym_div] = STATE(1814),
    [sym_sign] = STATE(1814),
    [sym_call] = STATE(1814),
    [sym_field] = STATE(1814),
    [sym_label] = STATE(1814),
    [sym_content] = STATE(1814),
    [sym_group] = STATE(1814),
    [sym_block] = STATE(1814),
    [sym_branch] = STATE(1814),
    [sym_let] = STATE(1814),
    [sym_set] = STATE(1814),
    [sym_import] = STATE(1814),
    [sym_include] = STATE(1814),
    [sym_for] = STATE(1814),
    [sym_while] = STATE(1814),
    [sym_show] = STATE(1814),
    [sym_return] = STATE(1814),
    [sym_flow] = STATE(1814),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2601),
    [sym_none] = ACTIONS(2601),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [602] = {
    [sym_raw_blck] = STATE(2668),
    [sym_raw_span] = STATE(2668),
    [sym_math] = STATE(2668),
    [sym__expr] = STATE(2668),
    [sym_ident] = STATE(2668),
    [sym_bool] = STATE(2668),
    [sym_number] = STATE(2668),
    [sym_string] = STATE(2668),
    [sym_tagged] = STATE(2668),
    [sym_context] = STATE(2668),
    [sym_elude] = STATE(2668),
    [sym_assign] = STATE(2668),
    [sym_lambda] = STATE(2668),
    [sym_or] = STATE(2668),
    [sym_not] = STATE(2668),
    [sym_and] = STATE(2668),
    [sym_cmp] = STATE(2668),
    [sym_in] = STATE(2668),
    [sym_add] = STATE(2668),
    [sym_sub] = STATE(2668),
    [sym_mul] = STATE(2668),
    [sym_div] = STATE(2668),
    [sym_sign] = STATE(2668),
    [sym_call] = STATE(2668),
    [sym_field] = STATE(2668),
    [sym_label] = STATE(2668),
    [sym_content] = STATE(2668),
    [sym_group] = STATE(2668),
    [sym_block] = STATE(2668),
    [sym_branch] = STATE(2668),
    [sym_let] = STATE(2668),
    [sym_set] = STATE(2668),
    [sym_import] = STATE(2668),
    [sym_include] = STATE(2668),
    [sym_for] = STATE(2668),
    [sym_while] = STATE(2668),
    [sym_show] = STATE(2668),
    [sym_return] = STATE(2668),
    [sym_flow] = STATE(2668),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2603),
    [sym_none] = ACTIONS(2603),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [603] = {
    [sym_raw_blck] = STATE(2686),
    [sym_raw_span] = STATE(2686),
    [sym_math] = STATE(2686),
    [sym__expr] = STATE(2686),
    [sym_ident] = STATE(2686),
    [sym_bool] = STATE(2686),
    [sym_number] = STATE(2686),
    [sym_string] = STATE(2686),
    [sym_tagged] = STATE(2686),
    [sym_context] = STATE(2686),
    [sym_elude] = STATE(2686),
    [sym_assign] = STATE(2686),
    [sym_lambda] = STATE(2686),
    [sym_or] = STATE(2686),
    [sym_not] = STATE(2686),
    [sym_and] = STATE(2686),
    [sym_cmp] = STATE(2686),
    [sym_in] = STATE(2686),
    [sym_add] = STATE(2686),
    [sym_sub] = STATE(2686),
    [sym_mul] = STATE(2686),
    [sym_div] = STATE(2686),
    [sym_sign] = STATE(2686),
    [sym_call] = STATE(2686),
    [sym_field] = STATE(2686),
    [sym_label] = STATE(2686),
    [sym_content] = STATE(2686),
    [sym_group] = STATE(2686),
    [sym_block] = STATE(2686),
    [sym_branch] = STATE(2686),
    [sym_let] = STATE(2686),
    [sym_set] = STATE(2686),
    [sym_import] = STATE(2686),
    [sym_include] = STATE(2686),
    [sym_for] = STATE(2686),
    [sym_while] = STATE(2686),
    [sym_show] = STATE(2686),
    [sym_return] = STATE(2686),
    [sym_flow] = STATE(2686),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2605),
    [sym_none] = ACTIONS(2605),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [604] = {
    [sym_raw_blck] = STATE(2688),
    [sym_raw_span] = STATE(2688),
    [sym_math] = STATE(2688),
    [sym__expr] = STATE(2688),
    [sym_ident] = STATE(2688),
    [sym_bool] = STATE(2688),
    [sym_number] = STATE(2688),
    [sym_string] = STATE(2688),
    [sym_tagged] = STATE(2688),
    [sym_context] = STATE(2688),
    [sym_elude] = STATE(2688),
    [sym_assign] = STATE(2688),
    [sym_lambda] = STATE(2688),
    [sym_or] = STATE(2688),
    [sym_not] = STATE(2688),
    [sym_and] = STATE(2688),
    [sym_cmp] = STATE(2688),
    [sym_in] = STATE(2688),
    [sym_add] = STATE(2688),
    [sym_sub] = STATE(2688),
    [sym_mul] = STATE(2688),
    [sym_div] = STATE(2688),
    [sym_sign] = STATE(2688),
    [sym_call] = STATE(2688),
    [sym_field] = STATE(2688),
    [sym_label] = STATE(2688),
    [sym_content] = STATE(2688),
    [sym_group] = STATE(2688),
    [sym_block] = STATE(2688),
    [sym_branch] = STATE(2688),
    [sym_let] = STATE(2688),
    [sym_set] = STATE(2688),
    [sym_import] = STATE(2688),
    [sym_include] = STATE(2688),
    [sym_for] = STATE(2688),
    [sym_while] = STATE(2688),
    [sym_show] = STATE(2688),
    [sym_return] = STATE(2688),
    [sym_flow] = STATE(2688),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2607),
    [sym_none] = ACTIONS(2607),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [605] = {
    [sym_raw_blck] = STATE(1816),
    [sym_raw_span] = STATE(1816),
    [sym_math] = STATE(1816),
    [sym__expr] = STATE(1816),
    [sym_ident] = STATE(1816),
    [sym_bool] = STATE(1816),
    [sym_number] = STATE(1816),
    [sym_string] = STATE(1816),
    [sym_tagged] = STATE(1816),
    [sym_context] = STATE(1816),
    [sym_elude] = STATE(1816),
    [sym_assign] = STATE(1816),
    [sym_lambda] = STATE(1816),
    [sym_or] = STATE(1816),
    [sym_not] = STATE(1816),
    [sym_and] = STATE(1816),
    [sym_cmp] = STATE(1816),
    [sym_in] = STATE(1816),
    [sym_add] = STATE(1816),
    [sym_sub] = STATE(1816),
    [sym_mul] = STATE(1816),
    [sym_div] = STATE(1816),
    [sym_sign] = STATE(1816),
    [sym_call] = STATE(1816),
    [sym_field] = STATE(1816),
    [sym_label] = STATE(1816),
    [sym_content] = STATE(1816),
    [sym_group] = STATE(1816),
    [sym_block] = STATE(1816),
    [sym_branch] = STATE(1816),
    [sym_let] = STATE(1816),
    [sym_set] = STATE(1816),
    [sym_import] = STATE(1816),
    [sym_include] = STATE(1816),
    [sym_for] = STATE(1816),
    [sym_while] = STATE(1816),
    [sym_show] = STATE(1816),
    [sym_return] = STATE(1816),
    [sym_flow] = STATE(1816),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2609),
    [sym_none] = ACTIONS(2609),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [606] = {
    [sym_raw_blck] = STATE(1817),
    [sym_raw_span] = STATE(1817),
    [sym_math] = STATE(1817),
    [sym__expr] = STATE(1817),
    [sym_ident] = STATE(1817),
    [sym_bool] = STATE(1817),
    [sym_number] = STATE(1817),
    [sym_string] = STATE(1817),
    [sym_tagged] = STATE(1817),
    [sym_context] = STATE(1817),
    [sym_elude] = STATE(1817),
    [sym_assign] = STATE(1817),
    [sym_lambda] = STATE(1817),
    [sym_or] = STATE(1817),
    [sym_not] = STATE(1817),
    [sym_and] = STATE(1817),
    [sym_cmp] = STATE(1817),
    [sym_in] = STATE(1817),
    [sym_add] = STATE(1817),
    [sym_sub] = STATE(1817),
    [sym_mul] = STATE(1817),
    [sym_div] = STATE(1817),
    [sym_sign] = STATE(1817),
    [sym_call] = STATE(1817),
    [sym_field] = STATE(1817),
    [sym_label] = STATE(1817),
    [sym_content] = STATE(1817),
    [sym_group] = STATE(1817),
    [sym_block] = STATE(1817),
    [sym_branch] = STATE(1817),
    [sym_let] = STATE(1817),
    [sym_set] = STATE(1817),
    [sym_import] = STATE(1817),
    [sym_include] = STATE(1817),
    [sym_for] = STATE(1817),
    [sym_while] = STATE(1817),
    [sym_show] = STATE(1817),
    [sym_return] = STATE(1817),
    [sym_flow] = STATE(1817),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2611),
    [sym_none] = ACTIONS(2611),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [607] = {
    [sym_raw_blck] = STATE(2696),
    [sym_raw_span] = STATE(2696),
    [sym_math] = STATE(2696),
    [sym__expr] = STATE(2696),
    [sym_ident] = STATE(2696),
    [sym_bool] = STATE(2696),
    [sym_number] = STATE(2696),
    [sym_string] = STATE(2696),
    [sym_tagged] = STATE(2696),
    [sym_context] = STATE(2696),
    [sym_elude] = STATE(2696),
    [sym_assign] = STATE(2696),
    [sym_lambda] = STATE(2696),
    [sym_or] = STATE(2696),
    [sym_not] = STATE(2696),
    [sym_and] = STATE(2696),
    [sym_cmp] = STATE(2696),
    [sym_in] = STATE(2696),
    [sym_add] = STATE(2696),
    [sym_sub] = STATE(2696),
    [sym_mul] = STATE(2696),
    [sym_div] = STATE(2696),
    [sym_sign] = STATE(2696),
    [sym_call] = STATE(2696),
    [sym_field] = STATE(2696),
    [sym_label] = STATE(2696),
    [sym_content] = STATE(2696),
    [sym_group] = STATE(2696),
    [sym_block] = STATE(2696),
    [sym_branch] = STATE(2696),
    [sym_let] = STATE(2696),
    [sym_set] = STATE(2696),
    [sym_import] = STATE(2696),
    [sym_include] = STATE(2696),
    [sym_for] = STATE(2696),
    [sym_while] = STATE(2696),
    [sym_show] = STATE(2696),
    [sym_return] = STATE(2696),
    [sym_flow] = STATE(2696),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2613),
    [sym_none] = ACTIONS(2613),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [608] = {
    [sym_raw_blck] = STATE(2697),
    [sym_raw_span] = STATE(2697),
    [sym_math] = STATE(2697),
    [sym__expr] = STATE(2697),
    [sym_ident] = STATE(2697),
    [sym_bool] = STATE(2697),
    [sym_number] = STATE(2697),
    [sym_string] = STATE(2697),
    [sym_tagged] = STATE(2697),
    [sym_context] = STATE(2697),
    [sym_elude] = STATE(2697),
    [sym_assign] = STATE(2697),
    [sym_lambda] = STATE(2697),
    [sym_or] = STATE(2697),
    [sym_not] = STATE(2697),
    [sym_and] = STATE(2697),
    [sym_cmp] = STATE(2697),
    [sym_in] = STATE(2697),
    [sym_add] = STATE(2697),
    [sym_sub] = STATE(2697),
    [sym_mul] = STATE(2697),
    [sym_div] = STATE(2697),
    [sym_sign] = STATE(2697),
    [sym_call] = STATE(2697),
    [sym_field] = STATE(2697),
    [sym_label] = STATE(2697),
    [sym_content] = STATE(2697),
    [sym_group] = STATE(2697),
    [sym_block] = STATE(2697),
    [sym_branch] = STATE(2697),
    [sym_let] = STATE(2697),
    [sym_set] = STATE(2697),
    [sym_import] = STATE(2697),
    [sym_include] = STATE(2697),
    [sym_for] = STATE(2697),
    [sym_while] = STATE(2697),
    [sym_show] = STATE(2697),
    [sym_return] = STATE(2697),
    [sym_flow] = STATE(2697),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2615),
    [sym_none] = ACTIONS(2615),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [609] = {
    [sym_raw_blck] = STATE(2272),
    [sym_raw_span] = STATE(2272),
    [sym_math] = STATE(2272),
    [sym__expr] = STATE(2272),
    [sym_ident] = STATE(2272),
    [sym_bool] = STATE(2272),
    [sym_number] = STATE(2272),
    [sym_string] = STATE(2272),
    [sym_tagged] = STATE(2272),
    [sym_context] = STATE(2272),
    [sym_elude] = STATE(2272),
    [sym_assign] = STATE(2272),
    [sym_lambda] = STATE(2272),
    [sym_or] = STATE(2272),
    [sym_not] = STATE(2272),
    [sym_and] = STATE(2272),
    [sym_cmp] = STATE(2272),
    [sym_in] = STATE(2272),
    [sym_add] = STATE(2272),
    [sym_sub] = STATE(2272),
    [sym_mul] = STATE(2272),
    [sym_div] = STATE(2272),
    [sym_sign] = STATE(2272),
    [sym_call] = STATE(2272),
    [sym_field] = STATE(2272),
    [sym_label] = STATE(2272),
    [sym_content] = STATE(2272),
    [sym_group] = STATE(2272),
    [sym_block] = STATE(2272),
    [sym_branch] = STATE(2272),
    [sym_let] = STATE(2272),
    [sym_set] = STATE(2272),
    [sym_import] = STATE(2272),
    [sym_include] = STATE(2272),
    [sym_for] = STATE(2272),
    [sym_while] = STATE(2272),
    [sym_show] = STATE(2272),
    [sym_return] = STATE(2272),
    [sym_flow] = STATE(2272),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2617),
    [sym_none] = ACTIONS(2617),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [610] = {
    [sym_raw_blck] = STATE(2673),
    [sym_raw_span] = STATE(2673),
    [sym_math] = STATE(2673),
    [sym__expr] = STATE(2673),
    [sym_ident] = STATE(2673),
    [sym_bool] = STATE(2673),
    [sym_number] = STATE(2673),
    [sym_string] = STATE(2673),
    [sym_tagged] = STATE(2673),
    [sym_context] = STATE(2673),
    [sym_elude] = STATE(2673),
    [sym_assign] = STATE(2673),
    [sym_lambda] = STATE(2673),
    [sym_or] = STATE(2673),
    [sym_not] = STATE(2673),
    [sym_and] = STATE(2673),
    [sym_cmp] = STATE(2673),
    [sym_in] = STATE(2673),
    [sym_add] = STATE(2673),
    [sym_sub] = STATE(2673),
    [sym_mul] = STATE(2673),
    [sym_div] = STATE(2673),
    [sym_sign] = STATE(2673),
    [sym_call] = STATE(2673),
    [sym_field] = STATE(2673),
    [sym_label] = STATE(2673),
    [sym_content] = STATE(2673),
    [sym_group] = STATE(2673),
    [sym_block] = STATE(2673),
    [sym_branch] = STATE(2673),
    [sym_let] = STATE(2673),
    [sym_set] = STATE(2673),
    [sym_import] = STATE(2673),
    [sym_include] = STATE(2673),
    [sym_for] = STATE(2673),
    [sym_while] = STATE(2673),
    [sym_show] = STATE(2673),
    [sym_return] = STATE(2673),
    [sym_flow] = STATE(2673),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2619),
    [sym_none] = ACTIONS(2619),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [611] = {
    [sym_raw_blck] = STATE(2282),
    [sym_raw_span] = STATE(2282),
    [sym_math] = STATE(2282),
    [sym__expr] = STATE(2282),
    [sym_ident] = STATE(2282),
    [sym_bool] = STATE(2282),
    [sym_number] = STATE(2282),
    [sym_string] = STATE(2282),
    [sym_tagged] = STATE(2282),
    [sym_context] = STATE(2282),
    [sym_elude] = STATE(2282),
    [sym_assign] = STATE(2282),
    [sym_lambda] = STATE(2282),
    [sym_or] = STATE(2282),
    [sym_not] = STATE(2282),
    [sym_and] = STATE(2282),
    [sym_cmp] = STATE(2282),
    [sym_in] = STATE(2282),
    [sym_add] = STATE(2282),
    [sym_sub] = STATE(2282),
    [sym_mul] = STATE(2282),
    [sym_div] = STATE(2282),
    [sym_sign] = STATE(2282),
    [sym_call] = STATE(2282),
    [sym_field] = STATE(2282),
    [sym_label] = STATE(2282),
    [sym_content] = STATE(2282),
    [sym_group] = STATE(2282),
    [sym_block] = STATE(2282),
    [sym_branch] = STATE(2282),
    [sym_let] = STATE(2282),
    [sym_set] = STATE(2282),
    [sym_import] = STATE(2282),
    [sym_include] = STATE(2282),
    [sym_for] = STATE(2282),
    [sym_while] = STATE(2282),
    [sym_show] = STATE(2282),
    [sym_return] = STATE(2282),
    [sym_flow] = STATE(2282),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2621),
    [sym_none] = ACTIONS(2621),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [612] = {
    [sym_raw_blck] = STATE(1818),
    [sym_raw_span] = STATE(1818),
    [sym_math] = STATE(1818),
    [sym__expr] = STATE(1818),
    [sym_ident] = STATE(1818),
    [sym_bool] = STATE(1818),
    [sym_number] = STATE(1818),
    [sym_string] = STATE(1818),
    [sym_tagged] = STATE(1818),
    [sym_context] = STATE(1818),
    [sym_elude] = STATE(1818),
    [sym_assign] = STATE(1818),
    [sym_lambda] = STATE(1818),
    [sym_or] = STATE(1818),
    [sym_not] = STATE(1818),
    [sym_and] = STATE(1818),
    [sym_cmp] = STATE(1818),
    [sym_in] = STATE(1818),
    [sym_add] = STATE(1818),
    [sym_sub] = STATE(1818),
    [sym_mul] = STATE(1818),
    [sym_div] = STATE(1818),
    [sym_sign] = STATE(1818),
    [sym_call] = STATE(1818),
    [sym_field] = STATE(1818),
    [sym_label] = STATE(1818),
    [sym_content] = STATE(1818),
    [sym_group] = STATE(1818),
    [sym_block] = STATE(1818),
    [sym_branch] = STATE(1818),
    [sym_let] = STATE(1818),
    [sym_set] = STATE(1818),
    [sym_import] = STATE(1818),
    [sym_include] = STATE(1818),
    [sym_for] = STATE(1818),
    [sym_while] = STATE(1818),
    [sym_show] = STATE(1818),
    [sym_return] = STATE(1818),
    [sym_flow] = STATE(1818),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2623),
    [sym_none] = ACTIONS(2623),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [613] = {
    [sym_raw_blck] = STATE(2284),
    [sym_raw_span] = STATE(2284),
    [sym_math] = STATE(2284),
    [sym__expr] = STATE(2284),
    [sym_ident] = STATE(2284),
    [sym_bool] = STATE(2284),
    [sym_number] = STATE(2284),
    [sym_string] = STATE(2284),
    [sym_tagged] = STATE(2284),
    [sym_context] = STATE(2284),
    [sym_elude] = STATE(2284),
    [sym_assign] = STATE(2284),
    [sym_lambda] = STATE(2284),
    [sym_or] = STATE(2284),
    [sym_not] = STATE(2284),
    [sym_and] = STATE(2284),
    [sym_cmp] = STATE(2284),
    [sym_in] = STATE(2284),
    [sym_add] = STATE(2284),
    [sym_sub] = STATE(2284),
    [sym_mul] = STATE(2284),
    [sym_div] = STATE(2284),
    [sym_sign] = STATE(2284),
    [sym_call] = STATE(2284),
    [sym_field] = STATE(2284),
    [sym_label] = STATE(2284),
    [sym_content] = STATE(2284),
    [sym_group] = STATE(2284),
    [sym_block] = STATE(2284),
    [sym_branch] = STATE(2284),
    [sym_let] = STATE(2284),
    [sym_set] = STATE(2284),
    [sym_import] = STATE(2284),
    [sym_include] = STATE(2284),
    [sym_for] = STATE(2284),
    [sym_while] = STATE(2284),
    [sym_show] = STATE(2284),
    [sym_return] = STATE(2284),
    [sym_flow] = STATE(2284),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2625),
    [sym_none] = ACTIONS(2625),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [614] = {
    [sym_raw_blck] = STATE(2682),
    [sym_raw_span] = STATE(2682),
    [sym_math] = STATE(2682),
    [sym__expr] = STATE(2682),
    [sym_ident] = STATE(2682),
    [sym_bool] = STATE(2682),
    [sym_number] = STATE(2682),
    [sym_string] = STATE(2682),
    [sym_tagged] = STATE(2682),
    [sym_context] = STATE(2682),
    [sym_elude] = STATE(2682),
    [sym_assign] = STATE(2682),
    [sym_lambda] = STATE(2682),
    [sym_or] = STATE(2682),
    [sym_not] = STATE(2682),
    [sym_and] = STATE(2682),
    [sym_cmp] = STATE(2682),
    [sym_in] = STATE(2682),
    [sym_add] = STATE(2682),
    [sym_sub] = STATE(2682),
    [sym_mul] = STATE(2682),
    [sym_div] = STATE(2682),
    [sym_sign] = STATE(2682),
    [sym_call] = STATE(2682),
    [sym_field] = STATE(2682),
    [sym_label] = STATE(2682),
    [sym_content] = STATE(2682),
    [sym_group] = STATE(2682),
    [sym_block] = STATE(2682),
    [sym_branch] = STATE(2682),
    [sym_let] = STATE(2682),
    [sym_set] = STATE(2682),
    [sym_import] = STATE(2682),
    [sym_include] = STATE(2682),
    [sym_for] = STATE(2682),
    [sym_while] = STATE(2682),
    [sym_show] = STATE(2682),
    [sym_return] = STATE(2682),
    [sym_flow] = STATE(2682),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2627),
    [sym_none] = ACTIONS(2627),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [615] = {
    [sym_raw_blck] = STATE(1822),
    [sym_raw_span] = STATE(1822),
    [sym_math] = STATE(1822),
    [sym__expr] = STATE(1822),
    [sym_ident] = STATE(1822),
    [sym_bool] = STATE(1822),
    [sym_number] = STATE(1822),
    [sym_string] = STATE(1822),
    [sym_tagged] = STATE(1822),
    [sym_context] = STATE(1822),
    [sym_elude] = STATE(1822),
    [sym_assign] = STATE(1822),
    [sym_lambda] = STATE(1822),
    [sym_or] = STATE(1822),
    [sym_not] = STATE(1822),
    [sym_and] = STATE(1822),
    [sym_cmp] = STATE(1822),
    [sym_in] = STATE(1822),
    [sym_add] = STATE(1822),
    [sym_sub] = STATE(1822),
    [sym_mul] = STATE(1822),
    [sym_div] = STATE(1822),
    [sym_sign] = STATE(1822),
    [sym_call] = STATE(1822),
    [sym_field] = STATE(1822),
    [sym_label] = STATE(1822),
    [sym_content] = STATE(1822),
    [sym_group] = STATE(1822),
    [sym_block] = STATE(1822),
    [sym_branch] = STATE(1822),
    [sym_let] = STATE(1822),
    [sym_set] = STATE(1822),
    [sym_import] = STATE(1822),
    [sym_include] = STATE(1822),
    [sym_for] = STATE(1822),
    [sym_while] = STATE(1822),
    [sym_show] = STATE(1822),
    [sym_return] = STATE(1822),
    [sym_flow] = STATE(1822),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2629),
    [sym_none] = ACTIONS(2629),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [616] = {
    [sym_raw_blck] = STATE(1823),
    [sym_raw_span] = STATE(1823),
    [sym_math] = STATE(1823),
    [sym__expr] = STATE(1823),
    [sym_ident] = STATE(1823),
    [sym_bool] = STATE(1823),
    [sym_number] = STATE(1823),
    [sym_string] = STATE(1823),
    [sym_tagged] = STATE(1823),
    [sym_context] = STATE(1823),
    [sym_elude] = STATE(1823),
    [sym_assign] = STATE(1823),
    [sym_lambda] = STATE(1823),
    [sym_or] = STATE(1823),
    [sym_not] = STATE(1823),
    [sym_and] = STATE(1823),
    [sym_cmp] = STATE(1823),
    [sym_in] = STATE(1823),
    [sym_add] = STATE(1823),
    [sym_sub] = STATE(1823),
    [sym_mul] = STATE(1823),
    [sym_div] = STATE(1823),
    [sym_sign] = STATE(1823),
    [sym_call] = STATE(1823),
    [sym_field] = STATE(1823),
    [sym_label] = STATE(1823),
    [sym_content] = STATE(1823),
    [sym_group] = STATE(1823),
    [sym_block] = STATE(1823),
    [sym_branch] = STATE(1823),
    [sym_let] = STATE(1823),
    [sym_set] = STATE(1823),
    [sym_import] = STATE(1823),
    [sym_include] = STATE(1823),
    [sym_for] = STATE(1823),
    [sym_while] = STATE(1823),
    [sym_show] = STATE(1823),
    [sym_return] = STATE(1823),
    [sym_flow] = STATE(1823),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2631),
    [sym_none] = ACTIONS(2631),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [617] = {
    [sym_raw_blck] = STATE(2778),
    [sym_raw_span] = STATE(2778),
    [sym_math] = STATE(2778),
    [sym__expr] = STATE(2778),
    [sym_ident] = STATE(2778),
    [sym_bool] = STATE(2778),
    [sym_number] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_tagged] = STATE(2778),
    [sym_context] = STATE(2778),
    [sym_elude] = STATE(2778),
    [sym_assign] = STATE(2778),
    [sym_lambda] = STATE(2778),
    [sym_or] = STATE(2778),
    [sym_not] = STATE(2778),
    [sym_and] = STATE(2778),
    [sym_cmp] = STATE(2778),
    [sym_in] = STATE(2778),
    [sym_add] = STATE(2778),
    [sym_sub] = STATE(2778),
    [sym_mul] = STATE(2778),
    [sym_div] = STATE(2778),
    [sym_sign] = STATE(2778),
    [sym_call] = STATE(2778),
    [sym_field] = STATE(2778),
    [sym_label] = STATE(2778),
    [sym_content] = STATE(2778),
    [sym_group] = STATE(2778),
    [sym_block] = STATE(2778),
    [sym_branch] = STATE(2778),
    [sym_let] = STATE(2778),
    [sym_set] = STATE(2778),
    [sym_import] = STATE(2778),
    [sym_include] = STATE(2778),
    [sym_for] = STATE(2778),
    [sym_while] = STATE(2778),
    [sym_show] = STATE(2778),
    [sym_return] = STATE(2778),
    [sym_flow] = STATE(2778),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2633),
    [sym_none] = ACTIONS(2633),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [618] = {
    [sym_raw_blck] = STATE(2347),
    [sym_raw_span] = STATE(2347),
    [sym_math] = STATE(2347),
    [sym__expr] = STATE(2347),
    [sym_ident] = STATE(2347),
    [sym_bool] = STATE(2347),
    [sym_number] = STATE(2347),
    [sym_string] = STATE(2347),
    [sym_tagged] = STATE(2347),
    [sym_context] = STATE(2347),
    [sym_elude] = STATE(2347),
    [sym_assign] = STATE(2347),
    [sym_lambda] = STATE(2347),
    [sym_or] = STATE(2347),
    [sym_not] = STATE(2347),
    [sym_and] = STATE(2347),
    [sym_cmp] = STATE(2347),
    [sym_in] = STATE(2347),
    [sym_add] = STATE(2347),
    [sym_sub] = STATE(2347),
    [sym_mul] = STATE(2347),
    [sym_div] = STATE(2347),
    [sym_sign] = STATE(2347),
    [sym_call] = STATE(2347),
    [sym_field] = STATE(2347),
    [sym_label] = STATE(2347),
    [sym_content] = STATE(2347),
    [sym_group] = STATE(2347),
    [sym_block] = STATE(2347),
    [sym_branch] = STATE(2347),
    [sym_let] = STATE(2347),
    [sym_set] = STATE(2347),
    [sym_import] = STATE(2347),
    [sym_include] = STATE(2347),
    [sym_for] = STATE(2347),
    [sym_while] = STATE(2347),
    [sym_show] = STATE(2347),
    [sym_return] = STATE(2347),
    [sym_flow] = STATE(2347),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2635),
    [sym_none] = ACTIONS(2635),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [619] = {
    [sym_raw_blck] = STATE(2349),
    [sym_raw_span] = STATE(2349),
    [sym_math] = STATE(2349),
    [sym__expr] = STATE(2349),
    [sym_ident] = STATE(2349),
    [sym_bool] = STATE(2349),
    [sym_number] = STATE(2349),
    [sym_string] = STATE(2349),
    [sym_tagged] = STATE(2349),
    [sym_context] = STATE(2349),
    [sym_elude] = STATE(2349),
    [sym_assign] = STATE(2349),
    [sym_lambda] = STATE(2349),
    [sym_or] = STATE(2349),
    [sym_not] = STATE(2349),
    [sym_and] = STATE(2349),
    [sym_cmp] = STATE(2349),
    [sym_in] = STATE(2349),
    [sym_add] = STATE(2349),
    [sym_sub] = STATE(2349),
    [sym_mul] = STATE(2349),
    [sym_div] = STATE(2349),
    [sym_sign] = STATE(2349),
    [sym_call] = STATE(2349),
    [sym_field] = STATE(2349),
    [sym_label] = STATE(2349),
    [sym_content] = STATE(2349),
    [sym_group] = STATE(2349),
    [sym_block] = STATE(2349),
    [sym_branch] = STATE(2349),
    [sym_let] = STATE(2349),
    [sym_set] = STATE(2349),
    [sym_import] = STATE(2349),
    [sym_include] = STATE(2349),
    [sym_for] = STATE(2349),
    [sym_while] = STATE(2349),
    [sym_show] = STATE(2349),
    [sym_return] = STATE(2349),
    [sym_flow] = STATE(2349),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2637),
    [sym_none] = ACTIONS(2637),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [620] = {
    [sym_raw_blck] = STATE(2350),
    [sym_raw_span] = STATE(2350),
    [sym_math] = STATE(2350),
    [sym__expr] = STATE(2350),
    [sym_ident] = STATE(2350),
    [sym_bool] = STATE(2350),
    [sym_number] = STATE(2350),
    [sym_string] = STATE(2350),
    [sym_tagged] = STATE(2350),
    [sym_context] = STATE(2350),
    [sym_elude] = STATE(2350),
    [sym_assign] = STATE(2350),
    [sym_lambda] = STATE(2350),
    [sym_or] = STATE(2350),
    [sym_not] = STATE(2350),
    [sym_and] = STATE(2350),
    [sym_cmp] = STATE(2350),
    [sym_in] = STATE(2350),
    [sym_add] = STATE(2350),
    [sym_sub] = STATE(2350),
    [sym_mul] = STATE(2350),
    [sym_div] = STATE(2350),
    [sym_sign] = STATE(2350),
    [sym_call] = STATE(2350),
    [sym_field] = STATE(2350),
    [sym_label] = STATE(2350),
    [sym_content] = STATE(2350),
    [sym_group] = STATE(2350),
    [sym_block] = STATE(2350),
    [sym_branch] = STATE(2350),
    [sym_let] = STATE(2350),
    [sym_set] = STATE(2350),
    [sym_import] = STATE(2350),
    [sym_include] = STATE(2350),
    [sym_for] = STATE(2350),
    [sym_while] = STATE(2350),
    [sym_show] = STATE(2350),
    [sym_return] = STATE(2350),
    [sym_flow] = STATE(2350),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2639),
    [sym_none] = ACTIONS(2639),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [621] = {
    [sym_raw_blck] = STATE(1824),
    [sym_raw_span] = STATE(1824),
    [sym_math] = STATE(1824),
    [sym__expr] = STATE(1824),
    [sym_ident] = STATE(1824),
    [sym_bool] = STATE(1824),
    [sym_number] = STATE(1824),
    [sym_string] = STATE(1824),
    [sym_tagged] = STATE(1824),
    [sym_context] = STATE(1824),
    [sym_elude] = STATE(1824),
    [sym_assign] = STATE(1824),
    [sym_lambda] = STATE(1824),
    [sym_or] = STATE(1824),
    [sym_not] = STATE(1824),
    [sym_and] = STATE(1824),
    [sym_cmp] = STATE(1824),
    [sym_in] = STATE(1824),
    [sym_add] = STATE(1824),
    [sym_sub] = STATE(1824),
    [sym_mul] = STATE(1824),
    [sym_div] = STATE(1824),
    [sym_sign] = STATE(1824),
    [sym_call] = STATE(1824),
    [sym_field] = STATE(1824),
    [sym_label] = STATE(1824),
    [sym_content] = STATE(1824),
    [sym_group] = STATE(1824),
    [sym_block] = STATE(1824),
    [sym_branch] = STATE(1824),
    [sym_let] = STATE(1824),
    [sym_set] = STATE(1824),
    [sym_import] = STATE(1824),
    [sym_include] = STATE(1824),
    [sym_for] = STATE(1824),
    [sym_while] = STATE(1824),
    [sym_show] = STATE(1824),
    [sym_return] = STATE(1824),
    [sym_flow] = STATE(1824),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2641),
    [sym_none] = ACTIONS(2641),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [622] = {
    [sym_raw_blck] = STATE(2351),
    [sym_raw_span] = STATE(2351),
    [sym_math] = STATE(2351),
    [sym__expr] = STATE(2351),
    [sym_ident] = STATE(2351),
    [sym_bool] = STATE(2351),
    [sym_number] = STATE(2351),
    [sym_string] = STATE(2351),
    [sym_tagged] = STATE(2351),
    [sym_context] = STATE(2351),
    [sym_elude] = STATE(2351),
    [sym_assign] = STATE(2351),
    [sym_lambda] = STATE(2351),
    [sym_or] = STATE(2351),
    [sym_not] = STATE(2351),
    [sym_and] = STATE(2351),
    [sym_cmp] = STATE(2351),
    [sym_in] = STATE(2351),
    [sym_add] = STATE(2351),
    [sym_sub] = STATE(2351),
    [sym_mul] = STATE(2351),
    [sym_div] = STATE(2351),
    [sym_sign] = STATE(2351),
    [sym_call] = STATE(2351),
    [sym_field] = STATE(2351),
    [sym_label] = STATE(2351),
    [sym_content] = STATE(2351),
    [sym_group] = STATE(2351),
    [sym_block] = STATE(2351),
    [sym_branch] = STATE(2351),
    [sym_let] = STATE(2351),
    [sym_set] = STATE(2351),
    [sym_import] = STATE(2351),
    [sym_include] = STATE(2351),
    [sym_for] = STATE(2351),
    [sym_while] = STATE(2351),
    [sym_show] = STATE(2351),
    [sym_return] = STATE(2351),
    [sym_flow] = STATE(2351),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2643),
    [sym_none] = ACTIONS(2643),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [623] = {
    [sym_raw_blck] = STATE(2361),
    [sym_raw_span] = STATE(2361),
    [sym_math] = STATE(2361),
    [sym__expr] = STATE(2361),
    [sym_ident] = STATE(2361),
    [sym_bool] = STATE(2361),
    [sym_number] = STATE(2361),
    [sym_string] = STATE(2361),
    [sym_tagged] = STATE(2361),
    [sym_context] = STATE(2361),
    [sym_elude] = STATE(2361),
    [sym_assign] = STATE(2361),
    [sym_lambda] = STATE(2361),
    [sym_or] = STATE(2361),
    [sym_not] = STATE(2361),
    [sym_and] = STATE(2361),
    [sym_cmp] = STATE(2361),
    [sym_in] = STATE(2361),
    [sym_add] = STATE(2361),
    [sym_sub] = STATE(2361),
    [sym_mul] = STATE(2361),
    [sym_div] = STATE(2361),
    [sym_sign] = STATE(2361),
    [sym_call] = STATE(2361),
    [sym_field] = STATE(2361),
    [sym_label] = STATE(2361),
    [sym_content] = STATE(2361),
    [sym_group] = STATE(2361),
    [sym_block] = STATE(2361),
    [sym_branch] = STATE(2361),
    [sym_let] = STATE(2361),
    [sym_set] = STATE(2361),
    [sym_import] = STATE(2361),
    [sym_include] = STATE(2361),
    [sym_for] = STATE(2361),
    [sym_while] = STATE(2361),
    [sym_show] = STATE(2361),
    [sym_return] = STATE(2361),
    [sym_flow] = STATE(2361),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2645),
    [sym_none] = ACTIONS(2645),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [624] = {
    [sym_raw_blck] = STATE(1828),
    [sym_raw_span] = STATE(1828),
    [sym_math] = STATE(1828),
    [sym__expr] = STATE(1828),
    [sym_ident] = STATE(1828),
    [sym_bool] = STATE(1828),
    [sym_number] = STATE(1828),
    [sym_string] = STATE(1828),
    [sym_tagged] = STATE(1828),
    [sym_context] = STATE(1828),
    [sym_elude] = STATE(1828),
    [sym_assign] = STATE(1828),
    [sym_lambda] = STATE(1828),
    [sym_or] = STATE(1828),
    [sym_not] = STATE(1828),
    [sym_and] = STATE(1828),
    [sym_cmp] = STATE(1828),
    [sym_in] = STATE(1828),
    [sym_add] = STATE(1828),
    [sym_sub] = STATE(1828),
    [sym_mul] = STATE(1828),
    [sym_div] = STATE(1828),
    [sym_sign] = STATE(1828),
    [sym_call] = STATE(1828),
    [sym_field] = STATE(1828),
    [sym_label] = STATE(1828),
    [sym_content] = STATE(1828),
    [sym_group] = STATE(1828),
    [sym_block] = STATE(1828),
    [sym_branch] = STATE(1828),
    [sym_let] = STATE(1828),
    [sym_set] = STATE(1828),
    [sym_import] = STATE(1828),
    [sym_include] = STATE(1828),
    [sym_for] = STATE(1828),
    [sym_while] = STATE(1828),
    [sym_show] = STATE(1828),
    [sym_return] = STATE(1828),
    [sym_flow] = STATE(1828),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2647),
    [sym_none] = ACTIONS(2647),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [625] = {
    [sym_raw_blck] = STATE(1829),
    [sym_raw_span] = STATE(1829),
    [sym_math] = STATE(1829),
    [sym__expr] = STATE(1829),
    [sym_ident] = STATE(1829),
    [sym_bool] = STATE(1829),
    [sym_number] = STATE(1829),
    [sym_string] = STATE(1829),
    [sym_tagged] = STATE(1829),
    [sym_context] = STATE(1829),
    [sym_elude] = STATE(1829),
    [sym_assign] = STATE(1829),
    [sym_lambda] = STATE(1829),
    [sym_or] = STATE(1829),
    [sym_not] = STATE(1829),
    [sym_and] = STATE(1829),
    [sym_cmp] = STATE(1829),
    [sym_in] = STATE(1829),
    [sym_add] = STATE(1829),
    [sym_sub] = STATE(1829),
    [sym_mul] = STATE(1829),
    [sym_div] = STATE(1829),
    [sym_sign] = STATE(1829),
    [sym_call] = STATE(1829),
    [sym_field] = STATE(1829),
    [sym_label] = STATE(1829),
    [sym_content] = STATE(1829),
    [sym_group] = STATE(1829),
    [sym_block] = STATE(1829),
    [sym_branch] = STATE(1829),
    [sym_let] = STATE(1829),
    [sym_set] = STATE(1829),
    [sym_import] = STATE(1829),
    [sym_include] = STATE(1829),
    [sym_for] = STATE(1829),
    [sym_while] = STATE(1829),
    [sym_show] = STATE(1829),
    [sym_return] = STATE(1829),
    [sym_flow] = STATE(1829),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2649),
    [sym_none] = ACTIONS(2649),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [626] = {
    [sym_raw_blck] = STATE(2362),
    [sym_raw_span] = STATE(2362),
    [sym_math] = STATE(2362),
    [sym__expr] = STATE(2362),
    [sym_ident] = STATE(2362),
    [sym_bool] = STATE(2362),
    [sym_number] = STATE(2362),
    [sym_string] = STATE(2362),
    [sym_tagged] = STATE(2362),
    [sym_context] = STATE(2362),
    [sym_elude] = STATE(2362),
    [sym_assign] = STATE(2362),
    [sym_lambda] = STATE(2362),
    [sym_or] = STATE(2362),
    [sym_not] = STATE(2362),
    [sym_and] = STATE(2362),
    [sym_cmp] = STATE(2362),
    [sym_in] = STATE(2362),
    [sym_add] = STATE(2362),
    [sym_sub] = STATE(2362),
    [sym_mul] = STATE(2362),
    [sym_div] = STATE(2362),
    [sym_sign] = STATE(2362),
    [sym_call] = STATE(2362),
    [sym_field] = STATE(2362),
    [sym_label] = STATE(2362),
    [sym_content] = STATE(2362),
    [sym_group] = STATE(2362),
    [sym_block] = STATE(2362),
    [sym_branch] = STATE(2362),
    [sym_let] = STATE(2362),
    [sym_set] = STATE(2362),
    [sym_import] = STATE(2362),
    [sym_include] = STATE(2362),
    [sym_for] = STATE(2362),
    [sym_while] = STATE(2362),
    [sym_show] = STATE(2362),
    [sym_return] = STATE(2362),
    [sym_flow] = STATE(2362),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2651),
    [sym_none] = ACTIONS(2651),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [627] = {
    [sym_raw_blck] = STATE(2363),
    [sym_raw_span] = STATE(2363),
    [sym_math] = STATE(2363),
    [sym__expr] = STATE(2363),
    [sym_ident] = STATE(2363),
    [sym_bool] = STATE(2363),
    [sym_number] = STATE(2363),
    [sym_string] = STATE(2363),
    [sym_tagged] = STATE(2363),
    [sym_context] = STATE(2363),
    [sym_elude] = STATE(2363),
    [sym_assign] = STATE(2363),
    [sym_lambda] = STATE(2363),
    [sym_or] = STATE(2363),
    [sym_not] = STATE(2363),
    [sym_and] = STATE(2363),
    [sym_cmp] = STATE(2363),
    [sym_in] = STATE(2363),
    [sym_add] = STATE(2363),
    [sym_sub] = STATE(2363),
    [sym_mul] = STATE(2363),
    [sym_div] = STATE(2363),
    [sym_sign] = STATE(2363),
    [sym_call] = STATE(2363),
    [sym_field] = STATE(2363),
    [sym_label] = STATE(2363),
    [sym_content] = STATE(2363),
    [sym_group] = STATE(2363),
    [sym_block] = STATE(2363),
    [sym_branch] = STATE(2363),
    [sym_let] = STATE(2363),
    [sym_set] = STATE(2363),
    [sym_import] = STATE(2363),
    [sym_include] = STATE(2363),
    [sym_for] = STATE(2363),
    [sym_while] = STATE(2363),
    [sym_show] = STATE(2363),
    [sym_return] = STATE(2363),
    [sym_flow] = STATE(2363),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2653),
    [sym_none] = ACTIONS(2653),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [628] = {
    [sym_raw_blck] = STATE(2365),
    [sym_raw_span] = STATE(2365),
    [sym_math] = STATE(2365),
    [sym__expr] = STATE(2365),
    [sym_ident] = STATE(2365),
    [sym_bool] = STATE(2365),
    [sym_number] = STATE(2365),
    [sym_string] = STATE(2365),
    [sym_tagged] = STATE(2365),
    [sym_context] = STATE(2365),
    [sym_elude] = STATE(2365),
    [sym_assign] = STATE(2365),
    [sym_lambda] = STATE(2365),
    [sym_or] = STATE(2365),
    [sym_not] = STATE(2365),
    [sym_and] = STATE(2365),
    [sym_cmp] = STATE(2365),
    [sym_in] = STATE(2365),
    [sym_add] = STATE(2365),
    [sym_sub] = STATE(2365),
    [sym_mul] = STATE(2365),
    [sym_div] = STATE(2365),
    [sym_sign] = STATE(2365),
    [sym_call] = STATE(2365),
    [sym_field] = STATE(2365),
    [sym_label] = STATE(2365),
    [sym_content] = STATE(2365),
    [sym_group] = STATE(2365),
    [sym_block] = STATE(2365),
    [sym_branch] = STATE(2365),
    [sym_let] = STATE(2365),
    [sym_set] = STATE(2365),
    [sym_import] = STATE(2365),
    [sym_include] = STATE(2365),
    [sym_for] = STATE(2365),
    [sym_while] = STATE(2365),
    [sym_show] = STATE(2365),
    [sym_return] = STATE(2365),
    [sym_flow] = STATE(2365),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2655),
    [sym_none] = ACTIONS(2655),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [629] = {
    [sym_raw_blck] = STATE(2367),
    [sym_raw_span] = STATE(2367),
    [sym_math] = STATE(2367),
    [sym__expr] = STATE(2367),
    [sym_ident] = STATE(2367),
    [sym_bool] = STATE(2367),
    [sym_number] = STATE(2367),
    [sym_string] = STATE(2367),
    [sym_tagged] = STATE(2367),
    [sym_context] = STATE(2367),
    [sym_elude] = STATE(2367),
    [sym_assign] = STATE(2367),
    [sym_lambda] = STATE(2367),
    [sym_or] = STATE(2367),
    [sym_not] = STATE(2367),
    [sym_and] = STATE(2367),
    [sym_cmp] = STATE(2367),
    [sym_in] = STATE(2367),
    [sym_add] = STATE(2367),
    [sym_sub] = STATE(2367),
    [sym_mul] = STATE(2367),
    [sym_div] = STATE(2367),
    [sym_sign] = STATE(2367),
    [sym_call] = STATE(2367),
    [sym_field] = STATE(2367),
    [sym_label] = STATE(2367),
    [sym_content] = STATE(2367),
    [sym_group] = STATE(2367),
    [sym_block] = STATE(2367),
    [sym_branch] = STATE(2367),
    [sym_let] = STATE(2367),
    [sym_set] = STATE(2367),
    [sym_import] = STATE(2367),
    [sym_include] = STATE(2367),
    [sym_for] = STATE(2367),
    [sym_while] = STATE(2367),
    [sym_show] = STATE(2367),
    [sym_return] = STATE(2367),
    [sym_flow] = STATE(2367),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2657),
    [sym_none] = ACTIONS(2657),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [630] = {
    [sym_raw_blck] = STATE(1830),
    [sym_raw_span] = STATE(1830),
    [sym_math] = STATE(1830),
    [sym__expr] = STATE(1830),
    [sym_ident] = STATE(1830),
    [sym_bool] = STATE(1830),
    [sym_number] = STATE(1830),
    [sym_string] = STATE(1830),
    [sym_tagged] = STATE(1830),
    [sym_context] = STATE(1830),
    [sym_elude] = STATE(1830),
    [sym_assign] = STATE(1830),
    [sym_lambda] = STATE(1830),
    [sym_or] = STATE(1830),
    [sym_not] = STATE(1830),
    [sym_and] = STATE(1830),
    [sym_cmp] = STATE(1830),
    [sym_in] = STATE(1830),
    [sym_add] = STATE(1830),
    [sym_sub] = STATE(1830),
    [sym_mul] = STATE(1830),
    [sym_div] = STATE(1830),
    [sym_sign] = STATE(1830),
    [sym_call] = STATE(1830),
    [sym_field] = STATE(1830),
    [sym_label] = STATE(1830),
    [sym_content] = STATE(1830),
    [sym_group] = STATE(1830),
    [sym_block] = STATE(1830),
    [sym_branch] = STATE(1830),
    [sym_let] = STATE(1830),
    [sym_set] = STATE(1830),
    [sym_import] = STATE(1830),
    [sym_include] = STATE(1830),
    [sym_for] = STATE(1830),
    [sym_while] = STATE(1830),
    [sym_show] = STATE(1830),
    [sym_return] = STATE(1830),
    [sym_flow] = STATE(1830),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2659),
    [sym_none] = ACTIONS(2659),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [631] = {
    [sym_raw_blck] = STATE(2375),
    [sym_raw_span] = STATE(2375),
    [sym_math] = STATE(2375),
    [sym__expr] = STATE(2375),
    [sym_ident] = STATE(2375),
    [sym_bool] = STATE(2375),
    [sym_number] = STATE(2375),
    [sym_string] = STATE(2375),
    [sym_tagged] = STATE(2375),
    [sym_context] = STATE(2375),
    [sym_elude] = STATE(2375),
    [sym_assign] = STATE(2375),
    [sym_lambda] = STATE(2375),
    [sym_or] = STATE(2375),
    [sym_not] = STATE(2375),
    [sym_and] = STATE(2375),
    [sym_cmp] = STATE(2375),
    [sym_in] = STATE(2375),
    [sym_add] = STATE(2375),
    [sym_sub] = STATE(2375),
    [sym_mul] = STATE(2375),
    [sym_div] = STATE(2375),
    [sym_sign] = STATE(2375),
    [sym_call] = STATE(2375),
    [sym_field] = STATE(2375),
    [sym_label] = STATE(2375),
    [sym_content] = STATE(2375),
    [sym_group] = STATE(2375),
    [sym_block] = STATE(2375),
    [sym_branch] = STATE(2375),
    [sym_let] = STATE(2375),
    [sym_set] = STATE(2375),
    [sym_import] = STATE(2375),
    [sym_include] = STATE(2375),
    [sym_for] = STATE(2375),
    [sym_while] = STATE(2375),
    [sym_show] = STATE(2375),
    [sym_return] = STATE(2375),
    [sym_flow] = STATE(2375),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2661),
    [sym_none] = ACTIONS(2661),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [632] = {
    [sym_raw_blck] = STATE(2376),
    [sym_raw_span] = STATE(2376),
    [sym_math] = STATE(2376),
    [sym__expr] = STATE(2376),
    [sym_ident] = STATE(2376),
    [sym_bool] = STATE(2376),
    [sym_number] = STATE(2376),
    [sym_string] = STATE(2376),
    [sym_tagged] = STATE(2376),
    [sym_context] = STATE(2376),
    [sym_elude] = STATE(2376),
    [sym_assign] = STATE(2376),
    [sym_lambda] = STATE(2376),
    [sym_or] = STATE(2376),
    [sym_not] = STATE(2376),
    [sym_and] = STATE(2376),
    [sym_cmp] = STATE(2376),
    [sym_in] = STATE(2376),
    [sym_add] = STATE(2376),
    [sym_sub] = STATE(2376),
    [sym_mul] = STATE(2376),
    [sym_div] = STATE(2376),
    [sym_sign] = STATE(2376),
    [sym_call] = STATE(2376),
    [sym_field] = STATE(2376),
    [sym_label] = STATE(2376),
    [sym_content] = STATE(2376),
    [sym_group] = STATE(2376),
    [sym_block] = STATE(2376),
    [sym_branch] = STATE(2376),
    [sym_let] = STATE(2376),
    [sym_set] = STATE(2376),
    [sym_import] = STATE(2376),
    [sym_include] = STATE(2376),
    [sym_for] = STATE(2376),
    [sym_while] = STATE(2376),
    [sym_show] = STATE(2376),
    [sym_return] = STATE(2376),
    [sym_flow] = STATE(2376),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2663),
    [sym_none] = ACTIONS(2663),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [633] = {
    [sym_raw_blck] = STATE(1831),
    [sym_raw_span] = STATE(1831),
    [sym_math] = STATE(1831),
    [sym__expr] = STATE(1831),
    [sym_ident] = STATE(1831),
    [sym_bool] = STATE(1831),
    [sym_number] = STATE(1831),
    [sym_string] = STATE(1831),
    [sym_tagged] = STATE(1831),
    [sym_context] = STATE(1831),
    [sym_elude] = STATE(1831),
    [sym_assign] = STATE(1831),
    [sym_lambda] = STATE(1831),
    [sym_or] = STATE(1831),
    [sym_not] = STATE(1831),
    [sym_and] = STATE(1831),
    [sym_cmp] = STATE(1831),
    [sym_in] = STATE(1831),
    [sym_add] = STATE(1831),
    [sym_sub] = STATE(1831),
    [sym_mul] = STATE(1831),
    [sym_div] = STATE(1831),
    [sym_sign] = STATE(1831),
    [sym_call] = STATE(1831),
    [sym_field] = STATE(1831),
    [sym_label] = STATE(1831),
    [sym_content] = STATE(1831),
    [sym_group] = STATE(1831),
    [sym_block] = STATE(1831),
    [sym_branch] = STATE(1831),
    [sym_let] = STATE(1831),
    [sym_set] = STATE(1831),
    [sym_import] = STATE(1831),
    [sym_include] = STATE(1831),
    [sym_for] = STATE(1831),
    [sym_while] = STATE(1831),
    [sym_show] = STATE(1831),
    [sym_return] = STATE(1831),
    [sym_flow] = STATE(1831),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2665),
    [sym_none] = ACTIONS(2665),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [634] = {
    [sym_raw_blck] = STATE(1832),
    [sym_raw_span] = STATE(1832),
    [sym_math] = STATE(1832),
    [sym__expr] = STATE(1832),
    [sym_ident] = STATE(1832),
    [sym_bool] = STATE(1832),
    [sym_number] = STATE(1832),
    [sym_string] = STATE(1832),
    [sym_tagged] = STATE(1832),
    [sym_context] = STATE(1832),
    [sym_elude] = STATE(1832),
    [sym_assign] = STATE(1832),
    [sym_lambda] = STATE(1832),
    [sym_or] = STATE(1832),
    [sym_not] = STATE(1832),
    [sym_and] = STATE(1832),
    [sym_cmp] = STATE(1832),
    [sym_in] = STATE(1832),
    [sym_add] = STATE(1832),
    [sym_sub] = STATE(1832),
    [sym_mul] = STATE(1832),
    [sym_div] = STATE(1832),
    [sym_sign] = STATE(1832),
    [sym_call] = STATE(1832),
    [sym_field] = STATE(1832),
    [sym_label] = STATE(1832),
    [sym_content] = STATE(1832),
    [sym_group] = STATE(1832),
    [sym_block] = STATE(1832),
    [sym_branch] = STATE(1832),
    [sym_let] = STATE(1832),
    [sym_set] = STATE(1832),
    [sym_import] = STATE(1832),
    [sym_include] = STATE(1832),
    [sym_for] = STATE(1832),
    [sym_while] = STATE(1832),
    [sym_show] = STATE(1832),
    [sym_return] = STATE(1832),
    [sym_flow] = STATE(1832),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2667),
    [sym_none] = ACTIONS(2667),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [635] = {
    [sym_raw_blck] = STATE(2788),
    [sym_raw_span] = STATE(2788),
    [sym_math] = STATE(2788),
    [sym__expr] = STATE(2788),
    [sym_ident] = STATE(2788),
    [sym_bool] = STATE(2788),
    [sym_number] = STATE(2788),
    [sym_string] = STATE(2788),
    [sym_tagged] = STATE(2788),
    [sym_context] = STATE(2788),
    [sym_elude] = STATE(2788),
    [sym_assign] = STATE(2788),
    [sym_lambda] = STATE(2788),
    [sym_or] = STATE(2788),
    [sym_not] = STATE(2788),
    [sym_and] = STATE(2788),
    [sym_cmp] = STATE(2788),
    [sym_in] = STATE(2788),
    [sym_add] = STATE(2788),
    [sym_sub] = STATE(2788),
    [sym_mul] = STATE(2788),
    [sym_div] = STATE(2788),
    [sym_sign] = STATE(2788),
    [sym_call] = STATE(2788),
    [sym_field] = STATE(2788),
    [sym_label] = STATE(2788),
    [sym_content] = STATE(2788),
    [sym_group] = STATE(2788),
    [sym_block] = STATE(2788),
    [sym_branch] = STATE(2788),
    [sym_let] = STATE(2788),
    [sym_set] = STATE(2788),
    [sym_import] = STATE(2788),
    [sym_include] = STATE(2788),
    [sym_for] = STATE(2788),
    [sym_while] = STATE(2788),
    [sym_show] = STATE(2788),
    [sym_return] = STATE(2788),
    [sym_flow] = STATE(2788),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2669),
    [sym_none] = ACTIONS(2669),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [636] = {
    [sym_raw_blck] = STATE(2789),
    [sym_raw_span] = STATE(2789),
    [sym_math] = STATE(2789),
    [sym__expr] = STATE(2789),
    [sym_ident] = STATE(2789),
    [sym_bool] = STATE(2789),
    [sym_number] = STATE(2789),
    [sym_string] = STATE(2789),
    [sym_tagged] = STATE(2789),
    [sym_context] = STATE(2789),
    [sym_elude] = STATE(2789),
    [sym_assign] = STATE(2789),
    [sym_lambda] = STATE(2789),
    [sym_or] = STATE(2789),
    [sym_not] = STATE(2789),
    [sym_and] = STATE(2789),
    [sym_cmp] = STATE(2789),
    [sym_in] = STATE(2789),
    [sym_add] = STATE(2789),
    [sym_sub] = STATE(2789),
    [sym_mul] = STATE(2789),
    [sym_div] = STATE(2789),
    [sym_sign] = STATE(2789),
    [sym_call] = STATE(2789),
    [sym_field] = STATE(2789),
    [sym_label] = STATE(2789),
    [sym_content] = STATE(2789),
    [sym_group] = STATE(2789),
    [sym_block] = STATE(2789),
    [sym_branch] = STATE(2789),
    [sym_let] = STATE(2789),
    [sym_set] = STATE(2789),
    [sym_import] = STATE(2789),
    [sym_include] = STATE(2789),
    [sym_for] = STATE(2789),
    [sym_while] = STATE(2789),
    [sym_show] = STATE(2789),
    [sym_return] = STATE(2789),
    [sym_flow] = STATE(2789),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2671),
    [sym_none] = ACTIONS(2671),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [637] = {
    [sym_raw_blck] = STATE(2796),
    [sym_raw_span] = STATE(2796),
    [sym_math] = STATE(2796),
    [sym__expr] = STATE(2796),
    [sym_ident] = STATE(2796),
    [sym_bool] = STATE(2796),
    [sym_number] = STATE(2796),
    [sym_string] = STATE(2796),
    [sym_tagged] = STATE(2796),
    [sym_context] = STATE(2796),
    [sym_elude] = STATE(2796),
    [sym_assign] = STATE(2796),
    [sym_lambda] = STATE(2796),
    [sym_or] = STATE(2796),
    [sym_not] = STATE(2796),
    [sym_and] = STATE(2796),
    [sym_cmp] = STATE(2796),
    [sym_in] = STATE(2796),
    [sym_add] = STATE(2796),
    [sym_sub] = STATE(2796),
    [sym_mul] = STATE(2796),
    [sym_div] = STATE(2796),
    [sym_sign] = STATE(2796),
    [sym_call] = STATE(2796),
    [sym_field] = STATE(2796),
    [sym_label] = STATE(2796),
    [sym_content] = STATE(2796),
    [sym_group] = STATE(2796),
    [sym_block] = STATE(2796),
    [sym_branch] = STATE(2796),
    [sym_let] = STATE(2796),
    [sym_set] = STATE(2796),
    [sym_import] = STATE(2796),
    [sym_include] = STATE(2796),
    [sym_for] = STATE(2796),
    [sym_while] = STATE(2796),
    [sym_show] = STATE(2796),
    [sym_return] = STATE(2796),
    [sym_flow] = STATE(2796),
    [sym__identifier] = ACTIONS(653),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(655),
    [anon_sym_DOLLAR] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [aux_sym_number_token1] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(663),
    [anon_sym_context] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(2295),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_LPAREN2] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_set] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_include] = ACTIONS(687),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(691),
    [anon_sym_show] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(695),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [sym_auto] = ACTIONS(2673),
    [sym_none] = ACTIONS(2673),
    [sym__token_content] = ACTIONS(701),
    [sym__token_raw_blck_ldlm] = ACTIONS(703),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [638] = {
    [sym_raw_blck] = STATE(2401),
    [sym_raw_span] = STATE(2401),
    [sym_math] = STATE(2401),
    [sym__expr] = STATE(2401),
    [sym_ident] = STATE(2401),
    [sym_bool] = STATE(2401),
    [sym_number] = STATE(2401),
    [sym_string] = STATE(2401),
    [sym_tagged] = STATE(2401),
    [sym_context] = STATE(2401),
    [sym_elude] = STATE(2401),
    [sym_assign] = STATE(2401),
    [sym_lambda] = STATE(2401),
    [sym_or] = STATE(2401),
    [sym_not] = STATE(2401),
    [sym_and] = STATE(2401),
    [sym_cmp] = STATE(2401),
    [sym_in] = STATE(2401),
    [sym_add] = STATE(2401),
    [sym_sub] = STATE(2401),
    [sym_mul] = STATE(2401),
    [sym_div] = STATE(2401),
    [sym_sign] = STATE(2401),
    [sym_call] = STATE(2401),
    [sym_field] = STATE(2401),
    [sym_label] = STATE(2401),
    [sym_content] = STATE(2401),
    [sym_group] = STATE(2401),
    [sym_block] = STATE(2401),
    [sym_branch] = STATE(2401),
    [sym_let] = STATE(2401),
    [sym_set] = STATE(2401),
    [sym_import] = STATE(2401),
    [sym_include] = STATE(2401),
    [sym_for] = STATE(2401),
    [sym_while] = STATE(2401),
    [sym_show] = STATE(2401),
    [sym_return] = STATE(2401),
    [sym_flow] = STATE(2401),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2675),
    [sym_none] = ACTIONS(2675),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [639] = {
    [sym_raw_blck] = STATE(1833),
    [sym_raw_span] = STATE(1833),
    [sym_math] = STATE(1833),
    [sym__expr] = STATE(1833),
    [sym_ident] = STATE(1833),
    [sym_bool] = STATE(1833),
    [sym_number] = STATE(1833),
    [sym_string] = STATE(1833),
    [sym_tagged] = STATE(1833),
    [sym_context] = STATE(1833),
    [sym_elude] = STATE(1833),
    [sym_assign] = STATE(1833),
    [sym_lambda] = STATE(1833),
    [sym_or] = STATE(1833),
    [sym_not] = STATE(1833),
    [sym_and] = STATE(1833),
    [sym_cmp] = STATE(1833),
    [sym_in] = STATE(1833),
    [sym_add] = STATE(1833),
    [sym_sub] = STATE(1833),
    [sym_mul] = STATE(1833),
    [sym_div] = STATE(1833),
    [sym_sign] = STATE(1833),
    [sym_call] = STATE(1833),
    [sym_field] = STATE(1833),
    [sym_label] = STATE(1833),
    [sym_content] = STATE(1833),
    [sym_group] = STATE(1833),
    [sym_block] = STATE(1833),
    [sym_branch] = STATE(1833),
    [sym_let] = STATE(1833),
    [sym_set] = STATE(1833),
    [sym_import] = STATE(1833),
    [sym_include] = STATE(1833),
    [sym_for] = STATE(1833),
    [sym_while] = STATE(1833),
    [sym_show] = STATE(1833),
    [sym_return] = STATE(1833),
    [sym_flow] = STATE(1833),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2677),
    [sym_none] = ACTIONS(2677),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [640] = {
    [sym_raw_blck] = STATE(2898),
    [sym_raw_span] = STATE(2898),
    [sym_math] = STATE(2898),
    [sym__expr] = STATE(2898),
    [sym_ident] = STATE(2898),
    [sym_bool] = STATE(2898),
    [sym_number] = STATE(2898),
    [sym_string] = STATE(2898),
    [sym_tagged] = STATE(2898),
    [sym_context] = STATE(2898),
    [sym_elude] = STATE(2898),
    [sym_assign] = STATE(2898),
    [sym_lambda] = STATE(2898),
    [sym_or] = STATE(2898),
    [sym_not] = STATE(2898),
    [sym_and] = STATE(2898),
    [sym_cmp] = STATE(2898),
    [sym_in] = STATE(2898),
    [sym_add] = STATE(2898),
    [sym_sub] = STATE(2898),
    [sym_mul] = STATE(2898),
    [sym_div] = STATE(2898),
    [sym_sign] = STATE(2898),
    [sym_call] = STATE(2898),
    [sym_field] = STATE(2898),
    [sym_label] = STATE(2898),
    [sym_content] = STATE(2898),
    [sym_group] = STATE(2898),
    [sym_block] = STATE(2898),
    [sym_branch] = STATE(2898),
    [sym_let] = STATE(2898),
    [sym_set] = STATE(2898),
    [sym_import] = STATE(2898),
    [sym_include] = STATE(2898),
    [sym_for] = STATE(2898),
    [sym_while] = STATE(2898),
    [sym_show] = STATE(2898),
    [sym_return] = STATE(2898),
    [sym_flow] = STATE(2898),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2679),
    [sym_none] = ACTIONS(2679),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [641] = {
    [sym_raw_blck] = STATE(2685),
    [sym_raw_span] = STATE(2685),
    [sym_math] = STATE(2685),
    [sym__expr] = STATE(2685),
    [sym_ident] = STATE(2685),
    [sym_bool] = STATE(2685),
    [sym_number] = STATE(2685),
    [sym_string] = STATE(2685),
    [sym_tagged] = STATE(2685),
    [sym_context] = STATE(2685),
    [sym_elude] = STATE(2685),
    [sym_assign] = STATE(2685),
    [sym_lambda] = STATE(2685),
    [sym_or] = STATE(2685),
    [sym_not] = STATE(2685),
    [sym_and] = STATE(2685),
    [sym_cmp] = STATE(2685),
    [sym_in] = STATE(2685),
    [sym_add] = STATE(2685),
    [sym_sub] = STATE(2685),
    [sym_mul] = STATE(2685),
    [sym_div] = STATE(2685),
    [sym_sign] = STATE(2685),
    [sym_call] = STATE(2685),
    [sym_field] = STATE(2685),
    [sym_label] = STATE(2685),
    [sym_content] = STATE(2685),
    [sym_group] = STATE(2685),
    [sym_block] = STATE(2685),
    [sym_branch] = STATE(2685),
    [sym_let] = STATE(2685),
    [sym_set] = STATE(2685),
    [sym_import] = STATE(2685),
    [sym_include] = STATE(2685),
    [sym_for] = STATE(2685),
    [sym_while] = STATE(2685),
    [sym_show] = STATE(2685),
    [sym_return] = STATE(2685),
    [sym_flow] = STATE(2685),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2681),
    [sym_none] = ACTIONS(2681),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [642] = {
    [sym_raw_blck] = STATE(1834),
    [sym_raw_span] = STATE(1834),
    [sym_math] = STATE(1834),
    [sym__expr] = STATE(1834),
    [sym_ident] = STATE(1834),
    [sym_bool] = STATE(1834),
    [sym_number] = STATE(1834),
    [sym_string] = STATE(1834),
    [sym_tagged] = STATE(1834),
    [sym_context] = STATE(1834),
    [sym_elude] = STATE(1834),
    [sym_assign] = STATE(1834),
    [sym_lambda] = STATE(1834),
    [sym_or] = STATE(1834),
    [sym_not] = STATE(1834),
    [sym_and] = STATE(1834),
    [sym_cmp] = STATE(1834),
    [sym_in] = STATE(1834),
    [sym_add] = STATE(1834),
    [sym_sub] = STATE(1834),
    [sym_mul] = STATE(1834),
    [sym_div] = STATE(1834),
    [sym_sign] = STATE(1834),
    [sym_call] = STATE(1834),
    [sym_field] = STATE(1834),
    [sym_label] = STATE(1834),
    [sym_content] = STATE(1834),
    [sym_group] = STATE(1834),
    [sym_block] = STATE(1834),
    [sym_branch] = STATE(1834),
    [sym_let] = STATE(1834),
    [sym_set] = STATE(1834),
    [sym_import] = STATE(1834),
    [sym_include] = STATE(1834),
    [sym_for] = STATE(1834),
    [sym_while] = STATE(1834),
    [sym_show] = STATE(1834),
    [sym_return] = STATE(1834),
    [sym_flow] = STATE(1834),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2683),
    [sym_none] = ACTIONS(2683),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [643] = {
    [sym_raw_blck] = STATE(1835),
    [sym_raw_span] = STATE(1835),
    [sym_math] = STATE(1835),
    [sym__expr] = STATE(1835),
    [sym_ident] = STATE(1835),
    [sym_bool] = STATE(1835),
    [sym_number] = STATE(1835),
    [sym_string] = STATE(1835),
    [sym_tagged] = STATE(1835),
    [sym_context] = STATE(1835),
    [sym_elude] = STATE(1835),
    [sym_assign] = STATE(1835),
    [sym_lambda] = STATE(1835),
    [sym_or] = STATE(1835),
    [sym_not] = STATE(1835),
    [sym_and] = STATE(1835),
    [sym_cmp] = STATE(1835),
    [sym_in] = STATE(1835),
    [sym_add] = STATE(1835),
    [sym_sub] = STATE(1835),
    [sym_mul] = STATE(1835),
    [sym_div] = STATE(1835),
    [sym_sign] = STATE(1835),
    [sym_call] = STATE(1835),
    [sym_field] = STATE(1835),
    [sym_label] = STATE(1835),
    [sym_content] = STATE(1835),
    [sym_group] = STATE(1835),
    [sym_block] = STATE(1835),
    [sym_branch] = STATE(1835),
    [sym_let] = STATE(1835),
    [sym_set] = STATE(1835),
    [sym_import] = STATE(1835),
    [sym_include] = STATE(1835),
    [sym_for] = STATE(1835),
    [sym_while] = STATE(1835),
    [sym_show] = STATE(1835),
    [sym_return] = STATE(1835),
    [sym_flow] = STATE(1835),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2685),
    [sym_none] = ACTIONS(2685),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [644] = {
    [sym_raw_blck] = STATE(2934),
    [sym_raw_span] = STATE(2934),
    [sym_math] = STATE(2934),
    [sym__expr] = STATE(2934),
    [sym_ident] = STATE(2934),
    [sym_bool] = STATE(2934),
    [sym_number] = STATE(2934),
    [sym_string] = STATE(2934),
    [sym_tagged] = STATE(2934),
    [sym_context] = STATE(2934),
    [sym_elude] = STATE(2934),
    [sym_assign] = STATE(2934),
    [sym_lambda] = STATE(2934),
    [sym_or] = STATE(2934),
    [sym_not] = STATE(2934),
    [sym_and] = STATE(2934),
    [sym_cmp] = STATE(2934),
    [sym_in] = STATE(2934),
    [sym_add] = STATE(2934),
    [sym_sub] = STATE(2934),
    [sym_mul] = STATE(2934),
    [sym_div] = STATE(2934),
    [sym_sign] = STATE(2934),
    [sym_call] = STATE(2934),
    [sym_field] = STATE(2934),
    [sym_label] = STATE(2934),
    [sym_content] = STATE(2934),
    [sym_group] = STATE(2934),
    [sym_block] = STATE(2934),
    [sym_branch] = STATE(2934),
    [sym_let] = STATE(2934),
    [sym_set] = STATE(2934),
    [sym_import] = STATE(2934),
    [sym_include] = STATE(2934),
    [sym_for] = STATE(2934),
    [sym_while] = STATE(2934),
    [sym_show] = STATE(2934),
    [sym_return] = STATE(2934),
    [sym_flow] = STATE(2934),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2687),
    [sym_none] = ACTIONS(2687),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [645] = {
    [sym_raw_blck] = STATE(2939),
    [sym_raw_span] = STATE(2939),
    [sym_math] = STATE(2939),
    [sym__expr] = STATE(2939),
    [sym_ident] = STATE(2939),
    [sym_bool] = STATE(2939),
    [sym_number] = STATE(2939),
    [sym_string] = STATE(2939),
    [sym_tagged] = STATE(2939),
    [sym_context] = STATE(2939),
    [sym_elude] = STATE(2939),
    [sym_assign] = STATE(2939),
    [sym_lambda] = STATE(2939),
    [sym_or] = STATE(2939),
    [sym_not] = STATE(2939),
    [sym_and] = STATE(2939),
    [sym_cmp] = STATE(2939),
    [sym_in] = STATE(2939),
    [sym_add] = STATE(2939),
    [sym_sub] = STATE(2939),
    [sym_mul] = STATE(2939),
    [sym_div] = STATE(2939),
    [sym_sign] = STATE(2939),
    [sym_call] = STATE(2939),
    [sym_field] = STATE(2939),
    [sym_label] = STATE(2939),
    [sym_content] = STATE(2939),
    [sym_group] = STATE(2939),
    [sym_block] = STATE(2939),
    [sym_branch] = STATE(2939),
    [sym_let] = STATE(2939),
    [sym_set] = STATE(2939),
    [sym_import] = STATE(2939),
    [sym_include] = STATE(2939),
    [sym_for] = STATE(2939),
    [sym_while] = STATE(2939),
    [sym_show] = STATE(2939),
    [sym_return] = STATE(2939),
    [sym_flow] = STATE(2939),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2689),
    [sym_none] = ACTIONS(2689),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [646] = {
    [sym_raw_blck] = STATE(2691),
    [sym_raw_span] = STATE(2691),
    [sym_math] = STATE(2691),
    [sym__expr] = STATE(2691),
    [sym_ident] = STATE(2691),
    [sym_bool] = STATE(2691),
    [sym_number] = STATE(2691),
    [sym_string] = STATE(2691),
    [sym_tagged] = STATE(2691),
    [sym_context] = STATE(2691),
    [sym_elude] = STATE(2691),
    [sym_assign] = STATE(2691),
    [sym_lambda] = STATE(2691),
    [sym_or] = STATE(2691),
    [sym_not] = STATE(2691),
    [sym_and] = STATE(2691),
    [sym_cmp] = STATE(2691),
    [sym_in] = STATE(2691),
    [sym_add] = STATE(2691),
    [sym_sub] = STATE(2691),
    [sym_mul] = STATE(2691),
    [sym_div] = STATE(2691),
    [sym_sign] = STATE(2691),
    [sym_call] = STATE(2691),
    [sym_field] = STATE(2691),
    [sym_label] = STATE(2691),
    [sym_content] = STATE(2691),
    [sym_group] = STATE(2691),
    [sym_block] = STATE(2691),
    [sym_branch] = STATE(2691),
    [sym_let] = STATE(2691),
    [sym_set] = STATE(2691),
    [sym_import] = STATE(2691),
    [sym_include] = STATE(2691),
    [sym_for] = STATE(2691),
    [sym_while] = STATE(2691),
    [sym_show] = STATE(2691),
    [sym_return] = STATE(2691),
    [sym_flow] = STATE(2691),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2691),
    [sym_none] = ACTIONS(2691),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [647] = {
    [sym_raw_blck] = STATE(2118),
    [sym_raw_span] = STATE(2118),
    [sym_math] = STATE(2118),
    [sym__expr] = STATE(2118),
    [sym_ident] = STATE(2118),
    [sym_bool] = STATE(2118),
    [sym_number] = STATE(2118),
    [sym_string] = STATE(2118),
    [sym_tagged] = STATE(2118),
    [sym_context] = STATE(2118),
    [sym_elude] = STATE(2118),
    [sym_assign] = STATE(2118),
    [sym_lambda] = STATE(2118),
    [sym_or] = STATE(2118),
    [sym_not] = STATE(2118),
    [sym_and] = STATE(2118),
    [sym_cmp] = STATE(2118),
    [sym_in] = STATE(2118),
    [sym_add] = STATE(2118),
    [sym_sub] = STATE(2118),
    [sym_mul] = STATE(2118),
    [sym_div] = STATE(2118),
    [sym_sign] = STATE(2118),
    [sym_call] = STATE(2118),
    [sym_field] = STATE(2118),
    [sym_label] = STATE(2118),
    [sym_content] = STATE(2118),
    [sym_group] = STATE(2118),
    [sym_block] = STATE(2118),
    [sym_branch] = STATE(2118),
    [sym_let] = STATE(2118),
    [sym_set] = STATE(2118),
    [sym_import] = STATE(2118),
    [sym_include] = STATE(2118),
    [sym_for] = STATE(2118),
    [sym_while] = STATE(2118),
    [sym_show] = STATE(2118),
    [sym_return] = STATE(2118),
    [sym_flow] = STATE(2118),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2693),
    [sym_none] = ACTIONS(2693),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [648] = {
    [sym_raw_blck] = STATE(1836),
    [sym_raw_span] = STATE(1836),
    [sym_math] = STATE(1836),
    [sym__expr] = STATE(1836),
    [sym_ident] = STATE(1836),
    [sym_bool] = STATE(1836),
    [sym_number] = STATE(1836),
    [sym_string] = STATE(1836),
    [sym_tagged] = STATE(1836),
    [sym_context] = STATE(1836),
    [sym_elude] = STATE(1836),
    [sym_assign] = STATE(1836),
    [sym_lambda] = STATE(1836),
    [sym_or] = STATE(1836),
    [sym_not] = STATE(1836),
    [sym_and] = STATE(1836),
    [sym_cmp] = STATE(1836),
    [sym_in] = STATE(1836),
    [sym_add] = STATE(1836),
    [sym_sub] = STATE(1836),
    [sym_mul] = STATE(1836),
    [sym_div] = STATE(1836),
    [sym_sign] = STATE(1836),
    [sym_call] = STATE(1836),
    [sym_field] = STATE(1836),
    [sym_label] = STATE(1836),
    [sym_content] = STATE(1836),
    [sym_group] = STATE(1836),
    [sym_block] = STATE(1836),
    [sym_branch] = STATE(1836),
    [sym_let] = STATE(1836),
    [sym_set] = STATE(1836),
    [sym_import] = STATE(1836),
    [sym_include] = STATE(1836),
    [sym_for] = STATE(1836),
    [sym_while] = STATE(1836),
    [sym_show] = STATE(1836),
    [sym_return] = STATE(1836),
    [sym_flow] = STATE(1836),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2695),
    [sym_none] = ACTIONS(2695),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [649] = {
    [sym_raw_blck] = STATE(2824),
    [sym_raw_span] = STATE(2824),
    [sym_math] = STATE(2824),
    [sym__expr] = STATE(2824),
    [sym_ident] = STATE(2824),
    [sym_bool] = STATE(2824),
    [sym_number] = STATE(2824),
    [sym_string] = STATE(2824),
    [sym_tagged] = STATE(2824),
    [sym_context] = STATE(2824),
    [sym_elude] = STATE(2824),
    [sym_assign] = STATE(2824),
    [sym_lambda] = STATE(2824),
    [sym_or] = STATE(2824),
    [sym_not] = STATE(2824),
    [sym_and] = STATE(2824),
    [sym_cmp] = STATE(2824),
    [sym_in] = STATE(2824),
    [sym_add] = STATE(2824),
    [sym_sub] = STATE(2824),
    [sym_mul] = STATE(2824),
    [sym_div] = STATE(2824),
    [sym_sign] = STATE(2824),
    [sym_call] = STATE(2824),
    [sym_field] = STATE(2824),
    [sym_label] = STATE(2824),
    [sym_content] = STATE(2824),
    [sym_group] = STATE(2824),
    [sym_block] = STATE(2824),
    [sym_branch] = STATE(2824),
    [sym_let] = STATE(2824),
    [sym_set] = STATE(2824),
    [sym_import] = STATE(2824),
    [sym_include] = STATE(2824),
    [sym_for] = STATE(2824),
    [sym_while] = STATE(2824),
    [sym_show] = STATE(2824),
    [sym_return] = STATE(2824),
    [sym_flow] = STATE(2824),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2697),
    [sym_none] = ACTIONS(2697),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [650] = {
    [sym_raw_blck] = STATE(2826),
    [sym_raw_span] = STATE(2826),
    [sym_math] = STATE(2826),
    [sym__expr] = STATE(2826),
    [sym_ident] = STATE(2826),
    [sym_bool] = STATE(2826),
    [sym_number] = STATE(2826),
    [sym_string] = STATE(2826),
    [sym_tagged] = STATE(2826),
    [sym_context] = STATE(2826),
    [sym_elude] = STATE(2826),
    [sym_assign] = STATE(2826),
    [sym_lambda] = STATE(2826),
    [sym_or] = STATE(2826),
    [sym_not] = STATE(2826),
    [sym_and] = STATE(2826),
    [sym_cmp] = STATE(2826),
    [sym_in] = STATE(2826),
    [sym_add] = STATE(2826),
    [sym_sub] = STATE(2826),
    [sym_mul] = STATE(2826),
    [sym_div] = STATE(2826),
    [sym_sign] = STATE(2826),
    [sym_call] = STATE(2826),
    [sym_field] = STATE(2826),
    [sym_label] = STATE(2826),
    [sym_content] = STATE(2826),
    [sym_group] = STATE(2826),
    [sym_block] = STATE(2826),
    [sym_branch] = STATE(2826),
    [sym_let] = STATE(2826),
    [sym_set] = STATE(2826),
    [sym_import] = STATE(2826),
    [sym_include] = STATE(2826),
    [sym_for] = STATE(2826),
    [sym_while] = STATE(2826),
    [sym_show] = STATE(2826),
    [sym_return] = STATE(2826),
    [sym_flow] = STATE(2826),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2699),
    [sym_none] = ACTIONS(2699),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [651] = {
    [sym_raw_blck] = STATE(1838),
    [sym_raw_span] = STATE(1838),
    [sym_math] = STATE(1838),
    [sym__expr] = STATE(1838),
    [sym_ident] = STATE(1838),
    [sym_bool] = STATE(1838),
    [sym_number] = STATE(1838),
    [sym_string] = STATE(1838),
    [sym_tagged] = STATE(1838),
    [sym_context] = STATE(1838),
    [sym_elude] = STATE(1838),
    [sym_assign] = STATE(1838),
    [sym_lambda] = STATE(1838),
    [sym_or] = STATE(1838),
    [sym_not] = STATE(1838),
    [sym_and] = STATE(1838),
    [sym_cmp] = STATE(1838),
    [sym_in] = STATE(1838),
    [sym_add] = STATE(1838),
    [sym_sub] = STATE(1838),
    [sym_mul] = STATE(1838),
    [sym_div] = STATE(1838),
    [sym_sign] = STATE(1838),
    [sym_call] = STATE(1838),
    [sym_field] = STATE(1838),
    [sym_label] = STATE(1838),
    [sym_content] = STATE(1838),
    [sym_group] = STATE(1838),
    [sym_block] = STATE(1838),
    [sym_branch] = STATE(1838),
    [sym_let] = STATE(1838),
    [sym_set] = STATE(1838),
    [sym_import] = STATE(1838),
    [sym_include] = STATE(1838),
    [sym_for] = STATE(1838),
    [sym_while] = STATE(1838),
    [sym_show] = STATE(1838),
    [sym_return] = STATE(1838),
    [sym_flow] = STATE(1838),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2701),
    [sym_none] = ACTIONS(2701),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [652] = {
    [sym_raw_blck] = STATE(1839),
    [sym_raw_span] = STATE(1839),
    [sym_math] = STATE(1839),
    [sym__expr] = STATE(1839),
    [sym_ident] = STATE(1839),
    [sym_bool] = STATE(1839),
    [sym_number] = STATE(1839),
    [sym_string] = STATE(1839),
    [sym_tagged] = STATE(1839),
    [sym_context] = STATE(1839),
    [sym_elude] = STATE(1839),
    [sym_assign] = STATE(1839),
    [sym_lambda] = STATE(1839),
    [sym_or] = STATE(1839),
    [sym_not] = STATE(1839),
    [sym_and] = STATE(1839),
    [sym_cmp] = STATE(1839),
    [sym_in] = STATE(1839),
    [sym_add] = STATE(1839),
    [sym_sub] = STATE(1839),
    [sym_mul] = STATE(1839),
    [sym_div] = STATE(1839),
    [sym_sign] = STATE(1839),
    [sym_call] = STATE(1839),
    [sym_field] = STATE(1839),
    [sym_label] = STATE(1839),
    [sym_content] = STATE(1839),
    [sym_group] = STATE(1839),
    [sym_block] = STATE(1839),
    [sym_branch] = STATE(1839),
    [sym_let] = STATE(1839),
    [sym_set] = STATE(1839),
    [sym_import] = STATE(1839),
    [sym_include] = STATE(1839),
    [sym_for] = STATE(1839),
    [sym_while] = STATE(1839),
    [sym_show] = STATE(1839),
    [sym_return] = STATE(1839),
    [sym_flow] = STATE(1839),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2703),
    [sym_none] = ACTIONS(2703),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [653] = {
    [sym_raw_blck] = STATE(2841),
    [sym_raw_span] = STATE(2841),
    [sym_math] = STATE(2841),
    [sym__expr] = STATE(2841),
    [sym_ident] = STATE(2841),
    [sym_bool] = STATE(2841),
    [sym_number] = STATE(2841),
    [sym_string] = STATE(2841),
    [sym_tagged] = STATE(2841),
    [sym_context] = STATE(2841),
    [sym_elude] = STATE(2841),
    [sym_assign] = STATE(2841),
    [sym_lambda] = STATE(2841),
    [sym_or] = STATE(2841),
    [sym_not] = STATE(2841),
    [sym_and] = STATE(2841),
    [sym_cmp] = STATE(2841),
    [sym_in] = STATE(2841),
    [sym_add] = STATE(2841),
    [sym_sub] = STATE(2841),
    [sym_mul] = STATE(2841),
    [sym_div] = STATE(2841),
    [sym_sign] = STATE(2841),
    [sym_call] = STATE(2841),
    [sym_field] = STATE(2841),
    [sym_label] = STATE(2841),
    [sym_content] = STATE(2841),
    [sym_group] = STATE(2841),
    [sym_block] = STATE(2841),
    [sym_branch] = STATE(2841),
    [sym_let] = STATE(2841),
    [sym_set] = STATE(2841),
    [sym_import] = STATE(2841),
    [sym_include] = STATE(2841),
    [sym_for] = STATE(2841),
    [sym_while] = STATE(2841),
    [sym_show] = STATE(2841),
    [sym_return] = STATE(2841),
    [sym_flow] = STATE(2841),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2705),
    [sym_none] = ACTIONS(2705),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [654] = {
    [sym_raw_blck] = STATE(2853),
    [sym_raw_span] = STATE(2853),
    [sym_math] = STATE(2853),
    [sym__expr] = STATE(2853),
    [sym_ident] = STATE(2853),
    [sym_bool] = STATE(2853),
    [sym_number] = STATE(2853),
    [sym_string] = STATE(2853),
    [sym_tagged] = STATE(2853),
    [sym_context] = STATE(2853),
    [sym_elude] = STATE(2853),
    [sym_assign] = STATE(2853),
    [sym_lambda] = STATE(2853),
    [sym_or] = STATE(2853),
    [sym_not] = STATE(2853),
    [sym_and] = STATE(2853),
    [sym_cmp] = STATE(2853),
    [sym_in] = STATE(2853),
    [sym_add] = STATE(2853),
    [sym_sub] = STATE(2853),
    [sym_mul] = STATE(2853),
    [sym_div] = STATE(2853),
    [sym_sign] = STATE(2853),
    [sym_call] = STATE(2853),
    [sym_field] = STATE(2853),
    [sym_label] = STATE(2853),
    [sym_content] = STATE(2853),
    [sym_group] = STATE(2853),
    [sym_block] = STATE(2853),
    [sym_branch] = STATE(2853),
    [sym_let] = STATE(2853),
    [sym_set] = STATE(2853),
    [sym_import] = STATE(2853),
    [sym_include] = STATE(2853),
    [sym_for] = STATE(2853),
    [sym_while] = STATE(2853),
    [sym_show] = STATE(2853),
    [sym_return] = STATE(2853),
    [sym_flow] = STATE(2853),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2707),
    [sym_none] = ACTIONS(2707),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [655] = {
    [sym_raw_blck] = STATE(2855),
    [sym_raw_span] = STATE(2855),
    [sym_math] = STATE(2855),
    [sym__expr] = STATE(2855),
    [sym_ident] = STATE(2855),
    [sym_bool] = STATE(2855),
    [sym_number] = STATE(2855),
    [sym_string] = STATE(2855),
    [sym_tagged] = STATE(2855),
    [sym_context] = STATE(2855),
    [sym_elude] = STATE(2855),
    [sym_assign] = STATE(2855),
    [sym_lambda] = STATE(2855),
    [sym_or] = STATE(2855),
    [sym_not] = STATE(2855),
    [sym_and] = STATE(2855),
    [sym_cmp] = STATE(2855),
    [sym_in] = STATE(2855),
    [sym_add] = STATE(2855),
    [sym_sub] = STATE(2855),
    [sym_mul] = STATE(2855),
    [sym_div] = STATE(2855),
    [sym_sign] = STATE(2855),
    [sym_call] = STATE(2855),
    [sym_field] = STATE(2855),
    [sym_label] = STATE(2855),
    [sym_content] = STATE(2855),
    [sym_group] = STATE(2855),
    [sym_block] = STATE(2855),
    [sym_branch] = STATE(2855),
    [sym_let] = STATE(2855),
    [sym_set] = STATE(2855),
    [sym_import] = STATE(2855),
    [sym_include] = STATE(2855),
    [sym_for] = STATE(2855),
    [sym_while] = STATE(2855),
    [sym_show] = STATE(2855),
    [sym_return] = STATE(2855),
    [sym_flow] = STATE(2855),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [656] = {
    [sym_raw_blck] = STATE(2857),
    [sym_raw_span] = STATE(2857),
    [sym_math] = STATE(2857),
    [sym__expr] = STATE(2857),
    [sym_ident] = STATE(2857),
    [sym_bool] = STATE(2857),
    [sym_number] = STATE(2857),
    [sym_string] = STATE(2857),
    [sym_tagged] = STATE(2857),
    [sym_context] = STATE(2857),
    [sym_elude] = STATE(2857),
    [sym_assign] = STATE(2857),
    [sym_lambda] = STATE(2857),
    [sym_or] = STATE(2857),
    [sym_not] = STATE(2857),
    [sym_and] = STATE(2857),
    [sym_cmp] = STATE(2857),
    [sym_in] = STATE(2857),
    [sym_add] = STATE(2857),
    [sym_sub] = STATE(2857),
    [sym_mul] = STATE(2857),
    [sym_div] = STATE(2857),
    [sym_sign] = STATE(2857),
    [sym_call] = STATE(2857),
    [sym_field] = STATE(2857),
    [sym_label] = STATE(2857),
    [sym_content] = STATE(2857),
    [sym_group] = STATE(2857),
    [sym_block] = STATE(2857),
    [sym_branch] = STATE(2857),
    [sym_let] = STATE(2857),
    [sym_set] = STATE(2857),
    [sym_import] = STATE(2857),
    [sym_include] = STATE(2857),
    [sym_for] = STATE(2857),
    [sym_while] = STATE(2857),
    [sym_show] = STATE(2857),
    [sym_return] = STATE(2857),
    [sym_flow] = STATE(2857),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2711),
    [sym_none] = ACTIONS(2711),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [657] = {
    [sym_raw_blck] = STATE(1840),
    [sym_raw_span] = STATE(1840),
    [sym_math] = STATE(1840),
    [sym__expr] = STATE(1840),
    [sym_ident] = STATE(1840),
    [sym_bool] = STATE(1840),
    [sym_number] = STATE(1840),
    [sym_string] = STATE(1840),
    [sym_tagged] = STATE(1840),
    [sym_context] = STATE(1840),
    [sym_elude] = STATE(1840),
    [sym_assign] = STATE(1840),
    [sym_lambda] = STATE(1840),
    [sym_or] = STATE(1840),
    [sym_not] = STATE(1840),
    [sym_and] = STATE(1840),
    [sym_cmp] = STATE(1840),
    [sym_in] = STATE(1840),
    [sym_add] = STATE(1840),
    [sym_sub] = STATE(1840),
    [sym_mul] = STATE(1840),
    [sym_div] = STATE(1840),
    [sym_sign] = STATE(1840),
    [sym_call] = STATE(1840),
    [sym_field] = STATE(1840),
    [sym_label] = STATE(1840),
    [sym_content] = STATE(1840),
    [sym_group] = STATE(1840),
    [sym_block] = STATE(1840),
    [sym_branch] = STATE(1840),
    [sym_let] = STATE(1840),
    [sym_set] = STATE(1840),
    [sym_import] = STATE(1840),
    [sym_include] = STATE(1840),
    [sym_for] = STATE(1840),
    [sym_while] = STATE(1840),
    [sym_show] = STATE(1840),
    [sym_return] = STATE(1840),
    [sym_flow] = STATE(1840),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2713),
    [sym_none] = ACTIONS(2713),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [658] = {
    [sym_raw_blck] = STATE(2858),
    [sym_raw_span] = STATE(2858),
    [sym_math] = STATE(2858),
    [sym__expr] = STATE(2858),
    [sym_ident] = STATE(2858),
    [sym_bool] = STATE(2858),
    [sym_number] = STATE(2858),
    [sym_string] = STATE(2858),
    [sym_tagged] = STATE(2858),
    [sym_context] = STATE(2858),
    [sym_elude] = STATE(2858),
    [sym_assign] = STATE(2858),
    [sym_lambda] = STATE(2858),
    [sym_or] = STATE(2858),
    [sym_not] = STATE(2858),
    [sym_and] = STATE(2858),
    [sym_cmp] = STATE(2858),
    [sym_in] = STATE(2858),
    [sym_add] = STATE(2858),
    [sym_sub] = STATE(2858),
    [sym_mul] = STATE(2858),
    [sym_div] = STATE(2858),
    [sym_sign] = STATE(2858),
    [sym_call] = STATE(2858),
    [sym_field] = STATE(2858),
    [sym_label] = STATE(2858),
    [sym_content] = STATE(2858),
    [sym_group] = STATE(2858),
    [sym_block] = STATE(2858),
    [sym_branch] = STATE(2858),
    [sym_let] = STATE(2858),
    [sym_set] = STATE(2858),
    [sym_import] = STATE(2858),
    [sym_include] = STATE(2858),
    [sym_for] = STATE(2858),
    [sym_while] = STATE(2858),
    [sym_show] = STATE(2858),
    [sym_return] = STATE(2858),
    [sym_flow] = STATE(2858),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2715),
    [sym_none] = ACTIONS(2715),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [659] = {
    [sym_raw_blck] = STATE(2859),
    [sym_raw_span] = STATE(2859),
    [sym_math] = STATE(2859),
    [sym__expr] = STATE(2859),
    [sym_ident] = STATE(2859),
    [sym_bool] = STATE(2859),
    [sym_number] = STATE(2859),
    [sym_string] = STATE(2859),
    [sym_tagged] = STATE(2859),
    [sym_context] = STATE(2859),
    [sym_elude] = STATE(2859),
    [sym_assign] = STATE(2859),
    [sym_lambda] = STATE(2859),
    [sym_or] = STATE(2859),
    [sym_not] = STATE(2859),
    [sym_and] = STATE(2859),
    [sym_cmp] = STATE(2859),
    [sym_in] = STATE(2859),
    [sym_add] = STATE(2859),
    [sym_sub] = STATE(2859),
    [sym_mul] = STATE(2859),
    [sym_div] = STATE(2859),
    [sym_sign] = STATE(2859),
    [sym_call] = STATE(2859),
    [sym_field] = STATE(2859),
    [sym_label] = STATE(2859),
    [sym_content] = STATE(2859),
    [sym_group] = STATE(2859),
    [sym_block] = STATE(2859),
    [sym_branch] = STATE(2859),
    [sym_let] = STATE(2859),
    [sym_set] = STATE(2859),
    [sym_import] = STATE(2859),
    [sym_include] = STATE(2859),
    [sym_for] = STATE(2859),
    [sym_while] = STATE(2859),
    [sym_show] = STATE(2859),
    [sym_return] = STATE(2859),
    [sym_flow] = STATE(2859),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2717),
    [sym_none] = ACTIONS(2717),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [660] = {
    [sym_raw_blck] = STATE(1842),
    [sym_raw_span] = STATE(1842),
    [sym_math] = STATE(1842),
    [sym__expr] = STATE(1842),
    [sym_ident] = STATE(1842),
    [sym_bool] = STATE(1842),
    [sym_number] = STATE(1842),
    [sym_string] = STATE(1842),
    [sym_tagged] = STATE(1842),
    [sym_context] = STATE(1842),
    [sym_elude] = STATE(1842),
    [sym_assign] = STATE(1842),
    [sym_lambda] = STATE(1842),
    [sym_or] = STATE(1842),
    [sym_not] = STATE(1842),
    [sym_and] = STATE(1842),
    [sym_cmp] = STATE(1842),
    [sym_in] = STATE(1842),
    [sym_add] = STATE(1842),
    [sym_sub] = STATE(1842),
    [sym_mul] = STATE(1842),
    [sym_div] = STATE(1842),
    [sym_sign] = STATE(1842),
    [sym_call] = STATE(1842),
    [sym_field] = STATE(1842),
    [sym_label] = STATE(1842),
    [sym_content] = STATE(1842),
    [sym_group] = STATE(1842),
    [sym_block] = STATE(1842),
    [sym_branch] = STATE(1842),
    [sym_let] = STATE(1842),
    [sym_set] = STATE(1842),
    [sym_import] = STATE(1842),
    [sym_include] = STATE(1842),
    [sym_for] = STATE(1842),
    [sym_while] = STATE(1842),
    [sym_show] = STATE(1842),
    [sym_return] = STATE(1842),
    [sym_flow] = STATE(1842),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2719),
    [sym_none] = ACTIONS(2719),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [661] = {
    [sym_raw_blck] = STATE(1843),
    [sym_raw_span] = STATE(1843),
    [sym_math] = STATE(1843),
    [sym__expr] = STATE(1843),
    [sym_ident] = STATE(1843),
    [sym_bool] = STATE(1843),
    [sym_number] = STATE(1843),
    [sym_string] = STATE(1843),
    [sym_tagged] = STATE(1843),
    [sym_context] = STATE(1843),
    [sym_elude] = STATE(1843),
    [sym_assign] = STATE(1843),
    [sym_lambda] = STATE(1843),
    [sym_or] = STATE(1843),
    [sym_not] = STATE(1843),
    [sym_and] = STATE(1843),
    [sym_cmp] = STATE(1843),
    [sym_in] = STATE(1843),
    [sym_add] = STATE(1843),
    [sym_sub] = STATE(1843),
    [sym_mul] = STATE(1843),
    [sym_div] = STATE(1843),
    [sym_sign] = STATE(1843),
    [sym_call] = STATE(1843),
    [sym_field] = STATE(1843),
    [sym_label] = STATE(1843),
    [sym_content] = STATE(1843),
    [sym_group] = STATE(1843),
    [sym_block] = STATE(1843),
    [sym_branch] = STATE(1843),
    [sym_let] = STATE(1843),
    [sym_set] = STATE(1843),
    [sym_import] = STATE(1843),
    [sym_include] = STATE(1843),
    [sym_for] = STATE(1843),
    [sym_while] = STATE(1843),
    [sym_show] = STATE(1843),
    [sym_return] = STATE(1843),
    [sym_flow] = STATE(1843),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2721),
    [sym_none] = ACTIONS(2721),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [662] = {
    [sym_raw_blck] = STATE(2862),
    [sym_raw_span] = STATE(2862),
    [sym_math] = STATE(2862),
    [sym__expr] = STATE(2862),
    [sym_ident] = STATE(2862),
    [sym_bool] = STATE(2862),
    [sym_number] = STATE(2862),
    [sym_string] = STATE(2862),
    [sym_tagged] = STATE(2862),
    [sym_context] = STATE(2862),
    [sym_elude] = STATE(2862),
    [sym_assign] = STATE(2862),
    [sym_lambda] = STATE(2862),
    [sym_or] = STATE(2862),
    [sym_not] = STATE(2862),
    [sym_and] = STATE(2862),
    [sym_cmp] = STATE(2862),
    [sym_in] = STATE(2862),
    [sym_add] = STATE(2862),
    [sym_sub] = STATE(2862),
    [sym_mul] = STATE(2862),
    [sym_div] = STATE(2862),
    [sym_sign] = STATE(2862),
    [sym_call] = STATE(2862),
    [sym_field] = STATE(2862),
    [sym_label] = STATE(2862),
    [sym_content] = STATE(2862),
    [sym_group] = STATE(2862),
    [sym_block] = STATE(2862),
    [sym_branch] = STATE(2862),
    [sym_let] = STATE(2862),
    [sym_set] = STATE(2862),
    [sym_import] = STATE(2862),
    [sym_include] = STATE(2862),
    [sym_for] = STATE(2862),
    [sym_while] = STATE(2862),
    [sym_show] = STATE(2862),
    [sym_return] = STATE(2862),
    [sym_flow] = STATE(2862),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2723),
    [sym_none] = ACTIONS(2723),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [663] = {
    [sym_raw_blck] = STATE(2869),
    [sym_raw_span] = STATE(2869),
    [sym_math] = STATE(2869),
    [sym__expr] = STATE(2869),
    [sym_ident] = STATE(2869),
    [sym_bool] = STATE(2869),
    [sym_number] = STATE(2869),
    [sym_string] = STATE(2869),
    [sym_tagged] = STATE(2869),
    [sym_context] = STATE(2869),
    [sym_elude] = STATE(2869),
    [sym_assign] = STATE(2869),
    [sym_lambda] = STATE(2869),
    [sym_or] = STATE(2869),
    [sym_not] = STATE(2869),
    [sym_and] = STATE(2869),
    [sym_cmp] = STATE(2869),
    [sym_in] = STATE(2869),
    [sym_add] = STATE(2869),
    [sym_sub] = STATE(2869),
    [sym_mul] = STATE(2869),
    [sym_div] = STATE(2869),
    [sym_sign] = STATE(2869),
    [sym_call] = STATE(2869),
    [sym_field] = STATE(2869),
    [sym_label] = STATE(2869),
    [sym_content] = STATE(2869),
    [sym_group] = STATE(2869),
    [sym_block] = STATE(2869),
    [sym_branch] = STATE(2869),
    [sym_let] = STATE(2869),
    [sym_set] = STATE(2869),
    [sym_import] = STATE(2869),
    [sym_include] = STATE(2869),
    [sym_for] = STATE(2869),
    [sym_while] = STATE(2869),
    [sym_show] = STATE(2869),
    [sym_return] = STATE(2869),
    [sym_flow] = STATE(2869),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2725),
    [sym_none] = ACTIONS(2725),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [664] = {
    [sym_raw_blck] = STATE(2811),
    [sym_raw_span] = STATE(2811),
    [sym_math] = STATE(2811),
    [sym__expr] = STATE(2811),
    [sym_ident] = STATE(2811),
    [sym_bool] = STATE(2811),
    [sym_number] = STATE(2811),
    [sym_string] = STATE(2811),
    [sym_tagged] = STATE(2811),
    [sym_context] = STATE(2811),
    [sym_elude] = STATE(2811),
    [sym_assign] = STATE(2811),
    [sym_lambda] = STATE(2811),
    [sym_or] = STATE(2811),
    [sym_not] = STATE(2811),
    [sym_and] = STATE(2811),
    [sym_cmp] = STATE(2811),
    [sym_in] = STATE(2811),
    [sym_add] = STATE(2811),
    [sym_sub] = STATE(2811),
    [sym_mul] = STATE(2811),
    [sym_div] = STATE(2811),
    [sym_sign] = STATE(2811),
    [sym_call] = STATE(2811),
    [sym_field] = STATE(2811),
    [sym_label] = STATE(2811),
    [sym_content] = STATE(2811),
    [sym_group] = STATE(2811),
    [sym_block] = STATE(2811),
    [sym_branch] = STATE(2811),
    [sym_let] = STATE(2811),
    [sym_set] = STATE(2811),
    [sym_import] = STATE(2811),
    [sym_include] = STATE(2811),
    [sym_for] = STATE(2811),
    [sym_while] = STATE(2811),
    [sym_show] = STATE(2811),
    [sym_return] = STATE(2811),
    [sym_flow] = STATE(2811),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2727),
    [sym_none] = ACTIONS(2727),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [665] = {
    [sym_raw_blck] = STATE(2125),
    [sym_raw_span] = STATE(2125),
    [sym_math] = STATE(2125),
    [sym__expr] = STATE(2125),
    [sym_ident] = STATE(2125),
    [sym_bool] = STATE(2125),
    [sym_number] = STATE(2125),
    [sym_string] = STATE(2125),
    [sym_tagged] = STATE(2125),
    [sym_context] = STATE(2125),
    [sym_elude] = STATE(2125),
    [sym_assign] = STATE(2125),
    [sym_lambda] = STATE(2125),
    [sym_or] = STATE(2125),
    [sym_not] = STATE(2125),
    [sym_and] = STATE(2125),
    [sym_cmp] = STATE(2125),
    [sym_in] = STATE(2125),
    [sym_add] = STATE(2125),
    [sym_sub] = STATE(2125),
    [sym_mul] = STATE(2125),
    [sym_div] = STATE(2125),
    [sym_sign] = STATE(2125),
    [sym_call] = STATE(2125),
    [sym_field] = STATE(2125),
    [sym_label] = STATE(2125),
    [sym_content] = STATE(2125),
    [sym_group] = STATE(2125),
    [sym_block] = STATE(2125),
    [sym_branch] = STATE(2125),
    [sym_let] = STATE(2125),
    [sym_set] = STATE(2125),
    [sym_import] = STATE(2125),
    [sym_include] = STATE(2125),
    [sym_for] = STATE(2125),
    [sym_while] = STATE(2125),
    [sym_show] = STATE(2125),
    [sym_return] = STATE(2125),
    [sym_flow] = STATE(2125),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2729),
    [sym_none] = ACTIONS(2729),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [666] = {
    [sym_raw_blck] = STATE(1844),
    [sym_raw_span] = STATE(1844),
    [sym_math] = STATE(1844),
    [sym__expr] = STATE(1844),
    [sym_ident] = STATE(1844),
    [sym_bool] = STATE(1844),
    [sym_number] = STATE(1844),
    [sym_string] = STATE(1844),
    [sym_tagged] = STATE(1844),
    [sym_context] = STATE(1844),
    [sym_elude] = STATE(1844),
    [sym_assign] = STATE(1844),
    [sym_lambda] = STATE(1844),
    [sym_or] = STATE(1844),
    [sym_not] = STATE(1844),
    [sym_and] = STATE(1844),
    [sym_cmp] = STATE(1844),
    [sym_in] = STATE(1844),
    [sym_add] = STATE(1844),
    [sym_sub] = STATE(1844),
    [sym_mul] = STATE(1844),
    [sym_div] = STATE(1844),
    [sym_sign] = STATE(1844),
    [sym_call] = STATE(1844),
    [sym_field] = STATE(1844),
    [sym_label] = STATE(1844),
    [sym_content] = STATE(1844),
    [sym_group] = STATE(1844),
    [sym_block] = STATE(1844),
    [sym_branch] = STATE(1844),
    [sym_let] = STATE(1844),
    [sym_set] = STATE(1844),
    [sym_import] = STATE(1844),
    [sym_include] = STATE(1844),
    [sym_for] = STATE(1844),
    [sym_while] = STATE(1844),
    [sym_show] = STATE(1844),
    [sym_return] = STATE(1844),
    [sym_flow] = STATE(1844),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2731),
    [sym_none] = ACTIONS(2731),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [667] = {
    [sym_raw_blck] = STATE(2126),
    [sym_raw_span] = STATE(2126),
    [sym_math] = STATE(2126),
    [sym__expr] = STATE(2126),
    [sym_ident] = STATE(2126),
    [sym_bool] = STATE(2126),
    [sym_number] = STATE(2126),
    [sym_string] = STATE(2126),
    [sym_tagged] = STATE(2126),
    [sym_context] = STATE(2126),
    [sym_elude] = STATE(2126),
    [sym_assign] = STATE(2126),
    [sym_lambda] = STATE(2126),
    [sym_or] = STATE(2126),
    [sym_not] = STATE(2126),
    [sym_and] = STATE(2126),
    [sym_cmp] = STATE(2126),
    [sym_in] = STATE(2126),
    [sym_add] = STATE(2126),
    [sym_sub] = STATE(2126),
    [sym_mul] = STATE(2126),
    [sym_div] = STATE(2126),
    [sym_sign] = STATE(2126),
    [sym_call] = STATE(2126),
    [sym_field] = STATE(2126),
    [sym_label] = STATE(2126),
    [sym_content] = STATE(2126),
    [sym_group] = STATE(2126),
    [sym_block] = STATE(2126),
    [sym_branch] = STATE(2126),
    [sym_let] = STATE(2126),
    [sym_set] = STATE(2126),
    [sym_import] = STATE(2126),
    [sym_include] = STATE(2126),
    [sym_for] = STATE(2126),
    [sym_while] = STATE(2126),
    [sym_show] = STATE(2126),
    [sym_return] = STATE(2126),
    [sym_flow] = STATE(2126),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2733),
    [sym_none] = ACTIONS(2733),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [668] = {
    [sym_raw_blck] = STATE(2135),
    [sym_raw_span] = STATE(2135),
    [sym_math] = STATE(2135),
    [sym__expr] = STATE(2135),
    [sym_ident] = STATE(2135),
    [sym_bool] = STATE(2135),
    [sym_number] = STATE(2135),
    [sym_string] = STATE(2135),
    [sym_tagged] = STATE(2135),
    [sym_context] = STATE(2135),
    [sym_elude] = STATE(2135),
    [sym_assign] = STATE(2135),
    [sym_lambda] = STATE(2135),
    [sym_or] = STATE(2135),
    [sym_not] = STATE(2135),
    [sym_and] = STATE(2135),
    [sym_cmp] = STATE(2135),
    [sym_in] = STATE(2135),
    [sym_add] = STATE(2135),
    [sym_sub] = STATE(2135),
    [sym_mul] = STATE(2135),
    [sym_div] = STATE(2135),
    [sym_sign] = STATE(2135),
    [sym_call] = STATE(2135),
    [sym_field] = STATE(2135),
    [sym_label] = STATE(2135),
    [sym_content] = STATE(2135),
    [sym_group] = STATE(2135),
    [sym_block] = STATE(2135),
    [sym_branch] = STATE(2135),
    [sym_let] = STATE(2135),
    [sym_set] = STATE(2135),
    [sym_import] = STATE(2135),
    [sym_include] = STATE(2135),
    [sym_for] = STATE(2135),
    [sym_while] = STATE(2135),
    [sym_show] = STATE(2135),
    [sym_return] = STATE(2135),
    [sym_flow] = STATE(2135),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2735),
    [sym_none] = ACTIONS(2735),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [669] = {
    [sym_raw_blck] = STATE(1848),
    [sym_raw_span] = STATE(1848),
    [sym_math] = STATE(1848),
    [sym__expr] = STATE(1848),
    [sym_ident] = STATE(1848),
    [sym_bool] = STATE(1848),
    [sym_number] = STATE(1848),
    [sym_string] = STATE(1848),
    [sym_tagged] = STATE(1848),
    [sym_context] = STATE(1848),
    [sym_elude] = STATE(1848),
    [sym_assign] = STATE(1848),
    [sym_lambda] = STATE(1848),
    [sym_or] = STATE(1848),
    [sym_not] = STATE(1848),
    [sym_and] = STATE(1848),
    [sym_cmp] = STATE(1848),
    [sym_in] = STATE(1848),
    [sym_add] = STATE(1848),
    [sym_sub] = STATE(1848),
    [sym_mul] = STATE(1848),
    [sym_div] = STATE(1848),
    [sym_sign] = STATE(1848),
    [sym_call] = STATE(1848),
    [sym_field] = STATE(1848),
    [sym_label] = STATE(1848),
    [sym_content] = STATE(1848),
    [sym_group] = STATE(1848),
    [sym_block] = STATE(1848),
    [sym_branch] = STATE(1848),
    [sym_let] = STATE(1848),
    [sym_set] = STATE(1848),
    [sym_import] = STATE(1848),
    [sym_include] = STATE(1848),
    [sym_for] = STATE(1848),
    [sym_while] = STATE(1848),
    [sym_show] = STATE(1848),
    [sym_return] = STATE(1848),
    [sym_flow] = STATE(1848),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2737),
    [sym_none] = ACTIONS(2737),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [670] = {
    [sym_raw_blck] = STATE(1849),
    [sym_raw_span] = STATE(1849),
    [sym_math] = STATE(1849),
    [sym__expr] = STATE(1849),
    [sym_ident] = STATE(1849),
    [sym_bool] = STATE(1849),
    [sym_number] = STATE(1849),
    [sym_string] = STATE(1849),
    [sym_tagged] = STATE(1849),
    [sym_context] = STATE(1849),
    [sym_elude] = STATE(1849),
    [sym_assign] = STATE(1849),
    [sym_lambda] = STATE(1849),
    [sym_or] = STATE(1849),
    [sym_not] = STATE(1849),
    [sym_and] = STATE(1849),
    [sym_cmp] = STATE(1849),
    [sym_in] = STATE(1849),
    [sym_add] = STATE(1849),
    [sym_sub] = STATE(1849),
    [sym_mul] = STATE(1849),
    [sym_div] = STATE(1849),
    [sym_sign] = STATE(1849),
    [sym_call] = STATE(1849),
    [sym_field] = STATE(1849),
    [sym_label] = STATE(1849),
    [sym_content] = STATE(1849),
    [sym_group] = STATE(1849),
    [sym_block] = STATE(1849),
    [sym_branch] = STATE(1849),
    [sym_let] = STATE(1849),
    [sym_set] = STATE(1849),
    [sym_import] = STATE(1849),
    [sym_include] = STATE(1849),
    [sym_for] = STATE(1849),
    [sym_while] = STATE(1849),
    [sym_show] = STATE(1849),
    [sym_return] = STATE(1849),
    [sym_flow] = STATE(1849),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2739),
    [sym_none] = ACTIONS(2739),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [671] = {
    [sym_raw_blck] = STATE(2933),
    [sym_raw_span] = STATE(2933),
    [sym_math] = STATE(2933),
    [sym__expr] = STATE(2933),
    [sym_ident] = STATE(2933),
    [sym_bool] = STATE(2933),
    [sym_number] = STATE(2933),
    [sym_string] = STATE(2933),
    [sym_tagged] = STATE(2933),
    [sym_context] = STATE(2933),
    [sym_elude] = STATE(2933),
    [sym_assign] = STATE(2933),
    [sym_lambda] = STATE(2933),
    [sym_or] = STATE(2933),
    [sym_not] = STATE(2933),
    [sym_and] = STATE(2933),
    [sym_cmp] = STATE(2933),
    [sym_in] = STATE(2933),
    [sym_add] = STATE(2933),
    [sym_sub] = STATE(2933),
    [sym_mul] = STATE(2933),
    [sym_div] = STATE(2933),
    [sym_sign] = STATE(2933),
    [sym_call] = STATE(2933),
    [sym_field] = STATE(2933),
    [sym_label] = STATE(2933),
    [sym_content] = STATE(2933),
    [sym_group] = STATE(2933),
    [sym_block] = STATE(2933),
    [sym_branch] = STATE(2933),
    [sym_let] = STATE(2933),
    [sym_set] = STATE(2933),
    [sym_import] = STATE(2933),
    [sym_include] = STATE(2933),
    [sym_for] = STATE(2933),
    [sym_while] = STATE(2933),
    [sym_show] = STATE(2933),
    [sym_return] = STATE(2933),
    [sym_flow] = STATE(2933),
    [sym__identifier] = ACTIONS(879),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_true] = ACTIONS(885),
    [anon_sym_false] = ACTIONS(885),
    [aux_sym_number_token1] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_context] = ACTIONS(891),
    [anon_sym_DOT_DOT] = ACTIONS(893),
    [anon_sym_not] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_LPAREN2] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_set] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(911),
    [anon_sym_include] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(915),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_show] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_auto] = ACTIONS(2741),
    [sym_none] = ACTIONS(2741),
    [sym__token_content] = ACTIONS(927),
    [sym__token_raw_blck_ldlm] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [672] = {
    [sym_raw_blck] = STATE(1901),
    [sym_raw_span] = STATE(1901),
    [sym_math] = STATE(1901),
    [sym__expr] = STATE(1901),
    [sym_ident] = STATE(1901),
    [sym_bool] = STATE(1901),
    [sym_number] = STATE(1901),
    [sym_string] = STATE(1901),
    [sym_tagged] = STATE(1901),
    [sym_context] = STATE(1901),
    [sym_elude] = STATE(1901),
    [sym_assign] = STATE(1901),
    [sym_lambda] = STATE(1901),
    [sym_or] = STATE(1901),
    [sym_not] = STATE(1901),
    [sym_and] = STATE(1901),
    [sym_cmp] = STATE(1901),
    [sym_in] = STATE(1901),
    [sym_add] = STATE(1901),
    [sym_sub] = STATE(1901),
    [sym_mul] = STATE(1901),
    [sym_div] = STATE(1901),
    [sym_sign] = STATE(1901),
    [sym_call] = STATE(1901),
    [sym_field] = STATE(1901),
    [sym_label] = STATE(1901),
    [sym_content] = STATE(1901),
    [sym_group] = STATE(1901),
    [sym_block] = STATE(1901),
    [sym_branch] = STATE(1901),
    [sym_let] = STATE(1901),
    [sym_set] = STATE(1901),
    [sym_import] = STATE(1901),
    [sym_include] = STATE(1901),
    [sym_for] = STATE(1901),
    [sym_while] = STATE(1901),
    [sym_show] = STATE(1901),
    [sym_return] = STATE(1901),
    [sym_flow] = STATE(1901),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2743),
    [sym_none] = ACTIONS(2743),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [673] = {
    [sym_raw_blck] = STATE(2694),
    [sym_raw_span] = STATE(2694),
    [sym_math] = STATE(2694),
    [sym__expr] = STATE(2694),
    [sym_ident] = STATE(2694),
    [sym_bool] = STATE(2694),
    [sym_number] = STATE(2694),
    [sym_string] = STATE(2694),
    [sym_tagged] = STATE(2694),
    [sym_context] = STATE(2694),
    [sym_elude] = STATE(2694),
    [sym_assign] = STATE(2694),
    [sym_lambda] = STATE(2694),
    [sym_or] = STATE(2694),
    [sym_not] = STATE(2694),
    [sym_and] = STATE(2694),
    [sym_cmp] = STATE(2694),
    [sym_in] = STATE(2694),
    [sym_add] = STATE(2694),
    [sym_sub] = STATE(2694),
    [sym_mul] = STATE(2694),
    [sym_div] = STATE(2694),
    [sym_sign] = STATE(2694),
    [sym_call] = STATE(2694),
    [sym_field] = STATE(2694),
    [sym_label] = STATE(2694),
    [sym_content] = STATE(2694),
    [sym_group] = STATE(2694),
    [sym_block] = STATE(2694),
    [sym_branch] = STATE(2694),
    [sym_let] = STATE(2694),
    [sym_set] = STATE(2694),
    [sym_import] = STATE(2694),
    [sym_include] = STATE(2694),
    [sym_for] = STATE(2694),
    [sym_while] = STATE(2694),
    [sym_show] = STATE(2694),
    [sym_return] = STATE(2694),
    [sym_flow] = STATE(2694),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2745),
    [sym_none] = ACTIONS(2745),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [674] = {
    [sym_raw_blck] = STATE(1903),
    [sym_raw_span] = STATE(1903),
    [sym_math] = STATE(1903),
    [sym__expr] = STATE(1903),
    [sym_ident] = STATE(1903),
    [sym_bool] = STATE(1903),
    [sym_number] = STATE(1903),
    [sym_string] = STATE(1903),
    [sym_tagged] = STATE(1903),
    [sym_context] = STATE(1903),
    [sym_elude] = STATE(1903),
    [sym_assign] = STATE(1903),
    [sym_lambda] = STATE(1903),
    [sym_or] = STATE(1903),
    [sym_not] = STATE(1903),
    [sym_and] = STATE(1903),
    [sym_cmp] = STATE(1903),
    [sym_in] = STATE(1903),
    [sym_add] = STATE(1903),
    [sym_sub] = STATE(1903),
    [sym_mul] = STATE(1903),
    [sym_div] = STATE(1903),
    [sym_sign] = STATE(1903),
    [sym_call] = STATE(1903),
    [sym_field] = STATE(1903),
    [sym_label] = STATE(1903),
    [sym_content] = STATE(1903),
    [sym_group] = STATE(1903),
    [sym_block] = STATE(1903),
    [sym_branch] = STATE(1903),
    [sym_let] = STATE(1903),
    [sym_set] = STATE(1903),
    [sym_import] = STATE(1903),
    [sym_include] = STATE(1903),
    [sym_for] = STATE(1903),
    [sym_while] = STATE(1903),
    [sym_show] = STATE(1903),
    [sym_return] = STATE(1903),
    [sym_flow] = STATE(1903),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2747),
    [sym_none] = ACTIONS(2747),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [675] = {
    [sym_raw_blck] = STATE(1850),
    [sym_raw_span] = STATE(1850),
    [sym_math] = STATE(1850),
    [sym__expr] = STATE(1850),
    [sym_ident] = STATE(1850),
    [sym_bool] = STATE(1850),
    [sym_number] = STATE(1850),
    [sym_string] = STATE(1850),
    [sym_tagged] = STATE(1850),
    [sym_context] = STATE(1850),
    [sym_elude] = STATE(1850),
    [sym_assign] = STATE(1850),
    [sym_lambda] = STATE(1850),
    [sym_or] = STATE(1850),
    [sym_not] = STATE(1850),
    [sym_and] = STATE(1850),
    [sym_cmp] = STATE(1850),
    [sym_in] = STATE(1850),
    [sym_add] = STATE(1850),
    [sym_sub] = STATE(1850),
    [sym_mul] = STATE(1850),
    [sym_div] = STATE(1850),
    [sym_sign] = STATE(1850),
    [sym_call] = STATE(1850),
    [sym_field] = STATE(1850),
    [sym_label] = STATE(1850),
    [sym_content] = STATE(1850),
    [sym_group] = STATE(1850),
    [sym_block] = STATE(1850),
    [sym_branch] = STATE(1850),
    [sym_let] = STATE(1850),
    [sym_set] = STATE(1850),
    [sym_import] = STATE(1850),
    [sym_include] = STATE(1850),
    [sym_for] = STATE(1850),
    [sym_while] = STATE(1850),
    [sym_show] = STATE(1850),
    [sym_return] = STATE(1850),
    [sym_flow] = STATE(1850),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2749),
    [sym_none] = ACTIONS(2749),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [676] = {
    [sym_raw_blck] = STATE(1905),
    [sym_raw_span] = STATE(1905),
    [sym_math] = STATE(1905),
    [sym__expr] = STATE(1905),
    [sym_ident] = STATE(1905),
    [sym_bool] = STATE(1905),
    [sym_number] = STATE(1905),
    [sym_string] = STATE(1905),
    [sym_tagged] = STATE(1905),
    [sym_context] = STATE(1905),
    [sym_elude] = STATE(1905),
    [sym_assign] = STATE(1905),
    [sym_lambda] = STATE(1905),
    [sym_or] = STATE(1905),
    [sym_not] = STATE(1905),
    [sym_and] = STATE(1905),
    [sym_cmp] = STATE(1905),
    [sym_in] = STATE(1905),
    [sym_add] = STATE(1905),
    [sym_sub] = STATE(1905),
    [sym_mul] = STATE(1905),
    [sym_div] = STATE(1905),
    [sym_sign] = STATE(1905),
    [sym_call] = STATE(1905),
    [sym_field] = STATE(1905),
    [sym_label] = STATE(1905),
    [sym_content] = STATE(1905),
    [sym_group] = STATE(1905),
    [sym_block] = STATE(1905),
    [sym_branch] = STATE(1905),
    [sym_let] = STATE(1905),
    [sym_set] = STATE(1905),
    [sym_import] = STATE(1905),
    [sym_include] = STATE(1905),
    [sym_for] = STATE(1905),
    [sym_while] = STATE(1905),
    [sym_show] = STATE(1905),
    [sym_return] = STATE(1905),
    [sym_flow] = STATE(1905),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2751),
    [sym_none] = ACTIONS(2751),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [677] = {
    [sym_raw_blck] = STATE(2695),
    [sym_raw_span] = STATE(2695),
    [sym_math] = STATE(2695),
    [sym__expr] = STATE(2695),
    [sym_ident] = STATE(2695),
    [sym_bool] = STATE(2695),
    [sym_number] = STATE(2695),
    [sym_string] = STATE(2695),
    [sym_tagged] = STATE(2695),
    [sym_context] = STATE(2695),
    [sym_elude] = STATE(2695),
    [sym_assign] = STATE(2695),
    [sym_lambda] = STATE(2695),
    [sym_or] = STATE(2695),
    [sym_not] = STATE(2695),
    [sym_and] = STATE(2695),
    [sym_cmp] = STATE(2695),
    [sym_in] = STATE(2695),
    [sym_add] = STATE(2695),
    [sym_sub] = STATE(2695),
    [sym_mul] = STATE(2695),
    [sym_div] = STATE(2695),
    [sym_sign] = STATE(2695),
    [sym_call] = STATE(2695),
    [sym_field] = STATE(2695),
    [sym_label] = STATE(2695),
    [sym_content] = STATE(2695),
    [sym_group] = STATE(2695),
    [sym_block] = STATE(2695),
    [sym_branch] = STATE(2695),
    [sym_let] = STATE(2695),
    [sym_set] = STATE(2695),
    [sym_import] = STATE(2695),
    [sym_include] = STATE(2695),
    [sym_for] = STATE(2695),
    [sym_while] = STATE(2695),
    [sym_show] = STATE(2695),
    [sym_return] = STATE(2695),
    [sym_flow] = STATE(2695),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2753),
    [sym_none] = ACTIONS(2753),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [678] = {
    [sym_raw_blck] = STATE(1852),
    [sym_raw_span] = STATE(1852),
    [sym_math] = STATE(1852),
    [sym__expr] = STATE(1852),
    [sym_ident] = STATE(1852),
    [sym_bool] = STATE(1852),
    [sym_number] = STATE(1852),
    [sym_string] = STATE(1852),
    [sym_tagged] = STATE(1852),
    [sym_context] = STATE(1852),
    [sym_elude] = STATE(1852),
    [sym_assign] = STATE(1852),
    [sym_lambda] = STATE(1852),
    [sym_or] = STATE(1852),
    [sym_not] = STATE(1852),
    [sym_and] = STATE(1852),
    [sym_cmp] = STATE(1852),
    [sym_in] = STATE(1852),
    [sym_add] = STATE(1852),
    [sym_sub] = STATE(1852),
    [sym_mul] = STATE(1852),
    [sym_div] = STATE(1852),
    [sym_sign] = STATE(1852),
    [sym_call] = STATE(1852),
    [sym_field] = STATE(1852),
    [sym_label] = STATE(1852),
    [sym_content] = STATE(1852),
    [sym_group] = STATE(1852),
    [sym_block] = STATE(1852),
    [sym_branch] = STATE(1852),
    [sym_let] = STATE(1852),
    [sym_set] = STATE(1852),
    [sym_import] = STATE(1852),
    [sym_include] = STATE(1852),
    [sym_for] = STATE(1852),
    [sym_while] = STATE(1852),
    [sym_show] = STATE(1852),
    [sym_return] = STATE(1852),
    [sym_flow] = STATE(1852),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2755),
    [sym_none] = ACTIONS(2755),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [679] = {
    [sym_raw_blck] = STATE(1853),
    [sym_raw_span] = STATE(1853),
    [sym_math] = STATE(1853),
    [sym__expr] = STATE(1853),
    [sym_ident] = STATE(1853),
    [sym_bool] = STATE(1853),
    [sym_number] = STATE(1853),
    [sym_string] = STATE(1853),
    [sym_tagged] = STATE(1853),
    [sym_context] = STATE(1853),
    [sym_elude] = STATE(1853),
    [sym_assign] = STATE(1853),
    [sym_lambda] = STATE(1853),
    [sym_or] = STATE(1853),
    [sym_not] = STATE(1853),
    [sym_and] = STATE(1853),
    [sym_cmp] = STATE(1853),
    [sym_in] = STATE(1853),
    [sym_add] = STATE(1853),
    [sym_sub] = STATE(1853),
    [sym_mul] = STATE(1853),
    [sym_div] = STATE(1853),
    [sym_sign] = STATE(1853),
    [sym_call] = STATE(1853),
    [sym_field] = STATE(1853),
    [sym_label] = STATE(1853),
    [sym_content] = STATE(1853),
    [sym_group] = STATE(1853),
    [sym_block] = STATE(1853),
    [sym_branch] = STATE(1853),
    [sym_let] = STATE(1853),
    [sym_set] = STATE(1853),
    [sym_import] = STATE(1853),
    [sym_include] = STATE(1853),
    [sym_for] = STATE(1853),
    [sym_while] = STATE(1853),
    [sym_show] = STATE(1853),
    [sym_return] = STATE(1853),
    [sym_flow] = STATE(1853),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2757),
    [sym_none] = ACTIONS(2757),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [680] = {
    [sym_raw_blck] = STATE(1921),
    [sym_raw_span] = STATE(1921),
    [sym_math] = STATE(1921),
    [sym__expr] = STATE(1921),
    [sym_ident] = STATE(1921),
    [sym_bool] = STATE(1921),
    [sym_number] = STATE(1921),
    [sym_string] = STATE(1921),
    [sym_tagged] = STATE(1921),
    [sym_context] = STATE(1921),
    [sym_elude] = STATE(1921),
    [sym_assign] = STATE(1921),
    [sym_lambda] = STATE(1921),
    [sym_or] = STATE(1921),
    [sym_not] = STATE(1921),
    [sym_and] = STATE(1921),
    [sym_cmp] = STATE(1921),
    [sym_in] = STATE(1921),
    [sym_add] = STATE(1921),
    [sym_sub] = STATE(1921),
    [sym_mul] = STATE(1921),
    [sym_div] = STATE(1921),
    [sym_sign] = STATE(1921),
    [sym_call] = STATE(1921),
    [sym_field] = STATE(1921),
    [sym_label] = STATE(1921),
    [sym_content] = STATE(1921),
    [sym_group] = STATE(1921),
    [sym_block] = STATE(1921),
    [sym_branch] = STATE(1921),
    [sym_let] = STATE(1921),
    [sym_set] = STATE(1921),
    [sym_import] = STATE(1921),
    [sym_include] = STATE(1921),
    [sym_for] = STATE(1921),
    [sym_while] = STATE(1921),
    [sym_show] = STATE(1921),
    [sym_return] = STATE(1921),
    [sym_flow] = STATE(1921),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2759),
    [sym_none] = ACTIONS(2759),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [681] = {
    [sym_raw_blck] = STATE(1923),
    [sym_raw_span] = STATE(1923),
    [sym_math] = STATE(1923),
    [sym__expr] = STATE(1923),
    [sym_ident] = STATE(1923),
    [sym_bool] = STATE(1923),
    [sym_number] = STATE(1923),
    [sym_string] = STATE(1923),
    [sym_tagged] = STATE(1923),
    [sym_context] = STATE(1923),
    [sym_elude] = STATE(1923),
    [sym_assign] = STATE(1923),
    [sym_lambda] = STATE(1923),
    [sym_or] = STATE(1923),
    [sym_not] = STATE(1923),
    [sym_and] = STATE(1923),
    [sym_cmp] = STATE(1923),
    [sym_in] = STATE(1923),
    [sym_add] = STATE(1923),
    [sym_sub] = STATE(1923),
    [sym_mul] = STATE(1923),
    [sym_div] = STATE(1923),
    [sym_sign] = STATE(1923),
    [sym_call] = STATE(1923),
    [sym_field] = STATE(1923),
    [sym_label] = STATE(1923),
    [sym_content] = STATE(1923),
    [sym_group] = STATE(1923),
    [sym_block] = STATE(1923),
    [sym_branch] = STATE(1923),
    [sym_let] = STATE(1923),
    [sym_set] = STATE(1923),
    [sym_import] = STATE(1923),
    [sym_include] = STATE(1923),
    [sym_for] = STATE(1923),
    [sym_while] = STATE(1923),
    [sym_show] = STATE(1923),
    [sym_return] = STATE(1923),
    [sym_flow] = STATE(1923),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2761),
    [sym_none] = ACTIONS(2761),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [682] = {
    [sym_raw_blck] = STATE(1924),
    [sym_raw_span] = STATE(1924),
    [sym_math] = STATE(1924),
    [sym__expr] = STATE(1924),
    [sym_ident] = STATE(1924),
    [sym_bool] = STATE(1924),
    [sym_number] = STATE(1924),
    [sym_string] = STATE(1924),
    [sym_tagged] = STATE(1924),
    [sym_context] = STATE(1924),
    [sym_elude] = STATE(1924),
    [sym_assign] = STATE(1924),
    [sym_lambda] = STATE(1924),
    [sym_or] = STATE(1924),
    [sym_not] = STATE(1924),
    [sym_and] = STATE(1924),
    [sym_cmp] = STATE(1924),
    [sym_in] = STATE(1924),
    [sym_add] = STATE(1924),
    [sym_sub] = STATE(1924),
    [sym_mul] = STATE(1924),
    [sym_div] = STATE(1924),
    [sym_sign] = STATE(1924),
    [sym_call] = STATE(1924),
    [sym_field] = STATE(1924),
    [sym_label] = STATE(1924),
    [sym_content] = STATE(1924),
    [sym_group] = STATE(1924),
    [sym_block] = STATE(1924),
    [sym_branch] = STATE(1924),
    [sym_let] = STATE(1924),
    [sym_set] = STATE(1924),
    [sym_import] = STATE(1924),
    [sym_include] = STATE(1924),
    [sym_for] = STATE(1924),
    [sym_while] = STATE(1924),
    [sym_show] = STATE(1924),
    [sym_return] = STATE(1924),
    [sym_flow] = STATE(1924),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2763),
    [sym_none] = ACTIONS(2763),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [683] = {
    [sym_raw_blck] = STATE(1925),
    [sym_raw_span] = STATE(1925),
    [sym_math] = STATE(1925),
    [sym__expr] = STATE(1925),
    [sym_ident] = STATE(1925),
    [sym_bool] = STATE(1925),
    [sym_number] = STATE(1925),
    [sym_string] = STATE(1925),
    [sym_tagged] = STATE(1925),
    [sym_context] = STATE(1925),
    [sym_elude] = STATE(1925),
    [sym_assign] = STATE(1925),
    [sym_lambda] = STATE(1925),
    [sym_or] = STATE(1925),
    [sym_not] = STATE(1925),
    [sym_and] = STATE(1925),
    [sym_cmp] = STATE(1925),
    [sym_in] = STATE(1925),
    [sym_add] = STATE(1925),
    [sym_sub] = STATE(1925),
    [sym_mul] = STATE(1925),
    [sym_div] = STATE(1925),
    [sym_sign] = STATE(1925),
    [sym_call] = STATE(1925),
    [sym_field] = STATE(1925),
    [sym_label] = STATE(1925),
    [sym_content] = STATE(1925),
    [sym_group] = STATE(1925),
    [sym_block] = STATE(1925),
    [sym_branch] = STATE(1925),
    [sym_let] = STATE(1925),
    [sym_set] = STATE(1925),
    [sym_import] = STATE(1925),
    [sym_include] = STATE(1925),
    [sym_for] = STATE(1925),
    [sym_while] = STATE(1925),
    [sym_show] = STATE(1925),
    [sym_return] = STATE(1925),
    [sym_flow] = STATE(1925),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2765),
    [sym_none] = ACTIONS(2765),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [684] = {
    [sym_raw_blck] = STATE(1854),
    [sym_raw_span] = STATE(1854),
    [sym_math] = STATE(1854),
    [sym__expr] = STATE(1854),
    [sym_ident] = STATE(1854),
    [sym_bool] = STATE(1854),
    [sym_number] = STATE(1854),
    [sym_string] = STATE(1854),
    [sym_tagged] = STATE(1854),
    [sym_context] = STATE(1854),
    [sym_elude] = STATE(1854),
    [sym_assign] = STATE(1854),
    [sym_lambda] = STATE(1854),
    [sym_or] = STATE(1854),
    [sym_not] = STATE(1854),
    [sym_and] = STATE(1854),
    [sym_cmp] = STATE(1854),
    [sym_in] = STATE(1854),
    [sym_add] = STATE(1854),
    [sym_sub] = STATE(1854),
    [sym_mul] = STATE(1854),
    [sym_div] = STATE(1854),
    [sym_sign] = STATE(1854),
    [sym_call] = STATE(1854),
    [sym_field] = STATE(1854),
    [sym_label] = STATE(1854),
    [sym_content] = STATE(1854),
    [sym_group] = STATE(1854),
    [sym_block] = STATE(1854),
    [sym_branch] = STATE(1854),
    [sym_let] = STATE(1854),
    [sym_set] = STATE(1854),
    [sym_import] = STATE(1854),
    [sym_include] = STATE(1854),
    [sym_for] = STATE(1854),
    [sym_while] = STATE(1854),
    [sym_show] = STATE(1854),
    [sym_return] = STATE(1854),
    [sym_flow] = STATE(1854),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2767),
    [sym_none] = ACTIONS(2767),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [685] = {
    [sym_raw_blck] = STATE(1926),
    [sym_raw_span] = STATE(1926),
    [sym_math] = STATE(1926),
    [sym__expr] = STATE(1926),
    [sym_ident] = STATE(1926),
    [sym_bool] = STATE(1926),
    [sym_number] = STATE(1926),
    [sym_string] = STATE(1926),
    [sym_tagged] = STATE(1926),
    [sym_context] = STATE(1926),
    [sym_elude] = STATE(1926),
    [sym_assign] = STATE(1926),
    [sym_lambda] = STATE(1926),
    [sym_or] = STATE(1926),
    [sym_not] = STATE(1926),
    [sym_and] = STATE(1926),
    [sym_cmp] = STATE(1926),
    [sym_in] = STATE(1926),
    [sym_add] = STATE(1926),
    [sym_sub] = STATE(1926),
    [sym_mul] = STATE(1926),
    [sym_div] = STATE(1926),
    [sym_sign] = STATE(1926),
    [sym_call] = STATE(1926),
    [sym_field] = STATE(1926),
    [sym_label] = STATE(1926),
    [sym_content] = STATE(1926),
    [sym_group] = STATE(1926),
    [sym_block] = STATE(1926),
    [sym_branch] = STATE(1926),
    [sym_let] = STATE(1926),
    [sym_set] = STATE(1926),
    [sym_import] = STATE(1926),
    [sym_include] = STATE(1926),
    [sym_for] = STATE(1926),
    [sym_while] = STATE(1926),
    [sym_show] = STATE(1926),
    [sym_return] = STATE(1926),
    [sym_flow] = STATE(1926),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2769),
    [sym_none] = ACTIONS(2769),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [686] = {
    [sym_raw_blck] = STATE(1928),
    [sym_raw_span] = STATE(1928),
    [sym_math] = STATE(1928),
    [sym__expr] = STATE(1928),
    [sym_ident] = STATE(1928),
    [sym_bool] = STATE(1928),
    [sym_number] = STATE(1928),
    [sym_string] = STATE(1928),
    [sym_tagged] = STATE(1928),
    [sym_context] = STATE(1928),
    [sym_elude] = STATE(1928),
    [sym_assign] = STATE(1928),
    [sym_lambda] = STATE(1928),
    [sym_or] = STATE(1928),
    [sym_not] = STATE(1928),
    [sym_and] = STATE(1928),
    [sym_cmp] = STATE(1928),
    [sym_in] = STATE(1928),
    [sym_add] = STATE(1928),
    [sym_sub] = STATE(1928),
    [sym_mul] = STATE(1928),
    [sym_div] = STATE(1928),
    [sym_sign] = STATE(1928),
    [sym_call] = STATE(1928),
    [sym_field] = STATE(1928),
    [sym_label] = STATE(1928),
    [sym_content] = STATE(1928),
    [sym_group] = STATE(1928),
    [sym_block] = STATE(1928),
    [sym_branch] = STATE(1928),
    [sym_let] = STATE(1928),
    [sym_set] = STATE(1928),
    [sym_import] = STATE(1928),
    [sym_include] = STATE(1928),
    [sym_for] = STATE(1928),
    [sym_while] = STATE(1928),
    [sym_show] = STATE(1928),
    [sym_return] = STATE(1928),
    [sym_flow] = STATE(1928),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2771),
    [sym_none] = ACTIONS(2771),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [687] = {
    [sym_raw_blck] = STATE(1858),
    [sym_raw_span] = STATE(1858),
    [sym_math] = STATE(1858),
    [sym__expr] = STATE(1858),
    [sym_ident] = STATE(1858),
    [sym_bool] = STATE(1858),
    [sym_number] = STATE(1858),
    [sym_string] = STATE(1858),
    [sym_tagged] = STATE(1858),
    [sym_context] = STATE(1858),
    [sym_elude] = STATE(1858),
    [sym_assign] = STATE(1858),
    [sym_lambda] = STATE(1858),
    [sym_or] = STATE(1858),
    [sym_not] = STATE(1858),
    [sym_and] = STATE(1858),
    [sym_cmp] = STATE(1858),
    [sym_in] = STATE(1858),
    [sym_add] = STATE(1858),
    [sym_sub] = STATE(1858),
    [sym_mul] = STATE(1858),
    [sym_div] = STATE(1858),
    [sym_sign] = STATE(1858),
    [sym_call] = STATE(1858),
    [sym_field] = STATE(1858),
    [sym_label] = STATE(1858),
    [sym_content] = STATE(1858),
    [sym_group] = STATE(1858),
    [sym_block] = STATE(1858),
    [sym_branch] = STATE(1858),
    [sym_let] = STATE(1858),
    [sym_set] = STATE(1858),
    [sym_import] = STATE(1858),
    [sym_include] = STATE(1858),
    [sym_for] = STATE(1858),
    [sym_while] = STATE(1858),
    [sym_show] = STATE(1858),
    [sym_return] = STATE(1858),
    [sym_flow] = STATE(1858),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2773),
    [sym_none] = ACTIONS(2773),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [688] = {
    [sym_raw_blck] = STATE(1859),
    [sym_raw_span] = STATE(1859),
    [sym_math] = STATE(1859),
    [sym__expr] = STATE(1859),
    [sym_ident] = STATE(1859),
    [sym_bool] = STATE(1859),
    [sym_number] = STATE(1859),
    [sym_string] = STATE(1859),
    [sym_tagged] = STATE(1859),
    [sym_context] = STATE(1859),
    [sym_elude] = STATE(1859),
    [sym_assign] = STATE(1859),
    [sym_lambda] = STATE(1859),
    [sym_or] = STATE(1859),
    [sym_not] = STATE(1859),
    [sym_and] = STATE(1859),
    [sym_cmp] = STATE(1859),
    [sym_in] = STATE(1859),
    [sym_add] = STATE(1859),
    [sym_sub] = STATE(1859),
    [sym_mul] = STATE(1859),
    [sym_div] = STATE(1859),
    [sym_sign] = STATE(1859),
    [sym_call] = STATE(1859),
    [sym_field] = STATE(1859),
    [sym_label] = STATE(1859),
    [sym_content] = STATE(1859),
    [sym_group] = STATE(1859),
    [sym_block] = STATE(1859),
    [sym_branch] = STATE(1859),
    [sym_let] = STATE(1859),
    [sym_set] = STATE(1859),
    [sym_import] = STATE(1859),
    [sym_include] = STATE(1859),
    [sym_for] = STATE(1859),
    [sym_while] = STATE(1859),
    [sym_show] = STATE(1859),
    [sym_return] = STATE(1859),
    [sym_flow] = STATE(1859),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2775),
    [sym_none] = ACTIONS(2775),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [689] = {
    [sym_raw_blck] = STATE(1930),
    [sym_raw_span] = STATE(1930),
    [sym_math] = STATE(1930),
    [sym__expr] = STATE(1930),
    [sym_ident] = STATE(1930),
    [sym_bool] = STATE(1930),
    [sym_number] = STATE(1930),
    [sym_string] = STATE(1930),
    [sym_tagged] = STATE(1930),
    [sym_context] = STATE(1930),
    [sym_elude] = STATE(1930),
    [sym_assign] = STATE(1930),
    [sym_lambda] = STATE(1930),
    [sym_or] = STATE(1930),
    [sym_not] = STATE(1930),
    [sym_and] = STATE(1930),
    [sym_cmp] = STATE(1930),
    [sym_in] = STATE(1930),
    [sym_add] = STATE(1930),
    [sym_sub] = STATE(1930),
    [sym_mul] = STATE(1930),
    [sym_div] = STATE(1930),
    [sym_sign] = STATE(1930),
    [sym_call] = STATE(1930),
    [sym_field] = STATE(1930),
    [sym_label] = STATE(1930),
    [sym_content] = STATE(1930),
    [sym_group] = STATE(1930),
    [sym_block] = STATE(1930),
    [sym_branch] = STATE(1930),
    [sym_let] = STATE(1930),
    [sym_set] = STATE(1930),
    [sym_import] = STATE(1930),
    [sym_include] = STATE(1930),
    [sym_for] = STATE(1930),
    [sym_while] = STATE(1930),
    [sym_show] = STATE(1930),
    [sym_return] = STATE(1930),
    [sym_flow] = STATE(1930),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2777),
    [sym_none] = ACTIONS(2777),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [690] = {
    [sym_raw_blck] = STATE(1931),
    [sym_raw_span] = STATE(1931),
    [sym_math] = STATE(1931),
    [sym__expr] = STATE(1931),
    [sym_ident] = STATE(1931),
    [sym_bool] = STATE(1931),
    [sym_number] = STATE(1931),
    [sym_string] = STATE(1931),
    [sym_tagged] = STATE(1931),
    [sym_context] = STATE(1931),
    [sym_elude] = STATE(1931),
    [sym_assign] = STATE(1931),
    [sym_lambda] = STATE(1931),
    [sym_or] = STATE(1931),
    [sym_not] = STATE(1931),
    [sym_and] = STATE(1931),
    [sym_cmp] = STATE(1931),
    [sym_in] = STATE(1931),
    [sym_add] = STATE(1931),
    [sym_sub] = STATE(1931),
    [sym_mul] = STATE(1931),
    [sym_div] = STATE(1931),
    [sym_sign] = STATE(1931),
    [sym_call] = STATE(1931),
    [sym_field] = STATE(1931),
    [sym_label] = STATE(1931),
    [sym_content] = STATE(1931),
    [sym_group] = STATE(1931),
    [sym_block] = STATE(1931),
    [sym_branch] = STATE(1931),
    [sym_let] = STATE(1931),
    [sym_set] = STATE(1931),
    [sym_import] = STATE(1931),
    [sym_include] = STATE(1931),
    [sym_for] = STATE(1931),
    [sym_while] = STATE(1931),
    [sym_show] = STATE(1931),
    [sym_return] = STATE(1931),
    [sym_flow] = STATE(1931),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2779),
    [sym_none] = ACTIONS(2779),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [691] = {
    [sym_raw_blck] = STATE(1932),
    [sym_raw_span] = STATE(1932),
    [sym_math] = STATE(1932),
    [sym__expr] = STATE(1932),
    [sym_ident] = STATE(1932),
    [sym_bool] = STATE(1932),
    [sym_number] = STATE(1932),
    [sym_string] = STATE(1932),
    [sym_tagged] = STATE(1932),
    [sym_context] = STATE(1932),
    [sym_elude] = STATE(1932),
    [sym_assign] = STATE(1932),
    [sym_lambda] = STATE(1932),
    [sym_or] = STATE(1932),
    [sym_not] = STATE(1932),
    [sym_and] = STATE(1932),
    [sym_cmp] = STATE(1932),
    [sym_in] = STATE(1932),
    [sym_add] = STATE(1932),
    [sym_sub] = STATE(1932),
    [sym_mul] = STATE(1932),
    [sym_div] = STATE(1932),
    [sym_sign] = STATE(1932),
    [sym_call] = STATE(1932),
    [sym_field] = STATE(1932),
    [sym_label] = STATE(1932),
    [sym_content] = STATE(1932),
    [sym_group] = STATE(1932),
    [sym_block] = STATE(1932),
    [sym_branch] = STATE(1932),
    [sym_let] = STATE(1932),
    [sym_set] = STATE(1932),
    [sym_import] = STATE(1932),
    [sym_include] = STATE(1932),
    [sym_for] = STATE(1932),
    [sym_while] = STATE(1932),
    [sym_show] = STATE(1932),
    [sym_return] = STATE(1932),
    [sym_flow] = STATE(1932),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2781),
    [sym_none] = ACTIONS(2781),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [692] = {
    [sym_raw_blck] = STATE(1933),
    [sym_raw_span] = STATE(1933),
    [sym_math] = STATE(1933),
    [sym__expr] = STATE(1933),
    [sym_ident] = STATE(1933),
    [sym_bool] = STATE(1933),
    [sym_number] = STATE(1933),
    [sym_string] = STATE(1933),
    [sym_tagged] = STATE(1933),
    [sym_context] = STATE(1933),
    [sym_elude] = STATE(1933),
    [sym_assign] = STATE(1933),
    [sym_lambda] = STATE(1933),
    [sym_or] = STATE(1933),
    [sym_not] = STATE(1933),
    [sym_and] = STATE(1933),
    [sym_cmp] = STATE(1933),
    [sym_in] = STATE(1933),
    [sym_add] = STATE(1933),
    [sym_sub] = STATE(1933),
    [sym_mul] = STATE(1933),
    [sym_div] = STATE(1933),
    [sym_sign] = STATE(1933),
    [sym_call] = STATE(1933),
    [sym_field] = STATE(1933),
    [sym_label] = STATE(1933),
    [sym_content] = STATE(1933),
    [sym_group] = STATE(1933),
    [sym_block] = STATE(1933),
    [sym_branch] = STATE(1933),
    [sym_let] = STATE(1933),
    [sym_set] = STATE(1933),
    [sym_import] = STATE(1933),
    [sym_include] = STATE(1933),
    [sym_for] = STATE(1933),
    [sym_while] = STATE(1933),
    [sym_show] = STATE(1933),
    [sym_return] = STATE(1933),
    [sym_flow] = STATE(1933),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2783),
    [sym_none] = ACTIONS(2783),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [693] = {
    [sym_raw_blck] = STATE(1860),
    [sym_raw_span] = STATE(1860),
    [sym_math] = STATE(1860),
    [sym__expr] = STATE(1860),
    [sym_ident] = STATE(1860),
    [sym_bool] = STATE(1860),
    [sym_number] = STATE(1860),
    [sym_string] = STATE(1860),
    [sym_tagged] = STATE(1860),
    [sym_context] = STATE(1860),
    [sym_elude] = STATE(1860),
    [sym_assign] = STATE(1860),
    [sym_lambda] = STATE(1860),
    [sym_or] = STATE(1860),
    [sym_not] = STATE(1860),
    [sym_and] = STATE(1860),
    [sym_cmp] = STATE(1860),
    [sym_in] = STATE(1860),
    [sym_add] = STATE(1860),
    [sym_sub] = STATE(1860),
    [sym_mul] = STATE(1860),
    [sym_div] = STATE(1860),
    [sym_sign] = STATE(1860),
    [sym_call] = STATE(1860),
    [sym_field] = STATE(1860),
    [sym_label] = STATE(1860),
    [sym_content] = STATE(1860),
    [sym_group] = STATE(1860),
    [sym_block] = STATE(1860),
    [sym_branch] = STATE(1860),
    [sym_let] = STATE(1860),
    [sym_set] = STATE(1860),
    [sym_import] = STATE(1860),
    [sym_include] = STATE(1860),
    [sym_for] = STATE(1860),
    [sym_while] = STATE(1860),
    [sym_show] = STATE(1860),
    [sym_return] = STATE(1860),
    [sym_flow] = STATE(1860),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2785),
    [sym_none] = ACTIONS(2785),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [694] = {
    [sym_raw_blck] = STATE(1934),
    [sym_raw_span] = STATE(1934),
    [sym_math] = STATE(1934),
    [sym__expr] = STATE(1934),
    [sym_ident] = STATE(1934),
    [sym_bool] = STATE(1934),
    [sym_number] = STATE(1934),
    [sym_string] = STATE(1934),
    [sym_tagged] = STATE(1934),
    [sym_context] = STATE(1934),
    [sym_elude] = STATE(1934),
    [sym_assign] = STATE(1934),
    [sym_lambda] = STATE(1934),
    [sym_or] = STATE(1934),
    [sym_not] = STATE(1934),
    [sym_and] = STATE(1934),
    [sym_cmp] = STATE(1934),
    [sym_in] = STATE(1934),
    [sym_add] = STATE(1934),
    [sym_sub] = STATE(1934),
    [sym_mul] = STATE(1934),
    [sym_div] = STATE(1934),
    [sym_sign] = STATE(1934),
    [sym_call] = STATE(1934),
    [sym_field] = STATE(1934),
    [sym_label] = STATE(1934),
    [sym_content] = STATE(1934),
    [sym_group] = STATE(1934),
    [sym_block] = STATE(1934),
    [sym_branch] = STATE(1934),
    [sym_let] = STATE(1934),
    [sym_set] = STATE(1934),
    [sym_import] = STATE(1934),
    [sym_include] = STATE(1934),
    [sym_for] = STATE(1934),
    [sym_while] = STATE(1934),
    [sym_show] = STATE(1934),
    [sym_return] = STATE(1934),
    [sym_flow] = STATE(1934),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2787),
    [sym_none] = ACTIONS(2787),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [695] = {
    [sym_raw_blck] = STATE(1935),
    [sym_raw_span] = STATE(1935),
    [sym_math] = STATE(1935),
    [sym__expr] = STATE(1935),
    [sym_ident] = STATE(1935),
    [sym_bool] = STATE(1935),
    [sym_number] = STATE(1935),
    [sym_string] = STATE(1935),
    [sym_tagged] = STATE(1935),
    [sym_context] = STATE(1935),
    [sym_elude] = STATE(1935),
    [sym_assign] = STATE(1935),
    [sym_lambda] = STATE(1935),
    [sym_or] = STATE(1935),
    [sym_not] = STATE(1935),
    [sym_and] = STATE(1935),
    [sym_cmp] = STATE(1935),
    [sym_in] = STATE(1935),
    [sym_add] = STATE(1935),
    [sym_sub] = STATE(1935),
    [sym_mul] = STATE(1935),
    [sym_div] = STATE(1935),
    [sym_sign] = STATE(1935),
    [sym_call] = STATE(1935),
    [sym_field] = STATE(1935),
    [sym_label] = STATE(1935),
    [sym_content] = STATE(1935),
    [sym_group] = STATE(1935),
    [sym_block] = STATE(1935),
    [sym_branch] = STATE(1935),
    [sym_let] = STATE(1935),
    [sym_set] = STATE(1935),
    [sym_import] = STATE(1935),
    [sym_include] = STATE(1935),
    [sym_for] = STATE(1935),
    [sym_while] = STATE(1935),
    [sym_show] = STATE(1935),
    [sym_return] = STATE(1935),
    [sym_flow] = STATE(1935),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2789),
    [sym_none] = ACTIONS(2789),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [696] = {
    [sym_raw_blck] = STATE(1863),
    [sym_raw_span] = STATE(1863),
    [sym_math] = STATE(1863),
    [sym__expr] = STATE(1863),
    [sym_ident] = STATE(1863),
    [sym_bool] = STATE(1863),
    [sym_number] = STATE(1863),
    [sym_string] = STATE(1863),
    [sym_tagged] = STATE(1863),
    [sym_context] = STATE(1863),
    [sym_elude] = STATE(1863),
    [sym_assign] = STATE(1863),
    [sym_lambda] = STATE(1863),
    [sym_or] = STATE(1863),
    [sym_not] = STATE(1863),
    [sym_and] = STATE(1863),
    [sym_cmp] = STATE(1863),
    [sym_in] = STATE(1863),
    [sym_add] = STATE(1863),
    [sym_sub] = STATE(1863),
    [sym_mul] = STATE(1863),
    [sym_div] = STATE(1863),
    [sym_sign] = STATE(1863),
    [sym_call] = STATE(1863),
    [sym_field] = STATE(1863),
    [sym_label] = STATE(1863),
    [sym_content] = STATE(1863),
    [sym_group] = STATE(1863),
    [sym_block] = STATE(1863),
    [sym_branch] = STATE(1863),
    [sym_let] = STATE(1863),
    [sym_set] = STATE(1863),
    [sym_import] = STATE(1863),
    [sym_include] = STATE(1863),
    [sym_for] = STATE(1863),
    [sym_while] = STATE(1863),
    [sym_show] = STATE(1863),
    [sym_return] = STATE(1863),
    [sym_flow] = STATE(1863),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2791),
    [sym_none] = ACTIONS(2791),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [697] = {
    [sym_raw_blck] = STATE(1864),
    [sym_raw_span] = STATE(1864),
    [sym_math] = STATE(1864),
    [sym__expr] = STATE(1864),
    [sym_ident] = STATE(1864),
    [sym_bool] = STATE(1864),
    [sym_number] = STATE(1864),
    [sym_string] = STATE(1864),
    [sym_tagged] = STATE(1864),
    [sym_context] = STATE(1864),
    [sym_elude] = STATE(1864),
    [sym_assign] = STATE(1864),
    [sym_lambda] = STATE(1864),
    [sym_or] = STATE(1864),
    [sym_not] = STATE(1864),
    [sym_and] = STATE(1864),
    [sym_cmp] = STATE(1864),
    [sym_in] = STATE(1864),
    [sym_add] = STATE(1864),
    [sym_sub] = STATE(1864),
    [sym_mul] = STATE(1864),
    [sym_div] = STATE(1864),
    [sym_sign] = STATE(1864),
    [sym_call] = STATE(1864),
    [sym_field] = STATE(1864),
    [sym_label] = STATE(1864),
    [sym_content] = STATE(1864),
    [sym_group] = STATE(1864),
    [sym_block] = STATE(1864),
    [sym_branch] = STATE(1864),
    [sym_let] = STATE(1864),
    [sym_set] = STATE(1864),
    [sym_import] = STATE(1864),
    [sym_include] = STATE(1864),
    [sym_for] = STATE(1864),
    [sym_while] = STATE(1864),
    [sym_show] = STATE(1864),
    [sym_return] = STATE(1864),
    [sym_flow] = STATE(1864),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2793),
    [sym_none] = ACTIONS(2793),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [698] = {
    [sym_raw_blck] = STATE(1943),
    [sym_raw_span] = STATE(1943),
    [sym_math] = STATE(1943),
    [sym__expr] = STATE(1943),
    [sym_ident] = STATE(1943),
    [sym_bool] = STATE(1943),
    [sym_number] = STATE(1943),
    [sym_string] = STATE(1943),
    [sym_tagged] = STATE(1943),
    [sym_context] = STATE(1943),
    [sym_elude] = STATE(1943),
    [sym_assign] = STATE(1943),
    [sym_lambda] = STATE(1943),
    [sym_or] = STATE(1943),
    [sym_not] = STATE(1943),
    [sym_and] = STATE(1943),
    [sym_cmp] = STATE(1943),
    [sym_in] = STATE(1943),
    [sym_add] = STATE(1943),
    [sym_sub] = STATE(1943),
    [sym_mul] = STATE(1943),
    [sym_div] = STATE(1943),
    [sym_sign] = STATE(1943),
    [sym_call] = STATE(1943),
    [sym_field] = STATE(1943),
    [sym_label] = STATE(1943),
    [sym_content] = STATE(1943),
    [sym_group] = STATE(1943),
    [sym_block] = STATE(1943),
    [sym_branch] = STATE(1943),
    [sym_let] = STATE(1943),
    [sym_set] = STATE(1943),
    [sym_import] = STATE(1943),
    [sym_include] = STATE(1943),
    [sym_for] = STATE(1943),
    [sym_while] = STATE(1943),
    [sym_show] = STATE(1943),
    [sym_return] = STATE(1943),
    [sym_flow] = STATE(1943),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2795),
    [sym_none] = ACTIONS(2795),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [699] = {
    [sym_raw_blck] = STATE(1944),
    [sym_raw_span] = STATE(1944),
    [sym_math] = STATE(1944),
    [sym__expr] = STATE(1944),
    [sym_ident] = STATE(1944),
    [sym_bool] = STATE(1944),
    [sym_number] = STATE(1944),
    [sym_string] = STATE(1944),
    [sym_tagged] = STATE(1944),
    [sym_context] = STATE(1944),
    [sym_elude] = STATE(1944),
    [sym_assign] = STATE(1944),
    [sym_lambda] = STATE(1944),
    [sym_or] = STATE(1944),
    [sym_not] = STATE(1944),
    [sym_and] = STATE(1944),
    [sym_cmp] = STATE(1944),
    [sym_in] = STATE(1944),
    [sym_add] = STATE(1944),
    [sym_sub] = STATE(1944),
    [sym_mul] = STATE(1944),
    [sym_div] = STATE(1944),
    [sym_sign] = STATE(1944),
    [sym_call] = STATE(1944),
    [sym_field] = STATE(1944),
    [sym_label] = STATE(1944),
    [sym_content] = STATE(1944),
    [sym_group] = STATE(1944),
    [sym_block] = STATE(1944),
    [sym_branch] = STATE(1944),
    [sym_let] = STATE(1944),
    [sym_set] = STATE(1944),
    [sym_import] = STATE(1944),
    [sym_include] = STATE(1944),
    [sym_for] = STATE(1944),
    [sym_while] = STATE(1944),
    [sym_show] = STATE(1944),
    [sym_return] = STATE(1944),
    [sym_flow] = STATE(1944),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2797),
    [sym_none] = ACTIONS(2797),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [700] = {
    [sym_raw_blck] = STATE(1948),
    [sym_raw_span] = STATE(1948),
    [sym_math] = STATE(1948),
    [sym__expr] = STATE(1948),
    [sym_ident] = STATE(1948),
    [sym_bool] = STATE(1948),
    [sym_number] = STATE(1948),
    [sym_string] = STATE(1948),
    [sym_tagged] = STATE(1948),
    [sym_context] = STATE(1948),
    [sym_elude] = STATE(1948),
    [sym_assign] = STATE(1948),
    [sym_lambda] = STATE(1948),
    [sym_or] = STATE(1948),
    [sym_not] = STATE(1948),
    [sym_and] = STATE(1948),
    [sym_cmp] = STATE(1948),
    [sym_in] = STATE(1948),
    [sym_add] = STATE(1948),
    [sym_sub] = STATE(1948),
    [sym_mul] = STATE(1948),
    [sym_div] = STATE(1948),
    [sym_sign] = STATE(1948),
    [sym_call] = STATE(1948),
    [sym_field] = STATE(1948),
    [sym_label] = STATE(1948),
    [sym_content] = STATE(1948),
    [sym_group] = STATE(1948),
    [sym_block] = STATE(1948),
    [sym_branch] = STATE(1948),
    [sym_let] = STATE(1948),
    [sym_set] = STATE(1948),
    [sym_import] = STATE(1948),
    [sym_include] = STATE(1948),
    [sym_for] = STATE(1948),
    [sym_while] = STATE(1948),
    [sym_show] = STATE(1948),
    [sym_return] = STATE(1948),
    [sym_flow] = STATE(1948),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2799),
    [sym_none] = ACTIONS(2799),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [701] = {
    [sym_raw_blck] = STATE(1949),
    [sym_raw_span] = STATE(1949),
    [sym_math] = STATE(1949),
    [sym__expr] = STATE(1949),
    [sym_ident] = STATE(1949),
    [sym_bool] = STATE(1949),
    [sym_number] = STATE(1949),
    [sym_string] = STATE(1949),
    [sym_tagged] = STATE(1949),
    [sym_context] = STATE(1949),
    [sym_elude] = STATE(1949),
    [sym_assign] = STATE(1949),
    [sym_lambda] = STATE(1949),
    [sym_or] = STATE(1949),
    [sym_not] = STATE(1949),
    [sym_and] = STATE(1949),
    [sym_cmp] = STATE(1949),
    [sym_in] = STATE(1949),
    [sym_add] = STATE(1949),
    [sym_sub] = STATE(1949),
    [sym_mul] = STATE(1949),
    [sym_div] = STATE(1949),
    [sym_sign] = STATE(1949),
    [sym_call] = STATE(1949),
    [sym_field] = STATE(1949),
    [sym_label] = STATE(1949),
    [sym_content] = STATE(1949),
    [sym_group] = STATE(1949),
    [sym_block] = STATE(1949),
    [sym_branch] = STATE(1949),
    [sym_let] = STATE(1949),
    [sym_set] = STATE(1949),
    [sym_import] = STATE(1949),
    [sym_include] = STATE(1949),
    [sym_for] = STATE(1949),
    [sym_while] = STATE(1949),
    [sym_show] = STATE(1949),
    [sym_return] = STATE(1949),
    [sym_flow] = STATE(1949),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_DOLLAR] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [aux_sym_number_token1] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_context] = ACTIONS(81),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_not] = ACTIONS(115),
    [anon_sym_LT] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_LPAREN2] = ACTIONS(85),
    [anon_sym_LBRACE] = ACTIONS(87),
    [anon_sym_if] = ACTIONS(89),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_import] = ACTIONS(95),
    [anon_sym_include] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_while] = ACTIONS(101),
    [anon_sym_show] = ACTIONS(103),
    [anon_sym_return] = ACTIONS(105),
    [anon_sym_break] = ACTIONS(107),
    [anon_sym_continue] = ACTIONS(107),
    [sym_auto] = ACTIONS(2801),
    [sym_none] = ACTIONS(2801),
    [sym__token_content] = ACTIONS(111),
    [sym__token_raw_blck_ldlm] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [702] = {
    [sym_raw_blck] = STATE(1865),
    [sym_raw_span] = STATE(1865),
    [sym_math] = STATE(1865),
    [sym__expr] = STATE(1865),
    [sym_ident] = STATE(1865),
    [sym_bool] = STATE(1865),
    [sym_number] = STATE(1865),
    [sym_string] = STATE(1865),
    [sym_tagged] = STATE(1865),
    [sym_context] = STATE(1865),
    [sym_elude] = STATE(1865),
    [sym_assign] = STATE(1865),
    [sym_lambda] = STATE(1865),
    [sym_or] = STATE(1865),
    [sym_not] = STATE(1865),
    [sym_and] = STATE(1865),
    [sym_cmp] = STATE(1865),
    [sym_in] = STATE(1865),
    [sym_add] = STATE(1865),
    [sym_sub] = STATE(1865),
    [sym_mul] = STATE(1865),
    [sym_div] = STATE(1865),
    [sym_sign] = STATE(1865),
    [sym_call] = STATE(1865),
    [sym_field] = STATE(1865),
    [sym_label] = STATE(1865),
    [sym_content] = STATE(1865),
    [sym_group] = STATE(1865),
    [sym_block] = STATE(1865),
    [sym_branch] = STATE(1865),
    [sym_let] = STATE(1865),
    [sym_set] = STATE(1865),
    [sym_import] = STATE(1865),
    [sym_include] = STATE(1865),
    [sym_for] = STATE(1865),
    [sym_while] = STATE(1865),
    [sym_show] = STATE(1865),
    [sym_return] = STATE(1865),
    [sym_flow] = STATE(1865),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2803),
    [sym_none] = ACTIONS(2803),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [703] = {
    [sym_raw_blck] = STATE(2509),
    [sym_raw_span] = STATE(2509),
    [sym_math] = STATE(2509),
    [sym__expr] = STATE(2509),
    [sym_ident] = STATE(2509),
    [sym_bool] = STATE(2509),
    [sym_number] = STATE(2509),
    [sym_string] = STATE(2509),
    [sym_tagged] = STATE(2509),
    [sym_context] = STATE(2509),
    [sym_elude] = STATE(2509),
    [sym_assign] = STATE(2509),
    [sym_lambda] = STATE(2509),
    [sym_or] = STATE(2509),
    [sym_not] = STATE(2509),
    [sym_and] = STATE(2509),
    [sym_cmp] = STATE(2509),
    [sym_in] = STATE(2509),
    [sym_add] = STATE(2509),
    [sym_sub] = STATE(2509),
    [sym_mul] = STATE(2509),
    [sym_div] = STATE(2509),
    [sym_sign] = STATE(2509),
    [sym_call] = STATE(2509),
    [sym_field] = STATE(2509),
    [sym_label] = STATE(2509),
    [sym_content] = STATE(2509),
    [sym_group] = STATE(2509),
    [sym_block] = STATE(2509),
    [sym_branch] = STATE(2509),
    [sym_let] = STATE(2509),
    [sym_set] = STATE(2509),
    [sym_import] = STATE(2509),
    [sym_include] = STATE(2509),
    [sym_for] = STATE(2509),
    [sym_while] = STATE(2509),
    [sym_show] = STATE(2509),
    [sym_return] = STATE(2509),
    [sym_flow] = STATE(2509),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2805),
    [sym_none] = ACTIONS(2805),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [704] = {
    [sym_raw_blck] = STATE(2698),
    [sym_raw_span] = STATE(2698),
    [sym_math] = STATE(2698),
    [sym__expr] = STATE(2698),
    [sym_ident] = STATE(2698),
    [sym_bool] = STATE(2698),
    [sym_number] = STATE(2698),
    [sym_string] = STATE(2698),
    [sym_tagged] = STATE(2698),
    [sym_context] = STATE(2698),
    [sym_elude] = STATE(2698),
    [sym_assign] = STATE(2698),
    [sym_lambda] = STATE(2698),
    [sym_or] = STATE(2698),
    [sym_not] = STATE(2698),
    [sym_and] = STATE(2698),
    [sym_cmp] = STATE(2698),
    [sym_in] = STATE(2698),
    [sym_add] = STATE(2698),
    [sym_sub] = STATE(2698),
    [sym_mul] = STATE(2698),
    [sym_div] = STATE(2698),
    [sym_sign] = STATE(2698),
    [sym_call] = STATE(2698),
    [sym_field] = STATE(2698),
    [sym_label] = STATE(2698),
    [sym_content] = STATE(2698),
    [sym_group] = STATE(2698),
    [sym_block] = STATE(2698),
    [sym_branch] = STATE(2698),
    [sym_let] = STATE(2698),
    [sym_set] = STATE(2698),
    [sym_import] = STATE(2698),
    [sym_include] = STATE(2698),
    [sym_for] = STATE(2698),
    [sym_while] = STATE(2698),
    [sym_show] = STATE(2698),
    [sym_return] = STATE(2698),
    [sym_flow] = STATE(2698),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2807),
    [sym_none] = ACTIONS(2807),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [705] = {
    [sym_raw_blck] = STATE(1867),
    [sym_raw_span] = STATE(1867),
    [sym_math] = STATE(1867),
    [sym__expr] = STATE(1867),
    [sym_ident] = STATE(1867),
    [sym_bool] = STATE(1867),
    [sym_number] = STATE(1867),
    [sym_string] = STATE(1867),
    [sym_tagged] = STATE(1867),
    [sym_context] = STATE(1867),
    [sym_elude] = STATE(1867),
    [sym_assign] = STATE(1867),
    [sym_lambda] = STATE(1867),
    [sym_or] = STATE(1867),
    [sym_not] = STATE(1867),
    [sym_and] = STATE(1867),
    [sym_cmp] = STATE(1867),
    [sym_in] = STATE(1867),
    [sym_add] = STATE(1867),
    [sym_sub] = STATE(1867),
    [sym_mul] = STATE(1867),
    [sym_div] = STATE(1867),
    [sym_sign] = STATE(1867),
    [sym_call] = STATE(1867),
    [sym_field] = STATE(1867),
    [sym_label] = STATE(1867),
    [sym_content] = STATE(1867),
    [sym_group] = STATE(1867),
    [sym_block] = STATE(1867),
    [sym_branch] = STATE(1867),
    [sym_let] = STATE(1867),
    [sym_set] = STATE(1867),
    [sym_import] = STATE(1867),
    [sym_include] = STATE(1867),
    [sym_for] = STATE(1867),
    [sym_while] = STATE(1867),
    [sym_show] = STATE(1867),
    [sym_return] = STATE(1867),
    [sym_flow] = STATE(1867),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2809),
    [sym_none] = ACTIONS(2809),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [706] = {
    [sym_raw_blck] = STATE(1868),
    [sym_raw_span] = STATE(1868),
    [sym_math] = STATE(1868),
    [sym__expr] = STATE(1868),
    [sym_ident] = STATE(1868),
    [sym_bool] = STATE(1868),
    [sym_number] = STATE(1868),
    [sym_string] = STATE(1868),
    [sym_tagged] = STATE(1868),
    [sym_context] = STATE(1868),
    [sym_elude] = STATE(1868),
    [sym_assign] = STATE(1868),
    [sym_lambda] = STATE(1868),
    [sym_or] = STATE(1868),
    [sym_not] = STATE(1868),
    [sym_and] = STATE(1868),
    [sym_cmp] = STATE(1868),
    [sym_in] = STATE(1868),
    [sym_add] = STATE(1868),
    [sym_sub] = STATE(1868),
    [sym_mul] = STATE(1868),
    [sym_div] = STATE(1868),
    [sym_sign] = STATE(1868),
    [sym_call] = STATE(1868),
    [sym_field] = STATE(1868),
    [sym_label] = STATE(1868),
    [sym_content] = STATE(1868),
    [sym_group] = STATE(1868),
    [sym_block] = STATE(1868),
    [sym_branch] = STATE(1868),
    [sym_let] = STATE(1868),
    [sym_set] = STATE(1868),
    [sym_import] = STATE(1868),
    [sym_include] = STATE(1868),
    [sym_for] = STATE(1868),
    [sym_while] = STATE(1868),
    [sym_show] = STATE(1868),
    [sym_return] = STATE(1868),
    [sym_flow] = STATE(1868),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2811),
    [sym_none] = ACTIONS(2811),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [707] = {
    [sym_raw_blck] = STATE(2511),
    [sym_raw_span] = STATE(2511),
    [sym_math] = STATE(2511),
    [sym__expr] = STATE(2511),
    [sym_ident] = STATE(2511),
    [sym_bool] = STATE(2511),
    [sym_number] = STATE(2511),
    [sym_string] = STATE(2511),
    [sym_tagged] = STATE(2511),
    [sym_context] = STATE(2511),
    [sym_elude] = STATE(2511),
    [sym_assign] = STATE(2511),
    [sym_lambda] = STATE(2511),
    [sym_or] = STATE(2511),
    [sym_not] = STATE(2511),
    [sym_and] = STATE(2511),
    [sym_cmp] = STATE(2511),
    [sym_in] = STATE(2511),
    [sym_add] = STATE(2511),
    [sym_sub] = STATE(2511),
    [sym_mul] = STATE(2511),
    [sym_div] = STATE(2511),
    [sym_sign] = STATE(2511),
    [sym_call] = STATE(2511),
    [sym_field] = STATE(2511),
    [sym_label] = STATE(2511),
    [sym_content] = STATE(2511),
    [sym_group] = STATE(2511),
    [sym_block] = STATE(2511),
    [sym_branch] = STATE(2511),
    [sym_let] = STATE(2511),
    [sym_set] = STATE(2511),
    [sym_import] = STATE(2511),
    [sym_include] = STATE(2511),
    [sym_for] = STATE(2511),
    [sym_while] = STATE(2511),
    [sym_show] = STATE(2511),
    [sym_return] = STATE(2511),
    [sym_flow] = STATE(2511),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2813),
    [sym_none] = ACTIONS(2813),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [708] = {
    [sym_raw_blck] = STATE(2512),
    [sym_raw_span] = STATE(2512),
    [sym_math] = STATE(2512),
    [sym__expr] = STATE(2512),
    [sym_ident] = STATE(2512),
    [sym_bool] = STATE(2512),
    [sym_number] = STATE(2512),
    [sym_string] = STATE(2512),
    [sym_tagged] = STATE(2512),
    [sym_context] = STATE(2512),
    [sym_elude] = STATE(2512),
    [sym_assign] = STATE(2512),
    [sym_lambda] = STATE(2512),
    [sym_or] = STATE(2512),
    [sym_not] = STATE(2512),
    [sym_and] = STATE(2512),
    [sym_cmp] = STATE(2512),
    [sym_in] = STATE(2512),
    [sym_add] = STATE(2512),
    [sym_sub] = STATE(2512),
    [sym_mul] = STATE(2512),
    [sym_div] = STATE(2512),
    [sym_sign] = STATE(2512),
    [sym_call] = STATE(2512),
    [sym_field] = STATE(2512),
    [sym_label] = STATE(2512),
    [sym_content] = STATE(2512),
    [sym_group] = STATE(2512),
    [sym_block] = STATE(2512),
    [sym_branch] = STATE(2512),
    [sym_let] = STATE(2512),
    [sym_set] = STATE(2512),
    [sym_import] = STATE(2512),
    [sym_include] = STATE(2512),
    [sym_for] = STATE(2512),
    [sym_while] = STATE(2512),
    [sym_show] = STATE(2512),
    [sym_return] = STATE(2512),
    [sym_flow] = STATE(2512),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2815),
    [sym_none] = ACTIONS(2815),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [709] = {
    [sym_raw_blck] = STATE(2701),
    [sym_raw_span] = STATE(2701),
    [sym_math] = STATE(2701),
    [sym__expr] = STATE(2701),
    [sym_ident] = STATE(2701),
    [sym_bool] = STATE(2701),
    [sym_number] = STATE(2701),
    [sym_string] = STATE(2701),
    [sym_tagged] = STATE(2701),
    [sym_context] = STATE(2701),
    [sym_elude] = STATE(2701),
    [sym_assign] = STATE(2701),
    [sym_lambda] = STATE(2701),
    [sym_or] = STATE(2701),
    [sym_not] = STATE(2701),
    [sym_and] = STATE(2701),
    [sym_cmp] = STATE(2701),
    [sym_in] = STATE(2701),
    [sym_add] = STATE(2701),
    [sym_sub] = STATE(2701),
    [sym_mul] = STATE(2701),
    [sym_div] = STATE(2701),
    [sym_sign] = STATE(2701),
    [sym_call] = STATE(2701),
    [sym_field] = STATE(2701),
    [sym_label] = STATE(2701),
    [sym_content] = STATE(2701),
    [sym_group] = STATE(2701),
    [sym_block] = STATE(2701),
    [sym_branch] = STATE(2701),
    [sym_let] = STATE(2701),
    [sym_set] = STATE(2701),
    [sym_import] = STATE(2701),
    [sym_include] = STATE(2701),
    [sym_for] = STATE(2701),
    [sym_while] = STATE(2701),
    [sym_show] = STATE(2701),
    [sym_return] = STATE(2701),
    [sym_flow] = STATE(2701),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2817),
    [sym_none] = ACTIONS(2817),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [710] = {
    [sym_raw_blck] = STATE(2531),
    [sym_raw_span] = STATE(2531),
    [sym_math] = STATE(2531),
    [sym__expr] = STATE(2531),
    [sym_ident] = STATE(2531),
    [sym_bool] = STATE(2531),
    [sym_number] = STATE(2531),
    [sym_string] = STATE(2531),
    [sym_tagged] = STATE(2531),
    [sym_context] = STATE(2531),
    [sym_elude] = STATE(2531),
    [sym_assign] = STATE(2531),
    [sym_lambda] = STATE(2531),
    [sym_or] = STATE(2531),
    [sym_not] = STATE(2531),
    [sym_and] = STATE(2531),
    [sym_cmp] = STATE(2531),
    [sym_in] = STATE(2531),
    [sym_add] = STATE(2531),
    [sym_sub] = STATE(2531),
    [sym_mul] = STATE(2531),
    [sym_div] = STATE(2531),
    [sym_sign] = STATE(2531),
    [sym_call] = STATE(2531),
    [sym_field] = STATE(2531),
    [sym_label] = STATE(2531),
    [sym_content] = STATE(2531),
    [sym_group] = STATE(2531),
    [sym_block] = STATE(2531),
    [sym_branch] = STATE(2531),
    [sym_let] = STATE(2531),
    [sym_set] = STATE(2531),
    [sym_import] = STATE(2531),
    [sym_include] = STATE(2531),
    [sym_for] = STATE(2531),
    [sym_while] = STATE(2531),
    [sym_show] = STATE(2531),
    [sym_return] = STATE(2531),
    [sym_flow] = STATE(2531),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2819),
    [sym_none] = ACTIONS(2819),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [711] = {
    [sym_raw_blck] = STATE(1869),
    [sym_raw_span] = STATE(1869),
    [sym_math] = STATE(1869),
    [sym__expr] = STATE(1869),
    [sym_ident] = STATE(1869),
    [sym_bool] = STATE(1869),
    [sym_number] = STATE(1869),
    [sym_string] = STATE(1869),
    [sym_tagged] = STATE(1869),
    [sym_context] = STATE(1869),
    [sym_elude] = STATE(1869),
    [sym_assign] = STATE(1869),
    [sym_lambda] = STATE(1869),
    [sym_or] = STATE(1869),
    [sym_not] = STATE(1869),
    [sym_and] = STATE(1869),
    [sym_cmp] = STATE(1869),
    [sym_in] = STATE(1869),
    [sym_add] = STATE(1869),
    [sym_sub] = STATE(1869),
    [sym_mul] = STATE(1869),
    [sym_div] = STATE(1869),
    [sym_sign] = STATE(1869),
    [sym_call] = STATE(1869),
    [sym_field] = STATE(1869),
    [sym_label] = STATE(1869),
    [sym_content] = STATE(1869),
    [sym_group] = STATE(1869),
    [sym_block] = STATE(1869),
    [sym_branch] = STATE(1869),
    [sym_let] = STATE(1869),
    [sym_set] = STATE(1869),
    [sym_import] = STATE(1869),
    [sym_include] = STATE(1869),
    [sym_for] = STATE(1869),
    [sym_while] = STATE(1869),
    [sym_show] = STATE(1869),
    [sym_return] = STATE(1869),
    [sym_flow] = STATE(1869),
    [sym__identifier] = ACTIONS(1041),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1043),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [anon_sym_true] = ACTIONS(1047),
    [anon_sym_false] = ACTIONS(1047),
    [aux_sym_number_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1051),
    [anon_sym_context] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_LPAREN2] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_set] = ACTIONS(1071),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_include] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [sym_auto] = ACTIONS(2821),
    [sym_none] = ACTIONS(2821),
    [sym__token_content] = ACTIONS(1089),
    [sym__token_raw_blck_ldlm] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [712] = {
    [sym_raw_blck] = STATE(2532),
    [sym_raw_span] = STATE(2532),
    [sym_math] = STATE(2532),
    [sym__expr] = STATE(2532),
    [sym_ident] = STATE(2532),
    [sym_bool] = STATE(2532),
    [sym_number] = STATE(2532),
    [sym_string] = STATE(2532),
    [sym_tagged] = STATE(2532),
    [sym_context] = STATE(2532),
    [sym_elude] = STATE(2532),
    [sym_assign] = STATE(2532),
    [sym_lambda] = STATE(2532),
    [sym_or] = STATE(2532),
    [sym_not] = STATE(2532),
    [sym_and] = STATE(2532),
    [sym_cmp] = STATE(2532),
    [sym_in] = STATE(2532),
    [sym_add] = STATE(2532),
    [sym_sub] = STATE(2532),
    [sym_mul] = STATE(2532),
    [sym_div] = STATE(2532),
    [sym_sign] = STATE(2532),
    [sym_call] = STATE(2532),
    [sym_field] = STATE(2532),
    [sym_label] = STATE(2532),
    [sym_content] = STATE(2532),
    [sym_group] = STATE(2532),
    [sym_block] = STATE(2532),
    [sym_branch] = STATE(2532),
    [sym_let] = STATE(2532),
    [sym_set] = STATE(2532),
    [sym_import] = STATE(2532),
    [sym_include] = STATE(2532),
    [sym_for] = STATE(2532),
    [sym_while] = STATE(2532),
    [sym_show] = STATE(2532),
    [sym_return] = STATE(2532),
    [sym_flow] = STATE(2532),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2823),
    [sym_none] = ACTIONS(2823),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [713] = {
    [sym_raw_blck] = STATE(2533),
    [sym_raw_span] = STATE(2533),
    [sym_math] = STATE(2533),
    [sym__expr] = STATE(2533),
    [sym_ident] = STATE(2533),
    [sym_bool] = STATE(2533),
    [sym_number] = STATE(2533),
    [sym_string] = STATE(2533),
    [sym_tagged] = STATE(2533),
    [sym_context] = STATE(2533),
    [sym_elude] = STATE(2533),
    [sym_assign] = STATE(2533),
    [sym_lambda] = STATE(2533),
    [sym_or] = STATE(2533),
    [sym_not] = STATE(2533),
    [sym_and] = STATE(2533),
    [sym_cmp] = STATE(2533),
    [sym_in] = STATE(2533),
    [sym_add] = STATE(2533),
    [sym_sub] = STATE(2533),
    [sym_mul] = STATE(2533),
    [sym_div] = STATE(2533),
    [sym_sign] = STATE(2533),
    [sym_call] = STATE(2533),
    [sym_field] = STATE(2533),
    [sym_label] = STATE(2533),
    [sym_content] = STATE(2533),
    [sym_group] = STATE(2533),
    [sym_block] = STATE(2533),
    [sym_branch] = STATE(2533),
    [sym_let] = STATE(2533),
    [sym_set] = STATE(2533),
    [sym_import] = STATE(2533),
    [sym_include] = STATE(2533),
    [sym_for] = STATE(2533),
    [sym_while] = STATE(2533),
    [sym_show] = STATE(2533),
    [sym_return] = STATE(2533),
    [sym_flow] = STATE(2533),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2825),
    [sym_none] = ACTIONS(2825),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [714] = {
    [sym_raw_blck] = STATE(2534),
    [sym_raw_span] = STATE(2534),
    [sym_math] = STATE(2534),
    [sym__expr] = STATE(2534),
    [sym_ident] = STATE(2534),
    [sym_bool] = STATE(2534),
    [sym_number] = STATE(2534),
    [sym_string] = STATE(2534),
    [sym_tagged] = STATE(2534),
    [sym_context] = STATE(2534),
    [sym_elude] = STATE(2534),
    [sym_assign] = STATE(2534),
    [sym_lambda] = STATE(2534),
    [sym_or] = STATE(2534),
    [sym_not] = STATE(2534),
    [sym_and] = STATE(2534),
    [sym_cmp] = STATE(2534),
    [sym_in] = STATE(2534),
    [sym_add] = STATE(2534),
    [sym_sub] = STATE(2534),
    [sym_mul] = STATE(2534),
    [sym_div] = STATE(2534),
    [sym_sign] = STATE(2534),
    [sym_call] = STATE(2534),
    [sym_field] = STATE(2534),
    [sym_label] = STATE(2534),
    [sym_content] = STATE(2534),
    [sym_group] = STATE(2534),
    [sym_block] = STATE(2534),
    [sym_branch] = STATE(2534),
    [sym_let] = STATE(2534),
    [sym_set] = STATE(2534),
    [sym_import] = STATE(2534),
    [sym_include] = STATE(2534),
    [sym_for] = STATE(2534),
    [sym_while] = STATE(2534),
    [sym_show] = STATE(2534),
    [sym_return] = STATE(2534),
    [sym_flow] = STATE(2534),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2827),
    [sym_none] = ACTIONS(2827),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [715] = {
    [sym_raw_blck] = STATE(2535),
    [sym_raw_span] = STATE(2535),
    [sym_math] = STATE(2535),
    [sym__expr] = STATE(2535),
    [sym_ident] = STATE(2535),
    [sym_bool] = STATE(2535),
    [sym_number] = STATE(2535),
    [sym_string] = STATE(2535),
    [sym_tagged] = STATE(2535),
    [sym_context] = STATE(2535),
    [sym_elude] = STATE(2535),
    [sym_assign] = STATE(2535),
    [sym_lambda] = STATE(2535),
    [sym_or] = STATE(2535),
    [sym_not] = STATE(2535),
    [sym_and] = STATE(2535),
    [sym_cmp] = STATE(2535),
    [sym_in] = STATE(2535),
    [sym_add] = STATE(2535),
    [sym_sub] = STATE(2535),
    [sym_mul] = STATE(2535),
    [sym_div] = STATE(2535),
    [sym_sign] = STATE(2535),
    [sym_call] = STATE(2535),
    [sym_field] = STATE(2535),
    [sym_label] = STATE(2535),
    [sym_content] = STATE(2535),
    [sym_group] = STATE(2535),
    [sym_block] = STATE(2535),
    [sym_branch] = STATE(2535),
    [sym_let] = STATE(2535),
    [sym_set] = STATE(2535),
    [sym_import] = STATE(2535),
    [sym_include] = STATE(2535),
    [sym_for] = STATE(2535),
    [sym_while] = STATE(2535),
    [sym_show] = STATE(2535),
    [sym_return] = STATE(2535),
    [sym_flow] = STATE(2535),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2829),
    [sym_none] = ACTIONS(2829),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [716] = {
    [sym_raw_blck] = STATE(2538),
    [sym_raw_span] = STATE(2538),
    [sym_math] = STATE(2538),
    [sym__expr] = STATE(2538),
    [sym_ident] = STATE(2538),
    [sym_bool] = STATE(2538),
    [sym_number] = STATE(2538),
    [sym_string] = STATE(2538),
    [sym_tagged] = STATE(2538),
    [sym_context] = STATE(2538),
    [sym_elude] = STATE(2538),
    [sym_assign] = STATE(2538),
    [sym_lambda] = STATE(2538),
    [sym_or] = STATE(2538),
    [sym_not] = STATE(2538),
    [sym_and] = STATE(2538),
    [sym_cmp] = STATE(2538),
    [sym_in] = STATE(2538),
    [sym_add] = STATE(2538),
    [sym_sub] = STATE(2538),
    [sym_mul] = STATE(2538),
    [sym_div] = STATE(2538),
    [sym_sign] = STATE(2538),
    [sym_call] = STATE(2538),
    [sym_field] = STATE(2538),
    [sym_label] = STATE(2538),
    [sym_content] = STATE(2538),
    [sym_group] = STATE(2538),
    [sym_block] = STATE(2538),
    [sym_branch] = STATE(2538),
    [sym_let] = STATE(2538),
    [sym_set] = STATE(2538),
    [sym_import] = STATE(2538),
    [sym_include] = STATE(2538),
    [sym_for] = STATE(2538),
    [sym_while] = STATE(2538),
    [sym_show] = STATE(2538),
    [sym_return] = STATE(2538),
    [sym_flow] = STATE(2538),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2831),
    [sym_none] = ACTIONS(2831),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [717] = {
    [sym_raw_blck] = STATE(2539),
    [sym_raw_span] = STATE(2539),
    [sym_math] = STATE(2539),
    [sym__expr] = STATE(2539),
    [sym_ident] = STATE(2539),
    [sym_bool] = STATE(2539),
    [sym_number] = STATE(2539),
    [sym_string] = STATE(2539),
    [sym_tagged] = STATE(2539),
    [sym_context] = STATE(2539),
    [sym_elude] = STATE(2539),
    [sym_assign] = STATE(2539),
    [sym_lambda] = STATE(2539),
    [sym_or] = STATE(2539),
    [sym_not] = STATE(2539),
    [sym_and] = STATE(2539),
    [sym_cmp] = STATE(2539),
    [sym_in] = STATE(2539),
    [sym_add] = STATE(2539),
    [sym_sub] = STATE(2539),
    [sym_mul] = STATE(2539),
    [sym_div] = STATE(2539),
    [sym_sign] = STATE(2539),
    [sym_call] = STATE(2539),
    [sym_field] = STATE(2539),
    [sym_label] = STATE(2539),
    [sym_content] = STATE(2539),
    [sym_group] = STATE(2539),
    [sym_block] = STATE(2539),
    [sym_branch] = STATE(2539),
    [sym_let] = STATE(2539),
    [sym_set] = STATE(2539),
    [sym_import] = STATE(2539),
    [sym_include] = STATE(2539),
    [sym_for] = STATE(2539),
    [sym_while] = STATE(2539),
    [sym_show] = STATE(2539),
    [sym_return] = STATE(2539),
    [sym_flow] = STATE(2539),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2833),
    [sym_none] = ACTIONS(2833),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [718] = {
    [sym_raw_blck] = STATE(2540),
    [sym_raw_span] = STATE(2540),
    [sym_math] = STATE(2540),
    [sym__expr] = STATE(2540),
    [sym_ident] = STATE(2540),
    [sym_bool] = STATE(2540),
    [sym_number] = STATE(2540),
    [sym_string] = STATE(2540),
    [sym_tagged] = STATE(2540),
    [sym_context] = STATE(2540),
    [sym_elude] = STATE(2540),
    [sym_assign] = STATE(2540),
    [sym_lambda] = STATE(2540),
    [sym_or] = STATE(2540),
    [sym_not] = STATE(2540),
    [sym_and] = STATE(2540),
    [sym_cmp] = STATE(2540),
    [sym_in] = STATE(2540),
    [sym_add] = STATE(2540),
    [sym_sub] = STATE(2540),
    [sym_mul] = STATE(2540),
    [sym_div] = STATE(2540),
    [sym_sign] = STATE(2540),
    [sym_call] = STATE(2540),
    [sym_field] = STATE(2540),
    [sym_label] = STATE(2540),
    [sym_content] = STATE(2540),
    [sym_group] = STATE(2540),
    [sym_block] = STATE(2540),
    [sym_branch] = STATE(2540),
    [sym_let] = STATE(2540),
    [sym_set] = STATE(2540),
    [sym_import] = STATE(2540),
    [sym_include] = STATE(2540),
    [sym_for] = STATE(2540),
    [sym_while] = STATE(2540),
    [sym_show] = STATE(2540),
    [sym_return] = STATE(2540),
    [sym_flow] = STATE(2540),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2835),
    [sym_none] = ACTIONS(2835),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [719] = {
    [sym_raw_blck] = STATE(2541),
    [sym_raw_span] = STATE(2541),
    [sym_math] = STATE(2541),
    [sym__expr] = STATE(2541),
    [sym_ident] = STATE(2541),
    [sym_bool] = STATE(2541),
    [sym_number] = STATE(2541),
    [sym_string] = STATE(2541),
    [sym_tagged] = STATE(2541),
    [sym_context] = STATE(2541),
    [sym_elude] = STATE(2541),
    [sym_assign] = STATE(2541),
    [sym_lambda] = STATE(2541),
    [sym_or] = STATE(2541),
    [sym_not] = STATE(2541),
    [sym_and] = STATE(2541),
    [sym_cmp] = STATE(2541),
    [sym_in] = STATE(2541),
    [sym_add] = STATE(2541),
    [sym_sub] = STATE(2541),
    [sym_mul] = STATE(2541),
    [sym_div] = STATE(2541),
    [sym_sign] = STATE(2541),
    [sym_call] = STATE(2541),
    [sym_field] = STATE(2541),
    [sym_label] = STATE(2541),
    [sym_content] = STATE(2541),
    [sym_group] = STATE(2541),
    [sym_block] = STATE(2541),
    [sym_branch] = STATE(2541),
    [sym_let] = STATE(2541),
    [sym_set] = STATE(2541),
    [sym_import] = STATE(2541),
    [sym_include] = STATE(2541),
    [sym_for] = STATE(2541),
    [sym_while] = STATE(2541),
    [sym_show] = STATE(2541),
    [sym_return] = STATE(2541),
    [sym_flow] = STATE(2541),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2837),
    [sym_none] = ACTIONS(2837),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [720] = {
    [sym_raw_blck] = STATE(2542),
    [sym_raw_span] = STATE(2542),
    [sym_math] = STATE(2542),
    [sym__expr] = STATE(2542),
    [sym_ident] = STATE(2542),
    [sym_bool] = STATE(2542),
    [sym_number] = STATE(2542),
    [sym_string] = STATE(2542),
    [sym_tagged] = STATE(2542),
    [sym_context] = STATE(2542),
    [sym_elude] = STATE(2542),
    [sym_assign] = STATE(2542),
    [sym_lambda] = STATE(2542),
    [sym_or] = STATE(2542),
    [sym_not] = STATE(2542),
    [sym_and] = STATE(2542),
    [sym_cmp] = STATE(2542),
    [sym_in] = STATE(2542),
    [sym_add] = STATE(2542),
    [sym_sub] = STATE(2542),
    [sym_mul] = STATE(2542),
    [sym_div] = STATE(2542),
    [sym_sign] = STATE(2542),
    [sym_call] = STATE(2542),
    [sym_field] = STATE(2542),
    [sym_label] = STATE(2542),
    [sym_content] = STATE(2542),
    [sym_group] = STATE(2542),
    [sym_block] = STATE(2542),
    [sym_branch] = STATE(2542),
    [sym_let] = STATE(2542),
    [sym_set] = STATE(2542),
    [sym_import] = STATE(2542),
    [sym_include] = STATE(2542),
    [sym_for] = STATE(2542),
    [sym_while] = STATE(2542),
    [sym_show] = STATE(2542),
    [sym_return] = STATE(2542),
    [sym_flow] = STATE(2542),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2839),
    [sym_none] = ACTIONS(2839),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [721] = {
    [sym_raw_blck] = STATE(2543),
    [sym_raw_span] = STATE(2543),
    [sym_math] = STATE(2543),
    [sym__expr] = STATE(2543),
    [sym_ident] = STATE(2543),
    [sym_bool] = STATE(2543),
    [sym_number] = STATE(2543),
    [sym_string] = STATE(2543),
    [sym_tagged] = STATE(2543),
    [sym_context] = STATE(2543),
    [sym_elude] = STATE(2543),
    [sym_assign] = STATE(2543),
    [sym_lambda] = STATE(2543),
    [sym_or] = STATE(2543),
    [sym_not] = STATE(2543),
    [sym_and] = STATE(2543),
    [sym_cmp] = STATE(2543),
    [sym_in] = STATE(2543),
    [sym_add] = STATE(2543),
    [sym_sub] = STATE(2543),
    [sym_mul] = STATE(2543),
    [sym_div] = STATE(2543),
    [sym_sign] = STATE(2543),
    [sym_call] = STATE(2543),
    [sym_field] = STATE(2543),
    [sym_label] = STATE(2543),
    [sym_content] = STATE(2543),
    [sym_group] = STATE(2543),
    [sym_block] = STATE(2543),
    [sym_branch] = STATE(2543),
    [sym_let] = STATE(2543),
    [sym_set] = STATE(2543),
    [sym_import] = STATE(2543),
    [sym_include] = STATE(2543),
    [sym_for] = STATE(2543),
    [sym_while] = STATE(2543),
    [sym_show] = STATE(2543),
    [sym_return] = STATE(2543),
    [sym_flow] = STATE(2543),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2841),
    [sym_none] = ACTIONS(2841),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [722] = {
    [sym_raw_blck] = STATE(2544),
    [sym_raw_span] = STATE(2544),
    [sym_math] = STATE(2544),
    [sym__expr] = STATE(2544),
    [sym_ident] = STATE(2544),
    [sym_bool] = STATE(2544),
    [sym_number] = STATE(2544),
    [sym_string] = STATE(2544),
    [sym_tagged] = STATE(2544),
    [sym_context] = STATE(2544),
    [sym_elude] = STATE(2544),
    [sym_assign] = STATE(2544),
    [sym_lambda] = STATE(2544),
    [sym_or] = STATE(2544),
    [sym_not] = STATE(2544),
    [sym_and] = STATE(2544),
    [sym_cmp] = STATE(2544),
    [sym_in] = STATE(2544),
    [sym_add] = STATE(2544),
    [sym_sub] = STATE(2544),
    [sym_mul] = STATE(2544),
    [sym_div] = STATE(2544),
    [sym_sign] = STATE(2544),
    [sym_call] = STATE(2544),
    [sym_field] = STATE(2544),
    [sym_label] = STATE(2544),
    [sym_content] = STATE(2544),
    [sym_group] = STATE(2544),
    [sym_block] = STATE(2544),
    [sym_branch] = STATE(2544),
    [sym_let] = STATE(2544),
    [sym_set] = STATE(2544),
    [sym_import] = STATE(2544),
    [sym_include] = STATE(2544),
    [sym_for] = STATE(2544),
    [sym_while] = STATE(2544),
    [sym_show] = STATE(2544),
    [sym_return] = STATE(2544),
    [sym_flow] = STATE(2544),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2843),
    [sym_none] = ACTIONS(2843),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [723] = {
    [sym_raw_blck] = STATE(2549),
    [sym_raw_span] = STATE(2549),
    [sym_math] = STATE(2549),
    [sym__expr] = STATE(2549),
    [sym_ident] = STATE(2549),
    [sym_bool] = STATE(2549),
    [sym_number] = STATE(2549),
    [sym_string] = STATE(2549),
    [sym_tagged] = STATE(2549),
    [sym_context] = STATE(2549),
    [sym_elude] = STATE(2549),
    [sym_assign] = STATE(2549),
    [sym_lambda] = STATE(2549),
    [sym_or] = STATE(2549),
    [sym_not] = STATE(2549),
    [sym_and] = STATE(2549),
    [sym_cmp] = STATE(2549),
    [sym_in] = STATE(2549),
    [sym_add] = STATE(2549),
    [sym_sub] = STATE(2549),
    [sym_mul] = STATE(2549),
    [sym_div] = STATE(2549),
    [sym_sign] = STATE(2549),
    [sym_call] = STATE(2549),
    [sym_field] = STATE(2549),
    [sym_label] = STATE(2549),
    [sym_content] = STATE(2549),
    [sym_group] = STATE(2549),
    [sym_block] = STATE(2549),
    [sym_branch] = STATE(2549),
    [sym_let] = STATE(2549),
    [sym_set] = STATE(2549),
    [sym_import] = STATE(2549),
    [sym_include] = STATE(2549),
    [sym_for] = STATE(2549),
    [sym_while] = STATE(2549),
    [sym_show] = STATE(2549),
    [sym_return] = STATE(2549),
    [sym_flow] = STATE(2549),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2845),
    [sym_none] = ACTIONS(2845),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [724] = {
    [sym_raw_blck] = STATE(2550),
    [sym_raw_span] = STATE(2550),
    [sym_math] = STATE(2550),
    [sym__expr] = STATE(2550),
    [sym_ident] = STATE(2550),
    [sym_bool] = STATE(2550),
    [sym_number] = STATE(2550),
    [sym_string] = STATE(2550),
    [sym_tagged] = STATE(2550),
    [sym_context] = STATE(2550),
    [sym_elude] = STATE(2550),
    [sym_assign] = STATE(2550),
    [sym_lambda] = STATE(2550),
    [sym_or] = STATE(2550),
    [sym_not] = STATE(2550),
    [sym_and] = STATE(2550),
    [sym_cmp] = STATE(2550),
    [sym_in] = STATE(2550),
    [sym_add] = STATE(2550),
    [sym_sub] = STATE(2550),
    [sym_mul] = STATE(2550),
    [sym_div] = STATE(2550),
    [sym_sign] = STATE(2550),
    [sym_call] = STATE(2550),
    [sym_field] = STATE(2550),
    [sym_label] = STATE(2550),
    [sym_content] = STATE(2550),
    [sym_group] = STATE(2550),
    [sym_block] = STATE(2550),
    [sym_branch] = STATE(2550),
    [sym_let] = STATE(2550),
    [sym_set] = STATE(2550),
    [sym_import] = STATE(2550),
    [sym_include] = STATE(2550),
    [sym_for] = STATE(2550),
    [sym_while] = STATE(2550),
    [sym_show] = STATE(2550),
    [sym_return] = STATE(2550),
    [sym_flow] = STATE(2550),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2847),
    [sym_none] = ACTIONS(2847),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [725] = {
    [sym_raw_blck] = STATE(2555),
    [sym_raw_span] = STATE(2555),
    [sym_math] = STATE(2555),
    [sym__expr] = STATE(2555),
    [sym_ident] = STATE(2555),
    [sym_bool] = STATE(2555),
    [sym_number] = STATE(2555),
    [sym_string] = STATE(2555),
    [sym_tagged] = STATE(2555),
    [sym_context] = STATE(2555),
    [sym_elude] = STATE(2555),
    [sym_assign] = STATE(2555),
    [sym_lambda] = STATE(2555),
    [sym_or] = STATE(2555),
    [sym_not] = STATE(2555),
    [sym_and] = STATE(2555),
    [sym_cmp] = STATE(2555),
    [sym_in] = STATE(2555),
    [sym_add] = STATE(2555),
    [sym_sub] = STATE(2555),
    [sym_mul] = STATE(2555),
    [sym_div] = STATE(2555),
    [sym_sign] = STATE(2555),
    [sym_call] = STATE(2555),
    [sym_field] = STATE(2555),
    [sym_label] = STATE(2555),
    [sym_content] = STATE(2555),
    [sym_group] = STATE(2555),
    [sym_block] = STATE(2555),
    [sym_branch] = STATE(2555),
    [sym_let] = STATE(2555),
    [sym_set] = STATE(2555),
    [sym_import] = STATE(2555),
    [sym_include] = STATE(2555),
    [sym_for] = STATE(2555),
    [sym_while] = STATE(2555),
    [sym_show] = STATE(2555),
    [sym_return] = STATE(2555),
    [sym_flow] = STATE(2555),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2849),
    [sym_none] = ACTIONS(2849),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [726] = {
    [sym_raw_blck] = STATE(2556),
    [sym_raw_span] = STATE(2556),
    [sym_math] = STATE(2556),
    [sym__expr] = STATE(2556),
    [sym_ident] = STATE(2556),
    [sym_bool] = STATE(2556),
    [sym_number] = STATE(2556),
    [sym_string] = STATE(2556),
    [sym_tagged] = STATE(2556),
    [sym_context] = STATE(2556),
    [sym_elude] = STATE(2556),
    [sym_assign] = STATE(2556),
    [sym_lambda] = STATE(2556),
    [sym_or] = STATE(2556),
    [sym_not] = STATE(2556),
    [sym_and] = STATE(2556),
    [sym_cmp] = STATE(2556),
    [sym_in] = STATE(2556),
    [sym_add] = STATE(2556),
    [sym_sub] = STATE(2556),
    [sym_mul] = STATE(2556),
    [sym_div] = STATE(2556),
    [sym_sign] = STATE(2556),
    [sym_call] = STATE(2556),
    [sym_field] = STATE(2556),
    [sym_label] = STATE(2556),
    [sym_content] = STATE(2556),
    [sym_group] = STATE(2556),
    [sym_block] = STATE(2556),
    [sym_branch] = STATE(2556),
    [sym_let] = STATE(2556),
    [sym_set] = STATE(2556),
    [sym_import] = STATE(2556),
    [sym_include] = STATE(2556),
    [sym_for] = STATE(2556),
    [sym_while] = STATE(2556),
    [sym_show] = STATE(2556),
    [sym_return] = STATE(2556),
    [sym_flow] = STATE(2556),
    [sym__identifier] = ACTIONS(759),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [aux_sym_number_token1] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_context] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_LPAREN2] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(783),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_include] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(791),
    [anon_sym_show] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [sym_auto] = ACTIONS(2851),
    [sym_none] = ACTIONS(2851),
    [sym__token_content] = ACTIONS(801),
    [sym__token_raw_blck_ldlm] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [727] = {
    [sym_raw_blck] = STATE(2352),
    [sym_raw_span] = STATE(2352),
    [sym_math] = STATE(2352),
    [sym__expr] = STATE(2352),
    [sym_ident] = STATE(2352),
    [sym_bool] = STATE(2352),
    [sym_number] = STATE(2352),
    [sym_string] = STATE(2352),
    [sym_tagged] = STATE(2352),
    [sym_context] = STATE(2352),
    [sym_elude] = STATE(2352),
    [sym_assign] = STATE(2352),
    [sym_lambda] = STATE(2352),
    [sym_or] = STATE(2352),
    [sym_not] = STATE(2352),
    [sym_and] = STATE(2352),
    [sym_cmp] = STATE(2352),
    [sym_in] = STATE(2352),
    [sym_add] = STATE(2352),
    [sym_sub] = STATE(2352),
    [sym_mul] = STATE(2352),
    [sym_div] = STATE(2352),
    [sym_sign] = STATE(2352),
    [sym_call] = STATE(2352),
    [sym_field] = STATE(2352),
    [sym_label] = STATE(2352),
    [sym_content] = STATE(2352),
    [sym_group] = STATE(2352),
    [sym_block] = STATE(2352),
    [sym_branch] = STATE(2352),
    [sym_let] = STATE(2352),
    [sym_set] = STATE(2352),
    [sym_import] = STATE(2352),
    [sym_include] = STATE(2352),
    [sym_for] = STATE(2352),
    [sym_while] = STATE(2352),
    [sym_show] = STATE(2352),
    [sym_return] = STATE(2352),
    [sym_flow] = STATE(2352),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2853),
    [sym_none] = ACTIONS(2853),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [728] = {
    [sym_raw_blck] = STATE(2706),
    [sym_raw_span] = STATE(2706),
    [sym_math] = STATE(2706),
    [sym__expr] = STATE(2706),
    [sym_ident] = STATE(2706),
    [sym_bool] = STATE(2706),
    [sym_number] = STATE(2706),
    [sym_string] = STATE(2706),
    [sym_tagged] = STATE(2706),
    [sym_context] = STATE(2706),
    [sym_elude] = STATE(2706),
    [sym_assign] = STATE(2706),
    [sym_lambda] = STATE(2706),
    [sym_or] = STATE(2706),
    [sym_not] = STATE(2706),
    [sym_and] = STATE(2706),
    [sym_cmp] = STATE(2706),
    [sym_in] = STATE(2706),
    [sym_add] = STATE(2706),
    [sym_sub] = STATE(2706),
    [sym_mul] = STATE(2706),
    [sym_div] = STATE(2706),
    [sym_sign] = STATE(2706),
    [sym_call] = STATE(2706),
    [sym_field] = STATE(2706),
    [sym_label] = STATE(2706),
    [sym_content] = STATE(2706),
    [sym_group] = STATE(2706),
    [sym_block] = STATE(2706),
    [sym_branch] = STATE(2706),
    [sym_let] = STATE(2706),
    [sym_set] = STATE(2706),
    [sym_import] = STATE(2706),
    [sym_include] = STATE(2706),
    [sym_for] = STATE(2706),
    [sym_while] = STATE(2706),
    [sym_show] = STATE(2706),
    [sym_return] = STATE(2706),
    [sym_flow] = STATE(2706),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2855),
    [sym_none] = ACTIONS(2855),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [729] = {
    [sym_raw_blck] = STATE(2356),
    [sym_raw_span] = STATE(2356),
    [sym_math] = STATE(2356),
    [sym__expr] = STATE(2356),
    [sym_ident] = STATE(2356),
    [sym_bool] = STATE(2356),
    [sym_number] = STATE(2356),
    [sym_string] = STATE(2356),
    [sym_tagged] = STATE(2356),
    [sym_context] = STATE(2356),
    [sym_elude] = STATE(2356),
    [sym_assign] = STATE(2356),
    [sym_lambda] = STATE(2356),
    [sym_or] = STATE(2356),
    [sym_not] = STATE(2356),
    [sym_and] = STATE(2356),
    [sym_cmp] = STATE(2356),
    [sym_in] = STATE(2356),
    [sym_add] = STATE(2356),
    [sym_sub] = STATE(2356),
    [sym_mul] = STATE(2356),
    [sym_div] = STATE(2356),
    [sym_sign] = STATE(2356),
    [sym_call] = STATE(2356),
    [sym_field] = STATE(2356),
    [sym_label] = STATE(2356),
    [sym_content] = STATE(2356),
    [sym_group] = STATE(2356),
    [sym_block] = STATE(2356),
    [sym_branch] = STATE(2356),
    [sym_let] = STATE(2356),
    [sym_set] = STATE(2356),
    [sym_import] = STATE(2356),
    [sym_include] = STATE(2356),
    [sym_for] = STATE(2356),
    [sym_while] = STATE(2356),
    [sym_show] = STATE(2356),
    [sym_return] = STATE(2356),
    [sym_flow] = STATE(2356),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2857),
    [sym_none] = ACTIONS(2857),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [730] = {
    [sym_raw_blck] = STATE(2358),
    [sym_raw_span] = STATE(2358),
    [sym_math] = STATE(2358),
    [sym__expr] = STATE(2358),
    [sym_ident] = STATE(2358),
    [sym_bool] = STATE(2358),
    [sym_number] = STATE(2358),
    [sym_string] = STATE(2358),
    [sym_tagged] = STATE(2358),
    [sym_context] = STATE(2358),
    [sym_elude] = STATE(2358),
    [sym_assign] = STATE(2358),
    [sym_lambda] = STATE(2358),
    [sym_or] = STATE(2358),
    [sym_not] = STATE(2358),
    [sym_and] = STATE(2358),
    [sym_cmp] = STATE(2358),
    [sym_in] = STATE(2358),
    [sym_add] = STATE(2358),
    [sym_sub] = STATE(2358),
    [sym_mul] = STATE(2358),
    [sym_div] = STATE(2358),
    [sym_sign] = STATE(2358),
    [sym_call] = STATE(2358),
    [sym_field] = STATE(2358),
    [sym_label] = STATE(2358),
    [sym_content] = STATE(2358),
    [sym_group] = STATE(2358),
    [sym_block] = STATE(2358),
    [sym_branch] = STATE(2358),
    [sym_let] = STATE(2358),
    [sym_set] = STATE(2358),
    [sym_import] = STATE(2358),
    [sym_include] = STATE(2358),
    [sym_for] = STATE(2358),
    [sym_while] = STATE(2358),
    [sym_show] = STATE(2358),
    [sym_return] = STATE(2358),
    [sym_flow] = STATE(2358),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2859),
    [sym_none] = ACTIONS(2859),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [731] = {
    [sym_raw_blck] = STATE(2732),
    [sym_raw_span] = STATE(2732),
    [sym_math] = STATE(2732),
    [sym__expr] = STATE(2732),
    [sym_ident] = STATE(2732),
    [sym_bool] = STATE(2732),
    [sym_number] = STATE(2732),
    [sym_string] = STATE(2732),
    [sym_tagged] = STATE(2732),
    [sym_context] = STATE(2732),
    [sym_elude] = STATE(2732),
    [sym_assign] = STATE(2732),
    [sym_lambda] = STATE(2732),
    [sym_or] = STATE(2732),
    [sym_not] = STATE(2732),
    [sym_and] = STATE(2732),
    [sym_cmp] = STATE(2732),
    [sym_in] = STATE(2732),
    [sym_add] = STATE(2732),
    [sym_sub] = STATE(2732),
    [sym_mul] = STATE(2732),
    [sym_div] = STATE(2732),
    [sym_sign] = STATE(2732),
    [sym_call] = STATE(2732),
    [sym_field] = STATE(2732),
    [sym_label] = STATE(2732),
    [sym_content] = STATE(2732),
    [sym_group] = STATE(2732),
    [sym_block] = STATE(2732),
    [sym_branch] = STATE(2732),
    [sym_let] = STATE(2732),
    [sym_set] = STATE(2732),
    [sym_import] = STATE(2732),
    [sym_include] = STATE(2732),
    [sym_for] = STATE(2732),
    [sym_while] = STATE(2732),
    [sym_show] = STATE(2732),
    [sym_return] = STATE(2732),
    [sym_flow] = STATE(2732),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2861),
    [sym_none] = ACTIONS(2861),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [732] = {
    [sym_raw_blck] = STATE(2078),
    [sym_raw_span] = STATE(2078),
    [sym_math] = STATE(2078),
    [sym__expr] = STATE(2078),
    [sym_ident] = STATE(2078),
    [sym_bool] = STATE(2078),
    [sym_number] = STATE(2078),
    [sym_string] = STATE(2078),
    [sym_tagged] = STATE(2078),
    [sym_context] = STATE(2078),
    [sym_elude] = STATE(2078),
    [sym_assign] = STATE(2078),
    [sym_lambda] = STATE(2078),
    [sym_or] = STATE(2078),
    [sym_not] = STATE(2078),
    [sym_and] = STATE(2078),
    [sym_cmp] = STATE(2078),
    [sym_in] = STATE(2078),
    [sym_add] = STATE(2078),
    [sym_sub] = STATE(2078),
    [sym_mul] = STATE(2078),
    [sym_div] = STATE(2078),
    [sym_sign] = STATE(2078),
    [sym_call] = STATE(2078),
    [sym_field] = STATE(2078),
    [sym_label] = STATE(2078),
    [sym_content] = STATE(2078),
    [sym_group] = STATE(2078),
    [sym_block] = STATE(2078),
    [sym_branch] = STATE(2078),
    [sym_let] = STATE(2078),
    [sym_set] = STATE(2078),
    [sym_import] = STATE(2078),
    [sym_include] = STATE(2078),
    [sym_for] = STATE(2078),
    [sym_while] = STATE(2078),
    [sym_show] = STATE(2078),
    [sym_return] = STATE(2078),
    [sym_flow] = STATE(2078),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2863),
    [sym_none] = ACTIONS(2863),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [733] = {
    [sym_raw_blck] = STATE(2130),
    [sym_raw_span] = STATE(2130),
    [sym_math] = STATE(2130),
    [sym__expr] = STATE(2130),
    [sym_ident] = STATE(2130),
    [sym_bool] = STATE(2130),
    [sym_number] = STATE(2130),
    [sym_string] = STATE(2130),
    [sym_tagged] = STATE(2130),
    [sym_context] = STATE(2130),
    [sym_elude] = STATE(2130),
    [sym_assign] = STATE(2130),
    [sym_lambda] = STATE(2130),
    [sym_or] = STATE(2130),
    [sym_not] = STATE(2130),
    [sym_and] = STATE(2130),
    [sym_cmp] = STATE(2130),
    [sym_in] = STATE(2130),
    [sym_add] = STATE(2130),
    [sym_sub] = STATE(2130),
    [sym_mul] = STATE(2130),
    [sym_div] = STATE(2130),
    [sym_sign] = STATE(2130),
    [sym_call] = STATE(2130),
    [sym_field] = STATE(2130),
    [sym_label] = STATE(2130),
    [sym_content] = STATE(2130),
    [sym_group] = STATE(2130),
    [sym_block] = STATE(2130),
    [sym_branch] = STATE(2130),
    [sym_let] = STATE(2130),
    [sym_set] = STATE(2130),
    [sym_import] = STATE(2130),
    [sym_include] = STATE(2130),
    [sym_for] = STATE(2130),
    [sym_while] = STATE(2130),
    [sym_show] = STATE(2130),
    [sym_return] = STATE(2130),
    [sym_flow] = STATE(2130),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2865),
    [sym_none] = ACTIONS(2865),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [734] = {
    [sym_raw_blck] = STATE(2277),
    [sym_raw_span] = STATE(2277),
    [sym_math] = STATE(2277),
    [sym__expr] = STATE(2277),
    [sym_ident] = STATE(2277),
    [sym_bool] = STATE(2277),
    [sym_number] = STATE(2277),
    [sym_string] = STATE(2277),
    [sym_tagged] = STATE(2277),
    [sym_context] = STATE(2277),
    [sym_elude] = STATE(2277),
    [sym_assign] = STATE(2277),
    [sym_lambda] = STATE(2277),
    [sym_or] = STATE(2277),
    [sym_not] = STATE(2277),
    [sym_and] = STATE(2277),
    [sym_cmp] = STATE(2277),
    [sym_in] = STATE(2277),
    [sym_add] = STATE(2277),
    [sym_sub] = STATE(2277),
    [sym_mul] = STATE(2277),
    [sym_div] = STATE(2277),
    [sym_sign] = STATE(2277),
    [sym_call] = STATE(2277),
    [sym_field] = STATE(2277),
    [sym_label] = STATE(2277),
    [sym_content] = STATE(2277),
    [sym_group] = STATE(2277),
    [sym_block] = STATE(2277),
    [sym_branch] = STATE(2277),
    [sym_let] = STATE(2277),
    [sym_set] = STATE(2277),
    [sym_import] = STATE(2277),
    [sym_include] = STATE(2277),
    [sym_for] = STATE(2277),
    [sym_while] = STATE(2277),
    [sym_show] = STATE(2277),
    [sym_return] = STATE(2277),
    [sym_flow] = STATE(2277),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2867),
    [sym_none] = ACTIONS(2867),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [735] = {
    [sym_raw_blck] = STATE(2340),
    [sym_raw_span] = STATE(2340),
    [sym_math] = STATE(2340),
    [sym__expr] = STATE(2340),
    [sym_ident] = STATE(2340),
    [sym_bool] = STATE(2340),
    [sym_number] = STATE(2340),
    [sym_string] = STATE(2340),
    [sym_tagged] = STATE(2340),
    [sym_context] = STATE(2340),
    [sym_elude] = STATE(2340),
    [sym_assign] = STATE(2340),
    [sym_lambda] = STATE(2340),
    [sym_or] = STATE(2340),
    [sym_not] = STATE(2340),
    [sym_and] = STATE(2340),
    [sym_cmp] = STATE(2340),
    [sym_in] = STATE(2340),
    [sym_add] = STATE(2340),
    [sym_sub] = STATE(2340),
    [sym_mul] = STATE(2340),
    [sym_div] = STATE(2340),
    [sym_sign] = STATE(2340),
    [sym_call] = STATE(2340),
    [sym_field] = STATE(2340),
    [sym_label] = STATE(2340),
    [sym_content] = STATE(2340),
    [sym_group] = STATE(2340),
    [sym_block] = STATE(2340),
    [sym_branch] = STATE(2340),
    [sym_let] = STATE(2340),
    [sym_set] = STATE(2340),
    [sym_import] = STATE(2340),
    [sym_include] = STATE(2340),
    [sym_for] = STATE(2340),
    [sym_while] = STATE(2340),
    [sym_show] = STATE(2340),
    [sym_return] = STATE(2340),
    [sym_flow] = STATE(2340),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2869),
    [sym_none] = ACTIONS(2869),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [736] = {
    [sym_raw_blck] = STATE(2108),
    [sym_raw_span] = STATE(2108),
    [sym_math] = STATE(2108),
    [sym__expr] = STATE(2108),
    [sym_ident] = STATE(2108),
    [sym_bool] = STATE(2108),
    [sym_number] = STATE(2108),
    [sym_string] = STATE(2108),
    [sym_tagged] = STATE(2108),
    [sym_context] = STATE(2108),
    [sym_elude] = STATE(2108),
    [sym_assign] = STATE(2108),
    [sym_lambda] = STATE(2108),
    [sym_or] = STATE(2108),
    [sym_not] = STATE(2108),
    [sym_and] = STATE(2108),
    [sym_cmp] = STATE(2108),
    [sym_in] = STATE(2108),
    [sym_add] = STATE(2108),
    [sym_sub] = STATE(2108),
    [sym_mul] = STATE(2108),
    [sym_div] = STATE(2108),
    [sym_sign] = STATE(2108),
    [sym_call] = STATE(2108),
    [sym_field] = STATE(2108),
    [sym_label] = STATE(2108),
    [sym_content] = STATE(2108),
    [sym_group] = STATE(2108),
    [sym_block] = STATE(2108),
    [sym_branch] = STATE(2108),
    [sym_let] = STATE(2108),
    [sym_set] = STATE(2108),
    [sym_import] = STATE(2108),
    [sym_include] = STATE(2108),
    [sym_for] = STATE(2108),
    [sym_while] = STATE(2108),
    [sym_show] = STATE(2108),
    [sym_return] = STATE(2108),
    [sym_flow] = STATE(2108),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2871),
    [sym_none] = ACTIONS(2871),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [737] = {
    [sym_raw_blck] = STATE(2172),
    [sym_raw_span] = STATE(2172),
    [sym_math] = STATE(2172),
    [sym__expr] = STATE(2172),
    [sym_ident] = STATE(2172),
    [sym_bool] = STATE(2172),
    [sym_number] = STATE(2172),
    [sym_string] = STATE(2172),
    [sym_tagged] = STATE(2172),
    [sym_context] = STATE(2172),
    [sym_elude] = STATE(2172),
    [sym_assign] = STATE(2172),
    [sym_lambda] = STATE(2172),
    [sym_or] = STATE(2172),
    [sym_not] = STATE(2172),
    [sym_and] = STATE(2172),
    [sym_cmp] = STATE(2172),
    [sym_in] = STATE(2172),
    [sym_add] = STATE(2172),
    [sym_sub] = STATE(2172),
    [sym_mul] = STATE(2172),
    [sym_div] = STATE(2172),
    [sym_sign] = STATE(2172),
    [sym_call] = STATE(2172),
    [sym_field] = STATE(2172),
    [sym_label] = STATE(2172),
    [sym_content] = STATE(2172),
    [sym_group] = STATE(2172),
    [sym_block] = STATE(2172),
    [sym_branch] = STATE(2172),
    [sym_let] = STATE(2172),
    [sym_set] = STATE(2172),
    [sym_import] = STATE(2172),
    [sym_include] = STATE(2172),
    [sym_for] = STATE(2172),
    [sym_while] = STATE(2172),
    [sym_show] = STATE(2172),
    [sym_return] = STATE(2172),
    [sym_flow] = STATE(2172),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2873),
    [sym_none] = ACTIONS(2873),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [738] = {
    [sym_raw_blck] = STATE(2148),
    [sym_raw_span] = STATE(2148),
    [sym_math] = STATE(2148),
    [sym__expr] = STATE(2148),
    [sym_ident] = STATE(2148),
    [sym_bool] = STATE(2148),
    [sym_number] = STATE(2148),
    [sym_string] = STATE(2148),
    [sym_tagged] = STATE(2148),
    [sym_context] = STATE(2148),
    [sym_elude] = STATE(2148),
    [sym_assign] = STATE(2148),
    [sym_lambda] = STATE(2148),
    [sym_or] = STATE(2148),
    [sym_not] = STATE(2148),
    [sym_and] = STATE(2148),
    [sym_cmp] = STATE(2148),
    [sym_in] = STATE(2148),
    [sym_add] = STATE(2148),
    [sym_sub] = STATE(2148),
    [sym_mul] = STATE(2148),
    [sym_div] = STATE(2148),
    [sym_sign] = STATE(2148),
    [sym_call] = STATE(2148),
    [sym_field] = STATE(2148),
    [sym_label] = STATE(2148),
    [sym_content] = STATE(2148),
    [sym_group] = STATE(2148),
    [sym_block] = STATE(2148),
    [sym_branch] = STATE(2148),
    [sym_let] = STATE(2148),
    [sym_set] = STATE(2148),
    [sym_import] = STATE(2148),
    [sym_include] = STATE(2148),
    [sym_for] = STATE(2148),
    [sym_while] = STATE(2148),
    [sym_show] = STATE(2148),
    [sym_return] = STATE(2148),
    [sym_flow] = STATE(2148),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2875),
    [sym_none] = ACTIONS(2875),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [739] = {
    [sym_raw_blck] = STATE(2381),
    [sym_raw_span] = STATE(2381),
    [sym_math] = STATE(2381),
    [sym__expr] = STATE(2381),
    [sym_ident] = STATE(2381),
    [sym_bool] = STATE(2381),
    [sym_number] = STATE(2381),
    [sym_string] = STATE(2381),
    [sym_tagged] = STATE(2381),
    [sym_context] = STATE(2381),
    [sym_elude] = STATE(2381),
    [sym_assign] = STATE(2381),
    [sym_lambda] = STATE(2381),
    [sym_or] = STATE(2381),
    [sym_not] = STATE(2381),
    [sym_and] = STATE(2381),
    [sym_cmp] = STATE(2381),
    [sym_in] = STATE(2381),
    [sym_add] = STATE(2381),
    [sym_sub] = STATE(2381),
    [sym_mul] = STATE(2381),
    [sym_div] = STATE(2381),
    [sym_sign] = STATE(2381),
    [sym_call] = STATE(2381),
    [sym_field] = STATE(2381),
    [sym_label] = STATE(2381),
    [sym_content] = STATE(2381),
    [sym_group] = STATE(2381),
    [sym_block] = STATE(2381),
    [sym_branch] = STATE(2381),
    [sym_let] = STATE(2381),
    [sym_set] = STATE(2381),
    [sym_import] = STATE(2381),
    [sym_include] = STATE(2381),
    [sym_for] = STATE(2381),
    [sym_while] = STATE(2381),
    [sym_show] = STATE(2381),
    [sym_return] = STATE(2381),
    [sym_flow] = STATE(2381),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2877),
    [sym_none] = ACTIONS(2877),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [740] = {
    [sym_raw_blck] = STATE(2176),
    [sym_raw_span] = STATE(2176),
    [sym_math] = STATE(2176),
    [sym__expr] = STATE(2176),
    [sym_ident] = STATE(2176),
    [sym_bool] = STATE(2176),
    [sym_number] = STATE(2176),
    [sym_string] = STATE(2176),
    [sym_tagged] = STATE(2176),
    [sym_context] = STATE(2176),
    [sym_elude] = STATE(2176),
    [sym_assign] = STATE(2176),
    [sym_lambda] = STATE(2176),
    [sym_or] = STATE(2176),
    [sym_not] = STATE(2176),
    [sym_and] = STATE(2176),
    [sym_cmp] = STATE(2176),
    [sym_in] = STATE(2176),
    [sym_add] = STATE(2176),
    [sym_sub] = STATE(2176),
    [sym_mul] = STATE(2176),
    [sym_div] = STATE(2176),
    [sym_sign] = STATE(2176),
    [sym_call] = STATE(2176),
    [sym_field] = STATE(2176),
    [sym_label] = STATE(2176),
    [sym_content] = STATE(2176),
    [sym_group] = STATE(2176),
    [sym_block] = STATE(2176),
    [sym_branch] = STATE(2176),
    [sym_let] = STATE(2176),
    [sym_set] = STATE(2176),
    [sym_import] = STATE(2176),
    [sym_include] = STATE(2176),
    [sym_for] = STATE(2176),
    [sym_while] = STATE(2176),
    [sym_show] = STATE(2176),
    [sym_return] = STATE(2176),
    [sym_flow] = STATE(2176),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2879),
    [sym_none] = ACTIONS(2879),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [741] = {
    [sym_raw_blck] = STATE(2141),
    [sym_raw_span] = STATE(2141),
    [sym_math] = STATE(2141),
    [sym__expr] = STATE(2141),
    [sym_ident] = STATE(2141),
    [sym_bool] = STATE(2141),
    [sym_number] = STATE(2141),
    [sym_string] = STATE(2141),
    [sym_tagged] = STATE(2141),
    [sym_context] = STATE(2141),
    [sym_elude] = STATE(2141),
    [sym_assign] = STATE(2141),
    [sym_lambda] = STATE(2141),
    [sym_or] = STATE(2141),
    [sym_not] = STATE(2141),
    [sym_and] = STATE(2141),
    [sym_cmp] = STATE(2141),
    [sym_in] = STATE(2141),
    [sym_add] = STATE(2141),
    [sym_sub] = STATE(2141),
    [sym_mul] = STATE(2141),
    [sym_div] = STATE(2141),
    [sym_sign] = STATE(2141),
    [sym_call] = STATE(2141),
    [sym_field] = STATE(2141),
    [sym_label] = STATE(2141),
    [sym_content] = STATE(2141),
    [sym_group] = STATE(2141),
    [sym_block] = STATE(2141),
    [sym_branch] = STATE(2141),
    [sym_let] = STATE(2141),
    [sym_set] = STATE(2141),
    [sym_import] = STATE(2141),
    [sym_include] = STATE(2141),
    [sym_for] = STATE(2141),
    [sym_while] = STATE(2141),
    [sym_show] = STATE(2141),
    [sym_return] = STATE(2141),
    [sym_flow] = STATE(2141),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2881),
    [sym_none] = ACTIONS(2881),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [742] = {
    [sym_raw_blck] = STATE(2391),
    [sym_raw_span] = STATE(2391),
    [sym_math] = STATE(2391),
    [sym__expr] = STATE(2391),
    [sym_ident] = STATE(2391),
    [sym_bool] = STATE(2391),
    [sym_number] = STATE(2391),
    [sym_string] = STATE(2391),
    [sym_tagged] = STATE(2391),
    [sym_context] = STATE(2391),
    [sym_elude] = STATE(2391),
    [sym_assign] = STATE(2391),
    [sym_lambda] = STATE(2391),
    [sym_or] = STATE(2391),
    [sym_not] = STATE(2391),
    [sym_and] = STATE(2391),
    [sym_cmp] = STATE(2391),
    [sym_in] = STATE(2391),
    [sym_add] = STATE(2391),
    [sym_sub] = STATE(2391),
    [sym_mul] = STATE(2391),
    [sym_div] = STATE(2391),
    [sym_sign] = STATE(2391),
    [sym_call] = STATE(2391),
    [sym_field] = STATE(2391),
    [sym_label] = STATE(2391),
    [sym_content] = STATE(2391),
    [sym_group] = STATE(2391),
    [sym_block] = STATE(2391),
    [sym_branch] = STATE(2391),
    [sym_let] = STATE(2391),
    [sym_set] = STATE(2391),
    [sym_import] = STATE(2391),
    [sym_include] = STATE(2391),
    [sym_for] = STATE(2391),
    [sym_while] = STATE(2391),
    [sym_show] = STATE(2391),
    [sym_return] = STATE(2391),
    [sym_flow] = STATE(2391),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2883),
    [sym_none] = ACTIONS(2883),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [743] = {
    [sym_raw_blck] = STATE(2079),
    [sym_raw_span] = STATE(2079),
    [sym_math] = STATE(2079),
    [sym__expr] = STATE(2079),
    [sym_ident] = STATE(2079),
    [sym_bool] = STATE(2079),
    [sym_number] = STATE(2079),
    [sym_string] = STATE(2079),
    [sym_tagged] = STATE(2079),
    [sym_context] = STATE(2079),
    [sym_elude] = STATE(2079),
    [sym_assign] = STATE(2079),
    [sym_lambda] = STATE(2079),
    [sym_or] = STATE(2079),
    [sym_not] = STATE(2079),
    [sym_and] = STATE(2079),
    [sym_cmp] = STATE(2079),
    [sym_in] = STATE(2079),
    [sym_add] = STATE(2079),
    [sym_sub] = STATE(2079),
    [sym_mul] = STATE(2079),
    [sym_div] = STATE(2079),
    [sym_sign] = STATE(2079),
    [sym_call] = STATE(2079),
    [sym_field] = STATE(2079),
    [sym_label] = STATE(2079),
    [sym_content] = STATE(2079),
    [sym_group] = STATE(2079),
    [sym_block] = STATE(2079),
    [sym_branch] = STATE(2079),
    [sym_let] = STATE(2079),
    [sym_set] = STATE(2079),
    [sym_import] = STATE(2079),
    [sym_include] = STATE(2079),
    [sym_for] = STATE(2079),
    [sym_while] = STATE(2079),
    [sym_show] = STATE(2079),
    [sym_return] = STATE(2079),
    [sym_flow] = STATE(2079),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2885),
    [sym_none] = ACTIONS(2885),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [744] = {
    [sym_raw_blck] = STATE(2095),
    [sym_raw_span] = STATE(2095),
    [sym_math] = STATE(2095),
    [sym__expr] = STATE(2095),
    [sym_ident] = STATE(2095),
    [sym_bool] = STATE(2095),
    [sym_number] = STATE(2095),
    [sym_string] = STATE(2095),
    [sym_tagged] = STATE(2095),
    [sym_context] = STATE(2095),
    [sym_elude] = STATE(2095),
    [sym_assign] = STATE(2095),
    [sym_lambda] = STATE(2095),
    [sym_or] = STATE(2095),
    [sym_not] = STATE(2095),
    [sym_and] = STATE(2095),
    [sym_cmp] = STATE(2095),
    [sym_in] = STATE(2095),
    [sym_add] = STATE(2095),
    [sym_sub] = STATE(2095),
    [sym_mul] = STATE(2095),
    [sym_div] = STATE(2095),
    [sym_sign] = STATE(2095),
    [sym_call] = STATE(2095),
    [sym_field] = STATE(2095),
    [sym_label] = STATE(2095),
    [sym_content] = STATE(2095),
    [sym_group] = STATE(2095),
    [sym_block] = STATE(2095),
    [sym_branch] = STATE(2095),
    [sym_let] = STATE(2095),
    [sym_set] = STATE(2095),
    [sym_import] = STATE(2095),
    [sym_include] = STATE(2095),
    [sym_for] = STATE(2095),
    [sym_while] = STATE(2095),
    [sym_show] = STATE(2095),
    [sym_return] = STATE(2095),
    [sym_flow] = STATE(2095),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2887),
    [sym_none] = ACTIONS(2887),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [745] = {
    [sym_raw_blck] = STATE(2098),
    [sym_raw_span] = STATE(2098),
    [sym_math] = STATE(2098),
    [sym__expr] = STATE(2098),
    [sym_ident] = STATE(2098),
    [sym_bool] = STATE(2098),
    [sym_number] = STATE(2098),
    [sym_string] = STATE(2098),
    [sym_tagged] = STATE(2098),
    [sym_context] = STATE(2098),
    [sym_elude] = STATE(2098),
    [sym_assign] = STATE(2098),
    [sym_lambda] = STATE(2098),
    [sym_or] = STATE(2098),
    [sym_not] = STATE(2098),
    [sym_and] = STATE(2098),
    [sym_cmp] = STATE(2098),
    [sym_in] = STATE(2098),
    [sym_add] = STATE(2098),
    [sym_sub] = STATE(2098),
    [sym_mul] = STATE(2098),
    [sym_div] = STATE(2098),
    [sym_sign] = STATE(2098),
    [sym_call] = STATE(2098),
    [sym_field] = STATE(2098),
    [sym_label] = STATE(2098),
    [sym_content] = STATE(2098),
    [sym_group] = STATE(2098),
    [sym_block] = STATE(2098),
    [sym_branch] = STATE(2098),
    [sym_let] = STATE(2098),
    [sym_set] = STATE(2098),
    [sym_import] = STATE(2098),
    [sym_include] = STATE(2098),
    [sym_for] = STATE(2098),
    [sym_while] = STATE(2098),
    [sym_show] = STATE(2098),
    [sym_return] = STATE(2098),
    [sym_flow] = STATE(2098),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2889),
    [sym_none] = ACTIONS(2889),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [746] = {
    [sym_raw_blck] = STATE(2090),
    [sym_raw_span] = STATE(2090),
    [sym_math] = STATE(2090),
    [sym__expr] = STATE(2090),
    [sym_ident] = STATE(2090),
    [sym_bool] = STATE(2090),
    [sym_number] = STATE(2090),
    [sym_string] = STATE(2090),
    [sym_tagged] = STATE(2090),
    [sym_context] = STATE(2090),
    [sym_elude] = STATE(2090),
    [sym_assign] = STATE(2090),
    [sym_lambda] = STATE(2090),
    [sym_or] = STATE(2090),
    [sym_not] = STATE(2090),
    [sym_and] = STATE(2090),
    [sym_cmp] = STATE(2090),
    [sym_in] = STATE(2090),
    [sym_add] = STATE(2090),
    [sym_sub] = STATE(2090),
    [sym_mul] = STATE(2090),
    [sym_div] = STATE(2090),
    [sym_sign] = STATE(2090),
    [sym_call] = STATE(2090),
    [sym_field] = STATE(2090),
    [sym_label] = STATE(2090),
    [sym_content] = STATE(2090),
    [sym_group] = STATE(2090),
    [sym_block] = STATE(2090),
    [sym_branch] = STATE(2090),
    [sym_let] = STATE(2090),
    [sym_set] = STATE(2090),
    [sym_import] = STATE(2090),
    [sym_include] = STATE(2090),
    [sym_for] = STATE(2090),
    [sym_while] = STATE(2090),
    [sym_show] = STATE(2090),
    [sym_return] = STATE(2090),
    [sym_flow] = STATE(2090),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2891),
    [sym_none] = ACTIONS(2891),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [747] = {
    [sym_raw_blck] = STATE(2323),
    [sym_raw_span] = STATE(2323),
    [sym_math] = STATE(2323),
    [sym__expr] = STATE(2323),
    [sym_ident] = STATE(2323),
    [sym_bool] = STATE(2323),
    [sym_number] = STATE(2323),
    [sym_string] = STATE(2323),
    [sym_tagged] = STATE(2323),
    [sym_context] = STATE(2323),
    [sym_elude] = STATE(2323),
    [sym_assign] = STATE(2323),
    [sym_lambda] = STATE(2323),
    [sym_or] = STATE(2323),
    [sym_not] = STATE(2323),
    [sym_and] = STATE(2323),
    [sym_cmp] = STATE(2323),
    [sym_in] = STATE(2323),
    [sym_add] = STATE(2323),
    [sym_sub] = STATE(2323),
    [sym_mul] = STATE(2323),
    [sym_div] = STATE(2323),
    [sym_sign] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_field] = STATE(2323),
    [sym_label] = STATE(2323),
    [sym_content] = STATE(2323),
    [sym_group] = STATE(2323),
    [sym_block] = STATE(2323),
    [sym_branch] = STATE(2323),
    [sym_let] = STATE(2323),
    [sym_set] = STATE(2323),
    [sym_import] = STATE(2323),
    [sym_include] = STATE(2323),
    [sym_for] = STATE(2323),
    [sym_while] = STATE(2323),
    [sym_show] = STATE(2323),
    [sym_return] = STATE(2323),
    [sym_flow] = STATE(2323),
    [sym__identifier] = ACTIONS(339),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_LPAREN2] = ACTIONS(355),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_set] = ACTIONS(363),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(367),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_show] = ACTIONS(373),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [sym_auto] = ACTIONS(2893),
    [sym_none] = ACTIONS(2893),
    [sym__token_content] = ACTIONS(381),
    [sym__token_raw_blck_ldlm] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [748] = {
    [sym_raw_blck] = STATE(2140),
    [sym_raw_span] = STATE(2140),
    [sym_math] = STATE(2140),
    [sym__expr] = STATE(2140),
    [sym_ident] = STATE(2140),
    [sym_bool] = STATE(2140),
    [sym_number] = STATE(2140),
    [sym_string] = STATE(2140),
    [sym_tagged] = STATE(2140),
    [sym_context] = STATE(2140),
    [sym_elude] = STATE(2140),
    [sym_assign] = STATE(2140),
    [sym_lambda] = STATE(2140),
    [sym_or] = STATE(2140),
    [sym_not] = STATE(2140),
    [sym_and] = STATE(2140),
    [sym_cmp] = STATE(2140),
    [sym_in] = STATE(2140),
    [sym_add] = STATE(2140),
    [sym_sub] = STATE(2140),
    [sym_mul] = STATE(2140),
    [sym_div] = STATE(2140),
    [sym_sign] = STATE(2140),
    [sym_call] = STATE(2140),
    [sym_field] = STATE(2140),
    [sym_label] = STATE(2140),
    [sym_content] = STATE(2140),
    [sym_group] = STATE(2140),
    [sym_block] = STATE(2140),
    [sym_branch] = STATE(2140),
    [sym_let] = STATE(2140),
    [sym_set] = STATE(2140),
    [sym_import] = STATE(2140),
    [sym_include] = STATE(2140),
    [sym_for] = STATE(2140),
    [sym_while] = STATE(2140),
    [sym_show] = STATE(2140),
    [sym_return] = STATE(2140),
    [sym_flow] = STATE(2140),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2895),
    [sym_none] = ACTIONS(2895),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [749] = {
    [sym_raw_blck] = STATE(3034),
    [sym_raw_span] = STATE(3034),
    [sym_math] = STATE(3034),
    [sym__expr] = STATE(3034),
    [sym_ident] = STATE(3034),
    [sym_bool] = STATE(3034),
    [sym_number] = STATE(3034),
    [sym_string] = STATE(3034),
    [sym_tagged] = STATE(3034),
    [sym_context] = STATE(3034),
    [sym_elude] = STATE(3034),
    [sym_assign] = STATE(3034),
    [sym_lambda] = STATE(3034),
    [sym_or] = STATE(3034),
    [sym_not] = STATE(3034),
    [sym_and] = STATE(3034),
    [sym_cmp] = STATE(3034),
    [sym_in] = STATE(3034),
    [sym_add] = STATE(3034),
    [sym_sub] = STATE(3034),
    [sym_mul] = STATE(3034),
    [sym_div] = STATE(3034),
    [sym_sign] = STATE(3034),
    [sym_call] = STATE(2458),
    [sym_field] = STATE(3034),
    [sym_label] = STATE(3034),
    [sym_content] = STATE(3034),
    [sym_group] = STATE(3034),
    [sym_block] = STATE(3034),
    [sym_branch] = STATE(3034),
    [sym_let] = STATE(3034),
    [sym_set] = STATE(3034),
    [sym_import] = STATE(3034),
    [sym_include] = STATE(3034),
    [sym_for] = STATE(3034),
    [sym_while] = STATE(3034),
    [sym_show] = STATE(3034),
    [sym_return] = STATE(3034),
    [sym_flow] = STATE(3034),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(557),
    [anon_sym_DOLLAR] = ACTIONS(559),
    [anon_sym_true] = ACTIONS(561),
    [anon_sym_false] = ACTIONS(561),
    [aux_sym_number_token1] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(565),
    [anon_sym_context] = ACTIONS(567),
    [anon_sym_DOT_DOT] = ACTIONS(569),
    [anon_sym_not] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_LPAREN2] = ACTIONS(571),
    [anon_sym_LBRACE] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_set] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_include] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_show] = ACTIONS(589),
    [anon_sym_return] = ACTIONS(591),
    [anon_sym_break] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(593),
    [sym_auto] = ACTIONS(2897),
    [sym_none] = ACTIONS(2897),
    [sym__token_content] = ACTIONS(597),
    [sym__token_raw_blck_ldlm] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [750] = {
    [sym_raw_blck] = STATE(2168),
    [sym_raw_span] = STATE(2168),
    [sym_math] = STATE(2168),
    [sym__expr] = STATE(2168),
    [sym_ident] = STATE(2168),
    [sym_bool] = STATE(2168),
    [sym_number] = STATE(2168),
    [sym_string] = STATE(2168),
    [sym_tagged] = STATE(2168),
    [sym_context] = STATE(2168),
    [sym_elude] = STATE(2168),
    [sym_assign] = STATE(2168),
    [sym_lambda] = STATE(2168),
    [sym_or] = STATE(2168),
    [sym_not] = STATE(2168),
    [sym_and] = STATE(2168),
    [sym_cmp] = STATE(2168),
    [sym_in] = STATE(2168),
    [sym_add] = STATE(2168),
    [sym_sub] = STATE(2168),
    [sym_mul] = STATE(2168),
    [sym_div] = STATE(2168),
    [sym_sign] = STATE(2168),
    [sym_call] = STATE(2168),
    [sym_field] = STATE(2168),
    [sym_label] = STATE(2168),
    [sym_content] = STATE(2168),
    [sym_group] = STATE(2168),
    [sym_block] = STATE(2168),
    [sym_branch] = STATE(2168),
    [sym_let] = STATE(2168),
    [sym_set] = STATE(2168),
    [sym_import] = STATE(2168),
    [sym_include] = STATE(2168),
    [sym_for] = STATE(2168),
    [sym_while] = STATE(2168),
    [sym_show] = STATE(2168),
    [sym_return] = STATE(2168),
    [sym_flow] = STATE(2168),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2899),
    [sym_none] = ACTIONS(2899),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [751] = {
    [sym_raw_blck] = STATE(2210),
    [sym_raw_span] = STATE(2210),
    [sym_math] = STATE(2210),
    [sym__expr] = STATE(2210),
    [sym_ident] = STATE(2210),
    [sym_bool] = STATE(2210),
    [sym_number] = STATE(2210),
    [sym_string] = STATE(2210),
    [sym_tagged] = STATE(2210),
    [sym_context] = STATE(2210),
    [sym_elude] = STATE(2210),
    [sym_assign] = STATE(2210),
    [sym_lambda] = STATE(2210),
    [sym_or] = STATE(2210),
    [sym_not] = STATE(2210),
    [sym_and] = STATE(2210),
    [sym_cmp] = STATE(2210),
    [sym_in] = STATE(2210),
    [sym_add] = STATE(2210),
    [sym_sub] = STATE(2210),
    [sym_mul] = STATE(2210),
    [sym_div] = STATE(2210),
    [sym_sign] = STATE(2210),
    [sym_call] = STATE(2210),
    [sym_field] = STATE(2210),
    [sym_label] = STATE(2210),
    [sym_content] = STATE(2210),
    [sym_group] = STATE(2210),
    [sym_block] = STATE(2210),
    [sym_branch] = STATE(2210),
    [sym_let] = STATE(2210),
    [sym_set] = STATE(2210),
    [sym_import] = STATE(2210),
    [sym_include] = STATE(2210),
    [sym_for] = STATE(2210),
    [sym_while] = STATE(2210),
    [sym_show] = STATE(2210),
    [sym_return] = STATE(2210),
    [sym_flow] = STATE(2210),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2901),
    [sym_none] = ACTIONS(2901),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [752] = {
    [sym_raw_blck] = STATE(1749),
    [sym_raw_span] = STATE(1749),
    [sym_math] = STATE(1749),
    [sym__expr] = STATE(1749),
    [sym_ident] = STATE(1749),
    [sym_bool] = STATE(1749),
    [sym_number] = STATE(1749),
    [sym_string] = STATE(1749),
    [sym_tagged] = STATE(1749),
    [sym_context] = STATE(1749),
    [sym_elude] = STATE(1749),
    [sym_assign] = STATE(1749),
    [sym_lambda] = STATE(1749),
    [sym_or] = STATE(1749),
    [sym_not] = STATE(1749),
    [sym_and] = STATE(1749),
    [sym_cmp] = STATE(1749),
    [sym_in] = STATE(1749),
    [sym_add] = STATE(1749),
    [sym_sub] = STATE(1749),
    [sym_mul] = STATE(1749),
    [sym_div] = STATE(1749),
    [sym_sign] = STATE(1749),
    [sym_call] = STATE(1749),
    [sym_field] = STATE(1749),
    [sym_label] = STATE(1749),
    [sym_content] = STATE(1749),
    [sym_group] = STATE(1749),
    [sym_block] = STATE(1749),
    [sym_branch] = STATE(1749),
    [sym_let] = STATE(1749),
    [sym_set] = STATE(1749),
    [sym_import] = STATE(1749),
    [sym_include] = STATE(1749),
    [sym_for] = STATE(1749),
    [sym_while] = STATE(1749),
    [sym_show] = STATE(1749),
    [sym_return] = STATE(1749),
    [sym_flow] = STATE(1749),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(287),
    [anon_sym_DOLLAR] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(291),
    [anon_sym_false] = ACTIONS(291),
    [aux_sym_number_token1] = ACTIONS(293),
    [anon_sym_DQUOTE] = ACTIONS(295),
    [anon_sym_context] = ACTIONS(297),
    [anon_sym_DOT_DOT] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(331),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN2] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(307),
    [anon_sym_set] = ACTIONS(309),
    [anon_sym_import] = ACTIONS(311),
    [anon_sym_include] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(315),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_show] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(323),
    [sym_auto] = ACTIONS(2903),
    [sym_none] = ACTIONS(2903),
    [sym__token_content] = ACTIONS(327),
    [sym__token_raw_blck_ldlm] = ACTIONS(329),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [753] = {
    [sym_raw_blck] = STATE(2075),
    [sym_raw_span] = STATE(2075),
    [sym_math] = STATE(2075),
    [sym__expr] = STATE(2075),
    [sym_ident] = STATE(2075),
    [sym_bool] = STATE(2075),
    [sym_number] = STATE(2075),
    [sym_string] = STATE(2075),
    [sym_tagged] = STATE(2075),
    [sym_context] = STATE(2075),
    [sym_elude] = STATE(2075),
    [sym_assign] = STATE(2075),
    [sym_lambda] = STATE(2075),
    [sym_or] = STATE(2075),
    [sym_not] = STATE(2075),
    [sym_and] = STATE(2075),
    [sym_cmp] = STATE(2075),
    [sym_in] = STATE(2075),
    [sym_add] = STATE(2075),
    [sym_sub] = STATE(2075),
    [sym_mul] = STATE(2075),
    [sym_div] = STATE(2075),
    [sym_sign] = STATE(2075),
    [sym_call] = STATE(2075),
    [sym_field] = STATE(2075),
    [sym_label] = STATE(2075),
    [sym_content] = STATE(2075),
    [sym_group] = STATE(2075),
    [sym_block] = STATE(2075),
    [sym_branch] = STATE(2075),
    [sym_let] = STATE(2075),
    [sym_set] = STATE(2075),
    [sym_import] = STATE(2075),
    [sym_include] = STATE(2075),
    [sym_for] = STATE(2075),
    [sym_while] = STATE(2075),
    [sym_show] = STATE(2075),
    [sym_return] = STATE(2075),
    [sym_flow] = STATE(2075),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2905),
    [sym_none] = ACTIONS(2905),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [754] = {
    [sym_raw_blck] = STATE(2290),
    [sym_raw_span] = STATE(2290),
    [sym_math] = STATE(2290),
    [sym__expr] = STATE(2290),
    [sym_ident] = STATE(2290),
    [sym_bool] = STATE(2290),
    [sym_number] = STATE(2290),
    [sym_string] = STATE(2290),
    [sym_tagged] = STATE(2290),
    [sym_context] = STATE(2290),
    [sym_elude] = STATE(2290),
    [sym_assign] = STATE(2290),
    [sym_lambda] = STATE(2290),
    [sym_or] = STATE(2290),
    [sym_not] = STATE(2290),
    [sym_and] = STATE(2290),
    [sym_cmp] = STATE(2290),
    [sym_in] = STATE(2290),
    [sym_add] = STATE(2290),
    [sym_sub] = STATE(2290),
    [sym_mul] = STATE(2290),
    [sym_div] = STATE(2290),
    [sym_sign] = STATE(2290),
    [sym_call] = STATE(2290),
    [sym_field] = STATE(2290),
    [sym_label] = STATE(2290),
    [sym_content] = STATE(2290),
    [sym_group] = STATE(2290),
    [sym_block] = STATE(2290),
    [sym_branch] = STATE(2290),
    [sym_let] = STATE(2290),
    [sym_set] = STATE(2290),
    [sym_import] = STATE(2290),
    [sym_include] = STATE(2290),
    [sym_for] = STATE(2290),
    [sym_while] = STATE(2290),
    [sym_show] = STATE(2290),
    [sym_return] = STATE(2290),
    [sym_flow] = STATE(2290),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2907),
    [sym_none] = ACTIONS(2907),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [755] = {
    [sym_raw_blck] = STATE(2419),
    [sym_raw_span] = STATE(2419),
    [sym_math] = STATE(2419),
    [sym__expr] = STATE(2419),
    [sym_ident] = STATE(2419),
    [sym_bool] = STATE(2419),
    [sym_number] = STATE(2419),
    [sym_string] = STATE(2419),
    [sym_tagged] = STATE(2419),
    [sym_context] = STATE(2419),
    [sym_elude] = STATE(2419),
    [sym_assign] = STATE(2419),
    [sym_lambda] = STATE(2419),
    [sym_or] = STATE(2419),
    [sym_not] = STATE(2419),
    [sym_and] = STATE(2419),
    [sym_cmp] = STATE(2419),
    [sym_in] = STATE(2419),
    [sym_add] = STATE(2419),
    [sym_sub] = STATE(2419),
    [sym_mul] = STATE(2419),
    [sym_div] = STATE(2419),
    [sym_sign] = STATE(2419),
    [sym_call] = STATE(2419),
    [sym_field] = STATE(2419),
    [sym_label] = STATE(2419),
    [sym_content] = STATE(2419),
    [sym_group] = STATE(2419),
    [sym_block] = STATE(2419),
    [sym_branch] = STATE(2419),
    [sym_let] = STATE(2419),
    [sym_set] = STATE(2419),
    [sym_import] = STATE(2419),
    [sym_include] = STATE(2419),
    [sym_for] = STATE(2419),
    [sym_while] = STATE(2419),
    [sym_show] = STATE(2419),
    [sym_return] = STATE(2419),
    [sym_flow] = STATE(2419),
    [sym__identifier] = ACTIONS(393),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(395),
    [anon_sym_DOLLAR] = ACTIONS(397),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [anon_sym_context] = ACTIONS(405),
    [anon_sym_DOT_DOT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1815),
    [anon_sym_LPAREN2] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(411),
    [anon_sym_if] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_set] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_include] = ACTIONS(421),
    [anon_sym_for] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(425),
    [anon_sym_show] = ACTIONS(427),
    [anon_sym_return] = ACTIONS(429),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [sym_auto] = ACTIONS(2909),
    [sym_none] = ACTIONS(2909),
    [sym__token_content] = ACTIONS(435),
    [sym__token_raw_blck_ldlm] = ACTIONS(437),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [756] = {
    [sym_raw_blck] = STATE(2993),
    [sym_raw_span] = STATE(2993),
    [sym_math] = STATE(2993),
    [sym__expr] = STATE(2993),
    [sym_ident] = STATE(2993),
    [sym_bool] = STATE(2993),
    [sym_number] = STATE(2993),
    [sym_string] = STATE(2993),
    [sym_tagged] = STATE(2993),
    [sym_context] = STATE(2993),
    [sym_elude] = STATE(2993),
    [sym_assign] = STATE(2993),
    [sym_lambda] = STATE(2993),
    [sym_or] = STATE(2993),
    [sym_not] = STATE(2993),
    [sym_and] = STATE(2993),
    [sym_cmp] = STATE(2993),
    [sym_in] = STATE(2993),
    [sym_add] = STATE(2993),
    [sym_sub] = STATE(2993),
    [sym_mul] = STATE(2993),
    [sym_div] = STATE(2993),
    [sym_sign] = STATE(2993),
    [sym_call] = STATE(2993),
    [sym_field] = STATE(2993),
    [sym_label] = STATE(2993),
    [sym_content] = STATE(2993),
    [sym_group] = STATE(2993),
    [sym_block] = STATE(2993),
    [sym_branch] = STATE(2993),
    [sym_let] = STATE(2993),
    [sym_set] = STATE(2993),
    [sym_import] = STATE(2993),
    [sym_include] = STATE(2993),
    [sym_for] = STATE(2993),
    [sym_while] = STATE(2993),
    [sym_show] = STATE(2993),
    [sym_return] = STATE(2993),
    [sym_flow] = STATE(2993),
    [sym__identifier] = ACTIONS(985),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [aux_sym_number_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [anon_sym_context] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1011),
    [anon_sym_include] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_show] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1023),
    [anon_sym_continue] = ACTIONS(1023),
    [sym_auto] = ACTIONS(2911),
    [sym_none] = ACTIONS(2911),
    [sym__token_content] = ACTIONS(1027),
    [sym__token_raw_blck_ldlm] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2945), 1,
      sym__termination,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(878), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [109] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(2957), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(814), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [218] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(2959), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(765), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [327] = 28,
    ACTIONS(2961), 1,
      sym_parbreak,
    ACTIONS(2964), 1,
      aux_sym_escape_token1,
    ACTIONS(2967), 1,
      aux_sym_url_token1,
    ACTIONS(2970), 1,
      sym__lb,
    ACTIONS(2973), 1,
      sym_linebreak,
    ACTIONS(2979), 1,
      aux_sym_text_token1,
    ACTIONS(2982), 1,
      anon_sym_BQUOTE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    ACTIONS(2988), 1,
      anon_sym_POUND,
    ACTIONS(2991), 1,
      anon_sym_LT,
    ACTIONS(2994), 1,
      anon_sym_AT,
    ACTIONS(2997), 1,
      sym__dedent,
    ACTIONS(2999), 1,
      sym__redent,
    ACTIONS(3002), 1,
      sym__token_strong,
    ACTIONS(3005), 1,
      sym__token_emph,
    ACTIONS(3008), 1,
      sym__token_bracket,
    ACTIONS(3011), 1,
      sym__token_item,
    ACTIONS(3014), 1,
      sym__token_term,
    ACTIONS(3020), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3023), 1,
      sym__token_anti_markup,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2976), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(760), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3017), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [436] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3026), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(768), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [545] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3028), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(767), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [654] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3030), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [763] = 28,
    ACTIONS(3032), 1,
      sym_parbreak,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3038), 1,
      sym__lb,
    ACTIONS(3040), 1,
      sym_linebreak,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3056), 1,
      sym__dedent,
    ACTIONS(3058), 1,
      sym__redent,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3066), 1,
      sym__token_item,
    ACTIONS(3068), 1,
      sym__token_term,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3042), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(770), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [872] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3074), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [981] = 28,
    ACTIONS(3076), 1,
      ts_builtin_sym_end,
    ACTIONS(3078), 1,
      sym_parbreak,
    ACTIONS(3080), 1,
      aux_sym_escape_token1,
    ACTIONS(3082), 1,
      aux_sym_url_token1,
    ACTIONS(3084), 1,
      sym__lb,
    ACTIONS(3086), 1,
      sym_linebreak,
    ACTIONS(3090), 1,
      aux_sym_text_token1,
    ACTIONS(3092), 1,
      anon_sym_BQUOTE,
    ACTIONS(3094), 1,
      anon_sym_DOLLAR,
    ACTIONS(3096), 1,
      anon_sym_POUND,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_AT,
    ACTIONS(3102), 1,
      sym__redent,
    ACTIONS(3104), 1,
      sym__token_strong,
    ACTIONS(3106), 1,
      sym__token_emph,
    ACTIONS(3108), 1,
      sym__token_bracket,
    ACTIONS(3110), 1,
      sym__token_item,
    ACTIONS(3112), 1,
      sym__token_term,
    ACTIONS(3114), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3116), 1,
      sym__token_anti_markup,
    STATE(3339), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3088), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(809), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(901), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(913), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1090] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3118), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1199] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3120), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1308] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3122), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(835), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1417] = 28,
    ACTIONS(3032), 1,
      sym_parbreak,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3038), 1,
      sym__lb,
    ACTIONS(3040), 1,
      sym_linebreak,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3058), 1,
      sym__redent,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3066), 1,
      sym__token_item,
    ACTIONS(3068), 1,
      sym__token_term,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3124), 1,
      sym__dedent,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3042), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(760), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1526] = 28,
    ACTIONS(3078), 1,
      sym_parbreak,
    ACTIONS(3080), 1,
      aux_sym_escape_token1,
    ACTIONS(3082), 1,
      aux_sym_url_token1,
    ACTIONS(3084), 1,
      sym__lb,
    ACTIONS(3086), 1,
      sym_linebreak,
    ACTIONS(3090), 1,
      aux_sym_text_token1,
    ACTIONS(3092), 1,
      anon_sym_BQUOTE,
    ACTIONS(3094), 1,
      anon_sym_DOLLAR,
    ACTIONS(3096), 1,
      anon_sym_POUND,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_AT,
    ACTIONS(3102), 1,
      sym__redent,
    ACTIONS(3104), 1,
      sym__token_strong,
    ACTIONS(3106), 1,
      sym__token_emph,
    ACTIONS(3108), 1,
      sym__token_bracket,
    ACTIONS(3110), 1,
      sym__token_item,
    ACTIONS(3112), 1,
      sym__token_term,
    ACTIONS(3114), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3116), 1,
      sym__token_anti_markup,
    ACTIONS(3126), 1,
      ts_builtin_sym_end,
    STATE(3339), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3088), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(766), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(901), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(913), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1635] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3128), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(774), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1744] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3130), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(775), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1853] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3132), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1962] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3134), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2071] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3136), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(778), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2180] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3138), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(779), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2289] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3140), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2398] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3142), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2507] = 28,
    ACTIONS(3032), 1,
      sym_parbreak,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3038), 1,
      sym__lb,
    ACTIONS(3040), 1,
      sym_linebreak,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3058), 1,
      sym__redent,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3066), 1,
      sym__token_item,
    ACTIONS(3068), 1,
      sym__token_term,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3144), 1,
      sym__dedent,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3042), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(781), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2616] = 28,
    ACTIONS(3032), 1,
      sym_parbreak,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3038), 1,
      sym__lb,
    ACTIONS(3040), 1,
      sym_linebreak,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3058), 1,
      sym__redent,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3066), 1,
      sym__token_item,
    ACTIONS(3068), 1,
      sym__token_term,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3146), 1,
      sym__dedent,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3042), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(760), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2725] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3148), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(784), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2834] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3150), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(785), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2943] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3152), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3052] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3154), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3161] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3156), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(788), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3270] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3158), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(789), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3379] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3160), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3488] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3162), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3597] = 28,
    ACTIONS(3032), 1,
      sym_parbreak,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3038), 1,
      sym__lb,
    ACTIONS(3040), 1,
      sym_linebreak,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3058), 1,
      sym__redent,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3066), 1,
      sym__token_item,
    ACTIONS(3068), 1,
      sym__token_term,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3164), 1,
      sym__dedent,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3042), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(791), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3706] = 28,
    ACTIONS(3032), 1,
      sym_parbreak,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3038), 1,
      sym__lb,
    ACTIONS(3040), 1,
      sym_linebreak,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3058), 1,
      sym__redent,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3066), 1,
      sym__token_item,
    ACTIONS(3068), 1,
      sym__token_term,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3166), 1,
      sym__dedent,
    STATE(3475), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3042), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(760), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(912), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(900), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3815] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3168), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(794), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3924] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3170), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(795), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4033] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3172), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4142] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3174), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4251] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3176), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(797), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4360] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3178), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4469] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3180), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(800), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4578] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3182), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(801), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4687] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3184), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4796] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3186), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4905] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3188), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(803), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5014] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3190), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5123] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3192), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(805), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5232] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3194), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5341] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3196), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(807), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5450] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3198), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5559] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3200), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(763), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5668] = 28,
    ACTIONS(2997), 1,
      ts_builtin_sym_end,
    ACTIONS(3202), 1,
      sym_parbreak,
    ACTIONS(3205), 1,
      aux_sym_escape_token1,
    ACTIONS(3208), 1,
      aux_sym_url_token1,
    ACTIONS(3211), 1,
      sym__lb,
    ACTIONS(3214), 1,
      sym_linebreak,
    ACTIONS(3220), 1,
      aux_sym_text_token1,
    ACTIONS(3223), 1,
      anon_sym_BQUOTE,
    ACTIONS(3226), 1,
      anon_sym_DOLLAR,
    ACTIONS(3229), 1,
      anon_sym_POUND,
    ACTIONS(3232), 1,
      anon_sym_LT,
    ACTIONS(3235), 1,
      anon_sym_AT,
    ACTIONS(3238), 1,
      sym__redent,
    ACTIONS(3241), 1,
      sym__token_strong,
    ACTIONS(3244), 1,
      sym__token_emph,
    ACTIONS(3247), 1,
      sym__token_bracket,
    ACTIONS(3250), 1,
      sym__token_item,
    ACTIONS(3253), 1,
      sym__token_term,
    ACTIONS(3256), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3259), 1,
      sym__token_anti_markup,
    STATE(3339), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3217), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(809), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(901), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3017), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(913), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5777] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3262), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(811), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5886] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3264), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5995] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3266), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(813), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6104] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3268), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6213] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3270), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6322] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3272), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6431] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3274), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(817), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6540] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3276), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6649] = 28,
    ACTIONS(2997), 1,
      sym__termination,
    ACTIONS(3278), 1,
      sym_parbreak,
    ACTIONS(3281), 1,
      aux_sym_escape_token1,
    ACTIONS(3284), 1,
      aux_sym_url_token1,
    ACTIONS(3287), 1,
      sym__lb,
    ACTIONS(3290), 1,
      sym_linebreak,
    ACTIONS(3296), 1,
      aux_sym_text_token1,
    ACTIONS(3299), 1,
      anon_sym_BQUOTE,
    ACTIONS(3302), 1,
      anon_sym_DOLLAR,
    ACTIONS(3305), 1,
      anon_sym_POUND,
    ACTIONS(3308), 1,
      anon_sym_LT,
    ACTIONS(3311), 1,
      anon_sym_AT,
    ACTIONS(3314), 1,
      sym__redent,
    ACTIONS(3317), 1,
      sym__token_strong,
    ACTIONS(3320), 1,
      sym__token_emph,
    ACTIONS(3323), 1,
      sym__token_bracket,
    ACTIONS(3326), 1,
      sym__token_item,
    ACTIONS(3329), 1,
      sym__token_term,
    ACTIONS(3332), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3335), 1,
      sym__token_anti_markup,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3293), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3017), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6758] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3338), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(820), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6867] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3340), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6976] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3342), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(822), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7085] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3344), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7194] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3346), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(824), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7303] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3348), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7412] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3350), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(826), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7521] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3352), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7630] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3354), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(828), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7739] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3356), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7848] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3358), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(830), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7957] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3360), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8066] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3362), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(832), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8175] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3364), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8284] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3366), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(834), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8393] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3368), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8502] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3370), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8611] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3372), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(837), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8720] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3374), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8829] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3376), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(839), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8938] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3378), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9047] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3380), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(841), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9156] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3382), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9265] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3384), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(843), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9374] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3386), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9483] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3388), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(845), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9592] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3390), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9701] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3392), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(847), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9810] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3394), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9919] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3396), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(849), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10028] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3398), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10137] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3400), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(851), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10246] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3402), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10355] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3404), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(853), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10464] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3406), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10573] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3408), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(855), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10682] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3410), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10791] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3412), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(857), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10900] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3414), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11009] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3416), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(859), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11118] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3418), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11227] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3420), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(861), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11336] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3422), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11445] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3424), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(863), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11554] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3426), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11663] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3428), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(865), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11772] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3430), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11881] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3432), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(867), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11990] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3434), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12099] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3436), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(869), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12208] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3438), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12317] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3440), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12426] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3442), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12535] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3444), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(873), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12644] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3446), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12753] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3448), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(875), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12862] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3450), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12971] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3452), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(877), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13080] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3454), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13189] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3456), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13298] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3458), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(880), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13407] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3460), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13516] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3462), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(882), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13625] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3464), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13734] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3466), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(884), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13843] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3468), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13952] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3470), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(886), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14061] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3472), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14170] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3474), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(888), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14279] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3476), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14388] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3478), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(890), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14497] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3480), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14606] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3482), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(892), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14715] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3484), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14824] = 28,
    ACTIONS(2913), 1,
      sym_parbreak,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2919), 1,
      sym__lb,
    ACTIONS(2921), 1,
      sym_linebreak,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2937), 1,
      sym__redent,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2947), 1,
      sym__token_item,
    ACTIONS(2949), 1,
      sym__token_term,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3486), 1,
      sym__termination,
    STATE(3383), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(2923), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(815), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(895), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(2951), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(899), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14933] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    STATE(903), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2479), 1,
      sym__math_token_rpar,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3278), 1,
      sym__math_tagged,
    STATE(3299), 1,
      sym_formula,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3504), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [15041] = 20,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__lb,
    ACTIONS(3520), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3522), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3516), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(904), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15127] = 20,
    ACTIONS(3526), 1,
      aux_sym_escape_token1,
    ACTIONS(3529), 1,
      aux_sym_url_token1,
    ACTIONS(3532), 1,
      sym__lb,
    ACTIONS(3534), 1,
      sym_linebreak,
    ACTIONS(3540), 1,
      aux_sym_text_token1,
    ACTIONS(3543), 1,
      anon_sym_BQUOTE,
    ACTIONS(3546), 1,
      anon_sym_DOLLAR,
    ACTIONS(3549), 1,
      anon_sym_POUND,
    ACTIONS(3552), 1,
      anon_sym_LT,
    ACTIONS(3555), 1,
      anon_sym_AT,
    ACTIONS(3558), 1,
      sym__token_strong,
    ACTIONS(3561), 1,
      sym__token_emph,
    ACTIONS(3564), 1,
      sym__token_bracket,
    ACTIONS(3567), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3570), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3537), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3524), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(896), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15213] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    STATE(909), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(2863), 1,
      sym__math_token_rpar,
    STATE(3267), 1,
      sym_formula,
    STATE(3273), 1,
      sym__math_tagged,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3575), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [15321] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    STATE(914), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3057), 1,
      sym__math_token_rpar,
    STATE(3263), 1,
      sym__math_tagged,
    STATE(3279), 1,
      sym_formula,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3579), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [15429] = 20,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__lb,
    ACTIONS(3581), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3583), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3516), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(907), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15515] = 20,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__lb,
    ACTIONS(3585), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3587), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3516), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(896), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15601] = 20,
    ACTIONS(3080), 1,
      aux_sym_escape_token1,
    ACTIONS(3082), 1,
      aux_sym_url_token1,
    ACTIONS(3090), 1,
      aux_sym_text_token1,
    ACTIONS(3092), 1,
      anon_sym_BQUOTE,
    ACTIONS(3094), 1,
      anon_sym_DOLLAR,
    ACTIONS(3096), 1,
      anon_sym_POUND,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_AT,
    ACTIONS(3104), 1,
      sym__token_strong,
    ACTIONS(3106), 1,
      sym__token_emph,
    ACTIONS(3108), 1,
      sym__token_bracket,
    ACTIONS(3114), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3116), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__lb,
    ACTIONS(3589), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3591), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3516), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(902), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15687] = 20,
    ACTIONS(3080), 1,
      aux_sym_escape_token1,
    ACTIONS(3082), 1,
      aux_sym_url_token1,
    ACTIONS(3090), 1,
      aux_sym_text_token1,
    ACTIONS(3092), 1,
      anon_sym_BQUOTE,
    ACTIONS(3094), 1,
      anon_sym_DOLLAR,
    ACTIONS(3096), 1,
      anon_sym_POUND,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_AT,
    ACTIONS(3104), 1,
      sym__token_strong,
    ACTIONS(3106), 1,
      sym__token_emph,
    ACTIONS(3108), 1,
      sym__token_bracket,
    ACTIONS(3114), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3116), 1,
      sym__token_anti_markup,
    ACTIONS(3595), 1,
      sym__lb,
    ACTIONS(3597), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3599), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3593), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(911), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15773] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    STATE(914), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2494), 1,
      sym__math_token_rpar,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3268), 1,
      sym_formula,
    STATE(3274), 1,
      sym__math_tagged,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3579), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [15881] = 20,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(2917), 1,
      aux_sym_url_token1,
    ACTIONS(2925), 1,
      aux_sym_text_token1,
    ACTIONS(2927), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_DOLLAR,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      anon_sym_LT,
    ACTIONS(2935), 1,
      anon_sym_AT,
    ACTIONS(2939), 1,
      sym__token_strong,
    ACTIONS(2941), 1,
      sym__token_emph,
    ACTIONS(2943), 1,
      sym__token_bracket,
    ACTIONS(2953), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(2955), 1,
      sym__token_anti_markup,
    ACTIONS(3581), 1,
      sym_linebreak,
    ACTIONS(3595), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3583), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3593), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(907), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15967] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(908), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3079), 1,
      sym__math_token_rpar,
    STATE(3264), 1,
      sym_formula,
    STATE(3277), 1,
      sym__math_tagged,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3603), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [16075] = 20,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3585), 1,
      sym_linebreak,
    ACTIONS(3595), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3587), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3593), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(896), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [16161] = 20,
    ACTIONS(3532), 1,
      sym__lb,
    ACTIONS(3605), 1,
      aux_sym_escape_token1,
    ACTIONS(3608), 1,
      aux_sym_url_token1,
    ACTIONS(3611), 1,
      sym_linebreak,
    ACTIONS(3617), 1,
      aux_sym_text_token1,
    ACTIONS(3620), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      anon_sym_DOLLAR,
    ACTIONS(3626), 1,
      anon_sym_POUND,
    ACTIONS(3629), 1,
      anon_sym_LT,
    ACTIONS(3632), 1,
      anon_sym_AT,
    ACTIONS(3635), 1,
      sym__token_strong,
    ACTIONS(3638), 1,
      sym__token_emph,
    ACTIONS(3641), 1,
      sym__token_bracket,
    ACTIONS(3644), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3647), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3614), 2,
      sym_quote,
      sym_shorthand,
    STATE(1017), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3524), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(907), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [16247] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(914), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3041), 1,
      sym__math_token_rpar,
    STATE(3265), 1,
      sym_formula,
    STATE(3266), 1,
      sym__math_tagged,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3579), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [16355] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    STATE(914), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(2882), 1,
      sym__math_token_rpar,
    STATE(3261), 1,
      sym__math_tagged,
    STATE(3280), 1,
      sym_formula,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3579), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [16463] = 31,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3512), 1,
      sym__token_math_letter,
    ACTIONS(3514), 1,
      sym__token_math_ident,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    STATE(898), 1,
      aux_sym__math_call_repeat1,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3055), 1,
      sym__math_token_rpar,
    STATE(3271), 1,
      sym_formula,
    STATE(3272), 1,
      sym__math_tagged,
    STATE(3385), 1,
      sym__math_tag,
    ACTIONS(3650), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [16571] = 20,
    ACTIONS(3532), 1,
      sym__lb,
    ACTIONS(3652), 1,
      aux_sym_escape_token1,
    ACTIONS(3655), 1,
      aux_sym_url_token1,
    ACTIONS(3658), 1,
      sym_linebreak,
    ACTIONS(3664), 1,
      aux_sym_text_token1,
    ACTIONS(3667), 1,
      anon_sym_BQUOTE,
    ACTIONS(3670), 1,
      anon_sym_DOLLAR,
    ACTIONS(3673), 1,
      anon_sym_POUND,
    ACTIONS(3676), 1,
      anon_sym_LT,
    ACTIONS(3679), 1,
      anon_sym_AT,
    ACTIONS(3682), 1,
      sym__token_strong,
    ACTIONS(3685), 1,
      sym__token_emph,
    ACTIONS(3688), 1,
      sym__token_bracket,
    ACTIONS(3691), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3694), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3661), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3524), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(911), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [16657] = 20,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(3036), 1,
      aux_sym_url_token1,
    ACTIONS(3044), 1,
      aux_sym_text_token1,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    ACTIONS(3048), 1,
      anon_sym_DOLLAR,
    ACTIONS(3050), 1,
      anon_sym_POUND,
    ACTIONS(3052), 1,
      anon_sym_LT,
    ACTIONS(3054), 1,
      anon_sym_AT,
    ACTIONS(3060), 1,
      sym__token_strong,
    ACTIONS(3062), 1,
      sym__token_emph,
    ACTIONS(3064), 1,
      sym__token_bracket,
    ACTIONS(3070), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3072), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__lb,
    ACTIONS(3697), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3699), 2,
      sym_quote,
      sym_shorthand,
    STATE(1020), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3516), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(906), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [16743] = 20,
    ACTIONS(3080), 1,
      aux_sym_escape_token1,
    ACTIONS(3082), 1,
      aux_sym_url_token1,
    ACTIONS(3090), 1,
      aux_sym_text_token1,
    ACTIONS(3092), 1,
      anon_sym_BQUOTE,
    ACTIONS(3094), 1,
      anon_sym_DOLLAR,
    ACTIONS(3096), 1,
      anon_sym_POUND,
    ACTIONS(3098), 1,
      anon_sym_LT,
    ACTIONS(3100), 1,
      anon_sym_AT,
    ACTIONS(3104), 1,
      sym__token_strong,
    ACTIONS(3106), 1,
      sym__token_emph,
    ACTIONS(3108), 1,
      sym__token_bracket,
    ACTIONS(3114), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(3116), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__lb,
    ACTIONS(3597), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3599), 2,
      sym_quote,
      sym_shorthand,
    STATE(1014), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3516), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(911), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [16829] = 30,
    ACTIONS(3701), 1,
      aux_sym_escape_token1,
    ACTIONS(3704), 1,
      sym_linebreak,
    ACTIONS(3710), 1,
      anon_sym_AMP,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(3715), 1,
      sym__math_token_ldlm,
    ACTIONS(3718), 1,
      sym__math_number,
    ACTIONS(3721), 1,
      aux_sym__math_root_token1,
    ACTIONS(3727), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3730), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      anon_sym_DQUOTE,
    ACTIONS(3736), 1,
      sym__token_math_letter,
    ACTIONS(3739), 1,
      sym__token_math_ident,
    STATE(914), 1,
      aux_sym__math_call_repeat1,
    STATE(929), 1,
      aux_sym_formula_repeat1,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    STATE(3357), 1,
      sym__math_tagged,
    STATE(3428), 1,
      sym_formula,
    STATE(3433), 1,
      sym__math_tag,
    ACTIONS(3724), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3707), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2949), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [16934] = 25,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    STATE(916), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(3742), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17025] = 25,
    ACTIONS(3748), 1,
      aux_sym_escape_token1,
    ACTIONS(3751), 1,
      sym_linebreak,
    ACTIONS(3757), 1,
      anon_sym_AMP,
    ACTIONS(3762), 1,
      sym__math_token_ldlm,
    ACTIONS(3765), 1,
      sym__math_number,
    ACTIONS(3768), 1,
      aux_sym__math_root_token1,
    ACTIONS(3771), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3774), 1,
      anon_sym_POUND,
    ACTIONS(3777), 1,
      anon_sym_DQUOTE,
    ACTIONS(3780), 1,
      sym__token_math_letter,
    ACTIONS(3783), 1,
      sym__token_math_ident,
    STATE(916), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3754), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(3760), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17116] = 26,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3788), 1,
      sym_linebreak,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3796), 1,
      sym__math_number,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(3810), 1,
      sym__token_math_group_end,
    STATE(950), 1,
      aux_sym_formula_repeat1,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    STATE(3849), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3059), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17208] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3683), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17300] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3838), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4140), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17392] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3840), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4152), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17484] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3842), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4039), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17576] = 26,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3788), 1,
      sym_linebreak,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3796), 1,
      sym__math_number,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(3844), 1,
      sym__token_math_group_end,
    STATE(950), 1,
      aux_sym_formula_repeat1,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    STATE(3492), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3059), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17668] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3846), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4163), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17760] = 26,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3788), 1,
      sym_linebreak,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3796), 1,
      sym__math_number,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(3848), 1,
      sym__token_math_group_end,
    STATE(950), 1,
      aux_sym_formula_repeat1,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    STATE(3959), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3059), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17852] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3710), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [17944] = 26,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3788), 1,
      sym_linebreak,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3796), 1,
      sym__math_number,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(3852), 1,
      sym__token_math_group_end,
    STATE(950), 1,
      aux_sym_formula_repeat1,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    STATE(3866), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3059), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18036] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3854), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4062), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18128] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3856), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3736), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18220] = 25,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3860), 1,
      sym_linebreak,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3868), 1,
      sym__math_number,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    STATE(935), 1,
      aux_sym_formula_repeat1,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3742), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2949), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18310] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3882), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3760), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18402] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3884), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3970), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18494] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3886), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3784), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18586] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3888), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4085), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18678] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3890), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3808), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18770] = 25,
    ACTIONS(3892), 1,
      aux_sym_escape_token1,
    ACTIONS(3895), 1,
      sym_linebreak,
    ACTIONS(3901), 1,
      anon_sym_AMP,
    ACTIONS(3904), 1,
      sym__math_token_ldlm,
    ACTIONS(3907), 1,
      sym__math_number,
    ACTIONS(3910), 1,
      aux_sym__math_root_token1,
    ACTIONS(3913), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3916), 1,
      anon_sym_POUND,
    ACTIONS(3919), 1,
      anon_sym_DQUOTE,
    ACTIONS(3922), 1,
      sym__token_math_letter,
    ACTIONS(3925), 1,
      sym__token_math_ident,
    STATE(935), 1,
      aux_sym_formula_repeat1,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3760), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3898), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2949), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18860] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3832), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [18952] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3993), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19044] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3932), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4108), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19136] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3934), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3855), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19228] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3936), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3650), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19320] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4114), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19412] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3940), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3878), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19504] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3942), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4128), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19596] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(4016), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19688] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3946), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3901), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19780] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3948), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3924), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19872] = 26,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(3950), 1,
      anon_sym_DOLLAR,
    STATE(949), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    STATE(3947), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [19964] = 25,
    ACTIONS(3760), 1,
      anon_sym_DOLLAR,
    ACTIONS(3952), 1,
      aux_sym_escape_token1,
    ACTIONS(3955), 1,
      sym_linebreak,
    ACTIONS(3961), 1,
      anon_sym_AMP,
    ACTIONS(3964), 1,
      sym__math_token_ldlm,
    ACTIONS(3967), 1,
      sym__math_number,
    ACTIONS(3970), 1,
      aux_sym__math_root_token1,
    ACTIONS(3973), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3976), 1,
      anon_sym_POUND,
    ACTIONS(3979), 1,
      anon_sym_DQUOTE,
    ACTIONS(3982), 1,
      sym__token_math_letter,
    ACTIONS(3985), 1,
      sym__token_math_ident,
    STATE(948), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3958), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20053] = 25,
    ACTIONS(3742), 1,
      anon_sym_DOLLAR,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3814), 1,
      sym_linebreak,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3824), 1,
      sym__math_number,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    STATE(948), 1,
      aux_sym_formula_repeat1,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3021), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20142] = 25,
    ACTIONS(3742), 1,
      sym__token_math_group_end,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3788), 1,
      sym_linebreak,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3796), 1,
      sym__math_number,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    STATE(952), 1,
      aux_sym_formula_repeat1,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3059), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20231] = 25,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3860), 1,
      sym_linebreak,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3868), 1,
      sym__math_number,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    STATE(929), 1,
      aux_sym_formula_repeat1,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    STATE(3307), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2949), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20320] = 25,
    ACTIONS(3760), 1,
      sym__token_math_group_end,
    ACTIONS(3988), 1,
      aux_sym_escape_token1,
    ACTIONS(3991), 1,
      sym_linebreak,
    ACTIONS(3997), 1,
      anon_sym_AMP,
    ACTIONS(4000), 1,
      sym__math_token_ldlm,
    ACTIONS(4003), 1,
      sym__math_number,
    ACTIONS(4006), 1,
      aux_sym__math_root_token1,
    ACTIONS(4009), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4012), 1,
      anon_sym_POUND,
    ACTIONS(4015), 1,
      anon_sym_DQUOTE,
    ACTIONS(4018), 1,
      sym__token_math_letter,
    ACTIONS(4021), 1,
      sym__token_math_ident,
    STATE(952), 1,
      aux_sym_formula_repeat1,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3994), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3059), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20409] = 25,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3490), 1,
      sym_linebreak,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3500), 1,
      sym__math_number,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    STATE(915), 1,
      aux_sym_formula_repeat1,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    STATE(3307), 1,
      sym_formula,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2795), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20498] = 23,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    ACTIONS(4024), 1,
      sym_linebreak,
    ACTIONS(4026), 1,
      sym__math_number,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2462), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20581] = 23,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    ACTIONS(4028), 1,
      sym_linebreak,
    ACTIONS(4030), 1,
      sym__math_number,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2464), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20664] = 23,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(4032), 1,
      sym_linebreak,
    ACTIONS(4034), 1,
      sym__math_number,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3039), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20747] = 23,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    ACTIONS(4036), 1,
      sym_linebreak,
    ACTIONS(4038), 1,
      sym__math_number,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2819), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20830] = 23,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(4040), 1,
      sym_linebreak,
    ACTIONS(4042), 1,
      sym__math_number,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3064), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20913] = 23,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(4044), 1,
      sym_linebreak,
    ACTIONS(4046), 1,
      sym__math_number,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3022), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [20996] = 23,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(4048), 1,
      sym_linebreak,
    ACTIONS(4050), 1,
      sym__math_number,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3047), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21079] = 23,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    ACTIONS(4052), 1,
      sym_linebreak,
    ACTIONS(4054), 1,
      sym__math_number,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2492), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21162] = 23,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(4056), 1,
      sym_linebreak,
    ACTIONS(4058), 1,
      sym__math_number,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3050), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21245] = 23,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(4060), 1,
      sym_linebreak,
    ACTIONS(4062), 1,
      sym__math_number,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3052), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21328] = 23,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(4064), 1,
      sym_linebreak,
    ACTIONS(4066), 1,
      sym__math_number,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3058), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21411] = 23,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(4068), 1,
      sym_linebreak,
    ACTIONS(4070), 1,
      sym__math_number,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3068), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21494] = 23,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(4072), 1,
      sym_linebreak,
    ACTIONS(4074), 1,
      sym__math_number,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3014), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21577] = 23,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    ACTIONS(4076), 1,
      sym_linebreak,
    ACTIONS(4078), 1,
      sym__math_number,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2493), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21660] = 23,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    ACTIONS(4080), 1,
      sym_linebreak,
    ACTIONS(4082), 1,
      sym__math_number,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2430), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21743] = 23,
    ACTIONS(3488), 1,
      aux_sym_escape_token1,
    ACTIONS(3494), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    ACTIONS(3502), 1,
      aux_sym__math_root_token1,
    ACTIONS(3506), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3508), 1,
      anon_sym_POUND,
    ACTIONS(3510), 1,
      anon_sym_DQUOTE,
    ACTIONS(3744), 1,
      sym__token_math_letter,
    ACTIONS(3746), 1,
      sym__token_math_ident,
    ACTIONS(4084), 1,
      sym_linebreak,
    ACTIONS(4086), 1,
      sym__math_number,
    STATE(1584), 1,
      sym__math_item,
    STATE(1590), 1,
      sym__math_field,
    STATE(2792), 1,
      sym__math_token_colon,
    STATE(2797), 1,
      sym__math_group,
    STATE(2799), 1,
      sym__math_attach_sup,
    STATE(2800), 1,
      sym__math_attach_sub,
    STATE(2803), 1,
      sym__math_call,
    STATE(2804), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3492), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2386), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2463), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21826] = 23,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    ACTIONS(4088), 1,
      sym_linebreak,
    ACTIONS(4090), 1,
      sym__math_number,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2843), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21909] = 23,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    ACTIONS(4092), 1,
      sym_linebreak,
    ACTIONS(4094), 1,
      sym__math_number,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2844), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [21992] = 23,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(4096), 1,
      sym_linebreak,
    ACTIONS(4098), 1,
      sym__math_number,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3076), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [22075] = 23,
    ACTIONS(3812), 1,
      aux_sym_escape_token1,
    ACTIONS(3820), 1,
      anon_sym_AMP,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    ACTIONS(3826), 1,
      aux_sym__math_root_token1,
    ACTIONS(3828), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3830), 1,
      anon_sym_POUND,
    ACTIONS(3832), 1,
      anon_sym_DQUOTE,
    ACTIONS(3834), 1,
      sym__token_math_letter,
    ACTIONS(3836), 1,
      sym__token_math_ident,
    ACTIONS(4100), 1,
      sym_linebreak,
    ACTIONS(4102), 1,
      sym__math_number,
    STATE(2069), 1,
      sym__math_item,
    STATE(2070), 1,
      sym__math_field,
    STATE(3015), 1,
      sym__math_call,
    STATE(3024), 1,
      sym__math_apply,
    STATE(3029), 1,
      sym__math_group,
    STATE(3049), 1,
      sym__math_attach_sup,
    STATE(3071), 1,
      sym__math_attach_sub,
    STATE(3077), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3816), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2931), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3046), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [22158] = 23,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    ACTIONS(4104), 1,
      sym_linebreak,
    ACTIONS(4106), 1,
      sym__math_number,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2880), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [22241] = 23,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    ACTIONS(4108), 1,
      sym_linebreak,
    ACTIONS(4110), 1,
      sym__math_number,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2881), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [22324] = 23,
    ACTIONS(3786), 1,
      aux_sym_escape_token1,
    ACTIONS(3792), 1,
      anon_sym_AMP,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    ACTIONS(3798), 1,
      aux_sym__math_root_token1,
    ACTIONS(3800), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3802), 1,
      anon_sym_POUND,
    ACTIONS(3804), 1,
      anon_sym_DQUOTE,
    ACTIONS(3806), 1,
      sym__token_math_letter,
    ACTIONS(3808), 1,
      sym__token_math_ident,
    ACTIONS(4112), 1,
      sym_linebreak,
    ACTIONS(4114), 1,
      sym__math_number,
    STATE(2100), 1,
      sym__math_item,
    STATE(2101), 1,
      sym__math_field,
    STATE(3018), 1,
      sym__math_attach_sup,
    STATE(3027), 1,
      sym__math_attach_sub,
    STATE(3044), 1,
      sym__math_token_colon,
    STATE(3070), 1,
      sym__math_group,
    STATE(3072), 1,
      sym__math_call,
    STATE(3075), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3790), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2932), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3037), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [22407] = 23,
    ACTIONS(3858), 1,
      aux_sym_escape_token1,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    ACTIONS(3870), 1,
      aux_sym__math_root_token1,
    ACTIONS(3872), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3874), 1,
      anon_sym_POUND,
    ACTIONS(3876), 1,
      anon_sym_DQUOTE,
    ACTIONS(3878), 1,
      sym__token_math_letter,
    ACTIONS(3880), 1,
      sym__token_math_ident,
    ACTIONS(4116), 1,
      sym_linebreak,
    ACTIONS(4118), 1,
      sym__math_number,
    STATE(2008), 1,
      sym__math_item,
    STATE(2011), 1,
      sym__math_field,
    STATE(2948), 1,
      sym__math_token_colon,
    STATE(2956), 1,
      sym__math_group,
    STATE(2959), 1,
      sym__math_attach_sup,
    STATE(2961), 1,
      sym__math_attach_sub,
    STATE(2964), 1,
      sym__math_call,
    STATE(2970), 1,
      sym__math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3862), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2521), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2846), 8,
      sym__math_expr,
      sym__math_token_align,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym_code,
  [22490] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4146), 1,
      sym__termination,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22564] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4152), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22638] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4154), 1,
      sym_linebreak,
    ACTIONS(4158), 1,
      sym__termination,
    ACTIONS(4156), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(981), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22712] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4160), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22786] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4162), 1,
      sym_linebreak,
    ACTIONS(4166), 1,
      sym__termination,
    ACTIONS(4164), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(978), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22860] = 19,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4170), 1,
      aux_sym_url_token1,
    ACTIONS(4172), 1,
      sym_linebreak,
    ACTIONS(4176), 1,
      aux_sym_text_token1,
    ACTIONS(4178), 1,
      anon_sym_COLON,
    ACTIONS(4180), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_DOLLAR,
    ACTIONS(4184), 1,
      anon_sym_POUND,
    ACTIONS(4186), 1,
      anon_sym_LT,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      sym__token_strong,
    ACTIONS(4192), 1,
      sym__token_emph,
    ACTIONS(4194), 1,
      sym__token_bracket,
    ACTIONS(4196), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4198), 1,
      sym__token_anti_markup,
    ACTIONS(4174), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(992), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22934] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4200), 1,
      sym_linebreak,
    ACTIONS(4204), 1,
      sym__termination,
    ACTIONS(4202), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(987), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23008] = 19,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4170), 1,
      aux_sym_url_token1,
    ACTIONS(4172), 1,
      sym_linebreak,
    ACTIONS(4176), 1,
      aux_sym_text_token1,
    ACTIONS(4180), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_DOLLAR,
    ACTIONS(4184), 1,
      anon_sym_POUND,
    ACTIONS(4186), 1,
      anon_sym_LT,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      sym__token_strong,
    ACTIONS(4192), 1,
      sym__token_emph,
    ACTIONS(4194), 1,
      sym__token_bracket,
    ACTIONS(4196), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4198), 1,
      sym__token_anti_markup,
    ACTIONS(4206), 1,
      anon_sym_COLON,
    ACTIONS(4174), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(992), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23082] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4208), 1,
      sym_linebreak,
    ACTIONS(4212), 1,
      sym__termination,
    ACTIONS(4210), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(999), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23156] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4214), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23230] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4216), 1,
      sym_linebreak,
    ACTIONS(4220), 1,
      sym__termination,
    ACTIONS(4218), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(989), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23304] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4222), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23378] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4224), 1,
      sym_linebreak,
    ACTIONS(4228), 1,
      sym__termination,
    ACTIONS(4226), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(991), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23452] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4230), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23526] = 19,
    ACTIONS(3524), 1,
      anon_sym_COLON,
    ACTIONS(4232), 1,
      aux_sym_escape_token1,
    ACTIONS(4235), 1,
      aux_sym_url_token1,
    ACTIONS(4238), 1,
      sym_linebreak,
    ACTIONS(4244), 1,
      aux_sym_text_token1,
    ACTIONS(4247), 1,
      anon_sym_BQUOTE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR,
    ACTIONS(4253), 1,
      anon_sym_POUND,
    ACTIONS(4256), 1,
      anon_sym_LT,
    ACTIONS(4259), 1,
      anon_sym_AT,
    ACTIONS(4262), 1,
      sym__token_strong,
    ACTIONS(4265), 1,
      sym__token_emph,
    ACTIONS(4268), 1,
      sym__token_bracket,
    ACTIONS(4271), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4274), 1,
      sym__token_anti_markup,
    ACTIONS(4241), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(992), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23600] = 19,
    ACTIONS(3524), 1,
      sym__termination,
    ACTIONS(4277), 1,
      aux_sym_escape_token1,
    ACTIONS(4280), 1,
      aux_sym_url_token1,
    ACTIONS(4283), 1,
      sym_linebreak,
    ACTIONS(4289), 1,
      aux_sym_text_token1,
    ACTIONS(4292), 1,
      anon_sym_BQUOTE,
    ACTIONS(4295), 1,
      anon_sym_DOLLAR,
    ACTIONS(4298), 1,
      anon_sym_POUND,
    ACTIONS(4301), 1,
      anon_sym_LT,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4307), 1,
      sym__token_strong,
    ACTIONS(4310), 1,
      sym__token_emph,
    ACTIONS(4313), 1,
      sym__token_bracket,
    ACTIONS(4316), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4319), 1,
      sym__token_anti_markup,
    ACTIONS(4286), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23674] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4322), 1,
      sym_linebreak,
    ACTIONS(4326), 1,
      sym__termination,
    ACTIONS(4324), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(997), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23748] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4328), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23822] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4330), 1,
      sym_linebreak,
    ACTIONS(4334), 1,
      sym__termination,
    ACTIONS(4332), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1000), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23896] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4336), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23970] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4338), 1,
      sym_linebreak,
    ACTIONS(4342), 1,
      sym__termination,
    ACTIONS(4340), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(995), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24044] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4344), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24118] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4124), 1,
      sym_linebreak,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4346), 1,
      sym__termination,
    ACTIONS(4126), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(993), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24192] = 19,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4170), 1,
      aux_sym_url_token1,
    ACTIONS(4176), 1,
      aux_sym_text_token1,
    ACTIONS(4180), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_DOLLAR,
    ACTIONS(4184), 1,
      anon_sym_POUND,
    ACTIONS(4186), 1,
      anon_sym_LT,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      sym__token_strong,
    ACTIONS(4192), 1,
      sym__token_emph,
    ACTIONS(4194), 1,
      sym__token_bracket,
    ACTIONS(4196), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4198), 1,
      sym__token_anti_markup,
    ACTIONS(4348), 1,
      sym_linebreak,
    ACTIONS(4352), 1,
      anon_sym_COLON,
    ACTIONS(4350), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(985), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24266] = 19,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4170), 1,
      aux_sym_url_token1,
    ACTIONS(4176), 1,
      aux_sym_text_token1,
    ACTIONS(4180), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_DOLLAR,
    ACTIONS(4184), 1,
      anon_sym_POUND,
    ACTIONS(4186), 1,
      anon_sym_LT,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      sym__token_strong,
    ACTIONS(4192), 1,
      sym__token_emph,
    ACTIONS(4194), 1,
      sym__token_bracket,
    ACTIONS(4196), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4198), 1,
      sym__token_anti_markup,
    ACTIONS(4354), 1,
      sym_linebreak,
    ACTIONS(4358), 1,
      anon_sym_COLON,
    ACTIONS(4356), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(983), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24340] = 19,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4170), 1,
      aux_sym_url_token1,
    ACTIONS(4176), 1,
      aux_sym_text_token1,
    ACTIONS(4180), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_DOLLAR,
    ACTIONS(4184), 1,
      anon_sym_POUND,
    ACTIONS(4186), 1,
      anon_sym_LT,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      sym__token_strong,
    ACTIONS(4192), 1,
      sym__token_emph,
    ACTIONS(4194), 1,
      sym__token_bracket,
    ACTIONS(4196), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4198), 1,
      sym__token_anti_markup,
    ACTIONS(4360), 1,
      sym_linebreak,
    ACTIONS(4364), 1,
      anon_sym_COLON,
    ACTIONS(4362), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1004), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24414] = 19,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4170), 1,
      aux_sym_url_token1,
    ACTIONS(4172), 1,
      sym_linebreak,
    ACTIONS(4176), 1,
      aux_sym_text_token1,
    ACTIONS(4180), 1,
      anon_sym_BQUOTE,
    ACTIONS(4182), 1,
      anon_sym_DOLLAR,
    ACTIONS(4184), 1,
      anon_sym_POUND,
    ACTIONS(4186), 1,
      anon_sym_LT,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(4190), 1,
      sym__token_strong,
    ACTIONS(4192), 1,
      sym__token_emph,
    ACTIONS(4194), 1,
      sym__token_bracket,
    ACTIONS(4196), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4198), 1,
      sym__token_anti_markup,
    ACTIONS(4366), 1,
      anon_sym_COLON,
    ACTIONS(4174), 2,
      sym_quote,
      sym_shorthand,
    STATE(3082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(992), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24488] = 19,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4122), 1,
      aux_sym_url_token1,
    ACTIONS(4128), 1,
      aux_sym_text_token1,
    ACTIONS(4130), 1,
      anon_sym_BQUOTE,
    ACTIONS(4132), 1,
      anon_sym_DOLLAR,
    ACTIONS(4134), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_LT,
    ACTIONS(4138), 1,
      anon_sym_AT,
    ACTIONS(4140), 1,
      sym__token_strong,
    ACTIONS(4142), 1,
      sym__token_emph,
    ACTIONS(4144), 1,
      sym__token_bracket,
    ACTIONS(4148), 1,
      sym__token_raw_blck_ldlm,
    ACTIONS(4150), 1,
      sym__token_anti_markup,
    ACTIONS(4368), 1,
      sym_linebreak,
    ACTIONS(4372), 1,
      sym__termination,
    ACTIONS(4370), 2,
      sym_quote,
      sym_shorthand,
    STATE(3085), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(979), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym_code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24562] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(1275), 13,
      sym__token_content,
      sym__token_raw_blck_ldlm,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      anon_sym_DQUOTE,
      anon_sym_DOT_DOT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACE,
    ACTIONS(4374), 18,
      sym__identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_context,
      anon_sym_not,
      anon_sym_if,
      anon_sym_let,
      anon_sym_set,
      anon_sym_import,
      anon_sym_include,
      anon_sym_for,
      anon_sym_while,
      anon_sym_show,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      sym_auto,
      sym_none,
  [24603] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(1370), 13,
      sym__token_content,
      sym__token_raw_blck_ldlm,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      anon_sym_DQUOTE,
      anon_sym_DOT_DOT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(4376), 18,
      sym__identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_context,
      anon_sym_not,
      anon_sym_if,
      anon_sym_let,
      anon_sym_set,
      anon_sym_import,
      anon_sym_include,
      anon_sym_for,
      anon_sym_while,
      anon_sym_show,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      sym_auto,
      sym_none,
  [24644] = 9,
    ACTIONS(4378), 1,
      sym__identifier,
    ACTIONS(4384), 1,
      anon_sym_STAR,
    ACTIONS(4386), 1,
      anon_sym_LPAREN2,
    STATE(1043), 1,
      sym_ident,
    STATE(1211), 1,
      sym_binding,
    STATE(1401), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4380), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [24696] = 9,
    ACTIONS(4378), 1,
      sym__identifier,
    ACTIONS(4392), 1,
      anon_sym_STAR,
    ACTIONS(4394), 1,
      anon_sym_LPAREN2,
    STATE(1043), 1,
      sym_ident,
    STATE(1211), 1,
      sym_binding,
    STATE(1409), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4388), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [24748] = 9,
    ACTIONS(4396), 1,
      sym__identifier,
    ACTIONS(4398), 1,
      anon_sym_STAR,
    ACTIONS(4400), 1,
      anon_sym_LPAREN2,
    STATE(1023), 1,
      sym_ident,
    STATE(1122), 1,
      sym_binding,
    STATE(1431), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4380), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [24800] = 9,
    ACTIONS(4396), 1,
      sym__identifier,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4404), 1,
      anon_sym_LPAREN2,
    STATE(1023), 1,
      sym_ident,
    STATE(1122), 1,
      sym_binding,
    STATE(1460), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4388), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [24852] = 5,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(1167), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4408), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4406), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24895] = 5,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(1213), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4414), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4412), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24938] = 7,
    ACTIONS(3080), 1,
      aux_sym_escape_token1,
    ACTIONS(4420), 1,
      aux_sym_text_token1,
    ACTIONS(4422), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4418), 2,
      sym__lb,
      sym_linebreak,
    STATE(1018), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4416), 23,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24985] = 5,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(1141), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4426), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4424), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25028] = 5,
    ACTIONS(4428), 1,
      sym__indent,
    STATE(1093), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4408), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4406), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25071] = 7,
    ACTIONS(2915), 1,
      aux_sym_escape_token1,
    ACTIONS(4430), 1,
      aux_sym_text_token1,
    ACTIONS(4432), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4418), 2,
      sym__lb,
      sym_linebreak,
    STATE(1028), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4416), 23,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25118] = 7,
    ACTIONS(4436), 1,
      aux_sym_escape_token1,
    ACTIONS(4441), 1,
      aux_sym_text_token1,
    ACTIONS(4444), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4439), 2,
      sym__lb,
      sym_linebreak,
    STATE(1018), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4434), 23,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25165] = 9,
    ACTIONS(4447), 1,
      sym__identifier,
    ACTIONS(4449), 1,
      anon_sym_STAR,
    ACTIONS(4451), 1,
      anon_sym_LPAREN2,
    STATE(1073), 1,
      sym_ident,
    STATE(1340), 1,
      sym_binding,
    STATE(1946), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COLON2,
    ACTIONS(4380), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25216] = 7,
    ACTIONS(3034), 1,
      aux_sym_escape_token1,
    ACTIONS(4453), 1,
      aux_sym_text_token1,
    ACTIONS(4455), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4418), 2,
      sym__lb,
      sym_linebreak,
    STATE(1032), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4416), 23,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25263] = 9,
    ACTIONS(4457), 1,
      sym__identifier,
    ACTIONS(4459), 1,
      anon_sym_STAR,
    ACTIONS(4461), 1,
      anon_sym_LPAREN2,
    STATE(1075), 1,
      sym_ident,
    STATE(1276), 1,
      sym_binding,
    STATE(1740), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4380), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25314] = 9,
    ACTIONS(4447), 1,
      sym__identifier,
    ACTIONS(4463), 1,
      anon_sym_STAR,
    ACTIONS(4465), 1,
      anon_sym_LPAREN2,
    STATE(1073), 1,
      sym_ident,
    STATE(1340), 1,
      sym_binding,
    STATE(1953), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COLON2,
    ACTIONS(4388), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25365] = 7,
    ACTIONS(4471), 1,
      anon_sym_as,
    ACTIONS(4473), 1,
      anon_sym_DOT2,
    STATE(1025), 1,
      aux_sym_binding_repeat1,
    STATE(1269), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [25412] = 9,
    ACTIONS(4457), 1,
      sym__identifier,
    ACTIONS(4475), 1,
      anon_sym_STAR,
    ACTIONS(4477), 1,
      anon_sym_LPAREN2,
    STATE(1075), 1,
      sym_ident,
    STATE(1276), 1,
      sym_binding,
    STATE(1748), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4388), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25463] = 7,
    ACTIONS(4471), 1,
      anon_sym_as,
    ACTIONS(4473), 1,
      anon_sym_DOT2,
    STATE(1070), 1,
      aux_sym_binding_repeat1,
    STATE(1271), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [25510] = 5,
    ACTIONS(4483), 1,
      sym__indent,
    STATE(1210), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4426), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4424), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25553] = 5,
    ACTIONS(4428), 1,
      sym__indent,
    STATE(1097), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4487), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4485), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25596] = 7,
    ACTIONS(4489), 1,
      aux_sym_escape_token1,
    ACTIONS(4492), 1,
      aux_sym_text_token1,
    ACTIONS(4495), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4439), 2,
      sym__lb,
      sym_linebreak,
    STATE(1028), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4434), 23,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25643] = 5,
    ACTIONS(4428), 1,
      sym__indent,
    STATE(1108), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4414), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4412), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25686] = 5,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(1198), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4500), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4498), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25729] = 5,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(1200), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4504), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4502), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25772] = 7,
    ACTIONS(4506), 1,
      aux_sym_escape_token1,
    ACTIONS(4509), 1,
      aux_sym_text_token1,
    ACTIONS(4512), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4439), 2,
      sym__lb,
      sym_linebreak,
    STATE(1032), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4434), 23,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25819] = 9,
    ACTIONS(4515), 1,
      sym__identifier,
    ACTIONS(4517), 1,
      anon_sym_STAR,
    ACTIONS(4519), 1,
      anon_sym_LPAREN2,
    STATE(1078), 1,
      sym_ident,
    STATE(1284), 1,
      sym_binding,
    STATE(1967), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4380), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25870] = 5,
    ACTIONS(4483), 1,
      sym__indent,
    STATE(1130), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4408), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4406), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25913] = 5,
    ACTIONS(4483), 1,
      sym__indent,
    STATE(1131), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4487), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4485), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25956] = 9,
    ACTIONS(4515), 1,
      sym__identifier,
    ACTIONS(4521), 1,
      anon_sym_STAR,
    ACTIONS(4523), 1,
      anon_sym_LPAREN2,
    STATE(1078), 1,
      sym_ident,
    STATE(1284), 1,
      sym_binding,
    STATE(1990), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4388), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26007] = 5,
    ACTIONS(4483), 1,
      sym__indent,
    STATE(1163), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4500), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4498), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26050] = 5,
    ACTIONS(4483), 1,
      sym__indent,
    STATE(1164), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4504), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4502), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26093] = 9,
    ACTIONS(4525), 1,
      sym__identifier,
    ACTIONS(4527), 1,
      anon_sym_STAR,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(1057), 1,
      sym_ident,
    STATE(1241), 1,
      sym_binding,
    STATE(2036), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4380), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26144] = 9,
    ACTIONS(4525), 1,
      sym__identifier,
    ACTIONS(4531), 1,
      anon_sym_STAR,
    ACTIONS(4533), 1,
      anon_sym_LPAREN2,
    STATE(1057), 1,
      sym_ident,
    STATE(1241), 1,
      sym_binding,
    STATE(2044), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4388), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26195] = 9,
    ACTIONS(4535), 1,
      sym__identifier,
    ACTIONS(4537), 1,
      anon_sym_STAR,
    ACTIONS(4539), 1,
      anon_sym_LPAREN2,
    STATE(1065), 1,
      sym_ident,
    STATE(1250), 1,
      sym_binding,
    STATE(1636), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4380), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26246] = 5,
    ACTIONS(4410), 1,
      sym__indent,
    STATE(1111), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4487), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4485), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26289] = 7,
    ACTIONS(4541), 1,
      anon_sym_as,
    ACTIONS(4543), 1,
      anon_sym_DOT2,
    STATE(1044), 1,
      aux_sym_binding_repeat1,
    STATE(1294), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [26336] = 7,
    ACTIONS(4541), 1,
      anon_sym_as,
    ACTIONS(4543), 1,
      anon_sym_DOT2,
    STATE(1081), 1,
      aux_sym_binding_repeat1,
    STATE(1296), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [26383] = 5,
    ACTIONS(4428), 1,
      sym__indent,
    STATE(1100), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4500), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4498), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26426] = 5,
    ACTIONS(4428), 1,
      sym__indent,
    STATE(1118), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4504), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4502), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26469] = 9,
    ACTIONS(4535), 1,
      sym__identifier,
    ACTIONS(4545), 1,
      anon_sym_STAR,
    ACTIONS(4547), 1,
      anon_sym_LPAREN2,
    STATE(1065), 1,
      sym_ident,
    STATE(1250), 1,
      sym_binding,
    STATE(1645), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4388), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26520] = 5,
    ACTIONS(4483), 1,
      sym__indent,
    STATE(1149), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4414), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4412), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26563] = 5,
    ACTIONS(4428), 1,
      sym__indent,
    STATE(1229), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4426), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4424), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26606] = 9,
    ACTIONS(4549), 1,
      sym__identifier,
    ACTIONS(4551), 1,
      anon_sym_STAR,
    ACTIONS(4553), 1,
      anon_sym_LPAREN2,
    STATE(1160), 1,
      sym_ident,
    STATE(1575), 1,
      sym_binding,
    STATE(2373), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4380), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26656] = 9,
    ACTIONS(4555), 1,
      sym__identifier,
    ACTIONS(4557), 1,
      anon_sym_STAR,
    ACTIONS(4559), 1,
      anon_sym_LPAREN2,
    STATE(1099), 1,
      sym_ident,
    STATE(1565), 1,
      sym_binding,
    STATE(2244), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4380), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26706] = 4,
    ACTIONS(4565), 1,
      sym__immediate_brack,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4563), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4561), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26746] = 9,
    ACTIONS(4567), 1,
      sym__identifier,
    ACTIONS(4569), 1,
      anon_sym_STAR,
    ACTIONS(4571), 1,
      anon_sym_LPAREN2,
    STATE(1067), 1,
      sym_ident,
    STATE(1606), 1,
      sym_binding,
    STATE(2213), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4380), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [26796] = 9,
    ACTIONS(4555), 1,
      sym__identifier,
    ACTIONS(4573), 1,
      anon_sym_STAR,
    ACTIONS(4575), 1,
      anon_sym_LPAREN2,
    STATE(1099), 1,
      sym_ident,
    STATE(1565), 1,
      sym_binding,
    STATE(2297), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4388), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26846] = 4,
    ACTIONS(4577), 1,
      sym__immediate_brack,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4563), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4561), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26886] = 9,
    ACTIONS(4579), 1,
      sym__identifier,
    ACTIONS(4581), 1,
      anon_sym_STAR,
    ACTIONS(4583), 1,
      anon_sym_LPAREN2,
    STATE(1132), 1,
      sym_ident,
    STATE(1550), 1,
      sym_binding,
    STATE(2131), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4380), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26936] = 7,
    ACTIONS(4585), 1,
      anon_sym_as,
    ACTIONS(4587), 1,
      anon_sym_DOT2,
    STATE(1060), 1,
      aux_sym_binding_repeat1,
    STATE(1358), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [26982] = 9,
    ACTIONS(4567), 1,
      sym__identifier,
    ACTIONS(4589), 1,
      anon_sym_STAR,
    ACTIONS(4591), 1,
      anon_sym_LPAREN2,
    STATE(1067), 1,
      sym_ident,
    STATE(1606), 1,
      sym_binding,
    STATE(2242), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4388), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [27032] = 9,
    ACTIONS(4579), 1,
      sym__identifier,
    ACTIONS(4593), 1,
      anon_sym_STAR,
    ACTIONS(4595), 1,
      anon_sym_LPAREN2,
    STATE(1132), 1,
      sym_ident,
    STATE(1550), 1,
      sym_binding,
    STATE(2138), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4388), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [27082] = 7,
    ACTIONS(4585), 1,
      anon_sym_as,
    ACTIONS(4587), 1,
      anon_sym_DOT2,
    STATE(1174), 1,
      aux_sym_binding_repeat1,
    STATE(1489), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27128] = 9,
    ACTIONS(4597), 1,
      sym__identifier,
    ACTIONS(4599), 1,
      anon_sym_STAR,
    ACTIONS(4601), 1,
      anon_sym_LPAREN2,
    STATE(1062), 1,
      sym_ident,
    STATE(1377), 1,
      sym_binding,
    STATE(2410), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(4380), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [27178] = 7,
    ACTIONS(4603), 1,
      anon_sym_as,
    ACTIONS(4605), 1,
      anon_sym_DOT2,
    STATE(1063), 1,
      aux_sym_binding_repeat1,
    STATE(1644), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 11,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [27224] = 7,
    ACTIONS(4603), 1,
      anon_sym_as,
    ACTIONS(4605), 1,
      anon_sym_DOT2,
    STATE(1091), 1,
      aux_sym_binding_repeat1,
    STATE(1655), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 11,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [27270] = 9,
    ACTIONS(4549), 1,
      sym__identifier,
    ACTIONS(4607), 1,
      anon_sym_STAR,
    ACTIONS(4609), 1,
      anon_sym_LPAREN2,
    STATE(1160), 1,
      sym_ident,
    STATE(1575), 1,
      sym_binding,
    STATE(2067), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4388), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [27320] = 7,
    ACTIONS(4611), 1,
      anon_sym_as,
    ACTIONS(4613), 1,
      anon_sym_DOT2,
    STATE(1066), 1,
      aux_sym_binding_repeat1,
    STATE(1464), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27366] = 7,
    ACTIONS(4611), 1,
      anon_sym_as,
    ACTIONS(4613), 1,
      anon_sym_DOT2,
    STATE(1106), 1,
      aux_sym_binding_repeat1,
    STATE(1488), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27412] = 7,
    ACTIONS(4615), 1,
      anon_sym_as,
    ACTIONS(4617), 1,
      anon_sym_DOT2,
    STATE(1068), 1,
      aux_sym_binding_repeat1,
    STATE(2046), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [27458] = 7,
    ACTIONS(4615), 1,
      anon_sym_as,
    ACTIONS(4617), 1,
      anon_sym_DOT2,
    STATE(1142), 1,
      aux_sym_binding_repeat1,
    STATE(2056), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [27504] = 6,
    ACTIONS(4396), 1,
      sym__identifier,
    STATE(1023), 1,
      sym_ident,
    STATE(1272), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4619), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [27548] = 5,
    ACTIONS(4627), 1,
      anon_sym_DOT2,
    STATE(1070), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27590] = 6,
    ACTIONS(4396), 1,
      sym__identifier,
    STATE(1023), 1,
      sym_ident,
    STATE(1272), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4630), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [27634] = 4,
    ACTIONS(4634), 1,
      sym__immediate_brack,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4563), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4561), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27674] = 7,
    ACTIONS(4636), 1,
      anon_sym_as,
    ACTIONS(4638), 1,
      anon_sym_DOT2,
    STATE(1074), 1,
      aux_sym_binding_repeat1,
    STATE(1588), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27720] = 7,
    ACTIONS(4636), 1,
      anon_sym_as,
    ACTIONS(4638), 1,
      anon_sym_DOT2,
    STATE(1165), 1,
      aux_sym_binding_repeat1,
    STATE(1594), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27766] = 7,
    ACTIONS(4640), 1,
      anon_sym_as,
    ACTIONS(4642), 1,
      anon_sym_DOT2,
    STATE(1076), 1,
      aux_sym_binding_repeat1,
    STATE(1359), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27812] = 7,
    ACTIONS(4640), 1,
      anon_sym_as,
    ACTIONS(4642), 1,
      anon_sym_DOT2,
    STATE(1176), 1,
      aux_sym_binding_repeat1,
    STATE(1363), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27858] = 9,
    ACTIONS(4597), 1,
      sym__identifier,
    ACTIONS(4644), 1,
      anon_sym_STAR,
    ACTIONS(4646), 1,
      anon_sym_LPAREN2,
    STATE(1062), 1,
      sym_ident,
    STATE(1377), 1,
      sym_binding,
    STATE(2341), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(4388), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [27908] = 7,
    ACTIONS(4648), 1,
      anon_sym_as,
    ACTIONS(4650), 1,
      anon_sym_DOT2,
    STATE(1079), 1,
      aux_sym_binding_repeat1,
    STATE(1410), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [27954] = 7,
    ACTIONS(4648), 1,
      anon_sym_as,
    ACTIONS(4650), 1,
      anon_sym_DOT2,
    STATE(1208), 1,
      aux_sym_binding_repeat1,
    STATE(1418), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [28000] = 6,
    ACTIONS(4378), 1,
      sym__identifier,
    STATE(1043), 1,
      sym_ident,
    STATE(1353), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4619), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [28044] = 5,
    ACTIONS(4652), 1,
      anon_sym_DOT2,
    STATE(1081), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [28086] = 6,
    ACTIONS(4378), 1,
      sym__identifier,
    STATE(1043), 1,
      sym_ident,
    STATE(1353), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4630), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [28130] = 9,
    ACTIONS(4655), 1,
      sym__identifier,
    ACTIONS(4657), 1,
      anon_sym_STAR,
    ACTIONS(4659), 1,
      anon_sym_LPAREN2,
    STATE(1124), 1,
      sym_ident,
    STATE(1622), 1,
      sym_binding,
    STATE(2553), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4380), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [28179] = 7,
    ACTIONS(4661), 1,
      anon_sym_as,
    ACTIONS(4663), 1,
      anon_sym_DOT2,
    STATE(1336), 1,
      aux_sym_binding_repeat1,
    STATE(1964), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [28224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4667), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4665), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4671), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4669), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28298] = 9,
    ACTIONS(4673), 1,
      sym__identifier,
    ACTIONS(4675), 1,
      anon_sym_STAR,
    ACTIONS(4677), 1,
      anon_sym_LPAREN2,
    STATE(1125), 1,
      sym_ident,
    STATE(1911), 1,
      sym_binding,
    STATE(2498), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4390), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [28347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4681), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4679), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28384] = 9,
    ACTIONS(4683), 1,
      sym__identifier,
    ACTIONS(4685), 1,
      anon_sym_STAR,
    ACTIONS(4687), 1,
      anon_sym_LPAREN2,
    STATE(1150), 1,
      sym_ident,
    STATE(1794), 1,
      sym_binding,
    STATE(2741), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4380), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [28433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4691), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4689), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28470] = 5,
    ACTIONS(4693), 1,
      anon_sym_DOT2,
    STATE(1091), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [28511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4698), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4696), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4702), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4700), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4706), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4704), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4710), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4708), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28659] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4716), 1,
      sym__token_else,
    STATE(1098), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4718), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [28702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4414), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4412), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28739] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4724), 1,
      sym__token_else,
    STATE(1101), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4726), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [28782] = 7,
    ACTIONS(4661), 1,
      anon_sym_as,
    ACTIONS(4663), 1,
      anon_sym_DOT2,
    STATE(1084), 1,
      aux_sym_binding_repeat1,
    STATE(1950), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [28827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4730), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4728), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28864] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1101), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4736), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [28905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4741), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4739), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4745), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4743), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28979] = 6,
    ACTIONS(4535), 1,
      sym__identifier,
    STATE(1065), 1,
      sym_ident,
    STATE(1491), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4619), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29022] = 7,
    ACTIONS(4747), 1,
      anon_sym_as,
    ACTIONS(4749), 1,
      anon_sym_DOT2,
    STATE(1342), 1,
      aux_sym_binding_repeat1,
    STATE(2316), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [29067] = 5,
    ACTIONS(4751), 1,
      anon_sym_DOT2,
    STATE(1106), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [29108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4667), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4665), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4756), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4754), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29182] = 6,
    ACTIONS(4535), 1,
      sym__identifier,
    STATE(1065), 1,
      sym_ident,
    STATE(1491), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4630), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4671), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4669), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4414), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4412), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4760), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4758), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4691), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4689), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4764), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4762), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4768), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4766), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4760), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4758), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4772), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4770), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4408), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4406), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29558] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4764), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4762), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29595] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4776), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4774), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4776), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4774), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29669] = 5,
    ACTIONS(4782), 1,
      anon_sym_COMMA2,
    STATE(1127), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [29710] = 7,
    ACTIONS(4784), 1,
      anon_sym_as,
    ACTIONS(4786), 1,
      anon_sym_DOT2,
    STATE(1319), 1,
      aux_sym_binding_repeat1,
    STATE(2205), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [29755] = 7,
    ACTIONS(4788), 1,
      anon_sym_as,
    ACTIONS(4790), 1,
      anon_sym_DOT2,
    STATE(1199), 1,
      aux_sym_binding_repeat1,
    STATE(2068), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [29800] = 7,
    ACTIONS(4747), 1,
      anon_sym_as,
    ACTIONS(4749), 1,
      anon_sym_DOT2,
    STATE(1105), 1,
      aux_sym_binding_repeat1,
    STATE(2305), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 9,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [29845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4698), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4696), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29882] = 5,
    ACTIONS(4792), 1,
      anon_sym_COMMA2,
    STATE(1135), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [29923] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [29960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4681), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4679), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4702), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4700), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4414), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4412), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30071] = 7,
    ACTIONS(4794), 1,
      anon_sym_as,
    ACTIONS(4796), 1,
      anon_sym_DOT2,
    STATE(1161), 1,
      aux_sym_binding_repeat1,
    STATE(1886), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [30116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4800), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4798), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4681), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4679), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30190] = 5,
    ACTIONS(4806), 1,
      anon_sym_COMMA2,
    STATE(1135), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [30231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4706), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4704), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4800), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4798), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4811), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4809), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4815), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4813), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4745), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4743), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4500), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4498), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30453] = 5,
    ACTIONS(4817), 1,
      anon_sym_DOT2,
    STATE(1142), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [30494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4811), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4809), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4776), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4774), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4822), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4820), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4710), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4708), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4768), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4766), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4741), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4739), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4756), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4754), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30753] = 7,
    ACTIONS(4824), 1,
      anon_sym_as,
    ACTIONS(4826), 1,
      anon_sym_DOT2,
    STATE(1191), 1,
      aux_sym_binding_repeat1,
    STATE(2301), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [30798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4671), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4669), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4691), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4689), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4698), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4696), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4830), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4828), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4834), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4832), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4838), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4836), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4838), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4836), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31057] = 9,
    ACTIONS(4655), 1,
      sym__identifier,
    ACTIONS(4840), 1,
      anon_sym_STAR,
    ACTIONS(4842), 1,
      anon_sym_LPAREN2,
    STATE(1124), 1,
      sym_ident,
    STATE(1622), 1,
      sym_binding,
    STATE(2558), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4388), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [31106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4846), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4844), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31143] = 7,
    ACTIONS(4848), 1,
      anon_sym_as,
    ACTIONS(4850), 1,
      anon_sym_DOT2,
    STATE(1182), 1,
      aux_sym_binding_repeat1,
    STATE(1646), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [31188] = 7,
    ACTIONS(4794), 1,
      anon_sym_as,
    ACTIONS(4796), 1,
      anon_sym_DOT2,
    STATE(1328), 1,
      aux_sym_binding_repeat1,
    STATE(1890), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [31233] = 6,
    ACTIONS(4447), 1,
      sym__identifier,
    STATE(1073), 1,
      sym_ident,
    STATE(1596), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COLON2,
    ACTIONS(4619), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4730), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4728), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4408), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4406), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31350] = 5,
    ACTIONS(4852), 1,
      anon_sym_DOT2,
    STATE(1165), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [31391] = 9,
    ACTIONS(4855), 1,
      sym__identifier,
    ACTIONS(4857), 1,
      anon_sym_STAR,
    ACTIONS(4859), 1,
      anon_sym_LPAREN2,
    STATE(1168), 1,
      sym_ident,
    STATE(1845), 1,
      sym_binding,
    STATE(2793), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4382), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4380), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [31440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4702), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4700), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31477] = 7,
    ACTIONS(4861), 1,
      anon_sym_as,
    ACTIONS(4863), 1,
      anon_sym_DOT2,
    STATE(1172), 1,
      aux_sym_binding_repeat1,
    STATE(2413), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [31522] = 9,
    ACTIONS(4855), 1,
      sym__identifier,
    ACTIONS(4865), 1,
      anon_sym_STAR,
    ACTIONS(4867), 1,
      anon_sym_LPAREN2,
    STATE(1168), 1,
      sym_ident,
    STATE(1845), 1,
      sym_binding,
    STATE(2802), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4388), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [31571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4871), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4869), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31608] = 6,
    ACTIONS(4525), 1,
      sym__identifier,
    STATE(1057), 1,
      sym_ident,
    STATE(1494), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4619), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31651] = 7,
    ACTIONS(4861), 1,
      anon_sym_as,
    ACTIONS(4863), 1,
      anon_sym_DOT2,
    STATE(1324), 1,
      aux_sym_binding_repeat1,
    STATE(2066), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [31696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4875), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4873), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31733] = 5,
    ACTIONS(4877), 1,
      anon_sym_DOT2,
    STATE(1174), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [31774] = 6,
    ACTIONS(4457), 1,
      sym__identifier,
    STATE(1075), 1,
      sym_ident,
    STATE(1365), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4619), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31817] = 5,
    ACTIONS(4880), 1,
      anon_sym_DOT2,
    STATE(1176), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [31858] = 6,
    ACTIONS(4457), 1,
      sym__identifier,
    STATE(1075), 1,
      sym_ident,
    STATE(1365), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4630), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4834), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4832), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31938] = 6,
    ACTIONS(4525), 1,
      sym__identifier,
    STATE(1057), 1,
      sym_ident,
    STATE(1494), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4630), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31981] = 9,
    ACTIONS(4673), 1,
      sym__identifier,
    ACTIONS(4883), 1,
      anon_sym_STAR,
    ACTIONS(4885), 1,
      anon_sym_LPAREN2,
    STATE(1125), 1,
      sym_ident,
    STATE(1911), 1,
      sym_binding,
    STATE(2488), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4382), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [32030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4889), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4887), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32067] = 7,
    ACTIONS(4848), 1,
      anon_sym_as,
    ACTIONS(4850), 1,
      anon_sym_DOT2,
    STATE(1261), 1,
      aux_sym_binding_repeat1,
    STATE(1699), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [32112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4815), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4813), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32149] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4380), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4815), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4813), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32227] = 9,
    ACTIONS(4897), 1,
      sym__identifier,
    ACTIONS(4899), 1,
      anon_sym_STAR,
    ACTIONS(4901), 1,
      anon_sym_LPAREN2,
    STATE(1190), 1,
      sym_ident,
    STATE(1634), 1,
      sym_binding,
    STATE(2692), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4382), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [32276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4811), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4809), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4834), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4832), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32350] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4903), 1,
      sym__token_else,
    STATE(1195), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4905), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32393] = 7,
    ACTIONS(4784), 1,
      anon_sym_as,
    ACTIONS(4786), 1,
      anon_sym_DOT2,
    STATE(1123), 1,
      aux_sym_binding_repeat1,
    STATE(2076), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [32438] = 7,
    ACTIONS(4824), 1,
      anon_sym_as,
    ACTIONS(4826), 1,
      anon_sym_DOT2,
    STATE(1325), 1,
      aux_sym_binding_repeat1,
    STATE(2082), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [32483] = 9,
    ACTIONS(4897), 1,
      sym__identifier,
    ACTIONS(4907), 1,
      anon_sym_STAR,
    ACTIONS(4909), 1,
      anon_sym_LPAREN2,
    STATE(1190), 1,
      sym_ident,
    STATE(1634), 1,
      sym_binding,
    STATE(2702), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4390), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [32532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4838), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4836), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4871), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4869), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32606] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4911), 1,
      sym__token_else,
    STATE(1203), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4913), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4846), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4844), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4822), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4820), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4730), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4728), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32760] = 7,
    ACTIONS(4788), 1,
      anon_sym_as,
    ACTIONS(4790), 1,
      anon_sym_DOT2,
    STATE(1322), 1,
      aux_sym_binding_repeat1,
    STATE(2248), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [32805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4408), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4406), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4875), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4873), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4760), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4758), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32916] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1203), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4915), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4764), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4762), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [32994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4772), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4770), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4889), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4887), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33068] = 6,
    ACTIONS(4515), 1,
      sym__identifier,
    STATE(1078), 1,
      sym_ident,
    STATE(1419), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4619), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [33111] = 5,
    ACTIONS(4918), 1,
      anon_sym_DOT2,
    STATE(1208), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [33152] = 6,
    ACTIONS(4515), 1,
      sym__identifier,
    STATE(1078), 1,
      sym_ident,
    STATE(1419), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4630), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [33195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4500), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4498), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33232] = 5,
    ACTIONS(4921), 1,
      anon_sym_COMMA2,
    STATE(1214), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4830), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4828), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4756), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4754), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33347] = 5,
    ACTIONS(4923), 1,
      anon_sym_COMMA2,
    STATE(1218), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33388] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [33425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4846), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4844), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33462] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4129), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33503] = 5,
    ACTIONS(4925), 1,
      anon_sym_COMMA2,
    STATE(1218), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33544] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4706), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4704), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33581] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4800), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4798), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4822), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4820), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4710), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4708), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4741), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4739), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4889), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4887), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33766] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [33803] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [33840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4871), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4869), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4875), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4873), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4500), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4498), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [33951] = 9,
    ACTIONS(4683), 1,
      sym__identifier,
    ACTIONS(4932), 1,
      anon_sym_STAR,
    ACTIONS(4934), 1,
      anon_sym_LPAREN2,
    STATE(1150), 1,
      sym_ident,
    STATE(1794), 1,
      sym_binding,
    STATE(2749), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4390), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4388), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [34000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4830), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4828), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [34037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4745), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4743), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [34074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4772), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4770), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [34111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4667), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4665), 25,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [34148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4768), 3,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(4766), 25,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [34185] = 6,
    ACTIONS(4447), 1,
      sym__identifier,
    STATE(1073), 1,
      sym_ident,
    STATE(1596), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COLON2,
    ACTIONS(4630), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [34228] = 5,
    ACTIONS(4936), 1,
      anon_sym_COMMA2,
    STATE(1237), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34268] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4070), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34308] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4939), 1,
      sym__token_else,
    STATE(1240), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4941), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34350] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4943), 1,
      sym__token_else,
    STATE(1242), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4945), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34392] = 5,
    ACTIONS(4947), 1,
      anon_sym_COMMA2,
    STATE(1243), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [34432] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1242), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4949), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34472] = 5,
    ACTIONS(4952), 1,
      anon_sym_COMMA2,
    STATE(1245), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [34512] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [34548] = 5,
    ACTIONS(4954), 1,
      anon_sym_COMMA2,
    STATE(1245), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [34588] = 4,
    ACTIONS(4961), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34626] = 9,
    ACTIONS(4963), 1,
      sym__identifier,
    ACTIONS(4965), 1,
      anon_sym_STAR,
    ACTIONS(4967), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_ident,
    STATE(2334), 1,
      sym_binding,
    STATE(2876), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4382), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [34674] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34710] = 7,
    ACTIONS(4973), 1,
      anon_sym_as,
    ACTIONS(4975), 1,
      anon_sym_DOT2,
    STATE(1257), 1,
      aux_sym_binding_repeat1,
    STATE(2609), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COMMA2,
  [34754] = 5,
    ACTIONS(4977), 1,
      anon_sym_COMMA2,
    STATE(1251), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34794] = 5,
    ACTIONS(4979), 1,
      anon_sym_COMMA2,
    STATE(1254), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34834] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [34870] = 6,
    ACTIONS(4549), 1,
      sym__identifier,
    STATE(1160), 1,
      sym_ident,
    STATE(1738), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4619), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [34912] = 5,
    ACTIONS(4981), 1,
      anon_sym_COMMA2,
    STATE(1254), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34952] = 9,
    ACTIONS(4963), 1,
      sym__identifier,
    ACTIONS(4984), 1,
      anon_sym_STAR,
    ACTIONS(4986), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_ident,
    STATE(2334), 1,
      sym_binding,
    STATE(2887), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4390), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [35000] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4190), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35040] = 7,
    ACTIONS(4973), 1,
      anon_sym_as,
    ACTIONS(4975), 1,
      anon_sym_DOT2,
    STATE(1523), 1,
      aux_sym_binding_repeat1,
    STATE(2614), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COMMA2,
  [35084] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35120] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4992), 1,
      sym__token_else,
    STATE(1264), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4994), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35162] = 9,
    ACTIONS(4996), 1,
      sym__identifier,
    ACTIONS(4998), 1,
      anon_sym_STAR,
    ACTIONS(5000), 1,
      anon_sym_LPAREN2,
    STATE(1320), 1,
      sym_ident,
    STATE(2256), 1,
      sym_binding,
    STATE(2825), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4382), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [35210] = 5,
    ACTIONS(5002), 1,
      anon_sym_DOT2,
    STATE(1261), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [35250] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35286] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35322] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5009), 1,
      sym__token_else,
    STATE(1268), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5011), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35364] = 6,
    ACTIONS(4549), 1,
      sym__identifier,
    STATE(1160), 1,
      sym_ident,
    STATE(1738), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4630), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [35406] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35442] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35478] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1268), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5017), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35518] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [35554] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35590] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [35626] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [35662] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4232), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35702] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5028), 1,
      sym__token_else,
    STATE(1275), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5030), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35744] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5032), 1,
      sym__token_else,
    STATE(1277), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5034), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35786] = 5,
    ACTIONS(5036), 1,
      anon_sym_COMMA2,
    STATE(1278), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35826] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1277), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5038), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35866] = 5,
    ACTIONS(5041), 1,
      anon_sym_COMMA2,
    STATE(1237), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35906] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [35942] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [35978] = 4,
    ACTIONS(5047), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36016] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36052] = 6,
    ACTIONS(4597), 1,
      sym__identifier,
    STATE(1062), 1,
      sym_ident,
    STATE(1661), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(4619), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36094] = 5,
    ACTIONS(5049), 1,
      anon_sym_COMMA2,
    STATE(1286), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36134] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36170] = 5,
    ACTIONS(5051), 1,
      anon_sym_COMMA2,
    STATE(1289), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36210] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36246] = 6,
    ACTIONS(4597), 1,
      sym__identifier,
    STATE(1062), 1,
      sym_ident,
    STATE(1661), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(4630), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36288] = 5,
    ACTIONS(5053), 1,
      anon_sym_COMMA2,
    STATE(1289), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36328] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36364] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36400] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36436] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36472] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36508] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36544] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36580] = 7,
    ACTIONS(5056), 1,
      anon_sym_as,
    ACTIONS(5058), 1,
      anon_sym_DOT2,
    STATE(1339), 1,
      aux_sym_binding_repeat1,
    STATE(2766), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COMMA2,
  [36624] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36660] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36696] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36732] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36768] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 11,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36804] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36840] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36876] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [36912] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36948] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36984] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [37020] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [37056] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37092] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37128] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37164] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37200] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37236] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37272] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [37308] = 21,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5098), 1,
      anon_sym_as,
    ACTIONS(5100), 1,
      anon_sym_COLON2,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    STATE(1512), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5070), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [37380] = 21,
    ACTIONS(4541), 1,
      anon_sym_as,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5134), 1,
      anon_sym_COLON2,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    STATE(1516), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5070), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [37452] = 5,
    ACTIONS(5140), 1,
      anon_sym_DOT2,
    STATE(1319), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COMMA2,
  [37492] = 7,
    ACTIONS(5143), 1,
      anon_sym_as,
    ACTIONS(5145), 1,
      anon_sym_DOT2,
    STATE(1323), 1,
      aux_sym_binding_repeat1,
    STATE(2465), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4467), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4469), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COMMA2,
  [37536] = 9,
    ACTIONS(4996), 1,
      sym__identifier,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_LPAREN2,
    STATE(1320), 1,
      sym_ident,
    STATE(2256), 1,
      sym_binding,
    STATE(2941), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4390), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [37584] = 5,
    ACTIONS(5151), 1,
      anon_sym_DOT2,
    STATE(1322), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [37624] = 7,
    ACTIONS(5143), 1,
      anon_sym_as,
    ACTIONS(5145), 1,
      anon_sym_DOT2,
    STATE(1532), 1,
      aux_sym_binding_repeat1,
    STATE(2482), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COMMA2,
  [37668] = 5,
    ACTIONS(5154), 1,
      anon_sym_DOT2,
    STATE(1324), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [37708] = 5,
    ACTIONS(5157), 1,
      anon_sym_DOT2,
    STATE(1325), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [37748] = 9,
    ACTIONS(5160), 1,
      sym__identifier,
    ACTIONS(5162), 1,
      anon_sym_STAR,
    ACTIONS(5164), 1,
      anon_sym_LPAREN2,
    STATE(1297), 1,
      sym_ident,
    STATE(2120), 1,
      sym_binding,
    STATE(2979), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4390), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [37796] = 6,
    ACTIONS(4579), 1,
      sym__identifier,
    STATE(1132), 1,
      sym_ident,
    STATE(1892), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4619), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [37838] = 5,
    ACTIONS(5166), 1,
      anon_sym_DOT2,
    STATE(1328), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [37878] = 6,
    ACTIONS(4579), 1,
      sym__identifier,
    STATE(1132), 1,
      sym_ident,
    STATE(1892), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4630), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [37920] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4333), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [37960] = 21,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5098), 1,
      anon_sym_as,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5169), 1,
      anon_sym_COLON2,
    STATE(1919), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5070), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [38032] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5171), 1,
      sym__token_else,
    STATE(1333), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5173), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [38074] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5175), 1,
      sym__token_else,
    STATE(1334), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5177), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [38116] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1334), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5179), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 17,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [38156] = 6,
    ACTIONS(4555), 1,
      sym__identifier,
    STATE(1099), 1,
      sym_ident,
    STATE(1968), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4619), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [38198] = 5,
    ACTIONS(5182), 1,
      anon_sym_DOT2,
    STATE(1336), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [38238] = 6,
    ACTIONS(4555), 1,
      sym__identifier,
    STATE(1099), 1,
      sym_ident,
    STATE(1968), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4630), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [38280] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4018), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [38320] = 7,
    ACTIONS(5056), 1,
      anon_sym_as,
    ACTIONS(5058), 1,
      anon_sym_DOT2,
    STATE(1607), 1,
      aux_sym_binding_repeat1,
    STATE(2781), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4481), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COMMA2,
  [38364] = 5,
    ACTIONS(5185), 1,
      anon_sym_COMMA2,
    STATE(1341), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [38404] = 5,
    ACTIONS(5187), 1,
      anon_sym_COMMA2,
    STATE(1344), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [38444] = 5,
    ACTIONS(5189), 1,
      anon_sym_DOT2,
    STATE(1342), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COMMA2,
  [38484] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [38520] = 5,
    ACTIONS(5192), 1,
      anon_sym_COMMA2,
    STATE(1344), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [38560] = 9,
    ACTIONS(5160), 1,
      sym__identifier,
    ACTIONS(5195), 1,
      anon_sym_STAR,
    ACTIONS(5197), 1,
      anon_sym_LPAREN2,
    STATE(1297), 1,
      sym_ident,
    STATE(2120), 1,
      sym_binding,
    STATE(2973), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4382), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [38608] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5199), 1,
      sym__token_else,
    STATE(1348), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5201), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [38650] = 21,
    ACTIONS(4541), 1,
      anon_sym_as,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5203), 1,
      anon_sym_COLON2,
    STATE(2012), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5070), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [38722] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5205), 1,
      sym__token_else,
    STATE(1349), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5207), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [38764] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1349), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5209), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 17,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [38804] = 6,
    ACTIONS(4567), 1,
      sym__identifier,
    STATE(1067), 1,
      sym_ident,
    STATE(2058), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4619), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [38846] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [38882] = 6,
    ACTIONS(4567), 1,
      sym__identifier,
    STATE(1067), 1,
      sym_ident,
    STATE(2058), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4630), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [38924] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [38960] = 6,
    ACTIONS(4673), 1,
      sym__identifier,
    STATE(1125), 1,
      sym_ident,
    STATE(2321), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [39001] = 17,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39064] = 15,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5216), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5218), 6,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39123] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39158] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [39193] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [39228] = 14,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5220), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5222), 7,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39285] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39320] = 12,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 10,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39373] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [39408] = 10,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39457] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [39492] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39527] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39562] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [39597] = 18,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39662] = 18,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39727] = 14,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5250), 7,
      sym__token_content,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39784] = 6,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39825] = 8,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39870] = 18,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39935] = 18,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40000] = 4,
    ACTIONS(5268), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5266), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5264), 20,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [40037] = 5,
    ACTIONS(5270), 1,
      anon_sym_COMMA2,
    STATE(1403), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [40076] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40111] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [40146] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40181] = 18,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40246] = 8,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40291] = 18,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40356] = 18,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40421] = 17,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40484] = 15,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5216), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5218), 6,
      sym__token_content,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40543] = 14,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5220), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5222), 7,
      sym__token_content,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40600] = 12,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 10,
      sym__token_content,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40653] = 10,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40702] = 8,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40747] = 8,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40792] = 6,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40833] = 6,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40874] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40909] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40944] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40979] = 18,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41044] = 18,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41109] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41144] = 6,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41185] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41220] = 6,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41261] = 5,
    ACTIONS(5316), 1,
      anon_sym_COMMA2,
    STATE(1432), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [41300] = 18,
    ACTIONS(5106), 1,
      anon_sym_COLON,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41365] = 10,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41414] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41449] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41484] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41519] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41554] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [41589] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41624] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41659] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41694] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41729] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41764] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41799] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41834] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [41869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [41904] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41939] = 18,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42004] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42074] = 18,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42139] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42174] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42209] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42244] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42279] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42314] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42349] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42384] = 5,
    ACTIONS(5352), 1,
      anon_sym_COMMA2,
    STATE(1432), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [42423] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42458] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1434), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5355), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [42497] = 18,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42562] = 10,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42611] = 21,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5386), 1,
      anon_sym_as,
    ACTIONS(5388), 1,
      anon_sym_COLON2,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    STATE(2113), 1,
      sym_as,
    ACTIONS(5070), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42682] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42717] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3912), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [42756] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42791] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [42826] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42861] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42896] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42931] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42966] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43001] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43036] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43071] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43106] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43141] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43176] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43211] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43246] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43281] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43316] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43351] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43386] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43421] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43456] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43491] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43526] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [43561] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [43596] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [43631] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43666] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43701] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [43736] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [43771] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [43806] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43841] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [43876] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43911] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [43946] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [43981] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44016] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44051] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44086] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44121] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44156] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44191] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44226] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44261] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [44296] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44331] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [44366] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44401] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [44436] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [44471] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [44506] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44541] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [44576] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44611] = 5,
    ACTIONS(5402), 1,
      anon_sym_COMMA2,
    STATE(1567), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [44650] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [44685] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44720] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44755] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [44790] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44825] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44860] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44895] = 4,
    ACTIONS(5404), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44932] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44967] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1503), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5406), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [45006] = 6,
    ACTIONS(4655), 1,
      sym__identifier,
    STATE(1124), 1,
      sym_ident,
    STATE(2097), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4619), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [45047] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5409), 1,
      sym__token_else,
    STATE(1519), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5411), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [45088] = 21,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5386), 1,
      anon_sym_as,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5413), 1,
      anon_sym_COLON2,
    STATE(1766), 1,
      sym_as,
    ACTIONS(5070), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45159] = 21,
    ACTIONS(4585), 1,
      anon_sym_as,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5443), 1,
      anon_sym_COLON2,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    STATE(1769), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45230] = 21,
    ACTIONS(4611), 1,
      anon_sym_as,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5477), 1,
      anon_sym_COLON2,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    STATE(1771), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [45301] = 19,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5487), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [45368] = 21,
    ACTIONS(4640), 1,
      anon_sym_as,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5517), 1,
      anon_sym_COLON2,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    STATE(1773), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [45439] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45474] = 4,
    ACTIONS(5523), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
  [45511] = 21,
    ACTIONS(4648), 1,
      anon_sym_as,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5553), 1,
      anon_sym_COLON2,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    STATE(1777), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [45582] = 19,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5559), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [45649] = 4,
    ACTIONS(5561), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45686] = 4,
    ACTIONS(5563), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
  [45723] = 6,
    ACTIONS(4897), 1,
      sym__identifier,
    STATE(1190), 1,
      sym_ident,
    STATE(2234), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [45764] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [45799] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5565), 1,
      sym__token_else,
    STATE(1527), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5567), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [45840] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5569), 1,
      sym__token_else,
    STATE(1434), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5571), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [45881] = 6,
    ACTIONS(4897), 1,
      sym__identifier,
    STATE(1190), 1,
      sym_ident,
    STATE(2234), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4630), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4632), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [45922] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [45957] = 5,
    ACTIONS(5573), 1,
      anon_sym_DOT2,
    STATE(1523), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
  [45996] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46031] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3992), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46070] = 21,
    ACTIONS(4611), 1,
      anon_sym_as,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(5576), 1,
      anon_sym_COLON2,
    STATE(2339), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [46141] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1527), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5578), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46180] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46215] = 6,
    ACTIONS(4683), 1,
      sym__identifier,
    STATE(1150), 1,
      sym_ident,
    STATE(2084), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4619), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [46256] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [46291] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5581), 1,
      sym__token_else,
    STATE(1533), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5583), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46332] = 5,
    ACTIONS(5585), 1,
      anon_sym_DOT2,
    STATE(1532), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
  [46371] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5588), 1,
      sym__token_else,
    STATE(1535), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5590), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46412] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [46447] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1535), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5592), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46486] = 6,
    ACTIONS(4855), 1,
      sym__identifier,
    STATE(1168), 1,
      sym_ident,
    STATE(2071), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4619), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [46527] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [46562] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [46597] = 6,
    ACTIONS(4855), 1,
      sym__identifier,
    STATE(1168), 1,
      sym_ident,
    STATE(2071), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4630), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [46638] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 10,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [46673] = 18,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46738] = 6,
    ACTIONS(4683), 1,
      sym__identifier,
    STATE(1150), 1,
      sym_ident,
    STATE(2084), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4630), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [46779] = 19,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5595), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [46846] = 21,
    ACTIONS(4640), 1,
      anon_sym_as,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(5597), 1,
      anon_sym_COLON2,
    STATE(2115), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [46917] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5601), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5599), 20,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [46952] = 6,
    ACTIONS(4655), 1,
      sym__identifier,
    STATE(1124), 1,
      sym_ident,
    STATE(2097), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4630), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [46993] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3963), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [47032] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47067] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [47102] = 5,
    ACTIONS(5603), 1,
      anon_sym_COMMA2,
    STATE(1553), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [47141] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3798), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [47180] = 18,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47245] = 5,
    ACTIONS(5605), 1,
      anon_sym_COMMA2,
    STATE(1557), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [47284] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [47319] = 14,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5248), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5250), 7,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47376] = 6,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47417] = 5,
    ACTIONS(5607), 1,
      anon_sym_COMMA2,
    STATE(1557), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [47456] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5610), 1,
      sym__token_else,
    STATE(1563), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5612), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [47497] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47532] = 4,
    ACTIONS(5614), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [47569] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47604] = 18,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47669] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5616), 1,
      sym__token_else,
    STATE(1569), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5618), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [47710] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47745] = 5,
    ACTIONS(5620), 1,
      anon_sym_COMMA2,
    STATE(1573), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [47784] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47819] = 5,
    ACTIONS(5622), 1,
      anon_sym_COMMA2,
    STATE(1567), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [47858] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47893] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1569), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5625), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [47932] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47967] = 18,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48032] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48067] = 5,
    ACTIONS(5628), 1,
      anon_sym_COMMA2,
    STATE(1578), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [48106] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [48141] = 5,
    ACTIONS(5630), 1,
      anon_sym_COMMA2,
    STATE(1493), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [48180] = 21,
    ACTIONS(4648), 1,
      anon_sym_as,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(5632), 1,
      anon_sym_COLON2,
    STATE(2295), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [48251] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48286] = 5,
    ACTIONS(5634), 1,
      anon_sym_COMMA2,
    STATE(1578), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [48325] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48360] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48395] = 4,
    ACTIONS(5637), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [48432] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48467] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [48502] = 6,
    ACTIONS(5643), 1,
      sym__immediate_math_call,
    ACTIONS(5645), 1,
      sym__immediate_math_apply,
    ACTIONS(5647), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [48543] = 18,
    ACTIONS(5068), 1,
      anon_sym_COLON,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48608] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5649), 1,
      sym__token_else,
    STATE(1520), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5651), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [48649] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48684] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [48719] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 9,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [48754] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5655), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5653), 20,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [48789] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [48824] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48859] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [48894] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [48929] = 6,
    ACTIONS(4673), 1,
      sym__identifier,
    STATE(1125), 1,
      sym_ident,
    STATE(2321), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4630), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4632), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [48970] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [49005] = 18,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49070] = 4,
    ACTIONS(5657), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49107] = 21,
    ACTIONS(4585), 1,
      anon_sym_as,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5659), 1,
      anon_sym_COLON2,
    STATE(2368), 1,
      sym_as,
    ACTIONS(5070), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49178] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [49213] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3740), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [49252] = 19,
    ACTIONS(5108), 1,
      aux_sym_assign_token1,
    ACTIONS(5110), 1,
      anon_sym_EQ_GT,
    ACTIONS(5112), 1,
      anon_sym_or,
    ACTIONS(5114), 1,
      anon_sym_not,
    ACTIONS(5116), 1,
      anon_sym_and,
    ACTIONS(5122), 1,
      anon_sym_in,
    ACTIONS(5124), 1,
      anon_sym_PLUS,
    ACTIONS(5126), 1,
      anon_sym_DASH,
    ACTIONS(5128), 1,
      anon_sym_STAR,
    ACTIONS(5130), 1,
      anon_sym_SLASH,
    ACTIONS(5132), 1,
      anon_sym_DOT,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5118), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5120), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [49319] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49354] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [49389] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49424] = 5,
    ACTIONS(5663), 1,
      anon_sym_COMMA2,
    STATE(1611), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [49463] = 5,
    ACTIONS(5665), 1,
      anon_sym_DOT2,
    STATE(1607), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
  [49502] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [49537] = 18,
    ACTIONS(5072), 1,
      aux_sym_assign_token1,
    ACTIONS(5074), 1,
      anon_sym_EQ_GT,
    ACTIONS(5076), 1,
      anon_sym_or,
    ACTIONS(5078), 1,
      anon_sym_not,
    ACTIONS(5080), 1,
      anon_sym_and,
    ACTIONS(5086), 1,
      anon_sym_in,
    ACTIONS(5088), 1,
      anon_sym_PLUS,
    ACTIONS(5090), 1,
      anon_sym_DASH,
    ACTIONS(5092), 1,
      anon_sym_STAR,
    ACTIONS(5094), 1,
      anon_sym_SLASH,
    ACTIONS(5096), 1,
      anon_sym_DOT,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5082), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5084), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49602] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5668), 1,
      sym__token_else,
    STATE(1503), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5670), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [49643] = 5,
    ACTIONS(5672), 1,
      anon_sym_COMMA2,
    STATE(1615), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [49682] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5674), 1,
      sym__token_else,
    STATE(1610), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5676), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [49723] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49758] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49793] = 5,
    ACTIONS(5678), 1,
      anon_sym_COMMA2,
    STATE(1615), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [49832] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49867] = 12,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 11,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [49919] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5681), 1,
      sym__token_else,
    STATE(1624), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5683), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [49959] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [49993] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5685), 1,
      sym__token_else,
    STATE(1637), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5687), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [50033] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [50067] = 5,
    ACTIONS(5689), 1,
      anon_sym_COMMA2,
    STATE(1758), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [50105] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50139] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5691), 1,
      sym__token_else,
    STATE(1757), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5693), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [50179] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50213] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50247] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50281] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50315] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50379] = 18,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50443] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [50477] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50511] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [50545] = 5,
    ACTIONS(5695), 1,
      anon_sym_COMMA2,
    STATE(1781), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [50583] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50617] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50651] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1637), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5697), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 14,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [50689] = 18,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50753] = 18,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50817] = 10,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50865] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50899] = 18,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50963] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50997] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [51031] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51065] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [51099] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [51133] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51167] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51201] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [51235] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51269] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [51303] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51337] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3699), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [51375] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [51409] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [51443] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51477] = 21,
    ACTIONS(4661), 1,
      anon_sym_as,
    ACTIONS(5070), 1,
      sym__token_blocked_expr_end,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5728), 1,
      anon_sym_COLON2,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    STATE(2575), 1,
      sym_as,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51547] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1659), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5734), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [51585] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51619] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [51653] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51687] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51751] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51815] = 14,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5248), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51871] = 6,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51911] = 18,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51975] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52009] = 18,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52073] = 6,
    ACTIONS(4963), 1,
      sym__identifier,
    STATE(1249), 1,
      sym_ident,
    STATE(2615), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4619), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [52113] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52147] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [52181] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [52215] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [52249] = 6,
    ACTIONS(4963), 1,
      sym__identifier,
    STATE(1249), 1,
      sym_ident,
    STATE(2615), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4630), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [52289] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [52323] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [52357] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52391] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52425] = 4,
    ACTIONS(5737), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [52461] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52495] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52529] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52563] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [52597] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52631] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52665] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52699] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52733] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52767] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52801] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52835] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52903] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52937] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52971] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5601), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5599), 19,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [53005] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4930), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [53073] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [53107] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53141] = 18,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53205] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53269] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53333] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [53367] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [53401] = 17,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53463] = 15,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5216), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53521] = 14,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5220), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53577] = 12,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 9,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53629] = 10,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53677] = 8,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53721] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [53755] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [53789] = 8,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53833] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [53867] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [53901] = 6,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53941] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [53975] = 6,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54015] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [54049] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54083] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54117] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54151] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54185] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54249] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54283] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54317] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54351] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54385] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54419] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54483] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [54517] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [54551] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54615] = 18,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54679] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54713] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54747] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [54781] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54815] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54849] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54883] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54917] = 18,
    ACTIONS(5489), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [54981] = 10,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55029] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55063] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5739), 1,
      sym__token_else,
    STATE(1969), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5741), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [55103] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55137] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55171] = 21,
    ACTIONS(4794), 1,
      anon_sym_as,
    ACTIONS(5070), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5771), 1,
      anon_sym_COLON2,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    STATE(2636), 1,
      sym_as,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55241] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55275] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55309] = 18,
    ACTIONS(5449), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55373] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55407] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55441] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [55475] = 20,
    ACTIONS(903), 1,
      anon_sym_LBRACE,
    ACTIONS(927), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2909), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55543] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1757), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5809), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 14,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [55581] = 5,
    ACTIONS(5812), 1,
      anon_sym_COMMA2,
    STATE(1874), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [55619] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5814), 1,
      anon_sym_LBRACE,
    ACTIONS(5816), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1980), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55687] = 21,
    ACTIONS(4794), 1,
      anon_sym_as,
    ACTIONS(5070), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5818), 1,
      anon_sym_COLON2,
    STATE(2122), 1,
      sym_as,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55757] = 20,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(981), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2910), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55825] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [55859] = 20,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(981), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2985), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55927] = 21,
    ACTIONS(4848), 1,
      anon_sym_as,
    ACTIONS(5070), 1,
      sym__token_inlined_item_end,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5848), 1,
      anon_sym_COLON2,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    STATE(2136), 1,
      sym_as,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55997] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56031] = 4,
    ACTIONS(5854), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
  [56067] = 21,
    ACTIONS(4661), 1,
      anon_sym_as,
    ACTIONS(5070), 1,
      sym__token_blocked_expr_end,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5856), 1,
      anon_sym_COLON2,
    STATE(2150), 1,
      sym_as,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56137] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56171] = 4,
    ACTIONS(5858), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
  [56207] = 19,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5860), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
  [56273] = 4,
    ACTIONS(5862), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
  [56309] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3859), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [56347] = 4,
    ACTIONS(5864), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
  [56383] = 19,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(5866), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [56449] = 19,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(5868), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [56515] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56549] = 4,
    ACTIONS(5870), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
  [56585] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56619] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [56653] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56717] = 5,
    ACTIONS(5872), 1,
      anon_sym_COMMA2,
    STATE(1789), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [56755] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56819] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5874), 1,
      anon_sym_LBRACE,
    ACTIONS(5876), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2096), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56887] = 20,
    ACTIONS(573), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2467), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56955] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [56989] = 20,
    ACTIONS(573), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2501), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57057] = 14,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5248), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [57113] = 6,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [57153] = 5,
    ACTIONS(5878), 1,
      anon_sym_COMMA2,
    STATE(1789), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [57191] = 18,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5260), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [57255] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5881), 1,
      anon_sym_LBRACE,
    ACTIONS(5883), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1746), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57323] = 20,
    ACTIONS(1003), 1,
      anon_sym_LBRACE,
    ACTIONS(1027), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2850), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57391] = 20,
    ACTIONS(1003), 1,
      anon_sym_LBRACE,
    ACTIONS(1027), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2891), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57459] = 5,
    ACTIONS(5885), 1,
      anon_sym_COMMA2,
    STATE(1819), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [57497] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [57531] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [57565] = 18,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5262), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [57629] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5887), 1,
      anon_sym_LBRACE,
    ACTIONS(5889), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1618), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57697] = 20,
    ACTIONS(1065), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2649), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57765] = 20,
    ACTIONS(1065), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2711), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57833] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [57867] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [57901] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5891), 1,
      anon_sym_LBRACE,
    ACTIONS(5893), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1531), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57969] = 20,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2777), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58037] = 20,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2806), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58105] = 19,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5895), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5485), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
  [58171] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5897), 1,
      anon_sym_LBRACE,
    ACTIONS(5899), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2111), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58239] = 20,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2117), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58307] = 20,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2145), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58375] = 20,
    ACTIONS(903), 1,
      anon_sym_LBRACE,
    ACTIONS(927), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2983), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58443] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3869), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [58481] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5901), 1,
      anon_sym_LBRACE,
    ACTIONS(5903), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1332), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58549] = 20,
    ACTIONS(87), 1,
      anon_sym_LBRACE,
    ACTIONS(111), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1920), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58617] = 20,
    ACTIONS(87), 1,
      anon_sym_LBRACE,
    ACTIONS(111), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1955), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58685] = 6,
    ACTIONS(4996), 1,
      sym__identifier,
    STATE(1320), 1,
      sym_ident,
    STATE(2487), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4619), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [58725] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5905), 1,
      anon_sym_LBRACE,
    ACTIONS(5907), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1978), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58793] = 20,
    ACTIONS(777), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2530), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58861] = 20,
    ACTIONS(777), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2560), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58929] = 5,
    ACTIONS(5909), 1,
      anon_sym_COMMA2,
    STATE(1873), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [58967] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [59001] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [59035] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5911), 1,
      anon_sym_LBRACE,
    ACTIONS(5913), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1612), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59103] = 20,
    ACTIONS(357), 1,
      anon_sym_LBRACE,
    ACTIONS(381), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2241), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59171] = 20,
    ACTIONS(357), 1,
      anon_sym_LBRACE,
    ACTIONS(381), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2110), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59239] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [59273] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5915), 1,
      anon_sym_LBRACE,
    ACTIONS(5917), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2416), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59341] = 6,
    ACTIONS(4996), 1,
      sym__identifier,
    STATE(1320), 1,
      sym_ident,
    STATE(2487), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4630), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [59381] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5919), 1,
      anon_sym_LBRACE,
    ACTIONS(5921), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1586), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59449] = 20,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    ACTIONS(435), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2312), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59517] = 20,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    ACTIONS(435), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2252), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59585] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5923), 1,
      anon_sym_LBRACE,
    ACTIONS(5925), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1993), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59653] = 20,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2708), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59721] = 20,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2753), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59789] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5927), 1,
      anon_sym_LBRACE,
    ACTIONS(5929), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1505), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59857] = 20,
    ACTIONS(465), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2123), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59925] = 20,
    ACTIONS(465), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2390), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59993] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [60027] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5931), 1,
      anon_sym_LBRACE,
    ACTIONS(5933), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1558), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60095] = 20,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2164), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60163] = 20,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2260), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60231] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [60265] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5935), 1,
      anon_sym_LBRACE,
    ACTIONS(5937), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1346), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60333] = 20,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2009), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60401] = 20,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2051), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60469] = 5,
    ACTIONS(5939), 1,
      anon_sym_COMMA2,
    STATE(1855), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [60507] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [60541] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [60575] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5941), 1,
      anon_sym_LBRACE,
    ACTIONS(5943), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1239), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60643] = 20,
    ACTIONS(147), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1745), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60711] = 20,
    ACTIONS(147), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1649), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60779] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [60813] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5945), 1,
      anon_sym_LBRACE,
    ACTIONS(5947), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1096), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60881] = 20,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1579), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60949] = 20,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1475), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61017] = 5,
    ACTIONS(5949), 1,
      anon_sym_COMMA2,
    STATE(1862), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [61055] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [61089] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [61123] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5951), 1,
      anon_sym_LBRACE,
    ACTIONS(5953), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1259), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61191] = 20,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1700), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61259] = 20,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1751), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61327] = 6,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61367] = 5,
    ACTIONS(5955), 1,
      anon_sym_COMMA2,
    STATE(1862), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [61405] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5958), 1,
      anon_sym_LBRACE,
    ACTIONS(5960), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1274), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61473] = 20,
    ACTIONS(249), 1,
      anon_sym_LBRACE,
    ACTIONS(273), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1876), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61541] = 20,
    ACTIONS(249), 1,
      anon_sym_LBRACE,
    ACTIONS(273), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1998), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61609] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [61643] = 20,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5962), 1,
      anon_sym_LBRACE,
    ACTIONS(5964), 1,
      sym__token_content,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1189), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61711] = 20,
    ACTIONS(549), 1,
      anon_sym_LBRACE,
    ACTIONS(553), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1380), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61779] = 20,
    ACTIONS(549), 1,
      anon_sym_LBRACE,
    ACTIONS(553), 1,
      sym__token_content,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1413), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61847] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61881] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [61915] = 4,
    ACTIONS(5966), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [61951] = 5,
    ACTIONS(5968), 1,
      anon_sym_COMMA2,
    STATE(1873), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [61989] = 5,
    ACTIONS(5971), 1,
      anon_sym_COMMA2,
    STATE(1874), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [62027] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62061] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62095] = 4,
    ACTIONS(5974), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [62131] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [62165] = 18,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5276), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62229] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62263] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [62297] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [62331] = 14,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5248), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62387] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62421] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62485] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62519] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62583] = 17,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62645] = 15,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5216), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62703] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62737] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [62771] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62805] = 14,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5220), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62861] = 12,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 9,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62913] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [62947] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [62981] = 10,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63029] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [63063] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [63097] = 8,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63141] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [63205] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [63269] = 14,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [63325] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [63359] = 6,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [63399] = 19,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5491), 1,
      aux_sym_assign_token1,
    ACTIONS(5493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5495), 1,
      anon_sym_or,
    ACTIONS(5497), 1,
      anon_sym_not,
    ACTIONS(5499), 1,
      anon_sym_and,
    ACTIONS(5505), 1,
      anon_sym_in,
    ACTIONS(5507), 1,
      anon_sym_PLUS,
    ACTIONS(5509), 1,
      anon_sym_DASH,
    ACTIONS(5511), 1,
      anon_sym_STAR,
    ACTIONS(5513), 1,
      anon_sym_SLASH,
    ACTIONS(5515), 1,
      anon_sym_DOT,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(5976), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5501), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5503), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [63465] = 8,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63509] = 6,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63549] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [63613] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [63677] = 5,
    ACTIONS(5978), 1,
      anon_sym_COMMA2,
    STATE(1992), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [63715] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3688), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [63753] = 21,
    ACTIONS(4848), 1,
      anon_sym_as,
    ACTIONS(5070), 1,
      sym__token_inlined_item_end,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5980), 1,
      anon_sym_COLON2,
    STATE(2640), 1,
      sym_as,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [63823] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [63857] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [63891] = 6,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63931] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [63965] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63999] = 4,
    ACTIONS(5982), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [64035] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64069] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [64133] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [64167] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [64231] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [64295] = 17,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [64357] = 15,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64415] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64449] = 14,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64505] = 4,
    ACTIONS(5984), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [64541] = 12,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64593] = 10,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64641] = 8,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64685] = 8,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64729] = 6,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64769] = 6,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64809] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64843] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64877] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [64911] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64945] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [64979] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65013] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [65047] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [65111] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [65175] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65209] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65243] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65277] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [65341] = 10,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65389] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [65423] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65457] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65521] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65555] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65589] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65623] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65657] = 18,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5310), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65721] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65755] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65789] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [65823] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [65857] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65891] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [65925] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [65959] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3685), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [65997] = 19,
    ACTIONS(5483), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(5986), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [66063] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66097] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [66131] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5988), 1,
      sym__token_else,
    STATE(1659), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5990), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [66171] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [66205] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [66239] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1972), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5992), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 16,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [66277] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [66311] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [66345] = 18,
    ACTIONS(5525), 1,
      anon_sym_COLON,
    ACTIONS(5527), 1,
      aux_sym_assign_token1,
    ACTIONS(5529), 1,
      anon_sym_EQ_GT,
    ACTIONS(5531), 1,
      anon_sym_or,
    ACTIONS(5533), 1,
      anon_sym_not,
    ACTIONS(5535), 1,
      anon_sym_and,
    ACTIONS(5541), 1,
      anon_sym_in,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5537), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5539), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5318), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66409] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [66473] = 10,
    ACTIONS(5543), 1,
      anon_sym_PLUS,
    ACTIONS(5545), 1,
      anon_sym_DASH,
    ACTIONS(5547), 1,
      anon_sym_STAR,
    ACTIONS(5549), 1,
      anon_sym_SLASH,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66521] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5995), 1,
      sym__token_else,
    STATE(1987), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5997), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [66561] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [66625] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5999), 1,
      sym__token_else,
    STATE(2019), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6001), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [66665] = 14,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 7,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [66721] = 6,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [66761] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [66795] = 18,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [66859] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
      anon_sym_EQ,
  [66893] = 18,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [66957] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6003), 1,
      sym__token_else,
    STATE(1994), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6005), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [66997] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67031] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67095] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67129] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5451), 1,
      aux_sym_assign_token1,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67193] = 5,
    ACTIONS(6007), 1,
      anon_sym_COMMA2,
    STATE(2003), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [67231] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6009), 1,
      sym__token_else,
    STATE(1620), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6011), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [67271] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1994), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6013), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 14,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [67309] = 6,
    ACTIONS(5160), 1,
      sym__identifier,
    STATE(1297), 1,
      sym_ident,
    STATE(2782), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4619), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [67349] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [67383] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67417] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67451] = 17,
    ACTIONS(5453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5455), 1,
      anon_sym_or,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67513] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67547] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67581] = 15,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5459), 1,
      anon_sym_and,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5216), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67639] = 5,
    ACTIONS(6016), 1,
      anon_sym_COMMA2,
    STATE(2003), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [67677] = 14,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5220), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5461), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5463), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67733] = 12,
    ACTIONS(5457), 1,
      anon_sym_not,
    ACTIONS(5465), 1,
      anon_sym_in,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 9,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67785] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [67819] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [67853] = 6,
    ACTIONS(6019), 1,
      sym__immediate_math_call,
    ACTIONS(6021), 1,
      sym__immediate_math_apply,
    ACTIONS(6023), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [67893] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [67927] = 18,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [67991] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5655), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5653), 19,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [68025] = 4,
    ACTIONS(6025), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [68061] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [68125] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [68189] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [68223] = 17,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [68285] = 15,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 6,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68343] = 14,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 7,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68399] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6027), 1,
      sym__token_else,
    STATE(1972), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6029), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [68439] = 10,
    ACTIONS(5467), 1,
      anon_sym_PLUS,
    ACTIONS(5469), 1,
      anon_sym_DASH,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [68487] = 10,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68535] = 4,
    ACTIONS(6031), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68571] = 8,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68615] = 8,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68659] = 6,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68699] = 6,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68739] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68773] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68807] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [68841] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [68875] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [68909] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [68973] = 18,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [69037] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69071] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 8,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_DOT,
    ACTIONS(4625), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [69105] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69139] = 18,
    ACTIONS(5415), 1,
      anon_sym_COLON,
    ACTIONS(5417), 1,
      aux_sym_assign_token1,
    ACTIONS(5419), 1,
      anon_sym_EQ_GT,
    ACTIONS(5421), 1,
      anon_sym_or,
    ACTIONS(5423), 1,
      anon_sym_not,
    ACTIONS(5425), 1,
      anon_sym_and,
    ACTIONS(5431), 1,
      anon_sym_in,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(5427), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5429), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [69203] = 10,
    ACTIONS(5433), 1,
      anon_sym_PLUS,
    ACTIONS(5435), 1,
      anon_sym_DASH,
    ACTIONS(5437), 1,
      anon_sym_STAR,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    ACTIONS(5441), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69251] = 4,
    ACTIONS(5268), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5266), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5264), 19,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [69287] = 8,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [69331] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [69365] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69399] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [69433] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69467] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COLON2,
  [69501] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [69535] = 6,
    ACTIONS(5160), 1,
      sym__identifier,
    STATE(1297), 1,
      sym_ident,
    STATE(2782), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4632), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4630), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [69575] = 8,
    ACTIONS(5471), 1,
      anon_sym_STAR,
    ACTIONS(5473), 1,
      anon_sym_SLASH,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [69619] = 6,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [69659] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69693] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69727] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [69761] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69795] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [69829] = 6,
    ACTIONS(5475), 1,
      anon_sym_DOT,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [69869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [69903] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [69937] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [69971] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [70005] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [70039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [70073] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [70107] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [70141] = 14,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70196] = 8,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [70239] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [70272] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [70305] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [70338] = 6,
    ACTIONS(6065), 1,
      sym__immediate_math_call,
    ACTIONS(6067), 1,
      sym__immediate_math_apply,
    ACTIONS(6069), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [70377] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5655), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5653), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [70410] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [70443] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [70476] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [70509] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [70542] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [70605] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [70638] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [70671] = 18,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [70734] = 6,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [70773] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [70806] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [70839] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [70872] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [70905] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [70938] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [70971] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4141), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [71008] = 15,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(5216), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [71065] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [71098] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71131] = 18,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [71194] = 18,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [71257] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71290] = 18,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [71353] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71386] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [71449] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6093), 1,
      sym__token_else,
    STATE(2161), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6095), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [71488] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [71521] = 18,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [71584] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71617] = 6,
    ACTIONS(6097), 1,
      sym__immediate_math_call,
    ACTIONS(6099), 1,
      sym__immediate_math_apply,
    ACTIONS(6101), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [71656] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5655), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5653), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [71689] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71722] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71755] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71788] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71821] = 17,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71882] = 17,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71943] = 15,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_as,
      anon_sym_COLON2,
  [72000] = 6,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [72039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72072] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6111), 1,
      sym__token_else,
    STATE(2124), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6113), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [72111] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6115), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [72174] = 4,
    ACTIONS(6117), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [72209] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6115), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [72272] = 4,
    ACTIONS(6119), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 12,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [72307] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72340] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72373] = 18,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72436] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [72469] = 5,
    ACTIONS(6121), 1,
      anon_sym_COMMA2,
    STATE(2338), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [72506] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [72539] = 4,
    ACTIONS(6123), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
  [72574] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72607] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6125), 1,
      sym__token_else,
    STATE(2137), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6127), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [72646] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72709] = 18,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72772] = 18,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72835] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72868] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [72901] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72964] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72997] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73030] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [73063] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5601), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5599), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [73096] = 18,
    ACTIONS(5743), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73159] = 4,
    ACTIONS(6129), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
  [73194] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2137), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6131), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [73231] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73264] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(6134), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [73327] = 17,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5242), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [73388] = 8,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [73431] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73464] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [73497] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73530] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73563] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73596] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73629] = 12,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 10,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [73680] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73713] = 4,
    ACTIONS(6136), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
  [73748] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6138), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [73811] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [73874] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [73907] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [73940] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73973] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [74006] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74072] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [74105] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74138] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6140), 1,
      sym__token_else,
    STATE(2299), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6142), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [74177] = 4,
    ACTIONS(6144), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [74212] = 17,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5246), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74273] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [74306] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6115), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5276), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [74369] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [74402] = 6,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74441] = 14,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(5248), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74496] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [74529] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(3792), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [74566] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [74599] = 14,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [74654] = 5,
    ACTIONS(6146), 1,
      anon_sym_COMMA2,
    STATE(2246), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [74691] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [74724] = 17,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [74785] = 8,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [74828] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [74891] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [74924] = 17,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [74985] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [75048] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75109] = 15,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(5216), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75166] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [75229] = 14,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75284] = 12,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 9,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75335] = 10,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75382] = 8,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75425] = 8,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75468] = 6,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75507] = 6,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75546] = 17,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [75607] = 15,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_as,
      anon_sym_COLON2,
  [75664] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75697] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75730] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75763] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75796] = 14,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [75851] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75884] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [75917] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [75950] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [75983] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [76016] = 17,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [76077] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [76110] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [76143] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6115), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [76206] = 12,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 10,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [76257] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [76290] = 10,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [76337] = 6,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [76376] = 8,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [76419] = 8,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [76462] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [76495] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [76528] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [76561] = 6,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [76600] = 6,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [76639] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [76672] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [76705] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [76738] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [76771] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6115), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [76834] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [76867] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5214), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [76928] = 10,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [76975] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77008] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [77041] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77074] = 18,
    ACTIONS(5306), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [77137] = 18,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5310), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [77200] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [77233] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77266] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [77299] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [77332] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [77365] = 5,
    ACTIONS(4895), 1,
      sym__token_unit,
    STATE(4008), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4891), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4893), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [77402] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [77435] = 10,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [77482] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77515] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(6148), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [77578] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77611] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [77644] = 4,
    ACTIONS(6150), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [77679] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77712] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [77745] = 5,
    ACTIONS(6152), 1,
      anon_sym_COMMA2,
    STATE(2246), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [77782] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [77815] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [77848] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [77911] = 18,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5318), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [77974] = 10,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [78021] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [78054] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6155), 1,
      sym__token_else,
    STATE(2308), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6157), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4720), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4722), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [78093] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78126] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78159] = 5,
    ACTIONS(6159), 1,
      anon_sym_COMMA2,
    STATE(2317), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [78196] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4770), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [78229] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [78262] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [78295] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [78328] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [78361] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [78394] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [78427] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78460] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [78493] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [78526] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78559] = 6,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [78598] = 4,
    ACTIONS(6161), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [78633] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78666] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [78699] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [78762] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [78825] = 5,
    ACTIONS(5268), 1,
      anon_sym_COLON,
    ACTIONS(5645), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [78862] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [78895] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [78928] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [78991] = 18,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6071), 1,
      anon_sym_COLON,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [79054] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [79087] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [79120] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79183] = 14,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [79238] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [79271] = 6,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79310] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79373] = 4,
    ACTIONS(6163), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [79408] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5601), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5599), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [79441] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [79474] = 14,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [79529] = 17,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5284), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [79590] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [79623] = 6,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79662] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [79695] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79728] = 4,
    ACTIONS(6165), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 12,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [79763] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [79796] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79829] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [79862] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2299), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6167), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [79899] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [79932] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [79965] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [79998] = 14,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(5220), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80053] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80086] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [80119] = 18,
    ACTIONS(6033), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_in,
    ACTIONS(6041), 1,
      anon_sym_PLUS,
    ACTIONS(6043), 1,
      anon_sym_DASH,
    ACTIONS(6045), 1,
      anon_sym_STAR,
    ACTIONS(6047), 1,
      anon_sym_SLASH,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6103), 1,
      aux_sym_assign_token1,
    ACTIONS(6105), 1,
      anon_sym_EQ_GT,
    ACTIONS(6107), 1,
      anon_sym_or,
    ACTIONS(6109), 1,
      anon_sym_and,
    ACTIONS(6170), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5485), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(6035), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6037), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [80182] = 4,
    ACTIONS(6172), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [80217] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2308), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6174), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4734), 15,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [80254] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80287] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [80320] = 12,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80371] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80404] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6179), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6177), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [80437] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [80470] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [80503] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [80536] = 5,
    ACTIONS(6181), 1,
      anon_sym_COMMA2,
    STATE(2353), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [80573] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [80606] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [80639] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80672] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [80705] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [80738] = 10,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [80785] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [80818] = 8,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80861] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80894] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80927] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [80960] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80993] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [81026] = 18,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81089] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [81122] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [81155] = 5,
    ACTIONS(6183), 1,
      anon_sym_COMMA2,
    STATE(2173), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4778), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4780), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [81192] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [81225] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [81258] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [81291] = 5,
    ACTIONS(6185), 1,
      anon_sym_COMMA2,
    STATE(2423), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4619), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4621), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [81328] = 4,
    ACTIONS(6187), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 12,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81363] = 17,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81424] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [81457] = 10,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [81504] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [81537] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [81570] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [81603] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [81636] = 18,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81699] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [81732] = 18,
    ACTIONS(5286), 1,
      anon_sym_COLON,
    ACTIONS(5745), 1,
      aux_sym_assign_token1,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81795] = 17,
    ACTIONS(5747), 1,
      anon_sym_EQ_GT,
    ACTIONS(5749), 1,
      anon_sym_or,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5212), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81856] = 15,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5753), 1,
      anon_sym_and,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_as,
      anon_sym_COLON2,
  [81913] = 18,
    ACTIONS(5240), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81976] = 5,
    ACTIONS(6189), 1,
      anon_sym_COMMA2,
    STATE(2353), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [82013] = 18,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [82076] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [82109] = 14,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [82164] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [82197] = 6,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [82236] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [82269] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [82302] = 14,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5755), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5757), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [82357] = 12,
    ACTIONS(5751), 1,
      anon_sym_not,
    ACTIONS(5759), 1,
      anon_sym_in,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 10,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [82408] = 10,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [82455] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [82488] = 8,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [82531] = 18,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5260), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [82594] = 8,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [82637] = 4,
    ACTIONS(6192), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [82672] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [82705] = 18,
    ACTIONS(5820), 1,
      anon_sym_COLON,
    ACTIONS(5822), 1,
      aux_sym_assign_token1,
    ACTIONS(5824), 1,
      anon_sym_EQ_GT,
    ACTIONS(5826), 1,
      anon_sym_or,
    ACTIONS(5828), 1,
      anon_sym_not,
    ACTIONS(5830), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_in,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(5832), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5834), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [82768] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [82801] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [82834] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [82867] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [82900] = 6,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [82939] = 6,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [82978] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83011] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [83044] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83077] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [83110] = 10,
    ACTIONS(5838), 1,
      anon_sym_PLUS,
    ACTIONS(5840), 1,
      anon_sym_DASH,
    ACTIONS(5842), 1,
      anon_sym_STAR,
    ACTIONS(5844), 1,
      anon_sym_SLASH,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [83157] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [83190] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [83223] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83256] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [83289] = 4,
    ACTIONS(5645), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [83324] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83357] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83390] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [83423] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83456] = 6,
    ACTIONS(5846), 1,
      anon_sym_DOT,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [83495] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [83528] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
  [83561] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83594] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83627] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83660] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [83693] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5400), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [83726] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [83759] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83792] = 10,
    ACTIONS(5761), 1,
      anon_sym_PLUS,
    ACTIONS(5763), 1,
      anon_sym_DASH,
    ACTIONS(5765), 1,
      anon_sym_STAR,
    ACTIONS(5767), 1,
      anon_sym_SLASH,
    ACTIONS(5769), 1,
      anon_sym_DOT,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [83839] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [83872] = 17,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5308), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [83933] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [83966] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [83999] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5396), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [84032] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [84065] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_if,
  [84098] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [84131] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [84164] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [84197] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [84230] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [84263] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [84296] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [84329] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6194), 1,
      sym__token_else,
    STATE(2253), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6196), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4712), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4714), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [84368] = 18,
    ACTIONS(5700), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      aux_sym_assign_token1,
    ACTIONS(5704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5706), 1,
      anon_sym_or,
    ACTIONS(5708), 1,
      anon_sym_not,
    ACTIONS(5710), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_in,
    ACTIONS(5718), 1,
      anon_sym_PLUS,
    ACTIONS(5720), 1,
      anon_sym_DASH,
    ACTIONS(5722), 1,
      anon_sym_STAR,
    ACTIONS(5724), 1,
      anon_sym_SLASH,
    ACTIONS(5726), 1,
      anon_sym_DOT,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(5712), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5262), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5714), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84431] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [84464] = 17,
    ACTIONS(6055), 1,
      anon_sym_STAR,
    ACTIONS(6057), 1,
      anon_sym_SLASH,
    ACTIONS(6059), 1,
      anon_sym_DOT,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6073), 1,
      aux_sym_assign_token1,
    ACTIONS(6075), 1,
      anon_sym_EQ_GT,
    ACTIONS(6077), 1,
      anon_sym_or,
    ACTIONS(6079), 1,
      anon_sym_not,
    ACTIONS(6081), 1,
      anon_sym_and,
    ACTIONS(6087), 1,
      anon_sym_in,
    ACTIONS(6089), 1,
      anon_sym_PLUS,
    ACTIONS(6091), 1,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6083), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6085), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5288), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [84525] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [84558] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_EQ,
  [84591] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [84624] = 5,
    ACTIONS(6198), 1,
      anon_sym_COMMA2,
    STATE(2423), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [84661] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [84694] = 19,
    ACTIONS(1505), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84758] = 6,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [84796] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [84828] = 19,
    ACTIONS(1449), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84892] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6237), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6235), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [84924] = 7,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6245), 1,
      anon_sym_CARET,
    ACTIONS(6247), 1,
      anon_sym__,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6241), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6239), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [84964] = 10,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [85010] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6253), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6251), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [85042] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6257), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6255), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [85074] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [85106] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5396), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [85138] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5400), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [85170] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85202] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85234] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85266] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85298] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85330] = 18,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(5260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85392] = 18,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(5262), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85454] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85486] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85518] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85550] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85582] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85614] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85646] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85678] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [85710] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85742] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6285), 1,
      anon_sym_EQ,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(5485), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85804] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85836] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85868] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85900] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85932] = 4,
    ACTIONS(6291), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85966] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [85998] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6295), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6293), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86030] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6299), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6297), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86062] = 7,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6245), 1,
      anon_sym_CARET,
    ACTIONS(6247), 1,
      anon_sym__,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6303), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6301), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86102] = 7,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6245), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(6309), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86142] = 7,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6247), 1,
      anon_sym__,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(6315), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6313), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6311), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86182] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [86214] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [86246] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [86278] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86310] = 18,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(5276), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86372] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [86404] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4745), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4743), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86436] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86468] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86500] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86532] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [86564] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86596] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6317), 1,
      anon_sym_EQ,
    ACTIONS(5485), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86658] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86690] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86722] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [86754] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [86786] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [86818] = 17,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86878] = 18,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(5310), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86940] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6353), 1,
      anon_sym_EQ,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(5485), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87002] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [87034] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [87066] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [87098] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6385), 1,
      anon_sym_EQ,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(5485), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87160] = 18,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(5318), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87222] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [87254] = 7,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6247), 1,
      anon_sym__,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(6315), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6394), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6391), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87294] = 7,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6245), 1,
      anon_sym_CARET,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(6309), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6400), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6397), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87334] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6405), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6403), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87366] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6409), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6407), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87398] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [87430] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5013), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5015), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [87462] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [87494] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [87526] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87558] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [87590] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87622] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6413), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6411), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87654] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6417), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6415), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87686] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5020), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5022), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [87718] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [87750] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87782] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87814] = 17,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87874] = 17,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87934] = 14,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [87988] = 6,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [88026] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88058] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88090] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88122] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88154] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    ACTIONS(5260), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88216] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88248] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    ACTIONS(5262), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88310] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [88342] = 4,
    ACTIONS(6021), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [88376] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88408] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88440] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88472] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88504] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88536] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88568] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88600] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88632] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88664] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    ACTIONS(5276), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88726] = 17,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88786] = 17,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88846] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88906] = 15,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 4,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_EQ,
  [88962] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [88994] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4875), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4873), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [89026] = 14,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [89080] = 12,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 8,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
  [89130] = 10,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [89176] = 8,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [89218] = 8,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [89260] = 6,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [89298] = 6,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [89336] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89368] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89400] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89432] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89464] = 17,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89524] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    ACTIONS(5310), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89586] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89618] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [89650] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89682] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [89714] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89776] = 10,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [89822] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89854] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89886] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89918] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89950] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89982] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [90014] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6179), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6177), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [90046] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [90078] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4770), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [90110] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [90142] = 17,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90202] = 17,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90262] = 14,
    ACTIONS(5248), 1,
      aux_sym_assign_token1,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
  [90316] = 6,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [90354] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6421), 1,
      anon_sym_EQ,
    ACTIONS(5485), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [90416] = 4,
    ACTIONS(6423), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [90450] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [90482] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [90514] = 4,
    ACTIONS(6425), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [90548] = 17,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90608] = 17,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90668] = 19,
    ACTIONS(1321), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90732] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90792] = 15,
    ACTIONS(5216), 1,
      aux_sym_assign_token1,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_LBRACE,
  [90848] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [90880] = 19,
    ACTIONS(1327), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90944] = 14,
    ACTIONS(5220), 1,
      aux_sym_assign_token1,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
  [90998] = 12,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 10,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
  [91048] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6427), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91112] = 10,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [91158] = 8,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [91200] = 8,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [91242] = 6,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [91280] = 6,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [91318] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [91350] = 19,
    ACTIONS(1413), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91414] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [91446] = 17,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91506] = 19,
    ACTIONS(1419), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91570] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6429), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91634] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [91666] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [91698] = 18,
    ACTIONS(6327), 1,
      aux_sym_assign_token1,
    ACTIONS(6329), 1,
      anon_sym_EQ_GT,
    ACTIONS(6331), 1,
      anon_sym_or,
    ACTIONS(6333), 1,
      anon_sym_not,
    ACTIONS(6335), 1,
      anon_sym_and,
    ACTIONS(6341), 1,
      anon_sym_in,
    ACTIONS(6343), 1,
      anon_sym_PLUS,
    ACTIONS(6345), 1,
      anon_sym_DASH,
    ACTIONS(6347), 1,
      anon_sym_STAR,
    ACTIONS(6349), 1,
      anon_sym_SLASH,
    ACTIONS(6351), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6431), 1,
      anon_sym_EQ,
    ACTIONS(5485), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6337), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6339), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91760] = 19,
    ACTIONS(1425), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91824] = 4,
    ACTIONS(6433), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4957), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4959), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [91858] = 19,
    ACTIONS(1431), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91922] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6435), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91986] = 10,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [92032] = 19,
    ACTIONS(1439), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92096] = 19,
    ACTIONS(1445), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92160] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6437), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92224] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [92256] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [92288] = 19,
    ACTIONS(1455), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92352] = 19,
    ACTIONS(1461), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92416] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6439), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92480] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [92512] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [92544] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [92576] = 19,
    ACTIONS(1467), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92640] = 19,
    ACTIONS(1491), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92704] = 19,
    ACTIONS(1473), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92768] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [92800] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6441), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92864] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [92896] = 19,
    ACTIONS(1481), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92960] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [92992] = 19,
    ACTIONS(1487), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93056] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [93088] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6443), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93152] = 19,
    ACTIONS(1497), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93216] = 17,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93276] = 17,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93336] = 14,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [93390] = 6,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [93428] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6445), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93492] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [93524] = 18,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5260), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93586] = 18,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5262), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93648] = 4,
    ACTIONS(6447), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [93682] = 19,
    ACTIONS(1511), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93746] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [93778] = 19,
    ACTIONS(1517), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93842] = 4,
    ACTIONS(6449), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4380), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4382), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [93876] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [93908] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [93940] = 19,
    ACTIONS(1523), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94004] = 19,
    ACTIONS(1529), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94068] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6451), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94132] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [94164] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94196] = 19,
    ACTIONS(1535), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94260] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [94292] = 19,
    ACTIONS(1541), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94356] = 18,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5276), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94418] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6453), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94482] = 17,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94542] = 17,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94602] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94662] = 15,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 4,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_EQ,
  [94718] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [94750] = 14,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [94804] = 19,
    ACTIONS(1547), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94868] = 12,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 8,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
  [94918] = 10,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [94964] = 8,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [95006] = 19,
    ACTIONS(1553), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95070] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [95102] = 8,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [95144] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6455), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95208] = 6,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [95246] = 6,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [95284] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [95316] = 17,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95376] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [95408] = 19,
    ACTIONS(1559), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95472] = 17,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95532] = 17,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5242), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95592] = 17,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95652] = 19,
    ACTIONS(1719), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95716] = 14,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(5248), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [95770] = 6,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [95808] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6457), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95872] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [95904] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6459), 1,
      anon_sym_COLON,
    ACTIONS(5260), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95966] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96026] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6459), 1,
      anon_sym_COLON,
    ACTIONS(5262), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96088] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [96120] = 15,
    ACTIONS(5216), 1,
      aux_sym_assign_token1,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_RPAREN2,
  [96176] = 17,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96236] = 19,
    ACTIONS(1567), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96300] = 18,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5310), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96362] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [96394] = 19,
    ACTIONS(1573), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96458] = 14,
    ACTIONS(5220), 1,
      aux_sym_assign_token1,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
  [96512] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [96544] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6461), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96608] = 12,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN2,
  [96658] = 10,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [96704] = 18,
    ACTIONS(5777), 1,
      anon_sym_COLON,
    ACTIONS(5779), 1,
      aux_sym_assign_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ_GT,
    ACTIONS(5783), 1,
      anon_sym_or,
    ACTIONS(5785), 1,
      anon_sym_not,
    ACTIONS(5787), 1,
      anon_sym_and,
    ACTIONS(5793), 1,
      anon_sym_in,
    ACTIONS(5795), 1,
      anon_sym_PLUS,
    ACTIONS(5797), 1,
      anon_sym_DASH,
    ACTIONS(5799), 1,
      anon_sym_STAR,
    ACTIONS(5801), 1,
      anon_sym_SLASH,
    ACTIONS(5803), 1,
      anon_sym_DOT,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(5318), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5789), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5791), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96766] = 10,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [96812] = 8,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [96854] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [96886] = 19,
    ACTIONS(1579), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96950] = 8,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [96992] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [97024] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [97056] = 19,
    ACTIONS(1585), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97120] = 5,
    ACTIONS(5268), 1,
      anon_sym_COLON,
    ACTIONS(6021), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [97156] = 6,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [97194] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6463), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97258] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [97290] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6459), 1,
      anon_sym_COLON,
    ACTIONS(5276), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97352] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [97384] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [97416] = 17,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5284), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97476] = 19,
    ACTIONS(1591), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97540] = 17,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5288), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97600] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5214), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97660] = 15,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(5216), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5218), 4,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_EQ,
  [97716] = 19,
    ACTIONS(1597), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97780] = 14,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(5220), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [97834] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6465), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97898] = 12,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5226), 8,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
  [97948] = 10,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5230), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [97994] = 8,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [98036] = 8,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [98078] = 6,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [98116] = 6,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [98154] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98186] = 19,
    ACTIONS(1603), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98250] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98282] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [98314] = 19,
    ACTIONS(1609), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98378] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98410] = 6,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN2,
  [98448] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6467), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98512] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98544] = 17,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98604] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6459), 1,
      anon_sym_COLON,
    ACTIONS(5310), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98666] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5043), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5045), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [98698] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98730] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [98762] = 19,
    ACTIONS(1615), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98826] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98858] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [98890] = 19,
    ACTIONS(1621), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98954] = 18,
    ACTIONS(6359), 1,
      aux_sym_assign_token1,
    ACTIONS(6361), 1,
      anon_sym_EQ_GT,
    ACTIONS(6363), 1,
      anon_sym_or,
    ACTIONS(6365), 1,
      anon_sym_not,
    ACTIONS(6367), 1,
      anon_sym_and,
    ACTIONS(6373), 1,
      anon_sym_in,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6459), 1,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6371), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [99016] = 10,
    ACTIONS(6375), 1,
      anon_sym_PLUS,
    ACTIONS(6377), 1,
      anon_sym_DASH,
    ACTIONS(6379), 1,
      anon_sym_STAR,
    ACTIONS(6381), 1,
      anon_sym_SLASH,
    ACTIONS(6383), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5322), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [99062] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6469), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99126] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [99158] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99190] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99222] = 19,
    ACTIONS(1627), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99286] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99318] = 19,
    ACTIONS(1633), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99382] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99414] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6471), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99478] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99510] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99542] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [99574] = 19,
    ACTIONS(1639), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99638] = 19,
    ACTIONS(1645), 1,
      anon_sym_RPAREN2,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99702] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99734] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6473), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99798] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6475), 1,
      anon_sym_COLON,
    ACTIONS(5260), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [99860] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99892] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6475), 1,
      anon_sym_COLON,
    ACTIONS(5262), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [99954] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [99986] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4479), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4481), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [100018] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4928), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4930), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [100050] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [100082] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [100114] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [100146] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [100178] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [100210] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100242] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100274] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100306] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100338] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100370] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6475), 1,
      anon_sym_COLON,
    ACTIONS(5276), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [100432] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4969), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4971), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [100464] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [100496] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5024), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5026), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [100528] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4802), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4804), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [100560] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4871), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4869), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [100592] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN2,
  [100624] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [100656] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100688] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [100720] = 17,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5308), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [100780] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6475), 1,
      anon_sym_COLON,
    ACTIONS(5310), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [100842] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6479), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6477), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [100874] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100906] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6483), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6481), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [100938] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [100970] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101034] = 8,
    ACTIONS(6243), 1,
      anon_sym_BANG,
    ACTIONS(6245), 1,
      anon_sym_CARET,
    ACTIONS(6247), 1,
      anon_sym__,
    ACTIONS(6249), 1,
      sym__immediate_math_prime,
    ACTIONS(6491), 1,
      sym__token_math_frac,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6489), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6487), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101076] = 18,
    ACTIONS(6259), 1,
      aux_sym_assign_token1,
    ACTIONS(6261), 1,
      anon_sym_EQ_GT,
    ACTIONS(6263), 1,
      anon_sym_or,
    ACTIONS(6265), 1,
      anon_sym_not,
    ACTIONS(6267), 1,
      anon_sym_and,
    ACTIONS(6273), 1,
      anon_sym_in,
    ACTIONS(6275), 1,
      anon_sym_PLUS,
    ACTIONS(6277), 1,
      anon_sym_DASH,
    ACTIONS(6279), 1,
      anon_sym_STAR,
    ACTIONS(6281), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6475), 1,
      anon_sym_COLON,
    ACTIONS(5318), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6269), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6271), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [101138] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6495), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6493), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101170] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101202] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101234] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101266] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101298] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [101330] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101362] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101394] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [101426] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [101458] = 17,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5246), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101518] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [101550] = 14,
    ACTIONS(5248), 1,
      aux_sym_assign_token1,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN2,
  [101604] = 19,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6505), 1,
      anon_sym_RPAREN2,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101668] = 6,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [101705] = 6,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [101742] = 6,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [101779] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101810] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6519), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101871] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101902] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6237), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6235), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101933] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101994] = 7,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6525), 1,
      anon_sym_CARET,
    ACTIONS(6527), 1,
      anon_sym__,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6241), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6239), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102033] = 4,
    ACTIONS(6535), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6533), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6531), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102066] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6253), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6251), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102097] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6257), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6255), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102128] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6537), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102189] = 17,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(5284), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102248] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102279] = 17,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(5288), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102338] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6563), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102399] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5400), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102430] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102461] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102492] = 18,
    ACTIONS(5260), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102553] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6591), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102614] = 18,
    ACTIONS(5262), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102675] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6593), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102736] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102767] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102798] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6595), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102859] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102890] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6295), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6293), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102921] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6299), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6297), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102952] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(5214), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103011] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103042] = 7,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6525), 1,
      anon_sym_CARET,
    ACTIONS(6527), 1,
      anon_sym__,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6303), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6301), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103081] = 7,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6525), 1,
      anon_sym_CARET,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(6597), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103120] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6599), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103181] = 7,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6527), 1,
      anon_sym__,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(6601), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6313), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6311), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103220] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6179), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6177), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103251] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6603), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103312] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6605), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103373] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103404] = 18,
    ACTIONS(5276), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103465] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5396), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103496] = 15,
    ACTIONS(5216), 1,
      aux_sym_assign_token1,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5218), 4,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103551] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103582] = 14,
    ACTIONS(5220), 1,
      aux_sym_assign_token1,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [103635] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103666] = 12,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 9,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103715] = 10,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103760] = 8,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103801] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103832] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103863] = 8,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103904] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103935] = 17,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(5246), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103994] = 14,
    ACTIONS(5248), 1,
      aux_sym_assign_token1,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [104047] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6637), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104108] = 6,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [104145] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104176] = 6,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [104213] = 17,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(5308), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104272] = 18,
    ACTIONS(5310), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104333] = 18,
    ACTIONS(5262), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6639), 1,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104394] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104425] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104456] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104487] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104518] = 18,
    ACTIONS(5260), 1,
      sym__token_inlined_item_end,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6641), 1,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104579] = 18,
    ACTIONS(5318), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104640] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104671] = 7,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6527), 1,
      anon_sym__,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(6601), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6394), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6391), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104710] = 7,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6525), 1,
      anon_sym_CARET,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(6597), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6400), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6397), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104749] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6405), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6403), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104780] = 10,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [104825] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6409), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6407), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104856] = 18,
    ACTIONS(5262), 1,
      sym__token_inlined_item_end,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6641), 1,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104917] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104948] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104979] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105010] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105041] = 18,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6565), 1,
      anon_sym_COLON,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6643), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105102] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105133] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6413), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6411), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [105164] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6417), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6415), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [105195] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105226] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105257] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105288] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105319] = 17,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(5242), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105378] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105409] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105440] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105471] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105502] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105533] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105564] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105595] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105626] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6645), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105687] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4889), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4887), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105718] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105749] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5272), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5274), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105780] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6647), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105841] = 18,
    ACTIONS(5276), 1,
      sym__token_inlined_item_end,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6641), 1,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105902] = 18,
    ACTIONS(5276), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6639), 1,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105963] = 17,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(5284), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106022] = 17,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(5288), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106081] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(5214), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106140] = 15,
    ACTIONS(5216), 1,
      aux_sym_assign_token1,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5218), 4,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106195] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106226] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106257] = 12,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 9,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106306] = 10,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106351] = 8,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106392] = 8,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106433] = 17,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(5242), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106492] = 6,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5290), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5292), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106529] = 6,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5294), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5296), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106566] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106597] = 17,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(5246), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106656] = 17,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(5246), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106715] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106746] = 4,
    ACTIONS(6067), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [106779] = 4,
    ACTIONS(6099), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5641), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5639), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [106812] = 10,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106857] = 14,
    ACTIONS(5248), 1,
      aux_sym_assign_token1,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [106910] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4800), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4798), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106941] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5324), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5326), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106972] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6649), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107033] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107064] = 6,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107101] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107132] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107163] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6179), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6177), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107194] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4745), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4743), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107225] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4770), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107256] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6651), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107317] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107348] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6479), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6477), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107379] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6483), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6481), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107410] = 8,
    ACTIONS(6523), 1,
      anon_sym_BANG,
    ACTIONS(6525), 1,
      anon_sym_CARET,
    ACTIONS(6527), 1,
      anon_sym__,
    ACTIONS(6529), 1,
      sym__immediate_math_prime,
    ACTIONS(6653), 1,
      sym__token_math_frac,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6489), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6487), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107451] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5340), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5342), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107482] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4822), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4820), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107513] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4708), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107544] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5396), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107575] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6655), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107636] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5394), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5396), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107667] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6495), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6493), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107698] = 4,
    ACTIONS(6657), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6533), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6531), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107731] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4741), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4739), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107762] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107793] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5298), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5300), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107824] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107855] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6659), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107916] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4770), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107947] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107978] = 17,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(5308), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108037] = 18,
    ACTIONS(5310), 1,
      sym__token_inlined_item_end,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6641), 1,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108098] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108129] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5312), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5314), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108160] = 14,
    ACTIONS(5248), 1,
      aux_sym_assign_token1,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5250), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [108213] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108244] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5060), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5062), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108275] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6661), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108336] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4388), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4390), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108367] = 18,
    ACTIONS(5318), 1,
      sym__token_inlined_item_end,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6641), 1,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108428] = 10,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5320), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5322), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [108473] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108504] = 18,
    ACTIONS(5260), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6639), 1,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108565] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5400), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108596] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5328), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108627] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108658] = 6,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5252), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5254), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [108695] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5332), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5334), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108726] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108757] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6663), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108818] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5336), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108849] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5344), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5346), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108880] = 17,
    ACTIONS(6607), 1,
      aux_sym_assign_token1,
    ACTIONS(6609), 1,
      anon_sym_EQ_GT,
    ACTIONS(6611), 1,
      anon_sym_or,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6615), 1,
      anon_sym_and,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(5242), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108939] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5348), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5350), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108970] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5302), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5304), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [109001] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5236), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5238), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [109032] = 17,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(5284), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109091] = 17,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6567), 1,
      aux_sym_assign_token1,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(5288), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109150] = 17,
    ACTIONS(5212), 1,
      aux_sym_assign_token1,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6569), 1,
      anon_sym_EQ_GT,
    ACTIONS(6571), 1,
      anon_sym_or,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(5214), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109209] = 15,
    ACTIONS(5216), 1,
      aux_sym_assign_token1,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6575), 1,
      anon_sym_and,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5218), 4,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109264] = 14,
    ACTIONS(5220), 1,
      aux_sym_assign_token1,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(6577), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6579), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [109317] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5398), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5400), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [109348] = 18,
    ACTIONS(5358), 1,
      anon_sym_COLON,
    ACTIONS(5360), 1,
      aux_sym_assign_token1,
    ACTIONS(5362), 1,
      anon_sym_EQ_GT,
    ACTIONS(5364), 1,
      anon_sym_or,
    ACTIONS(5366), 1,
      anon_sym_not,
    ACTIONS(5368), 1,
      anon_sym_and,
    ACTIONS(5374), 1,
      anon_sym_in,
    ACTIONS(5376), 1,
      anon_sym_PLUS,
    ACTIONS(5378), 1,
      anon_sym_DASH,
    ACTIONS(5380), 1,
      anon_sym_STAR,
    ACTIONS(5382), 1,
      anon_sym_SLASH,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6665), 1,
      anon_sym_COLON2,
    ACTIONS(5370), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5372), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109409] = 18,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6203), 1,
      anon_sym_COMMA,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109470] = 12,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6573), 1,
      anon_sym_not,
    ACTIONS(6581), 1,
      anon_sym_in,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5224), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5226), 9,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109519] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5064), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5066), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [109550] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5232), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5234), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [109581] = 10,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6583), 1,
      anon_sym_PLUS,
    ACTIONS(6585), 1,
      anon_sym_DASH,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5228), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5230), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [109626] = 18,
    ACTIONS(5318), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6639), 1,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109687] = 17,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(5308), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109746] = 8,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5256), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5258), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [109787] = 18,
    ACTIONS(5310), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6539), 1,
      aux_sym_assign_token1,
    ACTIONS(6541), 1,
      anon_sym_EQ_GT,
    ACTIONS(6543), 1,
      anon_sym_or,
    ACTIONS(6545), 1,
      anon_sym_not,
    ACTIONS(6547), 1,
      anon_sym_and,
    ACTIONS(6553), 1,
      anon_sym_in,
    ACTIONS(6555), 1,
      anon_sym_PLUS,
    ACTIONS(6557), 1,
      anon_sym_DASH,
    ACTIONS(6559), 1,
      anon_sym_STAR,
    ACTIONS(6561), 1,
      anon_sym_SLASH,
    ACTIONS(6639), 1,
      anon_sym_COLON,
    ACTIONS(6549), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6551), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109848] = 8,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6587), 1,
      anon_sym_STAR,
    ACTIONS(6589), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5278), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5280), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [109889] = 14,
    ACTIONS(5220), 1,
      aux_sym_assign_token1,
    ACTIONS(6613), 1,
      anon_sym_not,
    ACTIONS(6621), 1,
      anon_sym_in,
    ACTIONS(6623), 1,
      anon_sym_PLUS,
    ACTIONS(6625), 1,
      anon_sym_DASH,
    ACTIONS(6627), 1,
      anon_sym_STAR,
    ACTIONS(6629), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6617), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6619), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5222), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [109942] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109972] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110030] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6253), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6251), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110060] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6257), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6255), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110090] = 17,
    ACTIONS(6061), 1,
      sym__immediate_paren,
    ACTIONS(6063), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110148] = 7,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6669), 1,
      anon_sym_CARET,
    ACTIONS(6671), 1,
      anon_sym__,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6303), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6301), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110186] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110216] = 17,
    ACTIONS(5519), 1,
      sym__immediate_paren,
    ACTIONS(5521), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110274] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6287), 1,
      sym__immediate_paren,
    ACTIONS(6289), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110332] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110362] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6299), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6297), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110392] = 17,
    ACTIONS(5555), 1,
      sym__immediate_paren,
    ACTIONS(5557), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110450] = 8,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6669), 1,
      anon_sym_CARET,
    ACTIONS(6671), 1,
      anon_sym__,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(6675), 1,
      sym__token_math_frac,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6489), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6487), 11,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110490] = 7,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6671), 1,
      anon_sym__,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(6677), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6394), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6391), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110528] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6479), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6477), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110558] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110588] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110646] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      sym__immediate_paren,
    ACTIONS(6389), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110704] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110734] = 17,
    ACTIONS(5773), 1,
      sym__immediate_paren,
    ACTIONS(5775), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110792] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6495), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6493), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110822] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6237), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6235), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110852] = 17,
    ACTIONS(5136), 1,
      sym__immediate_paren,
    ACTIONS(5138), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110910] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6253), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6251), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110940] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6257), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6255), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110970] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      sym__immediate_paren,
    ACTIONS(6511), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111028] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      sym__immediate_paren,
    ACTIONS(6233), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111086] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6413), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6411), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111116] = 7,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6681), 1,
      anon_sym_CARET,
    ACTIONS(6683), 1,
      anon_sym__,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6394), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6391), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111154] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6295), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6293), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111184] = 7,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(6687), 1,
      anon_sym_CARET,
    ACTIONS(6689), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6400), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6397), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111222] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4745), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4743), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111252] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6405), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6403), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111282] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6409), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6407), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111312] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6479), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6477), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111342] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6483), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6481), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111372] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6299), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6297), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111402] = 7,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6669), 1,
      anon_sym_CARET,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(6691), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111440] = 7,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6669), 1,
      anon_sym_CARET,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(6691), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6400), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6397), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111478] = 17,
    ACTIONS(5102), 1,
      sym__immediate_paren,
    ACTIONS(5104), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111536] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111566] = 7,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6683), 1,
      anon_sym__,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(6687), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6303), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6301), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111604] = 17,
    ACTIONS(5390), 1,
      sym__immediate_paren,
    ACTIONS(5392), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111662] = 7,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(6687), 1,
      anon_sym_CARET,
    ACTIONS(6689), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111700] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6413), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6411), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111730] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6417), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6415), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111760] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111790] = 17,
    ACTIONS(6051), 1,
      sym__immediate_paren,
    ACTIONS(6053), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111848] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6405), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6403), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111878] = 7,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6681), 1,
      anon_sym_CARET,
    ACTIONS(6683), 1,
      anon_sym__,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6313), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6311), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111916] = 8,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6683), 1,
      anon_sym__,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(6687), 1,
      anon_sym_CARET,
    ACTIONS(6693), 1,
      sym__token_math_frac,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6489), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6487), 11,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111956] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6409), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6407), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111986] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6237), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6235), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112016] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      sym__immediate_paren,
    ACTIONS(6357), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112074] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6417), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6415), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112104] = 7,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6671), 1,
      anon_sym__,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(6677), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6313), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6311), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112142] = 17,
    ACTIONS(5445), 1,
      sym__immediate_paren,
    ACTIONS(5447), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112200] = 17,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6631), 1,
      anon_sym_DOT,
    ACTIONS(6633), 1,
      sym__immediate_paren,
    ACTIONS(6635), 1,
      sym__immediate_brack,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112258] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112288] = 7,
    ACTIONS(6679), 1,
      anon_sym_BANG,
    ACTIONS(6683), 1,
      anon_sym__,
    ACTIONS(6685), 1,
      sym__immediate_math_prime,
    ACTIONS(6687), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6241), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6239), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112326] = 17,
    ACTIONS(5479), 1,
      sym__immediate_paren,
    ACTIONS(5481), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112384] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6495), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6493), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112414] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6499), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6497), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112444] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112474] = 17,
    ACTIONS(5805), 1,
      sym__immediate_paren,
    ACTIONS(5807), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112532] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4745), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4743), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112562] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6503), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6501), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112592] = 7,
    ACTIONS(6667), 1,
      anon_sym_BANG,
    ACTIONS(6669), 1,
      anon_sym_CARET,
    ACTIONS(6671), 1,
      anon_sym__,
    ACTIONS(6673), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6241), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6239), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112630] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6483), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6481), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112660] = 17,
    ACTIONS(5850), 1,
      sym__immediate_paren,
    ACTIONS(5852), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112718] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112748] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6295), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6293), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      anon_sym_AMP,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [112778] = 17,
    ACTIONS(5730), 1,
      sym__immediate_paren,
    ACTIONS(5732), 1,
      sym__immediate_brack,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    ACTIONS(6205), 1,
      aux_sym_assign_token1,
    ACTIONS(6207), 1,
      anon_sym_EQ_GT,
    ACTIONS(6209), 1,
      anon_sym_or,
    ACTIONS(6211), 1,
      anon_sym_not,
    ACTIONS(6213), 1,
      anon_sym_and,
    ACTIONS(6219), 1,
      anon_sym_in,
    ACTIONS(6221), 1,
      anon_sym_PLUS,
    ACTIONS(6223), 1,
      anon_sym_DASH,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_SLASH,
    ACTIONS(6229), 1,
      anon_sym_DOT,
    ACTIONS(6215), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6217), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [112836] = 7,
    ACTIONS(4168), 1,
      aux_sym_escape_token1,
    ACTIONS(4418), 1,
      sym_linebreak,
    ACTIONS(6695), 1,
      aux_sym_text_token1,
    ACTIONS(6697), 1,
      sym__token_anti_markup,
    STATE(3084), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4416), 13,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112873] = 7,
    ACTIONS(4439), 1,
      sym_linebreak,
    ACTIONS(6699), 1,
      aux_sym_escape_token1,
    ACTIONS(6702), 1,
      aux_sym_text_token1,
    ACTIONS(6705), 1,
      sym__token_anti_markup,
    STATE(3083), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4434), 13,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112910] = 7,
    ACTIONS(4439), 1,
      sym_linebreak,
    ACTIONS(6708), 1,
      aux_sym_escape_token1,
    ACTIONS(6711), 1,
      aux_sym_text_token1,
    ACTIONS(6714), 1,
      sym__token_anti_markup,
    STATE(3084), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4434), 13,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112947] = 7,
    ACTIONS(4120), 1,
      aux_sym_escape_token1,
    ACTIONS(4418), 1,
      sym_linebreak,
    ACTIONS(6717), 1,
      aux_sym_text_token1,
    ACTIONS(6719), 1,
      sym__token_anti_markup,
    STATE(3083), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4416), 13,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112984] = 4,
    ACTIONS(6721), 1,
      sym__immediate_brack,
    ACTIONS(4563), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4561), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113014] = 4,
    ACTIONS(6723), 1,
      sym__immediate_brack,
    ACTIONS(4563), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4561), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113044] = 3,
    ACTIONS(4768), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4766), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113071] = 3,
    ACTIONS(4815), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4813), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113098] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6727), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6725), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [113125] = 3,
    ACTIONS(4889), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4887), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113152] = 3,
    ACTIONS(4706), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4704), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113179] = 3,
    ACTIONS(4800), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4798), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113206] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6727), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6725), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [113233] = 3,
    ACTIONS(4889), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4887), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113260] = 3,
    ACTIONS(4834), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4832), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113287] = 3,
    ACTIONS(4815), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4813), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113314] = 3,
    ACTIONS(4745), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4743), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113341] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6731), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6729), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [113368] = 3,
    ACTIONS(4822), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4820), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113395] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6733), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(3713), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_AMP,
      anon_sym_RPAREN,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [113422] = 3,
    ACTIONS(4710), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4708), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113449] = 3,
    ACTIONS(4760), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4758), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113476] = 3,
    ACTIONS(4698), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4696), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113503] = 3,
    ACTIONS(4706), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4704), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113530] = 3,
    ACTIONS(4671), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4669), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113557] = 3,
    ACTIONS(4745), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4743), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113584] = 3,
    ACTIONS(4671), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4669), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113611] = 3,
    ACTIONS(4760), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4758), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113638] = 3,
    ACTIONS(4764), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4762), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113665] = 3,
    ACTIONS(4834), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4832), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113692] = 3,
    ACTIONS(4871), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4869), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113719] = 3,
    ACTIONS(4772), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4770), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113746] = 3,
    ACTIONS(4768), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4766), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113773] = 3,
    ACTIONS(4800), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4798), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113800] = 3,
    ACTIONS(4822), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4820), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113827] = 3,
    ACTIONS(4710), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4708), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113854] = 3,
    ACTIONS(4698), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4696), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113881] = 3,
    ACTIONS(4741), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4739), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113908] = 3,
    ACTIONS(4871), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4869), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113935] = 3,
    ACTIONS(4875), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4873), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113962] = 3,
    ACTIONS(4875), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4873), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [113989] = 3,
    ACTIONS(4691), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4689), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [114016] = 3,
    ACTIONS(4772), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4770), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [114043] = 3,
    ACTIONS(4741), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4739), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [114070] = 3,
    ACTIONS(4691), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4689), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [114097] = 3,
    ACTIONS(4764), 2,
      sym_linebreak,
      aux_sym_text_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4762), 15,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_raw_blck_ldlm,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [114124] = 5,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym__token_content,
    ACTIONS(6735), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2264), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114144] = 5,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    ACTIONS(435), 1,
      sym__token_content,
    ACTIONS(6737), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2178), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114164] = 5,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    ACTIONS(435), 1,
      sym__token_content,
    ACTIONS(6737), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2304), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114184] = 6,
    ACTIONS(6739), 1,
      anon_sym_as,
    ACTIONS(6741), 1,
      anon_sym_DOT2,
    STATE(3246), 1,
      aux_sym_binding_repeat1,
    STATE(3377), 1,
      sym_as,
    ACTIONS(4481), 2,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114206] = 5,
    ACTIONS(777), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym__token_content,
    ACTIONS(6743), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2557), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114226] = 5,
    ACTIONS(249), 1,
      anon_sym_LBRACE,
    ACTIONS(273), 1,
      sym__token_content,
    ACTIONS(6745), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1988), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114246] = 5,
    ACTIONS(87), 1,
      anon_sym_LBRACE,
    ACTIONS(111), 1,
      sym__token_content,
    ACTIONS(6747), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1951), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114266] = 5,
    ACTIONS(777), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym__token_content,
    ACTIONS(6743), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2561), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114286] = 5,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      sym__token_content,
    ACTIONS(6749), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2699), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114306] = 5,
    ACTIONS(249), 1,
      anon_sym_LBRACE,
    ACTIONS(273), 1,
      sym__token_content,
    ACTIONS(6745), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2000), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114326] = 5,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      sym__token_content,
    ACTIONS(6749), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2728), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114346] = 5,
    ACTIONS(147), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      sym__token_content,
    ACTIONS(6751), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1641), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114366] = 5,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      sym__token_content,
    ACTIONS(6753), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2053), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114386] = 5,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      sym__token_content,
    ACTIONS(6755), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2262), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114406] = 5,
    ACTIONS(1065), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      sym__token_content,
    ACTIONS(6757), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2608), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114426] = 5,
    ACTIONS(465), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      sym__token_content,
    ACTIONS(6759), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2414), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114446] = 5,
    ACTIONS(87), 1,
      anon_sym_LBRACE,
    ACTIONS(111), 1,
      sym__token_content,
    ACTIONS(6747), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1956), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114466] = 5,
    ACTIONS(1065), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      sym__token_content,
    ACTIONS(6757), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2613), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114486] = 6,
    ACTIONS(6739), 1,
      anon_sym_as,
    ACTIONS(6741), 1,
      anon_sym_DOT2,
    STATE(3131), 1,
      aux_sym_binding_repeat1,
    STATE(3342), 1,
      sym_as,
    ACTIONS(4469), 2,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114508] = 5,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(981), 1,
      sym__token_content,
    ACTIONS(6761), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2829), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114528] = 5,
    ACTIONS(903), 1,
      anon_sym_LBRACE,
    ACTIONS(927), 1,
      sym__token_content,
    ACTIONS(6763), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2950), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114548] = 5,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      sym__token_content,
    ACTIONS(6765), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2748), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114568] = 5,
    ACTIONS(573), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__token_content,
    ACTIONS(6767), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2780), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114588] = 5,
    ACTIONS(357), 1,
      anon_sym_LBRACE,
    ACTIONS(381), 1,
      sym__token_content,
    ACTIONS(6769), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2422), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114608] = 5,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(6771), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1747), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114628] = 5,
    ACTIONS(753), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      sym__token_content,
    ACTIONS(6753), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2042), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114648] = 5,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      sym__token_content,
    ACTIONS(6765), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2755), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114668] = 5,
    ACTIONS(357), 1,
      anon_sym_LBRACE,
    ACTIONS(381), 1,
      sym__token_content,
    ACTIONS(6769), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2132), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114688] = 5,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      sym__token_content,
    ACTIONS(6773), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1459), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114708] = 5,
    ACTIONS(573), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__token_content,
    ACTIONS(6767), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2765), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114728] = 5,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym__token_content,
    ACTIONS(6735), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2411), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114748] = 5,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(981), 1,
      sym__token_content,
    ACTIONS(6761), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2930), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114768] = 5,
    ACTIONS(549), 1,
      anon_sym_LBRACE,
    ACTIONS(553), 1,
      sym__token_content,
    ACTIONS(6775), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1407), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114788] = 5,
    ACTIONS(1003), 1,
      anon_sym_LBRACE,
    ACTIONS(1027), 1,
      sym__token_content,
    ACTIONS(6777), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2927), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114808] = 5,
    ACTIONS(903), 1,
      anon_sym_LBRACE,
    ACTIONS(927), 1,
      sym__token_content,
    ACTIONS(6763), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2936), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114828] = 5,
    ACTIONS(549), 1,
      anon_sym_LBRACE,
    ACTIONS(553), 1,
      sym__token_content,
    ACTIONS(6775), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1415), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114848] = 5,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(6771), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1753), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114868] = 5,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      sym__token_content,
    ACTIONS(6773), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1479), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114888] = 5,
    ACTIONS(465), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      sym__token_content,
    ACTIONS(6759), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2294), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114908] = 5,
    ACTIONS(1003), 1,
      anon_sym_LBRACE,
    ACTIONS(1027), 1,
      sym__token_content,
    ACTIONS(6777), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2899), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114928] = 5,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(877), 1,
      sym__token_content,
    ACTIONS(6755), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2237), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114948] = 5,
    ACTIONS(147), 1,
      anon_sym_LBRACE,
    ACTIONS(171), 1,
      sym__token_content,
    ACTIONS(6751), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1651), 3,
      sym_content,
      sym_block,
      sym_branch,
  [114968] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6781), 1,
      anon_sym_DQUOTE,
    ACTIONS(6783), 1,
      sym__token_string_blob,
    STATE(3255), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114987] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6785), 1,
      anon_sym_DQUOTE,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115006] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    ACTIONS(6791), 1,
      sym__token_string_blob,
    STATE(3176), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115025] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6795), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3904), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115046] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6797), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4097), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115067] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6799), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4086), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115088] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6801), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115107] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6803), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3931), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115128] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6805), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4115), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115149] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6807), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115168] = 5,
    ACTIONS(6809), 1,
      aux_sym_escape_token1,
    ACTIONS(6812), 1,
      anon_sym_DQUOTE,
    ACTIONS(6814), 1,
      sym__token_string_blob,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115187] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6817), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3929), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115208] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6819), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4089), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115229] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6821), 1,
      anon_sym_DQUOTE,
    ACTIONS(6823), 1,
      sym__token_string_blob,
    STATE(3188), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115248] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6827), 1,
      sym__token_string_blob,
    STATE(3187), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115267] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6829), 1,
      anon_sym_DQUOTE,
    ACTIONS(6831), 1,
      sym__token_string_blob,
    STATE(3224), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115286] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6833), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3872), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115307] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6835), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115326] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6837), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115345] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6839), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3730), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115366] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6841), 1,
      anon_sym_DQUOTE,
    ACTIONS(6843), 1,
      sym__token_string_blob,
    STATE(3194), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115385] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6845), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3747), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115406] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6847), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3818), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115427] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6849), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4147), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115448] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6851), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115467] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6853), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4155), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115488] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6855), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3879), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115509] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6857), 1,
      anon_sym_DQUOTE,
    ACTIONS(6859), 1,
      sym__token_string_blob,
    STATE(3199), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115528] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6861), 1,
      anon_sym_DQUOTE,
    ACTIONS(6863), 1,
      sym__token_string_blob,
    STATE(3200), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115547] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6865), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115566] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6867), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115585] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6869), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3902), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115606] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6871), 1,
      anon_sym_DQUOTE,
    ACTIONS(6873), 1,
      sym__token_string_blob,
    STATE(3205), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115625] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6875), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3905), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115646] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6877), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4202), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115667] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6879), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115686] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6881), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3979), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115707] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6883), 1,
      anon_sym_DQUOTE,
    ACTIONS(6885), 1,
      sym__token_string_blob,
    STATE(3212), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115726] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6887), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4205), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115747] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6889), 1,
      anon_sym_DQUOTE,
    ACTIONS(6891), 1,
      sym__token_string_blob,
    STATE(3213), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115766] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6893), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4027), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115787] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6895), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3982), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115808] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6897), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115827] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6899), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115846] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6901), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4032), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115867] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6903), 1,
      anon_sym_DQUOTE,
    ACTIONS(6905), 1,
      sym__token_string_blob,
    STATE(3218), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115886] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6907), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3821), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115907] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6909), 1,
      anon_sym_DQUOTE,
    ACTIONS(6911), 1,
      sym__token_string_blob,
    STATE(3223), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115926] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6913), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115945] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6915), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4247), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115966] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6917), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4182), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115987] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6919), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4186), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116008] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6921), 1,
      anon_sym_DQUOTE,
    ACTIONS(6923), 1,
      sym__token_string_blob,
    STATE(3225), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116027] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6925), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116046] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6927), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116065] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6929), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116084] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6931), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4258), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116105] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6933), 1,
      anon_sym_DQUOTE,
    ACTIONS(6935), 1,
      sym__token_string_blob,
    STATE(3229), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116124] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6937), 1,
      anon_sym_DQUOTE,
    ACTIONS(6939), 1,
      sym__token_string_blob,
    STATE(3230), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116143] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6941), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116162] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6943), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116181] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6945), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4393), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116202] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6947), 1,
      anon_sym_DQUOTE,
    ACTIONS(6949), 1,
      sym__token_string_blob,
    STATE(3233), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116221] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6951), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116240] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6953), 1,
      anon_sym_DQUOTE,
    ACTIONS(6955), 1,
      sym__token_string_blob,
    STATE(3235), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116259] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6957), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116278] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6959), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4391), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116299] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6961), 1,
      anon_sym_DQUOTE,
    ACTIONS(6963), 1,
      sym__token_string_blob,
    STATE(3244), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116318] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6965), 1,
      anon_sym_DQUOTE,
    ACTIONS(6967), 1,
      sym__token_string_blob,
    STATE(3240), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116337] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6969), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4030), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116358] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6971), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116377] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6973), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3496), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116398] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6975), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4394), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116419] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6977), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4098), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116440] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6979), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116459] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4930), 5,
      anon_sym_in,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [116472] = 4,
    ACTIONS(6981), 1,
      anon_sym_DOT2,
    STATE(3246), 1,
      aux_sym_binding_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4625), 3,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COMMA2,
  [116489] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6984), 1,
      anon_sym_DQUOTE,
    ACTIONS(6986), 1,
      sym__token_string_blob,
    STATE(3249), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116508] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6988), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3698), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116529] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(6990), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116548] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6992), 1,
      anon_sym_DQUOTE,
    ACTIONS(6994), 1,
      sym__token_string_blob,
    STATE(3254), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116567] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6996), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3701), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116588] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6998), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4033), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116609] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7000), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3752), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116630] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(7002), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116649] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(6787), 1,
      sym__token_string_blob,
    ACTIONS(7004), 1,
      anon_sym_DQUOTE,
    STATE(3180), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116668] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7006), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3755), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116689] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7008), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(3927), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116710] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(7010), 1,
      anon_sym_DQUOTE,
    ACTIONS(7012), 1,
      sym__token_string_blob,
    STATE(3171), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116729] = 6,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7014), 1,
      anon_sym_RPAREN2,
    STATE(3146), 1,
      sym_ident,
    STATE(3314), 1,
      sym_binding,
    STATE(4395), 1,
      sym__bindings,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116750] = 5,
    ACTIONS(6779), 1,
      aux_sym_escape_token1,
    ACTIONS(7016), 1,
      anon_sym_DQUOTE,
    ACTIONS(7018), 1,
      sym__token_string_blob,
    STATE(3179), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116769] = 5,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(2893), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116787] = 5,
    ACTIONS(4621), 1,
      anon_sym_RPAREN2,
    ACTIONS(6793), 1,
      sym__identifier,
    STATE(3146), 1,
      sym_ident,
    STATE(3389), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116805] = 5,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(3063), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116823] = 4,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(3041), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116839] = 4,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(3053), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116855] = 5,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(3054), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116873] = 4,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    STATE(2882), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116889] = 4,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    STATE(2503), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116905] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(3717), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116921] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4625), 4,
      anon_sym_RPAREN2,
      anon_sym_as,
      anon_sym_COMMA2,
      anon_sym_DOT2,
  [116933] = 4,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    STATE(3057), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116949] = 5,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(3060), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116967] = 5,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(2884), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116985] = 5,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(2504), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117003] = 5,
    ACTIONS(4632), 1,
      anon_sym_RPAREN2,
    ACTIONS(6793), 1,
      sym__identifier,
    STATE(3146), 1,
      sym_ident,
    STATE(3389), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117021] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4337), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117037] = 5,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(3042), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117055] = 5,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    STATE(2495), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117073] = 4,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    STATE(3036), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117089] = 4,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    STATE(2892), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117105] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4245), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117121] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4252), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117137] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4257), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117153] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4262), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117169] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4267), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117185] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4272), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117201] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4277), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117217] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4282), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117233] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4287), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117249] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4292), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117265] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4297), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117281] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4302), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117297] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4307), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117313] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4312), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117329] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4317), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117345] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4322), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117361] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4327), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117377] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    STATE(4332), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117393] = 4,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    STATE(2494), 1,
      sym__math_token_rpar,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117409] = 4,
    ACTIONS(7028), 1,
      sym__identifier,
    STATE(1150), 1,
      sym_ident,
    STATE(2084), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117424] = 4,
    ACTIONS(7030), 1,
      sym__identifier,
    STATE(1168), 1,
      sym_ident,
    STATE(2071), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117439] = 4,
    ACTIONS(4621), 1,
      anon_sym_RPAREN2,
    ACTIONS(7032), 1,
      anon_sym_COMMA2,
    STATE(3323), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117454] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4770), 3,
      sym__token_string_blob,
      aux_sym_escape_token1,
      anon_sym_DQUOTE,
  [117465] = 4,
    ACTIONS(7034), 1,
      sym__identifier,
    STATE(1297), 1,
      sym_ident,
    STATE(2782), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117480] = 4,
    ACTIONS(7036), 1,
      sym__identifier,
    STATE(1043), 1,
      sym_ident,
    STATE(1353), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117495] = 4,
    ACTIONS(7038), 1,
      sym__identifier,
    STATE(1099), 1,
      sym_ident,
    STATE(1968), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117510] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(7040), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117521] = 4,
    ACTIONS(7042), 1,
      sym__identifier,
    STATE(1190), 1,
      sym_ident,
    STATE(2234), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117536] = 4,
    ACTIONS(7044), 1,
      sym__identifier,
    STATE(1057), 1,
      sym_ident,
    STATE(1494), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117551] = 4,
    ACTIONS(7046), 1,
      sym__identifier,
    STATE(1160), 1,
      sym_ident,
    STATE(1738), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117566] = 4,
    ACTIONS(7048), 1,
      sym__identifier,
    STATE(1062), 1,
      sym_ident,
    STATE(1661), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117581] = 4,
    ACTIONS(6793), 1,
      sym__identifier,
    STATE(3146), 1,
      sym_ident,
    STATE(3389), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117596] = 4,
    ACTIONS(7050), 1,
      sym__identifier,
    STATE(1320), 1,
      sym_ident,
    STATE(2487), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117611] = 4,
    ACTIONS(4780), 1,
      anon_sym_RPAREN2,
    ACTIONS(7052), 1,
      anon_sym_COMMA2,
    STATE(3302), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117626] = 4,
    ACTIONS(7054), 1,
      sym__identifier,
    STATE(1023), 1,
      sym_ident,
    STATE(1272), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117641] = 4,
    ACTIONS(7056), 1,
      sym__identifier,
    STATE(1073), 1,
      sym_ident,
    STATE(1596), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117656] = 4,
    ACTIONS(7058), 1,
      sym__identifier,
    STATE(1125), 1,
      sym_ident,
    STATE(2321), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117671] = 4,
    ACTIONS(7060), 1,
      sym__identifier,
    STATE(1065), 1,
      sym_ident,
    STATE(1491), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117686] = 4,
    ACTIONS(7062), 1,
      sym__identifier,
    STATE(1067), 1,
      sym_ident,
    STATE(2058), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117701] = 4,
    ACTIONS(7064), 1,
      sym__identifier,
    STATE(1075), 1,
      sym_ident,
    STATE(1365), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117716] = 4,
    ACTIONS(7066), 1,
      sym__identifier,
    STATE(1078), 1,
      sym_ident,
    STATE(1419), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117731] = 4,
    ACTIONS(7068), 1,
      sym__identifier,
    STATE(1132), 1,
      sym_ident,
    STATE(1892), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117746] = 4,
    ACTIONS(4804), 1,
      anon_sym_RPAREN2,
    ACTIONS(7070), 1,
      anon_sym_COMMA2,
    STATE(3323), 1,
      aux_sym__bindings_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117761] = 4,
    ACTIONS(7073), 1,
      sym__identifier,
    STATE(1249), 1,
      sym_ident,
    STATE(2615), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117776] = 4,
    ACTIONS(7075), 1,
      sym__identifier,
    STATE(1124), 1,
      sym_ident,
    STATE(2097), 1,
      sym_binding,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117791] = 3,
    ACTIONS(7077), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7079), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117803] = 3,
    ACTIONS(7081), 1,
      sym__token_content,
    STATE(3096), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117815] = 3,
    ACTIONS(85), 1,
      anon_sym_LPAREN2,
    STATE(1564), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117827] = 2,
    ACTIONS(5045), 2,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117837] = 3,
    ACTIONS(33), 1,
      anon_sym_LPAREN2,
    STATE(1248), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117849] = 3,
    ACTIONS(7083), 1,
      sym__identifier,
    STATE(1996), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117861] = 3,
    ACTIONS(111), 1,
      sym__token_content,
    STATE(1564), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117873] = 3,
    ACTIONS(7085), 1,
      sym__identifier,
    STATE(2027), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117885] = 3,
    ACTIONS(7087), 1,
      sym__identifier,
    STATE(1936), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117897] = 3,
    ACTIONS(517), 1,
      anon_sym_LPAREN2,
    STATE(1282), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117909] = 3,
    ACTIONS(553), 1,
      sym__token_content,
    STATE(1282), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117921] = 3,
    ACTIONS(7089), 1,
      sym__identifier,
    STATE(1394), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117933] = 3,
    ACTIONS(7091), 1,
      sym__identifier,
    STATE(1568), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117945] = 3,
    ACTIONS(7093), 1,
      sym__token_section,
    STATE(1144), 1,
      sym__section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117957] = 3,
    ACTIONS(59), 1,
      sym__token_content,
    STATE(1248), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117969] = 3,
    ACTIONS(145), 1,
      anon_sym_LPAREN2,
    STATE(1433), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117981] = 2,
    ACTIONS(4481), 2,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117991] = 3,
    ACTIONS(7091), 1,
      sym__identifier,
    STATE(1408), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118003] = 3,
    ACTIONS(7095), 1,
      anon_sym_LPAREN,
    STATE(910), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118015] = 3,
    ACTIONS(7097), 1,
      sym__identifier,
    STATE(1960), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118027] = 3,
    ACTIONS(7099), 1,
      sym__identifier,
    STATE(2380), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118039] = 3,
    ACTIONS(6793), 1,
      sym__identifier,
    STATE(3329), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118051] = 3,
    ACTIONS(435), 1,
      sym__token_content,
    STATE(1650), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118063] = 3,
    ACTIONS(7073), 1,
      sym__identifier,
    STATE(1673), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118075] = 3,
    ACTIONS(7101), 1,
      sym__identifier,
    STATE(2960), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118087] = 3,
    ACTIONS(6793), 1,
      sym__identifier,
    STATE(3270), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118099] = 3,
    ACTIONS(955), 1,
      anon_sym_LPAREN2,
    STATE(2646), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118111] = 3,
    ACTIONS(649), 1,
      sym__token_content,
    STATE(2364), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118123] = 3,
    ACTIONS(7054), 1,
      sym__identifier,
    STATE(1128), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118135] = 3,
    ACTIONS(7044), 1,
      sym__identifier,
    STATE(1244), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118147] = 3,
    ACTIONS(7034), 1,
      sym__identifier,
    STATE(2035), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118159] = 3,
    ACTIONS(7020), 1,
      anon_sym_COMMA,
    ACTIONS(7022), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118171] = 3,
    ACTIONS(7103), 1,
      sym__identifier,
    STATE(2642), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118183] = 3,
    ACTIONS(3822), 1,
      sym__math_token_ldlm,
    STATE(3080), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118195] = 3,
    ACTIONS(901), 1,
      anon_sym_LPAREN2,
    STATE(2779), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118207] = 3,
    ACTIONS(7066), 1,
      sym__identifier,
    STATE(1287), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118219] = 3,
    ACTIONS(927), 1,
      sym__token_content,
    STATE(2779), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118231] = 3,
    ACTIONS(7105), 1,
      sym__identifier,
    STATE(2377), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118243] = 3,
    ACTIONS(3866), 1,
      sym__math_token_ldlm,
    STATE(2839), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118255] = 3,
    ACTIONS(7107), 1,
      sym__identifier,
    STATE(1534), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118267] = 3,
    ACTIONS(7038), 1,
      sym__identifier,
    STATE(1574), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118279] = 3,
    ACTIONS(7095), 1,
      anon_sym_LPAREN,
    STATE(894), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118291] = 3,
    ACTIONS(7109), 1,
      sym__identifier,
    STATE(2154), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118303] = 3,
    ACTIONS(7048), 1,
      sym__identifier,
    STATE(1285), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118315] = 3,
    ACTIONS(7036), 1,
      sym__identifier,
    STATE(1215), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118327] = 3,
    ACTIONS(7050), 1,
      sym__identifier,
    STATE(1825), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118339] = 3,
    ACTIONS(7060), 1,
      sym__identifier,
    STATE(1252), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118351] = 3,
    ACTIONS(775), 1,
      anon_sym_LPAREN2,
    STATE(2298), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118363] = 3,
    ACTIONS(7111), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7113), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118375] = 3,
    ACTIONS(801), 1,
      sym__token_content,
    STATE(2298), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118387] = 3,
    ACTIONS(7030), 1,
      sym__identifier,
    STATE(1537), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118399] = 2,
    ACTIONS(5026), 2,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118409] = 3,
    ACTIONS(7058), 1,
      sym__identifier,
    STATE(1589), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118421] = 3,
    ACTIONS(7115), 1,
      sym__identifier,
    STATE(2545), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118433] = 3,
    ACTIONS(7117), 1,
      sym__identifier,
    STATE(1583), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118445] = 3,
    ACTIONS(7105), 1,
      sym__identifier,
    STATE(1796), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118457] = 3,
    ACTIONS(7119), 1,
      sym__identifier,
    STATE(2409), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118469] = 3,
    ACTIONS(7121), 1,
      sym__token_section,
    STATE(1121), 1,
      sym__section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118481] = 3,
    ACTIONS(3498), 1,
      sym__math_token_ldlm,
    STATE(2460), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118493] = 3,
    ACTIONS(7123), 1,
      anon_sym_COLON,
    STATE(953), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118505] = 3,
    ACTIONS(7125), 1,
      sym__identifier,
    STATE(1672), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118517] = 3,
    ACTIONS(1063), 1,
      anon_sym_LPAREN2,
    STATE(2415), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118529] = 3,
    ACTIONS(7127), 1,
      sym__identifier,
    STATE(1298), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118541] = 2,
    ACTIONS(4804), 2,
      anon_sym_RPAREN2,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118551] = 3,
    ACTIONS(7056), 1,
      sym__identifier,
    STATE(1343), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118563] = 3,
    ACTIONS(463), 1,
      anon_sym_LPAREN2,
    STATE(1779), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118575] = 3,
    ACTIONS(7046), 1,
      sym__identifier,
    STATE(1538), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118587] = 3,
    ACTIONS(489), 1,
      sym__token_content,
    STATE(1779), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118599] = 3,
    ACTIONS(7129), 1,
      sym__token_content,
    STATE(1155), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118611] = 3,
    ACTIONS(247), 1,
      anon_sym_LPAREN2,
    STATE(1613), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118623] = 3,
    ACTIONS(7028), 1,
      sym__identifier,
    STATE(1540), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118635] = 3,
    ACTIONS(1001), 1,
      anon_sym_LPAREN2,
    STATE(2470), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118647] = 3,
    ACTIONS(7062), 1,
      sym__identifier,
    STATE(1351), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118659] = 3,
    ACTIONS(1027), 1,
      sym__token_content,
    STATE(2470), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118671] = 3,
    ACTIONS(7131), 1,
      sym__identifier,
    STATE(2814), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118683] = 3,
    ACTIONS(273), 1,
      sym__token_content,
    STATE(1613), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118695] = 3,
    ACTIONS(7133), 1,
      sym__token_content,
    STATE(3111), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118707] = 3,
    ACTIONS(841), 1,
      anon_sym_LPAREN2,
    STATE(1904), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118719] = 3,
    ACTIONS(7117), 1,
      sym__identifier,
    STATE(1918), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118731] = 3,
    ACTIONS(7083), 1,
      sym__identifier,
    STATE(2218), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118743] = 3,
    ACTIONS(3794), 1,
      sym__math_token_ldlm,
    STATE(3038), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118755] = 3,
    ACTIONS(355), 1,
      anon_sym_LPAREN2,
    STATE(1882), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118767] = 3,
    ACTIONS(381), 1,
      sym__token_content,
    STATE(1882), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118779] = 3,
    ACTIONS(7135), 1,
      sym__identifier,
    STATE(2169), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118791] = 3,
    ACTIONS(7042), 1,
      sym__identifier,
    STATE(1518), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118803] = 3,
    ACTIONS(7137), 1,
      sym__identifier,
    STATE(2231), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118815] = 3,
    ACTIONS(7115), 1,
      sym__identifier,
    STATE(2319), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118827] = 3,
    ACTIONS(877), 1,
      sym__token_content,
    STATE(1904), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118839] = 3,
    ACTIONS(7095), 1,
      anon_sym_LPAREN,
    STATE(905), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118851] = 3,
    ACTIONS(571), 1,
      anon_sym_LPAREN2,
    STATE(2336), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118863] = 3,
    ACTIONS(301), 1,
      anon_sym_LPAREN2,
    STATE(1878), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118875] = 3,
    ACTIONS(7075), 1,
      sym__identifier,
    STATE(1522), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118887] = 3,
    ACTIONS(7125), 1,
      sym__identifier,
    STATE(2193), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118899] = 3,
    ACTIONS(171), 1,
      sym__token_content,
    STATE(1433), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118911] = 3,
    ACTIONS(327), 1,
      sym__token_content,
    STATE(1878), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118923] = 3,
    ACTIONS(597), 1,
      sym__token_content,
    STATE(2336), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118935] = 3,
    ACTIONS(7139), 1,
      sym__identifier,
    STATE(2657), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118947] = 3,
    ACTIONS(7141), 1,
      sym__token_content,
    STATE(1178), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118959] = 3,
    ACTIONS(7109), 1,
      sym__identifier,
    STATE(2726), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118971] = 3,
    ACTIONS(7103), 1,
      sym__identifier,
    STATE(2873), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118983] = 3,
    ACTIONS(7143), 1,
      sym__identifier,
    STATE(1549), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118995] = 3,
    ACTIONS(7131), 1,
      sym__identifier,
    STATE(2451), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119007] = 2,
    ACTIONS(7024), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119017] = 3,
    ACTIONS(7087), 1,
      sym__identifier,
    STATE(1898), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119029] = 3,
    ACTIONS(7135), 1,
      sym__identifier,
    STATE(1880), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119041] = 3,
    ACTIONS(7145), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7147), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119053] = 3,
    ACTIONS(193), 1,
      anon_sym_LPAREN2,
    STATE(1548), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119065] = 3,
    ACTIONS(7149), 1,
      anon_sym_COLON,
    STATE(951), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119077] = 3,
    ACTIONS(7151), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7153), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119089] = 3,
    ACTIONS(7107), 1,
      sym__identifier,
    STATE(2059), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119101] = 3,
    ACTIONS(7155), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7157), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119113] = 3,
    ACTIONS(7159), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7161), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119125] = 3,
    ACTIONS(7163), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7165), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119137] = 3,
    ACTIONS(7167), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7169), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119149] = 3,
    ACTIONS(7171), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7173), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119161] = 3,
    ACTIONS(7175), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7177), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119173] = 3,
    ACTIONS(7179), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7181), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119185] = 3,
    ACTIONS(7183), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7185), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119197] = 3,
    ACTIONS(7187), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7189), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119209] = 3,
    ACTIONS(7191), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7193), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119221] = 3,
    ACTIONS(7195), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7197), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119233] = 3,
    ACTIONS(7199), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7201), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119245] = 3,
    ACTIONS(7203), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7205), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119257] = 3,
    ACTIONS(7207), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7209), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119269] = 3,
    ACTIONS(7211), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7213), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119281] = 3,
    ACTIONS(7215), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7217), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119293] = 3,
    ACTIONS(409), 1,
      anon_sym_LPAREN2,
    STATE(1650), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119305] = 3,
    ACTIONS(7219), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7221), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119317] = 3,
    ACTIONS(7223), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7225), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119329] = 3,
    ACTIONS(7227), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7229), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119341] = 3,
    ACTIONS(7231), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7233), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119353] = 3,
    ACTIONS(7235), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7237), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119365] = 3,
    ACTIONS(7101), 1,
      sym__identifier,
    STATE(2737), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119377] = 3,
    ACTIONS(219), 1,
      sym__token_content,
    STATE(1548), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119389] = 3,
    ACTIONS(7068), 1,
      sym__identifier,
    STATE(1554), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119401] = 3,
    ACTIONS(7143), 1,
      sym__identifier,
    STATE(1721), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119413] = 3,
    ACTIONS(7095), 1,
      anon_sym_LPAREN,
    STATE(897), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119425] = 3,
    ACTIONS(675), 1,
      anon_sym_LPAREN2,
    STATE(2324), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119437] = 3,
    ACTIONS(701), 1,
      sym__token_content,
    STATE(2324), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119449] = 3,
    ACTIONS(7119), 1,
      sym__identifier,
    STATE(2669), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119461] = 3,
    ACTIONS(7239), 1,
      sym__token_content,
    STATE(1188), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119473] = 3,
    ACTIONS(7085), 1,
      sym__identifier,
    STATE(1379), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119485] = 3,
    ACTIONS(623), 1,
      anon_sym_LPAREN2,
    STATE(2364), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119497] = 3,
    ACTIONS(7241), 1,
      sym__identifier,
    STATE(1441), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119509] = 3,
    ACTIONS(7064), 1,
      sym__identifier,
    STATE(1279), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119521] = 3,
    ACTIONS(1089), 1,
      sym__token_content,
    STATE(2415), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119533] = 3,
    ACTIONS(7243), 1,
      sym__identifier,
    STATE(2160), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119545] = 3,
    ACTIONS(721), 1,
      anon_sym_LPAREN2,
    STATE(1600), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119557] = 3,
    ACTIONS(981), 1,
      sym__token_content,
    STATE(2646), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119569] = 3,
    ACTIONS(7245), 1,
      sym__token_section,
    STATE(1120), 1,
      sym__section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119581] = 3,
    ACTIONS(7099), 1,
      sym__identifier,
    STATE(2591), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119593] = 3,
    ACTIONS(757), 1,
      sym__token_content,
    STATE(1600), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119605] = 3,
    ACTIONS(7089), 1,
      sym__identifier,
    STATE(1280), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119617] = 2,
    ACTIONS(7247), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119626] = 2,
    ACTIONS(7249), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119635] = 2,
    ACTIONS(7251), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119644] = 2,
    ACTIONS(7253), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119653] = 2,
    ACTIONS(7255), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119662] = 2,
    ACTIONS(7257), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119671] = 2,
    ACTIONS(7259), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119680] = 2,
    ACTIONS(7261), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119689] = 2,
    ACTIONS(7263), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119698] = 2,
    ACTIONS(7265), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119707] = 2,
    ACTIONS(7267), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119716] = 2,
    ACTIONS(7269), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119725] = 2,
    ACTIONS(7271), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119734] = 2,
    ACTIONS(7273), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119743] = 2,
    ACTIONS(7275), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119752] = 2,
    ACTIONS(7277), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119761] = 2,
    ACTIONS(7279), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119770] = 2,
    ACTIONS(7281), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119779] = 2,
    ACTIONS(7283), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119788] = 2,
    ACTIONS(7285), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119797] = 2,
    ACTIONS(7287), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119806] = 2,
    ACTIONS(7289), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119815] = 2,
    ACTIONS(7291), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119824] = 2,
    ACTIONS(7293), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119833] = 2,
    ACTIONS(7295), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119842] = 2,
    ACTIONS(7297), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119851] = 2,
    ACTIONS(7299), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119860] = 2,
    ACTIONS(7301), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119869] = 2,
    ACTIONS(7303), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119878] = 2,
    ACTIONS(7305), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119887] = 2,
    ACTIONS(7307), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119896] = 2,
    ACTIONS(7309), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119905] = 2,
    ACTIONS(7311), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119914] = 2,
    ACTIONS(7313), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119923] = 2,
    ACTIONS(7315), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119932] = 2,
    ACTIONS(7317), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119941] = 2,
    ACTIONS(7319), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119950] = 2,
    ACTIONS(7321), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119959] = 2,
    ACTIONS(7323), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119968] = 2,
    ACTIONS(7325), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119977] = 2,
    ACTIONS(7327), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119986] = 2,
    ACTIONS(7329), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119995] = 2,
    ACTIONS(7331), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120004] = 2,
    ACTIONS(7333), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120013] = 2,
    ACTIONS(7335), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120022] = 2,
    ACTIONS(7337), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120031] = 2,
    ACTIONS(7339), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120040] = 2,
    ACTIONS(7341), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120049] = 2,
    ACTIONS(7343), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120058] = 2,
    ACTIONS(7345), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120067] = 2,
    ACTIONS(7347), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120076] = 2,
    ACTIONS(7349), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120085] = 2,
    ACTIONS(7351), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120094] = 2,
    ACTIONS(7353), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120103] = 2,
    ACTIONS(7355), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120112] = 2,
    ACTIONS(7357), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120121] = 2,
    ACTIONS(7359), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120130] = 2,
    ACTIONS(7361), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120139] = 2,
    ACTIONS(7363), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120148] = 2,
    ACTIONS(7365), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120157] = 2,
    ACTIONS(7367), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120166] = 2,
    ACTIONS(7369), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120175] = 2,
    ACTIONS(7371), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120184] = 2,
    ACTIONS(7373), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120193] = 2,
    ACTIONS(7375), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120202] = 2,
    ACTIONS(7377), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120211] = 2,
    ACTIONS(7379), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120220] = 2,
    ACTIONS(7381), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120229] = 2,
    ACTIONS(7383), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120238] = 2,
    ACTIONS(7385), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120247] = 2,
    ACTIONS(7387), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120256] = 2,
    ACTIONS(7389), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120265] = 2,
    ACTIONS(7391), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120274] = 2,
    ACTIONS(7393), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120283] = 2,
    ACTIONS(7395), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120292] = 2,
    ACTIONS(7397), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120301] = 2,
    ACTIONS(7399), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120310] = 2,
    ACTIONS(7401), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120319] = 2,
    ACTIONS(7403), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120328] = 2,
    ACTIONS(7405), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120337] = 2,
    ACTIONS(7407), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120346] = 2,
    ACTIONS(7409), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120355] = 2,
    ACTIONS(7411), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120364] = 2,
    ACTIONS(7413), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120373] = 2,
    ACTIONS(7415), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120382] = 2,
    ACTIONS(7417), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120391] = 2,
    ACTIONS(7419), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120400] = 2,
    ACTIONS(7421), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120409] = 2,
    ACTIONS(7423), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120418] = 2,
    ACTIONS(7425), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120427] = 2,
    ACTIONS(7427), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120436] = 2,
    ACTIONS(7429), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120445] = 2,
    ACTIONS(7431), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120454] = 2,
    ACTIONS(7433), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120463] = 2,
    ACTIONS(7435), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120472] = 2,
    ACTIONS(7437), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120481] = 2,
    ACTIONS(7439), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120490] = 2,
    ACTIONS(7441), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120499] = 2,
    ACTIONS(7443), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120508] = 2,
    ACTIONS(7445), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120517] = 2,
    ACTIONS(7447), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120526] = 2,
    ACTIONS(7449), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120535] = 2,
    ACTIONS(7451), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120544] = 2,
    ACTIONS(7453), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120553] = 2,
    ACTIONS(7455), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120562] = 2,
    ACTIONS(7457), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120571] = 2,
    ACTIONS(7459), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120580] = 2,
    ACTIONS(7461), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120589] = 2,
    ACTIONS(7463), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120598] = 2,
    ACTIONS(7465), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120607] = 2,
    ACTIONS(7467), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120616] = 2,
    ACTIONS(7469), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120625] = 2,
    ACTIONS(7471), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120634] = 2,
    ACTIONS(7473), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120643] = 2,
    ACTIONS(7475), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120652] = 2,
    ACTIONS(7477), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120661] = 2,
    ACTIONS(7479), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120670] = 2,
    ACTIONS(7481), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120679] = 2,
    ACTIONS(7483), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120688] = 2,
    ACTIONS(7485), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120697] = 2,
    ACTIONS(7487), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120706] = 2,
    ACTIONS(7489), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120715] = 2,
    ACTIONS(7491), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120724] = 2,
    ACTIONS(7493), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120733] = 2,
    ACTIONS(7495), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120742] = 2,
    ACTIONS(7497), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120751] = 2,
    ACTIONS(7499), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120760] = 2,
    ACTIONS(7501), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120769] = 2,
    ACTIONS(7503), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120778] = 2,
    ACTIONS(7505), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120787] = 2,
    ACTIONS(7507), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120796] = 2,
    ACTIONS(7509), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120805] = 2,
    ACTIONS(7511), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120814] = 2,
    ACTIONS(7513), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120823] = 2,
    ACTIONS(7515), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120832] = 2,
    ACTIONS(7517), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120841] = 2,
    ACTIONS(7519), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120850] = 2,
    ACTIONS(7521), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120859] = 2,
    ACTIONS(7523), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120868] = 2,
    ACTIONS(7525), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120877] = 2,
    ACTIONS(7527), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120886] = 2,
    ACTIONS(7529), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120895] = 2,
    ACTIONS(7531), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120904] = 2,
    ACTIONS(7533), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120913] = 2,
    ACTIONS(7535), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120922] = 2,
    ACTIONS(7537), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120931] = 2,
    ACTIONS(7539), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120940] = 2,
    ACTIONS(7541), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120949] = 2,
    ACTIONS(7543), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120958] = 2,
    ACTIONS(7545), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120967] = 2,
    ACTIONS(7547), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120976] = 2,
    ACTIONS(7549), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120985] = 2,
    ACTIONS(7551), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120994] = 2,
    ACTIONS(7553), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121003] = 2,
    ACTIONS(7555), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121012] = 2,
    ACTIONS(7557), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121021] = 2,
    ACTIONS(7559), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121030] = 2,
    ACTIONS(7561), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121039] = 2,
    ACTIONS(7563), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121048] = 2,
    ACTIONS(7565), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121057] = 2,
    ACTIONS(7567), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121066] = 3,
    ACTIONS(7569), 1,
      sym_parbreak,
    ACTIONS(7571), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
  [121077] = 2,
    ACTIONS(7573), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121086] = 2,
    ACTIONS(7575), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121095] = 2,
    ACTIONS(7577), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121104] = 2,
    ACTIONS(7579), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121113] = 2,
    ACTIONS(7581), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121122] = 2,
    ACTIONS(7583), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121131] = 2,
    ACTIONS(7585), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121140] = 2,
    ACTIONS(7587), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121149] = 2,
    ACTIONS(7589), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121158] = 2,
    ACTIONS(7591), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121167] = 2,
    ACTIONS(7593), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121176] = 2,
    ACTIONS(7595), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121185] = 2,
    ACTIONS(7597), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121194] = 2,
    ACTIONS(5015), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121203] = 2,
    ACTIONS(7599), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121212] = 2,
    ACTIONS(7601), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121221] = 2,
    ACTIONS(7599), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121230] = 2,
    ACTIONS(7603), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121239] = 2,
    ACTIONS(7605), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121248] = 2,
    ACTIONS(7607), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121257] = 2,
    ACTIONS(7609), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121266] = 2,
    ACTIONS(7611), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121275] = 2,
    ACTIONS(7613), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121284] = 2,
    ACTIONS(7615), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121293] = 2,
    ACTIONS(7617), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121302] = 2,
    ACTIONS(7619), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121311] = 2,
    ACTIONS(7621), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121320] = 2,
    ACTIONS(7623), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121329] = 2,
    ACTIONS(7625), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121338] = 2,
    ACTIONS(7627), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121347] = 2,
    ACTIONS(7629), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121356] = 2,
    ACTIONS(7631), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121365] = 3,
    ACTIONS(7633), 1,
      sym_parbreak,
    ACTIONS(7635), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
  [121376] = 2,
    ACTIONS(7637), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121385] = 2,
    ACTIONS(7639), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121394] = 2,
    ACTIONS(7641), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121403] = 2,
    ACTIONS(7643), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121412] = 2,
    ACTIONS(7645), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121421] = 2,
    ACTIONS(7647), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121430] = 2,
    ACTIONS(7649), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121439] = 2,
    ACTIONS(7651), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121448] = 2,
    ACTIONS(7653), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121457] = 2,
    ACTIONS(7655), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121466] = 2,
    ACTIONS(7657), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121475] = 2,
    ACTIONS(7659), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121484] = 2,
    ACTIONS(7661), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121493] = 2,
    ACTIONS(7663), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121502] = 2,
    ACTIONS(7665), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121511] = 2,
    ACTIONS(7667), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121520] = 2,
    ACTIONS(7669), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121529] = 2,
    ACTIONS(7671), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121538] = 2,
    ACTIONS(7673), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121547] = 2,
    ACTIONS(7675), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121556] = 2,
    ACTIONS(7677), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121565] = 2,
    ACTIONS(7679), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121574] = 2,
    ACTIONS(7681), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121583] = 2,
    ACTIONS(7683), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121592] = 2,
    ACTIONS(6996), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121601] = 2,
    ACTIONS(7685), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121610] = 2,
    ACTIONS(7687), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121619] = 2,
    ACTIONS(7689), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121628] = 2,
    ACTIONS(7691), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121637] = 2,
    ACTIONS(7693), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121646] = 2,
    ACTIONS(7695), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121655] = 2,
    ACTIONS(7697), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121664] = 2,
    ACTIONS(7699), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121673] = 2,
    ACTIONS(7701), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121682] = 2,
    ACTIONS(7703), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121691] = 2,
    ACTIONS(7705), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121700] = 2,
    ACTIONS(7707), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121709] = 2,
    ACTIONS(7709), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121718] = 2,
    ACTIONS(7711), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121727] = 2,
    ACTIONS(7713), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121736] = 2,
    ACTIONS(7715), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121745] = 2,
    ACTIONS(7717), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121754] = 2,
    ACTIONS(7719), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121763] = 2,
    ACTIONS(7721), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121772] = 2,
    ACTIONS(7723), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121781] = 2,
    ACTIONS(7725), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121790] = 2,
    ACTIONS(7727), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121799] = 2,
    ACTIONS(7729), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121808] = 2,
    ACTIONS(7731), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121817] = 2,
    ACTIONS(7733), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121826] = 2,
    ACTIONS(7735), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121835] = 2,
    ACTIONS(7737), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121844] = 2,
    ACTIONS(7739), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121853] = 2,
    ACTIONS(7741), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121862] = 2,
    ACTIONS(7743), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121871] = 2,
    ACTIONS(7745), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121880] = 2,
    ACTIONS(6845), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121889] = 2,
    ACTIONS(7747), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121898] = 2,
    ACTIONS(7749), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121907] = 2,
    ACTIONS(7751), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121916] = 2,
    ACTIONS(7753), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121925] = 3,
    ACTIONS(7755), 1,
      sym_parbreak,
    ACTIONS(7757), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
  [121936] = 2,
    ACTIONS(7759), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121945] = 2,
    ACTIONS(7761), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121954] = 2,
    ACTIONS(7763), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121963] = 2,
    ACTIONS(7765), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121972] = 2,
    ACTIONS(7767), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121981] = 2,
    ACTIONS(7769), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121990] = 2,
    ACTIONS(7771), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121999] = 2,
    ACTIONS(7773), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122008] = 2,
    ACTIONS(7775), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122017] = 2,
    ACTIONS(7777), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122026] = 2,
    ACTIONS(7779), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122035] = 2,
    ACTIONS(7781), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122044] = 2,
    ACTIONS(7783), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122053] = 2,
    ACTIONS(7785), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122062] = 2,
    ACTIONS(7787), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122071] = 2,
    ACTIONS(7789), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122080] = 2,
    ACTIONS(7006), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122089] = 2,
    ACTIONS(7791), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122098] = 2,
    ACTIONS(7793), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122107] = 2,
    ACTIONS(7795), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122116] = 2,
    ACTIONS(7797), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122125] = 2,
    ACTIONS(7799), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122134] = 2,
    ACTIONS(7801), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122143] = 2,
    ACTIONS(7803), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122152] = 2,
    ACTIONS(7805), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122161] = 2,
    ACTIONS(7807), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122170] = 2,
    ACTIONS(7809), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122179] = 2,
    ACTIONS(7811), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122188] = 2,
    ACTIONS(7813), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122197] = 2,
    ACTIONS(7815), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122206] = 2,
    ACTIONS(7817), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122215] = 2,
    ACTIONS(5022), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122224] = 2,
    ACTIONS(7819), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122233] = 2,
    ACTIONS(7821), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122242] = 2,
    ACTIONS(7823), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122251] = 2,
    ACTIONS(7825), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122260] = 2,
    ACTIONS(7827), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122269] = 2,
    ACTIONS(7829), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122278] = 2,
    ACTIONS(7831), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122287] = 2,
    ACTIONS(7833), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122296] = 2,
    ACTIONS(7835), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122305] = 2,
    ACTIONS(7837), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122314] = 2,
    ACTIONS(7839), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122323] = 2,
    ACTIONS(7739), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122332] = 2,
    ACTIONS(7841), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122341] = 2,
    ACTIONS(7843), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122350] = 2,
    ACTIONS(7845), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122359] = 2,
    ACTIONS(7847), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122368] = 2,
    ACTIONS(7849), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122377] = 2,
    ACTIONS(7851), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122386] = 2,
    ACTIONS(7853), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122395] = 2,
    ACTIONS(7855), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122404] = 2,
    ACTIONS(7853), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122413] = 2,
    ACTIONS(7857), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122422] = 2,
    ACTIONS(7859), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122431] = 2,
    ACTIONS(7861), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122440] = 2,
    ACTIONS(7863), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122449] = 2,
    ACTIONS(7865), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122458] = 2,
    ACTIONS(7867), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122467] = 2,
    ACTIONS(7869), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122476] = 2,
    ACTIONS(7871), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122485] = 2,
    ACTIONS(7873), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122494] = 2,
    ACTIONS(7875), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122503] = 2,
    ACTIONS(7877), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122512] = 2,
    ACTIONS(7879), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122521] = 2,
    ACTIONS(7881), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122530] = 2,
    ACTIONS(7883), 1,
      sym__token_section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122539] = 2,
    ACTIONS(7885), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122548] = 2,
    ACTIONS(7887), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122557] = 2,
    ACTIONS(7889), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122566] = 2,
    ACTIONS(7891), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122575] = 2,
    ACTIONS(7893), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122584] = 2,
    ACTIONS(7895), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122593] = 2,
    ACTIONS(7897), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122602] = 2,
    ACTIONS(7897), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122611] = 2,
    ACTIONS(7899), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122620] = 2,
    ACTIONS(7901), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122629] = 2,
    ACTIONS(7903), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122638] = 2,
    ACTIONS(7905), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122647] = 2,
    ACTIONS(7907), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122656] = 2,
    ACTIONS(7909), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122665] = 2,
    ACTIONS(7789), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122674] = 2,
    ACTIONS(6907), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122683] = 2,
    ACTIONS(7911), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122692] = 2,
    ACTIONS(7913), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122701] = 2,
    ACTIONS(7915), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122710] = 2,
    ACTIONS(7917), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122719] = 2,
    ACTIONS(7919), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122728] = 2,
    ACTIONS(7921), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122737] = 2,
    ACTIONS(7923), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122746] = 2,
    ACTIONS(7925), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122755] = 2,
    ACTIONS(7927), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122764] = 2,
    ACTIONS(7929), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122773] = 2,
    ACTIONS(7931), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122782] = 2,
    ACTIONS(7933), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122791] = 2,
    ACTIONS(7935), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122800] = 2,
    ACTIONS(7937), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122809] = 2,
    ACTIONS(7939), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122818] = 2,
    ACTIONS(7941), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122827] = 2,
    ACTIONS(4990), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122836] = 2,
    ACTIONS(7943), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122845] = 2,
    ACTIONS(7945), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122854] = 2,
    ACTIONS(7947), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122863] = 2,
    ACTIONS(7949), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122872] = 2,
    ACTIONS(7951), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122881] = 2,
    ACTIONS(7953), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122890] = 2,
    ACTIONS(7955), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122899] = 2,
    ACTIONS(7957), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122908] = 2,
    ACTIONS(7959), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122917] = 2,
    ACTIONS(7961), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122926] = 2,
    ACTIONS(7963), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122935] = 2,
    ACTIONS(7965), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122944] = 2,
    ACTIONS(7967), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122953] = 2,
    ACTIONS(7969), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122962] = 2,
    ACTIONS(7971), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122971] = 2,
    ACTIONS(7973), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122980] = 2,
    ACTIONS(7975), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122989] = 2,
    ACTIONS(7977), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122998] = 2,
    ACTIONS(7979), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123007] = 2,
    ACTIONS(7981), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123016] = 2,
    ACTIONS(7983), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123025] = 2,
    ACTIONS(7985), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123034] = 2,
    ACTIONS(7987), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123043] = 2,
    ACTIONS(7989), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123052] = 2,
    ACTIONS(7991), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123061] = 2,
    ACTIONS(7993), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123070] = 2,
    ACTIONS(7995), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123079] = 2,
    ACTIONS(7997), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123088] = 2,
    ACTIONS(7999), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123097] = 2,
    ACTIONS(8001), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123106] = 2,
    ACTIONS(8003), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123115] = 2,
    ACTIONS(8005), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123124] = 2,
    ACTIONS(8007), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123133] = 2,
    ACTIONS(8009), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123142] = 2,
    ACTIONS(8011), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123151] = 2,
    ACTIONS(8013), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123160] = 2,
    ACTIONS(6855), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123169] = 2,
    ACTIONS(8015), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123178] = 2,
    ACTIONS(8017), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123187] = 2,
    ACTIONS(8019), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123196] = 2,
    ACTIONS(8021), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123205] = 2,
    ACTIONS(8023), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123214] = 2,
    ACTIONS(8025), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123223] = 2,
    ACTIONS(8027), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123232] = 2,
    ACTIONS(8029), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123241] = 2,
    ACTIONS(8031), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123250] = 2,
    ACTIONS(8033), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123259] = 2,
    ACTIONS(8035), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123268] = 2,
    ACTIONS(8037), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123277] = 2,
    ACTIONS(8039), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123286] = 2,
    ACTIONS(8041), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123295] = 2,
    ACTIONS(8043), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123304] = 2,
    ACTIONS(8045), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123313] = 2,
    ACTIONS(8047), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123322] = 2,
    ACTIONS(8049), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123331] = 2,
    ACTIONS(8051), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123340] = 2,
    ACTIONS(8053), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123349] = 2,
    ACTIONS(8055), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123358] = 2,
    ACTIONS(8057), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123367] = 2,
    ACTIONS(8059), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123376] = 2,
    ACTIONS(8061), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123385] = 2,
    ACTIONS(8063), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123394] = 2,
    ACTIONS(8065), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123403] = 2,
    ACTIONS(8067), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123412] = 2,
    ACTIONS(8069), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123421] = 2,
    ACTIONS(8071), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123430] = 2,
    ACTIONS(6875), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123439] = 2,
    ACTIONS(8073), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123448] = 2,
    ACTIONS(6817), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123457] = 2,
    ACTIONS(8075), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123466] = 2,
    ACTIONS(8077), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123475] = 2,
    ACTIONS(8079), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123484] = 2,
    ACTIONS(8081), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123493] = 2,
    ACTIONS(8083), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123502] = 2,
    ACTIONS(8085), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123511] = 2,
    ACTIONS(8087), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123520] = 2,
    ACTIONS(8089), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123529] = 2,
    ACTIONS(8091), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123538] = 2,
    ACTIONS(8093), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123547] = 2,
    ACTIONS(8095), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123556] = 2,
    ACTIONS(8097), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123565] = 2,
    ACTIONS(8099), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123574] = 2,
    ACTIONS(8101), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123583] = 2,
    ACTIONS(8103), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123592] = 2,
    ACTIONS(8105), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123601] = 2,
    ACTIONS(8107), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123610] = 2,
    ACTIONS(8109), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123619] = 2,
    ACTIONS(8111), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123628] = 2,
    ACTIONS(8113), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123637] = 2,
    ACTIONS(8115), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123646] = 2,
    ACTIONS(8117), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123655] = 2,
    ACTIONS(6803), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123664] = 2,
    ACTIONS(8119), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123673] = 2,
    ACTIONS(8121), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123682] = 2,
    ACTIONS(8123), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123691] = 2,
    ACTIONS(8125), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123700] = 2,
    ACTIONS(8127), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123709] = 2,
    ACTIONS(8129), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123718] = 2,
    ACTIONS(8131), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123727] = 2,
    ACTIONS(8133), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123736] = 2,
    ACTIONS(8135), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123745] = 2,
    ACTIONS(8137), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123754] = 2,
    ACTIONS(8137), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123763] = 2,
    ACTIONS(8139), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123772] = 2,
    ACTIONS(8141), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123781] = 2,
    ACTIONS(8143), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123790] = 2,
    ACTIONS(8145), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123799] = 2,
    ACTIONS(8147), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123808] = 2,
    ACTIONS(8149), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123817] = 2,
    ACTIONS(8151), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123826] = 2,
    ACTIONS(8153), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123835] = 2,
    ACTIONS(8155), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123844] = 2,
    ACTIONS(8157), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123853] = 2,
    ACTIONS(8159), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123862] = 2,
    ACTIONS(8161), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123871] = 2,
    ACTIONS(8163), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123880] = 2,
    ACTIONS(8165), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123889] = 2,
    ACTIONS(8167), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123898] = 2,
    ACTIONS(8169), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123907] = 2,
    ACTIONS(8171), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123916] = 2,
    ACTIONS(8173), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123925] = 2,
    ACTIONS(8175), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123934] = 2,
    ACTIONS(8177), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123943] = 2,
    ACTIONS(8179), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123952] = 2,
    ACTIONS(8181), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123961] = 2,
    ACTIONS(8183), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123970] = 2,
    ACTIONS(8185), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123979] = 2,
    ACTIONS(8187), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123988] = 2,
    ACTIONS(8189), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123997] = 2,
    ACTIONS(8191), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124006] = 2,
    ACTIONS(8193), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124015] = 2,
    ACTIONS(8195), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124024] = 2,
    ACTIONS(8197), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124033] = 2,
    ACTIONS(8199), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124042] = 2,
    ACTIONS(8201), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124051] = 2,
    ACTIONS(8203), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124060] = 2,
    ACTIONS(8205), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124069] = 2,
    ACTIONS(8207), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124078] = 2,
    ACTIONS(8209), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124087] = 2,
    ACTIONS(8211), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124096] = 2,
    ACTIONS(8213), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124105] = 2,
    ACTIONS(8215), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124114] = 2,
    ACTIONS(8217), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124123] = 2,
    ACTIONS(6895), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124132] = 2,
    ACTIONS(8219), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124141] = 2,
    ACTIONS(8221), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124150] = 2,
    ACTIONS(8223), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124159] = 2,
    ACTIONS(8225), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124168] = 2,
    ACTIONS(8227), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124177] = 2,
    ACTIONS(8229), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124186] = 2,
    ACTIONS(8231), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124195] = 2,
    ACTIONS(8233), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124204] = 2,
    ACTIONS(8235), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124213] = 2,
    ACTIONS(8237), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124222] = 2,
    ACTIONS(8239), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124231] = 2,
    ACTIONS(8241), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124240] = 2,
    ACTIONS(8243), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124249] = 2,
    ACTIONS(8245), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124258] = 2,
    ACTIONS(8247), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124267] = 2,
    ACTIONS(8249), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124276] = 2,
    ACTIONS(8251), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124285] = 2,
    ACTIONS(8253), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124294] = 2,
    ACTIONS(8255), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124303] = 2,
    ACTIONS(8257), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124312] = 2,
    ACTIONS(8259), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124321] = 2,
    ACTIONS(8261), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124330] = 2,
    ACTIONS(8263), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124339] = 2,
    ACTIONS(8265), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124348] = 2,
    ACTIONS(8267), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124357] = 2,
    ACTIONS(8269), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124366] = 2,
    ACTIONS(8271), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124375] = 2,
    ACTIONS(8273), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124384] = 2,
    ACTIONS(8275), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124393] = 2,
    ACTIONS(8277), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124402] = 2,
    ACTIONS(8279), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124411] = 2,
    ACTIONS(8281), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124420] = 2,
    ACTIONS(8283), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124429] = 2,
    ACTIONS(8285), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124438] = 2,
    ACTIONS(8287), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124447] = 2,
    ACTIONS(8289), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124456] = 2,
    ACTIONS(8291), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124465] = 2,
    ACTIONS(8293), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124474] = 2,
    ACTIONS(8295), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124483] = 2,
    ACTIONS(8297), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124492] = 2,
    ACTIONS(8299), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124501] = 2,
    ACTIONS(8301), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124510] = 2,
    ACTIONS(8303), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124519] = 2,
    ACTIONS(8305), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124528] = 2,
    ACTIONS(8307), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124537] = 2,
    ACTIONS(8309), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124546] = 2,
    ACTIONS(8311), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124555] = 2,
    ACTIONS(6901), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124564] = 2,
    ACTIONS(8313), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124573] = 2,
    ACTIONS(8315), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124582] = 2,
    ACTIONS(6998), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124591] = 2,
    ACTIONS(8317), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124600] = 2,
    ACTIONS(8319), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124609] = 2,
    ACTIONS(8321), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124618] = 2,
    ACTIONS(8323), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124627] = 2,
    ACTIONS(8325), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124636] = 2,
    ACTIONS(8327), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124645] = 2,
    ACTIONS(8329), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124654] = 2,
    ACTIONS(8331), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124663] = 2,
    ACTIONS(8333), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124672] = 2,
    ACTIONS(8335), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124681] = 2,
    ACTIONS(8337), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124690] = 2,
    ACTIONS(8339), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124699] = 2,
    ACTIONS(8341), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124708] = 2,
    ACTIONS(8343), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124717] = 2,
    ACTIONS(8345), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124726] = 2,
    ACTIONS(8347), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124735] = 2,
    ACTIONS(8349), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124744] = 2,
    ACTIONS(8351), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124753] = 2,
    ACTIONS(8353), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124762] = 2,
    ACTIONS(8355), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124771] = 2,
    ACTIONS(8357), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124780] = 2,
    ACTIONS(8359), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124789] = 2,
    ACTIONS(8361), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124798] = 2,
    ACTIONS(8363), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124807] = 2,
    ACTIONS(8365), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124816] = 2,
    ACTIONS(8367), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124825] = 2,
    ACTIONS(8369), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124834] = 2,
    ACTIONS(8371), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124843] = 2,
    ACTIONS(8373), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124852] = 2,
    ACTIONS(8375), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124861] = 2,
    ACTIONS(8377), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124870] = 2,
    ACTIONS(8379), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124879] = 2,
    ACTIONS(8381), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124888] = 2,
    ACTIONS(8383), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124897] = 2,
    ACTIONS(8385), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124906] = 2,
    ACTIONS(8387), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124915] = 2,
    ACTIONS(8389), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124924] = 2,
    ACTIONS(8391), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124933] = 2,
    ACTIONS(8393), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124942] = 2,
    ACTIONS(8395), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124951] = 2,
    ACTIONS(8397), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124960] = 2,
    ACTIONS(8399), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124969] = 2,
    ACTIONS(8385), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124978] = 2,
    ACTIONS(8401), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124987] = 2,
    ACTIONS(8403), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124996] = 2,
    ACTIONS(8405), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125005] = 2,
    ACTIONS(8407), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125014] = 2,
    ACTIONS(8409), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125023] = 2,
    ACTIONS(8411), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125032] = 2,
    ACTIONS(8413), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125041] = 2,
    ACTIONS(8415), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125050] = 2,
    ACTIONS(8417), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125059] = 2,
    ACTIONS(8419), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125068] = 2,
    ACTIONS(8421), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125077] = 2,
    ACTIONS(8423), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125086] = 2,
    ACTIONS(6819), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125095] = 2,
    ACTIONS(8425), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125104] = 2,
    ACTIONS(8427), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125113] = 2,
    ACTIONS(8429), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125122] = 2,
    ACTIONS(8431), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125131] = 2,
    ACTIONS(8433), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125140] = 2,
    ACTIONS(8435), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125149] = 2,
    ACTIONS(8437), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125158] = 2,
    ACTIONS(8439), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125167] = 2,
    ACTIONS(8441), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125176] = 2,
    ACTIONS(8443), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125185] = 2,
    ACTIONS(6805), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125194] = 2,
    ACTIONS(8445), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125203] = 2,
    ACTIONS(8447), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125212] = 2,
    ACTIONS(8449), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125221] = 2,
    ACTIONS(8451), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125230] = 2,
    ACTIONS(8453), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125239] = 2,
    ACTIONS(8455), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125248] = 2,
    ACTIONS(8457), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125257] = 2,
    ACTIONS(8459), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125266] = 2,
    ACTIONS(8461), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125275] = 2,
    ACTIONS(8463), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125284] = 2,
    ACTIONS(8465), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125293] = 2,
    ACTIONS(8467), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125302] = 2,
    ACTIONS(8469), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125311] = 2,
    ACTIONS(8471), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125320] = 2,
    ACTIONS(8473), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125329] = 2,
    ACTIONS(8475), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125338] = 2,
    ACTIONS(8477), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125347] = 2,
    ACTIONS(8479), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125356] = 2,
    ACTIONS(8481), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125365] = 2,
    ACTIONS(5007), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125374] = 2,
    ACTIONS(8483), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125383] = 2,
    ACTIONS(8485), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125392] = 2,
    ACTIONS(8487), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125401] = 2,
    ACTIONS(8489), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125410] = 2,
    ACTIONS(8491), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125419] = 2,
    ACTIONS(8493), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125428] = 2,
    ACTIONS(8495), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125437] = 2,
    ACTIONS(8497), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125446] = 2,
    ACTIONS(8499), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125455] = 2,
    ACTIONS(8501), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125464] = 2,
    ACTIONS(8503), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125473] = 2,
    ACTIONS(8505), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125482] = 2,
    ACTIONS(8507), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125491] = 2,
    ACTIONS(8509), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125500] = 2,
    ACTIONS(8511), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125509] = 2,
    ACTIONS(8513), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125518] = 2,
    ACTIONS(8515), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125527] = 2,
    ACTIONS(8517), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125536] = 2,
    ACTIONS(8519), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125545] = 2,
    ACTIONS(8521), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125554] = 2,
    ACTIONS(8523), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125563] = 2,
    ACTIONS(8525), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125572] = 2,
    ACTIONS(8527), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125581] = 2,
    ACTIONS(8529), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125590] = 2,
    ACTIONS(8531), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125599] = 2,
    ACTIONS(8533), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125608] = 2,
    ACTIONS(8535), 1,
      sym__token_section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125617] = 2,
    ACTIONS(8537), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125626] = 2,
    ACTIONS(8539), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125635] = 2,
    ACTIONS(6853), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125644] = 2,
    ACTIONS(8541), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125653] = 2,
    ACTIONS(8543), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125662] = 2,
    ACTIONS(8545), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125671] = 2,
    ACTIONS(8547), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125680] = 2,
    ACTIONS(8549), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125689] = 2,
    ACTIONS(8551), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125698] = 2,
    ACTIONS(8553), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125707] = 2,
    ACTIONS(8555), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125716] = 2,
    ACTIONS(8557), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125725] = 2,
    ACTIONS(8559), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125734] = 2,
    ACTIONS(8561), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125743] = 2,
    ACTIONS(8563), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125752] = 2,
    ACTIONS(8565), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125761] = 2,
    ACTIONS(8567), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125770] = 2,
    ACTIONS(8569), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125779] = 2,
    ACTIONS(8571), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125788] = 2,
    ACTIONS(8573), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125797] = 2,
    ACTIONS(8575), 1,
      sym__token_raw_blck_rdlm,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125806] = 2,
    ACTIONS(8577), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125815] = 2,
    ACTIONS(8579), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125824] = 2,
    ACTIONS(8581), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125833] = 2,
    ACTIONS(8583), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125842] = 2,
    ACTIONS(8585), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125851] = 2,
    ACTIONS(8587), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125860] = 2,
    ACTIONS(8589), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125869] = 2,
    ACTIONS(8591), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125878] = 2,
    ACTIONS(8593), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125887] = 2,
    ACTIONS(8595), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125896] = 2,
    ACTIONS(8597), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125905] = 2,
    ACTIONS(8599), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125914] = 2,
    ACTIONS(8601), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125923] = 2,
    ACTIONS(8603), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125932] = 2,
    ACTIONS(8605), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125941] = 2,
    ACTIONS(8607), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125950] = 2,
    ACTIONS(6919), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125959] = 2,
    ACTIONS(8609), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125968] = 2,
    ACTIONS(8611), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125977] = 2,
    ACTIONS(8613), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125986] = 2,
    ACTIONS(8615), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [125995] = 2,
    ACTIONS(8617), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126004] = 2,
    ACTIONS(8619), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126013] = 2,
    ACTIONS(8621), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126022] = 2,
    ACTIONS(8623), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126031] = 2,
    ACTIONS(8625), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126040] = 2,
    ACTIONS(8627), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126049] = 2,
    ACTIONS(8629), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126058] = 2,
    ACTIONS(8631), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126067] = 2,
    ACTIONS(8633), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126076] = 2,
    ACTIONS(8635), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126085] = 2,
    ACTIONS(8637), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126094] = 2,
    ACTIONS(8639), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126103] = 2,
    ACTIONS(8641), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126112] = 2,
    ACTIONS(8643), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126121] = 2,
    ACTIONS(8645), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126130] = 2,
    ACTIONS(6887), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126139] = 2,
    ACTIONS(8647), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126148] = 2,
    ACTIONS(8649), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126157] = 2,
    ACTIONS(8651), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126166] = 2,
    ACTIONS(8653), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126175] = 2,
    ACTIONS(8655), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126184] = 2,
    ACTIONS(8657), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126193] = 2,
    ACTIONS(8659), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126202] = 2,
    ACTIONS(8661), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126211] = 2,
    ACTIONS(8663), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126220] = 2,
    ACTIONS(8665), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126229] = 2,
    ACTIONS(8667), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126238] = 2,
    ACTIONS(8667), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126247] = 2,
    ACTIONS(8669), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126256] = 2,
    ACTIONS(8671), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126265] = 2,
    ACTIONS(8673), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126274] = 2,
    ACTIONS(8675), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126283] = 2,
    ACTIONS(8677), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126292] = 2,
    ACTIONS(8679), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126301] = 2,
    ACTIONS(8681), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126310] = 2,
    ACTIONS(8683), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126319] = 2,
    ACTIONS(8685), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126328] = 2,
    ACTIONS(8687), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126337] = 2,
    ACTIONS(8689), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126346] = 2,
    ACTIONS(8691), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126355] = 2,
    ACTIONS(8693), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126364] = 2,
    ACTIONS(8695), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126373] = 2,
    ACTIONS(8697), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126382] = 2,
    ACTIONS(8699), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126391] = 2,
    ACTIONS(8701), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126400] = 2,
    ACTIONS(8703), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126409] = 2,
    ACTIONS(8705), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126418] = 2,
    ACTIONS(8707), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126427] = 2,
    ACTIONS(8709), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126436] = 2,
    ACTIONS(8711), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126445] = 2,
    ACTIONS(8713), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126454] = 2,
    ACTIONS(8715), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126463] = 2,
    ACTIONS(8717), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126472] = 2,
    ACTIONS(8719), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126481] = 2,
    ACTIONS(8721), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126490] = 2,
    ACTIONS(8723), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126499] = 2,
    ACTIONS(8725), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126508] = 2,
    ACTIONS(8727), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126517] = 2,
    ACTIONS(8729), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126526] = 2,
    ACTIONS(8731), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126535] = 2,
    ACTIONS(6931), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126544] = 2,
    ACTIONS(8733), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126553] = 2,
    ACTIONS(8735), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126562] = 2,
    ACTIONS(8737), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126571] = 2,
    ACTIONS(8739), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126580] = 2,
    ACTIONS(8741), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126589] = 2,
    ACTIONS(8743), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126598] = 2,
    ACTIONS(8745), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126607] = 2,
    ACTIONS(8747), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126616] = 2,
    ACTIONS(8749), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126625] = 2,
    ACTIONS(8751), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126634] = 2,
    ACTIONS(8753), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126643] = 2,
    ACTIONS(8755), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126652] = 2,
    ACTIONS(8757), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126661] = 2,
    ACTIONS(8759), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126670] = 2,
    ACTIONS(8761), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126679] = 2,
    ACTIONS(8763), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126688] = 2,
    ACTIONS(8765), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126697] = 2,
    ACTIONS(8767), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126706] = 2,
    ACTIONS(8769), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126715] = 2,
    ACTIONS(8771), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126724] = 2,
    ACTIONS(8773), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126733] = 2,
    ACTIONS(8775), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126742] = 2,
    ACTIONS(8777), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126751] = 2,
    ACTIONS(8779), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126760] = 2,
    ACTIONS(8781), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126769] = 2,
    ACTIONS(8783), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126778] = 2,
    ACTIONS(8785), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126787] = 2,
    ACTIONS(8787), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126796] = 2,
    ACTIONS(8789), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126805] = 2,
    ACTIONS(8791), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126814] = 2,
    ACTIONS(8793), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126823] = 2,
    ACTIONS(8795), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126832] = 2,
    ACTIONS(8797), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126841] = 2,
    ACTIONS(8799), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126850] = 2,
    ACTIONS(8801), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126859] = 2,
    ACTIONS(8803), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126868] = 2,
    ACTIONS(8805), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126877] = 2,
    ACTIONS(8807), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126886] = 2,
    ACTIONS(8809), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126895] = 2,
    ACTIONS(8811), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126904] = 2,
    ACTIONS(8813), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126913] = 2,
    ACTIONS(8815), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126922] = 2,
    ACTIONS(8817), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126931] = 2,
    ACTIONS(8819), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126940] = 2,
    ACTIONS(8821), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126949] = 2,
    ACTIONS(8823), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126958] = 2,
    ACTIONS(8825), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126967] = 2,
    ACTIONS(8827), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126976] = 2,
    ACTIONS(8829), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126985] = 2,
    ACTIONS(8831), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [126994] = 2,
    ACTIONS(8833), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127003] = 2,
    ACTIONS(8835), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127012] = 2,
    ACTIONS(8837), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127021] = 2,
    ACTIONS(8839), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127030] = 2,
    ACTIONS(8841), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127039] = 2,
    ACTIONS(8843), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127048] = 2,
    ACTIONS(8845), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127057] = 2,
    ACTIONS(8847), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127066] = 2,
    ACTIONS(8849), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127075] = 2,
    ACTIONS(8851), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127084] = 2,
    ACTIONS(8853), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127093] = 2,
    ACTIONS(8855), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127102] = 2,
    ACTIONS(8857), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127111] = 2,
    ACTIONS(8859), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127120] = 2,
    ACTIONS(8861), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127129] = 2,
    ACTIONS(8863), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127138] = 2,
    ACTIONS(8865), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127147] = 2,
    ACTIONS(8867), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127156] = 2,
    ACTIONS(8869), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127165] = 2,
    ACTIONS(8871), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127174] = 2,
    ACTIONS(8873), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127183] = 2,
    ACTIONS(8875), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127192] = 2,
    ACTIONS(8877), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127201] = 2,
    ACTIONS(8879), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127210] = 2,
    ACTIONS(8881), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127219] = 2,
    ACTIONS(8883), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127228] = 2,
    ACTIONS(8885), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127237] = 2,
    ACTIONS(8887), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127246] = 2,
    ACTIONS(8889), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127255] = 2,
    ACTIONS(8891), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127264] = 2,
    ACTIONS(8893), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127273] = 2,
    ACTIONS(8895), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127282] = 2,
    ACTIONS(8897), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127291] = 2,
    ACTIONS(8899), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127300] = 2,
    ACTIONS(8901), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127309] = 2,
    ACTIONS(8903), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127318] = 2,
    ACTIONS(8905), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127327] = 2,
    ACTIONS(8907), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127336] = 2,
    ACTIONS(8909), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127345] = 2,
    ACTIONS(8911), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127354] = 2,
    ACTIONS(8913), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127363] = 2,
    ACTIONS(8915), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127372] = 2,
    ACTIONS(8917), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127381] = 2,
    ACTIONS(8919), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127390] = 2,
    ACTIONS(8921), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127399] = 2,
    ACTIONS(8923), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127408] = 2,
    ACTIONS(8925), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127417] = 2,
    ACTIONS(8927), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127426] = 2,
    ACTIONS(8763), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127435] = 2,
    ACTIONS(8929), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127444] = 2,
    ACTIONS(8931), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127453] = 2,
    ACTIONS(8933), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127462] = 2,
    ACTIONS(8935), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127471] = 2,
    ACTIONS(8937), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127480] = 2,
    ACTIONS(8939), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127489] = 2,
    ACTIONS(8941), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127498] = 2,
    ACTIONS(8943), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127507] = 2,
    ACTIONS(8945), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127516] = 2,
    ACTIONS(8947), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127525] = 2,
    ACTIONS(8949), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127534] = 2,
    ACTIONS(8951), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127543] = 2,
    ACTIONS(8953), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127552] = 2,
    ACTIONS(8955), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127561] = 2,
    ACTIONS(8957), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127570] = 2,
    ACTIONS(8959), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127579] = 2,
    ACTIONS(8961), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127588] = 2,
    ACTIONS(8963), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127597] = 2,
    ACTIONS(8965), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127606] = 2,
    ACTIONS(8967), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127615] = 2,
    ACTIONS(8969), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127624] = 2,
    ACTIONS(8971), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127633] = 2,
    ACTIONS(8973), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127642] = 2,
    ACTIONS(8975), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127651] = 2,
    ACTIONS(8977), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127660] = 2,
    ACTIONS(8979), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127669] = 2,
    ACTIONS(8981), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127678] = 2,
    ACTIONS(8983), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127687] = 2,
    ACTIONS(8985), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127696] = 2,
    ACTIONS(8987), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127705] = 2,
    ACTIONS(8989), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127714] = 2,
    ACTIONS(8991), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127723] = 2,
    ACTIONS(8993), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127732] = 2,
    ACTIONS(8995), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127741] = 2,
    ACTIONS(8997), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127750] = 2,
    ACTIONS(8999), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127759] = 2,
    ACTIONS(9001), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127768] = 2,
    ACTIONS(9003), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127777] = 2,
    ACTIONS(9005), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127786] = 2,
    ACTIONS(9007), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127795] = 2,
    ACTIONS(9009), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127804] = 2,
    ACTIONS(9011), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127813] = 2,
    ACTIONS(9013), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127822] = 2,
    ACTIONS(9015), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127831] = 2,
    ACTIONS(6975), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127840] = 2,
    ACTIONS(9017), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127849] = 2,
    ACTIONS(6973), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127858] = 2,
    ACTIONS(9019), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127867] = 2,
    ACTIONS(6977), 1,
      anon_sym_RPAREN2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127876] = 2,
    ACTIONS(9021), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [127885] = 2,
    ACTIONS(9023), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(757)] = 0,
  [SMALL_STATE(758)] = 109,
  [SMALL_STATE(759)] = 218,
  [SMALL_STATE(760)] = 327,
  [SMALL_STATE(761)] = 436,
  [SMALL_STATE(762)] = 545,
  [SMALL_STATE(763)] = 654,
  [SMALL_STATE(764)] = 763,
  [SMALL_STATE(765)] = 872,
  [SMALL_STATE(766)] = 981,
  [SMALL_STATE(767)] = 1090,
  [SMALL_STATE(768)] = 1199,
  [SMALL_STATE(769)] = 1308,
  [SMALL_STATE(770)] = 1417,
  [SMALL_STATE(771)] = 1526,
  [SMALL_STATE(772)] = 1635,
  [SMALL_STATE(773)] = 1744,
  [SMALL_STATE(774)] = 1853,
  [SMALL_STATE(775)] = 1962,
  [SMALL_STATE(776)] = 2071,
  [SMALL_STATE(777)] = 2180,
  [SMALL_STATE(778)] = 2289,
  [SMALL_STATE(779)] = 2398,
  [SMALL_STATE(780)] = 2507,
  [SMALL_STATE(781)] = 2616,
  [SMALL_STATE(782)] = 2725,
  [SMALL_STATE(783)] = 2834,
  [SMALL_STATE(784)] = 2943,
  [SMALL_STATE(785)] = 3052,
  [SMALL_STATE(786)] = 3161,
  [SMALL_STATE(787)] = 3270,
  [SMALL_STATE(788)] = 3379,
  [SMALL_STATE(789)] = 3488,
  [SMALL_STATE(790)] = 3597,
  [SMALL_STATE(791)] = 3706,
  [SMALL_STATE(792)] = 3815,
  [SMALL_STATE(793)] = 3924,
  [SMALL_STATE(794)] = 4033,
  [SMALL_STATE(795)] = 4142,
  [SMALL_STATE(796)] = 4251,
  [SMALL_STATE(797)] = 4360,
  [SMALL_STATE(798)] = 4469,
  [SMALL_STATE(799)] = 4578,
  [SMALL_STATE(800)] = 4687,
  [SMALL_STATE(801)] = 4796,
  [SMALL_STATE(802)] = 4905,
  [SMALL_STATE(803)] = 5014,
  [SMALL_STATE(804)] = 5123,
  [SMALL_STATE(805)] = 5232,
  [SMALL_STATE(806)] = 5341,
  [SMALL_STATE(807)] = 5450,
  [SMALL_STATE(808)] = 5559,
  [SMALL_STATE(809)] = 5668,
  [SMALL_STATE(810)] = 5777,
  [SMALL_STATE(811)] = 5886,
  [SMALL_STATE(812)] = 5995,
  [SMALL_STATE(813)] = 6104,
  [SMALL_STATE(814)] = 6213,
  [SMALL_STATE(815)] = 6322,
  [SMALL_STATE(816)] = 6431,
  [SMALL_STATE(817)] = 6540,
  [SMALL_STATE(818)] = 6649,
  [SMALL_STATE(819)] = 6758,
  [SMALL_STATE(820)] = 6867,
  [SMALL_STATE(821)] = 6976,
  [SMALL_STATE(822)] = 7085,
  [SMALL_STATE(823)] = 7194,
  [SMALL_STATE(824)] = 7303,
  [SMALL_STATE(825)] = 7412,
  [SMALL_STATE(826)] = 7521,
  [SMALL_STATE(827)] = 7630,
  [SMALL_STATE(828)] = 7739,
  [SMALL_STATE(829)] = 7848,
  [SMALL_STATE(830)] = 7957,
  [SMALL_STATE(831)] = 8066,
  [SMALL_STATE(832)] = 8175,
  [SMALL_STATE(833)] = 8284,
  [SMALL_STATE(834)] = 8393,
  [SMALL_STATE(835)] = 8502,
  [SMALL_STATE(836)] = 8611,
  [SMALL_STATE(837)] = 8720,
  [SMALL_STATE(838)] = 8829,
  [SMALL_STATE(839)] = 8938,
  [SMALL_STATE(840)] = 9047,
  [SMALL_STATE(841)] = 9156,
  [SMALL_STATE(842)] = 9265,
  [SMALL_STATE(843)] = 9374,
  [SMALL_STATE(844)] = 9483,
  [SMALL_STATE(845)] = 9592,
  [SMALL_STATE(846)] = 9701,
  [SMALL_STATE(847)] = 9810,
  [SMALL_STATE(848)] = 9919,
  [SMALL_STATE(849)] = 10028,
  [SMALL_STATE(850)] = 10137,
  [SMALL_STATE(851)] = 10246,
  [SMALL_STATE(852)] = 10355,
  [SMALL_STATE(853)] = 10464,
  [SMALL_STATE(854)] = 10573,
  [SMALL_STATE(855)] = 10682,
  [SMALL_STATE(856)] = 10791,
  [SMALL_STATE(857)] = 10900,
  [SMALL_STATE(858)] = 11009,
  [SMALL_STATE(859)] = 11118,
  [SMALL_STATE(860)] = 11227,
  [SMALL_STATE(861)] = 11336,
  [SMALL_STATE(862)] = 11445,
  [SMALL_STATE(863)] = 11554,
  [SMALL_STATE(864)] = 11663,
  [SMALL_STATE(865)] = 11772,
  [SMALL_STATE(866)] = 11881,
  [SMALL_STATE(867)] = 11990,
  [SMALL_STATE(868)] = 12099,
  [SMALL_STATE(869)] = 12208,
  [SMALL_STATE(870)] = 12317,
  [SMALL_STATE(871)] = 12426,
  [SMALL_STATE(872)] = 12535,
  [SMALL_STATE(873)] = 12644,
  [SMALL_STATE(874)] = 12753,
  [SMALL_STATE(875)] = 12862,
  [SMALL_STATE(876)] = 12971,
  [SMALL_STATE(877)] = 13080,
  [SMALL_STATE(878)] = 13189,
  [SMALL_STATE(879)] = 13298,
  [SMALL_STATE(880)] = 13407,
  [SMALL_STATE(881)] = 13516,
  [SMALL_STATE(882)] = 13625,
  [SMALL_STATE(883)] = 13734,
  [SMALL_STATE(884)] = 13843,
  [SMALL_STATE(885)] = 13952,
  [SMALL_STATE(886)] = 14061,
  [SMALL_STATE(887)] = 14170,
  [SMALL_STATE(888)] = 14279,
  [SMALL_STATE(889)] = 14388,
  [SMALL_STATE(890)] = 14497,
  [SMALL_STATE(891)] = 14606,
  [SMALL_STATE(892)] = 14715,
  [SMALL_STATE(893)] = 14824,
  [SMALL_STATE(894)] = 14933,
  [SMALL_STATE(895)] = 15041,
  [SMALL_STATE(896)] = 15127,
  [SMALL_STATE(897)] = 15213,
  [SMALL_STATE(898)] = 15321,
  [SMALL_STATE(899)] = 15429,
  [SMALL_STATE(900)] = 15515,
  [SMALL_STATE(901)] = 15601,
  [SMALL_STATE(902)] = 15687,
  [SMALL_STATE(903)] = 15773,
  [SMALL_STATE(904)] = 15881,
  [SMALL_STATE(905)] = 15967,
  [SMALL_STATE(906)] = 16075,
  [SMALL_STATE(907)] = 16161,
  [SMALL_STATE(908)] = 16247,
  [SMALL_STATE(909)] = 16355,
  [SMALL_STATE(910)] = 16463,
  [SMALL_STATE(911)] = 16571,
  [SMALL_STATE(912)] = 16657,
  [SMALL_STATE(913)] = 16743,
  [SMALL_STATE(914)] = 16829,
  [SMALL_STATE(915)] = 16934,
  [SMALL_STATE(916)] = 17025,
  [SMALL_STATE(917)] = 17116,
  [SMALL_STATE(918)] = 17208,
  [SMALL_STATE(919)] = 17300,
  [SMALL_STATE(920)] = 17392,
  [SMALL_STATE(921)] = 17484,
  [SMALL_STATE(922)] = 17576,
  [SMALL_STATE(923)] = 17668,
  [SMALL_STATE(924)] = 17760,
  [SMALL_STATE(925)] = 17852,
  [SMALL_STATE(926)] = 17944,
  [SMALL_STATE(927)] = 18036,
  [SMALL_STATE(928)] = 18128,
  [SMALL_STATE(929)] = 18220,
  [SMALL_STATE(930)] = 18310,
  [SMALL_STATE(931)] = 18402,
  [SMALL_STATE(932)] = 18494,
  [SMALL_STATE(933)] = 18586,
  [SMALL_STATE(934)] = 18678,
  [SMALL_STATE(935)] = 18770,
  [SMALL_STATE(936)] = 18860,
  [SMALL_STATE(937)] = 18952,
  [SMALL_STATE(938)] = 19044,
  [SMALL_STATE(939)] = 19136,
  [SMALL_STATE(940)] = 19228,
  [SMALL_STATE(941)] = 19320,
  [SMALL_STATE(942)] = 19412,
  [SMALL_STATE(943)] = 19504,
  [SMALL_STATE(944)] = 19596,
  [SMALL_STATE(945)] = 19688,
  [SMALL_STATE(946)] = 19780,
  [SMALL_STATE(947)] = 19872,
  [SMALL_STATE(948)] = 19964,
  [SMALL_STATE(949)] = 20053,
  [SMALL_STATE(950)] = 20142,
  [SMALL_STATE(951)] = 20231,
  [SMALL_STATE(952)] = 20320,
  [SMALL_STATE(953)] = 20409,
  [SMALL_STATE(954)] = 20498,
  [SMALL_STATE(955)] = 20581,
  [SMALL_STATE(956)] = 20664,
  [SMALL_STATE(957)] = 20747,
  [SMALL_STATE(958)] = 20830,
  [SMALL_STATE(959)] = 20913,
  [SMALL_STATE(960)] = 20996,
  [SMALL_STATE(961)] = 21079,
  [SMALL_STATE(962)] = 21162,
  [SMALL_STATE(963)] = 21245,
  [SMALL_STATE(964)] = 21328,
  [SMALL_STATE(965)] = 21411,
  [SMALL_STATE(966)] = 21494,
  [SMALL_STATE(967)] = 21577,
  [SMALL_STATE(968)] = 21660,
  [SMALL_STATE(969)] = 21743,
  [SMALL_STATE(970)] = 21826,
  [SMALL_STATE(971)] = 21909,
  [SMALL_STATE(972)] = 21992,
  [SMALL_STATE(973)] = 22075,
  [SMALL_STATE(974)] = 22158,
  [SMALL_STATE(975)] = 22241,
  [SMALL_STATE(976)] = 22324,
  [SMALL_STATE(977)] = 22407,
  [SMALL_STATE(978)] = 22490,
  [SMALL_STATE(979)] = 22564,
  [SMALL_STATE(980)] = 22638,
  [SMALL_STATE(981)] = 22712,
  [SMALL_STATE(982)] = 22786,
  [SMALL_STATE(983)] = 22860,
  [SMALL_STATE(984)] = 22934,
  [SMALL_STATE(985)] = 23008,
  [SMALL_STATE(986)] = 23082,
  [SMALL_STATE(987)] = 23156,
  [SMALL_STATE(988)] = 23230,
  [SMALL_STATE(989)] = 23304,
  [SMALL_STATE(990)] = 23378,
  [SMALL_STATE(991)] = 23452,
  [SMALL_STATE(992)] = 23526,
  [SMALL_STATE(993)] = 23600,
  [SMALL_STATE(994)] = 23674,
  [SMALL_STATE(995)] = 23748,
  [SMALL_STATE(996)] = 23822,
  [SMALL_STATE(997)] = 23896,
  [SMALL_STATE(998)] = 23970,
  [SMALL_STATE(999)] = 24044,
  [SMALL_STATE(1000)] = 24118,
  [SMALL_STATE(1001)] = 24192,
  [SMALL_STATE(1002)] = 24266,
  [SMALL_STATE(1003)] = 24340,
  [SMALL_STATE(1004)] = 24414,
  [SMALL_STATE(1005)] = 24488,
  [SMALL_STATE(1006)] = 24562,
  [SMALL_STATE(1007)] = 24603,
  [SMALL_STATE(1008)] = 24644,
  [SMALL_STATE(1009)] = 24696,
  [SMALL_STATE(1010)] = 24748,
  [SMALL_STATE(1011)] = 24800,
  [SMALL_STATE(1012)] = 24852,
  [SMALL_STATE(1013)] = 24895,
  [SMALL_STATE(1014)] = 24938,
  [SMALL_STATE(1015)] = 24985,
  [SMALL_STATE(1016)] = 25028,
  [SMALL_STATE(1017)] = 25071,
  [SMALL_STATE(1018)] = 25118,
  [SMALL_STATE(1019)] = 25165,
  [SMALL_STATE(1020)] = 25216,
  [SMALL_STATE(1021)] = 25263,
  [SMALL_STATE(1022)] = 25314,
  [SMALL_STATE(1023)] = 25365,
  [SMALL_STATE(1024)] = 25412,
  [SMALL_STATE(1025)] = 25463,
  [SMALL_STATE(1026)] = 25510,
  [SMALL_STATE(1027)] = 25553,
  [SMALL_STATE(1028)] = 25596,
  [SMALL_STATE(1029)] = 25643,
  [SMALL_STATE(1030)] = 25686,
  [SMALL_STATE(1031)] = 25729,
  [SMALL_STATE(1032)] = 25772,
  [SMALL_STATE(1033)] = 25819,
  [SMALL_STATE(1034)] = 25870,
  [SMALL_STATE(1035)] = 25913,
  [SMALL_STATE(1036)] = 25956,
  [SMALL_STATE(1037)] = 26007,
  [SMALL_STATE(1038)] = 26050,
  [SMALL_STATE(1039)] = 26093,
  [SMALL_STATE(1040)] = 26144,
  [SMALL_STATE(1041)] = 26195,
  [SMALL_STATE(1042)] = 26246,
  [SMALL_STATE(1043)] = 26289,
  [SMALL_STATE(1044)] = 26336,
  [SMALL_STATE(1045)] = 26383,
  [SMALL_STATE(1046)] = 26426,
  [SMALL_STATE(1047)] = 26469,
  [SMALL_STATE(1048)] = 26520,
  [SMALL_STATE(1049)] = 26563,
  [SMALL_STATE(1050)] = 26606,
  [SMALL_STATE(1051)] = 26656,
  [SMALL_STATE(1052)] = 26706,
  [SMALL_STATE(1053)] = 26746,
  [SMALL_STATE(1054)] = 26796,
  [SMALL_STATE(1055)] = 26846,
  [SMALL_STATE(1056)] = 26886,
  [SMALL_STATE(1057)] = 26936,
  [SMALL_STATE(1058)] = 26982,
  [SMALL_STATE(1059)] = 27032,
  [SMALL_STATE(1060)] = 27082,
  [SMALL_STATE(1061)] = 27128,
  [SMALL_STATE(1062)] = 27178,
  [SMALL_STATE(1063)] = 27224,
  [SMALL_STATE(1064)] = 27270,
  [SMALL_STATE(1065)] = 27320,
  [SMALL_STATE(1066)] = 27366,
  [SMALL_STATE(1067)] = 27412,
  [SMALL_STATE(1068)] = 27458,
  [SMALL_STATE(1069)] = 27504,
  [SMALL_STATE(1070)] = 27548,
  [SMALL_STATE(1071)] = 27590,
  [SMALL_STATE(1072)] = 27634,
  [SMALL_STATE(1073)] = 27674,
  [SMALL_STATE(1074)] = 27720,
  [SMALL_STATE(1075)] = 27766,
  [SMALL_STATE(1076)] = 27812,
  [SMALL_STATE(1077)] = 27858,
  [SMALL_STATE(1078)] = 27908,
  [SMALL_STATE(1079)] = 27954,
  [SMALL_STATE(1080)] = 28000,
  [SMALL_STATE(1081)] = 28044,
  [SMALL_STATE(1082)] = 28086,
  [SMALL_STATE(1083)] = 28130,
  [SMALL_STATE(1084)] = 28179,
  [SMALL_STATE(1085)] = 28224,
  [SMALL_STATE(1086)] = 28261,
  [SMALL_STATE(1087)] = 28298,
  [SMALL_STATE(1088)] = 28347,
  [SMALL_STATE(1089)] = 28384,
  [SMALL_STATE(1090)] = 28433,
  [SMALL_STATE(1091)] = 28470,
  [SMALL_STATE(1092)] = 28511,
  [SMALL_STATE(1093)] = 28548,
  [SMALL_STATE(1094)] = 28585,
  [SMALL_STATE(1095)] = 28622,
  [SMALL_STATE(1096)] = 28659,
  [SMALL_STATE(1097)] = 28702,
  [SMALL_STATE(1098)] = 28739,
  [SMALL_STATE(1099)] = 28782,
  [SMALL_STATE(1100)] = 28827,
  [SMALL_STATE(1101)] = 28864,
  [SMALL_STATE(1102)] = 28905,
  [SMALL_STATE(1103)] = 28942,
  [SMALL_STATE(1104)] = 28979,
  [SMALL_STATE(1105)] = 29022,
  [SMALL_STATE(1106)] = 29067,
  [SMALL_STATE(1107)] = 29108,
  [SMALL_STATE(1108)] = 29145,
  [SMALL_STATE(1109)] = 29182,
  [SMALL_STATE(1110)] = 29225,
  [SMALL_STATE(1111)] = 29262,
  [SMALL_STATE(1112)] = 29299,
  [SMALL_STATE(1113)] = 29336,
  [SMALL_STATE(1114)] = 29373,
  [SMALL_STATE(1115)] = 29410,
  [SMALL_STATE(1116)] = 29447,
  [SMALL_STATE(1117)] = 29484,
  [SMALL_STATE(1118)] = 29521,
  [SMALL_STATE(1119)] = 29558,
  [SMALL_STATE(1120)] = 29595,
  [SMALL_STATE(1121)] = 29632,
  [SMALL_STATE(1122)] = 29669,
  [SMALL_STATE(1123)] = 29710,
  [SMALL_STATE(1124)] = 29755,
  [SMALL_STATE(1125)] = 29800,
  [SMALL_STATE(1126)] = 29845,
  [SMALL_STATE(1127)] = 29882,
  [SMALL_STATE(1128)] = 29923,
  [SMALL_STATE(1129)] = 29960,
  [SMALL_STATE(1130)] = 29997,
  [SMALL_STATE(1131)] = 30034,
  [SMALL_STATE(1132)] = 30071,
  [SMALL_STATE(1133)] = 30116,
  [SMALL_STATE(1134)] = 30153,
  [SMALL_STATE(1135)] = 30190,
  [SMALL_STATE(1136)] = 30231,
  [SMALL_STATE(1137)] = 30268,
  [SMALL_STATE(1138)] = 30305,
  [SMALL_STATE(1139)] = 30342,
  [SMALL_STATE(1140)] = 30379,
  [SMALL_STATE(1141)] = 30416,
  [SMALL_STATE(1142)] = 30453,
  [SMALL_STATE(1143)] = 30494,
  [SMALL_STATE(1144)] = 30531,
  [SMALL_STATE(1145)] = 30568,
  [SMALL_STATE(1146)] = 30605,
  [SMALL_STATE(1147)] = 30642,
  [SMALL_STATE(1148)] = 30679,
  [SMALL_STATE(1149)] = 30716,
  [SMALL_STATE(1150)] = 30753,
  [SMALL_STATE(1151)] = 30798,
  [SMALL_STATE(1152)] = 30835,
  [SMALL_STATE(1153)] = 30872,
  [SMALL_STATE(1154)] = 30909,
  [SMALL_STATE(1155)] = 30946,
  [SMALL_STATE(1156)] = 30983,
  [SMALL_STATE(1157)] = 31020,
  [SMALL_STATE(1158)] = 31057,
  [SMALL_STATE(1159)] = 31106,
  [SMALL_STATE(1160)] = 31143,
  [SMALL_STATE(1161)] = 31188,
  [SMALL_STATE(1162)] = 31233,
  [SMALL_STATE(1163)] = 31276,
  [SMALL_STATE(1164)] = 31313,
  [SMALL_STATE(1165)] = 31350,
  [SMALL_STATE(1166)] = 31391,
  [SMALL_STATE(1167)] = 31440,
  [SMALL_STATE(1168)] = 31477,
  [SMALL_STATE(1169)] = 31522,
  [SMALL_STATE(1170)] = 31571,
  [SMALL_STATE(1171)] = 31608,
  [SMALL_STATE(1172)] = 31651,
  [SMALL_STATE(1173)] = 31696,
  [SMALL_STATE(1174)] = 31733,
  [SMALL_STATE(1175)] = 31774,
  [SMALL_STATE(1176)] = 31817,
  [SMALL_STATE(1177)] = 31858,
  [SMALL_STATE(1178)] = 31901,
  [SMALL_STATE(1179)] = 31938,
  [SMALL_STATE(1180)] = 31981,
  [SMALL_STATE(1181)] = 32030,
  [SMALL_STATE(1182)] = 32067,
  [SMALL_STATE(1183)] = 32112,
  [SMALL_STATE(1184)] = 32149,
  [SMALL_STATE(1185)] = 32190,
  [SMALL_STATE(1186)] = 32227,
  [SMALL_STATE(1187)] = 32276,
  [SMALL_STATE(1188)] = 32313,
  [SMALL_STATE(1189)] = 32350,
  [SMALL_STATE(1190)] = 32393,
  [SMALL_STATE(1191)] = 32438,
  [SMALL_STATE(1192)] = 32483,
  [SMALL_STATE(1193)] = 32532,
  [SMALL_STATE(1194)] = 32569,
  [SMALL_STATE(1195)] = 32606,
  [SMALL_STATE(1196)] = 32649,
  [SMALL_STATE(1197)] = 32686,
  [SMALL_STATE(1198)] = 32723,
  [SMALL_STATE(1199)] = 32760,
  [SMALL_STATE(1200)] = 32805,
  [SMALL_STATE(1201)] = 32842,
  [SMALL_STATE(1202)] = 32879,
  [SMALL_STATE(1203)] = 32916,
  [SMALL_STATE(1204)] = 32957,
  [SMALL_STATE(1205)] = 32994,
  [SMALL_STATE(1206)] = 33031,
  [SMALL_STATE(1207)] = 33068,
  [SMALL_STATE(1208)] = 33111,
  [SMALL_STATE(1209)] = 33152,
  [SMALL_STATE(1210)] = 33195,
  [SMALL_STATE(1211)] = 33232,
  [SMALL_STATE(1212)] = 33273,
  [SMALL_STATE(1213)] = 33310,
  [SMALL_STATE(1214)] = 33347,
  [SMALL_STATE(1215)] = 33388,
  [SMALL_STATE(1216)] = 33425,
  [SMALL_STATE(1217)] = 33462,
  [SMALL_STATE(1218)] = 33503,
  [SMALL_STATE(1219)] = 33544,
  [SMALL_STATE(1220)] = 33581,
  [SMALL_STATE(1221)] = 33618,
  [SMALL_STATE(1222)] = 33655,
  [SMALL_STATE(1223)] = 33692,
  [SMALL_STATE(1224)] = 33729,
  [SMALL_STATE(1225)] = 33766,
  [SMALL_STATE(1226)] = 33803,
  [SMALL_STATE(1227)] = 33840,
  [SMALL_STATE(1228)] = 33877,
  [SMALL_STATE(1229)] = 33914,
  [SMALL_STATE(1230)] = 33951,
  [SMALL_STATE(1231)] = 34000,
  [SMALL_STATE(1232)] = 34037,
  [SMALL_STATE(1233)] = 34074,
  [SMALL_STATE(1234)] = 34111,
  [SMALL_STATE(1235)] = 34148,
  [SMALL_STATE(1236)] = 34185,
  [SMALL_STATE(1237)] = 34228,
  [SMALL_STATE(1238)] = 34268,
  [SMALL_STATE(1239)] = 34308,
  [SMALL_STATE(1240)] = 34350,
  [SMALL_STATE(1241)] = 34392,
  [SMALL_STATE(1242)] = 34432,
  [SMALL_STATE(1243)] = 34472,
  [SMALL_STATE(1244)] = 34512,
  [SMALL_STATE(1245)] = 34548,
  [SMALL_STATE(1246)] = 34588,
  [SMALL_STATE(1247)] = 34626,
  [SMALL_STATE(1248)] = 34674,
  [SMALL_STATE(1249)] = 34710,
  [SMALL_STATE(1250)] = 34754,
  [SMALL_STATE(1251)] = 34794,
  [SMALL_STATE(1252)] = 34834,
  [SMALL_STATE(1253)] = 34870,
  [SMALL_STATE(1254)] = 34912,
  [SMALL_STATE(1255)] = 34952,
  [SMALL_STATE(1256)] = 35000,
  [SMALL_STATE(1257)] = 35040,
  [SMALL_STATE(1258)] = 35084,
  [SMALL_STATE(1259)] = 35120,
  [SMALL_STATE(1260)] = 35162,
  [SMALL_STATE(1261)] = 35210,
  [SMALL_STATE(1262)] = 35250,
  [SMALL_STATE(1263)] = 35286,
  [SMALL_STATE(1264)] = 35322,
  [SMALL_STATE(1265)] = 35364,
  [SMALL_STATE(1266)] = 35406,
  [SMALL_STATE(1267)] = 35442,
  [SMALL_STATE(1268)] = 35478,
  [SMALL_STATE(1269)] = 35518,
  [SMALL_STATE(1270)] = 35554,
  [SMALL_STATE(1271)] = 35590,
  [SMALL_STATE(1272)] = 35626,
  [SMALL_STATE(1273)] = 35662,
  [SMALL_STATE(1274)] = 35702,
  [SMALL_STATE(1275)] = 35744,
  [SMALL_STATE(1276)] = 35786,
  [SMALL_STATE(1277)] = 35826,
  [SMALL_STATE(1278)] = 35866,
  [SMALL_STATE(1279)] = 35906,
  [SMALL_STATE(1280)] = 35942,
  [SMALL_STATE(1281)] = 35978,
  [SMALL_STATE(1282)] = 36016,
  [SMALL_STATE(1283)] = 36052,
  [SMALL_STATE(1284)] = 36094,
  [SMALL_STATE(1285)] = 36134,
  [SMALL_STATE(1286)] = 36170,
  [SMALL_STATE(1287)] = 36210,
  [SMALL_STATE(1288)] = 36246,
  [SMALL_STATE(1289)] = 36288,
  [SMALL_STATE(1290)] = 36328,
  [SMALL_STATE(1291)] = 36364,
  [SMALL_STATE(1292)] = 36400,
  [SMALL_STATE(1293)] = 36436,
  [SMALL_STATE(1294)] = 36472,
  [SMALL_STATE(1295)] = 36508,
  [SMALL_STATE(1296)] = 36544,
  [SMALL_STATE(1297)] = 36580,
  [SMALL_STATE(1298)] = 36624,
  [SMALL_STATE(1299)] = 36660,
  [SMALL_STATE(1300)] = 36696,
  [SMALL_STATE(1301)] = 36732,
  [SMALL_STATE(1302)] = 36768,
  [SMALL_STATE(1303)] = 36804,
  [SMALL_STATE(1304)] = 36840,
  [SMALL_STATE(1305)] = 36876,
  [SMALL_STATE(1306)] = 36912,
  [SMALL_STATE(1307)] = 36948,
  [SMALL_STATE(1308)] = 36984,
  [SMALL_STATE(1309)] = 37020,
  [SMALL_STATE(1310)] = 37056,
  [SMALL_STATE(1311)] = 37092,
  [SMALL_STATE(1312)] = 37128,
  [SMALL_STATE(1313)] = 37164,
  [SMALL_STATE(1314)] = 37200,
  [SMALL_STATE(1315)] = 37236,
  [SMALL_STATE(1316)] = 37272,
  [SMALL_STATE(1317)] = 37308,
  [SMALL_STATE(1318)] = 37380,
  [SMALL_STATE(1319)] = 37452,
  [SMALL_STATE(1320)] = 37492,
  [SMALL_STATE(1321)] = 37536,
  [SMALL_STATE(1322)] = 37584,
  [SMALL_STATE(1323)] = 37624,
  [SMALL_STATE(1324)] = 37668,
  [SMALL_STATE(1325)] = 37708,
  [SMALL_STATE(1326)] = 37748,
  [SMALL_STATE(1327)] = 37796,
  [SMALL_STATE(1328)] = 37838,
  [SMALL_STATE(1329)] = 37878,
  [SMALL_STATE(1330)] = 37920,
  [SMALL_STATE(1331)] = 37960,
  [SMALL_STATE(1332)] = 38032,
  [SMALL_STATE(1333)] = 38074,
  [SMALL_STATE(1334)] = 38116,
  [SMALL_STATE(1335)] = 38156,
  [SMALL_STATE(1336)] = 38198,
  [SMALL_STATE(1337)] = 38238,
  [SMALL_STATE(1338)] = 38280,
  [SMALL_STATE(1339)] = 38320,
  [SMALL_STATE(1340)] = 38364,
  [SMALL_STATE(1341)] = 38404,
  [SMALL_STATE(1342)] = 38444,
  [SMALL_STATE(1343)] = 38484,
  [SMALL_STATE(1344)] = 38520,
  [SMALL_STATE(1345)] = 38560,
  [SMALL_STATE(1346)] = 38608,
  [SMALL_STATE(1347)] = 38650,
  [SMALL_STATE(1348)] = 38722,
  [SMALL_STATE(1349)] = 38764,
  [SMALL_STATE(1350)] = 38804,
  [SMALL_STATE(1351)] = 38846,
  [SMALL_STATE(1352)] = 38882,
  [SMALL_STATE(1353)] = 38924,
  [SMALL_STATE(1354)] = 38960,
  [SMALL_STATE(1355)] = 39001,
  [SMALL_STATE(1356)] = 39064,
  [SMALL_STATE(1357)] = 39123,
  [SMALL_STATE(1358)] = 39158,
  [SMALL_STATE(1359)] = 39193,
  [SMALL_STATE(1360)] = 39228,
  [SMALL_STATE(1361)] = 39285,
  [SMALL_STATE(1362)] = 39320,
  [SMALL_STATE(1363)] = 39373,
  [SMALL_STATE(1364)] = 39408,
  [SMALL_STATE(1365)] = 39457,
  [SMALL_STATE(1366)] = 39492,
  [SMALL_STATE(1367)] = 39527,
  [SMALL_STATE(1368)] = 39562,
  [SMALL_STATE(1369)] = 39597,
  [SMALL_STATE(1370)] = 39662,
  [SMALL_STATE(1371)] = 39727,
  [SMALL_STATE(1372)] = 39784,
  [SMALL_STATE(1373)] = 39825,
  [SMALL_STATE(1374)] = 39870,
  [SMALL_STATE(1375)] = 39935,
  [SMALL_STATE(1376)] = 40000,
  [SMALL_STATE(1377)] = 40037,
  [SMALL_STATE(1378)] = 40076,
  [SMALL_STATE(1379)] = 40111,
  [SMALL_STATE(1380)] = 40146,
  [SMALL_STATE(1381)] = 40181,
  [SMALL_STATE(1382)] = 40246,
  [SMALL_STATE(1383)] = 40291,
  [SMALL_STATE(1384)] = 40356,
  [SMALL_STATE(1385)] = 40421,
  [SMALL_STATE(1386)] = 40484,
  [SMALL_STATE(1387)] = 40543,
  [SMALL_STATE(1388)] = 40600,
  [SMALL_STATE(1389)] = 40653,
  [SMALL_STATE(1390)] = 40702,
  [SMALL_STATE(1391)] = 40747,
  [SMALL_STATE(1392)] = 40792,
  [SMALL_STATE(1393)] = 40833,
  [SMALL_STATE(1394)] = 40874,
  [SMALL_STATE(1395)] = 40909,
  [SMALL_STATE(1396)] = 40944,
  [SMALL_STATE(1397)] = 40979,
  [SMALL_STATE(1398)] = 41044,
  [SMALL_STATE(1399)] = 41109,
  [SMALL_STATE(1400)] = 41144,
  [SMALL_STATE(1401)] = 41185,
  [SMALL_STATE(1402)] = 41220,
  [SMALL_STATE(1403)] = 41261,
  [SMALL_STATE(1404)] = 41300,
  [SMALL_STATE(1405)] = 41365,
  [SMALL_STATE(1406)] = 41414,
  [SMALL_STATE(1407)] = 41449,
  [SMALL_STATE(1408)] = 41484,
  [SMALL_STATE(1409)] = 41519,
  [SMALL_STATE(1410)] = 41554,
  [SMALL_STATE(1411)] = 41589,
  [SMALL_STATE(1412)] = 41624,
  [SMALL_STATE(1413)] = 41659,
  [SMALL_STATE(1414)] = 41694,
  [SMALL_STATE(1415)] = 41729,
  [SMALL_STATE(1416)] = 41764,
  [SMALL_STATE(1417)] = 41799,
  [SMALL_STATE(1418)] = 41834,
  [SMALL_STATE(1419)] = 41869,
  [SMALL_STATE(1420)] = 41904,
  [SMALL_STATE(1421)] = 41939,
  [SMALL_STATE(1422)] = 42004,
  [SMALL_STATE(1423)] = 42039,
  [SMALL_STATE(1424)] = 42074,
  [SMALL_STATE(1425)] = 42139,
  [SMALL_STATE(1426)] = 42174,
  [SMALL_STATE(1427)] = 42209,
  [SMALL_STATE(1428)] = 42244,
  [SMALL_STATE(1429)] = 42279,
  [SMALL_STATE(1430)] = 42314,
  [SMALL_STATE(1431)] = 42349,
  [SMALL_STATE(1432)] = 42384,
  [SMALL_STATE(1433)] = 42423,
  [SMALL_STATE(1434)] = 42458,
  [SMALL_STATE(1435)] = 42497,
  [SMALL_STATE(1436)] = 42562,
  [SMALL_STATE(1437)] = 42611,
  [SMALL_STATE(1438)] = 42682,
  [SMALL_STATE(1439)] = 42717,
  [SMALL_STATE(1440)] = 42756,
  [SMALL_STATE(1441)] = 42791,
  [SMALL_STATE(1442)] = 42826,
  [SMALL_STATE(1443)] = 42861,
  [SMALL_STATE(1444)] = 42896,
  [SMALL_STATE(1445)] = 42931,
  [SMALL_STATE(1446)] = 42966,
  [SMALL_STATE(1447)] = 43001,
  [SMALL_STATE(1448)] = 43036,
  [SMALL_STATE(1449)] = 43071,
  [SMALL_STATE(1450)] = 43106,
  [SMALL_STATE(1451)] = 43141,
  [SMALL_STATE(1452)] = 43176,
  [SMALL_STATE(1453)] = 43211,
  [SMALL_STATE(1454)] = 43246,
  [SMALL_STATE(1455)] = 43281,
  [SMALL_STATE(1456)] = 43316,
  [SMALL_STATE(1457)] = 43351,
  [SMALL_STATE(1458)] = 43386,
  [SMALL_STATE(1459)] = 43421,
  [SMALL_STATE(1460)] = 43456,
  [SMALL_STATE(1461)] = 43491,
  [SMALL_STATE(1462)] = 43526,
  [SMALL_STATE(1463)] = 43561,
  [SMALL_STATE(1464)] = 43596,
  [SMALL_STATE(1465)] = 43631,
  [SMALL_STATE(1466)] = 43666,
  [SMALL_STATE(1467)] = 43701,
  [SMALL_STATE(1468)] = 43736,
  [SMALL_STATE(1469)] = 43771,
  [SMALL_STATE(1470)] = 43806,
  [SMALL_STATE(1471)] = 43841,
  [SMALL_STATE(1472)] = 43876,
  [SMALL_STATE(1473)] = 43911,
  [SMALL_STATE(1474)] = 43946,
  [SMALL_STATE(1475)] = 43981,
  [SMALL_STATE(1476)] = 44016,
  [SMALL_STATE(1477)] = 44051,
  [SMALL_STATE(1478)] = 44086,
  [SMALL_STATE(1479)] = 44121,
  [SMALL_STATE(1480)] = 44156,
  [SMALL_STATE(1481)] = 44191,
  [SMALL_STATE(1482)] = 44226,
  [SMALL_STATE(1483)] = 44261,
  [SMALL_STATE(1484)] = 44296,
  [SMALL_STATE(1485)] = 44331,
  [SMALL_STATE(1486)] = 44366,
  [SMALL_STATE(1487)] = 44401,
  [SMALL_STATE(1488)] = 44436,
  [SMALL_STATE(1489)] = 44471,
  [SMALL_STATE(1490)] = 44506,
  [SMALL_STATE(1491)] = 44541,
  [SMALL_STATE(1492)] = 44576,
  [SMALL_STATE(1493)] = 44611,
  [SMALL_STATE(1494)] = 44650,
  [SMALL_STATE(1495)] = 44685,
  [SMALL_STATE(1496)] = 44720,
  [SMALL_STATE(1497)] = 44755,
  [SMALL_STATE(1498)] = 44790,
  [SMALL_STATE(1499)] = 44825,
  [SMALL_STATE(1500)] = 44860,
  [SMALL_STATE(1501)] = 44895,
  [SMALL_STATE(1502)] = 44932,
  [SMALL_STATE(1503)] = 44967,
  [SMALL_STATE(1504)] = 45006,
  [SMALL_STATE(1505)] = 45047,
  [SMALL_STATE(1506)] = 45088,
  [SMALL_STATE(1507)] = 45159,
  [SMALL_STATE(1508)] = 45230,
  [SMALL_STATE(1509)] = 45301,
  [SMALL_STATE(1510)] = 45368,
  [SMALL_STATE(1511)] = 45439,
  [SMALL_STATE(1512)] = 45474,
  [SMALL_STATE(1513)] = 45511,
  [SMALL_STATE(1514)] = 45582,
  [SMALL_STATE(1515)] = 45649,
  [SMALL_STATE(1516)] = 45686,
  [SMALL_STATE(1517)] = 45723,
  [SMALL_STATE(1518)] = 45764,
  [SMALL_STATE(1519)] = 45799,
  [SMALL_STATE(1520)] = 45840,
  [SMALL_STATE(1521)] = 45881,
  [SMALL_STATE(1522)] = 45922,
  [SMALL_STATE(1523)] = 45957,
  [SMALL_STATE(1524)] = 45996,
  [SMALL_STATE(1525)] = 46031,
  [SMALL_STATE(1526)] = 46070,
  [SMALL_STATE(1527)] = 46141,
  [SMALL_STATE(1528)] = 46180,
  [SMALL_STATE(1529)] = 46215,
  [SMALL_STATE(1530)] = 46256,
  [SMALL_STATE(1531)] = 46291,
  [SMALL_STATE(1532)] = 46332,
  [SMALL_STATE(1533)] = 46371,
  [SMALL_STATE(1534)] = 46412,
  [SMALL_STATE(1535)] = 46447,
  [SMALL_STATE(1536)] = 46486,
  [SMALL_STATE(1537)] = 46527,
  [SMALL_STATE(1538)] = 46562,
  [SMALL_STATE(1539)] = 46597,
  [SMALL_STATE(1540)] = 46638,
  [SMALL_STATE(1541)] = 46673,
  [SMALL_STATE(1542)] = 46738,
  [SMALL_STATE(1543)] = 46779,
  [SMALL_STATE(1544)] = 46846,
  [SMALL_STATE(1545)] = 46917,
  [SMALL_STATE(1546)] = 46952,
  [SMALL_STATE(1547)] = 46993,
  [SMALL_STATE(1548)] = 47032,
  [SMALL_STATE(1549)] = 47067,
  [SMALL_STATE(1550)] = 47102,
  [SMALL_STATE(1551)] = 47141,
  [SMALL_STATE(1552)] = 47180,
  [SMALL_STATE(1553)] = 47245,
  [SMALL_STATE(1554)] = 47284,
  [SMALL_STATE(1555)] = 47319,
  [SMALL_STATE(1556)] = 47376,
  [SMALL_STATE(1557)] = 47417,
  [SMALL_STATE(1558)] = 47456,
  [SMALL_STATE(1559)] = 47497,
  [SMALL_STATE(1560)] = 47532,
  [SMALL_STATE(1561)] = 47569,
  [SMALL_STATE(1562)] = 47604,
  [SMALL_STATE(1563)] = 47669,
  [SMALL_STATE(1564)] = 47710,
  [SMALL_STATE(1565)] = 47745,
  [SMALL_STATE(1566)] = 47784,
  [SMALL_STATE(1567)] = 47819,
  [SMALL_STATE(1568)] = 47858,
  [SMALL_STATE(1569)] = 47893,
  [SMALL_STATE(1570)] = 47932,
  [SMALL_STATE(1571)] = 47967,
  [SMALL_STATE(1572)] = 48032,
  [SMALL_STATE(1573)] = 48067,
  [SMALL_STATE(1574)] = 48106,
  [SMALL_STATE(1575)] = 48141,
  [SMALL_STATE(1576)] = 48180,
  [SMALL_STATE(1577)] = 48251,
  [SMALL_STATE(1578)] = 48286,
  [SMALL_STATE(1579)] = 48325,
  [SMALL_STATE(1580)] = 48360,
  [SMALL_STATE(1581)] = 48395,
  [SMALL_STATE(1582)] = 48432,
  [SMALL_STATE(1583)] = 48467,
  [SMALL_STATE(1584)] = 48502,
  [SMALL_STATE(1585)] = 48543,
  [SMALL_STATE(1586)] = 48608,
  [SMALL_STATE(1587)] = 48649,
  [SMALL_STATE(1588)] = 48684,
  [SMALL_STATE(1589)] = 48719,
  [SMALL_STATE(1590)] = 48754,
  [SMALL_STATE(1591)] = 48789,
  [SMALL_STATE(1592)] = 48824,
  [SMALL_STATE(1593)] = 48859,
  [SMALL_STATE(1594)] = 48894,
  [SMALL_STATE(1595)] = 48929,
  [SMALL_STATE(1596)] = 48970,
  [SMALL_STATE(1597)] = 49005,
  [SMALL_STATE(1598)] = 49070,
  [SMALL_STATE(1599)] = 49107,
  [SMALL_STATE(1600)] = 49178,
  [SMALL_STATE(1601)] = 49213,
  [SMALL_STATE(1602)] = 49252,
  [SMALL_STATE(1603)] = 49319,
  [SMALL_STATE(1604)] = 49354,
  [SMALL_STATE(1605)] = 49389,
  [SMALL_STATE(1606)] = 49424,
  [SMALL_STATE(1607)] = 49463,
  [SMALL_STATE(1608)] = 49502,
  [SMALL_STATE(1609)] = 49537,
  [SMALL_STATE(1610)] = 49602,
  [SMALL_STATE(1611)] = 49643,
  [SMALL_STATE(1612)] = 49682,
  [SMALL_STATE(1613)] = 49723,
  [SMALL_STATE(1614)] = 49758,
  [SMALL_STATE(1615)] = 49793,
  [SMALL_STATE(1616)] = 49832,
  [SMALL_STATE(1617)] = 49867,
  [SMALL_STATE(1618)] = 49919,
  [SMALL_STATE(1619)] = 49959,
  [SMALL_STATE(1620)] = 49993,
  [SMALL_STATE(1621)] = 50033,
  [SMALL_STATE(1622)] = 50067,
  [SMALL_STATE(1623)] = 50105,
  [SMALL_STATE(1624)] = 50139,
  [SMALL_STATE(1625)] = 50179,
  [SMALL_STATE(1626)] = 50213,
  [SMALL_STATE(1627)] = 50247,
  [SMALL_STATE(1628)] = 50281,
  [SMALL_STATE(1629)] = 50315,
  [SMALL_STATE(1630)] = 50379,
  [SMALL_STATE(1631)] = 50443,
  [SMALL_STATE(1632)] = 50477,
  [SMALL_STATE(1633)] = 50511,
  [SMALL_STATE(1634)] = 50545,
  [SMALL_STATE(1635)] = 50583,
  [SMALL_STATE(1636)] = 50617,
  [SMALL_STATE(1637)] = 50651,
  [SMALL_STATE(1638)] = 50689,
  [SMALL_STATE(1639)] = 50753,
  [SMALL_STATE(1640)] = 50817,
  [SMALL_STATE(1641)] = 50865,
  [SMALL_STATE(1642)] = 50899,
  [SMALL_STATE(1643)] = 50963,
  [SMALL_STATE(1644)] = 50997,
  [SMALL_STATE(1645)] = 51031,
  [SMALL_STATE(1646)] = 51065,
  [SMALL_STATE(1647)] = 51099,
  [SMALL_STATE(1648)] = 51133,
  [SMALL_STATE(1649)] = 51167,
  [SMALL_STATE(1650)] = 51201,
  [SMALL_STATE(1651)] = 51235,
  [SMALL_STATE(1652)] = 51269,
  [SMALL_STATE(1653)] = 51303,
  [SMALL_STATE(1654)] = 51337,
  [SMALL_STATE(1655)] = 51375,
  [SMALL_STATE(1656)] = 51409,
  [SMALL_STATE(1657)] = 51443,
  [SMALL_STATE(1658)] = 51477,
  [SMALL_STATE(1659)] = 51547,
  [SMALL_STATE(1660)] = 51585,
  [SMALL_STATE(1661)] = 51619,
  [SMALL_STATE(1662)] = 51653,
  [SMALL_STATE(1663)] = 51687,
  [SMALL_STATE(1664)] = 51751,
  [SMALL_STATE(1665)] = 51815,
  [SMALL_STATE(1666)] = 51871,
  [SMALL_STATE(1667)] = 51911,
  [SMALL_STATE(1668)] = 51975,
  [SMALL_STATE(1669)] = 52009,
  [SMALL_STATE(1670)] = 52073,
  [SMALL_STATE(1671)] = 52113,
  [SMALL_STATE(1672)] = 52147,
  [SMALL_STATE(1673)] = 52181,
  [SMALL_STATE(1674)] = 52215,
  [SMALL_STATE(1675)] = 52249,
  [SMALL_STATE(1676)] = 52289,
  [SMALL_STATE(1677)] = 52323,
  [SMALL_STATE(1678)] = 52357,
  [SMALL_STATE(1679)] = 52391,
  [SMALL_STATE(1680)] = 52425,
  [SMALL_STATE(1681)] = 52461,
  [SMALL_STATE(1682)] = 52495,
  [SMALL_STATE(1683)] = 52529,
  [SMALL_STATE(1684)] = 52563,
  [SMALL_STATE(1685)] = 52597,
  [SMALL_STATE(1686)] = 52631,
  [SMALL_STATE(1687)] = 52665,
  [SMALL_STATE(1688)] = 52699,
  [SMALL_STATE(1689)] = 52733,
  [SMALL_STATE(1690)] = 52767,
  [SMALL_STATE(1691)] = 52801,
  [SMALL_STATE(1692)] = 52835,
  [SMALL_STATE(1693)] = 52869,
  [SMALL_STATE(1694)] = 52903,
  [SMALL_STATE(1695)] = 52937,
  [SMALL_STATE(1696)] = 52971,
  [SMALL_STATE(1697)] = 53005,
  [SMALL_STATE(1698)] = 53039,
  [SMALL_STATE(1699)] = 53073,
  [SMALL_STATE(1700)] = 53107,
  [SMALL_STATE(1701)] = 53141,
  [SMALL_STATE(1702)] = 53205,
  [SMALL_STATE(1703)] = 53269,
  [SMALL_STATE(1704)] = 53333,
  [SMALL_STATE(1705)] = 53367,
  [SMALL_STATE(1706)] = 53401,
  [SMALL_STATE(1707)] = 53463,
  [SMALL_STATE(1708)] = 53521,
  [SMALL_STATE(1709)] = 53577,
  [SMALL_STATE(1710)] = 53629,
  [SMALL_STATE(1711)] = 53677,
  [SMALL_STATE(1712)] = 53721,
  [SMALL_STATE(1713)] = 53755,
  [SMALL_STATE(1714)] = 53789,
  [SMALL_STATE(1715)] = 53833,
  [SMALL_STATE(1716)] = 53867,
  [SMALL_STATE(1717)] = 53901,
  [SMALL_STATE(1718)] = 53941,
  [SMALL_STATE(1719)] = 53975,
  [SMALL_STATE(1720)] = 54015,
  [SMALL_STATE(1721)] = 54049,
  [SMALL_STATE(1722)] = 54083,
  [SMALL_STATE(1723)] = 54117,
  [SMALL_STATE(1724)] = 54151,
  [SMALL_STATE(1725)] = 54185,
  [SMALL_STATE(1726)] = 54249,
  [SMALL_STATE(1727)] = 54283,
  [SMALL_STATE(1728)] = 54317,
  [SMALL_STATE(1729)] = 54351,
  [SMALL_STATE(1730)] = 54385,
  [SMALL_STATE(1731)] = 54419,
  [SMALL_STATE(1732)] = 54483,
  [SMALL_STATE(1733)] = 54517,
  [SMALL_STATE(1734)] = 54551,
  [SMALL_STATE(1735)] = 54615,
  [SMALL_STATE(1736)] = 54679,
  [SMALL_STATE(1737)] = 54713,
  [SMALL_STATE(1738)] = 54747,
  [SMALL_STATE(1739)] = 54781,
  [SMALL_STATE(1740)] = 54815,
  [SMALL_STATE(1741)] = 54849,
  [SMALL_STATE(1742)] = 54883,
  [SMALL_STATE(1743)] = 54917,
  [SMALL_STATE(1744)] = 54981,
  [SMALL_STATE(1745)] = 55029,
  [SMALL_STATE(1746)] = 55063,
  [SMALL_STATE(1747)] = 55103,
  [SMALL_STATE(1748)] = 55137,
  [SMALL_STATE(1749)] = 55171,
  [SMALL_STATE(1750)] = 55241,
  [SMALL_STATE(1751)] = 55275,
  [SMALL_STATE(1752)] = 55309,
  [SMALL_STATE(1753)] = 55373,
  [SMALL_STATE(1754)] = 55407,
  [SMALL_STATE(1755)] = 55441,
  [SMALL_STATE(1756)] = 55475,
  [SMALL_STATE(1757)] = 55543,
  [SMALL_STATE(1758)] = 55581,
  [SMALL_STATE(1759)] = 55619,
  [SMALL_STATE(1760)] = 55687,
  [SMALL_STATE(1761)] = 55757,
  [SMALL_STATE(1762)] = 55825,
  [SMALL_STATE(1763)] = 55859,
  [SMALL_STATE(1764)] = 55927,
  [SMALL_STATE(1765)] = 55997,
  [SMALL_STATE(1766)] = 56031,
  [SMALL_STATE(1767)] = 56067,
  [SMALL_STATE(1768)] = 56137,
  [SMALL_STATE(1769)] = 56171,
  [SMALL_STATE(1770)] = 56207,
  [SMALL_STATE(1771)] = 56273,
  [SMALL_STATE(1772)] = 56309,
  [SMALL_STATE(1773)] = 56347,
  [SMALL_STATE(1774)] = 56383,
  [SMALL_STATE(1775)] = 56449,
  [SMALL_STATE(1776)] = 56515,
  [SMALL_STATE(1777)] = 56549,
  [SMALL_STATE(1778)] = 56585,
  [SMALL_STATE(1779)] = 56619,
  [SMALL_STATE(1780)] = 56653,
  [SMALL_STATE(1781)] = 56717,
  [SMALL_STATE(1782)] = 56755,
  [SMALL_STATE(1783)] = 56819,
  [SMALL_STATE(1784)] = 56887,
  [SMALL_STATE(1785)] = 56955,
  [SMALL_STATE(1786)] = 56989,
  [SMALL_STATE(1787)] = 57057,
  [SMALL_STATE(1788)] = 57113,
  [SMALL_STATE(1789)] = 57153,
  [SMALL_STATE(1790)] = 57191,
  [SMALL_STATE(1791)] = 57255,
  [SMALL_STATE(1792)] = 57323,
  [SMALL_STATE(1793)] = 57391,
  [SMALL_STATE(1794)] = 57459,
  [SMALL_STATE(1795)] = 57497,
  [SMALL_STATE(1796)] = 57531,
  [SMALL_STATE(1797)] = 57565,
  [SMALL_STATE(1798)] = 57629,
  [SMALL_STATE(1799)] = 57697,
  [SMALL_STATE(1800)] = 57765,
  [SMALL_STATE(1801)] = 57833,
  [SMALL_STATE(1802)] = 57867,
  [SMALL_STATE(1803)] = 57901,
  [SMALL_STATE(1804)] = 57969,
  [SMALL_STATE(1805)] = 58037,
  [SMALL_STATE(1806)] = 58105,
  [SMALL_STATE(1807)] = 58171,
  [SMALL_STATE(1808)] = 58239,
  [SMALL_STATE(1809)] = 58307,
  [SMALL_STATE(1810)] = 58375,
  [SMALL_STATE(1811)] = 58443,
  [SMALL_STATE(1812)] = 58481,
  [SMALL_STATE(1813)] = 58549,
  [SMALL_STATE(1814)] = 58617,
  [SMALL_STATE(1815)] = 58685,
  [SMALL_STATE(1816)] = 58725,
  [SMALL_STATE(1817)] = 58793,
  [SMALL_STATE(1818)] = 58861,
  [SMALL_STATE(1819)] = 58929,
  [SMALL_STATE(1820)] = 58967,
  [SMALL_STATE(1821)] = 59001,
  [SMALL_STATE(1822)] = 59035,
  [SMALL_STATE(1823)] = 59103,
  [SMALL_STATE(1824)] = 59171,
  [SMALL_STATE(1825)] = 59239,
  [SMALL_STATE(1826)] = 59273,
  [SMALL_STATE(1827)] = 59341,
  [SMALL_STATE(1828)] = 59381,
  [SMALL_STATE(1829)] = 59449,
  [SMALL_STATE(1830)] = 59517,
  [SMALL_STATE(1831)] = 59585,
  [SMALL_STATE(1832)] = 59653,
  [SMALL_STATE(1833)] = 59721,
  [SMALL_STATE(1834)] = 59789,
  [SMALL_STATE(1835)] = 59857,
  [SMALL_STATE(1836)] = 59925,
  [SMALL_STATE(1837)] = 59993,
  [SMALL_STATE(1838)] = 60027,
  [SMALL_STATE(1839)] = 60095,
  [SMALL_STATE(1840)] = 60163,
  [SMALL_STATE(1841)] = 60231,
  [SMALL_STATE(1842)] = 60265,
  [SMALL_STATE(1843)] = 60333,
  [SMALL_STATE(1844)] = 60401,
  [SMALL_STATE(1845)] = 60469,
  [SMALL_STATE(1846)] = 60507,
  [SMALL_STATE(1847)] = 60541,
  [SMALL_STATE(1848)] = 60575,
  [SMALL_STATE(1849)] = 60643,
  [SMALL_STATE(1850)] = 60711,
  [SMALL_STATE(1851)] = 60779,
  [SMALL_STATE(1852)] = 60813,
  [SMALL_STATE(1853)] = 60881,
  [SMALL_STATE(1854)] = 60949,
  [SMALL_STATE(1855)] = 61017,
  [SMALL_STATE(1856)] = 61055,
  [SMALL_STATE(1857)] = 61089,
  [SMALL_STATE(1858)] = 61123,
  [SMALL_STATE(1859)] = 61191,
  [SMALL_STATE(1860)] = 61259,
  [SMALL_STATE(1861)] = 61327,
  [SMALL_STATE(1862)] = 61367,
  [SMALL_STATE(1863)] = 61405,
  [SMALL_STATE(1864)] = 61473,
  [SMALL_STATE(1865)] = 61541,
  [SMALL_STATE(1866)] = 61609,
  [SMALL_STATE(1867)] = 61643,
  [SMALL_STATE(1868)] = 61711,
  [SMALL_STATE(1869)] = 61779,
  [SMALL_STATE(1870)] = 61847,
  [SMALL_STATE(1871)] = 61881,
  [SMALL_STATE(1872)] = 61915,
  [SMALL_STATE(1873)] = 61951,
  [SMALL_STATE(1874)] = 61989,
  [SMALL_STATE(1875)] = 62027,
  [SMALL_STATE(1876)] = 62061,
  [SMALL_STATE(1877)] = 62095,
  [SMALL_STATE(1878)] = 62131,
  [SMALL_STATE(1879)] = 62165,
  [SMALL_STATE(1880)] = 62229,
  [SMALL_STATE(1881)] = 62263,
  [SMALL_STATE(1882)] = 62297,
  [SMALL_STATE(1883)] = 62331,
  [SMALL_STATE(1884)] = 62387,
  [SMALL_STATE(1885)] = 62421,
  [SMALL_STATE(1886)] = 62485,
  [SMALL_STATE(1887)] = 62519,
  [SMALL_STATE(1888)] = 62583,
  [SMALL_STATE(1889)] = 62645,
  [SMALL_STATE(1890)] = 62703,
  [SMALL_STATE(1891)] = 62737,
  [SMALL_STATE(1892)] = 62771,
  [SMALL_STATE(1893)] = 62805,
  [SMALL_STATE(1894)] = 62861,
  [SMALL_STATE(1895)] = 62913,
  [SMALL_STATE(1896)] = 62947,
  [SMALL_STATE(1897)] = 62981,
  [SMALL_STATE(1898)] = 63029,
  [SMALL_STATE(1899)] = 63063,
  [SMALL_STATE(1900)] = 63097,
  [SMALL_STATE(1901)] = 63141,
  [SMALL_STATE(1902)] = 63205,
  [SMALL_STATE(1903)] = 63269,
  [SMALL_STATE(1904)] = 63325,
  [SMALL_STATE(1905)] = 63359,
  [SMALL_STATE(1906)] = 63399,
  [SMALL_STATE(1907)] = 63465,
  [SMALL_STATE(1908)] = 63509,
  [SMALL_STATE(1909)] = 63549,
  [SMALL_STATE(1910)] = 63613,
  [SMALL_STATE(1911)] = 63677,
  [SMALL_STATE(1912)] = 63715,
  [SMALL_STATE(1913)] = 63753,
  [SMALL_STATE(1914)] = 63823,
  [SMALL_STATE(1915)] = 63857,
  [SMALL_STATE(1916)] = 63891,
  [SMALL_STATE(1917)] = 63931,
  [SMALL_STATE(1918)] = 63965,
  [SMALL_STATE(1919)] = 63999,
  [SMALL_STATE(1920)] = 64035,
  [SMALL_STATE(1921)] = 64069,
  [SMALL_STATE(1922)] = 64133,
  [SMALL_STATE(1923)] = 64167,
  [SMALL_STATE(1924)] = 64231,
  [SMALL_STATE(1925)] = 64295,
  [SMALL_STATE(1926)] = 64357,
  [SMALL_STATE(1927)] = 64415,
  [SMALL_STATE(1928)] = 64449,
  [SMALL_STATE(1929)] = 64505,
  [SMALL_STATE(1930)] = 64541,
  [SMALL_STATE(1931)] = 64593,
  [SMALL_STATE(1932)] = 64641,
  [SMALL_STATE(1933)] = 64685,
  [SMALL_STATE(1934)] = 64729,
  [SMALL_STATE(1935)] = 64769,
  [SMALL_STATE(1936)] = 64809,
  [SMALL_STATE(1937)] = 64843,
  [SMALL_STATE(1938)] = 64877,
  [SMALL_STATE(1939)] = 64911,
  [SMALL_STATE(1940)] = 64945,
  [SMALL_STATE(1941)] = 64979,
  [SMALL_STATE(1942)] = 65013,
  [SMALL_STATE(1943)] = 65047,
  [SMALL_STATE(1944)] = 65111,
  [SMALL_STATE(1945)] = 65175,
  [SMALL_STATE(1946)] = 65209,
  [SMALL_STATE(1947)] = 65243,
  [SMALL_STATE(1948)] = 65277,
  [SMALL_STATE(1949)] = 65341,
  [SMALL_STATE(1950)] = 65389,
  [SMALL_STATE(1951)] = 65423,
  [SMALL_STATE(1952)] = 65457,
  [SMALL_STATE(1953)] = 65521,
  [SMALL_STATE(1954)] = 65555,
  [SMALL_STATE(1955)] = 65589,
  [SMALL_STATE(1956)] = 65623,
  [SMALL_STATE(1957)] = 65657,
  [SMALL_STATE(1958)] = 65721,
  [SMALL_STATE(1959)] = 65755,
  [SMALL_STATE(1960)] = 65789,
  [SMALL_STATE(1961)] = 65823,
  [SMALL_STATE(1962)] = 65857,
  [SMALL_STATE(1963)] = 65891,
  [SMALL_STATE(1964)] = 65925,
  [SMALL_STATE(1965)] = 65959,
  [SMALL_STATE(1966)] = 65997,
  [SMALL_STATE(1967)] = 66063,
  [SMALL_STATE(1968)] = 66097,
  [SMALL_STATE(1969)] = 66131,
  [SMALL_STATE(1970)] = 66171,
  [SMALL_STATE(1971)] = 66205,
  [SMALL_STATE(1972)] = 66239,
  [SMALL_STATE(1973)] = 66277,
  [SMALL_STATE(1974)] = 66311,
  [SMALL_STATE(1975)] = 66345,
  [SMALL_STATE(1976)] = 66409,
  [SMALL_STATE(1977)] = 66473,
  [SMALL_STATE(1978)] = 66521,
  [SMALL_STATE(1979)] = 66561,
  [SMALL_STATE(1980)] = 66625,
  [SMALL_STATE(1981)] = 66665,
  [SMALL_STATE(1982)] = 66721,
  [SMALL_STATE(1983)] = 66761,
  [SMALL_STATE(1984)] = 66795,
  [SMALL_STATE(1985)] = 66859,
  [SMALL_STATE(1986)] = 66893,
  [SMALL_STATE(1987)] = 66957,
  [SMALL_STATE(1988)] = 66997,
  [SMALL_STATE(1989)] = 67031,
  [SMALL_STATE(1990)] = 67095,
  [SMALL_STATE(1991)] = 67129,
  [SMALL_STATE(1992)] = 67193,
  [SMALL_STATE(1993)] = 67231,
  [SMALL_STATE(1994)] = 67271,
  [SMALL_STATE(1995)] = 67309,
  [SMALL_STATE(1996)] = 67349,
  [SMALL_STATE(1997)] = 67383,
  [SMALL_STATE(1998)] = 67417,
  [SMALL_STATE(1999)] = 67451,
  [SMALL_STATE(2000)] = 67513,
  [SMALL_STATE(2001)] = 67547,
  [SMALL_STATE(2002)] = 67581,
  [SMALL_STATE(2003)] = 67639,
  [SMALL_STATE(2004)] = 67677,
  [SMALL_STATE(2005)] = 67733,
  [SMALL_STATE(2006)] = 67785,
  [SMALL_STATE(2007)] = 67819,
  [SMALL_STATE(2008)] = 67853,
  [SMALL_STATE(2009)] = 67893,
  [SMALL_STATE(2010)] = 67927,
  [SMALL_STATE(2011)] = 67991,
  [SMALL_STATE(2012)] = 68025,
  [SMALL_STATE(2013)] = 68061,
  [SMALL_STATE(2014)] = 68125,
  [SMALL_STATE(2015)] = 68189,
  [SMALL_STATE(2016)] = 68223,
  [SMALL_STATE(2017)] = 68285,
  [SMALL_STATE(2018)] = 68343,
  [SMALL_STATE(2019)] = 68399,
  [SMALL_STATE(2020)] = 68439,
  [SMALL_STATE(2021)] = 68487,
  [SMALL_STATE(2022)] = 68535,
  [SMALL_STATE(2023)] = 68571,
  [SMALL_STATE(2024)] = 68615,
  [SMALL_STATE(2025)] = 68659,
  [SMALL_STATE(2026)] = 68699,
  [SMALL_STATE(2027)] = 68739,
  [SMALL_STATE(2028)] = 68773,
  [SMALL_STATE(2029)] = 68807,
  [SMALL_STATE(2030)] = 68841,
  [SMALL_STATE(2031)] = 68875,
  [SMALL_STATE(2032)] = 68909,
  [SMALL_STATE(2033)] = 68973,
  [SMALL_STATE(2034)] = 69037,
  [SMALL_STATE(2035)] = 69071,
  [SMALL_STATE(2036)] = 69105,
  [SMALL_STATE(2037)] = 69139,
  [SMALL_STATE(2038)] = 69203,
  [SMALL_STATE(2039)] = 69251,
  [SMALL_STATE(2040)] = 69287,
  [SMALL_STATE(2041)] = 69331,
  [SMALL_STATE(2042)] = 69365,
  [SMALL_STATE(2043)] = 69399,
  [SMALL_STATE(2044)] = 69433,
  [SMALL_STATE(2045)] = 69467,
  [SMALL_STATE(2046)] = 69501,
  [SMALL_STATE(2047)] = 69535,
  [SMALL_STATE(2048)] = 69575,
  [SMALL_STATE(2049)] = 69619,
  [SMALL_STATE(2050)] = 69659,
  [SMALL_STATE(2051)] = 69693,
  [SMALL_STATE(2052)] = 69727,
  [SMALL_STATE(2053)] = 69761,
  [SMALL_STATE(2054)] = 69795,
  [SMALL_STATE(2055)] = 69829,
  [SMALL_STATE(2056)] = 69869,
  [SMALL_STATE(2057)] = 69903,
  [SMALL_STATE(2058)] = 69937,
  [SMALL_STATE(2059)] = 69971,
  [SMALL_STATE(2060)] = 70005,
  [SMALL_STATE(2061)] = 70039,
  [SMALL_STATE(2062)] = 70073,
  [SMALL_STATE(2063)] = 70107,
  [SMALL_STATE(2064)] = 70141,
  [SMALL_STATE(2065)] = 70196,
  [SMALL_STATE(2066)] = 70239,
  [SMALL_STATE(2067)] = 70272,
  [SMALL_STATE(2068)] = 70305,
  [SMALL_STATE(2069)] = 70338,
  [SMALL_STATE(2070)] = 70377,
  [SMALL_STATE(2071)] = 70410,
  [SMALL_STATE(2072)] = 70443,
  [SMALL_STATE(2073)] = 70476,
  [SMALL_STATE(2074)] = 70509,
  [SMALL_STATE(2075)] = 70542,
  [SMALL_STATE(2076)] = 70605,
  [SMALL_STATE(2077)] = 70638,
  [SMALL_STATE(2078)] = 70671,
  [SMALL_STATE(2079)] = 70734,
  [SMALL_STATE(2080)] = 70773,
  [SMALL_STATE(2081)] = 70806,
  [SMALL_STATE(2082)] = 70839,
  [SMALL_STATE(2083)] = 70872,
  [SMALL_STATE(2084)] = 70905,
  [SMALL_STATE(2085)] = 70938,
  [SMALL_STATE(2086)] = 70971,
  [SMALL_STATE(2087)] = 71008,
  [SMALL_STATE(2088)] = 71065,
  [SMALL_STATE(2089)] = 71098,
  [SMALL_STATE(2090)] = 71131,
  [SMALL_STATE(2091)] = 71194,
  [SMALL_STATE(2092)] = 71257,
  [SMALL_STATE(2093)] = 71290,
  [SMALL_STATE(2094)] = 71353,
  [SMALL_STATE(2095)] = 71386,
  [SMALL_STATE(2096)] = 71449,
  [SMALL_STATE(2097)] = 71488,
  [SMALL_STATE(2098)] = 71521,
  [SMALL_STATE(2099)] = 71584,
  [SMALL_STATE(2100)] = 71617,
  [SMALL_STATE(2101)] = 71656,
  [SMALL_STATE(2102)] = 71689,
  [SMALL_STATE(2103)] = 71722,
  [SMALL_STATE(2104)] = 71755,
  [SMALL_STATE(2105)] = 71788,
  [SMALL_STATE(2106)] = 71821,
  [SMALL_STATE(2107)] = 71882,
  [SMALL_STATE(2108)] = 71943,
  [SMALL_STATE(2109)] = 72000,
  [SMALL_STATE(2110)] = 72039,
  [SMALL_STATE(2111)] = 72072,
  [SMALL_STATE(2112)] = 72111,
  [SMALL_STATE(2113)] = 72174,
  [SMALL_STATE(2114)] = 72209,
  [SMALL_STATE(2115)] = 72272,
  [SMALL_STATE(2116)] = 72307,
  [SMALL_STATE(2117)] = 72340,
  [SMALL_STATE(2118)] = 72373,
  [SMALL_STATE(2119)] = 72436,
  [SMALL_STATE(2120)] = 72469,
  [SMALL_STATE(2121)] = 72506,
  [SMALL_STATE(2122)] = 72539,
  [SMALL_STATE(2123)] = 72574,
  [SMALL_STATE(2124)] = 72607,
  [SMALL_STATE(2125)] = 72646,
  [SMALL_STATE(2126)] = 72709,
  [SMALL_STATE(2127)] = 72772,
  [SMALL_STATE(2128)] = 72835,
  [SMALL_STATE(2129)] = 72868,
  [SMALL_STATE(2130)] = 72901,
  [SMALL_STATE(2131)] = 72964,
  [SMALL_STATE(2132)] = 72997,
  [SMALL_STATE(2133)] = 73030,
  [SMALL_STATE(2134)] = 73063,
  [SMALL_STATE(2135)] = 73096,
  [SMALL_STATE(2136)] = 73159,
  [SMALL_STATE(2137)] = 73194,
  [SMALL_STATE(2138)] = 73231,
  [SMALL_STATE(2139)] = 73264,
  [SMALL_STATE(2140)] = 73327,
  [SMALL_STATE(2141)] = 73388,
  [SMALL_STATE(2142)] = 73431,
  [SMALL_STATE(2143)] = 73464,
  [SMALL_STATE(2144)] = 73497,
  [SMALL_STATE(2145)] = 73530,
  [SMALL_STATE(2146)] = 73563,
  [SMALL_STATE(2147)] = 73596,
  [SMALL_STATE(2148)] = 73629,
  [SMALL_STATE(2149)] = 73680,
  [SMALL_STATE(2150)] = 73713,
  [SMALL_STATE(2151)] = 73748,
  [SMALL_STATE(2152)] = 73811,
  [SMALL_STATE(2153)] = 73874,
  [SMALL_STATE(2154)] = 73907,
  [SMALL_STATE(2155)] = 73940,
  [SMALL_STATE(2156)] = 73973,
  [SMALL_STATE(2157)] = 74006,
  [SMALL_STATE(2158)] = 74039,
  [SMALL_STATE(2159)] = 74072,
  [SMALL_STATE(2160)] = 74105,
  [SMALL_STATE(2161)] = 74138,
  [SMALL_STATE(2162)] = 74177,
  [SMALL_STATE(2163)] = 74212,
  [SMALL_STATE(2164)] = 74273,
  [SMALL_STATE(2165)] = 74306,
  [SMALL_STATE(2166)] = 74369,
  [SMALL_STATE(2167)] = 74402,
  [SMALL_STATE(2168)] = 74441,
  [SMALL_STATE(2169)] = 74496,
  [SMALL_STATE(2170)] = 74529,
  [SMALL_STATE(2171)] = 74566,
  [SMALL_STATE(2172)] = 74599,
  [SMALL_STATE(2173)] = 74654,
  [SMALL_STATE(2174)] = 74691,
  [SMALL_STATE(2175)] = 74724,
  [SMALL_STATE(2176)] = 74785,
  [SMALL_STATE(2177)] = 74828,
  [SMALL_STATE(2178)] = 74891,
  [SMALL_STATE(2179)] = 74924,
  [SMALL_STATE(2180)] = 74985,
  [SMALL_STATE(2181)] = 75048,
  [SMALL_STATE(2182)] = 75109,
  [SMALL_STATE(2183)] = 75166,
  [SMALL_STATE(2184)] = 75229,
  [SMALL_STATE(2185)] = 75284,
  [SMALL_STATE(2186)] = 75335,
  [SMALL_STATE(2187)] = 75382,
  [SMALL_STATE(2188)] = 75425,
  [SMALL_STATE(2189)] = 75468,
  [SMALL_STATE(2190)] = 75507,
  [SMALL_STATE(2191)] = 75546,
  [SMALL_STATE(2192)] = 75607,
  [SMALL_STATE(2193)] = 75664,
  [SMALL_STATE(2194)] = 75697,
  [SMALL_STATE(2195)] = 75730,
  [SMALL_STATE(2196)] = 75763,
  [SMALL_STATE(2197)] = 75796,
  [SMALL_STATE(2198)] = 75851,
  [SMALL_STATE(2199)] = 75884,
  [SMALL_STATE(2200)] = 75917,
  [SMALL_STATE(2201)] = 75950,
  [SMALL_STATE(2202)] = 75983,
  [SMALL_STATE(2203)] = 76016,
  [SMALL_STATE(2204)] = 76077,
  [SMALL_STATE(2205)] = 76110,
  [SMALL_STATE(2206)] = 76143,
  [SMALL_STATE(2207)] = 76206,
  [SMALL_STATE(2208)] = 76257,
  [SMALL_STATE(2209)] = 76290,
  [SMALL_STATE(2210)] = 76337,
  [SMALL_STATE(2211)] = 76376,
  [SMALL_STATE(2212)] = 76419,
  [SMALL_STATE(2213)] = 76462,
  [SMALL_STATE(2214)] = 76495,
  [SMALL_STATE(2215)] = 76528,
  [SMALL_STATE(2216)] = 76561,
  [SMALL_STATE(2217)] = 76600,
  [SMALL_STATE(2218)] = 76639,
  [SMALL_STATE(2219)] = 76672,
  [SMALL_STATE(2220)] = 76705,
  [SMALL_STATE(2221)] = 76738,
  [SMALL_STATE(2222)] = 76771,
  [SMALL_STATE(2223)] = 76834,
  [SMALL_STATE(2224)] = 76867,
  [SMALL_STATE(2225)] = 76928,
  [SMALL_STATE(2226)] = 76975,
  [SMALL_STATE(2227)] = 77008,
  [SMALL_STATE(2228)] = 77041,
  [SMALL_STATE(2229)] = 77074,
  [SMALL_STATE(2230)] = 77137,
  [SMALL_STATE(2231)] = 77200,
  [SMALL_STATE(2232)] = 77233,
  [SMALL_STATE(2233)] = 77266,
  [SMALL_STATE(2234)] = 77299,
  [SMALL_STATE(2235)] = 77332,
  [SMALL_STATE(2236)] = 77365,
  [SMALL_STATE(2237)] = 77402,
  [SMALL_STATE(2238)] = 77435,
  [SMALL_STATE(2239)] = 77482,
  [SMALL_STATE(2240)] = 77515,
  [SMALL_STATE(2241)] = 77578,
  [SMALL_STATE(2242)] = 77611,
  [SMALL_STATE(2243)] = 77644,
  [SMALL_STATE(2244)] = 77679,
  [SMALL_STATE(2245)] = 77712,
  [SMALL_STATE(2246)] = 77745,
  [SMALL_STATE(2247)] = 77782,
  [SMALL_STATE(2248)] = 77815,
  [SMALL_STATE(2249)] = 77848,
  [SMALL_STATE(2250)] = 77911,
  [SMALL_STATE(2251)] = 77974,
  [SMALL_STATE(2252)] = 78021,
  [SMALL_STATE(2253)] = 78054,
  [SMALL_STATE(2254)] = 78093,
  [SMALL_STATE(2255)] = 78126,
  [SMALL_STATE(2256)] = 78159,
  [SMALL_STATE(2257)] = 78196,
  [SMALL_STATE(2258)] = 78229,
  [SMALL_STATE(2259)] = 78262,
  [SMALL_STATE(2260)] = 78295,
  [SMALL_STATE(2261)] = 78328,
  [SMALL_STATE(2262)] = 78361,
  [SMALL_STATE(2263)] = 78394,
  [SMALL_STATE(2264)] = 78427,
  [SMALL_STATE(2265)] = 78460,
  [SMALL_STATE(2266)] = 78493,
  [SMALL_STATE(2267)] = 78526,
  [SMALL_STATE(2268)] = 78559,
  [SMALL_STATE(2269)] = 78598,
  [SMALL_STATE(2270)] = 78633,
  [SMALL_STATE(2271)] = 78666,
  [SMALL_STATE(2272)] = 78699,
  [SMALL_STATE(2273)] = 78762,
  [SMALL_STATE(2274)] = 78825,
  [SMALL_STATE(2275)] = 78862,
  [SMALL_STATE(2276)] = 78895,
  [SMALL_STATE(2277)] = 78928,
  [SMALL_STATE(2278)] = 78991,
  [SMALL_STATE(2279)] = 79054,
  [SMALL_STATE(2280)] = 79087,
  [SMALL_STATE(2281)] = 79120,
  [SMALL_STATE(2282)] = 79183,
  [SMALL_STATE(2283)] = 79238,
  [SMALL_STATE(2284)] = 79271,
  [SMALL_STATE(2285)] = 79310,
  [SMALL_STATE(2286)] = 79373,
  [SMALL_STATE(2287)] = 79408,
  [SMALL_STATE(2288)] = 79441,
  [SMALL_STATE(2289)] = 79474,
  [SMALL_STATE(2290)] = 79529,
  [SMALL_STATE(2291)] = 79590,
  [SMALL_STATE(2292)] = 79623,
  [SMALL_STATE(2293)] = 79662,
  [SMALL_STATE(2294)] = 79695,
  [SMALL_STATE(2295)] = 79728,
  [SMALL_STATE(2296)] = 79763,
  [SMALL_STATE(2297)] = 79796,
  [SMALL_STATE(2298)] = 79829,
  [SMALL_STATE(2299)] = 79862,
  [SMALL_STATE(2300)] = 79899,
  [SMALL_STATE(2301)] = 79932,
  [SMALL_STATE(2302)] = 79965,
  [SMALL_STATE(2303)] = 79998,
  [SMALL_STATE(2304)] = 80053,
  [SMALL_STATE(2305)] = 80086,
  [SMALL_STATE(2306)] = 80119,
  [SMALL_STATE(2307)] = 80182,
  [SMALL_STATE(2308)] = 80217,
  [SMALL_STATE(2309)] = 80254,
  [SMALL_STATE(2310)] = 80287,
  [SMALL_STATE(2311)] = 80320,
  [SMALL_STATE(2312)] = 80371,
  [SMALL_STATE(2313)] = 80404,
  [SMALL_STATE(2314)] = 80437,
  [SMALL_STATE(2315)] = 80470,
  [SMALL_STATE(2316)] = 80503,
  [SMALL_STATE(2317)] = 80536,
  [SMALL_STATE(2318)] = 80573,
  [SMALL_STATE(2319)] = 80606,
  [SMALL_STATE(2320)] = 80639,
  [SMALL_STATE(2321)] = 80672,
  [SMALL_STATE(2322)] = 80705,
  [SMALL_STATE(2323)] = 80738,
  [SMALL_STATE(2324)] = 80785,
  [SMALL_STATE(2325)] = 80818,
  [SMALL_STATE(2326)] = 80861,
  [SMALL_STATE(2327)] = 80894,
  [SMALL_STATE(2328)] = 80927,
  [SMALL_STATE(2329)] = 80960,
  [SMALL_STATE(2330)] = 80993,
  [SMALL_STATE(2331)] = 81026,
  [SMALL_STATE(2332)] = 81089,
  [SMALL_STATE(2333)] = 81122,
  [SMALL_STATE(2334)] = 81155,
  [SMALL_STATE(2335)] = 81192,
  [SMALL_STATE(2336)] = 81225,
  [SMALL_STATE(2337)] = 81258,
  [SMALL_STATE(2338)] = 81291,
  [SMALL_STATE(2339)] = 81328,
  [SMALL_STATE(2340)] = 81363,
  [SMALL_STATE(2341)] = 81424,
  [SMALL_STATE(2342)] = 81457,
  [SMALL_STATE(2343)] = 81504,
  [SMALL_STATE(2344)] = 81537,
  [SMALL_STATE(2345)] = 81570,
  [SMALL_STATE(2346)] = 81603,
  [SMALL_STATE(2347)] = 81636,
  [SMALL_STATE(2348)] = 81699,
  [SMALL_STATE(2349)] = 81732,
  [SMALL_STATE(2350)] = 81795,
  [SMALL_STATE(2351)] = 81856,
  [SMALL_STATE(2352)] = 81913,
  [SMALL_STATE(2353)] = 81976,
  [SMALL_STATE(2354)] = 82013,
  [SMALL_STATE(2355)] = 82076,
  [SMALL_STATE(2356)] = 82109,
  [SMALL_STATE(2357)] = 82164,
  [SMALL_STATE(2358)] = 82197,
  [SMALL_STATE(2359)] = 82236,
  [SMALL_STATE(2360)] = 82269,
  [SMALL_STATE(2361)] = 82302,
  [SMALL_STATE(2362)] = 82357,
  [SMALL_STATE(2363)] = 82408,
  [SMALL_STATE(2364)] = 82455,
  [SMALL_STATE(2365)] = 82488,
  [SMALL_STATE(2366)] = 82531,
  [SMALL_STATE(2367)] = 82594,
  [SMALL_STATE(2368)] = 82637,
  [SMALL_STATE(2369)] = 82672,
  [SMALL_STATE(2370)] = 82705,
  [SMALL_STATE(2371)] = 82768,
  [SMALL_STATE(2372)] = 82801,
  [SMALL_STATE(2373)] = 82834,
  [SMALL_STATE(2374)] = 82867,
  [SMALL_STATE(2375)] = 82900,
  [SMALL_STATE(2376)] = 82939,
  [SMALL_STATE(2377)] = 82978,
  [SMALL_STATE(2378)] = 83011,
  [SMALL_STATE(2379)] = 83044,
  [SMALL_STATE(2380)] = 83077,
  [SMALL_STATE(2381)] = 83110,
  [SMALL_STATE(2382)] = 83157,
  [SMALL_STATE(2383)] = 83190,
  [SMALL_STATE(2384)] = 83223,
  [SMALL_STATE(2385)] = 83256,
  [SMALL_STATE(2386)] = 83289,
  [SMALL_STATE(2387)] = 83324,
  [SMALL_STATE(2388)] = 83357,
  [SMALL_STATE(2389)] = 83390,
  [SMALL_STATE(2390)] = 83423,
  [SMALL_STATE(2391)] = 83456,
  [SMALL_STATE(2392)] = 83495,
  [SMALL_STATE(2393)] = 83528,
  [SMALL_STATE(2394)] = 83561,
  [SMALL_STATE(2395)] = 83594,
  [SMALL_STATE(2396)] = 83627,
  [SMALL_STATE(2397)] = 83660,
  [SMALL_STATE(2398)] = 83693,
  [SMALL_STATE(2399)] = 83726,
  [SMALL_STATE(2400)] = 83759,
  [SMALL_STATE(2401)] = 83792,
  [SMALL_STATE(2402)] = 83839,
  [SMALL_STATE(2403)] = 83872,
  [SMALL_STATE(2404)] = 83933,
  [SMALL_STATE(2405)] = 83966,
  [SMALL_STATE(2406)] = 83999,
  [SMALL_STATE(2407)] = 84032,
  [SMALL_STATE(2408)] = 84065,
  [SMALL_STATE(2409)] = 84098,
  [SMALL_STATE(2410)] = 84131,
  [SMALL_STATE(2411)] = 84164,
  [SMALL_STATE(2412)] = 84197,
  [SMALL_STATE(2413)] = 84230,
  [SMALL_STATE(2414)] = 84263,
  [SMALL_STATE(2415)] = 84296,
  [SMALL_STATE(2416)] = 84329,
  [SMALL_STATE(2417)] = 84368,
  [SMALL_STATE(2418)] = 84431,
  [SMALL_STATE(2419)] = 84464,
  [SMALL_STATE(2420)] = 84525,
  [SMALL_STATE(2421)] = 84558,
  [SMALL_STATE(2422)] = 84591,
  [SMALL_STATE(2423)] = 84624,
  [SMALL_STATE(2424)] = 84661,
  [SMALL_STATE(2425)] = 84694,
  [SMALL_STATE(2426)] = 84758,
  [SMALL_STATE(2427)] = 84796,
  [SMALL_STATE(2428)] = 84828,
  [SMALL_STATE(2429)] = 84892,
  [SMALL_STATE(2430)] = 84924,
  [SMALL_STATE(2431)] = 84964,
  [SMALL_STATE(2432)] = 85010,
  [SMALL_STATE(2433)] = 85042,
  [SMALL_STATE(2434)] = 85074,
  [SMALL_STATE(2435)] = 85106,
  [SMALL_STATE(2436)] = 85138,
  [SMALL_STATE(2437)] = 85170,
  [SMALL_STATE(2438)] = 85202,
  [SMALL_STATE(2439)] = 85234,
  [SMALL_STATE(2440)] = 85266,
  [SMALL_STATE(2441)] = 85298,
  [SMALL_STATE(2442)] = 85330,
  [SMALL_STATE(2443)] = 85392,
  [SMALL_STATE(2444)] = 85454,
  [SMALL_STATE(2445)] = 85486,
  [SMALL_STATE(2446)] = 85518,
  [SMALL_STATE(2447)] = 85550,
  [SMALL_STATE(2448)] = 85582,
  [SMALL_STATE(2449)] = 85614,
  [SMALL_STATE(2450)] = 85646,
  [SMALL_STATE(2451)] = 85678,
  [SMALL_STATE(2452)] = 85710,
  [SMALL_STATE(2453)] = 85742,
  [SMALL_STATE(2454)] = 85804,
  [SMALL_STATE(2455)] = 85836,
  [SMALL_STATE(2456)] = 85868,
  [SMALL_STATE(2457)] = 85900,
  [SMALL_STATE(2458)] = 85932,
  [SMALL_STATE(2459)] = 85966,
  [SMALL_STATE(2460)] = 85998,
  [SMALL_STATE(2461)] = 86030,
  [SMALL_STATE(2462)] = 86062,
  [SMALL_STATE(2463)] = 86102,
  [SMALL_STATE(2464)] = 86142,
  [SMALL_STATE(2465)] = 86182,
  [SMALL_STATE(2466)] = 86214,
  [SMALL_STATE(2467)] = 86246,
  [SMALL_STATE(2468)] = 86278,
  [SMALL_STATE(2469)] = 86310,
  [SMALL_STATE(2470)] = 86372,
  [SMALL_STATE(2471)] = 86404,
  [SMALL_STATE(2472)] = 86436,
  [SMALL_STATE(2473)] = 86468,
  [SMALL_STATE(2474)] = 86500,
  [SMALL_STATE(2475)] = 86532,
  [SMALL_STATE(2476)] = 86564,
  [SMALL_STATE(2477)] = 86596,
  [SMALL_STATE(2478)] = 86658,
  [SMALL_STATE(2479)] = 86690,
  [SMALL_STATE(2480)] = 86722,
  [SMALL_STATE(2481)] = 86754,
  [SMALL_STATE(2482)] = 86786,
  [SMALL_STATE(2483)] = 86818,
  [SMALL_STATE(2484)] = 86878,
  [SMALL_STATE(2485)] = 86940,
  [SMALL_STATE(2486)] = 87002,
  [SMALL_STATE(2487)] = 87034,
  [SMALL_STATE(2488)] = 87066,
  [SMALL_STATE(2489)] = 87098,
  [SMALL_STATE(2490)] = 87160,
  [SMALL_STATE(2491)] = 87222,
  [SMALL_STATE(2492)] = 87254,
  [SMALL_STATE(2493)] = 87294,
  [SMALL_STATE(2494)] = 87334,
  [SMALL_STATE(2495)] = 87366,
  [SMALL_STATE(2496)] = 87398,
  [SMALL_STATE(2497)] = 87430,
  [SMALL_STATE(2498)] = 87462,
  [SMALL_STATE(2499)] = 87494,
  [SMALL_STATE(2500)] = 87526,
  [SMALL_STATE(2501)] = 87558,
  [SMALL_STATE(2502)] = 87590,
  [SMALL_STATE(2503)] = 87622,
  [SMALL_STATE(2504)] = 87654,
  [SMALL_STATE(2505)] = 87686,
  [SMALL_STATE(2506)] = 87718,
  [SMALL_STATE(2507)] = 87750,
  [SMALL_STATE(2508)] = 87782,
  [SMALL_STATE(2509)] = 87814,
  [SMALL_STATE(2510)] = 87874,
  [SMALL_STATE(2511)] = 87934,
  [SMALL_STATE(2512)] = 87988,
  [SMALL_STATE(2513)] = 88026,
  [SMALL_STATE(2514)] = 88058,
  [SMALL_STATE(2515)] = 88090,
  [SMALL_STATE(2516)] = 88122,
  [SMALL_STATE(2517)] = 88154,
  [SMALL_STATE(2518)] = 88216,
  [SMALL_STATE(2519)] = 88248,
  [SMALL_STATE(2520)] = 88310,
  [SMALL_STATE(2521)] = 88342,
  [SMALL_STATE(2522)] = 88376,
  [SMALL_STATE(2523)] = 88408,
  [SMALL_STATE(2524)] = 88440,
  [SMALL_STATE(2525)] = 88472,
  [SMALL_STATE(2526)] = 88504,
  [SMALL_STATE(2527)] = 88536,
  [SMALL_STATE(2528)] = 88568,
  [SMALL_STATE(2529)] = 88600,
  [SMALL_STATE(2530)] = 88632,
  [SMALL_STATE(2531)] = 88664,
  [SMALL_STATE(2532)] = 88726,
  [SMALL_STATE(2533)] = 88786,
  [SMALL_STATE(2534)] = 88846,
  [SMALL_STATE(2535)] = 88906,
  [SMALL_STATE(2536)] = 88962,
  [SMALL_STATE(2537)] = 88994,
  [SMALL_STATE(2538)] = 89026,
  [SMALL_STATE(2539)] = 89080,
  [SMALL_STATE(2540)] = 89130,
  [SMALL_STATE(2541)] = 89176,
  [SMALL_STATE(2542)] = 89218,
  [SMALL_STATE(2543)] = 89260,
  [SMALL_STATE(2544)] = 89298,
  [SMALL_STATE(2545)] = 89336,
  [SMALL_STATE(2546)] = 89368,
  [SMALL_STATE(2547)] = 89400,
  [SMALL_STATE(2548)] = 89432,
  [SMALL_STATE(2549)] = 89464,
  [SMALL_STATE(2550)] = 89524,
  [SMALL_STATE(2551)] = 89586,
  [SMALL_STATE(2552)] = 89618,
  [SMALL_STATE(2553)] = 89650,
  [SMALL_STATE(2554)] = 89682,
  [SMALL_STATE(2555)] = 89714,
  [SMALL_STATE(2556)] = 89776,
  [SMALL_STATE(2557)] = 89822,
  [SMALL_STATE(2558)] = 89854,
  [SMALL_STATE(2559)] = 89886,
  [SMALL_STATE(2560)] = 89918,
  [SMALL_STATE(2561)] = 89950,
  [SMALL_STATE(2562)] = 89982,
  [SMALL_STATE(2563)] = 90014,
  [SMALL_STATE(2564)] = 90046,
  [SMALL_STATE(2565)] = 90078,
  [SMALL_STATE(2566)] = 90110,
  [SMALL_STATE(2567)] = 90142,
  [SMALL_STATE(2568)] = 90202,
  [SMALL_STATE(2569)] = 90262,
  [SMALL_STATE(2570)] = 90316,
  [SMALL_STATE(2571)] = 90354,
  [SMALL_STATE(2572)] = 90416,
  [SMALL_STATE(2573)] = 90450,
  [SMALL_STATE(2574)] = 90482,
  [SMALL_STATE(2575)] = 90514,
  [SMALL_STATE(2576)] = 90548,
  [SMALL_STATE(2577)] = 90608,
  [SMALL_STATE(2578)] = 90668,
  [SMALL_STATE(2579)] = 90732,
  [SMALL_STATE(2580)] = 90792,
  [SMALL_STATE(2581)] = 90848,
  [SMALL_STATE(2582)] = 90880,
  [SMALL_STATE(2583)] = 90944,
  [SMALL_STATE(2584)] = 90998,
  [SMALL_STATE(2585)] = 91048,
  [SMALL_STATE(2586)] = 91112,
  [SMALL_STATE(2587)] = 91158,
  [SMALL_STATE(2588)] = 91200,
  [SMALL_STATE(2589)] = 91242,
  [SMALL_STATE(2590)] = 91280,
  [SMALL_STATE(2591)] = 91318,
  [SMALL_STATE(2592)] = 91350,
  [SMALL_STATE(2593)] = 91414,
  [SMALL_STATE(2594)] = 91446,
  [SMALL_STATE(2595)] = 91506,
  [SMALL_STATE(2596)] = 91570,
  [SMALL_STATE(2597)] = 91634,
  [SMALL_STATE(2598)] = 91666,
  [SMALL_STATE(2599)] = 91698,
  [SMALL_STATE(2600)] = 91760,
  [SMALL_STATE(2601)] = 91824,
  [SMALL_STATE(2602)] = 91858,
  [SMALL_STATE(2603)] = 91922,
  [SMALL_STATE(2604)] = 91986,
  [SMALL_STATE(2605)] = 92032,
  [SMALL_STATE(2606)] = 92096,
  [SMALL_STATE(2607)] = 92160,
  [SMALL_STATE(2608)] = 92224,
  [SMALL_STATE(2609)] = 92256,
  [SMALL_STATE(2610)] = 92288,
  [SMALL_STATE(2611)] = 92352,
  [SMALL_STATE(2612)] = 92416,
  [SMALL_STATE(2613)] = 92480,
  [SMALL_STATE(2614)] = 92512,
  [SMALL_STATE(2615)] = 92544,
  [SMALL_STATE(2616)] = 92576,
  [SMALL_STATE(2617)] = 92640,
  [SMALL_STATE(2618)] = 92704,
  [SMALL_STATE(2619)] = 92768,
  [SMALL_STATE(2620)] = 92800,
  [SMALL_STATE(2621)] = 92864,
  [SMALL_STATE(2622)] = 92896,
  [SMALL_STATE(2623)] = 92960,
  [SMALL_STATE(2624)] = 92992,
  [SMALL_STATE(2625)] = 93056,
  [SMALL_STATE(2626)] = 93088,
  [SMALL_STATE(2627)] = 93152,
  [SMALL_STATE(2628)] = 93216,
  [SMALL_STATE(2629)] = 93276,
  [SMALL_STATE(2630)] = 93336,
  [SMALL_STATE(2631)] = 93390,
  [SMALL_STATE(2632)] = 93428,
  [SMALL_STATE(2633)] = 93492,
  [SMALL_STATE(2634)] = 93524,
  [SMALL_STATE(2635)] = 93586,
  [SMALL_STATE(2636)] = 93648,
  [SMALL_STATE(2637)] = 93682,
  [SMALL_STATE(2638)] = 93746,
  [SMALL_STATE(2639)] = 93778,
  [SMALL_STATE(2640)] = 93842,
  [SMALL_STATE(2641)] = 93876,
  [SMALL_STATE(2642)] = 93908,
  [SMALL_STATE(2643)] = 93940,
  [SMALL_STATE(2644)] = 94004,
  [SMALL_STATE(2645)] = 94068,
  [SMALL_STATE(2646)] = 94132,
  [SMALL_STATE(2647)] = 94164,
  [SMALL_STATE(2648)] = 94196,
  [SMALL_STATE(2649)] = 94260,
  [SMALL_STATE(2650)] = 94292,
  [SMALL_STATE(2651)] = 94356,
  [SMALL_STATE(2652)] = 94418,
  [SMALL_STATE(2653)] = 94482,
  [SMALL_STATE(2654)] = 94542,
  [SMALL_STATE(2655)] = 94602,
  [SMALL_STATE(2656)] = 94662,
  [SMALL_STATE(2657)] = 94718,
  [SMALL_STATE(2658)] = 94750,
  [SMALL_STATE(2659)] = 94804,
  [SMALL_STATE(2660)] = 94868,
  [SMALL_STATE(2661)] = 94918,
  [SMALL_STATE(2662)] = 94964,
  [SMALL_STATE(2663)] = 95006,
  [SMALL_STATE(2664)] = 95070,
  [SMALL_STATE(2665)] = 95102,
  [SMALL_STATE(2666)] = 95144,
  [SMALL_STATE(2667)] = 95208,
  [SMALL_STATE(2668)] = 95246,
  [SMALL_STATE(2669)] = 95284,
  [SMALL_STATE(2670)] = 95316,
  [SMALL_STATE(2671)] = 95376,
  [SMALL_STATE(2672)] = 95408,
  [SMALL_STATE(2673)] = 95472,
  [SMALL_STATE(2674)] = 95532,
  [SMALL_STATE(2675)] = 95592,
  [SMALL_STATE(2676)] = 95652,
  [SMALL_STATE(2677)] = 95716,
  [SMALL_STATE(2678)] = 95770,
  [SMALL_STATE(2679)] = 95808,
  [SMALL_STATE(2680)] = 95872,
  [SMALL_STATE(2681)] = 95904,
  [SMALL_STATE(2682)] = 95966,
  [SMALL_STATE(2683)] = 96026,
  [SMALL_STATE(2684)] = 96088,
  [SMALL_STATE(2685)] = 96120,
  [SMALL_STATE(2686)] = 96176,
  [SMALL_STATE(2687)] = 96236,
  [SMALL_STATE(2688)] = 96300,
  [SMALL_STATE(2689)] = 96362,
  [SMALL_STATE(2690)] = 96394,
  [SMALL_STATE(2691)] = 96458,
  [SMALL_STATE(2692)] = 96512,
  [SMALL_STATE(2693)] = 96544,
  [SMALL_STATE(2694)] = 96608,
  [SMALL_STATE(2695)] = 96658,
  [SMALL_STATE(2696)] = 96704,
  [SMALL_STATE(2697)] = 96766,
  [SMALL_STATE(2698)] = 96812,
  [SMALL_STATE(2699)] = 96854,
  [SMALL_STATE(2700)] = 96886,
  [SMALL_STATE(2701)] = 96950,
  [SMALL_STATE(2702)] = 96992,
  [SMALL_STATE(2703)] = 97024,
  [SMALL_STATE(2704)] = 97056,
  [SMALL_STATE(2705)] = 97120,
  [SMALL_STATE(2706)] = 97156,
  [SMALL_STATE(2707)] = 97194,
  [SMALL_STATE(2708)] = 97258,
  [SMALL_STATE(2709)] = 97290,
  [SMALL_STATE(2710)] = 97352,
  [SMALL_STATE(2711)] = 97384,
  [SMALL_STATE(2712)] = 97416,
  [SMALL_STATE(2713)] = 97476,
  [SMALL_STATE(2714)] = 97540,
  [SMALL_STATE(2715)] = 97600,
  [SMALL_STATE(2716)] = 97660,
  [SMALL_STATE(2717)] = 97716,
  [SMALL_STATE(2718)] = 97780,
  [SMALL_STATE(2719)] = 97834,
  [SMALL_STATE(2720)] = 97898,
  [SMALL_STATE(2721)] = 97948,
  [SMALL_STATE(2722)] = 97994,
  [SMALL_STATE(2723)] = 98036,
  [SMALL_STATE(2724)] = 98078,
  [SMALL_STATE(2725)] = 98116,
  [SMALL_STATE(2726)] = 98154,
  [SMALL_STATE(2727)] = 98186,
  [SMALL_STATE(2728)] = 98250,
  [SMALL_STATE(2729)] = 98282,
  [SMALL_STATE(2730)] = 98314,
  [SMALL_STATE(2731)] = 98378,
  [SMALL_STATE(2732)] = 98410,
  [SMALL_STATE(2733)] = 98448,
  [SMALL_STATE(2734)] = 98512,
  [SMALL_STATE(2735)] = 98544,
  [SMALL_STATE(2736)] = 98604,
  [SMALL_STATE(2737)] = 98666,
  [SMALL_STATE(2738)] = 98698,
  [SMALL_STATE(2739)] = 98730,
  [SMALL_STATE(2740)] = 98762,
  [SMALL_STATE(2741)] = 98826,
  [SMALL_STATE(2742)] = 98858,
  [SMALL_STATE(2743)] = 98890,
  [SMALL_STATE(2744)] = 98954,
  [SMALL_STATE(2745)] = 99016,
  [SMALL_STATE(2746)] = 99062,
  [SMALL_STATE(2747)] = 99126,
  [SMALL_STATE(2748)] = 99158,
  [SMALL_STATE(2749)] = 99190,
  [SMALL_STATE(2750)] = 99222,
  [SMALL_STATE(2751)] = 99286,
  [SMALL_STATE(2752)] = 99318,
  [SMALL_STATE(2753)] = 99382,
  [SMALL_STATE(2754)] = 99414,
  [SMALL_STATE(2755)] = 99478,
  [SMALL_STATE(2756)] = 99510,
  [SMALL_STATE(2757)] = 99542,
  [SMALL_STATE(2758)] = 99574,
  [SMALL_STATE(2759)] = 99638,
  [SMALL_STATE(2760)] = 99702,
  [SMALL_STATE(2761)] = 99734,
  [SMALL_STATE(2762)] = 99798,
  [SMALL_STATE(2763)] = 99860,
  [SMALL_STATE(2764)] = 99892,
  [SMALL_STATE(2765)] = 99954,
  [SMALL_STATE(2766)] = 99986,
  [SMALL_STATE(2767)] = 100018,
  [SMALL_STATE(2768)] = 100050,
  [SMALL_STATE(2769)] = 100082,
  [SMALL_STATE(2770)] = 100114,
  [SMALL_STATE(2771)] = 100146,
  [SMALL_STATE(2772)] = 100178,
  [SMALL_STATE(2773)] = 100210,
  [SMALL_STATE(2774)] = 100242,
  [SMALL_STATE(2775)] = 100274,
  [SMALL_STATE(2776)] = 100306,
  [SMALL_STATE(2777)] = 100338,
  [SMALL_STATE(2778)] = 100370,
  [SMALL_STATE(2779)] = 100432,
  [SMALL_STATE(2780)] = 100464,
  [SMALL_STATE(2781)] = 100496,
  [SMALL_STATE(2782)] = 100528,
  [SMALL_STATE(2783)] = 100560,
  [SMALL_STATE(2784)] = 100592,
  [SMALL_STATE(2785)] = 100624,
  [SMALL_STATE(2786)] = 100656,
  [SMALL_STATE(2787)] = 100688,
  [SMALL_STATE(2788)] = 100720,
  [SMALL_STATE(2789)] = 100780,
  [SMALL_STATE(2790)] = 100842,
  [SMALL_STATE(2791)] = 100874,
  [SMALL_STATE(2792)] = 100906,
  [SMALL_STATE(2793)] = 100938,
  [SMALL_STATE(2794)] = 100970,
  [SMALL_STATE(2795)] = 101034,
  [SMALL_STATE(2796)] = 101076,
  [SMALL_STATE(2797)] = 101138,
  [SMALL_STATE(2798)] = 101170,
  [SMALL_STATE(2799)] = 101202,
  [SMALL_STATE(2800)] = 101234,
  [SMALL_STATE(2801)] = 101266,
  [SMALL_STATE(2802)] = 101298,
  [SMALL_STATE(2803)] = 101330,
  [SMALL_STATE(2804)] = 101362,
  [SMALL_STATE(2805)] = 101394,
  [SMALL_STATE(2806)] = 101426,
  [SMALL_STATE(2807)] = 101458,
  [SMALL_STATE(2808)] = 101518,
  [SMALL_STATE(2809)] = 101550,
  [SMALL_STATE(2810)] = 101604,
  [SMALL_STATE(2811)] = 101668,
  [SMALL_STATE(2812)] = 101705,
  [SMALL_STATE(2813)] = 101742,
  [SMALL_STATE(2814)] = 101779,
  [SMALL_STATE(2815)] = 101810,
  [SMALL_STATE(2816)] = 101871,
  [SMALL_STATE(2817)] = 101902,
  [SMALL_STATE(2818)] = 101933,
  [SMALL_STATE(2819)] = 101994,
  [SMALL_STATE(2820)] = 102033,
  [SMALL_STATE(2821)] = 102066,
  [SMALL_STATE(2822)] = 102097,
  [SMALL_STATE(2823)] = 102128,
  [SMALL_STATE(2824)] = 102189,
  [SMALL_STATE(2825)] = 102248,
  [SMALL_STATE(2826)] = 102279,
  [SMALL_STATE(2827)] = 102338,
  [SMALL_STATE(2828)] = 102399,
  [SMALL_STATE(2829)] = 102430,
  [SMALL_STATE(2830)] = 102461,
  [SMALL_STATE(2831)] = 102492,
  [SMALL_STATE(2832)] = 102553,
  [SMALL_STATE(2833)] = 102614,
  [SMALL_STATE(2834)] = 102675,
  [SMALL_STATE(2835)] = 102736,
  [SMALL_STATE(2836)] = 102767,
  [SMALL_STATE(2837)] = 102798,
  [SMALL_STATE(2838)] = 102859,
  [SMALL_STATE(2839)] = 102890,
  [SMALL_STATE(2840)] = 102921,
  [SMALL_STATE(2841)] = 102952,
  [SMALL_STATE(2842)] = 103011,
  [SMALL_STATE(2843)] = 103042,
  [SMALL_STATE(2844)] = 103081,
  [SMALL_STATE(2845)] = 103120,
  [SMALL_STATE(2846)] = 103181,
  [SMALL_STATE(2847)] = 103220,
  [SMALL_STATE(2848)] = 103251,
  [SMALL_STATE(2849)] = 103312,
  [SMALL_STATE(2850)] = 103373,
  [SMALL_STATE(2851)] = 103404,
  [SMALL_STATE(2852)] = 103465,
  [SMALL_STATE(2853)] = 103496,
  [SMALL_STATE(2854)] = 103551,
  [SMALL_STATE(2855)] = 103582,
  [SMALL_STATE(2856)] = 103635,
  [SMALL_STATE(2857)] = 103666,
  [SMALL_STATE(2858)] = 103715,
  [SMALL_STATE(2859)] = 103760,
  [SMALL_STATE(2860)] = 103801,
  [SMALL_STATE(2861)] = 103832,
  [SMALL_STATE(2862)] = 103863,
  [SMALL_STATE(2863)] = 103904,
  [SMALL_STATE(2864)] = 103935,
  [SMALL_STATE(2865)] = 103994,
  [SMALL_STATE(2866)] = 104047,
  [SMALL_STATE(2867)] = 104108,
  [SMALL_STATE(2868)] = 104145,
  [SMALL_STATE(2869)] = 104176,
  [SMALL_STATE(2870)] = 104213,
  [SMALL_STATE(2871)] = 104272,
  [SMALL_STATE(2872)] = 104333,
  [SMALL_STATE(2873)] = 104394,
  [SMALL_STATE(2874)] = 104425,
  [SMALL_STATE(2875)] = 104456,
  [SMALL_STATE(2876)] = 104487,
  [SMALL_STATE(2877)] = 104518,
  [SMALL_STATE(2878)] = 104579,
  [SMALL_STATE(2879)] = 104640,
  [SMALL_STATE(2880)] = 104671,
  [SMALL_STATE(2881)] = 104710,
  [SMALL_STATE(2882)] = 104749,
  [SMALL_STATE(2883)] = 104780,
  [SMALL_STATE(2884)] = 104825,
  [SMALL_STATE(2885)] = 104856,
  [SMALL_STATE(2886)] = 104917,
  [SMALL_STATE(2887)] = 104948,
  [SMALL_STATE(2888)] = 104979,
  [SMALL_STATE(2889)] = 105010,
  [SMALL_STATE(2890)] = 105041,
  [SMALL_STATE(2891)] = 105102,
  [SMALL_STATE(2892)] = 105133,
  [SMALL_STATE(2893)] = 105164,
  [SMALL_STATE(2894)] = 105195,
  [SMALL_STATE(2895)] = 105226,
  [SMALL_STATE(2896)] = 105257,
  [SMALL_STATE(2897)] = 105288,
  [SMALL_STATE(2898)] = 105319,
  [SMALL_STATE(2899)] = 105378,
  [SMALL_STATE(2900)] = 105409,
  [SMALL_STATE(2901)] = 105440,
  [SMALL_STATE(2902)] = 105471,
  [SMALL_STATE(2903)] = 105502,
  [SMALL_STATE(2904)] = 105533,
  [SMALL_STATE(2905)] = 105564,
  [SMALL_STATE(2906)] = 105595,
  [SMALL_STATE(2907)] = 105626,
  [SMALL_STATE(2908)] = 105687,
  [SMALL_STATE(2909)] = 105718,
  [SMALL_STATE(2910)] = 105749,
  [SMALL_STATE(2911)] = 105780,
  [SMALL_STATE(2912)] = 105841,
  [SMALL_STATE(2913)] = 105902,
  [SMALL_STATE(2914)] = 105963,
  [SMALL_STATE(2915)] = 106022,
  [SMALL_STATE(2916)] = 106081,
  [SMALL_STATE(2917)] = 106140,
  [SMALL_STATE(2918)] = 106195,
  [SMALL_STATE(2919)] = 106226,
  [SMALL_STATE(2920)] = 106257,
  [SMALL_STATE(2921)] = 106306,
  [SMALL_STATE(2922)] = 106351,
  [SMALL_STATE(2923)] = 106392,
  [SMALL_STATE(2924)] = 106433,
  [SMALL_STATE(2925)] = 106492,
  [SMALL_STATE(2926)] = 106529,
  [SMALL_STATE(2927)] = 106566,
  [SMALL_STATE(2928)] = 106597,
  [SMALL_STATE(2929)] = 106656,
  [SMALL_STATE(2930)] = 106715,
  [SMALL_STATE(2931)] = 106746,
  [SMALL_STATE(2932)] = 106779,
  [SMALL_STATE(2933)] = 106812,
  [SMALL_STATE(2934)] = 106857,
  [SMALL_STATE(2935)] = 106910,
  [SMALL_STATE(2936)] = 106941,
  [SMALL_STATE(2937)] = 106972,
  [SMALL_STATE(2938)] = 107033,
  [SMALL_STATE(2939)] = 107064,
  [SMALL_STATE(2940)] = 107101,
  [SMALL_STATE(2941)] = 107132,
  [SMALL_STATE(2942)] = 107163,
  [SMALL_STATE(2943)] = 107194,
  [SMALL_STATE(2944)] = 107225,
  [SMALL_STATE(2945)] = 107256,
  [SMALL_STATE(2946)] = 107317,
  [SMALL_STATE(2947)] = 107348,
  [SMALL_STATE(2948)] = 107379,
  [SMALL_STATE(2949)] = 107410,
  [SMALL_STATE(2950)] = 107451,
  [SMALL_STATE(2951)] = 107482,
  [SMALL_STATE(2952)] = 107513,
  [SMALL_STATE(2953)] = 107544,
  [SMALL_STATE(2954)] = 107575,
  [SMALL_STATE(2955)] = 107636,
  [SMALL_STATE(2956)] = 107667,
  [SMALL_STATE(2957)] = 107698,
  [SMALL_STATE(2958)] = 107731,
  [SMALL_STATE(2959)] = 107762,
  [SMALL_STATE(2960)] = 107793,
  [SMALL_STATE(2961)] = 107824,
  [SMALL_STATE(2962)] = 107855,
  [SMALL_STATE(2963)] = 107916,
  [SMALL_STATE(2964)] = 107947,
  [SMALL_STATE(2965)] = 107978,
  [SMALL_STATE(2966)] = 108037,
  [SMALL_STATE(2967)] = 108098,
  [SMALL_STATE(2968)] = 108129,
  [SMALL_STATE(2969)] = 108160,
  [SMALL_STATE(2970)] = 108213,
  [SMALL_STATE(2971)] = 108244,
  [SMALL_STATE(2972)] = 108275,
  [SMALL_STATE(2973)] = 108336,
  [SMALL_STATE(2974)] = 108367,
  [SMALL_STATE(2975)] = 108428,
  [SMALL_STATE(2976)] = 108473,
  [SMALL_STATE(2977)] = 108504,
  [SMALL_STATE(2978)] = 108565,
  [SMALL_STATE(2979)] = 108596,
  [SMALL_STATE(2980)] = 108627,
  [SMALL_STATE(2981)] = 108658,
  [SMALL_STATE(2982)] = 108695,
  [SMALL_STATE(2983)] = 108726,
  [SMALL_STATE(2984)] = 108757,
  [SMALL_STATE(2985)] = 108818,
  [SMALL_STATE(2986)] = 108849,
  [SMALL_STATE(2987)] = 108880,
  [SMALL_STATE(2988)] = 108939,
  [SMALL_STATE(2989)] = 108970,
  [SMALL_STATE(2990)] = 109001,
  [SMALL_STATE(2991)] = 109032,
  [SMALL_STATE(2992)] = 109091,
  [SMALL_STATE(2993)] = 109150,
  [SMALL_STATE(2994)] = 109209,
  [SMALL_STATE(2995)] = 109264,
  [SMALL_STATE(2996)] = 109317,
  [SMALL_STATE(2997)] = 109348,
  [SMALL_STATE(2998)] = 109409,
  [SMALL_STATE(2999)] = 109470,
  [SMALL_STATE(3000)] = 109519,
  [SMALL_STATE(3001)] = 109550,
  [SMALL_STATE(3002)] = 109581,
  [SMALL_STATE(3003)] = 109626,
  [SMALL_STATE(3004)] = 109687,
  [SMALL_STATE(3005)] = 109746,
  [SMALL_STATE(3006)] = 109787,
  [SMALL_STATE(3007)] = 109848,
  [SMALL_STATE(3008)] = 109889,
  [SMALL_STATE(3009)] = 109942,
  [SMALL_STATE(3010)] = 109972,
  [SMALL_STATE(3011)] = 110030,
  [SMALL_STATE(3012)] = 110060,
  [SMALL_STATE(3013)] = 110090,
  [SMALL_STATE(3014)] = 110148,
  [SMALL_STATE(3015)] = 110186,
  [SMALL_STATE(3016)] = 110216,
  [SMALL_STATE(3017)] = 110274,
  [SMALL_STATE(3018)] = 110332,
  [SMALL_STATE(3019)] = 110362,
  [SMALL_STATE(3020)] = 110392,
  [SMALL_STATE(3021)] = 110450,
  [SMALL_STATE(3022)] = 110490,
  [SMALL_STATE(3023)] = 110528,
  [SMALL_STATE(3024)] = 110558,
  [SMALL_STATE(3025)] = 110588,
  [SMALL_STATE(3026)] = 110646,
  [SMALL_STATE(3027)] = 110704,
  [SMALL_STATE(3028)] = 110734,
  [SMALL_STATE(3029)] = 110792,
  [SMALL_STATE(3030)] = 110822,
  [SMALL_STATE(3031)] = 110852,
  [SMALL_STATE(3032)] = 110910,
  [SMALL_STATE(3033)] = 110940,
  [SMALL_STATE(3034)] = 110970,
  [SMALL_STATE(3035)] = 111028,
  [SMALL_STATE(3036)] = 111086,
  [SMALL_STATE(3037)] = 111116,
  [SMALL_STATE(3038)] = 111154,
  [SMALL_STATE(3039)] = 111184,
  [SMALL_STATE(3040)] = 111222,
  [SMALL_STATE(3041)] = 111252,
  [SMALL_STATE(3042)] = 111282,
  [SMALL_STATE(3043)] = 111312,
  [SMALL_STATE(3044)] = 111342,
  [SMALL_STATE(3045)] = 111372,
  [SMALL_STATE(3046)] = 111402,
  [SMALL_STATE(3047)] = 111440,
  [SMALL_STATE(3048)] = 111478,
  [SMALL_STATE(3049)] = 111536,
  [SMALL_STATE(3050)] = 111566,
  [SMALL_STATE(3051)] = 111604,
  [SMALL_STATE(3052)] = 111662,
  [SMALL_STATE(3053)] = 111700,
  [SMALL_STATE(3054)] = 111730,
  [SMALL_STATE(3055)] = 111760,
  [SMALL_STATE(3056)] = 111790,
  [SMALL_STATE(3057)] = 111848,
  [SMALL_STATE(3058)] = 111878,
  [SMALL_STATE(3059)] = 111916,
  [SMALL_STATE(3060)] = 111956,
  [SMALL_STATE(3061)] = 111986,
  [SMALL_STATE(3062)] = 112016,
  [SMALL_STATE(3063)] = 112074,
  [SMALL_STATE(3064)] = 112104,
  [SMALL_STATE(3065)] = 112142,
  [SMALL_STATE(3066)] = 112200,
  [SMALL_STATE(3067)] = 112258,
  [SMALL_STATE(3068)] = 112288,
  [SMALL_STATE(3069)] = 112326,
  [SMALL_STATE(3070)] = 112384,
  [SMALL_STATE(3071)] = 112414,
  [SMALL_STATE(3072)] = 112444,
  [SMALL_STATE(3073)] = 112474,
  [SMALL_STATE(3074)] = 112532,
  [SMALL_STATE(3075)] = 112562,
  [SMALL_STATE(3076)] = 112592,
  [SMALL_STATE(3077)] = 112630,
  [SMALL_STATE(3078)] = 112660,
  [SMALL_STATE(3079)] = 112718,
  [SMALL_STATE(3080)] = 112748,
  [SMALL_STATE(3081)] = 112778,
  [SMALL_STATE(3082)] = 112836,
  [SMALL_STATE(3083)] = 112873,
  [SMALL_STATE(3084)] = 112910,
  [SMALL_STATE(3085)] = 112947,
  [SMALL_STATE(3086)] = 112984,
  [SMALL_STATE(3087)] = 113014,
  [SMALL_STATE(3088)] = 113044,
  [SMALL_STATE(3089)] = 113071,
  [SMALL_STATE(3090)] = 113098,
  [SMALL_STATE(3091)] = 113125,
  [SMALL_STATE(3092)] = 113152,
  [SMALL_STATE(3093)] = 113179,
  [SMALL_STATE(3094)] = 113206,
  [SMALL_STATE(3095)] = 113233,
  [SMALL_STATE(3096)] = 113260,
  [SMALL_STATE(3097)] = 113287,
  [SMALL_STATE(3098)] = 113314,
  [SMALL_STATE(3099)] = 113341,
  [SMALL_STATE(3100)] = 113368,
  [SMALL_STATE(3101)] = 113395,
  [SMALL_STATE(3102)] = 113422,
  [SMALL_STATE(3103)] = 113449,
  [SMALL_STATE(3104)] = 113476,
  [SMALL_STATE(3105)] = 113503,
  [SMALL_STATE(3106)] = 113530,
  [SMALL_STATE(3107)] = 113557,
  [SMALL_STATE(3108)] = 113584,
  [SMALL_STATE(3109)] = 113611,
  [SMALL_STATE(3110)] = 113638,
  [SMALL_STATE(3111)] = 113665,
  [SMALL_STATE(3112)] = 113692,
  [SMALL_STATE(3113)] = 113719,
  [SMALL_STATE(3114)] = 113746,
  [SMALL_STATE(3115)] = 113773,
  [SMALL_STATE(3116)] = 113800,
  [SMALL_STATE(3117)] = 113827,
  [SMALL_STATE(3118)] = 113854,
  [SMALL_STATE(3119)] = 113881,
  [SMALL_STATE(3120)] = 113908,
  [SMALL_STATE(3121)] = 113935,
  [SMALL_STATE(3122)] = 113962,
  [SMALL_STATE(3123)] = 113989,
  [SMALL_STATE(3124)] = 114016,
  [SMALL_STATE(3125)] = 114043,
  [SMALL_STATE(3126)] = 114070,
  [SMALL_STATE(3127)] = 114097,
  [SMALL_STATE(3128)] = 114124,
  [SMALL_STATE(3129)] = 114144,
  [SMALL_STATE(3130)] = 114164,
  [SMALL_STATE(3131)] = 114184,
  [SMALL_STATE(3132)] = 114206,
  [SMALL_STATE(3133)] = 114226,
  [SMALL_STATE(3134)] = 114246,
  [SMALL_STATE(3135)] = 114266,
  [SMALL_STATE(3136)] = 114286,
  [SMALL_STATE(3137)] = 114306,
  [SMALL_STATE(3138)] = 114326,
  [SMALL_STATE(3139)] = 114346,
  [SMALL_STATE(3140)] = 114366,
  [SMALL_STATE(3141)] = 114386,
  [SMALL_STATE(3142)] = 114406,
  [SMALL_STATE(3143)] = 114426,
  [SMALL_STATE(3144)] = 114446,
  [SMALL_STATE(3145)] = 114466,
  [SMALL_STATE(3146)] = 114486,
  [SMALL_STATE(3147)] = 114508,
  [SMALL_STATE(3148)] = 114528,
  [SMALL_STATE(3149)] = 114548,
  [SMALL_STATE(3150)] = 114568,
  [SMALL_STATE(3151)] = 114588,
  [SMALL_STATE(3152)] = 114608,
  [SMALL_STATE(3153)] = 114628,
  [SMALL_STATE(3154)] = 114648,
  [SMALL_STATE(3155)] = 114668,
  [SMALL_STATE(3156)] = 114688,
  [SMALL_STATE(3157)] = 114708,
  [SMALL_STATE(3158)] = 114728,
  [SMALL_STATE(3159)] = 114748,
  [SMALL_STATE(3160)] = 114768,
  [SMALL_STATE(3161)] = 114788,
  [SMALL_STATE(3162)] = 114808,
  [SMALL_STATE(3163)] = 114828,
  [SMALL_STATE(3164)] = 114848,
  [SMALL_STATE(3165)] = 114868,
  [SMALL_STATE(3166)] = 114888,
  [SMALL_STATE(3167)] = 114908,
  [SMALL_STATE(3168)] = 114928,
  [SMALL_STATE(3169)] = 114948,
  [SMALL_STATE(3170)] = 114968,
  [SMALL_STATE(3171)] = 114987,
  [SMALL_STATE(3172)] = 115006,
  [SMALL_STATE(3173)] = 115025,
  [SMALL_STATE(3174)] = 115046,
  [SMALL_STATE(3175)] = 115067,
  [SMALL_STATE(3176)] = 115088,
  [SMALL_STATE(3177)] = 115107,
  [SMALL_STATE(3178)] = 115128,
  [SMALL_STATE(3179)] = 115149,
  [SMALL_STATE(3180)] = 115168,
  [SMALL_STATE(3181)] = 115187,
  [SMALL_STATE(3182)] = 115208,
  [SMALL_STATE(3183)] = 115229,
  [SMALL_STATE(3184)] = 115248,
  [SMALL_STATE(3185)] = 115267,
  [SMALL_STATE(3186)] = 115286,
  [SMALL_STATE(3187)] = 115307,
  [SMALL_STATE(3188)] = 115326,
  [SMALL_STATE(3189)] = 115345,
  [SMALL_STATE(3190)] = 115366,
  [SMALL_STATE(3191)] = 115385,
  [SMALL_STATE(3192)] = 115406,
  [SMALL_STATE(3193)] = 115427,
  [SMALL_STATE(3194)] = 115448,
  [SMALL_STATE(3195)] = 115467,
  [SMALL_STATE(3196)] = 115488,
  [SMALL_STATE(3197)] = 115509,
  [SMALL_STATE(3198)] = 115528,
  [SMALL_STATE(3199)] = 115547,
  [SMALL_STATE(3200)] = 115566,
  [SMALL_STATE(3201)] = 115585,
  [SMALL_STATE(3202)] = 115606,
  [SMALL_STATE(3203)] = 115625,
  [SMALL_STATE(3204)] = 115646,
  [SMALL_STATE(3205)] = 115667,
  [SMALL_STATE(3206)] = 115686,
  [SMALL_STATE(3207)] = 115707,
  [SMALL_STATE(3208)] = 115726,
  [SMALL_STATE(3209)] = 115747,
  [SMALL_STATE(3210)] = 115766,
  [SMALL_STATE(3211)] = 115787,
  [SMALL_STATE(3212)] = 115808,
  [SMALL_STATE(3213)] = 115827,
  [SMALL_STATE(3214)] = 115846,
  [SMALL_STATE(3215)] = 115867,
  [SMALL_STATE(3216)] = 115886,
  [SMALL_STATE(3217)] = 115907,
  [SMALL_STATE(3218)] = 115926,
  [SMALL_STATE(3219)] = 115945,
  [SMALL_STATE(3220)] = 115966,
  [SMALL_STATE(3221)] = 115987,
  [SMALL_STATE(3222)] = 116008,
  [SMALL_STATE(3223)] = 116027,
  [SMALL_STATE(3224)] = 116046,
  [SMALL_STATE(3225)] = 116065,
  [SMALL_STATE(3226)] = 116084,
  [SMALL_STATE(3227)] = 116105,
  [SMALL_STATE(3228)] = 116124,
  [SMALL_STATE(3229)] = 116143,
  [SMALL_STATE(3230)] = 116162,
  [SMALL_STATE(3231)] = 116181,
  [SMALL_STATE(3232)] = 116202,
  [SMALL_STATE(3233)] = 116221,
  [SMALL_STATE(3234)] = 116240,
  [SMALL_STATE(3235)] = 116259,
  [SMALL_STATE(3236)] = 116278,
  [SMALL_STATE(3237)] = 116299,
  [SMALL_STATE(3238)] = 116318,
  [SMALL_STATE(3239)] = 116337,
  [SMALL_STATE(3240)] = 116358,
  [SMALL_STATE(3241)] = 116377,
  [SMALL_STATE(3242)] = 116398,
  [SMALL_STATE(3243)] = 116419,
  [SMALL_STATE(3244)] = 116440,
  [SMALL_STATE(3245)] = 116459,
  [SMALL_STATE(3246)] = 116472,
  [SMALL_STATE(3247)] = 116489,
  [SMALL_STATE(3248)] = 116508,
  [SMALL_STATE(3249)] = 116529,
  [SMALL_STATE(3250)] = 116548,
  [SMALL_STATE(3251)] = 116567,
  [SMALL_STATE(3252)] = 116588,
  [SMALL_STATE(3253)] = 116609,
  [SMALL_STATE(3254)] = 116630,
  [SMALL_STATE(3255)] = 116649,
  [SMALL_STATE(3256)] = 116668,
  [SMALL_STATE(3257)] = 116689,
  [SMALL_STATE(3258)] = 116710,
  [SMALL_STATE(3259)] = 116729,
  [SMALL_STATE(3260)] = 116750,
  [SMALL_STATE(3261)] = 116769,
  [SMALL_STATE(3262)] = 116787,
  [SMALL_STATE(3263)] = 116805,
  [SMALL_STATE(3264)] = 116823,
  [SMALL_STATE(3265)] = 116839,
  [SMALL_STATE(3266)] = 116855,
  [SMALL_STATE(3267)] = 116873,
  [SMALL_STATE(3268)] = 116889,
  [SMALL_STATE(3269)] = 116905,
  [SMALL_STATE(3270)] = 116921,
  [SMALL_STATE(3271)] = 116933,
  [SMALL_STATE(3272)] = 116949,
  [SMALL_STATE(3273)] = 116967,
  [SMALL_STATE(3274)] = 116985,
  [SMALL_STATE(3275)] = 117003,
  [SMALL_STATE(3276)] = 117021,
  [SMALL_STATE(3277)] = 117037,
  [SMALL_STATE(3278)] = 117055,
  [SMALL_STATE(3279)] = 117073,
  [SMALL_STATE(3280)] = 117089,
  [SMALL_STATE(3281)] = 117105,
  [SMALL_STATE(3282)] = 117121,
  [SMALL_STATE(3283)] = 117137,
  [SMALL_STATE(3284)] = 117153,
  [SMALL_STATE(3285)] = 117169,
  [SMALL_STATE(3286)] = 117185,
  [SMALL_STATE(3287)] = 117201,
  [SMALL_STATE(3288)] = 117217,
  [SMALL_STATE(3289)] = 117233,
  [SMALL_STATE(3290)] = 117249,
  [SMALL_STATE(3291)] = 117265,
  [SMALL_STATE(3292)] = 117281,
  [SMALL_STATE(3293)] = 117297,
  [SMALL_STATE(3294)] = 117313,
  [SMALL_STATE(3295)] = 117329,
  [SMALL_STATE(3296)] = 117345,
  [SMALL_STATE(3297)] = 117361,
  [SMALL_STATE(3298)] = 117377,
  [SMALL_STATE(3299)] = 117393,
  [SMALL_STATE(3300)] = 117409,
  [SMALL_STATE(3301)] = 117424,
  [SMALL_STATE(3302)] = 117439,
  [SMALL_STATE(3303)] = 117454,
  [SMALL_STATE(3304)] = 117465,
  [SMALL_STATE(3305)] = 117480,
  [SMALL_STATE(3306)] = 117495,
  [SMALL_STATE(3307)] = 117510,
  [SMALL_STATE(3308)] = 117521,
  [SMALL_STATE(3309)] = 117536,
  [SMALL_STATE(3310)] = 117551,
  [SMALL_STATE(3311)] = 117566,
  [SMALL_STATE(3312)] = 117581,
  [SMALL_STATE(3313)] = 117596,
  [SMALL_STATE(3314)] = 117611,
  [SMALL_STATE(3315)] = 117626,
  [SMALL_STATE(3316)] = 117641,
  [SMALL_STATE(3317)] = 117656,
  [SMALL_STATE(3318)] = 117671,
  [SMALL_STATE(3319)] = 117686,
  [SMALL_STATE(3320)] = 117701,
  [SMALL_STATE(3321)] = 117716,
  [SMALL_STATE(3322)] = 117731,
  [SMALL_STATE(3323)] = 117746,
  [SMALL_STATE(3324)] = 117761,
  [SMALL_STATE(3325)] = 117776,
  [SMALL_STATE(3326)] = 117791,
  [SMALL_STATE(3327)] = 117803,
  [SMALL_STATE(3328)] = 117815,
  [SMALL_STATE(3329)] = 117827,
  [SMALL_STATE(3330)] = 117837,
  [SMALL_STATE(3331)] = 117849,
  [SMALL_STATE(3332)] = 117861,
  [SMALL_STATE(3333)] = 117873,
  [SMALL_STATE(3334)] = 117885,
  [SMALL_STATE(3335)] = 117897,
  [SMALL_STATE(3336)] = 117909,
  [SMALL_STATE(3337)] = 117921,
  [SMALL_STATE(3338)] = 117933,
  [SMALL_STATE(3339)] = 117945,
  [SMALL_STATE(3340)] = 117957,
  [SMALL_STATE(3341)] = 117969,
  [SMALL_STATE(3342)] = 117981,
  [SMALL_STATE(3343)] = 117991,
  [SMALL_STATE(3344)] = 118003,
  [SMALL_STATE(3345)] = 118015,
  [SMALL_STATE(3346)] = 118027,
  [SMALL_STATE(3347)] = 118039,
  [SMALL_STATE(3348)] = 118051,
  [SMALL_STATE(3349)] = 118063,
  [SMALL_STATE(3350)] = 118075,
  [SMALL_STATE(3351)] = 118087,
  [SMALL_STATE(3352)] = 118099,
  [SMALL_STATE(3353)] = 118111,
  [SMALL_STATE(3354)] = 118123,
  [SMALL_STATE(3355)] = 118135,
  [SMALL_STATE(3356)] = 118147,
  [SMALL_STATE(3357)] = 118159,
  [SMALL_STATE(3358)] = 118171,
  [SMALL_STATE(3359)] = 118183,
  [SMALL_STATE(3360)] = 118195,
  [SMALL_STATE(3361)] = 118207,
  [SMALL_STATE(3362)] = 118219,
  [SMALL_STATE(3363)] = 118231,
  [SMALL_STATE(3364)] = 118243,
  [SMALL_STATE(3365)] = 118255,
  [SMALL_STATE(3366)] = 118267,
  [SMALL_STATE(3367)] = 118279,
  [SMALL_STATE(3368)] = 118291,
  [SMALL_STATE(3369)] = 118303,
  [SMALL_STATE(3370)] = 118315,
  [SMALL_STATE(3371)] = 118327,
  [SMALL_STATE(3372)] = 118339,
  [SMALL_STATE(3373)] = 118351,
  [SMALL_STATE(3374)] = 118363,
  [SMALL_STATE(3375)] = 118375,
  [SMALL_STATE(3376)] = 118387,
  [SMALL_STATE(3377)] = 118399,
  [SMALL_STATE(3378)] = 118409,
  [SMALL_STATE(3379)] = 118421,
  [SMALL_STATE(3380)] = 118433,
  [SMALL_STATE(3381)] = 118445,
  [SMALL_STATE(3382)] = 118457,
  [SMALL_STATE(3383)] = 118469,
  [SMALL_STATE(3384)] = 118481,
  [SMALL_STATE(3385)] = 118493,
  [SMALL_STATE(3386)] = 118505,
  [SMALL_STATE(3387)] = 118517,
  [SMALL_STATE(3388)] = 118529,
  [SMALL_STATE(3389)] = 118541,
  [SMALL_STATE(3390)] = 118551,
  [SMALL_STATE(3391)] = 118563,
  [SMALL_STATE(3392)] = 118575,
  [SMALL_STATE(3393)] = 118587,
  [SMALL_STATE(3394)] = 118599,
  [SMALL_STATE(3395)] = 118611,
  [SMALL_STATE(3396)] = 118623,
  [SMALL_STATE(3397)] = 118635,
  [SMALL_STATE(3398)] = 118647,
  [SMALL_STATE(3399)] = 118659,
  [SMALL_STATE(3400)] = 118671,
  [SMALL_STATE(3401)] = 118683,
  [SMALL_STATE(3402)] = 118695,
  [SMALL_STATE(3403)] = 118707,
  [SMALL_STATE(3404)] = 118719,
  [SMALL_STATE(3405)] = 118731,
  [SMALL_STATE(3406)] = 118743,
  [SMALL_STATE(3407)] = 118755,
  [SMALL_STATE(3408)] = 118767,
  [SMALL_STATE(3409)] = 118779,
  [SMALL_STATE(3410)] = 118791,
  [SMALL_STATE(3411)] = 118803,
  [SMALL_STATE(3412)] = 118815,
  [SMALL_STATE(3413)] = 118827,
  [SMALL_STATE(3414)] = 118839,
  [SMALL_STATE(3415)] = 118851,
  [SMALL_STATE(3416)] = 118863,
  [SMALL_STATE(3417)] = 118875,
  [SMALL_STATE(3418)] = 118887,
  [SMALL_STATE(3419)] = 118899,
  [SMALL_STATE(3420)] = 118911,
  [SMALL_STATE(3421)] = 118923,
  [SMALL_STATE(3422)] = 118935,
  [SMALL_STATE(3423)] = 118947,
  [SMALL_STATE(3424)] = 118959,
  [SMALL_STATE(3425)] = 118971,
  [SMALL_STATE(3426)] = 118983,
  [SMALL_STATE(3427)] = 118995,
  [SMALL_STATE(3428)] = 119007,
  [SMALL_STATE(3429)] = 119017,
  [SMALL_STATE(3430)] = 119029,
  [SMALL_STATE(3431)] = 119041,
  [SMALL_STATE(3432)] = 119053,
  [SMALL_STATE(3433)] = 119065,
  [SMALL_STATE(3434)] = 119077,
  [SMALL_STATE(3435)] = 119089,
  [SMALL_STATE(3436)] = 119101,
  [SMALL_STATE(3437)] = 119113,
  [SMALL_STATE(3438)] = 119125,
  [SMALL_STATE(3439)] = 119137,
  [SMALL_STATE(3440)] = 119149,
  [SMALL_STATE(3441)] = 119161,
  [SMALL_STATE(3442)] = 119173,
  [SMALL_STATE(3443)] = 119185,
  [SMALL_STATE(3444)] = 119197,
  [SMALL_STATE(3445)] = 119209,
  [SMALL_STATE(3446)] = 119221,
  [SMALL_STATE(3447)] = 119233,
  [SMALL_STATE(3448)] = 119245,
  [SMALL_STATE(3449)] = 119257,
  [SMALL_STATE(3450)] = 119269,
  [SMALL_STATE(3451)] = 119281,
  [SMALL_STATE(3452)] = 119293,
  [SMALL_STATE(3453)] = 119305,
  [SMALL_STATE(3454)] = 119317,
  [SMALL_STATE(3455)] = 119329,
  [SMALL_STATE(3456)] = 119341,
  [SMALL_STATE(3457)] = 119353,
  [SMALL_STATE(3458)] = 119365,
  [SMALL_STATE(3459)] = 119377,
  [SMALL_STATE(3460)] = 119389,
  [SMALL_STATE(3461)] = 119401,
  [SMALL_STATE(3462)] = 119413,
  [SMALL_STATE(3463)] = 119425,
  [SMALL_STATE(3464)] = 119437,
  [SMALL_STATE(3465)] = 119449,
  [SMALL_STATE(3466)] = 119461,
  [SMALL_STATE(3467)] = 119473,
  [SMALL_STATE(3468)] = 119485,
  [SMALL_STATE(3469)] = 119497,
  [SMALL_STATE(3470)] = 119509,
  [SMALL_STATE(3471)] = 119521,
  [SMALL_STATE(3472)] = 119533,
  [SMALL_STATE(3473)] = 119545,
  [SMALL_STATE(3474)] = 119557,
  [SMALL_STATE(3475)] = 119569,
  [SMALL_STATE(3476)] = 119581,
  [SMALL_STATE(3477)] = 119593,
  [SMALL_STATE(3478)] = 119605,
  [SMALL_STATE(3479)] = 119617,
  [SMALL_STATE(3480)] = 119626,
  [SMALL_STATE(3481)] = 119635,
  [SMALL_STATE(3482)] = 119644,
  [SMALL_STATE(3483)] = 119653,
  [SMALL_STATE(3484)] = 119662,
  [SMALL_STATE(3485)] = 119671,
  [SMALL_STATE(3486)] = 119680,
  [SMALL_STATE(3487)] = 119689,
  [SMALL_STATE(3488)] = 119698,
  [SMALL_STATE(3489)] = 119707,
  [SMALL_STATE(3490)] = 119716,
  [SMALL_STATE(3491)] = 119725,
  [SMALL_STATE(3492)] = 119734,
  [SMALL_STATE(3493)] = 119743,
  [SMALL_STATE(3494)] = 119752,
  [SMALL_STATE(3495)] = 119761,
  [SMALL_STATE(3496)] = 119770,
  [SMALL_STATE(3497)] = 119779,
  [SMALL_STATE(3498)] = 119788,
  [SMALL_STATE(3499)] = 119797,
  [SMALL_STATE(3500)] = 119806,
  [SMALL_STATE(3501)] = 119815,
  [SMALL_STATE(3502)] = 119824,
  [SMALL_STATE(3503)] = 119833,
  [SMALL_STATE(3504)] = 119842,
  [SMALL_STATE(3505)] = 119851,
  [SMALL_STATE(3506)] = 119860,
  [SMALL_STATE(3507)] = 119869,
  [SMALL_STATE(3508)] = 119878,
  [SMALL_STATE(3509)] = 119887,
  [SMALL_STATE(3510)] = 119896,
  [SMALL_STATE(3511)] = 119905,
  [SMALL_STATE(3512)] = 119914,
  [SMALL_STATE(3513)] = 119923,
  [SMALL_STATE(3514)] = 119932,
  [SMALL_STATE(3515)] = 119941,
  [SMALL_STATE(3516)] = 119950,
  [SMALL_STATE(3517)] = 119959,
  [SMALL_STATE(3518)] = 119968,
  [SMALL_STATE(3519)] = 119977,
  [SMALL_STATE(3520)] = 119986,
  [SMALL_STATE(3521)] = 119995,
  [SMALL_STATE(3522)] = 120004,
  [SMALL_STATE(3523)] = 120013,
  [SMALL_STATE(3524)] = 120022,
  [SMALL_STATE(3525)] = 120031,
  [SMALL_STATE(3526)] = 120040,
  [SMALL_STATE(3527)] = 120049,
  [SMALL_STATE(3528)] = 120058,
  [SMALL_STATE(3529)] = 120067,
  [SMALL_STATE(3530)] = 120076,
  [SMALL_STATE(3531)] = 120085,
  [SMALL_STATE(3532)] = 120094,
  [SMALL_STATE(3533)] = 120103,
  [SMALL_STATE(3534)] = 120112,
  [SMALL_STATE(3535)] = 120121,
  [SMALL_STATE(3536)] = 120130,
  [SMALL_STATE(3537)] = 120139,
  [SMALL_STATE(3538)] = 120148,
  [SMALL_STATE(3539)] = 120157,
  [SMALL_STATE(3540)] = 120166,
  [SMALL_STATE(3541)] = 120175,
  [SMALL_STATE(3542)] = 120184,
  [SMALL_STATE(3543)] = 120193,
  [SMALL_STATE(3544)] = 120202,
  [SMALL_STATE(3545)] = 120211,
  [SMALL_STATE(3546)] = 120220,
  [SMALL_STATE(3547)] = 120229,
  [SMALL_STATE(3548)] = 120238,
  [SMALL_STATE(3549)] = 120247,
  [SMALL_STATE(3550)] = 120256,
  [SMALL_STATE(3551)] = 120265,
  [SMALL_STATE(3552)] = 120274,
  [SMALL_STATE(3553)] = 120283,
  [SMALL_STATE(3554)] = 120292,
  [SMALL_STATE(3555)] = 120301,
  [SMALL_STATE(3556)] = 120310,
  [SMALL_STATE(3557)] = 120319,
  [SMALL_STATE(3558)] = 120328,
  [SMALL_STATE(3559)] = 120337,
  [SMALL_STATE(3560)] = 120346,
  [SMALL_STATE(3561)] = 120355,
  [SMALL_STATE(3562)] = 120364,
  [SMALL_STATE(3563)] = 120373,
  [SMALL_STATE(3564)] = 120382,
  [SMALL_STATE(3565)] = 120391,
  [SMALL_STATE(3566)] = 120400,
  [SMALL_STATE(3567)] = 120409,
  [SMALL_STATE(3568)] = 120418,
  [SMALL_STATE(3569)] = 120427,
  [SMALL_STATE(3570)] = 120436,
  [SMALL_STATE(3571)] = 120445,
  [SMALL_STATE(3572)] = 120454,
  [SMALL_STATE(3573)] = 120463,
  [SMALL_STATE(3574)] = 120472,
  [SMALL_STATE(3575)] = 120481,
  [SMALL_STATE(3576)] = 120490,
  [SMALL_STATE(3577)] = 120499,
  [SMALL_STATE(3578)] = 120508,
  [SMALL_STATE(3579)] = 120517,
  [SMALL_STATE(3580)] = 120526,
  [SMALL_STATE(3581)] = 120535,
  [SMALL_STATE(3582)] = 120544,
  [SMALL_STATE(3583)] = 120553,
  [SMALL_STATE(3584)] = 120562,
  [SMALL_STATE(3585)] = 120571,
  [SMALL_STATE(3586)] = 120580,
  [SMALL_STATE(3587)] = 120589,
  [SMALL_STATE(3588)] = 120598,
  [SMALL_STATE(3589)] = 120607,
  [SMALL_STATE(3590)] = 120616,
  [SMALL_STATE(3591)] = 120625,
  [SMALL_STATE(3592)] = 120634,
  [SMALL_STATE(3593)] = 120643,
  [SMALL_STATE(3594)] = 120652,
  [SMALL_STATE(3595)] = 120661,
  [SMALL_STATE(3596)] = 120670,
  [SMALL_STATE(3597)] = 120679,
  [SMALL_STATE(3598)] = 120688,
  [SMALL_STATE(3599)] = 120697,
  [SMALL_STATE(3600)] = 120706,
  [SMALL_STATE(3601)] = 120715,
  [SMALL_STATE(3602)] = 120724,
  [SMALL_STATE(3603)] = 120733,
  [SMALL_STATE(3604)] = 120742,
  [SMALL_STATE(3605)] = 120751,
  [SMALL_STATE(3606)] = 120760,
  [SMALL_STATE(3607)] = 120769,
  [SMALL_STATE(3608)] = 120778,
  [SMALL_STATE(3609)] = 120787,
  [SMALL_STATE(3610)] = 120796,
  [SMALL_STATE(3611)] = 120805,
  [SMALL_STATE(3612)] = 120814,
  [SMALL_STATE(3613)] = 120823,
  [SMALL_STATE(3614)] = 120832,
  [SMALL_STATE(3615)] = 120841,
  [SMALL_STATE(3616)] = 120850,
  [SMALL_STATE(3617)] = 120859,
  [SMALL_STATE(3618)] = 120868,
  [SMALL_STATE(3619)] = 120877,
  [SMALL_STATE(3620)] = 120886,
  [SMALL_STATE(3621)] = 120895,
  [SMALL_STATE(3622)] = 120904,
  [SMALL_STATE(3623)] = 120913,
  [SMALL_STATE(3624)] = 120922,
  [SMALL_STATE(3625)] = 120931,
  [SMALL_STATE(3626)] = 120940,
  [SMALL_STATE(3627)] = 120949,
  [SMALL_STATE(3628)] = 120958,
  [SMALL_STATE(3629)] = 120967,
  [SMALL_STATE(3630)] = 120976,
  [SMALL_STATE(3631)] = 120985,
  [SMALL_STATE(3632)] = 120994,
  [SMALL_STATE(3633)] = 121003,
  [SMALL_STATE(3634)] = 121012,
  [SMALL_STATE(3635)] = 121021,
  [SMALL_STATE(3636)] = 121030,
  [SMALL_STATE(3637)] = 121039,
  [SMALL_STATE(3638)] = 121048,
  [SMALL_STATE(3639)] = 121057,
  [SMALL_STATE(3640)] = 121066,
  [SMALL_STATE(3641)] = 121077,
  [SMALL_STATE(3642)] = 121086,
  [SMALL_STATE(3643)] = 121095,
  [SMALL_STATE(3644)] = 121104,
  [SMALL_STATE(3645)] = 121113,
  [SMALL_STATE(3646)] = 121122,
  [SMALL_STATE(3647)] = 121131,
  [SMALL_STATE(3648)] = 121140,
  [SMALL_STATE(3649)] = 121149,
  [SMALL_STATE(3650)] = 121158,
  [SMALL_STATE(3651)] = 121167,
  [SMALL_STATE(3652)] = 121176,
  [SMALL_STATE(3653)] = 121185,
  [SMALL_STATE(3654)] = 121194,
  [SMALL_STATE(3655)] = 121203,
  [SMALL_STATE(3656)] = 121212,
  [SMALL_STATE(3657)] = 121221,
  [SMALL_STATE(3658)] = 121230,
  [SMALL_STATE(3659)] = 121239,
  [SMALL_STATE(3660)] = 121248,
  [SMALL_STATE(3661)] = 121257,
  [SMALL_STATE(3662)] = 121266,
  [SMALL_STATE(3663)] = 121275,
  [SMALL_STATE(3664)] = 121284,
  [SMALL_STATE(3665)] = 121293,
  [SMALL_STATE(3666)] = 121302,
  [SMALL_STATE(3667)] = 121311,
  [SMALL_STATE(3668)] = 121320,
  [SMALL_STATE(3669)] = 121329,
  [SMALL_STATE(3670)] = 121338,
  [SMALL_STATE(3671)] = 121347,
  [SMALL_STATE(3672)] = 121356,
  [SMALL_STATE(3673)] = 121365,
  [SMALL_STATE(3674)] = 121376,
  [SMALL_STATE(3675)] = 121385,
  [SMALL_STATE(3676)] = 121394,
  [SMALL_STATE(3677)] = 121403,
  [SMALL_STATE(3678)] = 121412,
  [SMALL_STATE(3679)] = 121421,
  [SMALL_STATE(3680)] = 121430,
  [SMALL_STATE(3681)] = 121439,
  [SMALL_STATE(3682)] = 121448,
  [SMALL_STATE(3683)] = 121457,
  [SMALL_STATE(3684)] = 121466,
  [SMALL_STATE(3685)] = 121475,
  [SMALL_STATE(3686)] = 121484,
  [SMALL_STATE(3687)] = 121493,
  [SMALL_STATE(3688)] = 121502,
  [SMALL_STATE(3689)] = 121511,
  [SMALL_STATE(3690)] = 121520,
  [SMALL_STATE(3691)] = 121529,
  [SMALL_STATE(3692)] = 121538,
  [SMALL_STATE(3693)] = 121547,
  [SMALL_STATE(3694)] = 121556,
  [SMALL_STATE(3695)] = 121565,
  [SMALL_STATE(3696)] = 121574,
  [SMALL_STATE(3697)] = 121583,
  [SMALL_STATE(3698)] = 121592,
  [SMALL_STATE(3699)] = 121601,
  [SMALL_STATE(3700)] = 121610,
  [SMALL_STATE(3701)] = 121619,
  [SMALL_STATE(3702)] = 121628,
  [SMALL_STATE(3703)] = 121637,
  [SMALL_STATE(3704)] = 121646,
  [SMALL_STATE(3705)] = 121655,
  [SMALL_STATE(3706)] = 121664,
  [SMALL_STATE(3707)] = 121673,
  [SMALL_STATE(3708)] = 121682,
  [SMALL_STATE(3709)] = 121691,
  [SMALL_STATE(3710)] = 121700,
  [SMALL_STATE(3711)] = 121709,
  [SMALL_STATE(3712)] = 121718,
  [SMALL_STATE(3713)] = 121727,
  [SMALL_STATE(3714)] = 121736,
  [SMALL_STATE(3715)] = 121745,
  [SMALL_STATE(3716)] = 121754,
  [SMALL_STATE(3717)] = 121763,
  [SMALL_STATE(3718)] = 121772,
  [SMALL_STATE(3719)] = 121781,
  [SMALL_STATE(3720)] = 121790,
  [SMALL_STATE(3721)] = 121799,
  [SMALL_STATE(3722)] = 121808,
  [SMALL_STATE(3723)] = 121817,
  [SMALL_STATE(3724)] = 121826,
  [SMALL_STATE(3725)] = 121835,
  [SMALL_STATE(3726)] = 121844,
  [SMALL_STATE(3727)] = 121853,
  [SMALL_STATE(3728)] = 121862,
  [SMALL_STATE(3729)] = 121871,
  [SMALL_STATE(3730)] = 121880,
  [SMALL_STATE(3731)] = 121889,
  [SMALL_STATE(3732)] = 121898,
  [SMALL_STATE(3733)] = 121907,
  [SMALL_STATE(3734)] = 121916,
  [SMALL_STATE(3735)] = 121925,
  [SMALL_STATE(3736)] = 121936,
  [SMALL_STATE(3737)] = 121945,
  [SMALL_STATE(3738)] = 121954,
  [SMALL_STATE(3739)] = 121963,
  [SMALL_STATE(3740)] = 121972,
  [SMALL_STATE(3741)] = 121981,
  [SMALL_STATE(3742)] = 121990,
  [SMALL_STATE(3743)] = 121999,
  [SMALL_STATE(3744)] = 122008,
  [SMALL_STATE(3745)] = 122017,
  [SMALL_STATE(3746)] = 122026,
  [SMALL_STATE(3747)] = 122035,
  [SMALL_STATE(3748)] = 122044,
  [SMALL_STATE(3749)] = 122053,
  [SMALL_STATE(3750)] = 122062,
  [SMALL_STATE(3751)] = 122071,
  [SMALL_STATE(3752)] = 122080,
  [SMALL_STATE(3753)] = 122089,
  [SMALL_STATE(3754)] = 122098,
  [SMALL_STATE(3755)] = 122107,
  [SMALL_STATE(3756)] = 122116,
  [SMALL_STATE(3757)] = 122125,
  [SMALL_STATE(3758)] = 122134,
  [SMALL_STATE(3759)] = 122143,
  [SMALL_STATE(3760)] = 122152,
  [SMALL_STATE(3761)] = 122161,
  [SMALL_STATE(3762)] = 122170,
  [SMALL_STATE(3763)] = 122179,
  [SMALL_STATE(3764)] = 122188,
  [SMALL_STATE(3765)] = 122197,
  [SMALL_STATE(3766)] = 122206,
  [SMALL_STATE(3767)] = 122215,
  [SMALL_STATE(3768)] = 122224,
  [SMALL_STATE(3769)] = 122233,
  [SMALL_STATE(3770)] = 122242,
  [SMALL_STATE(3771)] = 122251,
  [SMALL_STATE(3772)] = 122260,
  [SMALL_STATE(3773)] = 122269,
  [SMALL_STATE(3774)] = 122278,
  [SMALL_STATE(3775)] = 122287,
  [SMALL_STATE(3776)] = 122296,
  [SMALL_STATE(3777)] = 122305,
  [SMALL_STATE(3778)] = 122314,
  [SMALL_STATE(3779)] = 122323,
  [SMALL_STATE(3780)] = 122332,
  [SMALL_STATE(3781)] = 122341,
  [SMALL_STATE(3782)] = 122350,
  [SMALL_STATE(3783)] = 122359,
  [SMALL_STATE(3784)] = 122368,
  [SMALL_STATE(3785)] = 122377,
  [SMALL_STATE(3786)] = 122386,
  [SMALL_STATE(3787)] = 122395,
  [SMALL_STATE(3788)] = 122404,
  [SMALL_STATE(3789)] = 122413,
  [SMALL_STATE(3790)] = 122422,
  [SMALL_STATE(3791)] = 122431,
  [SMALL_STATE(3792)] = 122440,
  [SMALL_STATE(3793)] = 122449,
  [SMALL_STATE(3794)] = 122458,
  [SMALL_STATE(3795)] = 122467,
  [SMALL_STATE(3796)] = 122476,
  [SMALL_STATE(3797)] = 122485,
  [SMALL_STATE(3798)] = 122494,
  [SMALL_STATE(3799)] = 122503,
  [SMALL_STATE(3800)] = 122512,
  [SMALL_STATE(3801)] = 122521,
  [SMALL_STATE(3802)] = 122530,
  [SMALL_STATE(3803)] = 122539,
  [SMALL_STATE(3804)] = 122548,
  [SMALL_STATE(3805)] = 122557,
  [SMALL_STATE(3806)] = 122566,
  [SMALL_STATE(3807)] = 122575,
  [SMALL_STATE(3808)] = 122584,
  [SMALL_STATE(3809)] = 122593,
  [SMALL_STATE(3810)] = 122602,
  [SMALL_STATE(3811)] = 122611,
  [SMALL_STATE(3812)] = 122620,
  [SMALL_STATE(3813)] = 122629,
  [SMALL_STATE(3814)] = 122638,
  [SMALL_STATE(3815)] = 122647,
  [SMALL_STATE(3816)] = 122656,
  [SMALL_STATE(3817)] = 122665,
  [SMALL_STATE(3818)] = 122674,
  [SMALL_STATE(3819)] = 122683,
  [SMALL_STATE(3820)] = 122692,
  [SMALL_STATE(3821)] = 122701,
  [SMALL_STATE(3822)] = 122710,
  [SMALL_STATE(3823)] = 122719,
  [SMALL_STATE(3824)] = 122728,
  [SMALL_STATE(3825)] = 122737,
  [SMALL_STATE(3826)] = 122746,
  [SMALL_STATE(3827)] = 122755,
  [SMALL_STATE(3828)] = 122764,
  [SMALL_STATE(3829)] = 122773,
  [SMALL_STATE(3830)] = 122782,
  [SMALL_STATE(3831)] = 122791,
  [SMALL_STATE(3832)] = 122800,
  [SMALL_STATE(3833)] = 122809,
  [SMALL_STATE(3834)] = 122818,
  [SMALL_STATE(3835)] = 122827,
  [SMALL_STATE(3836)] = 122836,
  [SMALL_STATE(3837)] = 122845,
  [SMALL_STATE(3838)] = 122854,
  [SMALL_STATE(3839)] = 122863,
  [SMALL_STATE(3840)] = 122872,
  [SMALL_STATE(3841)] = 122881,
  [SMALL_STATE(3842)] = 122890,
  [SMALL_STATE(3843)] = 122899,
  [SMALL_STATE(3844)] = 122908,
  [SMALL_STATE(3845)] = 122917,
  [SMALL_STATE(3846)] = 122926,
  [SMALL_STATE(3847)] = 122935,
  [SMALL_STATE(3848)] = 122944,
  [SMALL_STATE(3849)] = 122953,
  [SMALL_STATE(3850)] = 122962,
  [SMALL_STATE(3851)] = 122971,
  [SMALL_STATE(3852)] = 122980,
  [SMALL_STATE(3853)] = 122989,
  [SMALL_STATE(3854)] = 122998,
  [SMALL_STATE(3855)] = 123007,
  [SMALL_STATE(3856)] = 123016,
  [SMALL_STATE(3857)] = 123025,
  [SMALL_STATE(3858)] = 123034,
  [SMALL_STATE(3859)] = 123043,
  [SMALL_STATE(3860)] = 123052,
  [SMALL_STATE(3861)] = 123061,
  [SMALL_STATE(3862)] = 123070,
  [SMALL_STATE(3863)] = 123079,
  [SMALL_STATE(3864)] = 123088,
  [SMALL_STATE(3865)] = 123097,
  [SMALL_STATE(3866)] = 123106,
  [SMALL_STATE(3867)] = 123115,
  [SMALL_STATE(3868)] = 123124,
  [SMALL_STATE(3869)] = 123133,
  [SMALL_STATE(3870)] = 123142,
  [SMALL_STATE(3871)] = 123151,
  [SMALL_STATE(3872)] = 123160,
  [SMALL_STATE(3873)] = 123169,
  [SMALL_STATE(3874)] = 123178,
  [SMALL_STATE(3875)] = 123187,
  [SMALL_STATE(3876)] = 123196,
  [SMALL_STATE(3877)] = 123205,
  [SMALL_STATE(3878)] = 123214,
  [SMALL_STATE(3879)] = 123223,
  [SMALL_STATE(3880)] = 123232,
  [SMALL_STATE(3881)] = 123241,
  [SMALL_STATE(3882)] = 123250,
  [SMALL_STATE(3883)] = 123259,
  [SMALL_STATE(3884)] = 123268,
  [SMALL_STATE(3885)] = 123277,
  [SMALL_STATE(3886)] = 123286,
  [SMALL_STATE(3887)] = 123295,
  [SMALL_STATE(3888)] = 123304,
  [SMALL_STATE(3889)] = 123313,
  [SMALL_STATE(3890)] = 123322,
  [SMALL_STATE(3891)] = 123331,
  [SMALL_STATE(3892)] = 123340,
  [SMALL_STATE(3893)] = 123349,
  [SMALL_STATE(3894)] = 123358,
  [SMALL_STATE(3895)] = 123367,
  [SMALL_STATE(3896)] = 123376,
  [SMALL_STATE(3897)] = 123385,
  [SMALL_STATE(3898)] = 123394,
  [SMALL_STATE(3899)] = 123403,
  [SMALL_STATE(3900)] = 123412,
  [SMALL_STATE(3901)] = 123421,
  [SMALL_STATE(3902)] = 123430,
  [SMALL_STATE(3903)] = 123439,
  [SMALL_STATE(3904)] = 123448,
  [SMALL_STATE(3905)] = 123457,
  [SMALL_STATE(3906)] = 123466,
  [SMALL_STATE(3907)] = 123475,
  [SMALL_STATE(3908)] = 123484,
  [SMALL_STATE(3909)] = 123493,
  [SMALL_STATE(3910)] = 123502,
  [SMALL_STATE(3911)] = 123511,
  [SMALL_STATE(3912)] = 123520,
  [SMALL_STATE(3913)] = 123529,
  [SMALL_STATE(3914)] = 123538,
  [SMALL_STATE(3915)] = 123547,
  [SMALL_STATE(3916)] = 123556,
  [SMALL_STATE(3917)] = 123565,
  [SMALL_STATE(3918)] = 123574,
  [SMALL_STATE(3919)] = 123583,
  [SMALL_STATE(3920)] = 123592,
  [SMALL_STATE(3921)] = 123601,
  [SMALL_STATE(3922)] = 123610,
  [SMALL_STATE(3923)] = 123619,
  [SMALL_STATE(3924)] = 123628,
  [SMALL_STATE(3925)] = 123637,
  [SMALL_STATE(3926)] = 123646,
  [SMALL_STATE(3927)] = 123655,
  [SMALL_STATE(3928)] = 123664,
  [SMALL_STATE(3929)] = 123673,
  [SMALL_STATE(3930)] = 123682,
  [SMALL_STATE(3931)] = 123691,
  [SMALL_STATE(3932)] = 123700,
  [SMALL_STATE(3933)] = 123709,
  [SMALL_STATE(3934)] = 123718,
  [SMALL_STATE(3935)] = 123727,
  [SMALL_STATE(3936)] = 123736,
  [SMALL_STATE(3937)] = 123745,
  [SMALL_STATE(3938)] = 123754,
  [SMALL_STATE(3939)] = 123763,
  [SMALL_STATE(3940)] = 123772,
  [SMALL_STATE(3941)] = 123781,
  [SMALL_STATE(3942)] = 123790,
  [SMALL_STATE(3943)] = 123799,
  [SMALL_STATE(3944)] = 123808,
  [SMALL_STATE(3945)] = 123817,
  [SMALL_STATE(3946)] = 123826,
  [SMALL_STATE(3947)] = 123835,
  [SMALL_STATE(3948)] = 123844,
  [SMALL_STATE(3949)] = 123853,
  [SMALL_STATE(3950)] = 123862,
  [SMALL_STATE(3951)] = 123871,
  [SMALL_STATE(3952)] = 123880,
  [SMALL_STATE(3953)] = 123889,
  [SMALL_STATE(3954)] = 123898,
  [SMALL_STATE(3955)] = 123907,
  [SMALL_STATE(3956)] = 123916,
  [SMALL_STATE(3957)] = 123925,
  [SMALL_STATE(3958)] = 123934,
  [SMALL_STATE(3959)] = 123943,
  [SMALL_STATE(3960)] = 123952,
  [SMALL_STATE(3961)] = 123961,
  [SMALL_STATE(3962)] = 123970,
  [SMALL_STATE(3963)] = 123979,
  [SMALL_STATE(3964)] = 123988,
  [SMALL_STATE(3965)] = 123997,
  [SMALL_STATE(3966)] = 124006,
  [SMALL_STATE(3967)] = 124015,
  [SMALL_STATE(3968)] = 124024,
  [SMALL_STATE(3969)] = 124033,
  [SMALL_STATE(3970)] = 124042,
  [SMALL_STATE(3971)] = 124051,
  [SMALL_STATE(3972)] = 124060,
  [SMALL_STATE(3973)] = 124069,
  [SMALL_STATE(3974)] = 124078,
  [SMALL_STATE(3975)] = 124087,
  [SMALL_STATE(3976)] = 124096,
  [SMALL_STATE(3977)] = 124105,
  [SMALL_STATE(3978)] = 124114,
  [SMALL_STATE(3979)] = 124123,
  [SMALL_STATE(3980)] = 124132,
  [SMALL_STATE(3981)] = 124141,
  [SMALL_STATE(3982)] = 124150,
  [SMALL_STATE(3983)] = 124159,
  [SMALL_STATE(3984)] = 124168,
  [SMALL_STATE(3985)] = 124177,
  [SMALL_STATE(3986)] = 124186,
  [SMALL_STATE(3987)] = 124195,
  [SMALL_STATE(3988)] = 124204,
  [SMALL_STATE(3989)] = 124213,
  [SMALL_STATE(3990)] = 124222,
  [SMALL_STATE(3991)] = 124231,
  [SMALL_STATE(3992)] = 124240,
  [SMALL_STATE(3993)] = 124249,
  [SMALL_STATE(3994)] = 124258,
  [SMALL_STATE(3995)] = 124267,
  [SMALL_STATE(3996)] = 124276,
  [SMALL_STATE(3997)] = 124285,
  [SMALL_STATE(3998)] = 124294,
  [SMALL_STATE(3999)] = 124303,
  [SMALL_STATE(4000)] = 124312,
  [SMALL_STATE(4001)] = 124321,
  [SMALL_STATE(4002)] = 124330,
  [SMALL_STATE(4003)] = 124339,
  [SMALL_STATE(4004)] = 124348,
  [SMALL_STATE(4005)] = 124357,
  [SMALL_STATE(4006)] = 124366,
  [SMALL_STATE(4007)] = 124375,
  [SMALL_STATE(4008)] = 124384,
  [SMALL_STATE(4009)] = 124393,
  [SMALL_STATE(4010)] = 124402,
  [SMALL_STATE(4011)] = 124411,
  [SMALL_STATE(4012)] = 124420,
  [SMALL_STATE(4013)] = 124429,
  [SMALL_STATE(4014)] = 124438,
  [SMALL_STATE(4015)] = 124447,
  [SMALL_STATE(4016)] = 124456,
  [SMALL_STATE(4017)] = 124465,
  [SMALL_STATE(4018)] = 124474,
  [SMALL_STATE(4019)] = 124483,
  [SMALL_STATE(4020)] = 124492,
  [SMALL_STATE(4021)] = 124501,
  [SMALL_STATE(4022)] = 124510,
  [SMALL_STATE(4023)] = 124519,
  [SMALL_STATE(4024)] = 124528,
  [SMALL_STATE(4025)] = 124537,
  [SMALL_STATE(4026)] = 124546,
  [SMALL_STATE(4027)] = 124555,
  [SMALL_STATE(4028)] = 124564,
  [SMALL_STATE(4029)] = 124573,
  [SMALL_STATE(4030)] = 124582,
  [SMALL_STATE(4031)] = 124591,
  [SMALL_STATE(4032)] = 124600,
  [SMALL_STATE(4033)] = 124609,
  [SMALL_STATE(4034)] = 124618,
  [SMALL_STATE(4035)] = 124627,
  [SMALL_STATE(4036)] = 124636,
  [SMALL_STATE(4037)] = 124645,
  [SMALL_STATE(4038)] = 124654,
  [SMALL_STATE(4039)] = 124663,
  [SMALL_STATE(4040)] = 124672,
  [SMALL_STATE(4041)] = 124681,
  [SMALL_STATE(4042)] = 124690,
  [SMALL_STATE(4043)] = 124699,
  [SMALL_STATE(4044)] = 124708,
  [SMALL_STATE(4045)] = 124717,
  [SMALL_STATE(4046)] = 124726,
  [SMALL_STATE(4047)] = 124735,
  [SMALL_STATE(4048)] = 124744,
  [SMALL_STATE(4049)] = 124753,
  [SMALL_STATE(4050)] = 124762,
  [SMALL_STATE(4051)] = 124771,
  [SMALL_STATE(4052)] = 124780,
  [SMALL_STATE(4053)] = 124789,
  [SMALL_STATE(4054)] = 124798,
  [SMALL_STATE(4055)] = 124807,
  [SMALL_STATE(4056)] = 124816,
  [SMALL_STATE(4057)] = 124825,
  [SMALL_STATE(4058)] = 124834,
  [SMALL_STATE(4059)] = 124843,
  [SMALL_STATE(4060)] = 124852,
  [SMALL_STATE(4061)] = 124861,
  [SMALL_STATE(4062)] = 124870,
  [SMALL_STATE(4063)] = 124879,
  [SMALL_STATE(4064)] = 124888,
  [SMALL_STATE(4065)] = 124897,
  [SMALL_STATE(4066)] = 124906,
  [SMALL_STATE(4067)] = 124915,
  [SMALL_STATE(4068)] = 124924,
  [SMALL_STATE(4069)] = 124933,
  [SMALL_STATE(4070)] = 124942,
  [SMALL_STATE(4071)] = 124951,
  [SMALL_STATE(4072)] = 124960,
  [SMALL_STATE(4073)] = 124969,
  [SMALL_STATE(4074)] = 124978,
  [SMALL_STATE(4075)] = 124987,
  [SMALL_STATE(4076)] = 124996,
  [SMALL_STATE(4077)] = 125005,
  [SMALL_STATE(4078)] = 125014,
  [SMALL_STATE(4079)] = 125023,
  [SMALL_STATE(4080)] = 125032,
  [SMALL_STATE(4081)] = 125041,
  [SMALL_STATE(4082)] = 125050,
  [SMALL_STATE(4083)] = 125059,
  [SMALL_STATE(4084)] = 125068,
  [SMALL_STATE(4085)] = 125077,
  [SMALL_STATE(4086)] = 125086,
  [SMALL_STATE(4087)] = 125095,
  [SMALL_STATE(4088)] = 125104,
  [SMALL_STATE(4089)] = 125113,
  [SMALL_STATE(4090)] = 125122,
  [SMALL_STATE(4091)] = 125131,
  [SMALL_STATE(4092)] = 125140,
  [SMALL_STATE(4093)] = 125149,
  [SMALL_STATE(4094)] = 125158,
  [SMALL_STATE(4095)] = 125167,
  [SMALL_STATE(4096)] = 125176,
  [SMALL_STATE(4097)] = 125185,
  [SMALL_STATE(4098)] = 125194,
  [SMALL_STATE(4099)] = 125203,
  [SMALL_STATE(4100)] = 125212,
  [SMALL_STATE(4101)] = 125221,
  [SMALL_STATE(4102)] = 125230,
  [SMALL_STATE(4103)] = 125239,
  [SMALL_STATE(4104)] = 125248,
  [SMALL_STATE(4105)] = 125257,
  [SMALL_STATE(4106)] = 125266,
  [SMALL_STATE(4107)] = 125275,
  [SMALL_STATE(4108)] = 125284,
  [SMALL_STATE(4109)] = 125293,
  [SMALL_STATE(4110)] = 125302,
  [SMALL_STATE(4111)] = 125311,
  [SMALL_STATE(4112)] = 125320,
  [SMALL_STATE(4113)] = 125329,
  [SMALL_STATE(4114)] = 125338,
  [SMALL_STATE(4115)] = 125347,
  [SMALL_STATE(4116)] = 125356,
  [SMALL_STATE(4117)] = 125365,
  [SMALL_STATE(4118)] = 125374,
  [SMALL_STATE(4119)] = 125383,
  [SMALL_STATE(4120)] = 125392,
  [SMALL_STATE(4121)] = 125401,
  [SMALL_STATE(4122)] = 125410,
  [SMALL_STATE(4123)] = 125419,
  [SMALL_STATE(4124)] = 125428,
  [SMALL_STATE(4125)] = 125437,
  [SMALL_STATE(4126)] = 125446,
  [SMALL_STATE(4127)] = 125455,
  [SMALL_STATE(4128)] = 125464,
  [SMALL_STATE(4129)] = 125473,
  [SMALL_STATE(4130)] = 125482,
  [SMALL_STATE(4131)] = 125491,
  [SMALL_STATE(4132)] = 125500,
  [SMALL_STATE(4133)] = 125509,
  [SMALL_STATE(4134)] = 125518,
  [SMALL_STATE(4135)] = 125527,
  [SMALL_STATE(4136)] = 125536,
  [SMALL_STATE(4137)] = 125545,
  [SMALL_STATE(4138)] = 125554,
  [SMALL_STATE(4139)] = 125563,
  [SMALL_STATE(4140)] = 125572,
  [SMALL_STATE(4141)] = 125581,
  [SMALL_STATE(4142)] = 125590,
  [SMALL_STATE(4143)] = 125599,
  [SMALL_STATE(4144)] = 125608,
  [SMALL_STATE(4145)] = 125617,
  [SMALL_STATE(4146)] = 125626,
  [SMALL_STATE(4147)] = 125635,
  [SMALL_STATE(4148)] = 125644,
  [SMALL_STATE(4149)] = 125653,
  [SMALL_STATE(4150)] = 125662,
  [SMALL_STATE(4151)] = 125671,
  [SMALL_STATE(4152)] = 125680,
  [SMALL_STATE(4153)] = 125689,
  [SMALL_STATE(4154)] = 125698,
  [SMALL_STATE(4155)] = 125707,
  [SMALL_STATE(4156)] = 125716,
  [SMALL_STATE(4157)] = 125725,
  [SMALL_STATE(4158)] = 125734,
  [SMALL_STATE(4159)] = 125743,
  [SMALL_STATE(4160)] = 125752,
  [SMALL_STATE(4161)] = 125761,
  [SMALL_STATE(4162)] = 125770,
  [SMALL_STATE(4163)] = 125779,
  [SMALL_STATE(4164)] = 125788,
  [SMALL_STATE(4165)] = 125797,
  [SMALL_STATE(4166)] = 125806,
  [SMALL_STATE(4167)] = 125815,
  [SMALL_STATE(4168)] = 125824,
  [SMALL_STATE(4169)] = 125833,
  [SMALL_STATE(4170)] = 125842,
  [SMALL_STATE(4171)] = 125851,
  [SMALL_STATE(4172)] = 125860,
  [SMALL_STATE(4173)] = 125869,
  [SMALL_STATE(4174)] = 125878,
  [SMALL_STATE(4175)] = 125887,
  [SMALL_STATE(4176)] = 125896,
  [SMALL_STATE(4177)] = 125905,
  [SMALL_STATE(4178)] = 125914,
  [SMALL_STATE(4179)] = 125923,
  [SMALL_STATE(4180)] = 125932,
  [SMALL_STATE(4181)] = 125941,
  [SMALL_STATE(4182)] = 125950,
  [SMALL_STATE(4183)] = 125959,
  [SMALL_STATE(4184)] = 125968,
  [SMALL_STATE(4185)] = 125977,
  [SMALL_STATE(4186)] = 125986,
  [SMALL_STATE(4187)] = 125995,
  [SMALL_STATE(4188)] = 126004,
  [SMALL_STATE(4189)] = 126013,
  [SMALL_STATE(4190)] = 126022,
  [SMALL_STATE(4191)] = 126031,
  [SMALL_STATE(4192)] = 126040,
  [SMALL_STATE(4193)] = 126049,
  [SMALL_STATE(4194)] = 126058,
  [SMALL_STATE(4195)] = 126067,
  [SMALL_STATE(4196)] = 126076,
  [SMALL_STATE(4197)] = 126085,
  [SMALL_STATE(4198)] = 126094,
  [SMALL_STATE(4199)] = 126103,
  [SMALL_STATE(4200)] = 126112,
  [SMALL_STATE(4201)] = 126121,
  [SMALL_STATE(4202)] = 126130,
  [SMALL_STATE(4203)] = 126139,
  [SMALL_STATE(4204)] = 126148,
  [SMALL_STATE(4205)] = 126157,
  [SMALL_STATE(4206)] = 126166,
  [SMALL_STATE(4207)] = 126175,
  [SMALL_STATE(4208)] = 126184,
  [SMALL_STATE(4209)] = 126193,
  [SMALL_STATE(4210)] = 126202,
  [SMALL_STATE(4211)] = 126211,
  [SMALL_STATE(4212)] = 126220,
  [SMALL_STATE(4213)] = 126229,
  [SMALL_STATE(4214)] = 126238,
  [SMALL_STATE(4215)] = 126247,
  [SMALL_STATE(4216)] = 126256,
  [SMALL_STATE(4217)] = 126265,
  [SMALL_STATE(4218)] = 126274,
  [SMALL_STATE(4219)] = 126283,
  [SMALL_STATE(4220)] = 126292,
  [SMALL_STATE(4221)] = 126301,
  [SMALL_STATE(4222)] = 126310,
  [SMALL_STATE(4223)] = 126319,
  [SMALL_STATE(4224)] = 126328,
  [SMALL_STATE(4225)] = 126337,
  [SMALL_STATE(4226)] = 126346,
  [SMALL_STATE(4227)] = 126355,
  [SMALL_STATE(4228)] = 126364,
  [SMALL_STATE(4229)] = 126373,
  [SMALL_STATE(4230)] = 126382,
  [SMALL_STATE(4231)] = 126391,
  [SMALL_STATE(4232)] = 126400,
  [SMALL_STATE(4233)] = 126409,
  [SMALL_STATE(4234)] = 126418,
  [SMALL_STATE(4235)] = 126427,
  [SMALL_STATE(4236)] = 126436,
  [SMALL_STATE(4237)] = 126445,
  [SMALL_STATE(4238)] = 126454,
  [SMALL_STATE(4239)] = 126463,
  [SMALL_STATE(4240)] = 126472,
  [SMALL_STATE(4241)] = 126481,
  [SMALL_STATE(4242)] = 126490,
  [SMALL_STATE(4243)] = 126499,
  [SMALL_STATE(4244)] = 126508,
  [SMALL_STATE(4245)] = 126517,
  [SMALL_STATE(4246)] = 126526,
  [SMALL_STATE(4247)] = 126535,
  [SMALL_STATE(4248)] = 126544,
  [SMALL_STATE(4249)] = 126553,
  [SMALL_STATE(4250)] = 126562,
  [SMALL_STATE(4251)] = 126571,
  [SMALL_STATE(4252)] = 126580,
  [SMALL_STATE(4253)] = 126589,
  [SMALL_STATE(4254)] = 126598,
  [SMALL_STATE(4255)] = 126607,
  [SMALL_STATE(4256)] = 126616,
  [SMALL_STATE(4257)] = 126625,
  [SMALL_STATE(4258)] = 126634,
  [SMALL_STATE(4259)] = 126643,
  [SMALL_STATE(4260)] = 126652,
  [SMALL_STATE(4261)] = 126661,
  [SMALL_STATE(4262)] = 126670,
  [SMALL_STATE(4263)] = 126679,
  [SMALL_STATE(4264)] = 126688,
  [SMALL_STATE(4265)] = 126697,
  [SMALL_STATE(4266)] = 126706,
  [SMALL_STATE(4267)] = 126715,
  [SMALL_STATE(4268)] = 126724,
  [SMALL_STATE(4269)] = 126733,
  [SMALL_STATE(4270)] = 126742,
  [SMALL_STATE(4271)] = 126751,
  [SMALL_STATE(4272)] = 126760,
  [SMALL_STATE(4273)] = 126769,
  [SMALL_STATE(4274)] = 126778,
  [SMALL_STATE(4275)] = 126787,
  [SMALL_STATE(4276)] = 126796,
  [SMALL_STATE(4277)] = 126805,
  [SMALL_STATE(4278)] = 126814,
  [SMALL_STATE(4279)] = 126823,
  [SMALL_STATE(4280)] = 126832,
  [SMALL_STATE(4281)] = 126841,
  [SMALL_STATE(4282)] = 126850,
  [SMALL_STATE(4283)] = 126859,
  [SMALL_STATE(4284)] = 126868,
  [SMALL_STATE(4285)] = 126877,
  [SMALL_STATE(4286)] = 126886,
  [SMALL_STATE(4287)] = 126895,
  [SMALL_STATE(4288)] = 126904,
  [SMALL_STATE(4289)] = 126913,
  [SMALL_STATE(4290)] = 126922,
  [SMALL_STATE(4291)] = 126931,
  [SMALL_STATE(4292)] = 126940,
  [SMALL_STATE(4293)] = 126949,
  [SMALL_STATE(4294)] = 126958,
  [SMALL_STATE(4295)] = 126967,
  [SMALL_STATE(4296)] = 126976,
  [SMALL_STATE(4297)] = 126985,
  [SMALL_STATE(4298)] = 126994,
  [SMALL_STATE(4299)] = 127003,
  [SMALL_STATE(4300)] = 127012,
  [SMALL_STATE(4301)] = 127021,
  [SMALL_STATE(4302)] = 127030,
  [SMALL_STATE(4303)] = 127039,
  [SMALL_STATE(4304)] = 127048,
  [SMALL_STATE(4305)] = 127057,
  [SMALL_STATE(4306)] = 127066,
  [SMALL_STATE(4307)] = 127075,
  [SMALL_STATE(4308)] = 127084,
  [SMALL_STATE(4309)] = 127093,
  [SMALL_STATE(4310)] = 127102,
  [SMALL_STATE(4311)] = 127111,
  [SMALL_STATE(4312)] = 127120,
  [SMALL_STATE(4313)] = 127129,
  [SMALL_STATE(4314)] = 127138,
  [SMALL_STATE(4315)] = 127147,
  [SMALL_STATE(4316)] = 127156,
  [SMALL_STATE(4317)] = 127165,
  [SMALL_STATE(4318)] = 127174,
  [SMALL_STATE(4319)] = 127183,
  [SMALL_STATE(4320)] = 127192,
  [SMALL_STATE(4321)] = 127201,
  [SMALL_STATE(4322)] = 127210,
  [SMALL_STATE(4323)] = 127219,
  [SMALL_STATE(4324)] = 127228,
  [SMALL_STATE(4325)] = 127237,
  [SMALL_STATE(4326)] = 127246,
  [SMALL_STATE(4327)] = 127255,
  [SMALL_STATE(4328)] = 127264,
  [SMALL_STATE(4329)] = 127273,
  [SMALL_STATE(4330)] = 127282,
  [SMALL_STATE(4331)] = 127291,
  [SMALL_STATE(4332)] = 127300,
  [SMALL_STATE(4333)] = 127309,
  [SMALL_STATE(4334)] = 127318,
  [SMALL_STATE(4335)] = 127327,
  [SMALL_STATE(4336)] = 127336,
  [SMALL_STATE(4337)] = 127345,
  [SMALL_STATE(4338)] = 127354,
  [SMALL_STATE(4339)] = 127363,
  [SMALL_STATE(4340)] = 127372,
  [SMALL_STATE(4341)] = 127381,
  [SMALL_STATE(4342)] = 127390,
  [SMALL_STATE(4343)] = 127399,
  [SMALL_STATE(4344)] = 127408,
  [SMALL_STATE(4345)] = 127417,
  [SMALL_STATE(4346)] = 127426,
  [SMALL_STATE(4347)] = 127435,
  [SMALL_STATE(4348)] = 127444,
  [SMALL_STATE(4349)] = 127453,
  [SMALL_STATE(4350)] = 127462,
  [SMALL_STATE(4351)] = 127471,
  [SMALL_STATE(4352)] = 127480,
  [SMALL_STATE(4353)] = 127489,
  [SMALL_STATE(4354)] = 127498,
  [SMALL_STATE(4355)] = 127507,
  [SMALL_STATE(4356)] = 127516,
  [SMALL_STATE(4357)] = 127525,
  [SMALL_STATE(4358)] = 127534,
  [SMALL_STATE(4359)] = 127543,
  [SMALL_STATE(4360)] = 127552,
  [SMALL_STATE(4361)] = 127561,
  [SMALL_STATE(4362)] = 127570,
  [SMALL_STATE(4363)] = 127579,
  [SMALL_STATE(4364)] = 127588,
  [SMALL_STATE(4365)] = 127597,
  [SMALL_STATE(4366)] = 127606,
  [SMALL_STATE(4367)] = 127615,
  [SMALL_STATE(4368)] = 127624,
  [SMALL_STATE(4369)] = 127633,
  [SMALL_STATE(4370)] = 127642,
  [SMALL_STATE(4371)] = 127651,
  [SMALL_STATE(4372)] = 127660,
  [SMALL_STATE(4373)] = 127669,
  [SMALL_STATE(4374)] = 127678,
  [SMALL_STATE(4375)] = 127687,
  [SMALL_STATE(4376)] = 127696,
  [SMALL_STATE(4377)] = 127705,
  [SMALL_STATE(4378)] = 127714,
  [SMALL_STATE(4379)] = 127723,
  [SMALL_STATE(4380)] = 127732,
  [SMALL_STATE(4381)] = 127741,
  [SMALL_STATE(4382)] = 127750,
  [SMALL_STATE(4383)] = 127759,
  [SMALL_STATE(4384)] = 127768,
  [SMALL_STATE(4385)] = 127777,
  [SMALL_STATE(4386)] = 127786,
  [SMALL_STATE(4387)] = 127795,
  [SMALL_STATE(4388)] = 127804,
  [SMALL_STATE(4389)] = 127813,
  [SMALL_STATE(4390)] = 127822,
  [SMALL_STATE(4391)] = 127831,
  [SMALL_STATE(4392)] = 127840,
  [SMALL_STATE(4393)] = 127849,
  [SMALL_STATE(4394)] = 127858,
  [SMALL_STATE(4395)] = 127867,
  [SMALL_STATE(4396)] = 127876,
  [SMALL_STATE(4397)] = 127885,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [9] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 1, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [15] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 1, 0, 0),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [63] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elude, 1, 0, 0),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elude, 1, 0, 0),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(4238),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(4264),
  [1245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [1251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(4239),
  [1254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(314),
  [1260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [1266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3756),
  [1269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [1272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0),
  [1277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(67),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(446),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3282),
  [1298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(546),
  [1301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(29),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2998),
  [1313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(4244),
  [1316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3438),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3748),
  [1334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4269),
  [1337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(932),
  [1340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [1343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3749),
  [1346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [1355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(498),
  [1358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3780),
  [1361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [1364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(62),
  [1367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(74),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(449),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3283),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(39),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [1405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4251),
  [1408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3439),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [2961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3668),
  [2964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4196),
  [2967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3754),
  [2970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3668),
  [2973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(900),
  [2976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(900),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4343),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [2988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [2991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [2994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3759),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [2999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3673),
  [3002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [3005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3729),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3675),
  [3014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1002),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4056),
  [3020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3768),
  [3205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3848),
  [3208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4166),
  [3211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3768),
  [3214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [3217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [3220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1014),
  [3223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4175),
  [3226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [3229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [3232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4095),
  [3235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4246),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3735),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(762),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(761),
  [3247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4167),
  [3250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4055),
  [3253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1001),
  [3256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3374),
  [3259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1014),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [3278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3846),
  [3281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3903),
  [3284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3908),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3846),
  [3290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [3293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [3296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [3299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4241),
  [3302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(940),
  [3305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(65),
  [3308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3645),
  [3311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3936),
  [3314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3640),
  [3317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(772),
  [3320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [3323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [3326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3642),
  [3329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1003),
  [3332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3431),
  [3335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_content, 1, 0, 0),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__line_content, 1, 0, 0),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0),
  [3526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4196),
  [3529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3754),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0),
  [3534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [3537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [3540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [3543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4343),
  [3546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [3549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4124),
  [3555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3759),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [3561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [3564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3729),
  [3567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [3570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_content, 2, 0, 0),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__line_content, 2, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3903),
  [3608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3908),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [3614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [3620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4241),
  [3623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(940),
  [3626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(65),
  [3629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3645),
  [3632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3936),
  [3635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(772),
  [3638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [3641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [3644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3431),
  [3647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3848),
  [3655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4166),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [3661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [3664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1014),
  [3667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4175),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(941),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4095),
  [3679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4246),
  [3682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(762),
  [3685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(761),
  [3688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4167),
  [3691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3374),
  [3694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1014),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(3704),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0),
  [3715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [3718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(957),
  [3724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(914),
  [3727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(4206),
  [3730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [3733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [3736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(2705),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formula, 1, 0, 0),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3510),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2792),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2790),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0),
  [3762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [3765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2795),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [3771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3744),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [3777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [3780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2386),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(1584),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [3892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3704),
  [3895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2948),
  [3901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [3907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(957),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(4206),
  [3916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [3919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [3922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [3925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2008),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [3952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(4170),
  [3955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [3958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [3961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3023),
  [3964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3021),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(972),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(4099),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [3979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3185),
  [3982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2931),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2069),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3915),
  [3991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3059),
  [3994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3044),
  [3997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3043),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [4003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3059),
  [4006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(4204),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [4021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3670),
  [4238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(992),
  [4241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(992),
  [4244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4248),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [4253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [4256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3678),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3676),
  [4262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [4265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(783),
  [4268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3674),
  [4271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3434),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3082),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3753),
  [4280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4171),
  [4283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(993),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(993),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [4292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4259),
  [4295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(928),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [4301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3732),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(4181),
  [4307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(792),
  [4310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(793),
  [4313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [4316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3437),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2, 0, 0),
  [4376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [4380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 3, 0, 11),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 3, 0, 11),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [4388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, 0, 11),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 11),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 5, 0, 0),
  [4408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 5, 0, 0),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 6, 0, 21),
  [4414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 6, 0, 21),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [4418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 3, 0, 0),
  [4426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 3, 0, 0),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3848),
  [4439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1018),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1018),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 1, 0, 0),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 1, 0, 0),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [4479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 2, 0, 0),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 2, 0, 0),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 5, 0, 21),
  [4487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 5, 0, 21),
  [4489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3903),
  [4492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1028),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1028),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 4, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 4, 0, 0),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 4, 0, 0),
  [4504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 4, 0, 0),
  [4506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(4196),
  [4509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1032),
  [4512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1032),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [4561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 2, 0, 0),
  [4563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 2, 0, 0),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [4619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bindings, 2, 0, 0),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bindings, 2, 0, 0),
  [4623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0),
  [4627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3354),
  [4630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bindings, 3, 0, 0),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bindings, 3, 0, 0),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [4652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3370),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__content_lb, 3, 0, 0),
  [4667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__content_lb, 3, 0, 0),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strong, 3, 0, 7),
  [4671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strong, 3, 0, 7),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented, 3, 0, 0),
  [4681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented, 3, 0, 0),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emph, 3, 0, 8),
  [4691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emph, 3, 0, 8),
  [4693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3369),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brackets, 3, 0, 9),
  [4698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__brackets, 3, 0, 9),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 6, 0, 0),
  [4702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 6, 0, 0),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math, 3, 0, 0),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math, 3, 0, 0),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_span, 4, 0, 0),
  [4710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_span, 4, 0, 0),
  [4712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 3, 0, 17),
  [4714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 3, 0, 17),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 4, 0, 17),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 4, 0, 17),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 5, 0, 0),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 5, 0, 0),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0),
  [4736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math, 4, 0, 0),
  [4741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math, 4, 0, 0),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code, 3, 0, 0),
  [4745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code, 3, 0, 0),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [4751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3372),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 7, 0, 21),
  [4756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 7, 0, 21),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strong, 2, 0, 1),
  [4760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strong, 2, 0, 1),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emph, 2, 0, 2),
  [4764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emph, 2, 0, 2),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_url, 2, 0, 0),
  [4768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_url, 2, 0, 0),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape, 2, 0, 0),
  [4772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape, 2, 0, 0),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 2, 0, 0),
  [4776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 2, 0, 0),
  [4778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bindings, 1, 0, 0),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bindings, 1, 0, 0),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 3, 0, 0),
  [4800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 3, 0, 0),
  [4802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0),
  [4806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section, 2, 0, 0),
  [4811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section, 2, 0, 0),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brackets, 4, 0, 12),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__brackets, 4, 0, 12),
  [4817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3398),
  [4820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_blck, 4, 0, 0),
  [4822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_blck, 4, 0, 0),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__content_lb, 2, 0, 0),
  [4830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__content_lb, 2, 0, 0),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 4, 0, 0),
  [4834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 4, 0, 0),
  [4836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section, 3, 0, 0),
  [4838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section, 3, 0, 0),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented, 2, 0, 0),
  [4846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented, 2, 0, 0),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [4852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3390),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 4, 0, 24),
  [4871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_content, 4, 0, 24),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 5, 0, 31),
  [4875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_content, 5, 0, 31),
  [4877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3355),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3470),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [4887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_blck, 5, 0, 22),
  [4889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_blck, 5, 0, 22),
  [4891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2, 0, 0),
  [4893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2, 0, 0),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [4915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1203),
  [4918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3305),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ident, 2, 0, 0),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ident, 2, 0, 0),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [4936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3320),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [4949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1242),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3309),
  [4957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 2, 0, 0),
  [4959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 2, 0, 0),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [4969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, 0, 13),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, 0, 13),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3318),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [5002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [5005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 4, 0, 0),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 4, 0, 0),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [5013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 5, 0, 0),
  [5015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 5, 0, 0),
  [5017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1268),
  [5020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 6, 0, 0),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 6, 0, 0),
  [5024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 3, 0, 0),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 0, 0),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [5043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as, 2, 0, 0),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as, 2, 0, 0),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [5053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3321),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [5060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [5064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 2, 0, 11),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [5140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3410),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [5151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3417),
  [5154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3376),
  [5157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3396),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [5166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3460),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [5179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [5182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3366),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [5189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3378),
  [5192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1349),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, 0, 20),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 20),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or, 3, 0, 0),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or, 3, 0, 0),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_and, 3, 0, 0),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_and, 3, 0, 0),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmp, 3, 0, 0),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmp, 3, 0, 0),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in, 3, 0, 0),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in, 3, 0, 0),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 1, 0, 0),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool, 1, 0, 0),
  [5236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow, 1, 0, 0),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow, 1, 0, 0),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_context, 2, 0, 0),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context, 2, 0, 0),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elude, 2, 0, 0),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elude, 2, 0, 0),
  [5248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not, 2, 0, 0),
  [5250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not, 2, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign, 2, 0, 0),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign, 2, 0, 0),
  [5256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add, 3, 0, 0),
  [5258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add, 3, 0, 0),
  [5260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 2, 0, 0),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 2, 0, 0),
  [5264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_item, 1, 0, 0),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_item, 1, 0, 0),
  [5268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_tag, 1, 0, 23),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 3, 0, 17),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 3, 0, 17),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_show, 3, 0, 18),
  [5278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sub, 3, 0, 0),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sub, 3, 0, 0),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tagged, 3, 0, 19),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tagged, 3, 0, 19),
  [5286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assign, 3, 0, 20),
  [5288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign, 3, 0, 20),
  [5290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mul, 3, 0, 0),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mul, 3, 0, 0),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_div, 3, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_div, 3, 0, 0),
  [5298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 3, 0, 16),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, 0, 16),
  [5302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 4, 0, 0),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 4, 0, 0),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let, 4, 0, 25),
  [5308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 4, 0, 25),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 4, 0, 26),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, 0, 27),
  [5314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 27),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [5318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_show, 4, 0, 25),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in, 4, 0, 0),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in, 4, 0, 0),
  [5324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 5, 0, 17),
  [5326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 5, 0, 17),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 5, 0, 11),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, 0, 11),
  [5332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 5, 0, 32),
  [5334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, 0, 32),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for, 5, 0, 25),
  [5338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for, 5, 0, 25),
  [5340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 6, 0, 17),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 6, 0, 17),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 6, 0, 11),
  [5346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 6, 0, 11),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 7, 0, 11),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 7, 0, 11),
  [5352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [5355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1434),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [5394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [5398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4, 0, 0),
  [5400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4, 0, 0),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let, 2, 0, 10),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 2, 0, 10),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [5491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [5547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [5573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3349),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [5578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3371),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1535),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_field, 3, 0, 16),
  [5601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_field, 3, 0, 16),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [5622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [5625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1569),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [5634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3306),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, 0, 0),
  [5641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, 0, 0),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_item, 1, 0, 5),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_item, 1, 0, 5),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3356),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [5678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3319),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [5697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1637),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [5734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1659),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [5809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [5842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [5878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3308),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [5955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3301),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [5968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3300),
  [5971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3325),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [5992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [6016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3317),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [6035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [6041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [6045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [6055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [6057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [6131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(2137),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [6152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3324),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(2299),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [6174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2, 0, 0), SHIFT_REPEAT(2308),
  [6177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_shorthand, 2, 0, 0),
  [6179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_shorthand, 2, 0, 0),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [6189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3313),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [6198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3304),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_group, 2, 0, 0),
  [6237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_group, 2, 0, 0),
  [6239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_root, 2, 0, 0),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_root, 2, 0, 0),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [6251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_prime, 2, 0, 0),
  [6253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_prime, 2, 0, 0),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_fac, 2, 0, 0),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_fac, 2, 0, 0),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [6293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_apply, 3, 0, 13),
  [6295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_apply, 3, 0, 13),
  [6297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_group, 3, 0, 0),
  [6299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_group, 3, 0, 0),
  [6301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_div, 3, 0, 0),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_div, 3, 0, 0),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_attach_sup, 3, 0, 14),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_attach_sup, 3, 0, 14),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [6311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_attach_sub, 3, 0, 15),
  [6313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_attach_sub, 3, 0, 15),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [6319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_token_rpar, 1, 0, 0),
  [6321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_token_rpar, 1, 0, 0),
  [6323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 4, 0, 13),
  [6325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 4, 0, 13),
  [6327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [6391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__math_attach_sub, 3, 0, 15), REDUCE(sym__math_attach_sup, 5, 0, 28),
  [6394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__math_attach_sub, 3, 0, 15), REDUCE(sym__math_attach_sup, 5, 0, 28),
  [6397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__math_attach_sup, 3, 0, 14), REDUCE(sym__math_attach_sub, 5, 0, 29),
  [6400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__math_attach_sup, 3, 0, 14), REDUCE(sym__math_attach_sub, 5, 0, 29),
  [6403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 5, 0, 13),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 5, 0, 13),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 5, 0, 30),
  [6409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 5, 0, 30),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 6, 0, 13),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 6, 0, 13),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 6, 0, 33),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 6, 0, 33),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_token_align, 1, 0, 0),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_token_align, 1, 0, 0),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_symbol, 1, 0, 0),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_symbol, 1, 0, 0),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [6487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 1, 0, 0),
  [6489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 1, 0, 0),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, 0, 3),
  [6495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, 0, 3),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, 0, 4),
  [6499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, 0, 4),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, 0, 6),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, 0, 6),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1, 0, 0),
  [6533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1, 0, 0),
  [6535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__stmt, 1, 0, 0),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [6585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [6657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__item, 1, 0, 0),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [6699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3753),
  [6702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [6705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3083),
  [6708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [6711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [6714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [6725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 5),
  [6727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 5),
  [6729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_token_lpar, 1, 0, 0),
  [6731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_token_lpar, 1, 0, 0),
  [6733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2, 0, 0),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [6809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [6812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [6814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [6981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3351),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [7040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_tagged, 3, 0, 19),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [7070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__bindings_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [7815] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [7855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 1, 0, 0),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [7883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heading, 3, 0, 0),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [8535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heading, 4, 0, 0),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__indent = 0,
  ts_external_token__dedent = 1,
  ts_external_token__redent = 2,
  ts_external_token__line_start_check = 3,
  ts_external_token__token_content = 4,
  ts_external_token__token_strong = 5,
  ts_external_token__token_emph = 6,
  ts_external_token__barrier = 7,
  ts_external_token__token_bracket = 8,
  ts_external_token__token_section = 9,
  ts_external_token__termination = 10,
  ts_external_token__token_inlined_item_end = 11,
  ts_external_token__token_inlined_stmt_end = 12,
  ts_external_token__token_blocked_expr_end = 13,
  ts_external_token__token_math_letter = 14,
  ts_external_token__token_math_ident = 15,
  ts_external_token__token_math_frac = 16,
  ts_external_token__token_math_group_end = 17,
  ts_external_token__token_else = 18,
  ts_external_token__token_unit = 19,
  ts_external_token__token_url = 20,
  ts_external_token__token_item = 21,
  ts_external_token__token_term = 22,
  ts_external_token__token_head_1 = 23,
  ts_external_token__token_head_2 = 24,
  ts_external_token__token_head_3 = 25,
  ts_external_token__token_head_4 = 26,
  ts_external_token__token_head_5 = 27,
  ts_external_token__token_head_p = 28,
  ts_external_token__token_string_blob = 29,
  ts_external_token__token_raw_span_blob = 30,
  ts_external_token__token_raw_blck_ldlm = 31,
  ts_external_token__token_raw_blck_rdlm = 32,
  ts_external_token__token_raw_blck_blob = 33,
  ts_external_token__token_raw_lang = 34,
  ts_external_token__token_identifier = 35,
  ts_external_token__token_label = 36,
  ts_external_token__token_anti_markup = 37,
  ts_external_token_comment = 38,
  ts_external_token__sp = 39,
  ts_external_token__immediate = 40,
  ts_external_token__immediate_paren = 41,
  ts_external_token__immediate_brack = 42,
  ts_external_token__immediate_ident = 43,
  ts_external_token__immediate_math_call = 44,
  ts_external_token__immediate_math_apply = 45,
  ts_external_token__immediate_math_field = 46,
  ts_external_token__immediate_math_prime = 47,
  ts_external_token__recovery = 48,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__redent] = sym__redent,
  [ts_external_token__line_start_check] = sym__line_start_check,
  [ts_external_token__token_content] = sym__token_content,
  [ts_external_token__token_strong] = sym__token_strong,
  [ts_external_token__token_emph] = sym__token_emph,
  [ts_external_token__barrier] = sym__barrier,
  [ts_external_token__token_bracket] = sym__token_bracket,
  [ts_external_token__token_section] = sym__token_section,
  [ts_external_token__termination] = sym__termination,
  [ts_external_token__token_inlined_item_end] = sym__token_inlined_item_end,
  [ts_external_token__token_inlined_stmt_end] = sym__token_inlined_stmt_end,
  [ts_external_token__token_blocked_expr_end] = sym__token_blocked_expr_end,
  [ts_external_token__token_math_letter] = sym__token_math_letter,
  [ts_external_token__token_math_ident] = sym__token_math_ident,
  [ts_external_token__token_math_frac] = sym__token_math_frac,
  [ts_external_token__token_math_group_end] = sym__token_math_group_end,
  [ts_external_token__token_else] = sym__token_else,
  [ts_external_token__token_unit] = sym__token_unit,
  [ts_external_token__token_url] = sym__token_url,
  [ts_external_token__token_item] = sym__token_item,
  [ts_external_token__token_term] = sym__token_term,
  [ts_external_token__token_head_1] = sym__token_head_1,
  [ts_external_token__token_head_2] = sym__token_head_2,
  [ts_external_token__token_head_3] = sym__token_head_3,
  [ts_external_token__token_head_4] = sym__token_head_4,
  [ts_external_token__token_head_5] = sym__token_head_5,
  [ts_external_token__token_head_p] = sym__token_head_p,
  [ts_external_token__token_string_blob] = sym__token_string_blob,
  [ts_external_token__token_raw_span_blob] = sym__token_raw_span_blob,
  [ts_external_token__token_raw_blck_ldlm] = sym__token_raw_blck_ldlm,
  [ts_external_token__token_raw_blck_rdlm] = sym__token_raw_blck_rdlm,
  [ts_external_token__token_raw_blck_blob] = sym__token_raw_blck_blob,
  [ts_external_token__token_raw_lang] = sym__token_raw_lang,
  [ts_external_token__token_identifier] = sym__token_identifier,
  [ts_external_token__token_label] = sym__token_label,
  [ts_external_token__token_anti_markup] = sym__token_anti_markup,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__sp] = sym__sp,
  [ts_external_token__immediate] = sym__immediate,
  [ts_external_token__immediate_paren] = sym__immediate_paren,
  [ts_external_token__immediate_brack] = sym__immediate_brack,
  [ts_external_token__immediate_ident] = sym__immediate_ident,
  [ts_external_token__immediate_math_call] = sym__immediate_math_call,
  [ts_external_token__immediate_math_apply] = sym__immediate_math_apply,
  [ts_external_token__immediate_math_field] = sym__immediate_math_field,
  [ts_external_token__immediate_math_prime] = sym__immediate_math_prime,
  [ts_external_token__recovery] = sym__recovery,
};

static const bool ts_external_scanner_states[60][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__line_start_check] = true,
    [ts_external_token__token_content] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__barrier] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_section] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token__token_url] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_string_blob] = true,
    [ts_external_token__token_raw_span_blob] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_raw_blck_rdlm] = true,
    [ts_external_token__token_raw_blck_blob] = true,
    [ts_external_token__token_raw_lang] = true,
    [ts_external_token__token_identifier] = true,
    [ts_external_token__token_label] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
    [ts_external_token__immediate_ident] = true,
    [ts_external_token__immediate_math_call] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_field] = true,
    [ts_external_token__immediate_math_prime] = true,
    [ts_external_token__recovery] = true,
  },
  [2] = {
    [ts_external_token__line_start_check] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [3] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [4] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [5] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [6] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [7] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [8] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [9] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [10] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [11] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [12] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [13] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [14] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [15] = {
    [ts_external_token__token_content] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [16] = {
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [17] = {
    [ts_external_token__indent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [18] = {
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [19] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [20] = {
    [ts_external_token__indent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [21] = {
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [22] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [23] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [24] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [25] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [26] = {
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [27] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [28] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [29] = {
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [30] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [31] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [32] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [33] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [34] = {
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [35] = {
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [36] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_call] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_field] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [37] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_call] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_field] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [38] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [39] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [40] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [41] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [42] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [43] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_raw_blck_ldlm] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [44] = {
    [ts_external_token__token_content] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [45] = {
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [46] = {
    [ts_external_token__token_string_blob] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [47] = {
    [ts_external_token__token_raw_blck_blob] = true,
    [ts_external_token__token_raw_lang] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [48] = {
    [ts_external_token__token_section] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [49] = {
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate] = true,
  },
  [50] = {
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [51] = {
    [ts_external_token__barrier] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [52] = {
    [ts_external_token__token_label] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [53] = {
    [ts_external_token__token_raw_blck_rdlm] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [54] = {
    [ts_external_token__token_math_ident] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [55] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [56] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [57] = {
    [ts_external_token__token_url] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [58] = {
    [ts_external_token__token_raw_span_blob] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [59] = {
    [ts_external_token__token_raw_blck_blob] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typst_external_scanner_create(void);
void tree_sitter_typst_external_scanner_destroy(void *);
bool tree_sitter_typst_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typst_external_scanner_serialize(void *, char *);
void tree_sitter_typst_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_typst(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typst_external_scanner_create,
      tree_sitter_typst_external_scanner_destroy,
      tree_sitter_typst_external_scanner_scan,
      tree_sitter_typst_external_scanner_serialize,
      tree_sitter_typst_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
